/*===========================================================================*/
/*   (Llib/flac_decoder.scm)                                                 */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac_decoder.scm -o objs/flac_decoder.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___FLAC_DECODER_TYPE_DEFINITIONS
#define BGL___FLAC_DECODER_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_flacdecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacdecz00_bglt;

typedef struct BgL_flacmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flacmusicdecoderz00_bglt;


#endif // BGL___FLAC_DECODER_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_EXPORTED_DECL int BGl_flaczd2debugzd2zz__flac_decoderz00(void);
static obj_t BGl_requirezd2initializa7ationz75zz__flac_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_musicbufferzd2tellzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62flaczd2debugzb0zz__flac_decoderz00(obj_t);
static obj_t BGl_z62musicdecoderzd2seekzd2fl1142z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62flaczd2decoderzd2lengthzd21150zb0zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_decoderz00(void);
static obj_t BGl_z62flaczd2decoderzd2seekzd2fl1148zb0zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
static bool_t BGl_musicbufzd2debugzd2zz__flac_decoderz00;
static obj_t BGl_genericzd2initzd2zz__flac_decoderz00(void);
static obj_t BGl_z62zc3z04anonymousza31206ze3ze5zz__flac_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt, obj_t, long);
static obj_t BGl_objectzd2initzd2zz__flac_decoderz00(void);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62musicdecoderzd2positio1136zb0zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31314ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2readzd2fl1144zb0zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
static obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__flac_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_decoderz00(void);
static obj_t BGl_z62zc3z04anonymousza31219ze3ze5zz__flac_decoderz00(obj_t);
extern long BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_IMPORT obj_t BGl_musicdecoderz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicbufferzd2lengthzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_musicbufferz00zz__multimediazd2musicbufzd2;
static obj_t BGl_z62musicdecoderzd2initzd2fl1128z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31342ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2tellzd2fl1146zb0zz__flac_decoderz00(obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31351ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62lambda1204z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1205z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1217z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31329ze3ze5zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1218z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2resetz12zd21134z70zz__flac_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
extern obj_t BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt, obj_t);
static obj_t BGl_z62lambda1312z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1232z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1313z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1233z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31274ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31266ze3ze5zz__flac_decoderz00(obj_t);
extern long BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62flaczd2decoderzd2resetz12zd21130za2zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2infozd2fl1138z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1240z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1241z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static BgL_flacmusicdecoderz00_bglt BGl_z62lambda1322z62zz__flac_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31194ze3ze5zz__flac_decoderz00(obj_t, obj_t);
static BgL_flacmusicdecoderz00_bglt BGl_z62lambda1327z62zz__flac_decoderz00(obj_t);
BGL_IMPORT int bgl_debug(void);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62lambda1340z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1341z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2checksumzd2debugz62zz__flac_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1264z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1265z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1349z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_decoderz00(void);
extern obj_t BGl_flaczd2decoderzd2zz__flac_flacz00;
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_decoderz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__flac_decoderz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__flac_decoderz00(void);
static obj_t BGl_z62lambda1350z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1272z62zz__flac_decoderz00(obj_t, obj_t);
static BgL_flacdecz00_bglt BGl_z62lambda1191z62zz__flac_decoderz00(obj_t);
static obj_t BGl_z62lambda1273z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t bgl_custom_nil(void);
BGL_IMPORT obj_t BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, obj_t);
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62musicdecoderzd2volumezd21140z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_flacdecz00zz__flac_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2writezd2f1132zb0zz__flac_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_za2debugzd2portza2zd2zz__flac_decoderz00;
BGL_EXPORTED_DECL int BGl_flaczd2checksumzd2debugz00zz__flac_decoderz00(long, char *, long, long);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_flacmusicdecoderz00zz__flac_decoderz00 = BUNSPEC;
static obj_t __cnst[ 18 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_flaczd2checksumzd2debugzd2envzd2zz__flac_decoderz00, BgL_bgl_za762flacza7d2checks2025z00, BGl_z62flaczd2checksumzd2debugz62zz__flac_decoderz00, 0L, BUNSPEC, 4 );
extern obj_t BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flaczd2debugzd2envz00zz__flac_decoderz00, BgL_bgl_za762flacza7d2debugza72026za7, BGl_z62flaczd2debugzb0zz__flac_decoderz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00;
DEFINE_STRING( BGl_string1956z00zz__flac_decoderz00, BgL_bgl_string1956za700za7za7_2027za7, "Llib/flac_decoder.scm", 21 );
DEFINE_STRING( BGl_string1957z00zz__flac_decoderz00, BgL_bgl_string1957za700za7za7_2028za7, "MUSICBUF_DEBUG", 14 );
DEFINE_STRING( BGl_string1958z00zz__flac_decoderz00, BgL_bgl_string1958za700za7za7_2029za7, "/builddir/build/BUILD/bigloo-4.5b/api/flac/src/Llib/flac_decoder.scm", 68 );
DEFINE_STRING( BGl_string1959z00zz__flac_decoderz00, BgL_bgl_string1959za700za7za7_2030za7, "&flac-checksum-debug", 20 );
BGL_IMPORT obj_t BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string1960z00zz__flac_decoderz00, BgL_bgl_string1960za700za7za7_2031za7, "bint", 4 );
DEFINE_STRING( BGl_string1961z00zz__flac_decoderz00, BgL_bgl_string1961za700za7za7_2032za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1962z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2033za7, BGl_z62zc3z04anonymousza31206ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1963z00zz__flac_decoderz00, BgL_bgl_za762lambda1205za7622034z00, BGl_z62lambda1205z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1964z00zz__flac_decoderz00, BgL_bgl_za762lambda1204za7622035z00, BGl_z62lambda1204z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1965z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2036za7, BGl_z62zc3z04anonymousza31219ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1966z00zz__flac_decoderz00, BgL_bgl_za762lambda1218za7622037z00, BGl_z62lambda1218z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1967z00zz__flac_decoderz00, BgL_bgl_za762lambda1217za7622038z00, BGl_z62lambda1217z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1968z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2039za7, BGl_z62zc3z04anonymousza31234ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1969z00zz__flac_decoderz00, BgL_bgl_za762lambda1233za7622040z00, BGl_z62lambda1233z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1970z00zz__flac_decoderz00, BgL_bgl_za762lambda1232za7622041z00, BGl_z62lambda1232z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1971z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2042za7, BGl_z62zc3z04anonymousza31242ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1972z00zz__flac_decoderz00, BgL_bgl_za762lambda1241za7622043z00, BGl_z62lambda1241z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1973z00zz__flac_decoderz00, BgL_bgl_za762lambda1240za7622044z00, BGl_z62lambda1240z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1974z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2045za7, BGl_z62zc3z04anonymousza31266ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1975z00zz__flac_decoderz00, BgL_bgl_za762lambda1265za7622046z00, BGl_z62lambda1265z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1976z00zz__flac_decoderz00, BgL_bgl_za762lambda1264za7622047z00, BGl_z62lambda1264z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1977z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2048za7, BGl_z62zc3z04anonymousza31274ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1978z00zz__flac_decoderz00, BgL_bgl_za762lambda1273za7622049z00, BGl_z62lambda1273z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1979z00zz__flac_decoderz00, BgL_bgl_za762lambda1272za7622050z00, BGl_z62lambda1272z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1980z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2051za7, BGl_z62zc3z04anonymousza31314ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1981z00zz__flac_decoderz00, BgL_bgl_za762lambda1313za7622052z00, BGl_z62lambda1313z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1982z00zz__flac_decoderz00, BgL_bgl_za762lambda1312za7622053z00, BGl_z62lambda1312z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1983z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2054za7, BGl_z62zc3z04anonymousza31194ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1984z00zz__flac_decoderz00, BgL_bgl_za762lambda1191za7622055z00, BGl_z62lambda1191z62zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1985z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2056za7, BGl_z62zc3z04anonymousza31342ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1986z00zz__flac_decoderz00, BgL_bgl_za762lambda1341za7622057z00, BGl_z62lambda1341z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1987z00zz__flac_decoderz00, BgL_bgl_za762lambda1340za7622058z00, BGl_z62lambda1340z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1994z00zz__flac_decoderz00, BgL_bgl_string1994za700za7za7_2059za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1988z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2060za7, BGl_z62zc3z04anonymousza31351ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1989z00zz__flac_decoderz00, BgL_bgl_za762lambda1350za7622061z00, BGl_z62lambda1350z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1996z00zz__flac_decoderz00, BgL_bgl_string1996za700za7za7_2062za7, "musicdecoder-init", 17 );
DEFINE_STRING( BGl_string1998z00zz__flac_decoderz00, BgL_bgl_string1998za700za7za7_2063za7, "flac-decoder-reset!", 19 );
BGL_IMPORT obj_t BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1990z00zz__flac_decoderz00, BgL_bgl_za762lambda1349za7622064z00, BGl_z62lambda1349z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1991z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2065za7, BGl_z62zc3z04anonymousza31329ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1992z00zz__flac_decoderz00, BgL_bgl_za762lambda1327za7622066z00, BGl_z62lambda1327z62zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1993z00zz__flac_decoderz00, BgL_bgl_za762lambda1322za7622067z00, BGl_z62lambda1322z62zz__flac_decoderz00, 0L, BUNSPEC, 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1995z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72068z00, BGl_z62musicdecoderzd2initzd2fl1128z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1997z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2069z00, BGl_z62flaczd2decoderzd2resetz12zd21130za2zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1999z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2070z00, BGl_z62flaczd2decoderzd2writezd2f1132zb0zz__flac_decoderz00, 0L, BUNSPEC, 5 );
extern obj_t BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00;
extern obj_t BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00;
DEFINE_STRING( BGl_string2000z00zz__flac_decoderz00, BgL_bgl_string2000za700za7za7_2071za7, "flac-decoder-write", 18 );
DEFINE_STRING( BGl_string2002z00zz__flac_decoderz00, BgL_bgl_string2002za700za7za7_2072za7, "musicdecoder-reset!", 19 );
DEFINE_STRING( BGl_string2004z00zz__flac_decoderz00, BgL_bgl_string2004za700za7za7_2073za7, "musicdecoder-position", 21 );
DEFINE_STRING( BGl_string2006z00zz__flac_decoderz00, BgL_bgl_string2006za700za7za7_2074za7, "musicdecoder-info", 17 );
DEFINE_STRING( BGl_string2008z00zz__flac_decoderz00, BgL_bgl_string2008za700za7za7_2075za7, "musicdecoder-volume-set!", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2001z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72076z00, BGl_z62musicdecoderzd2resetz12zd21134z70zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2003z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72077z00, BGl_z62musicdecoderzd2positio1136zb0zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2010z00zz__flac_decoderz00, BgL_bgl_string2010za700za7za7_2078za7, "musicdecoder-seek", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2005z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72079z00, BGl_z62musicdecoderzd2infozd2fl1138z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2012z00zz__flac_decoderz00, BgL_bgl_string2012za700za7za7_2080za7, "flac-decoder-read", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2007z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72081z00, BGl_z62musicdecoderzd2volumezd21140z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2014z00zz__flac_decoderz00, BgL_bgl_string2014za700za7za7_2082za7, "flac-decoder-tell", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2009z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72083z00, BGl_z62musicdecoderzd2seekzd2fl1142z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2016z00zz__flac_decoderz00, BgL_bgl_string2016za700za7za7_2084za7, "flac-decoder-seek", 17 );
DEFINE_STRING( BGl_string2018z00zz__flac_decoderz00, BgL_bgl_string2018za700za7za7_2085za7, "flac-decoder-length", 19 );
DEFINE_STRING( BGl_string2019z00zz__flac_decoderz00, BgL_bgl_string2019za700za7za7_2086za7, "bcast, decode not full ", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2011z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2087z00, BGl_z62flaczd2decoderzd2readzd2fl1144zb0zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2013z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2088z00, BGl_z62flaczd2decoderzd2tellzd2fl1146zb0zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2020z00zz__flac_decoderz00, BgL_bgl_string2020za700za7za7_2089za7, ":", 1 );
DEFINE_STRING( BGl_string2021z00zz__flac_decoderz00, BgL_bgl_string2021za700za7za7_2090za7, ",", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2015z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2091z00, BGl_z62flaczd2decoderzd2seekzd2fl1148zb0zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2022z00zz__flac_decoderz00, BgL_bgl_string2022za700za7za7_2092za7, "__flac_decoder", 14 );
DEFINE_STRING( BGl_string2023z00zz__flac_decoderz00, BgL_bgl_string2023za700za7za7_2093za7, "(\"audio/flac\" \"application/x-flac\" \"audio/x-flac\") buffering play pause flacmusicdecoder %inseek %flac __flac_decoder flacdec %last-percentage %rate-min %rate-max int %rate %decoder %buffer obj %music ", 201 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2017z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2094z00, BGl_z62flaczd2decoderzd2lengthzd21150zb0zz__flac_decoderz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_decoderz00) );
ADD_ROOT( (void *)(&BGl_flacdecz00zz__flac_decoderz00) );
ADD_ROOT( (void *)(&BGl_flacmusicdecoderz00zz__flac_decoderz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long BgL_checksumz00_1036, char * BgL_fromz00_1037)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_decoderz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_decoderz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__flac_decoderz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_decoderz00(); 
BGl_cnstzd2initzd2zz__flac_decoderz00(); 
BGl_importedzd2moduleszd2initz00zz__flac_decoderz00(); 
BGl_objectzd2initzd2zz__flac_decoderz00(); 
BGl_methodzd2initzd2zz__flac_decoderz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_decoderz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__osz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__paramz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__customz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__flac_decoder"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_cportz00_863;
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_stringz00_870;
BgL_stringz00_870 = BGl_string2023z00zz__flac_decoderz00; 
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_startz00_871;
BgL_startz00_871 = 
BINT(0L); 
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_endz00_872;
BgL_endz00_872 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_870))); 
{ /* Llib/flac_decoder.scm 15 */

BgL_cportz00_863 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_870, BgL_startz00_871, BgL_endz00_872); } } } } 
{ 
 long BgL_iz00_864;
BgL_iz00_864 = 17L; 
BgL_loopz00_865:
if(
(BgL_iz00_864==-1L))
{ /* Llib/flac_decoder.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac_decoder.scm 15 */
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_arg2024z00_866;
{ /* Llib/flac_decoder.scm 15 */

{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_locationz00_868;
BgL_locationz00_868 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac_decoder.scm 15 */

BgL_arg2024z00_866 = 
BGl_readz00zz__readerz00(BgL_cportz00_863, BgL_locationz00_868); } } } 
{ /* Llib/flac_decoder.scm 15 */
 int BgL_tmpz00_1074;
BgL_tmpz00_1074 = 
(int)(BgL_iz00_864); 
CNST_TABLE_SET(BgL_tmpz00_1074, BgL_arg2024z00_866); } } 
{ /* Llib/flac_decoder.scm 15 */
 int BgL_auxz00_869;
BgL_auxz00_869 = 
(int)(
(BgL_iz00_864-1L)); 
{ 
 long BgL_iz00_1079;
BgL_iz00_1079 = 
(long)(BgL_auxz00_869); 
BgL_iz00_864 = BgL_iz00_1079; 
goto BgL_loopz00_865;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, 
BSTRING_TO_STRING(BGl_string1956z00zz__flac_decoderz00)); 
{ /* Llib/flac_decoder.scm 64 */
 obj_t BgL_tmpz00_1084;
BgL_tmpz00_1084 = 
BGl_getenvz00zz__osz00(BGl_string1957z00zz__flac_decoderz00); 
BGl_musicbufzd2debugzd2zz__flac_decoderz00 = 
STRINGP(BgL_tmpz00_1084); } 
return ( 
BGl_za2debugzd2portza2zd2zz__flac_decoderz00 = ((bool_t)0), BUNSPEC) ;} 

}



/* flac-debug */
BGL_EXPORTED_DEF int BGl_flaczd2debugzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 53 */
if(
(0L>0L))
{ /* Llib/flac_decoder.scm 55 */
(long)(
bgl_debug()); }  else 
{ /* Llib/flac_decoder.scm 55 */0L; } 
return 
(int)(1L);} 

}



/* &flac-debug */
obj_t BGl_z62flaczd2debugzb0zz__flac_decoderz00(obj_t BgL_envz00_667)
{
{ /* Llib/flac_decoder.scm 53 */
return 
BINT(
BGl_flaczd2debugzd2zz__flac_decoderz00());} 

}



/* flac-checksum-debug */
BGL_EXPORTED_DEF int BGl_flaczd2checksumzd2debugz00zz__flac_decoderz00(long BgL_cz00_3, char * BgL_bufferz00_4, long BgL_iz00_5, long BgL_sz00_6)
{
{ /* Llib/flac_decoder.scm 69 */
{ 
 long BgL_nz00_485; long BgL_cz00_486;
{ /* Llib/flac_decoder.scm 70 */
 long BgL_tmpz00_1094;
BgL_nz00_485 = 0L; 
BgL_cz00_486 = BgL_cz00_3; 
BgL_loopz00_484:
if(
(BgL_nz00_485==BgL_sz00_6))
{ /* Llib/flac_decoder.scm 72 */
BgL_tmpz00_1094 = BgL_cz00_486
; }  else 
{ /* Llib/flac_decoder.scm 74 */
 long BgL_arg1166z00_490; long BgL_arg1168z00_491;
BgL_arg1166z00_490 = 
(BgL_nz00_485+1L); 
{ /* Llib/flac_decoder.scm 74 */
 char BgL_arg1169z00_493;
{ /* Llib/flac_decoder.scm 74 */
 long BgL_tmpz00_1098;
BgL_tmpz00_1098 = 
(BgL_iz00_5+BgL_nz00_485); 
BgL_arg1169z00_493 = 
BGL_FLAC_STRING_REF(BgL_bufferz00_4, BgL_tmpz00_1098); } 
BgL_arg1168z00_491 = 
(BgL_cz00_486 ^ 
(long)(BgL_arg1169z00_493)); } 
{ 
 long BgL_cz00_1104; long BgL_nz00_1103;
BgL_nz00_1103 = BgL_arg1166z00_490; 
BgL_cz00_1104 = BgL_arg1168z00_491; 
BgL_cz00_486 = BgL_cz00_1104; 
BgL_nz00_485 = BgL_nz00_1103; 
goto BgL_loopz00_484;} } 
return 
(int)(BgL_tmpz00_1094);} } } 

}



/* &flac-checksum-debug */
obj_t BGl_z62flaczd2checksumzd2debugz62zz__flac_decoderz00(obj_t BgL_envz00_668, obj_t BgL_cz00_669, obj_t BgL_bufferz00_670, obj_t BgL_iz00_671, obj_t BgL_sz00_672)
{
{ /* Llib/flac_decoder.scm 69 */
{ /* Llib/flac_decoder.scm 70 */
 int BgL_tmpz00_1106;
{ /* Llib/flac_decoder.scm 70 */
 long BgL_auxz00_1134; long BgL_auxz00_1125; char * BgL_auxz00_1116; long BgL_auxz00_1107;
{ /* Llib/flac_decoder.scm 70 */
 obj_t BgL_tmpz00_1135;
if(
INTEGERP(BgL_sz00_672))
{ /* Llib/flac_decoder.scm 70 */
BgL_tmpz00_1135 = BgL_sz00_672
; }  else 
{ 
 obj_t BgL_auxz00_1138;
BgL_auxz00_1138 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1958z00zz__flac_decoderz00, 
BINT(3046L), BGl_string1959z00zz__flac_decoderz00, BGl_string1960z00zz__flac_decoderz00, BgL_sz00_672); 
FAILURE(BgL_auxz00_1138,BFALSE,BFALSE);} 
BgL_auxz00_1134 = 
(long)CINT(BgL_tmpz00_1135); } 
{ /* Llib/flac_decoder.scm 70 */
 obj_t BgL_tmpz00_1126;
if(
INTEGERP(BgL_iz00_671))
{ /* Llib/flac_decoder.scm 70 */
BgL_tmpz00_1126 = BgL_iz00_671
; }  else 
{ 
 obj_t BgL_auxz00_1129;
BgL_auxz00_1129 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1958z00zz__flac_decoderz00, 
BINT(3046L), BGl_string1959z00zz__flac_decoderz00, BGl_string1960z00zz__flac_decoderz00, BgL_iz00_671); 
FAILURE(BgL_auxz00_1129,BFALSE,BFALSE);} 
BgL_auxz00_1125 = 
(long)CINT(BgL_tmpz00_1126); } 
{ /* Llib/flac_decoder.scm 70 */
 obj_t BgL_tmpz00_1117;
if(
STRINGP(BgL_bufferz00_670))
{ /* Llib/flac_decoder.scm 70 */
BgL_tmpz00_1117 = BgL_bufferz00_670
; }  else 
{ 
 obj_t BgL_auxz00_1120;
BgL_auxz00_1120 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1958z00zz__flac_decoderz00, 
BINT(3046L), BGl_string1959z00zz__flac_decoderz00, BGl_string1961z00zz__flac_decoderz00, BgL_bufferz00_670); 
FAILURE(BgL_auxz00_1120,BFALSE,BFALSE);} 
BgL_auxz00_1116 = 
BSTRING_TO_STRING(BgL_tmpz00_1117); } 
{ /* Llib/flac_decoder.scm 70 */
 obj_t BgL_tmpz00_1108;
if(
INTEGERP(BgL_cz00_669))
{ /* Llib/flac_decoder.scm 70 */
BgL_tmpz00_1108 = BgL_cz00_669
; }  else 
{ 
 obj_t BgL_auxz00_1111;
BgL_auxz00_1111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1958z00zz__flac_decoderz00, 
BINT(3046L), BGl_string1959z00zz__flac_decoderz00, BGl_string1960z00zz__flac_decoderz00, BgL_cz00_669); 
FAILURE(BgL_auxz00_1111,BFALSE,BFALSE);} 
BgL_auxz00_1107 = 
(long)CINT(BgL_tmpz00_1108); } 
BgL_tmpz00_1106 = 
BGl_flaczd2checksumzd2debugz00zz__flac_decoderz00(BgL_auxz00_1107, BgL_auxz00_1116, BgL_auxz00_1125, BgL_auxz00_1134); } 
return 
BINT(BgL_tmpz00_1106);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1189z00_74; obj_t BgL_arg1190z00_75;
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_v1123z00_81;
BgL_v1123z00_81 = 
create_vector(7L); 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1195z00_82;
BgL_arg1195z00_82 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(0L), BGl_proc1964z00zz__flac_decoderz00, BGl_proc1963z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1962z00zz__flac_decoderz00, 
CNST_TABLE_REF(1L)); 
VECTOR_SET(BgL_v1123z00_81,0L,BgL_arg1195z00_82); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1210z00_95;
BgL_arg1210z00_95 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(2L), BGl_proc1967z00zz__flac_decoderz00, BGl_proc1966z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1965z00zz__flac_decoderz00, 
CNST_TABLE_REF(1L)); 
VECTOR_SET(BgL_v1123z00_81,1L,BgL_arg1210z00_95); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1227z00_108;
BgL_arg1227z00_108 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(3L), BGl_proc1970z00zz__flac_decoderz00, BGl_proc1969z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1968z00zz__flac_decoderz00, 
CNST_TABLE_REF(1L)); 
VECTOR_SET(BgL_v1123z00_81,2L,BgL_arg1227z00_108); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1235z00_121;
BgL_arg1235z00_121 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(4L), BGl_proc1973z00zz__flac_decoderz00, BGl_proc1972z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1971z00zz__flac_decoderz00, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1123z00_81,3L,BgL_arg1235z00_121); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1258z00_134;
BgL_arg1258z00_134 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(6L), BGl_proc1976z00zz__flac_decoderz00, BGl_proc1975z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1974z00zz__flac_decoderz00, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1123z00_81,4L,BgL_arg1258z00_134); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1267z00_147;
BgL_arg1267z00_147 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(7L), BGl_proc1979z00zz__flac_decoderz00, BGl_proc1978z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1977z00zz__flac_decoderz00, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1123z00_81,5L,BgL_arg1267z00_147); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1295z00_160;
BgL_arg1295z00_160 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(8L), BGl_proc1982z00zz__flac_decoderz00, BGl_proc1981z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1980z00zz__flac_decoderz00, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1123z00_81,6L,BgL_arg1295z00_160); } 
BgL_arg1189z00_74 = BgL_v1123z00_81; } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_v1124z00_173;
BgL_v1124z00_173 = 
create_vector(0L); 
BgL_arg1190z00_75 = BgL_v1124z00_173; } 
BGl_flacdecz00zz__flac_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(9L), 
CNST_TABLE_REF(10L), BGl_flaczd2decoderzd2zz__flac_flacz00, 58322L, BFALSE, BGl_proc1984z00zz__flac_decoderz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1983z00zz__flac_decoderz00, BFALSE, BgL_arg1189z00_74, BgL_arg1190z00_75); } 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_arg1320z00_179; obj_t BgL_arg1321z00_180;
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_v1125z00_203;
BgL_v1125z00_203 = 
create_vector(2L); 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_arg1335z00_204;
BgL_arg1335z00_204 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(11L), BGl_proc1987z00zz__flac_decoderz00, BGl_proc1986z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1985z00zz__flac_decoderz00, 
CNST_TABLE_REF(1L)); 
VECTOR_SET(BgL_v1125z00_203,0L,BgL_arg1335z00_204); } 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_arg1344z00_217;
BgL_arg1344z00_217 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(12L), BGl_proc1990z00zz__flac_decoderz00, BGl_proc1989z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1988z00zz__flac_decoderz00, 
CNST_TABLE_REF(1L)); 
VECTOR_SET(BgL_v1125z00_203,1L,BgL_arg1344z00_217); } 
BgL_arg1320z00_179 = BgL_v1125z00_203; } 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_v1126z00_230;
BgL_v1126z00_230 = 
create_vector(0L); 
BgL_arg1321z00_180 = BgL_v1126z00_230; } 
return ( 
BGl_flacmusicdecoderz00zz__flac_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(13L), 
CNST_TABLE_REF(10L), BGl_musicdecoderz00zz__multimediazd2musicbufzd2, 48433L, BGl_proc1993z00zz__flac_decoderz00, BGl_proc1992z00zz__flac_decoderz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1991z00zz__flac_decoderz00, BFALSE, BgL_arg1320z00_179, BgL_arg1321z00_180), BUNSPEC) ;} } 

}



/* &<@anonymous:1329> */
obj_t BGl_z62zc3z04anonymousza31329ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_705, obj_t BgL_new1090z00_706)
{
{ /* Llib/flac_decoder.scm 37 */
{ 
 BgL_flacmusicdecoderz00_bglt BgL_auxz00_1191;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706)))->BgL_z52flacz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706)))->BgL_z52inseekz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1191 = 
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_706); 
return 
((obj_t)BgL_auxz00_1191);} } 

}



/* &lambda1327 */
BgL_flacmusicdecoderz00_bglt BGl_z62lambda1327z62zz__flac_decoderz00(obj_t BgL_envz00_707)
{
{ /* Llib/flac_decoder.scm 37 */
{ /* Llib/flac_decoder.scm 37 */
 BgL_flacmusicdecoderz00_bglt BgL_new1089z00_875;
BgL_new1089z00_875 = 
((BgL_flacmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacmusicdecoderz00_bgl) ))); 
{ /* Llib/flac_decoder.scm 37 */
 long BgL_arg1328z00_876;
BgL_arg1328z00_876 = 
BGL_CLASS_NUM(BGl_flacmusicdecoderz00zz__flac_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_875), BgL_arg1328z00_876); } 
return BgL_new1089z00_875;} } 

}



/* &lambda1322 */
BgL_flacmusicdecoderz00_bglt BGl_z62lambda1322z62zz__flac_decoderz00(obj_t BgL_envz00_708, obj_t BgL_mimetypes1077z00_709, obj_t BgL_bufferzd2timezd2near1078z00_710, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1079z75_711, obj_t BgL_periodzd2siza7ezd2nearzd2rat1080z75_712, obj_t BgL_z52z12dpause1081z40_713, obj_t BgL_z52z12dabort1082z40_714, obj_t BgL_z52z12stop1083z40_715, obj_t BgL_z52dmutex1084z52_716, obj_t BgL_z52dcondv1085z52_717, obj_t BgL_z52doutcondv1086z52_718, obj_t BgL_z52flac1087z52_719, obj_t BgL_z52inseek1088z52_720)
{
{ /* Llib/flac_decoder.scm 37 */
{ /* Llib/flac_decoder.scm 37 */
 int BgL_bufferzd2timezd2near1078z00_878; int BgL_bufferzd2siza7ezd2nearzd2rat1079z75_879; int BgL_periodzd2siza7ezd2nearzd2rat1080z75_880; bool_t BgL_z52z12dpause1081z40_881; bool_t BgL_z52z12dabort1082z40_882; bool_t BgL_z52z12stop1083z40_883;
BgL_bufferzd2timezd2near1078z00_878 = 
CINT(BgL_bufferzd2timezd2near1078z00_710); 
BgL_bufferzd2siza7ezd2nearzd2rat1079z75_879 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1079z75_711); 
BgL_periodzd2siza7ezd2nearzd2rat1080z75_880 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1080z75_712); 
BgL_z52z12dpause1081z40_881 = 
CBOOL(BgL_z52z12dpause1081z40_713); 
BgL_z52z12dabort1082z40_882 = 
CBOOL(BgL_z52z12dabort1082z40_714); 
BgL_z52z12stop1083z40_883 = 
CBOOL(BgL_z52z12stop1083z40_715); 
{ /* Llib/flac_decoder.scm 37 */
 BgL_flacmusicdecoderz00_bglt BgL_new1120z00_887;
{ /* Llib/flac_decoder.scm 37 */
 BgL_flacmusicdecoderz00_bglt BgL_new1119z00_888;
BgL_new1119z00_888 = 
((BgL_flacmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacmusicdecoderz00_bgl) ))); 
{ /* Llib/flac_decoder.scm 37 */
 long BgL_arg1326z00_889;
BgL_arg1326z00_889 = 
BGL_CLASS_NUM(BGl_flacmusicdecoderz00zz__flac_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_888), BgL_arg1326z00_889); } 
BgL_new1120z00_887 = BgL_new1119z00_888; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_887)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1077z00_709)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_887)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1078z00_878),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_887)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1079z75_879),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_887)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1080z75_880),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_887)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1081z40_881),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_887)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1082z40_882),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_887)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1083z40_883),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_887)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1084z52_716)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_887)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1085z52_717)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_887)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1086z52_718)),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_new1120z00_887))->BgL_z52flacz52)=((obj_t)BgL_z52flac1087z52_719),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_new1120z00_887))->BgL_z52inseekz52)=((obj_t)BgL_z52inseek1088z52_720),BUNSPEC); 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_fun1323z00_890;
BgL_fun1323z00_890 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacmusicdecoderz00zz__flac_decoderz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1323z00_890))(BgL_fun1323z00_890, 
((obj_t)BgL_new1120z00_887), BEOA); } 
return BgL_new1120z00_887;} } } 

}



/* &<@anonymous:1351> */
obj_t BGl_z62zc3z04anonymousza31351ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_721)
{
{ /* Llib/flac_decoder.scm 37 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1350 */
obj_t BGl_z62lambda1350z62zz__flac_decoderz00(obj_t BgL_envz00_722, obj_t BgL_oz00_723, obj_t BgL_vz00_724)
{
{ /* Llib/flac_decoder.scm 37 */
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_723)))->BgL_z52inseekz52)=((obj_t)BgL_vz00_724),BUNSPEC);} 

}



/* &lambda1349 */
obj_t BGl_z62lambda1349z62zz__flac_decoderz00(obj_t BgL_envz00_725, obj_t BgL_oz00_726)
{
{ /* Llib/flac_decoder.scm 37 */
return 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_726)))->BgL_z52inseekz52);} 

}



/* &<@anonymous:1342> */
obj_t BGl_z62zc3z04anonymousza31342ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_727)
{
{ /* Llib/flac_decoder.scm 37 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1341 */
obj_t BGl_z62lambda1341z62zz__flac_decoderz00(obj_t BgL_envz00_728, obj_t BgL_oz00_729, obj_t BgL_vz00_730)
{
{ /* Llib/flac_decoder.scm 37 */
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_729)))->BgL_z52flacz52)=((obj_t)BgL_vz00_730),BUNSPEC);} 

}



/* &lambda1340 */
obj_t BGl_z62lambda1340z62zz__flac_decoderz00(obj_t BgL_envz00_731, obj_t BgL_oz00_732)
{
{ /* Llib/flac_decoder.scm 37 */
return 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_732)))->BgL_z52flacz52);} 

}



/* &<@anonymous:1194> */
obj_t BGl_z62zc3z04anonymousza31194ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_733, obj_t BgL_new1075z00_734)
{
{ /* Llib/flac_decoder.scm 28 */
{ 
 BgL_flacdecz00_bglt BgL_auxz00_1290;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_734))))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_734))))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_734))))->BgL_outbufz00)=((obj_t)BGl_string1994z00zz__flac_decoderz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_734))))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_734))))->BgL_z52samplez52)=((long)0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_734))))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_734))))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_734))))->BgL_z52bchecksumz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_734))))->BgL_z52rchecksumz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_734)))->BgL_z52musicz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_734)))->BgL_z52bufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_734)))->BgL_z52decoderz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_734)))->BgL_z52ratez52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_734)))->BgL_z52ratezd2maxz80)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_734)))->BgL_z52ratezd2minz80)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_734)))->BgL_z52lastzd2percentagez80)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_1290 = 
((BgL_flacdecz00_bglt)BgL_new1075z00_734); 
return 
((obj_t)BgL_auxz00_1290);} } 

}



/* &lambda1191 */
BgL_flacdecz00_bglt BGl_z62lambda1191z62zz__flac_decoderz00(obj_t BgL_envz00_735)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 BgL_flacdecz00_bglt BgL_new1074z00_896;
BgL_new1074z00_896 = 
((BgL_flacdecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacdecz00_bgl) ))); 
{ /* Llib/flac_decoder.scm 28 */
 long BgL_arg1193z00_897;
BgL_arg1193z00_897 = 
BGL_CLASS_NUM(BGl_flacdecz00zz__flac_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1074z00_896), BgL_arg1193z00_897); } 
return BgL_new1074z00_896;} } 

}



/* &<@anonymous:1314> */
obj_t BGl_z62zc3z04anonymousza31314ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_736)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(0L);} 

}



/* &lambda1313 */
obj_t BGl_z62lambda1313z62zz__flac_decoderz00(obj_t BgL_envz00_737, obj_t BgL_oz00_738, obj_t BgL_vz00_739)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_899;
BgL_vz00_899 = 
CINT(BgL_vz00_739); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_738)))->BgL_z52lastzd2percentagez80)=((int)BgL_vz00_899),BUNSPEC);} } 

}



/* &lambda1312 */
obj_t BGl_z62lambda1312z62zz__flac_decoderz00(obj_t BgL_envz00_740, obj_t BgL_oz00_741)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_741)))->BgL_z52lastzd2percentagez80));} 

}



/* &<@anonymous:1274> */
obj_t BGl_z62zc3z04anonymousza31274ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_742)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(50L);} 

}



/* &lambda1273 */
obj_t BGl_z62lambda1273z62zz__flac_decoderz00(obj_t BgL_envz00_743, obj_t BgL_oz00_744, obj_t BgL_vz00_745)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_902;
BgL_vz00_902 = 
CINT(BgL_vz00_745); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_744)))->BgL_z52ratezd2minz80)=((int)BgL_vz00_902),BUNSPEC);} } 

}



/* &lambda1272 */
obj_t BGl_z62lambda1272z62zz__flac_decoderz00(obj_t BgL_envz00_746, obj_t BgL_oz00_747)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_747)))->BgL_z52ratezd2minz80));} 

}



/* &<@anonymous:1266> */
obj_t BGl_z62zc3z04anonymousza31266ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_748)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(80L);} 

}



/* &lambda1265 */
obj_t BGl_z62lambda1265z62zz__flac_decoderz00(obj_t BgL_envz00_749, obj_t BgL_oz00_750, obj_t BgL_vz00_751)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_905;
BgL_vz00_905 = 
CINT(BgL_vz00_751); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_750)))->BgL_z52ratezd2maxz80)=((int)BgL_vz00_905),BUNSPEC);} } 

}



/* &lambda1264 */
obj_t BGl_z62lambda1264z62zz__flac_decoderz00(obj_t BgL_envz00_752, obj_t BgL_oz00_753)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_753)))->BgL_z52ratezd2maxz80));} 

}



/* &<@anonymous:1242> */
obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_754)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(80L);} 

}



/* &lambda1241 */
obj_t BGl_z62lambda1241z62zz__flac_decoderz00(obj_t BgL_envz00_755, obj_t BgL_oz00_756, obj_t BgL_vz00_757)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_908;
BgL_vz00_908 = 
CINT(BgL_vz00_757); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_756)))->BgL_z52ratez52)=((int)BgL_vz00_908),BUNSPEC);} } 

}



/* &lambda1240 */
obj_t BGl_z62lambda1240z62zz__flac_decoderz00(obj_t BgL_envz00_758, obj_t BgL_oz00_759)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_759)))->BgL_z52ratez52));} 

}



/* &<@anonymous:1234> */
obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_760)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1233 */
obj_t BGl_z62lambda1233z62zz__flac_decoderz00(obj_t BgL_envz00_761, obj_t BgL_oz00_762, obj_t BgL_vz00_763)
{
{ /* Llib/flac_decoder.scm 28 */
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_762)))->BgL_z52decoderz52)=((obj_t)BgL_vz00_763),BUNSPEC);} 

}



/* &lambda1232 */
obj_t BGl_z62lambda1232z62zz__flac_decoderz00(obj_t BgL_envz00_764, obj_t BgL_oz00_765)
{
{ /* Llib/flac_decoder.scm 28 */
return 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_765)))->BgL_z52decoderz52);} 

}



/* &<@anonymous:1219> */
obj_t BGl_z62zc3z04anonymousza31219ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_766)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1218 */
obj_t BGl_z62lambda1218z62zz__flac_decoderz00(obj_t BgL_envz00_767, obj_t BgL_oz00_768, obj_t BgL_vz00_769)
{
{ /* Llib/flac_decoder.scm 28 */
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_768)))->BgL_z52bufferz52)=((obj_t)BgL_vz00_769),BUNSPEC);} 

}



/* &lambda1217 */
obj_t BGl_z62lambda1217z62zz__flac_decoderz00(obj_t BgL_envz00_770, obj_t BgL_oz00_771)
{
{ /* Llib/flac_decoder.scm 28 */
return 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_771)))->BgL_z52bufferz52);} 

}



/* &<@anonymous:1206> */
obj_t BGl_z62zc3z04anonymousza31206ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_772)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1205 */
obj_t BGl_z62lambda1205z62zz__flac_decoderz00(obj_t BgL_envz00_773, obj_t BgL_oz00_774, obj_t BgL_vz00_775)
{
{ /* Llib/flac_decoder.scm 28 */
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_774)))->BgL_z52musicz52)=((obj_t)BgL_vz00_775),BUNSPEC);} 

}



/* &lambda1204 */
obj_t BGl_z62lambda1204z62zz__flac_decoderz00(obj_t BgL_envz00_776, obj_t BgL_oz00_777)
{
{ /* Llib/flac_decoder.scm 28 */
return 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_777)))->BgL_z52musicz52);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc1995z00zz__flac_decoderz00, BGl_string1996z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc1997z00zz__flac_decoderz00, BGl_string1998z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc1999z00zz__flac_decoderz00, BGl_string2000z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2001z00zz__flac_decoderz00, BGl_string2002z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2003z00zz__flac_decoderz00, BGl_string2004z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2005z00zz__flac_decoderz00, BGl_string2006z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2007z00zz__flac_decoderz00, BGl_string2008z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2009z00zz__flac_decoderz00, BGl_string2010z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2011z00zz__flac_decoderz00, BGl_string2012z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2013z00zz__flac_decoderz00, BGl_string2014z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2015z00zz__flac_decoderz00, BGl_string2016z00zz__flac_decoderz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2017z00zz__flac_decoderz00, BGl_string2018z00zz__flac_decoderz00);} 

}



/* &flac-decoder-length-1150 */
obj_t BGl_z62flaczd2decoderzd2lengthzd21150zb0zz__flac_decoderz00(obj_t BgL_envz00_798, obj_t BgL_oz00_799)
{
{ /* Llib/flac_decoder.scm 280 */
{ /* Llib/flac_decoder.scm 282 */
 BgL_flacmusicdecoderz00_bglt BgL_i1117z00_917;
BgL_i1117z00_917 = 
((BgL_flacmusicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_799)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 283 */
 BgL_flacdecz00_bglt BgL_i1118z00_918;
BgL_i1118z00_918 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_i1117z00_917))->BgL_z52flacz52)); 
{ /* Llib/flac_decoder.scm 284 */
 obj_t BgL_arg1816z00_919;
BgL_arg1816z00_919 = 
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1118z00_918))->BgL_z52bufferz52); 
return 
BGl_musicbufferzd2lengthzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1816z00_919));} } } } 

}



/* &flac-decoder-seek-fl1148 */
obj_t BGl_z62flaczd2decoderzd2seekzd2fl1148zb0zz__flac_decoderz00(obj_t BgL_envz00_800, obj_t BgL_oz00_801, obj_t BgL_offz00_802)
{
{ /* Llib/flac_decoder.scm 269 */
{ /* Llib/flac_decoder.scm 271 */
 BgL_flacmusicdecoderz00_bglt BgL_i1115z00_921;
BgL_i1115z00_921 = 
((BgL_flacmusicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_801)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 272 */
 bool_t BgL_test2103z00_1412;
{ /* Llib/flac_decoder.scm 272 */
 obj_t BgL_arg1815z00_922;
BgL_arg1815z00_922 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_801)))->BgL_z52bufferz52); 
{ /* Llib/flac_decoder.scm 272 */
 obj_t BgL_classz00_923;
BgL_classz00_923 = BGl_musicbufferz00zz__multimediazd2musicbufzd2; 
if(
BGL_OBJECTP(BgL_arg1815z00_922))
{ /* Llib/flac_decoder.scm 272 */
 BgL_objectz00_bglt BgL_arg1778z00_924;
BgL_arg1778z00_924 = 
(BgL_objectz00_bglt)(BgL_arg1815z00_922); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac_decoder.scm 272 */
 long BgL_idxz00_925;
BgL_idxz00_925 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_924); 
BgL_test2103z00_1412 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_925+1L))==BgL_classz00_923); }  else 
{ /* Llib/flac_decoder.scm 272 */
 bool_t BgL_res1818z00_928;
{ /* Llib/flac_decoder.scm 272 */
 obj_t BgL_oclassz00_929;
{ /* Llib/flac_decoder.scm 272 */
 long BgL_arg1785z00_930;
{ /* Llib/flac_decoder.scm 272 */
 long BgL_arg1786z00_931;
BgL_arg1786z00_931 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_924); 
BgL_arg1785z00_930 = 
(BgL_arg1786z00_931-OBJECT_TYPE); } 
BgL_oclassz00_929 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_930); } 
{ /* Llib/flac_decoder.scm 272 */
 bool_t BgL__ortest_1114z00_932;
BgL__ortest_1114z00_932 = 
(BgL_classz00_923==BgL_oclassz00_929); 
if(BgL__ortest_1114z00_932)
{ /* Llib/flac_decoder.scm 272 */
BgL_res1818z00_928 = BgL__ortest_1114z00_932; }  else 
{ /* Llib/flac_decoder.scm 272 */
 long BgL_odepthz00_933;
BgL_odepthz00_933 = 
BGL_CLASS_DEPTH(BgL_oclassz00_929); 
if(
(1L<BgL_odepthz00_933))
{ /* Llib/flac_decoder.scm 272 */
 obj_t BgL_arg1775z00_934;
BgL_arg1775z00_934 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_929, 1L); 
BgL_res1818z00_928 = 
(BgL_arg1775z00_934==BgL_classz00_923); }  else 
{ /* Llib/flac_decoder.scm 272 */
BgL_res1818z00_928 = ((bool_t)0); } } } } 
BgL_test2103z00_1412 = BgL_res1818z00_928; } }  else 
{ /* Llib/flac_decoder.scm 272 */
BgL_test2103z00_1412 = ((bool_t)0)
; } } } 
if(BgL_test2103z00_1412)
{ /* Llib/flac_decoder.scm 272 */
{ /* Llib/flac_decoder.scm 273 */
 obj_t BgL_arg1814z00_935;
BgL_arg1814z00_935 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_801)))->BgL_z52bufferz52); 
BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1814z00_935), BgL_offz00_802); } 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_i1115z00_921))->BgL_z52inseekz52)=((obj_t)BFALSE),BUNSPEC); 
return BTRUE;}  else 
{ /* Llib/flac_decoder.scm 272 */
return BFALSE;} } } } 

}



/* &flac-decoder-tell-fl1146 */
obj_t BGl_z62flaczd2decoderzd2tellzd2fl1146zb0zz__flac_decoderz00(obj_t BgL_envz00_803, obj_t BgL_oz00_804)
{
{ /* Llib/flac_decoder.scm 259 */
{ /* Llib/flac_decoder.scm 261 */
 BgL_flacmusicdecoderz00_bglt BgL_i1112z00_937;
BgL_i1112z00_937 = 
((BgL_flacmusicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_804)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 262 */
 BgL_flacdecz00_bglt BgL_i1113z00_938;
BgL_i1113z00_938 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_i1112z00_937))->BgL_z52flacz52)); 
{ /* Llib/flac_decoder.scm 263 */
 bool_t BgL_test2108z00_1444;
{ /* Llib/flac_decoder.scm 263 */
 obj_t BgL_arg1811z00_939;
BgL_arg1811z00_939 = 
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1113z00_938))->BgL_z52bufferz52); 
{ /* Llib/flac_decoder.scm 263 */
 obj_t BgL_classz00_940;
BgL_classz00_940 = BGl_musicbufferz00zz__multimediazd2musicbufzd2; 
if(
BGL_OBJECTP(BgL_arg1811z00_939))
{ /* Llib/flac_decoder.scm 263 */
 BgL_objectz00_bglt BgL_arg1778z00_941;
BgL_arg1778z00_941 = 
(BgL_objectz00_bglt)(BgL_arg1811z00_939); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac_decoder.scm 263 */
 long BgL_idxz00_942;
BgL_idxz00_942 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_941); 
BgL_test2108z00_1444 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_942+1L))==BgL_classz00_940); }  else 
{ /* Llib/flac_decoder.scm 263 */
 bool_t BgL_res1817z00_945;
{ /* Llib/flac_decoder.scm 263 */
 obj_t BgL_oclassz00_946;
{ /* Llib/flac_decoder.scm 263 */
 long BgL_arg1785z00_947;
{ /* Llib/flac_decoder.scm 263 */
 long BgL_arg1786z00_948;
BgL_arg1786z00_948 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_941); 
BgL_arg1785z00_947 = 
(BgL_arg1786z00_948-OBJECT_TYPE); } 
BgL_oclassz00_946 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_947); } 
{ /* Llib/flac_decoder.scm 263 */
 bool_t BgL__ortest_1114z00_949;
BgL__ortest_1114z00_949 = 
(BgL_classz00_940==BgL_oclassz00_946); 
if(BgL__ortest_1114z00_949)
{ /* Llib/flac_decoder.scm 263 */
BgL_res1817z00_945 = BgL__ortest_1114z00_949; }  else 
{ /* Llib/flac_decoder.scm 263 */
 long BgL_odepthz00_950;
BgL_odepthz00_950 = 
BGL_CLASS_DEPTH(BgL_oclassz00_946); 
if(
(1L<BgL_odepthz00_950))
{ /* Llib/flac_decoder.scm 263 */
 obj_t BgL_arg1775z00_951;
BgL_arg1775z00_951 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_946, 1L); 
BgL_res1817z00_945 = 
(BgL_arg1775z00_951==BgL_classz00_940); }  else 
{ /* Llib/flac_decoder.scm 263 */
BgL_res1817z00_945 = ((bool_t)0); } } } } 
BgL_test2108z00_1444 = BgL_res1817z00_945; } }  else 
{ /* Llib/flac_decoder.scm 263 */
BgL_test2108z00_1444 = ((bool_t)0)
; } } } 
if(BgL_test2108z00_1444)
{ /* Llib/flac_decoder.scm 264 */
 obj_t BgL_arg1810z00_952;
BgL_arg1810z00_952 = 
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1113z00_938))->BgL_z52bufferz52); 
return 
BGl_musicbufferzd2tellzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1810z00_952));}  else 
{ /* Llib/flac_decoder.scm 263 */
return BFALSE;} } } } } 

}



/* &flac-decoder-read-fl1144 */
obj_t BGl_z62flaczd2decoderzd2readzd2fl1144zb0zz__flac_decoderz00(obj_t BgL_envz00_805, obj_t BgL_oz00_806, obj_t BgL_siza7eza7_807)
{
{ /* Llib/flac_decoder.scm 149 */
{ /* Llib/flac_decoder.scm 150 */
 long BgL_siza7eza7_954;
BgL_siza7eza7_954 = 
(long)CINT(BgL_siza7eza7_807); 
{ /* Llib/flac_decoder.scm 152 */
 BgL_musicdecoderz00_bglt BgL_i1104z00_955;
BgL_i1104z00_955 = 
((BgL_musicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 153 */
 BgL_musicbufferz00_bglt BgL_i1105z00_956;
BgL_i1105z00_956 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52bufferz52)); 
{ /* Llib/flac_decoder.scm 153 */
 long BgL_inlenz00_957;
BgL_inlenz00_957 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52inlenz52); 
{ /* Llib/flac_decoder.scm 161 */
 char * BgL_flacbufz00_958;
{ /* Llib/flac_decoder.scm 161 */
 obj_t BgL_arg1807z00_959;
BgL_arg1807z00_959 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_806))))->BgL_z52flacbufz52); 
BgL_flacbufz00_958 = 
CUSTOM_IDENTIFIER(BgL_arg1807z00_959); } 
{ 

{ 

{ 
 long BgL_siza7eza7_972;
{ 
 long BgL_siza7eza7_987; long BgL_iz00_988;
BgL_siza7eza7_987 = BgL_siza7eza7_954; 
BgL_iz00_988 = 0L; 
BgL_loopz00_986:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_955))->BgL_z52z12dpausez40))
{ /* Llib/flac_decoder.scm 208 */
{ /* Llib/flac_decoder.scm 209 */
 obj_t BgL_arg1544z00_989;
BgL_arg1544z00_989 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1544z00_989), 
CNST_TABLE_REF(14L)); } 
{ /* Llib/flac_decoder.scm 211 */
 BgL_musicz00_bglt BgL_i1107z00_990;
BgL_i1107z00_990 = 
((BgL_musicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52musicz52)); 
{ /* Llib/flac_decoder.scm 212 */
 BgL_musicstatusz00_bglt BgL_i1108z00_991;
BgL_i1108z00_991 = 
(((BgL_musicz00_bglt)COBJECT(BgL_i1107z00_990))->BgL_z52statusz52); 
{ 
 obj_t BgL_auxz00_1491;
{ /* Llib/flac_decoder.scm 214 */
 obj_t BgL_arg1545z00_992; obj_t BgL_arg1552z00_993;
BgL_arg1545z00_992 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52decoderz52); 
BgL_arg1552z00_993 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52bufferz52); 
BgL_auxz00_1491 = 
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_arg1545z00_992), 
((BgL_musicbufferz00_bglt)BgL_arg1552z00_993))); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1108z00_991))->BgL_songposz00)=((obj_t)BgL_auxz00_1491),BUNSPEC); } } } 
{ /* Llib/flac_decoder.scm 215 */
 obj_t BgL_mutex1553z00_994;
BgL_mutex1553z00_994 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_955))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1553z00_994); 
{ /* Llib/flac_decoder.scm 215 */
 bool_t BgL_tmp2114z00_1502;
{ 

BgL_liipz00_995:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_955))->BgL_z52z12dpausez40))
{ /* Llib/flac_decoder.scm 217 */
{ /* Llib/flac_decoder.scm 218 */
 obj_t BgL_arg1560z00_996; obj_t BgL_arg1561z00_997;
BgL_arg1560z00_996 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_955))->BgL_z52dcondvz52); 
BgL_arg1561z00_997 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_955))->BgL_z52dmutexz52); 
{ /* Llib/flac_decoder.scm 218 */

BGL_CONDVAR_WAIT(BgL_arg1560z00_996, BgL_arg1561z00_997); } } 
goto BgL_liipz00_995;}  else 
{ /* Llib/flac_decoder.scm 217 */
BgL_tmp2114z00_1502 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1553z00_994); BgL_tmp2114z00_1502; } } 
{ /* Llib/flac_decoder.scm 220 */
 obj_t BgL_arg1562z00_998;
BgL_arg1562z00_998 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1562z00_998), 
CNST_TABLE_REF(15L)); } 
{ 

goto BgL_loopz00_986;} }  else 
{ /* Llib/flac_decoder.scm 208 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_955))->BgL_z52z12dabortz40))
{ /* Llib/flac_decoder.scm 222 */
return 
BINT(-1L);}  else 
{ /* Llib/flac_decoder.scm 222 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52emptyz52))
{ /* Llib/flac_decoder.scm 225 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52eofz52))
{ /* Llib/flac_decoder.scm 227 */
return BEOF;}  else 
{ /* Llib/flac_decoder.scm 227 */
{ /* Llib/flac_decoder.scm 230 */
 BgL_musicz00_bglt BgL_i1109z00_999;
BgL_i1109z00_999 = 
((BgL_musicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52musicz52)); 
{ 
 int BgL_auxz00_1525;
{ /* Llib/flac_decoder.scm 233 */
 long BgL_tmpz00_1527;
{ /* Llib/flac_decoder.scm 166 */
 BGL_LONGLONG_T BgL_arg1801z00_961;
{ /* Llib/flac_decoder.scm 166 */
 BGL_LONGLONG_T BgL_arg1802z00_962; BGL_LONGLONG_T BgL_arg1803z00_963;
{ /* Llib/flac_decoder.scm 166 */
 BGL_LONGLONG_T BgL_arg1804z00_964;
{ /* Llib/flac_decoder.scm 166 */
 long BgL_arg1805z00_965;
{ /* Llib/flac_decoder.scm 166 */
 obj_t BgL_arg1806z00_966;
BgL_arg1806z00_966 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52bufferz52); 
BgL_arg1805z00_965 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1806z00_966)); } 
BgL_arg1804z00_964 = 
LONG_TO_LLONG(BgL_arg1805z00_965); } 
BgL_arg1802z00_962 = 
(((BGL_LONGLONG_T)100)*BgL_arg1804z00_964); } 
BgL_arg1803z00_963 = 
LONG_TO_LLONG(BgL_inlenz00_957); 
BgL_arg1801z00_961 = 
(BgL_arg1802z00_962/BgL_arg1803z00_963); } 
BgL_tmpz00_1527 = 
LLONG_TO_LONG(BgL_arg1801z00_961); } 
BgL_auxz00_1525 = 
(int)(BgL_tmpz00_1527); } 
((((BgL_musicstatusz00_bglt)COBJECT(
(((BgL_musicz00_bglt)COBJECT(BgL_i1109z00_999))->BgL_z52statusz52)))->BgL_bufferingz00)=((int)BgL_auxz00_1525),BUNSPEC); } } 
{ /* Llib/flac_decoder.scm 234 */
 obj_t BgL_arg1566z00_1000;
BgL_arg1566z00_1000 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1566z00_1000), 
CNST_TABLE_REF(16L)); } 
{ /* Llib/flac_decoder.scm 235 */
 obj_t BgL_mutex1567z00_1001;
BgL_mutex1567z00_1001 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52bmutexz52); 
{ /* Llib/flac_decoder.scm 235 */
 obj_t BgL_top2120z00_1546;
BgL_top2120z00_1546 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1567z00_1001); 
BGL_EXITD_PUSH_PROTECT(BgL_top2120z00_1546, BgL_mutex1567z00_1001); BUNSPEC; 
{ /* Llib/flac_decoder.scm 235 */
 bool_t BgL_tmp2119z00_1545;
{ /* Llib/flac_decoder.scm 237 */
 bool_t BgL_test2121z00_1550;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52emptyz52))
{ /* Llib/flac_decoder.scm 237 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52eofz52))
{ /* Llib/flac_decoder.scm 237 */
BgL_test2121z00_1550 = ((bool_t)1)
; }  else 
{ /* Llib/flac_decoder.scm 237 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_955))->BgL_z52z12dabortz40))
{ /* Llib/flac_decoder.scm 237 */
BgL_test2121z00_1550 = ((bool_t)1)
; }  else 
{ /* Llib/flac_decoder.scm 237 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52emptyz52))
{ /* Llib/flac_decoder.scm 171 */
BgL_test2121z00_1550 = ((bool_t)0)
; }  else 
{ /* Llib/flac_decoder.scm 172 */
 long BgL_arg1792z00_968;
{ /* Llib/flac_decoder.scm 172 */
 long BgL_arg1793z00_969;
{ /* Llib/flac_decoder.scm 172 */
 obj_t BgL_arg1799z00_970;
BgL_arg1799z00_970 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52bufferz52); 
BgL_arg1793z00_969 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1799z00_970)); } 
BgL_arg1792z00_968 = 
(4L*BgL_arg1793z00_969); } 
BgL_test2121z00_1550 = 
(BgL_arg1792z00_968>BgL_inlenz00_957); } } } }  else 
{ /* Llib/flac_decoder.scm 237 */
BgL_test2121z00_1550 = ((bool_t)1)
; } 
if(BgL_test2121z00_1550)
{ /* Llib/flac_decoder.scm 237 */
BgL_tmp2119z00_1545 = ((bool_t)0); }  else 
{ /* Llib/flac_decoder.scm 241 */
 obj_t BgL_arg1581z00_1002; obj_t BgL_arg1582z00_1003;
BgL_arg1581z00_1002 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52bcondvz52); 
BgL_arg1582z00_1003 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52bmutexz52); 
{ /* Llib/flac_decoder.scm 241 */

BgL_tmp2119z00_1545 = 
BGL_CONDVAR_WAIT(BgL_arg1581z00_1002, BgL_arg1582z00_1003); } } } 
BGL_EXITD_POP_PROTECT(BgL_top2120z00_1546); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1567z00_1001); BgL_tmp2119z00_1545; } } } 
{ /* Llib/flac_decoder.scm 242 */
 obj_t BgL_arg1583z00_1004;
BgL_arg1583z00_1004 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1583z00_1004), 
CNST_TABLE_REF(15L)); } 
{ 

goto BgL_loopz00_986;} } }  else 
{ /* Llib/flac_decoder.scm 245 */
 long BgL_sz00_1005;
{ /* Llib/flac_decoder.scm 245 */
 long BgL_bz00_1006;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52tailz52)))
{ /* Llib/flac_decoder.scm 246 */
BgL_bz00_1006 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52tailz52)); }  else 
{ /* Llib/flac_decoder.scm 246 */
BgL_bz00_1006 = 
(BgL_inlenz00_957-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52tailz52)); } 
if(
(BgL_siza7eza7_987<BgL_bz00_1006))
{ /* Llib/flac_decoder.scm 246 */
BgL_sz00_1005 = BgL_siza7eza7_987; }  else 
{ /* Llib/flac_decoder.scm 246 */
BgL_sz00_1005 = BgL_bz00_1006; } } 
if(
(BgL_sz00_1005>0L))
{ /* Llib/flac_decoder.scm 249 */
{ /* Llib/flac_decoder.scm 250 */
 char * BgL_arg1585z00_1007; long BgL_arg1597z00_1008;
BgL_arg1585z00_1007 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52inbufpz52); 
BgL_arg1597z00_1008 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52tailz52); 
BGL_FLAC_BLIT_STRING(BgL_arg1585z00_1007, BgL_arg1597z00_1008, BgL_flacbufz00_958, BgL_iz00_988, BgL_sz00_1005); BUNSPEC; } 
BgL_siza7eza7_972 = BgL_sz00_1005; 
{ /* Llib/flac_decoder.scm 176 */
 long BgL_ntailz00_973;
BgL_ntailz00_973 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52tailz52)+BgL_siza7eza7_972); 
if(
(BgL_ntailz00_973==BgL_inlenz00_957))
{ /* Llib/flac_decoder.scm 177 */
BgL_ntailz00_973 = 0L; }  else 
{ /* Llib/flac_decoder.scm 177 */BFALSE; } 
if(
(BgL_ntailz00_973==
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52headz52)))
{ /* Llib/flac_decoder.scm 180 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratez52))<80L))
{ /* Llib/flac_decoder.scm 181 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratez52)=((int)
(int)(80L)),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 181 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 180 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52tailz52)=((long)BgL_ntailz00_973),BUNSPEC); } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52eofz52))
{ /* Llib/flac_decoder.scm 185 */BFALSE; }  else 
{ /* Llib/flac_decoder.scm 188 */
 long BgL_availz00_974;
{ /* Llib/flac_decoder.scm 188 */
 obj_t BgL_arg1790z00_975;
BgL_arg1790z00_975 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52bufferz52); 
BgL_availz00_974 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1790z00_975)); } 
{ /* Llib/flac_decoder.scm 188 */
 long BgL_pz00_976;
BgL_pz00_976 = 
(
(BgL_availz00_974*100L)/BgL_inlenz00_957); 
{ /* Llib/flac_decoder.scm 189 */

if(
(BgL_pz00_976<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratez52))))
{ /* Llib/flac_decoder.scm 191 */
{ /* Llib/flac_decoder.scm 193 */
 obj_t BgL_mutex1686z00_977;
BgL_mutex1686z00_977 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52bmutexz52); 
{ /* Llib/flac_decoder.scm 193 */
 obj_t BgL_top2135z00_1623;
BgL_top2135z00_1623 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1686z00_977); 
BGL_EXITD_PUSH_PROTECT(BgL_top2135z00_1623, BgL_mutex1686z00_977); BUNSPEC; 
{ /* Llib/flac_decoder.scm 193 */
 bool_t BgL_tmp2134z00_1622;
if(BGl_musicbufzd2debugzd2zz__flac_decoderz00)
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1688z00_978; obj_t BgL_arg1702z00_979;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_tmpz00_1628;
BgL_tmpz00_1628 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1688z00_978 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1628); } 
BgL_arg1702z00_979 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_urlz00); 
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_list1703z00_980;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1704z00_981;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1705z00_982;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1706z00_983;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1707z00_984;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1710z00_985;
BgL_arg1710z00_985 = 
MAKE_YOUNG_PAIR(BgL_arg1702z00_979, BNIL); 
BgL_arg1707z00_984 = 
MAKE_YOUNG_PAIR(BGl_string2019z00zz__flac_decoderz00, BgL_arg1710z00_985); } 
BgL_arg1706z00_983 = 
MAKE_YOUNG_PAIR(BGl_string2020z00zz__flac_decoderz00, BgL_arg1707z00_984); } 
BgL_arg1705z00_982 = 
MAKE_YOUNG_PAIR(
BINT(195L), BgL_arg1706z00_983); } 
BgL_arg1704z00_981 = 
MAKE_YOUNG_PAIR(BGl_string2021z00zz__flac_decoderz00, BgL_arg1705z00_982); } 
BgL_list1703z00_980 = 
MAKE_YOUNG_PAIR(BGl_string1956z00zz__flac_decoderz00, BgL_arg1704z00_981); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1688z00_978, BgL_list1703z00_980); } }  else 
{ /* Llib/flac_decoder.scm 194 */BFALSE; } 
{ /* Llib/flac_decoder.scm 196 */
 obj_t BgL_tmpz00_1640;
BgL_tmpz00_1640 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_956))->BgL_z52bcondvz52); 
BgL_tmp2134z00_1622 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1640); } 
BGL_EXITD_POP_PROTECT(BgL_top2135z00_1623); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1686z00_977); BgL_tmp2134z00_1622; } } } 
{ /* Llib/flac_decoder.scm 197 */
 bool_t BgL_test2137z00_1645;
if(
(BgL_pz00_976<=
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52lastzd2percentagez80))))
{ /* Llib/flac_decoder.scm 197 */
BgL_test2137z00_1645 = 
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratez52))<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratezd2maxz80)))
; }  else 
{ /* Llib/flac_decoder.scm 197 */
BgL_test2137z00_1645 = ((bool_t)0)
; } 
if(BgL_test2137z00_1645)
{ /* Llib/flac_decoder.scm 197 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratez52))+10L))),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 197 */BFALSE; } } }  else 
{ /* Llib/flac_decoder.scm 191 */
if(
(BgL_pz00_976>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_decoder.scm 199 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratez52))>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_decoder.scm 200 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52ratez52))-1L))),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 200 */BFALSE; } }  else 
{ /* Llib/flac_decoder.scm 199 */BFALSE; } } 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52lastzd2percentagez80)=((int)
(int)(BgL_pz00_976)),BUNSPEC); BUNSPEC; } } } }  else 
{ /* Llib/flac_decoder.scm 249 */BFALSE; } 
if(
(BgL_sz00_1005<BgL_siza7eza7_987))
{ 
 long BgL_iz00_1692; long BgL_siza7eza7_1690;
BgL_siza7eza7_1690 = 
(BgL_siza7eza7_987-BgL_sz00_1005); 
BgL_iz00_1692 = 
(BgL_iz00_988+BgL_sz00_1005); 
BgL_iz00_988 = BgL_iz00_1692; 
BgL_siza7eza7_987 = BgL_siza7eza7_1690; 
goto BgL_loopz00_986;}  else 
{ /* Llib/flac_decoder.scm 252 */
return 
BINT(
(BgL_iz00_988+BgL_sz00_1005));} } } } } } } } } } } } } } 

}



/* &musicdecoder-seek-fl1142 */
obj_t BGl_z62musicdecoderzd2seekzd2fl1142z62zz__flac_decoderz00(obj_t BgL_envz00_808, obj_t BgL_oz00_809, obj_t BgL_secz00_810)
{
{ /* Llib/flac_decoder.scm 136 */
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_809)))->BgL_z52inseekz52)))
{ /* Llib/flac_decoder.scm 138 */
return BFALSE;}  else 
{ /* Llib/flac_decoder.scm 138 */
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_809)))->BgL_z52inseekz52)=((obj_t)BTRUE),BUNSPEC); 
{ /* Llib/flac_decoder.scm 140 */
 BgL_flacdecz00_bglt BgL_i1102z00_1010;
BgL_i1102z00_1010 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_809)))->BgL_z52flacz52)); 
{ /* Llib/flac_decoder.scm 141 */
 unsigned long BgL_bpsz00_1011;
{ /* Llib/flac_decoder.scm 141 */
 FLAC__StreamDecoder * BgL_arg1532z00_1012;
BgL_arg1532z00_1012 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_i1102z00_1010)))->BgL_z42builtinz42); 
BgL_bpsz00_1011 = 
FLAC__stream_decoder_get_bits_per_sample(BgL_arg1532z00_1012); } 
{ /* Llib/flac_decoder.scm 141 */
 unsigned long BgL_sratez00_1013;
{ /* Llib/flac_decoder.scm 142 */
 FLAC__StreamDecoder * BgL_arg1528z00_1014;
BgL_arg1528z00_1014 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_i1102z00_1010)))->BgL_z42builtinz42); 
BgL_sratez00_1013 = 
FLAC__stream_decoder_get_sample_rate(BgL_arg1528z00_1014); } 
{ /* Llib/flac_decoder.scm 142 */
 BGL_LONGLONG_T BgL_offz00_1015;
{ /* Llib/flac_decoder.scm 143 */
 BGL_LONGLONG_T BgL_arg1444z00_1016; BGL_LONGLONG_T BgL_arg1523z00_1017;
{ /* Llib/flac_decoder.scm 143 */
 long BgL_tmpz00_1711;
BgL_tmpz00_1711 = 
(long)(BgL_sratez00_1013); 
BgL_arg1444z00_1016 = 
LONG_TO_LLONG(BgL_tmpz00_1711); } 
{ /* Llib/flac_decoder.scm 143 */
 long BgL_tmpz00_1714;
BgL_tmpz00_1714 = 
(long)CINT(BgL_secz00_810); 
BgL_arg1523z00_1017 = 
LONG_TO_LLONG(BgL_tmpz00_1714); } 
BgL_offz00_1015 = 
(BgL_arg1444z00_1016*BgL_arg1523z00_1017); } 
{ /* Llib/flac_decoder.scm 143 */

{ /* Llib/flac_decoder.scm 144 */
 FLAC__StreamDecoder * BgL_arg1443z00_1018;
BgL_arg1443z00_1018 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_i1102z00_1010)))->BgL_z42builtinz42); 
{ /* Llib/flac_decoder.scm 144 */
 long BgL_tmpz00_1720;
{ /* Llib/flac_decoder.scm 144 */
 unsigned BGL_LONGLONG_T BgL_tmpz00_1721;
BgL_tmpz00_1721 = 
(unsigned BGL_LONGLONG_T)(BgL_offz00_1015); 
BgL_tmpz00_1720 = 
FLAC__stream_decoder_seek_absolute(BgL_arg1443z00_1018, BgL_tmpz00_1721); } 
return 
BINT(BgL_tmpz00_1720);} } } } } } } } } 

}



/* &musicdecoder-volume-1140 */
obj_t BGl_z62musicdecoderzd2volumezd21140z62zz__flac_decoderz00(obj_t BgL_envz00_811, obj_t BgL_oz00_812, obj_t BgL_volz00_813)
{
{ /* Llib/flac_decoder.scm 129 */
{ /* Llib/flac_decoder.scm 131 */
 obj_t BgL_arg1372z00_1020;
BgL_arg1372z00_1020 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_812)))->BgL_z52flacz52); 
return 
BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1372z00_1020), BgL_volz00_813);} } 

}



/* &musicdecoder-info-fl1138 */
obj_t BGl_z62musicdecoderzd2infozd2fl1138z62zz__flac_decoderz00(obj_t BgL_envz00_814, obj_t BgL_oz00_815)
{
{ /* Llib/flac_decoder.scm 122 */
{ /* Llib/flac_decoder.scm 123 */
 long BgL_tmpz00_1729;
{ /* Llib/flac_decoder.scm 124 */
 obj_t BgL_arg1371z00_1022;
BgL_arg1371z00_1022 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_815)))->BgL_z52flacz52); 
BgL_tmpz00_1729 = 
BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1371z00_1022)); } 
return 
BINT(BgL_tmpz00_1729);} } 

}



/* &musicdecoder-positio1136 */
obj_t BGl_z62musicdecoderzd2positio1136zb0zz__flac_decoderz00(obj_t BgL_envz00_816, obj_t BgL_oz00_817, obj_t BgL_abufz00_818)
{
{ /* Llib/flac_decoder.scm 115 */
{ /* Llib/flac_decoder.scm 116 */
 long BgL_tmpz00_1735;
{ /* Llib/flac_decoder.scm 117 */
 obj_t BgL_arg1370z00_1024;
BgL_arg1370z00_1024 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_817)))->BgL_z52flacz52); 
BgL_tmpz00_1735 = 
BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1370z00_1024)); } 
return 
BINT(BgL_tmpz00_1735);} } 

}



/* &musicdecoder-reset!-1134 */
obj_t BGl_z62musicdecoderzd2resetz12zd21134z70zz__flac_decoderz00(obj_t BgL_envz00_819, obj_t BgL_oz00_820)
{
{ /* Llib/flac_decoder.scm 107 */
{ 

{ /* Llib/flac_decoder.scm 109 */
 obj_t BgL_arg1369z00_1028;
BgL_arg1369z00_1028 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_820)))->BgL_z52flacz52); 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1369z00_1028)); } 
{ /* Llib/flac_decoder.scm 107 */
 obj_t BgL_nextzd2method1133zd2_1027;
BgL_nextzd2method1133zd2_1027 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_820)), BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1133zd2_1027))(BgL_nextzd2method1133zd2_1027, 
((obj_t)
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_820)), BEOA);} } } 

}



/* &flac-decoder-write-f1132 */
obj_t BGl_z62flaczd2decoderzd2writezd2f1132zb0zz__flac_decoderz00(obj_t BgL_envz00_821, obj_t BgL_oz00_822, obj_t BgL_siza7eza7_823, obj_t BgL_ratez00_824, obj_t BgL_channelsz00_825, obj_t BgL_bpsz00_826)
{
{ /* Llib/flac_decoder.scm 98 */
if(
(
(long)CINT(BgL_siza7eza7_823)>0L))
{ /* Llib/flac_decoder.scm 100 */
{ /* Llib/flac_decoder.scm 101 */
 obj_t BgL_arg1367z00_1030; obj_t BgL_arg1368z00_1031;
BgL_arg1367z00_1030 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_822)))->BgL_z52musicz52); 
BgL_arg1368z00_1031 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_822))))->BgL_outbufz00); 
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_arg1367z00_1030), BgL_arg1368z00_1031, 
(long)CINT(BgL_siza7eza7_823)); } 
return BTRUE;}  else 
{ /* Llib/flac_decoder.scm 100 */
return BFALSE;} } 

}



/* &flac-decoder-reset!-1130 */
obj_t BGl_z62flaczd2decoderzd2resetz12zd21130za2zz__flac_decoderz00(obj_t BgL_envz00_827, obj_t BgL_oz00_828)
{
{ /* Llib/flac_decoder.scm 87 */
{ 

((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_828)))->BgL_z52ratez52)=((int)
(int)(80L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_828)))->BgL_z52lastzd2percentagez80)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_828))))->BgL_z52bchecksumz52)=((int)
(int)(128L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_828))))->BgL_z52rchecksumz52)=((int)
(int)(128L)),BUNSPEC); 
{ /* Llib/flac_decoder.scm 87 */
 obj_t BgL_nextzd2method1129zd2_1034;
BgL_nextzd2method1129zd2_1034 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_828)), BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1129zd2_1034))(BgL_nextzd2method1129zd2_1034, 
((obj_t)
((BgL_flacdecz00_bglt)BgL_oz00_828)), BEOA);} } } 

}



/* &musicdecoder-init-fl1128 */
obj_t BGl_z62musicdecoderzd2initzd2fl1128z62zz__flac_decoderz00(obj_t BgL_envz00_829, obj_t BgL_decz00_830)
{
{ /* Llib/flac_decoder.scm 79 */
if(
NULLP(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_830))))->BgL_mimetypesz00)))
{ /* Llib/flac_decoder.scm 81 */
return 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_830))))->BgL_mimetypesz00)=((obj_t)
CNST_TABLE_REF(17L)),BUNSPEC);}  else 
{ /* Llib/flac_decoder.scm 81 */
return BFALSE;} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__flac_flacz00(107017853L, 
BSTRING_TO_STRING(BGl_string2022z00zz__flac_decoderz00));} 

}

#ifdef __cplusplus
}
#endif
