/*===========================================================================*/
/*   (SawJvm/compile.scm)                                                    */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawJvm/compile.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_JVM_COMPILE_TYPE_DEFINITIONS
#define BGL_SAW_JVM_COMPILE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;


#endif													// BGL_SAW_JVM_COMPILE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00 = BUNSPEC;
	extern obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00(void);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	extern obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_compilez00(void);
	static obj_t BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_constructorz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static bool_t BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_compilez00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_compilez00(void);
	extern obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt, BgL_globalz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t, BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_compilezd2slotzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_slotz00_bglt);
	extern obj_t BGl_openzd2globalzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_compilez00(void);
	extern obj_t BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	extern obj_t BGl_closezd2classzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(BgL_backendz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t);
	extern obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2cinitzd2moduleza2z00zzengine_paramz00;
	extern obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_za2jvmzd2catchza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(void);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_closezd2modulezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_compilez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00(void);
	extern obj_t BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00(void);
	extern obj_t
		BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_jvmz00_bglt);
	static obj_t BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t);
	static bool_t BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00(void);
	extern obj_t BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		obj_t);
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_openzd2classzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt, obj_t);
	extern obj_t BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	extern obj_t BGl_openzd2modulezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	static obj_t BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t __cnst[74];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_saw_jvmzd2compilezd2envz00zzsaw_jvm_compilez00,
		BgL_bgl_za762saw_jvmza7d2com2015z00,
		BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2010z00zzsaw_jvm_compilez00,
		BgL_bgl_string2010za700za7za7s2016za7, "emit-cnst", 9);
	      DEFINE_STRING(BGl_string2011z00zzsaw_jvm_compilez00,
		BgL_bgl_string2011za700za7za7s2017za7, "Unknown cnst class", 18);
	      DEFINE_STRING(BGl_string2012z00zzsaw_jvm_compilez00,
		BgL_bgl_string2012za700za7za7s2018za7, "saw_jvm_compile", 15);
	      DEFINE_STRING(BGl_string2013z00zzsaw_jvm_compilez00,
		BgL_bgl_string2013za700za7za7s2019za7,
		"dlopen (aastore) (dastore) (fastore) (lastore) (iastore) (sastore) (castore) (bastore) anewarray newarray float char boolean stvector sgfun (putfield procenv) slfun selfun (putfield procarity) (putfield procindex) (invokespecial init) (dup) (new me) sfun (invokestatic BGL_INT8_TO_BINT8) byte suint8 sint8 (invokestatic BGL_INT16_TO_BINT16) short suint16 sint16 (invokestatic BGL_INT32_TO_BINT32) int suint32 sint32 (invokestatic BGL_INT64_TO_BINT64) suint64 sint64 (invokestatic llong_to_bllong) sllong (invokestatic elong_to_belong) long selong (invokestatic double_to_real) double sreal (invokestatic getbytes) sstring module-initialization (aconst_null) (iconst_0) putstatic (anewarray obj) (putstatic myname) (invokestatic foreign-print) ldc clinit (invokespecial super-init) (aload this) (this) init (invokestatic internalerror) catch (return) (pop) bigloo_main (invokestatic listargv) (aload argv) from (handler from catch catch throwable) (argv) main ",
		959);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long
		BgL_checksumz00_3636, char *BgL_fromz00_3637)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00();
					BGl_cnstzd2initzd2zzsaw_jvm_compilez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_compilez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_jvm_compile");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			{	/* SawJvm/compile.scm 1 */
				obj_t BgL_cportz00_3625;

				{	/* SawJvm/compile.scm 1 */
					obj_t BgL_stringz00_3632;

					BgL_stringz00_3632 = BGl_string2013z00zzsaw_jvm_compilez00;
					{	/* SawJvm/compile.scm 1 */
						obj_t BgL_startz00_3633;

						BgL_startz00_3633 = BINT(0L);
						{	/* SawJvm/compile.scm 1 */
							obj_t BgL_endz00_3634;

							BgL_endz00_3634 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3632)));
							{	/* SawJvm/compile.scm 1 */

								BgL_cportz00_3625 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3632, BgL_startz00_3633, BgL_endz00_3634);
				}}}}
				{
					long BgL_iz00_3626;

					BgL_iz00_3626 = 73L;
				BgL_loopz00_3627:
					if ((BgL_iz00_3626 == -1L))
						{	/* SawJvm/compile.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/compile.scm 1 */
							{	/* SawJvm/compile.scm 1 */
								obj_t BgL_arg2014z00_3628;

								{	/* SawJvm/compile.scm 1 */

									{	/* SawJvm/compile.scm 1 */
										obj_t BgL_locationz00_3630;

										BgL_locationz00_3630 = BBOOL(((bool_t) 0));
										{	/* SawJvm/compile.scm 1 */

											BgL_arg2014z00_3628 =
												BGl_readz00zz__readerz00(BgL_cportz00_3625,
												BgL_locationz00_3630);
										}
									}
								}
								{	/* SawJvm/compile.scm 1 */
									int BgL_tmpz00_3667;

									BgL_tmpz00_3667 = (int) (BgL_iz00_3626);
									CNST_TABLE_SET(BgL_tmpz00_3667, BgL_arg2014z00_3628);
							}}
							{	/* SawJvm/compile.scm 1 */
								int BgL_auxz00_3631;

								BgL_auxz00_3631 = (int) ((BgL_iz00_3626 - 1L));
								{
									long BgL_iz00_3672;

									BgL_iz00_3672 = (long) (BgL_auxz00_3631);
									BgL_iz00_3626 = BgL_iz00_3672;
									goto BgL_loopz00_3627;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* saw_jvm-compile */
	BGL_EXPORTED_DEF obj_t
		BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_13)
	{
		{	/* SawJvm/compile.scm 40 */
			BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_mez00_13);
			{	/* SawJvm/compile.scm 42 */
				obj_t BgL_g1628z00_2683;

				BgL_g1628z00_2683 = BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
				{
					obj_t BgL_l1626z00_2685;

					BgL_l1626z00_2685 = BgL_g1628z00_2683;
				BgL_zc3z04anonymousza31676ze3z87_2686:
					if (PAIRP(BgL_l1626z00_2685))
						{	/* SawJvm/compile.scm 42 */
							BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_mez00_13,
								CAR(BgL_l1626z00_2685));
							{
								obj_t BgL_l1626z00_3681;

								BgL_l1626z00_3681 = CDR(BgL_l1626z00_2685);
								BgL_l1626z00_2685 = BgL_l1626z00_3681;
								goto BgL_zc3z04anonymousza31676ze3z87_2686;
							}
						}
					else
						{	/* SawJvm/compile.scm 42 */
							((bool_t) 1);
						}
				}
			}
			BGL_TAIL return BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_mez00_13);
		}

	}



/* &saw_jvm-compile */
	obj_t BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00(obj_t BgL_envz00_3622,
		obj_t BgL_mez00_3623)
	{
		{	/* SawJvm/compile.scm 40 */
			return
				BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(
				((BgL_jvmz00_bglt) BgL_mez00_3623));
		}

	}



/* compile-class */
	obj_t BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_14,
		obj_t BgL_cz00_15)
	{
		{	/* SawJvm/compile.scm 48 */
			{	/* SawJvm/compile.scm 49 */
				BgL_typez00_bglt BgL_arg1684z00_2691;

				BgL_arg1684z00_2691 =
					BGl_getzd2itszd2superz00zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_15));
				BGl_openzd2classzd2zzsaw_jvm_outz00(BgL_mez00_14,
					((BgL_typez00_bglt) BgL_cz00_15), ((obj_t) BgL_arg1684z00_2691));
			}
			{	/* SawJvm/compile.scm 50 */
				obj_t BgL_g1631z00_2692;

				BgL_g1631z00_2692 =
					BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_15));
				{
					obj_t BgL_l1629z00_2694;

					BgL_l1629z00_2694 = BgL_g1631z00_2692;
				BgL_zc3z04anonymousza31685ze3z87_2695:
					if (PAIRP(BgL_l1629z00_2694))
						{	/* SawJvm/compile.scm 50 */
							{	/* SawJvm/compile.scm 50 */
								obj_t BgL_fz00_2697;

								BgL_fz00_2697 = CAR(BgL_l1629z00_2694);
								BGl_compilezd2slotzd2zzsaw_jvm_outz00(BgL_mez00_14,
									((BgL_slotz00_bglt) BgL_fz00_2697));
							}
							{
								obj_t BgL_l1629z00_3698;

								BgL_l1629z00_3698 = CDR(BgL_l1629z00_2694);
								BgL_l1629z00_2694 = BgL_l1629z00_3698;
								goto BgL_zc3z04anonymousza31685ze3z87_2695;
							}
						}
					else
						{	/* SawJvm/compile.scm 50 */
							((bool_t) 1);
						}
				}
			}
			BGl_constructorz00zzsaw_jvm_compilez00(BgL_mez00_14);
			return
				BGl_closezd2classzd2zzsaw_jvm_outz00(BgL_mez00_14,
				((BgL_typez00_bglt) BgL_cz00_15));
		}

	}



/* compile-module */
	obj_t BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_16)
	{
		{	/* SawJvm/compile.scm 57 */
			BGl_openzd2modulezd2zzsaw_jvm_outz00(BgL_mez00_16);
			{	/* SawJvm/compile.scm 59 */
				obj_t BgL_g1634z00_2700;

				BgL_g1634z00_2700 =
					BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{
					obj_t BgL_l1632z00_2702;

					BgL_l1632z00_2702 = BgL_g1634z00_2700;
				BgL_zc3z04anonymousza31691ze3z87_2703:
					if (PAIRP(BgL_l1632z00_2702))
						{	/* SawJvm/compile.scm 60 */
							{	/* SawJvm/compile.scm 59 */
								obj_t BgL_vz00_2705;

								BgL_vz00_2705 = CAR(BgL_l1632z00_2702);
								BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_16,
									((BgL_globalz00_bglt) BgL_vz00_2705));
							}
							{
								obj_t BgL_l1632z00_3710;

								BgL_l1632z00_3710 = CDR(BgL_l1632z00_2702);
								BgL_l1632z00_2702 = BgL_l1632z00_3710;
								goto BgL_zc3z04anonymousza31691ze3z87_2703;
							}
						}
					else
						{	/* SawJvm/compile.scm 60 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawJvm/compile.scm 61 */
				bool_t BgL_test2025z00_3712;

				{	/* SawJvm/compile.scm 61 */
					obj_t BgL_arg1706z00_2711;

					BgL_arg1706z00_2711 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
					BgL_test2025z00_3712 = ((long) CINT(BgL_arg1706z00_2711) > 0L);
				}
				if (BgL_test2025z00_3712)
					{	/* SawJvm/compile.scm 61 */
						obj_t BgL_arg1698z00_2710;

						BgL_arg1698z00_2710 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
						BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_16,
							((BgL_globalz00_bglt) BgL_arg1698z00_2710));
					}
				else
					{	/* SawJvm/compile.scm 61 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 62 */
				bool_t BgL_test2026z00_3719;

				{	/* SawJvm/compile.scm 62 */
					obj_t BgL_objz00_3438;

					BgL_objz00_3438 = BGl_za2mainza2z00zzmodule_modulez00;
					{	/* SawJvm/compile.scm 62 */
						obj_t BgL_classz00_3439;

						BgL_classz00_3439 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_3438))
							{	/* SawJvm/compile.scm 62 */
								BgL_objectz00_bglt BgL_arg1801z00_3441;

								BgL_arg1801z00_3441 = (BgL_objectz00_bglt) (BgL_objz00_3438);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/compile.scm 62 */
										long BgL_idxz00_3447;

										BgL_idxz00_3447 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3441);
										BgL_test2026z00_3719 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3447 + 2L)) == BgL_classz00_3439);
									}
								else
									{	/* SawJvm/compile.scm 62 */
										bool_t BgL_res2006z00_3469;

										{	/* SawJvm/compile.scm 62 */
											obj_t BgL_oclassz00_3455;

											{	/* SawJvm/compile.scm 62 */
												long BgL_arg1808z00_3461;

												{	/* SawJvm/compile.scm 62 */
													long BgL_arg1809z00_3462;

													BgL_arg1809z00_3462 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3441);
													BgL_arg1808z00_3461 =
														(BgL_arg1809z00_3462 - OBJECT_TYPE);
												}
												BgL_oclassz00_3455 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1808z00_3461);
											}
											{	/* SawJvm/compile.scm 62 */
												bool_t BgL__ortest_1115z00_3456;

												BgL__ortest_1115z00_3456 =
													(BgL_classz00_3439 == BgL_oclassz00_3455);
												if (BgL__ortest_1115z00_3456)
													{	/* SawJvm/compile.scm 62 */
														BgL_res2006z00_3469 = BgL__ortest_1115z00_3456;
													}
												else
													{	/* SawJvm/compile.scm 62 */
														long BgL_odepthz00_3457;

														BgL_odepthz00_3457 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3455);
														if ((2L < BgL_odepthz00_3457))
															{	/* SawJvm/compile.scm 62 */
																obj_t BgL_arg1797z00_3459;

																BgL_arg1797z00_3459 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3455,
																	2L);
																BgL_res2006z00_3469 =
																	(BgL_arg1797z00_3459 == BgL_classz00_3439);
															}
														else
															{	/* SawJvm/compile.scm 62 */
																BgL_res2006z00_3469 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2026z00_3719 = BgL_res2006z00_3469;
									}
							}
						else
							{	/* SawJvm/compile.scm 62 */
								BgL_test2026z00_3719 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2026z00_3719)
					{	/* SawJvm/compile.scm 62 */
						BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_mez00_16);
					}
				else
					{	/* SawJvm/compile.scm 62 */
						BFALSE;
					}
			}
			BGl_constructorz00zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_mez00_16);
			BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_mez00_16);
			BGL_TAIL return BGl_closezd2modulezd2zzsaw_jvm_outz00(BgL_mez00_16);
		}

	}



/* module-main */
	obj_t BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_17)
	{
		{	/* SawJvm/compile.scm 74 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_17,
				CNST_TABLE_REF(0L));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_17,
				CNST_TABLE_REF(1L), BNIL);
			if (CBOOL(BGl_za2jvmzd2catchza2zd2zzengine_paramz00))
				{	/* SawJvm/compile.scm 77 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(2L));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(3L));
				}
			else
				{	/* SawJvm/compile.scm 77 */
					BFALSE;
				}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(4L));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(5L));
			{	/* SawJvm/compile.scm 82 */
				obj_t BgL_arg1710z00_2713;

				{	/* SawJvm/compile.scm 82 */
					obj_t BgL_list1711z00_2714;

					BgL_list1711z00_2714 =
						MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
					BgL_arg1710z00_2713 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(6L),
						BgL_list1711z00_2714);
				}
				BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_17,
					((BgL_globalz00_bglt) BgL_arg1710z00_2713));
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(7L));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(8L));
			if (CBOOL(BGl_za2jvmzd2catchza2zd2zzengine_paramz00))
				{	/* SawJvm/compile.scm 85 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(9L));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(10L));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, CNST_TABLE_REF(8L));
				}
			else
				{	/* SawJvm/compile.scm 85 */
					BFALSE;
				}
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_17);
		}

	}



/* constructor */
	obj_t BGl_constructorz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_18)
	{
		{	/* SawJvm/compile.scm 94 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_18,
				CNST_TABLE_REF(11L));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_18,
				CNST_TABLE_REF(12L), BNIL);
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(13L));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(14L));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, CNST_TABLE_REF(8L));
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_18);
		}

	}



/* module-init */
	obj_t BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_19)
	{
		{	/* SawJvm/compile.scm 105 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_19,
				CNST_TABLE_REF(15L));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_19, BNIL, BNIL);
			{	/* SawJvm/compile.scm 109 */
				bool_t BgL_test2033z00_3793;

				if (INTEGERP(BGl_za2debugzd2moduleza2zd2zzengine_paramz00))
					{	/* SawJvm/compile.scm 109 */
						BgL_test2033z00_3793 =
							((long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) > 0L);
					}
				else
					{	/* SawJvm/compile.scm 109 */
						BgL_test2033z00_3793 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00
							(BGl_za2debugzd2moduleza2zd2zzengine_paramz00, BINT(0L));
					}
				if (BgL_test2033z00_3793)
					{	/* SawJvm/compile.scm 109 */
						{	/* SawJvm/compile.scm 110 */
							obj_t BgL_arg1714z00_2716;

							{	/* SawJvm/compile.scm 110 */
								obj_t BgL_arg1715z00_2717;

								{	/* SawJvm/compile.scm 110 */
									obj_t BgL_arg1717z00_2718;

									{	/* SawJvm/compile.scm 110 */
										obj_t BgL_symbolz00_3471;

										BgL_symbolz00_3471 = BGl_za2moduleza2z00zzmodule_modulez00;
										{	/* SawJvm/compile.scm 110 */
											obj_t BgL_arg1454z00_3472;

											BgL_arg1454z00_3472 =
												SYMBOL_TO_STRING(BgL_symbolz00_3471);
											BgL_arg1717z00_2718 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1454z00_3472);
										}
									}
									BgL_arg1715z00_2717 =
										MAKE_YOUNG_PAIR(BgL_arg1717z00_2718, BNIL);
								}
								BgL_arg1714z00_2716 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(16L), BgL_arg1715z00_2717);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1714z00_2716);
						}
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(17L));
					}
				else
					{	/* SawJvm/compile.scm 109 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 113 */
				obj_t BgL_arg1718z00_2719;

				{	/* SawJvm/compile.scm 113 */
					obj_t BgL_arg1729z00_2720;

					{	/* SawJvm/compile.scm 113 */
						obj_t BgL_arg1730z00_2721;

						{	/* SawJvm/compile.scm 113 */
							obj_t BgL_symbolz00_3473;

							BgL_symbolz00_3473 = BGl_za2moduleza2z00zzmodule_modulez00;
							{	/* SawJvm/compile.scm 113 */
								obj_t BgL_arg1454z00_3474;

								BgL_arg1454z00_3474 = SYMBOL_TO_STRING(BgL_symbolz00_3473);
								BgL_arg1730z00_2721 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1454z00_3474);
							}
						}
						BgL_arg1729z00_2720 = MAKE_YOUNG_PAIR(BgL_arg1730z00_2721, BNIL);
					}
					BgL_arg1718z00_2719 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(16L), BgL_arg1729z00_2720);
				}
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1718z00_2719);
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(18L));
			{	/* SawJvm/compile.scm 116 */
				obj_t BgL_siza7eza7_2722;

				BgL_siza7eza7_2722 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
				if (((long) CINT(BgL_siza7eza7_2722) > 0L))
					{	/* SawJvm/compile.scm 117 */
						BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_mez00_19, BgL_siza7eza7_2722);
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(19L));
						{	/* SawJvm/compile.scm 120 */
							obj_t BgL_arg1733z00_2724;

							{	/* SawJvm/compile.scm 120 */
								obj_t BgL_arg1734z00_2725;

								{	/* SawJvm/compile.scm 120 */
									obj_t BgL_arg1735z00_2726;

									{	/* SawJvm/compile.scm 120 */
										obj_t BgL_arg1736z00_2727;

										BgL_arg1736z00_2727 =
											BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
										BgL_arg1735z00_2726 =
											BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_19,
											((BgL_globalz00_bglt) BgL_arg1736z00_2727));
									}
									BgL_arg1734z00_2725 =
										MAKE_YOUNG_PAIR(BgL_arg1735z00_2726, BNIL);
								}
								BgL_arg1733z00_2724 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(20L), BgL_arg1734z00_2725);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1733z00_2724);
					}}
				else
					{	/* SawJvm/compile.scm 117 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 122 */
				obj_t BgL_g1637z00_2728;

				BgL_g1637z00_2728 =
					BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{
					obj_t BgL_l1635z00_2730;

					BgL_l1635z00_2730 = BgL_g1637z00_2728;
				BgL_zc3z04anonymousza31737ze3z87_2731:
					if (PAIRP(BgL_l1635z00_2730))
						{	/* SawJvm/compile.scm 123 */
							{	/* SawJvm/compile.scm 122 */
								obj_t BgL_vz00_2733;

								BgL_vz00_2733 = CAR(BgL_l1635z00_2730);
								{	/* SawJvm/compile.scm 122 */
									BgL_valuez00_bglt BgL_arg1739z00_2734;

									BgL_arg1739z00_2734 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_2733))))->
										BgL_valuez00);
									BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_mez00_19,
										BgL_vz00_2733, BgL_arg1739z00_2734);
								}
							}
							{
								obj_t BgL_l1635z00_3838;

								BgL_l1635z00_3838 = CDR(BgL_l1635z00_2730);
								BgL_l1635z00_2730 = BgL_l1635z00_3838;
								goto BgL_zc3z04anonymousza31737ze3z87_2731;
							}
						}
					else
						{	/* SawJvm/compile.scm 123 */
							((bool_t) 1);
						}
				}
			}
			if (CBOOL(BGl_za2jvmzd2cinitzd2moduleza2z00zzengine_paramz00))
				{	/* SawJvm/compile.scm 124 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(21L));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(22L));
					{	/* SawJvm/compile.scm 128 */
						obj_t BgL_arg1745z00_2737;

						{	/* SawJvm/compile.scm 128 */
							obj_t BgL_list1746z00_2738;

							BgL_list1746z00_2738 =
								MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
							BgL_arg1745z00_2737 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(23L),
								BgL_list1746z00_2738);
						}
						BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_19,
							((BgL_globalz00_bglt) BgL_arg1745z00_2737));
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(7L));
				}
			else
				{	/* SawJvm/compile.scm 124 */
					BFALSE;
				}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, CNST_TABLE_REF(8L));
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_19);
		}

	}



/* key-opt? */
	bool_t BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(obj_t BgL_vz00_20)
	{
		{	/* SawJvm/compile.scm 133 */
			{	/* SawJvm/compile.scm 134 */
				BgL_globalz00_bglt BgL_vz00_2739;

				BgL_vz00_2739 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_vz00_20));
				{	/* SawJvm/compile.scm 135 */
					BgL_valuez00_bglt BgL_valz00_2740;

					BgL_valz00_2740 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2739)))->BgL_valuez00);
					{	/* SawJvm/compile.scm 136 */
						bool_t BgL_test2038z00_3860;

						{	/* SawJvm/compile.scm 136 */
							obj_t BgL_classz00_3480;

							BgL_classz00_3480 = BGl_sfunz00zzast_varz00;
							{	/* SawJvm/compile.scm 136 */
								BgL_objectz00_bglt BgL_arg1801z00_3482;

								{	/* SawJvm/compile.scm 136 */
									obj_t BgL_tmpz00_3861;

									BgL_tmpz00_3861 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2740));
									BgL_arg1801z00_3482 = (BgL_objectz00_bglt) (BgL_tmpz00_3861);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/compile.scm 136 */
										long BgL_idxz00_3488;

										BgL_idxz00_3488 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3482);
										BgL_test2038z00_3860 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3488 + 3L)) == BgL_classz00_3480);
									}
								else
									{	/* SawJvm/compile.scm 136 */
										bool_t BgL_res2007z00_3510;

										{	/* SawJvm/compile.scm 136 */
											obj_t BgL_oclassz00_3496;

											{	/* SawJvm/compile.scm 136 */
												long BgL_arg1808z00_3502;

												{	/* SawJvm/compile.scm 136 */
													long BgL_arg1809z00_3503;

													BgL_arg1809z00_3503 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3482);
													BgL_arg1808z00_3502 =
														(BgL_arg1809z00_3503 - OBJECT_TYPE);
												}
												BgL_oclassz00_3496 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1808z00_3502);
											}
											{	/* SawJvm/compile.scm 136 */
												bool_t BgL__ortest_1115z00_3497;

												BgL__ortest_1115z00_3497 =
													(BgL_classz00_3480 == BgL_oclassz00_3496);
												if (BgL__ortest_1115z00_3497)
													{	/* SawJvm/compile.scm 136 */
														BgL_res2007z00_3510 = BgL__ortest_1115z00_3497;
													}
												else
													{	/* SawJvm/compile.scm 136 */
														long BgL_odepthz00_3498;

														BgL_odepthz00_3498 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3496);
														if ((3L < BgL_odepthz00_3498))
															{	/* SawJvm/compile.scm 136 */
																obj_t BgL_arg1797z00_3500;

																BgL_arg1797z00_3500 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3496,
																	3L);
																BgL_res2007z00_3510 =
																	(BgL_arg1797z00_3500 == BgL_classz00_3480);
															}
														else
															{	/* SawJvm/compile.scm 136 */
																BgL_res2007z00_3510 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2038z00_3860 = BgL_res2007z00_3510;
									}
							}
						}
						if (BgL_test2038z00_3860)
							{	/* SawJvm/compile.scm 137 */
								obj_t BgL_cloz00_2742;

								BgL_cloz00_2742 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_valz00_2740)))->
									BgL_thezd2closurezd2globalz00);
								{	/* SawJvm/compile.scm 138 */
									bool_t BgL_oz00_2743;
									bool_t BgL_kz00_2744;

									BgL_oz00_2743 =
										BGl_globalzd2optionalzf3z21zzast_varz00(BgL_cloz00_2742);
									BgL_kz00_2744 =
										BGl_globalzd2keyzf3z21zzast_varz00(BgL_cloz00_2742);
									if (BgL_oz00_2743)
										{	/* SawJvm/compile.scm 139 */
											return BgL_oz00_2743;
										}
									else
										{	/* SawJvm/compile.scm 139 */
											return BgL_kz00_2744;
										}
								}
							}
						else
							{	/* SawJvm/compile.scm 136 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* module-init-cnst */
	obj_t BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_21, obj_t BgL_varz00_22, BgL_valuez00_bglt BgL_valz00_23)
	{
		{	/* SawJvm/compile.scm 141 */
			{	/* SawJvm/compile.scm 143 */
				obj_t BgL_casezd2valuezd2_2747;

				BgL_casezd2valuezd2_2747 =
					(((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_classz00);
				if ((BgL_casezd2valuezd2_2747 == CNST_TABLE_REF(24L)))
					{	/* SawJvm/compile.scm 143 */
						{	/* SawJvm/compile.scm 145 */
							obj_t BgL_arg1750z00_2749;

							BgL_arg1750z00_2749 =
								(((BgL_scnstz00_bglt) COBJECT(
										((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
							BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_21,
								BgL_arg1750z00_2749);
						}
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21, CNST_TABLE_REF(25L));
					}
				else
					{	/* SawJvm/compile.scm 143 */
						if ((BgL_casezd2valuezd2_2747 == CNST_TABLE_REF(26L)))
							{	/* SawJvm/compile.scm 143 */
								{	/* SawJvm/compile.scm 148 */
									obj_t BgL_arg1752z00_2751;

									BgL_arg1752z00_2751 =
										(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
									BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
										BgL_arg1752z00_2751, CNST_TABLE_REF(27L));
								}
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
									CNST_TABLE_REF(28L));
							}
						else
							{	/* SawJvm/compile.scm 143 */
								if ((BgL_casezd2valuezd2_2747 == CNST_TABLE_REF(29L)))
									{	/* SawJvm/compile.scm 143 */
										{	/* SawJvm/compile.scm 151 */
											obj_t BgL_arg1759z00_2753;

											BgL_arg1759z00_2753 =
												(((BgL_scnstz00_bglt) COBJECT(
														((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
											BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
												BgL_arg1759z00_2753, CNST_TABLE_REF(30L));
										}
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
											CNST_TABLE_REF(31L));
									}
								else
									{	/* SawJvm/compile.scm 143 */
										if ((BgL_casezd2valuezd2_2747 == CNST_TABLE_REF(32L)))
											{	/* SawJvm/compile.scm 143 */
												{	/* SawJvm/compile.scm 154 */
													obj_t BgL_arg1763z00_2755;

													BgL_arg1763z00_2755 =
														(((BgL_scnstz00_bglt) COBJECT(
																((BgL_scnstz00_bglt) BgL_valz00_23)))->
														BgL_nodez00);
													BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
														BgL_arg1763z00_2755, CNST_TABLE_REF(30L));
												}
												BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
													CNST_TABLE_REF(33L));
											}
										else
											{	/* SawJvm/compile.scm 143 */
												bool_t BgL_test2047z00_3923;

												{	/* SawJvm/compile.scm 143 */
													bool_t BgL__ortest_1170z00_2848;

													BgL__ortest_1170z00_2848 =
														(BgL_casezd2valuezd2_2747 == CNST_TABLE_REF(34L));
													if (BgL__ortest_1170z00_2848)
														{	/* SawJvm/compile.scm 143 */
															BgL_test2047z00_3923 = BgL__ortest_1170z00_2848;
														}
													else
														{	/* SawJvm/compile.scm 143 */
															BgL_test2047z00_3923 =
																(BgL_casezd2valuezd2_2747 ==
																CNST_TABLE_REF(35L));
														}
												}
												if (BgL_test2047z00_3923)
													{	/* SawJvm/compile.scm 143 */
														{	/* SawJvm/compile.scm 157 */
															obj_t BgL_arg1768z00_2758;

															BgL_arg1768z00_2758 =
																(((BgL_scnstz00_bglt) COBJECT(
																		((BgL_scnstz00_bglt) BgL_valz00_23)))->
																BgL_nodez00);
															BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
																BgL_arg1768z00_2758, CNST_TABLE_REF(30L));
														}
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
															CNST_TABLE_REF(36L));
													}
												else
													{	/* SawJvm/compile.scm 143 */
														bool_t BgL_test2049z00_3935;

														{	/* SawJvm/compile.scm 143 */
															bool_t BgL__ortest_1171z00_2847;

															BgL__ortest_1171z00_2847 =
																(BgL_casezd2valuezd2_2747 ==
																CNST_TABLE_REF(37L));
															if (BgL__ortest_1171z00_2847)
																{	/* SawJvm/compile.scm 143 */
																	BgL_test2049z00_3935 =
																		BgL__ortest_1171z00_2847;
																}
															else
																{	/* SawJvm/compile.scm 143 */
																	BgL_test2049z00_3935 =
																		(BgL_casezd2valuezd2_2747 ==
																		CNST_TABLE_REF(38L));
																}
														}
														if (BgL_test2049z00_3935)
															{	/* SawJvm/compile.scm 143 */
																{	/* SawJvm/compile.scm 160 */
																	obj_t BgL_arg1771z00_2761;

																	BgL_arg1771z00_2761 =
																		(((BgL_scnstz00_bglt) COBJECT(
																				((BgL_scnstz00_bglt) BgL_valz00_23)))->
																		BgL_nodez00);
																	BGl_pushzd2numzd2zzsaw_jvm_outz00
																		(BgL_mez00_21, BgL_arg1771z00_2761,
																		CNST_TABLE_REF(39L));
																}
																BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																	CNST_TABLE_REF(40L));
															}
														else
															{	/* SawJvm/compile.scm 143 */
																bool_t BgL_test2051z00_3947;

																{	/* SawJvm/compile.scm 143 */
																	bool_t BgL__ortest_1172z00_2846;

																	BgL__ortest_1172z00_2846 =
																		(BgL_casezd2valuezd2_2747 ==
																		CNST_TABLE_REF(41L));
																	if (BgL__ortest_1172z00_2846)
																		{	/* SawJvm/compile.scm 143 */
																			BgL_test2051z00_3947 =
																				BgL__ortest_1172z00_2846;
																		}
																	else
																		{	/* SawJvm/compile.scm 143 */
																			BgL_test2051z00_3947 =
																				(BgL_casezd2valuezd2_2747 ==
																				CNST_TABLE_REF(42L));
																		}
																}
																if (BgL_test2051z00_3947)
																	{	/* SawJvm/compile.scm 143 */
																		{	/* SawJvm/compile.scm 163 */
																			obj_t BgL_arg1776z00_2764;

																			BgL_arg1776z00_2764 =
																				(((BgL_scnstz00_bglt) COBJECT(
																						((BgL_scnstz00_bglt)
																							BgL_valz00_23)))->BgL_nodez00);
																			BGl_pushzd2numzd2zzsaw_jvm_outz00
																				(BgL_mez00_21, BgL_arg1776z00_2764,
																				CNST_TABLE_REF(43L));
																		}
																		BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																			CNST_TABLE_REF(44L));
																	}
																else
																	{	/* SawJvm/compile.scm 143 */
																		bool_t BgL_test2053z00_3959;

																		{	/* SawJvm/compile.scm 143 */
																			bool_t BgL__ortest_1173z00_2845;

																			BgL__ortest_1173z00_2845 =
																				(BgL_casezd2valuezd2_2747 ==
																				CNST_TABLE_REF(45L));
																			if (BgL__ortest_1173z00_2845)
																				{	/* SawJvm/compile.scm 143 */
																					BgL_test2053z00_3959 =
																						BgL__ortest_1173z00_2845;
																				}
																			else
																				{	/* SawJvm/compile.scm 143 */
																					BgL_test2053z00_3959 =
																						(BgL_casezd2valuezd2_2747 ==
																						CNST_TABLE_REF(46L));
																				}
																		}
																		if (BgL_test2053z00_3959)
																			{	/* SawJvm/compile.scm 143 */
																				{	/* SawJvm/compile.scm 166 */
																					obj_t BgL_arg1793z00_2767;

																					BgL_arg1793z00_2767 =
																						(((BgL_scnstz00_bglt) COBJECT(
																								((BgL_scnstz00_bglt)
																									BgL_valz00_23)))->
																						BgL_nodez00);
																					BGl_pushzd2numzd2zzsaw_jvm_outz00
																						(BgL_mez00_21, BgL_arg1793z00_2767,
																						CNST_TABLE_REF(47L));
																				}
																				BGl_codez12z12zzsaw_jvm_outz00
																					(BgL_mez00_21, CNST_TABLE_REF(48L));
																			}
																		else
																			{	/* SawJvm/compile.scm 143 */
																				if (
																					(BgL_casezd2valuezd2_2747 ==
																						CNST_TABLE_REF(49L)))
																					{	/* SawJvm/compile.scm 143 */
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(50L));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(51L));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(52L));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(51L));
																						{	/* SawJvm/compile.scm 173 */
																							int BgL_arg1798z00_2769;

																							{
																								BgL_indexedz00_bglt
																									BgL_auxz00_3982;
																								{
																									obj_t BgL_auxz00_3983;

																									{	/* SawJvm/compile.scm 173 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_3984;
																										BgL_tmpz00_3984 =
																											((BgL_objectz00_bglt) (
																												(BgL_globalz00_bglt)
																												BgL_varz00_22));
																										BgL_auxz00_3983 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_3984);
																									}
																									BgL_auxz00_3982 =
																										((BgL_indexedz00_bglt)
																										BgL_auxz00_3983);
																								}
																								BgL_arg1798z00_2769 =
																									(((BgL_indexedz00_bglt)
																										COBJECT(BgL_auxz00_3982))->
																									BgL_indexz00);
																							}
																							BGl_pushzd2intzd2zzsaw_jvm_outz00
																								(BgL_mez00_21,
																								BINT(BgL_arg1798z00_2769));
																						}
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(53L));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(51L));
																						{	/* SawJvm/compile.scm 176 */
																							obj_t BgL_arg1799z00_2770;

																							if (BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(BgL_varz00_22))
																								{	/* SawJvm/compile.scm 176 */
																									BgL_arg1799z00_2770 =
																										BINT(-1L);
																								}
																							else
																								{	/* SawJvm/compile.scm 176 */
																									BgL_arg1799z00_2770 =
																										BGl_globalzd2arityzd2zzbackend_cplibz00
																										(((BgL_globalz00_bglt)
																											BgL_varz00_22));
																								}
																							BGl_pushzd2intzd2zzsaw_jvm_outz00
																								(BgL_mez00_21,
																								BgL_arg1799z00_2770);
																						}
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							CNST_TABLE_REF(54L));
																					}
																				else
																					{	/* SawJvm/compile.scm 143 */
																						if (
																							(BgL_casezd2valuezd2_2747 ==
																								CNST_TABLE_REF(55L)))
																							{	/* SawJvm/compile.scm 143 */
																								BGl_codez12z12zzsaw_jvm_outz00
																									(BgL_mez00_21,
																									CNST_TABLE_REF(22L));
																							}
																						else
																							{	/* SawJvm/compile.scm 143 */
																								if (
																									(BgL_casezd2valuezd2_2747 ==
																										CNST_TABLE_REF(56L)))
																									{	/* SawJvm/compile.scm 143 */
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(50L));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(51L));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(52L));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(51L));
																										{	/* SawJvm/compile.scm 186 */
																											int BgL_arg1816z00_2774;

																											{
																												BgL_indexedz00_bglt
																													BgL_auxz00_4020;
																												{
																													obj_t BgL_auxz00_4021;

																													{	/* SawJvm/compile.scm 186 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_4022;
																														BgL_tmpz00_4022 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_globalz00_bglt) BgL_varz00_22));
																														BgL_auxz00_4021 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_4022);
																													}
																													BgL_auxz00_4020 =
																														(
																														(BgL_indexedz00_bglt)
																														BgL_auxz00_4021);
																												}
																												BgL_arg1816z00_2774 =
																													(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4020))->BgL_indexz00);
																											}
																											BGl_pushzd2intzd2zzsaw_jvm_outz00
																												(BgL_mez00_21,
																												BINT
																												(BgL_arg1816z00_2774));
																										}
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(53L));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(51L));
																										BGl_pushzd2intzd2zzsaw_jvm_outz00
																											(BgL_mez00_21, BINT(0L));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(19L));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											CNST_TABLE_REF(57L));
																									}
																								else
																									{	/* SawJvm/compile.scm 143 */
																										if (
																											(BgL_casezd2valuezd2_2747
																												== CNST_TABLE_REF(58L)))
																											{	/* SawJvm/compile.scm 143 */
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(50L));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(51L));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(52L));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(51L));
																												{	/* SawJvm/compile.scm 197 */
																													int
																														BgL_arg1822z00_2776;
																													{
																														BgL_indexedz00_bglt
																															BgL_auxz00_4051;
																														{
																															obj_t
																																BgL_auxz00_4052;
																															{	/* SawJvm/compile.scm 197 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_4053;
																																BgL_tmpz00_4053
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_globalz00_bglt) BgL_varz00_22));
																																BgL_auxz00_4052
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_4053);
																															}
																															BgL_auxz00_4051 =
																																(
																																(BgL_indexedz00_bglt)
																																BgL_auxz00_4052);
																														}
																														BgL_arg1822z00_2776
																															=
																															(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4051))->BgL_indexz00);
																													}
																													BGl_pushzd2intzd2zzsaw_jvm_outz00
																														(BgL_mez00_21,
																														BINT
																														(BgL_arg1822z00_2776));
																												}
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(53L));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(51L));
																												{	/* SawJvm/compile.scm 200 */
																													obj_t
																														BgL_arg1823z00_2777;
																													if (BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(BgL_varz00_22))
																														{	/* SawJvm/compile.scm 200 */
																															BgL_arg1823z00_2777
																																= BINT(-1L);
																														}
																													else
																														{	/* SawJvm/compile.scm 200 */
																															BgL_arg1823z00_2777
																																=
																																BGl_globalzd2arityzd2zzbackend_cplibz00
																																(((BgL_globalz00_bglt) BgL_varz00_22));
																														}
																													BGl_pushzd2intzd2zzsaw_jvm_outz00
																														(BgL_mez00_21,
																														BgL_arg1823z00_2777);
																												}
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(54L));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(51L));
																												BGl_pushzd2intzd2zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													BINT(3L));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(19L));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													CNST_TABLE_REF(57L));
																											}
																										else
																											{	/* SawJvm/compile.scm 143 */
																												if (
																													(BgL_casezd2valuezd2_2747
																														==
																														CNST_TABLE_REF
																														(59L)))
																													{	/* SawJvm/compile.scm 208 */
																														obj_t
																															BgL_vecz00_2780;
																														{	/* SawJvm/compile.scm 208 */
																															obj_t
																																BgL_sz00_3527;
																															BgL_sz00_3527 =
																																(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
																															BgL_vecz00_2780 =
																																STRUCT_REF
																																(BgL_sz00_3527,
																																(int) (1L));
																														}
																														{	/* SawJvm/compile.scm 208 */
																															BgL_typez00_bglt
																																BgL_typez00_2781;
																															{	/* SawJvm/compile.scm 209 */
																																BgL_typez00_bglt
																																	BgL_oz00_3529;
																																{	/* SawJvm/compile.scm 209 */
																																	obj_t
																																		BgL_sz00_3528;
																																	BgL_sz00_3528
																																		=
																																		(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
																																	BgL_oz00_3529
																																		=
																																		(
																																		(BgL_typez00_bglt)
																																		STRUCT_REF
																																		(BgL_sz00_3528,
																																			(int)
																																			(0L)));
																																}
																																{
																																	BgL_tvecz00_bglt
																																		BgL_auxz00_4093;
																																	{
																																		obj_t
																																			BgL_auxz00_4094;
																																		{	/* SawJvm/compile.scm 209 */
																																			BgL_objectz00_bglt
																																				BgL_tmpz00_4095;
																																			BgL_tmpz00_4095
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_oz00_3529);
																																			BgL_auxz00_4094
																																				=
																																				BGL_OBJECT_WIDENING
																																				(BgL_tmpz00_4095);
																																		}
																																		BgL_auxz00_4093
																																			=
																																			(
																																			(BgL_tvecz00_bglt)
																																			BgL_auxz00_4094);
																																	}
																																	BgL_typez00_2781
																																		=
																																		(((BgL_tvecz00_bglt) COBJECT(BgL_auxz00_4093))->BgL_itemzd2typezd2);
																															}}
																															{	/* SawJvm/compile.scm 209 */
																																obj_t
																																	BgL_idz00_2782;
																																BgL_idz00_2782 =
																																	(((BgL_typez00_bglt) COBJECT(BgL_typez00_2781))->BgL_namez00);
																																{	/* SawJvm/compile.scm 211 */

																																	BGl_pushzd2intzd2zzsaw_jvm_outz00
																																		(BgL_mez00_21,
																																		BINT
																																		(VECTOR_LENGTH
																																			(((obj_t)
																																					BgL_vecz00_2780))));
																																	{	/* SawJvm/compile.scm 213 */
																																		bool_t
																																			BgL_test2062z00_4105;
																																		{	/* SawJvm/compile.scm 213 */
																																			bool_t
																																				BgL__ortest_1174z00_2799;
																																			BgL__ortest_1174z00_2799
																																				=
																																				(BgL_idz00_2782
																																				==
																																				CNST_TABLE_REF
																																				(60L));
																																			if (BgL__ortest_1174z00_2799)
																																				{	/* SawJvm/compile.scm 213 */
																																					BgL_test2062z00_4105
																																						=
																																						BgL__ortest_1174z00_2799;
																																				}
																																			else
																																				{	/* SawJvm/compile.scm 213 */
																																					bool_t
																																						BgL__ortest_1175z00_2800;
																																					BgL__ortest_1175z00_2800
																																						=
																																						(BgL_idz00_2782
																																						==
																																						CNST_TABLE_REF
																																						(47L));
																																					if (BgL__ortest_1175z00_2800)
																																						{	/* SawJvm/compile.scm 213 */
																																							BgL_test2062z00_4105
																																								=
																																								BgL__ortest_1175z00_2800;
																																						}
																																					else
																																						{	/* SawJvm/compile.scm 213 */
																																							bool_t
																																								BgL__ortest_1176z00_2801;
																																							BgL__ortest_1176z00_2801
																																								=
																																								(BgL_idz00_2782
																																								==
																																								CNST_TABLE_REF
																																								(61L));
																																							if (BgL__ortest_1176z00_2801)
																																								{	/* SawJvm/compile.scm 213 */
																																									BgL_test2062z00_4105
																																										=
																																										BgL__ortest_1176z00_2801;
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 213 */
																																									bool_t
																																										BgL__ortest_1177z00_2802;
																																									BgL__ortest_1177z00_2802
																																										=
																																										(BgL_idz00_2782
																																										==
																																										CNST_TABLE_REF
																																										(43L));
																																									if (BgL__ortest_1177z00_2802)
																																										{	/* SawJvm/compile.scm 213 */
																																											BgL_test2062z00_4105
																																												=
																																												BgL__ortest_1177z00_2802;
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 213 */
																																											bool_t
																																												BgL__ortest_1178z00_2803;
																																											BgL__ortest_1178z00_2803
																																												=
																																												(BgL_idz00_2782
																																												==
																																												CNST_TABLE_REF
																																												(39L));
																																											if (BgL__ortest_1178z00_2803)
																																												{	/* SawJvm/compile.scm 213 */
																																													BgL_test2062z00_4105
																																														=
																																														BgL__ortest_1178z00_2803;
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 213 */
																																													bool_t
																																														BgL__ortest_1179z00_2804;
																																													BgL__ortest_1179z00_2804
																																														=
																																														(BgL_idz00_2782
																																														==
																																														CNST_TABLE_REF
																																														(30L));
																																													if (BgL__ortest_1179z00_2804)
																																														{	/* SawJvm/compile.scm 213 */
																																															BgL_test2062z00_4105
																																																=
																																																BgL__ortest_1179z00_2804;
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 213 */
																																															bool_t
																																																BgL__ortest_1180z00_2805;
																																															BgL__ortest_1180z00_2805
																																																=
																																																(BgL_idz00_2782
																																																==
																																																CNST_TABLE_REF
																																																(62L));
																																															if (BgL__ortest_1180z00_2805)
																																																{	/* SawJvm/compile.scm 213 */
																																																	BgL_test2062z00_4105
																																																		=
																																																		BgL__ortest_1180z00_2805;
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 213 */
																																																	BgL_test2062z00_4105
																																																		=
																																																		(BgL_idz00_2782
																																																		==
																																																		CNST_TABLE_REF
																																																		(27L));
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																		if (BgL_test2062z00_4105)
																																			{	/* SawJvm/compile.scm 215 */
																																				obj_t
																																					BgL_arg1827z00_2793;
																																				{	/* SawJvm/compile.scm 215 */
																																					obj_t
																																						BgL_arg1828z00_2794;
																																					BgL_arg1828z00_2794
																																						=
																																						MAKE_YOUNG_PAIR
																																						((((BgL_typez00_bglt) COBJECT(BgL_typez00_2781))->BgL_namez00), BNIL);
																																					BgL_arg1827z00_2793
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(63L),
																																						BgL_arg1828z00_2794);
																																				}
																																				BGl_codez12z12zzsaw_jvm_outz00
																																					(BgL_mez00_21,
																																					BgL_arg1827z00_2793);
																																			}
																																		else
																																			{	/* SawJvm/compile.scm 217 */
																																				obj_t
																																					BgL_arg1830z00_2796;
																																				{	/* SawJvm/compile.scm 217 */
																																					obj_t
																																						BgL_arg1831z00_2797;
																																					BgL_arg1831z00_2797
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BGl_compilezd2typezd2zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																							BgL_typez00_2781),
																																						BNIL);
																																					BgL_arg1830z00_2796
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(64L),
																																						BgL_arg1831z00_2797);
																																				}
																																				BGl_codez12z12zzsaw_jvm_outz00
																																					(BgL_mez00_21,
																																					BgL_arg1830z00_2796);
																																			}
																																	}
																																	{
																																		long
																																			BgL_iz00_2807;
																																		{	/* SawJvm/compile.scm 218 */
																																			bool_t
																																				BgL_tmpz00_4139;
																																			BgL_iz00_2807
																																				= 0L;
																																		BgL_zc3z04anonymousza31833ze3z87_2808:
																																			if (
																																				(BgL_iz00_2807
																																					==
																																					VECTOR_LENGTH
																																					(((obj_t) BgL_vecz00_2780))))
																																				{	/* SawJvm/compile.scm 219 */
																																					BgL_tmpz00_4139
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																			else
																																				{	/* SawJvm/compile.scm 219 */
																																					BGl_codez12z12zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																						CNST_TABLE_REF
																																						(51L));
																																					BGl_pushzd2intzd2zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																						BINT
																																						(BgL_iz00_2807));
																																					{	/* SawJvm/compile.scm 223 */
																																						bool_t
																																							BgL_test2071z00_4148;
																																						{	/* SawJvm/compile.scm 223 */
																																							bool_t
																																								BgL__ortest_1181z00_2821;
																																							BgL__ortest_1181z00_2821
																																								=
																																								(BgL_idz00_2782
																																								==
																																								CNST_TABLE_REF
																																								(60L));
																																							if (BgL__ortest_1181z00_2821)
																																								{	/* SawJvm/compile.scm 223 */
																																									BgL_test2071z00_4148
																																										=
																																										BgL__ortest_1181z00_2821;
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 223 */
																																									bool_t
																																										BgL__ortest_1182z00_2822;
																																									BgL__ortest_1182z00_2822
																																										=
																																										(BgL_idz00_2782
																																										==
																																										CNST_TABLE_REF
																																										(47L));
																																									if (BgL__ortest_1182z00_2822)
																																										{	/* SawJvm/compile.scm 223 */
																																											BgL_test2071z00_4148
																																												=
																																												BgL__ortest_1182z00_2822;
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 223 */
																																											bool_t
																																												BgL__ortest_1183z00_2823;
																																											BgL__ortest_1183z00_2823
																																												=
																																												(BgL_idz00_2782
																																												==
																																												CNST_TABLE_REF
																																												(61L));
																																											if (BgL__ortest_1183z00_2823)
																																												{	/* SawJvm/compile.scm 223 */
																																													BgL_test2071z00_4148
																																														=
																																														BgL__ortest_1183z00_2823;
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 223 */
																																													bool_t
																																														BgL__ortest_1184z00_2824;
																																													BgL__ortest_1184z00_2824
																																														=
																																														(BgL_idz00_2782
																																														==
																																														CNST_TABLE_REF
																																														(43L));
																																													if (BgL__ortest_1184z00_2824)
																																														{	/* SawJvm/compile.scm 223 */
																																															BgL_test2071z00_4148
																																																=
																																																BgL__ortest_1184z00_2824;
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 223 */
																																															bool_t
																																																BgL__ortest_1185z00_2825;
																																															BgL__ortest_1185z00_2825
																																																=
																																																(BgL_idz00_2782
																																																==
																																																CNST_TABLE_REF
																																																(39L));
																																															if (BgL__ortest_1185z00_2825)
																																																{	/* SawJvm/compile.scm 223 */
																																																	BgL_test2071z00_4148
																																																		=
																																																		BgL__ortest_1185z00_2825;
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 223 */
																																																	bool_t
																																																		BgL__ortest_1186z00_2826;
																																																	BgL__ortest_1186z00_2826
																																																		=
																																																		(BgL_idz00_2782
																																																		==
																																																		CNST_TABLE_REF
																																																		(30L));
																																																	if (BgL__ortest_1186z00_2826)
																																																		{	/* SawJvm/compile.scm 223 */
																																																			BgL_test2071z00_4148
																																																				=
																																																				BgL__ortest_1186z00_2826;
																																																		}
																																																	else
																																																		{	/* SawJvm/compile.scm 223 */
																																																			bool_t
																																																				BgL__ortest_1187z00_2827;
																																																			BgL__ortest_1187z00_2827
																																																				=
																																																				(BgL_idz00_2782
																																																				==
																																																				CNST_TABLE_REF
																																																				(62L));
																																																			if (BgL__ortest_1187z00_2827)
																																																				{	/* SawJvm/compile.scm 223 */
																																																					BgL_test2071z00_4148
																																																						=
																																																						BgL__ortest_1187z00_2827;
																																																				}
																																																			else
																																																				{	/* SawJvm/compile.scm 223 */
																																																					BgL_test2071z00_4148
																																																						=
																																																						(BgL_idz00_2782
																																																						==
																																																						CNST_TABLE_REF
																																																						(27L));
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																						if (BgL_test2071z00_4148)
																																							{	/* SawJvm/compile.scm 225 */
																																								obj_t
																																									BgL_arg1836z00_2819;
																																								BgL_arg1836z00_2819
																																									=
																																									VECTOR_REF
																																									(
																																									((obj_t) BgL_vecz00_2780), BgL_iz00_2807);
																																								BGl_pushzd2numzd2zzsaw_jvm_outz00
																																									(BgL_mez00_21,
																																									BgL_arg1836z00_2819,
																																									BgL_idz00_2782);
																																							}
																																						else
																																							{	/* SawJvm/compile.scm 223 */
																																								{	/* SawJvm/compile.scm 227 */
																																									obj_t
																																										BgL_arg1837z00_2820;
																																									BgL_arg1837z00_2820
																																										=
																																										VECTOR_REF
																																										(
																																										((obj_t) BgL_vecz00_2780), BgL_iz00_2807);
																																									BGl_pushzd2stringzd2zzsaw_jvm_outz00
																																										(BgL_mez00_21,
																																										BgL_arg1837z00_2820);
																																								}
																																								BGl_codez12z12zzsaw_jvm_outz00
																																									(BgL_mez00_21,
																																									CNST_TABLE_REF
																																									(25L));
																																							}
																																					}
																																					{	/* SawJvm/compile.scm 229 */
																																						obj_t
																																							BgL_arg1838z00_2828;
																																						{	/* SawJvm/compile.scm 229 */
																																							bool_t
																																								BgL_test2079z00_4180;
																																							{	/* SawJvm/compile.scm 229 */
																																								bool_t
																																									BgL__ortest_1188z00_2838;
																																								BgL__ortest_1188z00_2838
																																									=
																																									(BgL_idz00_2782
																																									==
																																									CNST_TABLE_REF
																																									(60L));
																																								if (BgL__ortest_1188z00_2838)
																																									{	/* SawJvm/compile.scm 229 */
																																										BgL_test2079z00_4180
																																											=
																																											BgL__ortest_1188z00_2838;
																																									}
																																								else
																																									{	/* SawJvm/compile.scm 229 */
																																										BgL_test2079z00_4180
																																											=
																																											(BgL_idz00_2782
																																											==
																																											CNST_TABLE_REF
																																											(47L));
																																									}
																																							}
																																							if (BgL_test2079z00_4180)
																																								{	/* SawJvm/compile.scm 229 */
																																									BgL_arg1838z00_2828
																																										=
																																										CNST_TABLE_REF
																																										(65L);
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 229 */
																																									if ((BgL_idz00_2782 == CNST_TABLE_REF(61L)))
																																										{	/* SawJvm/compile.scm 229 */
																																											BgL_arg1838z00_2828
																																												=
																																												CNST_TABLE_REF
																																												(66L);
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 229 */
																																											if ((BgL_idz00_2782 == CNST_TABLE_REF(43L)))
																																												{	/* SawJvm/compile.scm 229 */
																																													BgL_arg1838z00_2828
																																														=
																																														CNST_TABLE_REF
																																														(67L);
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 229 */
																																													if ((BgL_idz00_2782 == CNST_TABLE_REF(39L)))
																																														{	/* SawJvm/compile.scm 229 */
																																															BgL_arg1838z00_2828
																																																=
																																																CNST_TABLE_REF
																																																(68L);
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 229 */
																																															if ((BgL_idz00_2782 == CNST_TABLE_REF(30L)))
																																																{	/* SawJvm/compile.scm 229 */
																																																	BgL_arg1838z00_2828
																																																		=
																																																		CNST_TABLE_REF
																																																		(69L);
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 229 */
																																																	if ((BgL_idz00_2782 == CNST_TABLE_REF(62L)))
																																																		{	/* SawJvm/compile.scm 229 */
																																																			BgL_arg1838z00_2828
																																																				=
																																																				CNST_TABLE_REF
																																																				(70L);
																																																		}
																																																	else
																																																		{	/* SawJvm/compile.scm 229 */
																																																			if ((BgL_idz00_2782 == CNST_TABLE_REF(27L)))
																																																				{	/* SawJvm/compile.scm 229 */
																																																					BgL_arg1838z00_2828
																																																						=
																																																						CNST_TABLE_REF
																																																						(71L);
																																																				}
																																																			else
																																																				{	/* SawJvm/compile.scm 229 */
																																																					BgL_arg1838z00_2828
																																																						=
																																																						CNST_TABLE_REF
																																																						(72L);
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																						BGl_codez12z12zzsaw_jvm_outz00
																																							(BgL_mez00_21,
																																							BgL_arg1838z00_2828);
																																					}
																																					{
																																						long
																																							BgL_iz00_4213;
																																						BgL_iz00_4213
																																							=
																																							(BgL_iz00_2807
																																							+
																																							1L);
																																						BgL_iz00_2807
																																							=
																																							BgL_iz00_4213;
																																						goto
																																							BgL_zc3z04anonymousza31833ze3z87_2808;
																																					}
																																				}
																																			BBOOL
																																				(BgL_tmpz00_4139);
																																		}
																																	}
																																}
																															}
																														}
																													}
																												else
																													{	/* SawJvm/compile.scm 240 */
																														obj_t
																															BgL_arg1852z00_2844;
																														BgL_arg1852z00_2844
																															=
																															(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_classz00);
																														BGl_internalzd2errorzd2zztools_errorz00
																															(BGl_string2010z00zzsaw_jvm_compilez00,
																															BGl_string2011z00zzsaw_jvm_compilez00,
																															BgL_arg1852z00_2844);
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
			{	/* SawJvm/compile.scm 241 */
				obj_t BgL_arg1853z00_2849;

				{	/* SawJvm/compile.scm 241 */
					obj_t BgL_arg1854z00_2850;

					{	/* SawJvm/compile.scm 241 */
						obj_t BgL_arg1855z00_2851;

						BgL_arg1855z00_2851 =
							BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_21,
							((BgL_globalz00_bglt) BgL_varz00_22));
						BgL_arg1854z00_2850 = MAKE_YOUNG_PAIR(BgL_arg1855z00_2851, BNIL);
					}
					BgL_arg1853z00_2849 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(20L), BgL_arg1854z00_2850);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21, BgL_arg1853z00_2849);
			}
		}

	}



/* module-dlopen */
	obj_t BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_24)
	{
		{	/* SawJvm/compile.scm 246 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_24,
				CNST_TABLE_REF(73L));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_24, BNIL, BNIL);
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(21L));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(22L));
			{	/* SawJvm/compile.scm 251 */
				obj_t BgL_arg1856z00_2852;

				{	/* SawJvm/compile.scm 251 */
					obj_t BgL_list1857z00_2853;

					BgL_list1857z00_2853 =
						MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
					BgL_arg1856z00_2852 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(23L),
						BgL_list1857z00_2853);
				}
				BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_24,
					((BgL_globalz00_bglt) BgL_arg1856z00_2852));
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(7L));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, CNST_TABLE_REF(8L));
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_24);
		}

	}



/* module-functions */
	bool_t BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_25)
	{
		{	/* SawJvm/compile.scm 259 */
			{	/* SawJvm/compile.scm 260 */
				obj_t BgL_g1640z00_2854;

				BgL_g1640z00_2854 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_mez00_25)))->BgL_functionsz00);
				{
					obj_t BgL_l1638z00_2856;

					BgL_l1638z00_2856 = BgL_g1640z00_2854;
				BgL_zc3z04anonymousza31858ze3z87_2857:
					if (PAIRP(BgL_l1638z00_2856))
						{	/* SawJvm/compile.scm 260 */
							BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_mez00_25,
								CAR(BgL_l1638z00_2856));
							{
								obj_t BgL_l1638z00_4248;

								BgL_l1638z00_4248 = CDR(BgL_l1638z00_2856);
								BgL_l1638z00_2856 = BgL_l1638z00_4248;
								goto BgL_zc3z04anonymousza31858ze3z87_2857;
							}
						}
					else
						{	/* SawJvm/compile.scm 260 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* module-function */
	obj_t BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_26, obj_t BgL_vz00_27)
	{
		{	/* SawJvm/compile.scm 262 */
			{	/* SawJvm/compile.scm 264 */
				obj_t BgL_codez00_2863;
				obj_t BgL_paramsz00_2864;

				BgL_codez00_2863 =
					BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(
					((BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27));
				{	/* SawJvm/compile.scm 265 */
					obj_t BgL_l1641z00_2865;

					BgL_l1641z00_2865 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_27))))->
										BgL_valuez00))))->BgL_argsz00);
					if (NULLP(BgL_l1641z00_2865))
						{	/* SawJvm/compile.scm 265 */
							BgL_paramsz00_2864 = BNIL;
						}
					else
						{	/* SawJvm/compile.scm 265 */
							obj_t BgL_head1643z00_2867;

							{	/* SawJvm/compile.scm 265 */
								BgL_rtl_regz00_bglt BgL_arg1868z00_2879;

								{	/* SawJvm/compile.scm 265 */
									obj_t BgL_arg1870z00_2880;

									BgL_arg1870z00_2880 = CAR(((obj_t) BgL_l1641z00_2865));
									BgL_arg1868z00_2879 =
										BGl_localzd2ze3regz31zzsaw_node2rtlz00(
										((BgL_localz00_bglt) BgL_arg1870z00_2880));
								}
								BgL_head1643z00_2867 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1868z00_2879), BNIL);
							}
							{	/* SawJvm/compile.scm 265 */
								obj_t BgL_g1646z00_2868;

								BgL_g1646z00_2868 = CDR(((obj_t) BgL_l1641z00_2865));
								{
									obj_t BgL_l1641z00_2870;
									obj_t BgL_tail1644z00_2871;

									BgL_l1641z00_2870 = BgL_g1646z00_2868;
									BgL_tail1644z00_2871 = BgL_head1643z00_2867;
								BgL_zc3z04anonymousza31862ze3z87_2872:
									if (NULLP(BgL_l1641z00_2870))
										{	/* SawJvm/compile.scm 265 */
											BgL_paramsz00_2864 = BgL_head1643z00_2867;
										}
									else
										{	/* SawJvm/compile.scm 265 */
											obj_t BgL_newtail1645z00_2874;

											{	/* SawJvm/compile.scm 265 */
												BgL_rtl_regz00_bglt BgL_arg1866z00_2876;

												{	/* SawJvm/compile.scm 265 */
													obj_t BgL_arg1867z00_2877;

													BgL_arg1867z00_2877 =
														CAR(((obj_t) BgL_l1641z00_2870));
													BgL_arg1866z00_2876 =
														BGl_localzd2ze3regz31zzsaw_node2rtlz00(
														((BgL_localz00_bglt) BgL_arg1867z00_2877));
												}
												BgL_newtail1645z00_2874 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1866z00_2876), BNIL);
											}
											SET_CDR(BgL_tail1644z00_2871, BgL_newtail1645z00_2874);
											{	/* SawJvm/compile.scm 265 */
												obj_t BgL_arg1864z00_2875;

												BgL_arg1864z00_2875 = CDR(((obj_t) BgL_l1641z00_2870));
												{
													obj_t BgL_tail1644z00_4280;
													obj_t BgL_l1641z00_4279;

													BgL_l1641z00_4279 = BgL_arg1864z00_2875;
													BgL_tail1644z00_4280 = BgL_newtail1645z00_2874;
													BgL_tail1644z00_2871 = BgL_tail1644z00_4280;
													BgL_l1641z00_2870 = BgL_l1641z00_4279;
													goto BgL_zc3z04anonymousza31862ze3z87_2872;
												}
											}
										}
								}
							}
						}
				}
				BGl_openzd2globalzd2methodz00zzsaw_jvm_outz00(BgL_mez00_26,
					((BgL_globalz00_bglt) BgL_vz00_27));
				BGl_buildzd2treezd2zzsaw_exprz00(
					((BgL_backendz00_bglt) BgL_mez00_26), BgL_paramsz00_2864,
					BgL_codez00_2863);
				BgL_codez00_2863 =
					BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2((
						(BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27), BgL_paramsz00_2864,
					BgL_codez00_2863);
				BgL_codez00_2863 =
					BGl_bbvz00zzsaw_bbvz00(((BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27), BgL_paramsz00_2864,
					BgL_codez00_2863);
				BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_mez00_26, BgL_paramsz00_2864,
					BgL_codez00_2863);
				return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_26);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(346491734L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(89013043L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(192699986L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(0L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(321177283L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(20930040L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(352965511L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_exprz00(142709001L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(454038607L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(250697396L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvz00(263563890L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(179871433L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(441641707L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(282450876L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(44765844L,
				BSTRING_TO_STRING(BGl_string2012z00zzsaw_jvm_compilez00));
		}

	}

#ifdef __cplusplus
}
#endif
