/*===========================================================================*/
/*   (Llib/avahi.scm)                                                        */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -unsafe -safee -srfi avahi -copt -D_REENTRANT -copt -fPIC -copt -IClib Llib/avahi.scm -o objs/avahi.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <avahi-client/client.h>
#include <avahi-client/lookup.h>
#include <avahi-client/publish.h>
#include <avahi-common/simple-watch.h>
#include <avahi-common/thread-watch.h>
#include <avahi-common/error.h>
#include <avahi-common/alternative.h>
#include <bavahi.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___AVAHI_AVAHI_TYPE_DEFINITIONS
#define BGL___AVAHI_AVAHI_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62avahizd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   int BgL_errnoz00;
} *BgL_z62avahizd2errorzb0_bglt;

typedef struct BgL_z62avahizd2collisionzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   int BgL_errnoz00;
} *BgL_z62avahizd2collisionzd2errorz62_bglt;

typedef struct BgL_avahizd2objectzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_avahizd2objectzd2_bglt;

typedef struct BgL_avahizd2pollzd2_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
} *BgL_avahizd2pollzd2_bglt;

typedef struct BgL_avahizd2simplezd2pollz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
   AvahiSimplePoll * BgL_z42builtinz42;
} *BgL_avahizd2simplezd2pollz00_bglt;

typedef struct BgL_avahizd2threadedzd2pollz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
   AvahiThreadedPoll * BgL_z42builtinz42;
} *BgL_avahizd2threadedzd2pollz00_bglt;

typedef struct BgL_avahizd2clientzd2_bgl {
   header_t header;
   obj_t widening;
   AvahiClient * BgL_z42builtinz42;
   struct BgL_avahizd2pollzd2_bgl * BgL_pollz00;
   obj_t BgL_flagsz00;
   obj_t BgL_procz00;
   obj_t BgL_z52groupsz52;
   obj_t BgL_z52browsersz52;
   obj_t BgL_resolversz00;
} *BgL_avahizd2clientzd2_bglt;

typedef struct BgL_avahizd2entryzd2groupz00_bgl {
   header_t header;
   obj_t widening;
   AvahiEntryGroup * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
} *BgL_avahizd2entryzd2groupz00_bglt;

typedef struct BgL_avahizd2servicezd2browserz00_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_typez00;
   obj_t BgL_domainz00;
   AvahiIfIndex BgL_interfacez00;
   obj_t BgL_protocolz00;
} *BgL_avahizd2servicezd2browserz00_bglt;

typedef struct BgL_avahizd2servicezd2typezd2browserzd2_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceTypeBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2typezd2browserzd2_bglt;

typedef struct BgL_avahizd2domainzd2browserz00_bgl {
   header_t header;
   obj_t widening;
   AvahiDomainBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_btypez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2domainzd2browserz00_bglt;

typedef struct BgL_avahizd2servicezd2resolverz00_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceResolver * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   AvahiIfIndex BgL_interfacez00;
   obj_t BgL_protocolz00;
   obj_t BgL_namez00;
   obj_t BgL_typez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2resolverz00_bglt;


#endif // BGL___AVAHI_AVAHI_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62lambda1849z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2avahi1260z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2avahi1262z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
extern AvahiStringList * bgl_avahi_list_to_string_list(obj_t);
static obj_t BGl_z62lambda1850z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1931z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31927ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1932z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1856z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1937z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1857z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1938z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62lambda1944z62zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1864z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1945z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1867z62zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2resolverz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31953ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00(void);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62lambda1951z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1952z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1874z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1875z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31946ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_resolver_event_to_symbol(AvahiResolverEvent);
static BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1883z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1886z62zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2timeoutz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt, long, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__avahi_avahiz00(void);
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_avahizd2objectzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2closez00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31858ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31939ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1893z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void);
static obj_t BGl_z62lambda1894z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32201ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31972ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_lookup_result_flags_to_symbol(AvahiLookupResultFlags);
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_genericzd2initzd2zz__avahi_avahiz00(void);
BGL_EXPORTED_DECL obj_t bgl_avahi_error(char *, char *, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32113ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__avahi_avahiz00(void);
static obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31957ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
BGL_EXPORTED_DECL obj_t bgl_avahi_browser_event_to_symbol(AvahiBrowserEvent);
static obj_t BGl_z62zc3z04anonymousza32025ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32106ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62avahizd2initzd2avahizd2thr1268zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31982ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2quitz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
static obj_t BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2pollzd2quitz62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32042ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_protocol_to_symbol(AvahiProtocol);
BGL_EXPORTED_DECL obj_t bgl_avahi_lookup_flags_to_symbol(AvahiLookupFlags);
static obj_t BGl_z62zc3z04anonymousza32124ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31992ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31895ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31968ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_client_state_to_symbol(AvahiClientState);
BGL_EXPORTED_DECL obj_t BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt);
static obj_t BGl_z62avahizd2pollzd2unlockz12z70zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2pollzd2closez62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31888ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__avahi_avahiz00(void);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL AvahiProtocol bgl_avahi_symbol_to_protocol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31316ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2error2303zb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32208ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2initzb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
extern void bgl_avahi_invoke_callbacks(void);
BGL_EXPORTED_DEF obj_t BGl_z62avahizd2errorzb0zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32250ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2lockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_entry_group_state_to_symbol(AvahiEntryGroupState);
static obj_t BGl_z62zc3z04anonymousza32049ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2104z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2105z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_lock(void);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda2111z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2112z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32245ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32148ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2037z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2119z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2cli1270zb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62z52avahizd2signalze2zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2sim1266zb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2040z62zz__avahi_avahiz00(obj_t);
static BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2122z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2206z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2207z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2047z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2loopz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
static obj_t BGl_z62lambda2048z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2129z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2pollzd2loopz62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2domainzd2browserz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1275zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2130z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1277zb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2212z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32190ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2213z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2053z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2054z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2135z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32166ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32077ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2136z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2217z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2218z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2058z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2059z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2init1263zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ent1272zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1281zb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
static obj_t BGl_z62lambda2140z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2141z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2222z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2223z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32183ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2065z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2146z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32159ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2227z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2147z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2228z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2068z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2pollzd2lockz12z70zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt, long, obj_t);
static obj_t BGl_z62lambda2232z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2233z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2154z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
static obj_t BGl_z62lambda2075z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2237z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2076z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2157z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2238z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__avahi_avahiz00(void);
static obj_t BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00(void);
BGL_EXPORTED_DECL obj_t BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt);
static obj_t BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2pollzd2timeoutz62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31812ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__avahi_avahiz00(void);
static obj_t BGl_z62zc3z04anonymousza31561ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2081z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2243z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2082z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2244z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32258ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2164z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2165z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2086z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2087z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2initzd2avahizd2dom1279zb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2170z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2171z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2091z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2092z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2175z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2176z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2097z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2098z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2browserz00_bglt);
static obj_t BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt);
static obj_t BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2unlockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
static obj_t BGl_z62lambda2181z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2182z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62lambda2188z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2189z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62zc3z04anonymousza32099ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2196z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2199z62zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31913ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31906ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1808z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt, int);
BGL_EXPORTED_DECL obj_t bgl_avahi_unlock(void);
BGL_EXPORTED_DECL obj_t bgl_avahi_if_index_to_symbol(AvahiIfIndex);
static BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1810z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_deletez12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1817z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1818z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31851ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda1901z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda1904z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31819ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1825z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt, obj_t);
static BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1827z62zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_signal(void);
static obj_t BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1911z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31844ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1912z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2objectzd2_bglt BGl_z62lambda1835z62zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static BgL_avahizd2pollzd2_bglt BGl_z62lambda1917z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1918z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31837ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2pollzd2_bglt BGl_z62lambda1842z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31829ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1925z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1926z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 101 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2lookupzd2resultzd2flagszd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2looku2642z00, BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2signalzd2envz52zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2si2643za7, BGl_z62z52avahizd2signalze2zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2loopzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2644z00, BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2loopzd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72645za7, BGl_z62avahizd2pollzd2loopz62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2resolverzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2resol2646z00, BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2servicezd2browserzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2servi2647z00, BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2closezd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72648za7, BGl_z62avahizd2pollzd2closez62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2lockz12zd2envz40zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2lo2649za7, BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2400z00zz__avahi_avahiz00, BgL_bgl_string2400za700za7za7_2650za7, "&avahi-poll-timeout", 19 );
DEFINE_STRING( BGl_string2401z00zz__avahi_avahiz00, BgL_bgl_string2401za700za7za7_2651za7, "procedure", 9 );
DEFINE_STRING( BGl_string2402z00zz__avahi_avahiz00, BgL_bgl_string2402za700za7za7_2652za7, "&avahi-poll-lock!", 17 );
DEFINE_STRING( BGl_string2403z00zz__avahi_avahiz00, BgL_bgl_string2403za700za7za7_2653za7, "&avahi-poll-unlock!", 19 );
DEFINE_STRING( BGl_string2404z00zz__avahi_avahiz00, BgL_bgl_string2404za700za7za7_2654za7, "&avahi-simple-poll-close", 24 );
DEFINE_STRING( BGl_string2405z00zz__avahi_avahiz00, BgL_bgl_string2405za700za7za7_2655za7, "avahi-simple-poll", 17 );
DEFINE_STRING( BGl_string2406z00zz__avahi_avahiz00, BgL_bgl_string2406za700za7za7_2656za7, "&avahi-simple-poll-loop", 23 );
DEFINE_STRING( BGl_string2407z00zz__avahi_avahiz00, BgL_bgl_string2407za700za7za7_2657za7, "avahi-simple-poll-timeout", 25 );
DEFINE_STRING( BGl_string2408z00zz__avahi_avahiz00, BgL_bgl_string2408za700za7za7_2658za7, "Illegal callback", 16 );
DEFINE_STRING( BGl_string2409z00zz__avahi_avahiz00, BgL_bgl_string2409za700za7za7_2659za7, "&avahi-simple-poll-timeout", 26 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2errorzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2error2660z00, BGl_z62avahizd2error2303zb0zz__avahi_avahiz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2410z00zz__avahi_avahiz00, BgL_bgl_string2410za700za7za7_2661za7, "&avahi-simple-poll-quit", 23 );
DEFINE_STRING( BGl_string2411z00zz__avahi_avahiz00, BgL_bgl_string2411za700za7za7_2662za7, "&avahi-threaded-poll-close", 26 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2servicezd2resolverzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2servi2663z00, BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2412z00zz__avahi_avahiz00, BgL_bgl_string2412za700za7za7_2664za7, "avahi-threaded-poll", 19 );
DEFINE_STRING( BGl_string2413z00zz__avahi_avahiz00, BgL_bgl_string2413za700za7za7_2665za7, "&avahi-threaded-poll-loop", 25 );
DEFINE_STRING( BGl_string2414z00zz__avahi_avahiz00, BgL_bgl_string2414za700za7za7_2666za7, "&avahi-threaded-poll-lock!", 26 );
DEFINE_STRING( BGl_string2415z00zz__avahi_avahiz00, BgL_bgl_string2415za700za7za7_2667za7, "&avahi-threaded-poll-unlock!", 28 );
DEFINE_STRING( BGl_string2416z00zz__avahi_avahiz00, BgL_bgl_string2416za700za7za7_2668za7, "avahi-threaded-poll-timeout", 27 );
DEFINE_STRING( BGl_string2417z00zz__avahi_avahiz00, BgL_bgl_string2417za700za7za7_2669za7, "&avahi-threaded-poll-timeout", 28 );
DEFINE_STRING( BGl_string2418z00zz__avahi_avahiz00, BgL_bgl_string2418za700za7za7_2670za7, "&avahi-threaded-poll-quit", 25 );
DEFINE_STRING( BGl_string2419z00zz__avahi_avahiz00, BgL_bgl_string2419za700za7za7_2671za7, "&avahi-client-close", 19 );
DEFINE_STRING( BGl_string2420z00zz__avahi_avahiz00, BgL_bgl_string2420za700za7za7_2672za7, "avahi-client", 12 );
DEFINE_STRING( BGl_string2421z00zz__avahi_avahiz00, BgL_bgl_string2421za700za7za7_2673za7, "&avahi-client-error-message", 27 );
DEFINE_STRING( BGl_string2422z00zz__avahi_avahiz00, BgL_bgl_string2422za700za7za7_2674za7, "avahi-client-state->symbol", 26 );
DEFINE_STRING( BGl_string2423z00zz__avahi_avahiz00, BgL_bgl_string2423za700za7za7_2675za7, "Unknown state", 13 );
DEFINE_STRING( BGl_string2424z00zz__avahi_avahiz00, BgL_bgl_string2424za700za7za7_2676za7, "&avahi-client-state->symbol", 27 );
DEFINE_STRING( BGl_string2425z00zz__avahi_avahiz00, BgL_bgl_string2425za700za7za7_2677za7, "&avahi-entry-group-close", 24 );
DEFINE_STRING( BGl_string2426z00zz__avahi_avahiz00, BgL_bgl_string2426za700za7za7_2678za7, "avahi-entry-group", 17 );
DEFINE_STRING( BGl_string2427z00zz__avahi_avahiz00, BgL_bgl_string2427za700za7za7_2679za7, "&avahi-entry-group-empty?", 25 );
DEFINE_STRING( BGl_string2428z00zz__avahi_avahiz00, BgL_bgl_string2428za700za7za7_2680za7, "&avahi-entry-group-commit", 25 );
DEFINE_STRING( BGl_string2429z00zz__avahi_avahiz00, BgL_bgl_string2429za700za7za7_2681za7, "&avahi-entry-group-reset!", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2timeoutzd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72682za7, BGl_z62avahizd2pollzd2timeoutz62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2683za7, BGl_z62zc3z04anonymousza31927ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2501z00zz__avahi_avahiz00, BgL_bgl_za762lambda1926za7622684z00, BGl_z62lambda1926z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__avahi_avahiz00, BgL_bgl_za762lambda1925za7622685z00, BGl_z62lambda1925z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__avahi_avahiz00, BgL_bgl_za762lambda1932za7622686z00, BGl_z62lambda1932z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__avahi_avahiz00, BgL_bgl_za762lambda1931za7622687z00, BGl_z62lambda1931z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2688za7, BGl_z62zc3z04anonymousza31939ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2430z00zz__avahi_avahiz00, BgL_bgl_string2430za700za7za7_2689za7, "avahi-entry-group-add-service", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__avahi_avahiz00, BgL_bgl_za762lambda1938za7622690z00, BGl_z62lambda1938z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2431z00zz__avahi_avahiz00, BgL_bgl_string2431za700za7za7_2691za7, "&avahi-entry-group-add-service!", 31 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2ifzd2indexzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2ifza7d22692za7, BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__avahi_avahiz00, BgL_bgl_za762lambda1937za7622693z00, BGl_z62lambda1937z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2432z00zz__avahi_avahiz00, BgL_bgl_string2432za700za7za7_2694za7, "avahi-entry-group-state->symbol", 31 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2695za7, BGl_z62zc3z04anonymousza31946ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2433z00zz__avahi_avahiz00, BgL_bgl_string2433za700za7za7_2696za7, "&avahi-entry-group-state->symbol", 32 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__avahi_avahiz00, BgL_bgl_za762lambda1945za7622697z00, BGl_z62lambda1945z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2434z00zz__avahi_avahiz00, BgL_bgl_string2434za700za7za7_2698za7, "&avahi-alternative-host-name", 28 );
DEFINE_STRING( BGl_string2435z00zz__avahi_avahiz00, BgL_bgl_string2435za700za7za7_2699za7, "&avahi-alternative-service-name", 31 );
DEFINE_STRING( BGl_string2436z00zz__avahi_avahiz00, BgL_bgl_string2436za700za7za7_2700za7, "&avahi-service-browser-close", 28 );
DEFINE_STRING( BGl_string2437z00zz__avahi_avahiz00, BgL_bgl_string2437za700za7za7_2701za7, "avahi-service-browser", 21 );
DEFINE_STRING( BGl_string2438z00zz__avahi_avahiz00, BgL_bgl_string2438za700za7za7_2702za7, "&avahi-domain-browser-close", 27 );
DEFINE_STRING( BGl_string2439z00zz__avahi_avahiz00, BgL_bgl_string2439za700za7za7_2703za7, "avahi-domain-browser", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2closezd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2704z00, BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__avahi_avahiz00, BgL_bgl_za762lambda1944za7622705z00, BGl_z62lambda1944z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2511z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2706za7, BGl_z62zc3z04anonymousza31953ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__avahi_avahiz00, BgL_bgl_za762lambda1952za7622707z00, BGl_z62lambda1952z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__avahi_avahiz00, BgL_bgl_za762lambda1951za7622708z00, BGl_z62lambda1951z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2709za7, BGl_z62zc3z04anonymousza31958ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2710za7, BGl_z62zc3z04anonymousza31957ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2440z00zz__avahi_avahiz00, BgL_bgl_string2440za700za7za7_2711za7, "&avahi-service-resolver-close", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2712za7, BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2441z00zz__avahi_avahiz00, BgL_bgl_string2441za700za7za7_2713za7, "avahi-service-resolver", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2714za7, BGl_z62zc3z04anonymousza31962ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2442z00zz__avahi_avahiz00, BgL_bgl_string2442za700za7za7_2715za7, "avahi-browser-event->symbol", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2716za7, BGl_z62zc3z04anonymousza31968ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2443z00zz__avahi_avahiz00, BgL_bgl_string2443za700za7za7_2717za7, "Unknown event", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2718za7, BGl_z62zc3z04anonymousza31967ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2444z00zz__avahi_avahiz00, BgL_bgl_string2444za700za7za7_2719za7, "&avahi-browser-event->symbol", 28 );
DEFINE_STRING( BGl_string2445z00zz__avahi_avahiz00, BgL_bgl_string2445za700za7za7_2720za7, "avahi-resolver-event->symbol", 28 );
DEFINE_STRING( BGl_string2446z00zz__avahi_avahiz00, BgL_bgl_string2446za700za7za7_2721za7, "&avahi-resolver-event->symbol", 29 );
DEFINE_STRING( BGl_string2447z00zz__avahi_avahiz00, BgL_bgl_string2447za700za7za7_2722za7, "avahi-if-index->symbol", 22 );
DEFINE_STRING( BGl_string2448z00zz__avahi_avahiz00, BgL_bgl_string2448za700za7za7_2723za7, "Unknown index", 13 );
DEFINE_STRING( BGl_string2449z00zz__avahi_avahiz00, BgL_bgl_string2449za700za7za7_2724za7, "&avahi-if-index->symbol", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__avahi_avahiz00, BgL_bgl_za762lambda2223za7622725z00, BGl_z62lambda2223z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__avahi_avahiz00, BgL_bgl_za762lambda2222za7622726z00, BGl_z62lambda2222z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2727za7, BGl_z62zc3z04anonymousza31973ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__avahi_avahiz00, BgL_bgl_za762lambda2228za7622728z00, BGl_z62lambda2228z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2729za7, BGl_z62zc3z04anonymousza31972ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__avahi_avahiz00, BgL_bgl_za762lambda2227za7622730z00, BGl_z62lambda2227z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2731za7, BGl_z62zc3z04anonymousza31978ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__avahi_avahiz00, BgL_bgl_za762lambda2233za7622732z00, BGl_z62lambda2233z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2733za7, BGl_z62zc3z04anonymousza31977ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__avahi_avahiz00, BgL_bgl_za762lambda2232za7622734z00, BGl_z62lambda2232z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2735za7, BGl_z62zc3z04anonymousza31982ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__avahi_avahiz00, BgL_bgl_za762lambda2238za7622736z00, BGl_z62lambda2238z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2737za7, BGl_z62zc3z04anonymousza31992ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2450z00zz__avahi_avahiz00, BgL_bgl_string2450za700za7za7_2738za7, "avahi-protocol->symbol", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__avahi_avahiz00, BgL_bgl_za762lambda2237za7622739z00, BGl_z62lambda2237z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2740za7, BGl_z62zc3z04anonymousza31998ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2451z00zz__avahi_avahiz00, BgL_bgl_string2451za700za7za7_2741za7, "Unknown protocol", 16 );
DEFINE_STRING( BGl_string2614z00zz__avahi_avahiz00, BgL_bgl_string2614za700za7za7_2742za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2743za7, BGl_z62zc3z04anonymousza32245ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2744za7, BGl_z62zc3z04anonymousza32007ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2452z00zz__avahi_avahiz00, BgL_bgl_string2452za700za7za7_2745za7, "&avahi-protocol->symbol", 23 );
DEFINE_STRING( BGl_string2615z00zz__avahi_avahiz00, BgL_bgl_string2615za700za7za7_2746za7, "nil", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__avahi_avahiz00, BgL_bgl_za762lambda2244za7622747z00, BGl_z62lambda2244z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2748za7, BGl_z62zc3z04anonymousza32016ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2453z00zz__avahi_avahiz00, BgL_bgl_string2453za700za7za7_2749za7, "avahi-symbol->protocol", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2750za7, BGl_z62zc3z04anonymousza32025ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2454z00zz__avahi_avahiz00, BgL_bgl_string2454za700za7za7_2751za7, "&avahi-symbol->protocol", 23 );
DEFINE_STRING( BGl_string2617z00zz__avahi_avahiz00, BgL_bgl_string2617za700za7za7_2752za7, "avahi-init1263", 14 );
DEFINE_STRING( BGl_string2455z00zz__avahi_avahiz00, BgL_bgl_string2455za700za7za7_2753za7, "symbol", 6 );
DEFINE_STRING( BGl_string2618z00zz__avahi_avahiz00, BgL_bgl_string2618za700za7za7_2754za7, "&avahi-init", 11 );
DEFINE_STRING( BGl_string2456z00zz__avahi_avahiz00, BgL_bgl_string2456za700za7za7_2755za7, "avahi-lookup-flags->symbol", 26 );
DEFINE_STRING( BGl_string2619z00zz__avahi_avahiz00, BgL_bgl_string2619za700za7za7_2756za7, "avahi-object", 12 );
DEFINE_STRING( BGl_string2457z00zz__avahi_avahiz00, BgL_bgl_string2457za700za7za7_2757za7, "Unknown lookup-flag", 19 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string2458z00zz__avahi_avahiz00, BgL_bgl_string2458za700za7za7_2758za7, "&avahi-lookup-flags->symbol", 27 );
DEFINE_STRING( BGl_string2459z00zz__avahi_avahiz00, BgL_bgl_string2459za700za7za7_2759za7, "avahi-lookup-result-flags->symbol", 33 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2timeoutzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2760z00, BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__avahi_avahiz00, BgL_bgl_za762lambda2243za7622761z00, BGl_z62lambda2243z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2762za7, BGl_z62zc3z04anonymousza32201ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2763za7, BGl_z62zc3z04anonymousza31906ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__avahi_avahiz00, BgL_bgl_za762lambda2199za7622764z00, BGl_z62lambda2199z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__avahi_avahiz00, BgL_bgl_za762lambda1904za7622765z00, BGl_z62lambda1904z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__avahi_avahiz00, BgL_bgl_za762lambda2196za7622766z00, BGl_z62lambda2196z62zz__avahi_avahiz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__avahi_avahiz00, BgL_bgl_za762lambda1901za7622767z00, BGl_z62lambda1901z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2768za7, BGl_z62zc3z04anonymousza32049ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2621z00zz__avahi_avahiz00, BgL_bgl_string2621za700za7za7_2769za7, "object-display", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__avahi_avahiz00, BgL_bgl_za762lambda2048za7622770z00, BGl_z62lambda2048z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2init12771z00, BGl_z62avahizd2init1263zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__avahi_avahiz00, BgL_bgl_za762lambda2047za7622772z00, BGl_z62lambda2047z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2460z00zz__avahi_avahiz00, BgL_bgl_string2460za700za7za7_2773za7, "Unknown lookup-result-flag", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__avahi_avahiz00, BgL_bgl_za762lambda2054za7622774z00, BGl_z62lambda2054z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2461z00zz__avahi_avahiz00, BgL_bgl_string2461za700za7za7_2775za7, "&avahi-lookup-result-flags->symbol", 34 );
DEFINE_STRING( BGl_string2624z00zz__avahi_avahiz00, BgL_bgl_string2624za700za7za7_2776za7, "avahi-init", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__avahi_avahiz00, BgL_bgl_za762lambda2053za7622777z00, BGl_z62lambda2053z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2462z00zz__avahi_avahiz00, BgL_bgl_string2462za700za7za7_2778za7, "avahi-symbol->domain-browser-type", 33 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__avahi_avahiz00, BgL_bgl_za762lambda2059za7622779z00, BGl_z62lambda2059z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2463z00zz__avahi_avahiz00, BgL_bgl_string2463za700za7za7_2780za7, "Unknown btype", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__avahi_avahiz00, BgL_bgl_za762lambda2058za7622781z00, BGl_z62lambda2058z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2resetz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2782z00, BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__avahi_avahiz00, BgL_bgl_za762objectza7d2disp2783z00, va_generic_entry, BGl_z62objectzd2displayzd2avahi1260z62zz__avahi_avahiz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2784za7, BGl_z62zc3z04anonymousza32042ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__avahi_avahiz00, BgL_bgl_za762objectza7d2disp2785z00, va_generic_entry, BGl_z62objectzd2displayzd2avahi1262z62zz__avahi_avahiz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__avahi_avahiz00, BgL_bgl_za762lambda2040za7622786z00, BGl_z62lambda2040z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72787za7, BGl_z62avahizd2initzd2avahizd2sim1266zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__avahi_avahiz00, BgL_bgl_za762lambda2037za7622788z00, BGl_z62lambda2037z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2789za7, BGl_z62zc3z04anonymousza32077ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72790za7, BGl_z62avahizd2initzd2avahizd2thr1268zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__avahi_avahiz00, BgL_bgl_za762lambda2076za7622791z00, BGl_z62lambda2076z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2632z00zz__avahi_avahiz00, BgL_bgl_string2632za700za7za7_2792za7, "avahi-service-type-browser", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72793za7, BGl_z62avahizd2initzd2avahizd2cli1270zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__avahi_avahiz00, BgL_bgl_za762lambda2075za7622794z00, BGl_z62lambda2075z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2464z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2795za7, BGl_z62zc3z04anonymousza31819ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2alternativezd2hostzd2namezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2alter2796z00, BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2633z00zz__avahi_avahiz00, BgL_bgl_string2633za700za7za7_2797za7, "avahi-client-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72798za7, BGl_z62avahizd2initzd2avahizd2ent1272zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__avahi_avahiz00, BgL_bgl_za762lambda2082za7622799z00, BGl_z62lambda2082z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2465z00zz__avahi_avahiz00, BgL_bgl_za762lambda1818za7622800z00, BGl_z62lambda1818z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2390z00zz__avahi_avahiz00, BgL_bgl_string2390za700za7za7_2801za7, "Llib/avahi.scm", 14 );
DEFINE_STRING( BGl_string2634z00zz__avahi_avahiz00, BgL_bgl_string2634za700za7za7_2802za7, "#<", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72803za7, BGl_z62avahizd2initzd2avahizd2ser1275zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__avahi_avahiz00, BgL_bgl_za762lambda2081za7622804z00, BGl_z62lambda2081z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2466z00zz__avahi_avahiz00, BgL_bgl_za762lambda1817za7622805z00, BGl_z62lambda1817z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2391z00zz__avahi_avahiz00, BgL_bgl_string2391za700za7za7_2806za7, "/builddir/build/BUILD/bigloo-4.5b/api/avahi/src/Llib/avahi.scm", 62 );
DEFINE_STRING( BGl_string2635z00zz__avahi_avahiz00, BgL_bgl_string2635za700za7za7_2807za7, ">", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72808za7, BGl_z62avahizd2initzd2avahizd2ser1277zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__avahi_avahiz00, BgL_bgl_za762lambda2087za7622809z00, BGl_z62lambda2087z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2467z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2810za7, BGl_z62zc3z04anonymousza31812ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2392z00zz__avahi_avahiz00, BgL_bgl_string2392za700za7za7_2811za7, "&avahi-error2303", 16 );
DEFINE_STRING( BGl_string2636z00zz__avahi_avahiz00, BgL_bgl_string2636za700za7za7_2812za7, "#<avahi-client(", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__avahi_avahiz00, BgL_bgl_za762lambda2086za7622813z00, BGl_z62lambda2086z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2468z00zz__avahi_avahiz00, BgL_bgl_za762lambda1810za7622814z00, BGl_z62lambda1810z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2393z00zz__avahi_avahiz00, BgL_bgl_string2393za700za7za7_2815za7, "bstring", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2lockz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2816z00, BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2637z00zz__avahi_avahiz00, BgL_bgl_string2637za700za7za7_2817za7, "):", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2469z00zz__avahi_avahiz00, BgL_bgl_za762lambda1808za7622818z00, BGl_z62lambda1808z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2394z00zz__avahi_avahiz00, BgL_bgl_string2394za700za7za7_2819za7, "bint", 4 );
DEFINE_STRING( BGl_string2638z00zz__avahi_avahiz00, BgL_bgl_string2638za700za7za7_2820za7, ".", 1 );
DEFINE_STRING( BGl_string2395z00zz__avahi_avahiz00, BgL_bgl_string2395za700za7za7_2821za7, "avahi", 5 );
DEFINE_STRING( BGl_string2639z00zz__avahi_avahiz00, BgL_bgl_string2639za700za7za7_2822za7, "none nil avahi-domain-browser-browse _ avahi-service-resolver name $avahi-service-resolver avahi-domain-browser $avahi-domain-browser avahi-service-type-browser $avahi-service-type-browser avahi-service-browser protocol $avahi-if-index interface domain type $avahi-service-browser avahi-entry-group client $avahi-entry-group avahi-client state hostname-fqdn domainname hostname bstring version resolvers %browsers %groups procedure proc symbol flags poll $avahi-client avahi-threaded-poll $avahi-threaded-poll avahi-simple-poll $avahi-simple-poll $builtin avahi-poll pair-nil %procs $ctype avahi-object &avahi-collision-error __avahi_avahi &avahi-error int errno (quote avahi-domain-browser-max) (quote avahi-domain-browser-browse-legacy) (quote avahi-domain-browser-register-default) (quote avahi-domain-browser-register) (quote avahi-domain-browser-browse-default) (quote avahi-domain-browser-browse) btype eq? avahi-lookup-result-default avahi-lookup-result-static avahi-lookup-result-our-own avahi-lookup-result-local av"
"ahi-lookup-result-multicast avahi-lookup-result-wide-area avahi-lookup-result-cached avahi-lookup-default avahi-lookup-no-address avahi-lookup-no-txt avahi-proto-unspec avahi-proto-inet6 avahi-proto-inet avahi-if-unspec avahi-resolver-failure avahi-resolver-found avahi-browser-failure avahi-browser-all-for-now avahi-browser-cache-exhausted avahi-browser-remove avahi-browser-new avahi-entry-group-failure avahi-entry-group-collision avahi-entry-group-established avahi-entry-group-registering avahi-entry-group-uncommited (:subtype :port :host :domain :type :name) :subtype :port :host :domain :type :name avahi-client-connecting avahi-client-failure avahi-client-collision avahi-client-running avahi-client-registering condition-variable mutex avahi ", 1777 );
DEFINE_STRING( BGl_string2396z00zz__avahi_avahiz00, BgL_bgl_string2396za700za7za7_2823za7, "&avahi-poll-close", 17 );
DEFINE_STRING( BGl_string2397z00zz__avahi_avahiz00, BgL_bgl_string2397za700za7za7_2824za7, "avahi-poll", 10 );
DEFINE_STRING( BGl_string2398z00zz__avahi_avahiz00, BgL_bgl_string2398za700za7za7_2825za7, "&avahi-poll-loop", 16 );
DEFINE_STRING( BGl_string2399z00zz__avahi_avahiz00, BgL_bgl_string2399za700za7za7_2826za7, "&avahi-poll-quit", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72827za7, BGl_z62avahizd2initzd2avahizd2dom1279zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2protocolzd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2proto2828z00, BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72829za7, BGl_z62avahizd2initzd2avahizd2ser1281zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2550z00zz__avahi_avahiz00, BgL_bgl_za762lambda2092za7622830z00, BGl_z62lambda2092z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__avahi_avahiz00, BgL_bgl_za762lambda2091za7622831z00, BGl_z62lambda2091z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2470z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2832za7, BGl_z62zc3z04anonymousza31829ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2833za7, BGl_z62zc3z04anonymousza32099ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2471z00zz__avahi_avahiz00, BgL_bgl_za762lambda1827za7622834z00, BGl_z62lambda1827z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__avahi_avahiz00, BgL_bgl_za762lambda2098za7622835z00, BGl_z62lambda2098z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2472z00zz__avahi_avahiz00, BgL_bgl_za762lambda1825za7622836z00, BGl_z62lambda1825z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__avahi_avahiz00, BgL_bgl_za762lambda2097za7622837z00, BGl_z62lambda2097z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2838za7, BGl_z62zc3z04anonymousza31837ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2839za7, BGl_z62zc3z04anonymousza32106ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2474z00zz__avahi_avahiz00, BgL_bgl_za762lambda1835za7622840z00, BGl_z62lambda1835z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__avahi_avahiz00, BgL_bgl_za762lambda2105za7622841z00, BGl_z62lambda2105z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2475z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2842za7, BGl_z62zc3z04anonymousza31851ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__avahi_avahiz00, BgL_bgl_za762lambda2104za7622843z00, BGl_z62lambda2104z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2476z00zz__avahi_avahiz00, BgL_bgl_za762lambda1850za7622844z00, BGl_z62lambda1850z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2845za7, BGl_z62zc3z04anonymousza32113ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2477z00zz__avahi_avahiz00, BgL_bgl_za762lambda1849za7622846z00, BGl_z62lambda1849z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__avahi_avahiz00, BgL_bgl_za762lambda2112za7622847z00, BGl_z62lambda2112z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2848za7, BGl_z62zc3z04anonymousza31858ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2479z00zz__avahi_avahiz00, BgL_bgl_za762lambda1857za7622849z00, BGl_z62lambda1857z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2emptyzf3zd2envzf3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2850z00, BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2errorzd2messagezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2851z00, BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__avahi_avahiz00, BgL_bgl_za762lambda2111za7622852z00, BGl_z62lambda2111z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2853za7, BGl_z62zc3z04anonymousza32070ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2480z00zz__avahi_avahiz00, BgL_bgl_za762lambda1856za7622854z00, BGl_z62lambda1856z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__avahi_avahiz00, BgL_bgl_za762lambda2068za7622855z00, BGl_z62lambda2068z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2481z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2856za7, BGl_z62zc3z04anonymousza31844ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__avahi_avahiz00, BgL_bgl_za762lambda2065za7622857z00, BGl_z62lambda2065z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__avahi_avahiz00, BgL_bgl_za762lambda1842za7622858z00, BGl_z62lambda1842z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2859za7, BGl_z62zc3z04anonymousza32131ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2860za7, BGl_z62zc3z04anonymousza31876ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__avahi_avahiz00, BgL_bgl_za762lambda2130za7622861z00, BGl_z62lambda2130z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__avahi_avahiz00, BgL_bgl_za762lambda1875za7622862z00, BGl_z62lambda1875z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__avahi_avahiz00, BgL_bgl_za762lambda2129za7622863z00, BGl_z62lambda2129z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2485z00zz__avahi_avahiz00, BgL_bgl_za762lambda1874za7622864z00, BGl_z62lambda1874z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__avahi_avahiz00, BgL_bgl_za762lambda2136za7622865z00, BGl_z62lambda2136z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2486z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2866za7, BGl_z62zc3z04anonymousza31869ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__avahi_avahiz00, BgL_bgl_za762lambda2135za7622867z00, BGl_z62lambda2135z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2487z00zz__avahi_avahiz00, BgL_bgl_za762lambda1867za7622868z00, BGl_z62lambda1867z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__avahi_avahiz00, BgL_bgl_za762lambda2141za7622869z00, BGl_z62lambda2141z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2488z00zz__avahi_avahiz00, BgL_bgl_za762lambda1864za7622870z00, BGl_z62lambda1864z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2871za7, BGl_z62zc3z04anonymousza31895ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2symbolzd2ze3protocolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2symbo2872z00, BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2browserzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2brows2873z00, BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__avahi_avahiz00, BgL_bgl_za762lambda2140za7622874z00, BGl_z62lambda2140z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2875za7, BGl_z62zc3z04anonymousza32148ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__avahi_avahiz00, BgL_bgl_za762lambda1894za7622876z00, BGl_z62lambda1894z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__avahi_avahiz00, BgL_bgl_za762lambda2147za7622877z00, BGl_z62lambda2147z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__avahi_avahiz00, BgL_bgl_za762lambda1893za7622878z00, BGl_z62lambda1893z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__avahi_avahiz00, BgL_bgl_za762lambda2146za7622879z00, BGl_z62lambda2146z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2492z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2880za7, BGl_z62zc3z04anonymousza31888ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2881za7, BGl_z62zc3z04anonymousza32124ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2493z00zz__avahi_avahiz00, BgL_bgl_za762lambda1886za7622882z00, BGl_z62lambda1886z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__avahi_avahiz00, BgL_bgl_za762lambda2122za7622883z00, BGl_z62lambda2122z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__avahi_avahiz00, BgL_bgl_za762lambda1883za7622884z00, BGl_z62lambda1883z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__avahi_avahiz00, BgL_bgl_za762lambda2119za7622885z00, BGl_z62lambda2119z62zz__avahi_avahiz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2886za7, BGl_z62zc3z04anonymousza31913ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2887za7, BGl_z62zc3z04anonymousza32166ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__avahi_avahiz00, BgL_bgl_za762lambda1912za7622888z00, BGl_z62lambda1912z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__avahi_avahiz00, BgL_bgl_za762lambda2165za7622889z00, BGl_z62lambda2165z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__avahi_avahiz00, BgL_bgl_za762lambda1911za7622890z00, BGl_z62lambda1911z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__avahi_avahiz00, BgL_bgl_za762lambda2164za7622891z00, BGl_z62lambda2164z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__avahi_avahiz00, BgL_bgl_za762lambda1918za7622892z00, BGl_z62lambda1918z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__avahi_avahiz00, BgL_bgl_za762lambda1917za7622893z00, BGl_z62lambda1917z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__avahi_avahiz00, BgL_bgl_za762lambda2171za7622894z00, BGl_z62lambda2171z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__avahi_avahiz00, BgL_bgl_za762lambda2170za7622895z00, BGl_z62lambda2170z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__avahi_avahiz00, BgL_bgl_za762lambda2176za7622896z00, BGl_z62lambda2176z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__avahi_avahiz00, BgL_bgl_za762lambda2175za7622897z00, BGl_z62lambda2175z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2898za7, BGl_z62zc3z04anonymousza32183ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__avahi_avahiz00, BgL_bgl_za762lambda2182za7622899z00, BGl_z62lambda2182z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__avahi_avahiz00, BgL_bgl_za762lambda2181za7622900z00, BGl_z62lambda2181z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2901za7, BGl_z62zc3z04anonymousza32190ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__avahi_avahiz00, BgL_bgl_za762lambda2189za7622902z00, BGl_z62lambda2189z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__avahi_avahiz00, BgL_bgl_za762lambda2188za7622903z00, BGl_z62lambda2188z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2904za7, BGl_z62zc3z04anonymousza32159ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__avahi_avahiz00, BgL_bgl_za762lambda2157za7622905z00, BGl_z62lambda2157z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2timeoutzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2906z00, BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__avahi_avahiz00, BgL_bgl_za762lambda2154za7622907z00, BGl_z62lambda2154z62zz__avahi_avahiz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2908za7, BGl_z62zc3z04anonymousza32208ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__avahi_avahiz00, BgL_bgl_za762lambda2207za7622909z00, BGl_z62lambda2207z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__avahi_avahiz00, BgL_bgl_za762lambda2206za7622910z00, BGl_z62lambda2206z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__avahi_avahiz00, BgL_bgl_za762lambda2213za7622911z00, BGl_z62lambda2213z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__avahi_avahiz00, BgL_bgl_za762lambda2212za7622912z00, BGl_z62lambda2212z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__avahi_avahiz00, BgL_bgl_za762lambda2218za7622913z00, BGl_z62lambda2218z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__avahi_avahiz00, BgL_bgl_za762lambda2217za7622914z00, BGl_z62lambda2217z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2commitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2915z00, BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2916z00, BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72917za7, BGl_z62avahizd2initzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2statezd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2918z00, BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2unlockz12zd2envzc0zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72919za7, BGl_z62avahizd2pollzd2unlockz12z70zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2lookupzd2flagszd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2looku2920z00, BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2threadzd2initz12zd2envz92zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2th2921za7, BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2alternativezd2servicezd2namezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2alter2922z00, BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2923z00, BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2quitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2924z00, BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2addzd2servicez12zd2envzc0zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2925z00, va_generic_entry, BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2statezd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2926z00, BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2927z00, BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2domainzd2browserzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2domai2928z00, BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2quitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2929z00, BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2quitzd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72930za7, BGl_z62avahizd2pollzd2quitz62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2unlockz12zd2envz40zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2un2931za7, BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2unlockz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2932z00, BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2lockz12zd2envzc0zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72933za7, BGl_z62avahizd2pollzd2lockz12z70zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2loopzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2934z00, BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2pollzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2objectzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_z62avahizd2errorzb0zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2clientzd2zz__avahi_avahiz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(long BgL_checksumz00_3289, char * BgL_fromz00_3290)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__avahi_avahiz00))
{ 
BGl_requirezd2initializa7ationz75zz__avahi_avahiz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__avahi_avahiz00(); 
BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00(); 
BGl_cnstzd2initzd2zz__avahi_avahiz00(); 
BGl_objectzd2initzd2zz__avahi_avahiz00(); 
BGl_genericzd2initzd2zz__avahi_avahiz00(); 
BGl_methodzd2initzd2zz__avahi_avahiz00(); 
return 
BGl_toplevelzd2initzd2zz__avahi_avahiz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__avahi_avahi"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 15 */
 obj_t BgL_cportz00_2889;
{ /* Llib/avahi.scm 15 */
 obj_t BgL_stringz00_2896;
BgL_stringz00_2896 = BGl_string2639z00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 15 */
 obj_t BgL_startz00_2897;
BgL_startz00_2897 = 
BINT(0L); 
{ /* Llib/avahi.scm 15 */
 obj_t BgL_endz00_2898;
BgL_endz00_2898 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2896))); 
{ /* Llib/avahi.scm 15 */

BgL_cportz00_2889 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2896, BgL_startz00_2897, BgL_endz00_2898); } } } } 
{ 
 long BgL_iz00_2890;
BgL_iz00_2890 = 100L; 
BgL_loopz00_2891:
if(
(BgL_iz00_2890==-1L))
{ /* Llib/avahi.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 15 */
 obj_t BgL_arg2640z00_2892;
{ /* Llib/avahi.scm 15 */

{ /* Llib/avahi.scm 15 */
 obj_t BgL_locationz00_2894;
BgL_locationz00_2894 = 
BBOOL(((bool_t)0)); 
{ /* Llib/avahi.scm 15 */

BgL_arg2640z00_2892 = 
BGl_readz00zz__readerz00(BgL_cportz00_2889, BgL_locationz00_2894); } } } 
{ /* Llib/avahi.scm 15 */
 int BgL_tmpz00_3327;
BgL_tmpz00_3327 = 
(int)(BgL_iz00_2890); 
CNST_TABLE_SET(BgL_tmpz00_3327, BgL_arg2640z00_2892); } } 
{ /* Llib/avahi.scm 15 */
 int BgL_auxz00_2895;
BgL_auxz00_2895 = 
(int)(
(BgL_iz00_2890-1L)); 
{ 
 long BgL_iz00_3332;
BgL_iz00_3332 = 
(long)(BgL_auxz00_2895); 
BgL_iz00_2890 = BgL_iz00_3332; 
goto BgL_loopz00_2891;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, 
BSTRING_TO_STRING(BGl_string2390z00zz__avahi_avahiz00)); 
{ /* Llib/avahi.scm 227 */
 obj_t BgL_namez00_1304;
BgL_namez00_1304 = 
CNST_TABLE_REF(0L); 
BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00 = 
bgl_make_mutex(BgL_namez00_1304); } 
{ /* Llib/avahi.scm 228 */
 obj_t BgL_namez00_1305;
BgL_namez00_1305 = 
CNST_TABLE_REF(0L); 
BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00 = 
bgl_make_condvar(BgL_namez00_1305); } 
BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = BUNSPEC; 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = BNIL; 
{ /* Llib/avahi.scm 271 */

{ /* Llib/avahi.scm 271 */
 obj_t BgL_namez00_68;
BgL_namez00_68 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(1L)); 
{ /* Llib/avahi.scm 271 */

BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00 = 
bgl_make_mutex(BgL_namez00_68); } } } 
return BUNSPEC;} 

}



/* avahi-error */
BGL_EXPORTED_DEF obj_t bgl_avahi_error(char * BgL_procz00_7, char * BgL_msgz00_8, obj_t BgL_objz00_9, int BgL_errnoz00_10)
{
{ /* Llib/avahi.scm 238 */
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1297z00_77;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_78;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_81;
BgL_new1142z00_81 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1313z00_82;
BgL_arg1313z00_82 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_81), BgL_arg1313z00_82); } 
BgL_new1143z00_78 = BgL_new1142z00_81; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_78)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_78)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3352;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1311z00_79;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1312z00_80;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1309;
BgL_classz00_1309 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1312z00_80 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1309); } 
BgL_arg1311z00_79 = 
VECTOR_REF(BgL_arg1312z00_80,2L); } 
BgL_auxz00_3352 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1311z00_79); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_78)))->BgL_stackz00)=((obj_t)BgL_auxz00_3352),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_78)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_7)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_78)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_8)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_78)))->BgL_objz00)=((obj_t)BgL_objz00_9),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_78))->BgL_errnoz00)=((int)BgL_errnoz00_10),BUNSPEC); 
BgL_arg1297z00_77 = BgL_new1143z00_78; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1297z00_77));} } 

}



/* &avahi-error2303 */
obj_t BGl_z62avahizd2error2303zb0zz__avahi_avahiz00(obj_t BgL_envz00_2097, obj_t BgL_procz00_2098, obj_t BgL_msgz00_2099, obj_t BgL_objz00_2100, obj_t BgL_errnoz00_2101)
{
{ /* Llib/avahi.scm 238 */
{ /* Llib/avahi.scm 240 */
 int BgL_auxz00_3387; char * BgL_auxz00_3378; char * BgL_auxz00_3369;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_tmpz00_3388;
if(
INTEGERP(BgL_errnoz00_2101))
{ /* Llib/avahi.scm 240 */
BgL_tmpz00_3388 = BgL_errnoz00_2101
; }  else 
{ 
 obj_t BgL_auxz00_3391;
BgL_auxz00_3391 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(9837L), BGl_string2392z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_errnoz00_2101); 
FAILURE(BgL_auxz00_3391,BFALSE,BFALSE);} 
BgL_auxz00_3387 = 
CINT(BgL_tmpz00_3388); } 
{ /* Llib/avahi.scm 240 */
 obj_t BgL_tmpz00_3379;
if(
STRINGP(BgL_msgz00_2099))
{ /* Llib/avahi.scm 240 */
BgL_tmpz00_3379 = BgL_msgz00_2099
; }  else 
{ 
 obj_t BgL_auxz00_3382;
BgL_auxz00_3382 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(9837L), BGl_string2392z00zz__avahi_avahiz00, BGl_string2393z00zz__avahi_avahiz00, BgL_msgz00_2099); 
FAILURE(BgL_auxz00_3382,BFALSE,BFALSE);} 
BgL_auxz00_3378 = 
BSTRING_TO_STRING(BgL_tmpz00_3379); } 
{ /* Llib/avahi.scm 240 */
 obj_t BgL_tmpz00_3370;
if(
STRINGP(BgL_procz00_2098))
{ /* Llib/avahi.scm 240 */
BgL_tmpz00_3370 = BgL_procz00_2098
; }  else 
{ 
 obj_t BgL_auxz00_3373;
BgL_auxz00_3373 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(9837L), BGl_string2392z00zz__avahi_avahiz00, BGl_string2393z00zz__avahi_avahiz00, BgL_procz00_2098); 
FAILURE(BgL_auxz00_3373,BFALSE,BFALSE);} 
BgL_auxz00_3369 = 
BSTRING_TO_STRING(BgL_tmpz00_3370); } 
return 
bgl_avahi_error(BgL_auxz00_3369, BgL_auxz00_3378, BgL_objz00_2100, BgL_auxz00_3387);} } 

}



/* %avahi-lock! */
BGL_EXPORTED_DEF obj_t bgl_avahi_lock(void)
{
{ /* Llib/avahi.scm 249 */
{ /* Llib/avahi.scm 250 */
 obj_t BgL_g1184z00_1311;
BgL_g1184z00_1311 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 250 */

{ /* Llib/avahi.scm 250 */
 int BgL_arg1663z00_1316;
BgL_arg1663z00_1316 = 
BGL_MUTEX_LOCK(BgL_g1184z00_1311); 
return 
BBOOL(
(
(long)(BgL_arg1663z00_1316)==0L));} } } } 

}



/* &%avahi-lock! */
obj_t BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00(obj_t BgL_envz00_2102)
{
{ /* Llib/avahi.scm 249 */
return 
bgl_avahi_lock();} 

}



/* %avahi-unlock! */
BGL_EXPORTED_DEF obj_t bgl_avahi_unlock(void)
{
{ /* Llib/avahi.scm 255 */
{ /* Llib/avahi.scm 256 */
 obj_t BgL_mz00_1321;
BgL_mz00_1321 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 256 */
 int BgL_arg1661z00_1322;
BgL_arg1661z00_1322 = 
BGL_MUTEX_UNLOCK(BgL_mz00_1321); 
return 
BBOOL(
(
(long)(BgL_arg1661z00_1322)==0L));} } } 

}



/* &%avahi-unlock! */
obj_t BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00(obj_t BgL_envz00_2103)
{
{ /* Llib/avahi.scm 255 */
return 
bgl_avahi_unlock();} 

}



/* %avahi-signal */
BGL_EXPORTED_DEF obj_t bgl_avahi_signal(void)
{
{ /* Llib/avahi.scm 261 */
{ /* Llib/avahi.scm 262 */
 obj_t BgL_cz00_1324;
BgL_cz00_1324 = BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00; 
return 
BBOOL(
BGL_CONDVAR_SIGNAL(BgL_cz00_1324));} } 

}



/* &%avahi-signal */
obj_t BGl_z62z52avahizd2signalze2zz__avahi_avahiz00(obj_t BgL_envz00_2104)
{
{ /* Llib/avahi.scm 261 */
return 
bgl_avahi_signal();} 

}



/* avahi-gc-unmark! */
obj_t BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt BgL_oz00_12)
{
{ /* Llib/avahi.scm 283 */
{ /* Llib/avahi.scm 284 */
 obj_t BgL_top2941z00_3411;
BgL_top2941z00_3411 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2941z00_3411, BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BUNSPEC; 
{ /* Llib/avahi.scm 284 */
 obj_t BgL_tmp2940z00_3410;
{ /* Llib/avahi.scm 285 */
 obj_t BgL_g1913z00_86;
BgL_g1913z00_86 = BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 285 */

BgL_tmp2940z00_3410 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
BGl_deletez12z12zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_12), BgL_g1913z00_86, BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00), BUNSPEC) ; } } 
BGL_EXITD_POP_PROTECT(BgL_top2941z00_3411); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
return BgL_tmp2940z00_3410;} } } 

}



/* %avahi-thread-init! */
BGL_EXPORTED_DEF obj_t BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 290 */
{ /* Llib/avahi.scm 291 */
 bool_t BgL_test2942z00_3419;
{ /* Llib/avahi.scm 291 */
 obj_t BgL_objz00_1325; obj_t BgL_classz00_1326;
BgL_objz00_1325 = BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00; 
BgL_classz00_1326 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_objz00_1325))
{ /* Llib/avahi.scm 291 */
 BgL_objectz00_bglt BgL_arg1778z00_1328;
BgL_arg1778z00_1328 = 
(BgL_objectz00_bglt)(BgL_objz00_1325); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 291 */
 long BgL_idxz00_1334;
BgL_idxz00_1334 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1328); 
BgL_test2942z00_3419 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1334+1L))==BgL_classz00_1326); }  else 
{ /* Llib/avahi.scm 291 */
 bool_t BgL_res2291z00_1356;
{ /* Llib/avahi.scm 291 */
 obj_t BgL_oclassz00_1342;
{ /* Llib/avahi.scm 291 */
 long BgL_arg1785z00_1348;
{ /* Llib/avahi.scm 291 */
 long BgL_arg1786z00_1349;
BgL_arg1786z00_1349 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1328); 
BgL_arg1785z00_1348 = 
(BgL_arg1786z00_1349-OBJECT_TYPE); } 
BgL_oclassz00_1342 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1348); } 
{ /* Llib/avahi.scm 291 */
 bool_t BgL__ortest_1114z00_1343;
BgL__ortest_1114z00_1343 = 
(BgL_classz00_1326==BgL_oclassz00_1342); 
if(BgL__ortest_1114z00_1343)
{ /* Llib/avahi.scm 291 */
BgL_res2291z00_1356 = BgL__ortest_1114z00_1343; }  else 
{ /* Llib/avahi.scm 291 */
 long BgL_odepthz00_1344;
BgL_odepthz00_1344 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1342); 
if(
(1L<BgL_odepthz00_1344))
{ /* Llib/avahi.scm 291 */
 obj_t BgL_arg1775z00_1346;
BgL_arg1775z00_1346 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1342, 1L); 
BgL_res2291z00_1356 = 
(BgL_arg1775z00_1346==BgL_classz00_1326); }  else 
{ /* Llib/avahi.scm 291 */
BgL_res2291z00_1356 = ((bool_t)0); } } } } 
BgL_test2942z00_3419 = BgL_res2291z00_1356; } }  else 
{ /* Llib/avahi.scm 291 */
BgL_test2942z00_3419 = ((bool_t)0)
; } } 
if(BgL_test2942z00_3419)
{ /* Llib/avahi.scm 291 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 293 */
 obj_t BgL_lkz00_89; obj_t BgL_cvz00_90;
{ /* Llib/avahi.scm 293 */

{ /* Llib/avahi.scm 293 */
 obj_t BgL_namez00_106;
BgL_namez00_106 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(1L)); 
{ /* Llib/avahi.scm 293 */

BgL_lkz00_89 = 
bgl_make_mutex(BgL_namez00_106); } } } 
{ /* Llib/avahi.scm 294 */

{ /* Llib/avahi.scm 294 */
 obj_t BgL_namez00_107;
BgL_namez00_107 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(2L)); 
{ /* Llib/avahi.scm 294 */

BgL_cvz00_90 = 
bgl_make_condvar(BgL_namez00_107); } } } 
{ /* Llib/avahi.scm 296 */
 BgL_pthreadz00_bglt BgL_new1145z00_91;
{ /* Llib/avahi.scm 297 */
 BgL_pthreadz00_bglt BgL_new1144z00_100;
BgL_new1144z00_100 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/avahi.scm 297 */
 long BgL_arg1319z00_101;
BgL_arg1319z00_101 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_100), BgL_arg1319z00_101); } 
BgL_new1145z00_91 = BgL_new1144z00_100; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1145z00_91)))->BgL_namez00)=((obj_t)BGl_string2395z00zz__avahi_avahiz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3451;
{ /* Llib/avahi.scm 298 */
 obj_t BgL_zc3z04anonymousza31316ze3z87_2108;
BgL_zc3z04anonymousza31316ze3z87_2108 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31316ze3ze5zz__avahi_avahiz00, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31316ze3z87_2108, 
(int)(0L), BgL_lkz00_89); 
PROCEDURE_SET(BgL_zc3z04anonymousza31316ze3z87_2108, 
(int)(1L), BgL_cvz00_90); 
BgL_auxz00_3451 = BgL_zc3z04anonymousza31316ze3z87_2108; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_91))->BgL_bodyz00)=((obj_t)BgL_auxz00_3451),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_91))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_91))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_91))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_91))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
{ /* Llib/avahi.scm 296 */
 obj_t BgL_fun1318z00_99;
BgL_fun1318z00_99 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1318z00_99))(BgL_fun1318z00_99, 
((obj_t)BgL_new1145z00_91), BEOA); } 
BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = 
((obj_t)BgL_new1145z00_91); } 
{ /* Llib/avahi.scm 307 */
 obj_t BgL_top2948z00_3473;
BgL_top2948z00_3473 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_lkz00_89); 
BGL_EXITD_PUSH_PROTECT(BgL_top2948z00_3473, BgL_lkz00_89); BUNSPEC; 
{ /* Llib/avahi.scm 307 */
 obj_t BgL_tmp2947z00_3472;
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00), BNIL); 
{ /* Llib/avahi.scm 309 */

BgL_tmp2947z00_3472 = 
BBOOL(
BGL_CONDVAR_WAIT(BgL_cvz00_90, BgL_lkz00_89)); } 
BGL_EXITD_POP_PROTECT(BgL_top2948z00_3473); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_lkz00_89); 
return BgL_tmp2947z00_3472;} } } } } 

}



/* &%avahi-thread-init! */
obj_t BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00(obj_t BgL_envz00_2109)
{
{ /* Llib/avahi.scm 290 */
return 
BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00();} 

}



/* &<@anonymous:1316> */
obj_t BGl_z62zc3z04anonymousza31316ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2110)
{
{ /* Llib/avahi.scm 298 */
{ /* Llib/avahi.scm 299 */
 obj_t BgL_lkz00_2111; obj_t BgL_cvz00_2112;
BgL_lkz00_2111 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2110, 
(int)(0L))); 
BgL_cvz00_2112 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2110, 
(int)(1L))); 
BGL_MUTEX_LOCK(BgL_lkz00_2111); 
{ /* Llib/avahi.scm 299 */
 bool_t BgL_tmp2949z00_3490;
BgL_tmp2949z00_3490 = 
BGL_CONDVAR_SIGNAL(BgL_cvz00_2112); 
BGL_MUTEX_UNLOCK(BgL_lkz00_2111); BgL_tmp2949z00_3490; } 
{ 

BgL_loopz00_2900:
BGL_MUTEX_LOCK(BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 302 */
 bool_t BgL_tmp2950z00_3494;
{ /* Llib/avahi.scm 304 */
 obj_t BgL_g1174z00_2901; obj_t BgL_g1175z00_2902;
BgL_g1174z00_2901 = BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00; 
BgL_g1175z00_2902 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 303 */

BgL_tmp2950z00_3494 = 
BGL_CONDVAR_WAIT(BgL_g1174z00_2901, BgL_g1175z00_2902); } } 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00); BgL_tmp2950z00_3494; } 
bgl_avahi_invoke_callbacks(); BUNSPEC; 
goto BgL_loopz00_2900;} } } 

}



/* avahi-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2closez00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_14)
{
{ /* Llib/avahi.scm 320 */
{ /* Llib/avahi.scm 321 */
 bool_t BgL_test2951z00_3499;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_classz00_1372;
BgL_classz00_1372 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 321 */
 BgL_objectz00_bglt BgL_arg1778z00_1374;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_tmpz00_3500;
BgL_tmpz00_3500 = 
((obj_t)BgL_oz00_14); 
BgL_arg1778z00_1374 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3500); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 321 */
 long BgL_idxz00_1380;
BgL_idxz00_1380 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1374); 
BgL_test2951z00_3499 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1380+3L))==BgL_classz00_1372); }  else 
{ /* Llib/avahi.scm 321 */
 bool_t BgL_res2292z00_1402;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_oclassz00_1388;
{ /* Llib/avahi.scm 321 */
 long BgL_arg1785z00_1394;
{ /* Llib/avahi.scm 321 */
 long BgL_arg1786z00_1395;
BgL_arg1786z00_1395 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1374); 
BgL_arg1785z00_1394 = 
(BgL_arg1786z00_1395-OBJECT_TYPE); } 
BgL_oclassz00_1388 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1394); } 
{ /* Llib/avahi.scm 321 */
 bool_t BgL__ortest_1114z00_1389;
BgL__ortest_1114z00_1389 = 
(BgL_classz00_1372==BgL_oclassz00_1388); 
if(BgL__ortest_1114z00_1389)
{ /* Llib/avahi.scm 321 */
BgL_res2292z00_1402 = BgL__ortest_1114z00_1389; }  else 
{ /* Llib/avahi.scm 321 */
 long BgL_odepthz00_1390;
BgL_odepthz00_1390 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1388); 
if(
(3L<BgL_odepthz00_1390))
{ /* Llib/avahi.scm 321 */
 obj_t BgL_arg1775z00_1392;
BgL_arg1775z00_1392 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1388, 3L); 
BgL_res2292z00_1402 = 
(BgL_arg1775z00_1392==BgL_classz00_1372); }  else 
{ /* Llib/avahi.scm 321 */
BgL_res2292z00_1402 = ((bool_t)0); } } } } 
BgL_test2951z00_3499 = BgL_res2292z00_1402; } } } 
if(BgL_test2951z00_3499)
{ /* Llib/avahi.scm 321 */
{ /* Llib/avahi.scm 377 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_tmpz00_3519;
BgL_tmpz00_3519 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_14); 
bgl_avahi_simple_poll_close(BgL_tmpz00_3519); } BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_14))); 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 321 */
{ /* Llib/avahi.scm 423 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_tmpz00_3525;
BgL_tmpz00_3525 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_14); 
bgl_avahi_threaded_poll_close(BgL_tmpz00_3525); } BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_14))); 
return BUNSPEC;} } } 

}



/* &avahi-poll-close */
obj_t BGl_z62avahizd2pollzd2closez62zz__avahi_avahiz00(obj_t BgL_envz00_2113, obj_t BgL_oz00_2114)
{
{ /* Llib/avahi.scm 320 */
{ /* Llib/avahi.scm 321 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3531;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2114, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 321 */
BgL_auxz00_3531 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2114)
; }  else 
{ 
 obj_t BgL_auxz00_3535;
BgL_auxz00_3535 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(13362L), BGl_string2396z00zz__avahi_avahiz00, BGl_string2397z00zz__avahi_avahiz00, BgL_oz00_2114); 
FAILURE(BgL_auxz00_3535,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2closez00zz__avahi_avahiz00(BgL_auxz00_3531);} } 

}



/* avahi-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2loopz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_15)
{
{ /* Llib/avahi.scm 328 */
{ /* Llib/avahi.scm 329 */
 bool_t BgL_test2956z00_3540;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_classz00_1406;
BgL_classz00_1406 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 329 */
 BgL_objectz00_bglt BgL_arg1778z00_1408;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_tmpz00_3541;
BgL_tmpz00_3541 = 
((obj_t)BgL_oz00_15); 
BgL_arg1778z00_1408 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3541); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 329 */
 long BgL_idxz00_1414;
BgL_idxz00_1414 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1408); 
BgL_test2956z00_3540 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1414+3L))==BgL_classz00_1406); }  else 
{ /* Llib/avahi.scm 329 */
 bool_t BgL_res2293z00_1436;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_oclassz00_1422;
{ /* Llib/avahi.scm 329 */
 long BgL_arg1785z00_1428;
{ /* Llib/avahi.scm 329 */
 long BgL_arg1786z00_1429;
BgL_arg1786z00_1429 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1408); 
BgL_arg1785z00_1428 = 
(BgL_arg1786z00_1429-OBJECT_TYPE); } 
BgL_oclassz00_1422 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1428); } 
{ /* Llib/avahi.scm 329 */
 bool_t BgL__ortest_1114z00_1423;
BgL__ortest_1114z00_1423 = 
(BgL_classz00_1406==BgL_oclassz00_1422); 
if(BgL__ortest_1114z00_1423)
{ /* Llib/avahi.scm 329 */
BgL_res2293z00_1436 = BgL__ortest_1114z00_1423; }  else 
{ /* Llib/avahi.scm 329 */
 long BgL_odepthz00_1424;
BgL_odepthz00_1424 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1422); 
if(
(3L<BgL_odepthz00_1424))
{ /* Llib/avahi.scm 329 */
 obj_t BgL_arg1775z00_1426;
BgL_arg1775z00_1426 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1422, 3L); 
BgL_res2293z00_1436 = 
(BgL_arg1775z00_1426==BgL_classz00_1406); }  else 
{ /* Llib/avahi.scm 329 */
BgL_res2293z00_1436 = ((bool_t)0); } } } } 
BgL_test2956z00_3540 = BgL_res2293z00_1436; } } } 
if(BgL_test2956z00_3540)
{ /* Llib/avahi.scm 329 */
{ /* Llib/avahi.scm 386 */
 AvahiSimplePoll * BgL_arg1329z00_1439;
BgL_arg1329z00_1439 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_15)))->BgL_z42builtinz42); 
avahi_simple_poll_loop(BgL_arg1329z00_1439); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_15));}  else 
{ /* Llib/avahi.scm 329 */
{ /* Llib/avahi.scm 432 */
 AvahiThreadedPoll * BgL_arg1339z00_1442;
BgL_arg1339z00_1442 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_15)))->BgL_z42builtinz42); 
avahi_threaded_poll_start(BgL_arg1339z00_1442); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_15));} } } 

}



/* &avahi-poll-loop */
obj_t BGl_z62avahizd2pollzd2loopz62zz__avahi_avahiz00(obj_t BgL_envz00_2115, obj_t BgL_oz00_2116)
{
{ /* Llib/avahi.scm 328 */
{ /* Llib/avahi.scm 329 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3570;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2116, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 329 */
BgL_auxz00_3570 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2116)
; }  else 
{ 
 obj_t BgL_auxz00_3574;
BgL_auxz00_3574 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(13740L), BGl_string2398z00zz__avahi_avahiz00, BGl_string2397z00zz__avahi_avahiz00, BgL_oz00_2116); 
FAILURE(BgL_auxz00_3574,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2loopz00zz__avahi_avahiz00(BgL_auxz00_3570);} } 

}



/* avahi-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2quitz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_16)
{
{ /* Llib/avahi.scm 336 */
{ /* Llib/avahi.scm 337 */
 bool_t BgL_test2961z00_3579;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_classz00_1444;
BgL_classz00_1444 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 337 */
 BgL_objectz00_bglt BgL_arg1778z00_1446;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_tmpz00_3580;
BgL_tmpz00_3580 = 
((obj_t)BgL_oz00_16); 
BgL_arg1778z00_1446 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3580); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 337 */
 long BgL_idxz00_1452;
BgL_idxz00_1452 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1446); 
BgL_test2961z00_3579 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1452+3L))==BgL_classz00_1444); }  else 
{ /* Llib/avahi.scm 337 */
 bool_t BgL_res2294z00_1474;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_oclassz00_1460;
{ /* Llib/avahi.scm 337 */
 long BgL_arg1785z00_1466;
{ /* Llib/avahi.scm 337 */
 long BgL_arg1786z00_1467;
BgL_arg1786z00_1467 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1446); 
BgL_arg1785z00_1466 = 
(BgL_arg1786z00_1467-OBJECT_TYPE); } 
BgL_oclassz00_1460 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1466); } 
{ /* Llib/avahi.scm 337 */
 bool_t BgL__ortest_1114z00_1461;
BgL__ortest_1114z00_1461 = 
(BgL_classz00_1444==BgL_oclassz00_1460); 
if(BgL__ortest_1114z00_1461)
{ /* Llib/avahi.scm 337 */
BgL_res2294z00_1474 = BgL__ortest_1114z00_1461; }  else 
{ /* Llib/avahi.scm 337 */
 long BgL_odepthz00_1462;
BgL_odepthz00_1462 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1460); 
if(
(3L<BgL_odepthz00_1462))
{ /* Llib/avahi.scm 337 */
 obj_t BgL_arg1775z00_1464;
BgL_arg1775z00_1464 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1460, 3L); 
BgL_res2294z00_1474 = 
(BgL_arg1775z00_1464==BgL_classz00_1444); }  else 
{ /* Llib/avahi.scm 337 */
BgL_res2294z00_1474 = ((bool_t)0); } } } } 
BgL_test2961z00_3579 = BgL_res2294z00_1474; } } } 
if(BgL_test2961z00_3579)
{ /* Llib/avahi.scm 337 */
{ /* Llib/avahi.scm 405 */
 AvahiSimplePoll * BgL_arg1338z00_1477;
BgL_arg1338z00_1477 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_16)))->BgL_z42builtinz42); 
avahi_simple_poll_quit(BgL_arg1338z00_1477); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_16));}  else 
{ /* Llib/avahi.scm 337 */
{ /* Llib/avahi.scm 467 */
 AvahiThreadedPoll * BgL_arg1347z00_1480;
BgL_arg1347z00_1480 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_16)))->BgL_z42builtinz42); 
avahi_threaded_poll_stop(BgL_arg1347z00_1480); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_16));} } } 

}



/* &avahi-poll-quit */
obj_t BGl_z62avahizd2pollzd2quitz62zz__avahi_avahiz00(obj_t BgL_envz00_2117, obj_t BgL_oz00_2118)
{
{ /* Llib/avahi.scm 336 */
{ /* Llib/avahi.scm 337 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3609;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2118, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 337 */
BgL_auxz00_3609 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2118)
; }  else 
{ 
 obj_t BgL_auxz00_3613;
BgL_auxz00_3613 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(14116L), BGl_string2399z00zz__avahi_avahiz00, BGl_string2397z00zz__avahi_avahiz00, BgL_oz00_2118); 
FAILURE(BgL_auxz00_3613,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2quitz00zz__avahi_avahiz00(BgL_auxz00_3609);} } 

}



/* avahi-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2timeoutz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_17, long BgL_tz00_18, obj_t BgL_procz00_19)
{
{ /* Llib/avahi.scm 344 */
{ /* Llib/avahi.scm 345 */
 bool_t BgL_test2966z00_3618;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_classz00_1482;
BgL_classz00_1482 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 345 */
 BgL_objectz00_bglt BgL_arg1778z00_1484;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_tmpz00_3619;
BgL_tmpz00_3619 = 
((obj_t)BgL_oz00_17); 
BgL_arg1778z00_1484 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3619); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 345 */
 long BgL_idxz00_1490;
BgL_idxz00_1490 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1484); 
BgL_test2966z00_3618 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1490+3L))==BgL_classz00_1482); }  else 
{ /* Llib/avahi.scm 345 */
 bool_t BgL_res2295z00_1512;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_oclassz00_1498;
{ /* Llib/avahi.scm 345 */
 long BgL_arg1785z00_1504;
{ /* Llib/avahi.scm 345 */
 long BgL_arg1786z00_1505;
BgL_arg1786z00_1505 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1484); 
BgL_arg1785z00_1504 = 
(BgL_arg1786z00_1505-OBJECT_TYPE); } 
BgL_oclassz00_1498 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1504); } 
{ /* Llib/avahi.scm 345 */
 bool_t BgL__ortest_1114z00_1499;
BgL__ortest_1114z00_1499 = 
(BgL_classz00_1482==BgL_oclassz00_1498); 
if(BgL__ortest_1114z00_1499)
{ /* Llib/avahi.scm 345 */
BgL_res2295z00_1512 = BgL__ortest_1114z00_1499; }  else 
{ /* Llib/avahi.scm 345 */
 long BgL_odepthz00_1500;
BgL_odepthz00_1500 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1498); 
if(
(3L<BgL_odepthz00_1500))
{ /* Llib/avahi.scm 345 */
 obj_t BgL_arg1775z00_1502;
BgL_arg1775z00_1502 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1498, 3L); 
BgL_res2295z00_1512 = 
(BgL_arg1775z00_1502==BgL_classz00_1482); }  else 
{ /* Llib/avahi.scm 345 */
BgL_res2295z00_1512 = ((bool_t)0); } } } } 
BgL_test2966z00_3618 = BgL_res2295z00_1512; } } } 
if(BgL_test2966z00_3618)
{ /* Llib/avahi.scm 345 */
return 
BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_17), BgL_tz00_18, BgL_procz00_19);}  else 
{ /* Llib/avahi.scm 345 */
return 
BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_17), BgL_tz00_18, BgL_procz00_19);} } } 

}



/* &avahi-poll-timeout */
obj_t BGl_z62avahizd2pollzd2timeoutz62zz__avahi_avahiz00(obj_t BgL_envz00_2119, obj_t BgL_oz00_2120, obj_t BgL_tz00_2121, obj_t BgL_procz00_2122)
{
{ /* Llib/avahi.scm 344 */
{ /* Llib/avahi.scm 345 */
 obj_t BgL_auxz00_3659; long BgL_auxz00_3650; BgL_avahizd2pollzd2_bglt BgL_auxz00_3642;
if(
PROCEDUREP(BgL_procz00_2122))
{ /* Llib/avahi.scm 345 */
BgL_auxz00_3659 = BgL_procz00_2122
; }  else 
{ 
 obj_t BgL_auxz00_3662;
BgL_auxz00_3662 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(14519L), BGl_string2400z00zz__avahi_avahiz00, BGl_string2401z00zz__avahi_avahiz00, BgL_procz00_2122); 
FAILURE(BgL_auxz00_3662,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 345 */
 obj_t BgL_tmpz00_3651;
if(
INTEGERP(BgL_tz00_2121))
{ /* Llib/avahi.scm 345 */
BgL_tmpz00_3651 = BgL_tz00_2121
; }  else 
{ 
 obj_t BgL_auxz00_3654;
BgL_auxz00_3654 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(14519L), BGl_string2400z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_tz00_2121); 
FAILURE(BgL_auxz00_3654,BFALSE,BFALSE);} 
BgL_auxz00_3650 = 
(long)CINT(BgL_tmpz00_3651); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2120, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 345 */
BgL_auxz00_3642 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2120)
; }  else 
{ 
 obj_t BgL_auxz00_3646;
BgL_auxz00_3646 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(14519L), BGl_string2400z00zz__avahi_avahiz00, BGl_string2397z00zz__avahi_avahiz00, BgL_oz00_2120); 
FAILURE(BgL_auxz00_3646,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2timeoutz00zz__avahi_avahiz00(BgL_auxz00_3642, BgL_auxz00_3650, BgL_auxz00_3659);} } 

}



/* avahi-poll-lock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2lockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_20)
{
{ /* Llib/avahi.scm 352 */
{ /* Llib/avahi.scm 353 */
 bool_t BgL_test2973z00_3667;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_classz00_1514;
BgL_classz00_1514 = BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 353 */
 BgL_objectz00_bglt BgL_arg1778z00_1516;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_tmpz00_3668;
BgL_tmpz00_3668 = 
((obj_t)BgL_oz00_20); 
BgL_arg1778z00_1516 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3668); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 353 */
 long BgL_idxz00_1522;
BgL_idxz00_1522 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1516); 
BgL_test2973z00_3667 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1522+3L))==BgL_classz00_1514); }  else 
{ /* Llib/avahi.scm 353 */
 bool_t BgL_res2296z00_1544;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_oclassz00_1530;
{ /* Llib/avahi.scm 353 */
 long BgL_arg1785z00_1536;
{ /* Llib/avahi.scm 353 */
 long BgL_arg1786z00_1537;
BgL_arg1786z00_1537 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1516); 
BgL_arg1785z00_1536 = 
(BgL_arg1786z00_1537-OBJECT_TYPE); } 
BgL_oclassz00_1530 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1536); } 
{ /* Llib/avahi.scm 353 */
 bool_t BgL__ortest_1114z00_1531;
BgL__ortest_1114z00_1531 = 
(BgL_classz00_1514==BgL_oclassz00_1530); 
if(BgL__ortest_1114z00_1531)
{ /* Llib/avahi.scm 353 */
BgL_res2296z00_1544 = BgL__ortest_1114z00_1531; }  else 
{ /* Llib/avahi.scm 353 */
 long BgL_odepthz00_1532;
BgL_odepthz00_1532 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1530); 
if(
(3L<BgL_odepthz00_1532))
{ /* Llib/avahi.scm 353 */
 obj_t BgL_arg1775z00_1534;
BgL_arg1775z00_1534 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1530, 3L); 
BgL_res2296z00_1544 = 
(BgL_arg1775z00_1534==BgL_classz00_1514); }  else 
{ /* Llib/avahi.scm 353 */
BgL_res2296z00_1544 = ((bool_t)0); } } } } 
BgL_test2973z00_3667 = BgL_res2296z00_1544; } } } 
if(BgL_test2973z00_3667)
{ /* Llib/avahi.scm 353 */
{ /* Llib/avahi.scm 440 */
 AvahiThreadedPoll * BgL_arg1341z00_1547;
BgL_arg1341z00_1547 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_20)))->BgL_z42builtinz42); 
avahi_threaded_poll_lock(BgL_arg1341z00_1547); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_20));}  else 
{ /* Llib/avahi.scm 353 */
return BFALSE;} } } 

}



/* &avahi-poll-lock! */
obj_t BGl_z62avahizd2pollzd2lockz12z70zz__avahi_avahiz00(obj_t BgL_envz00_2123, obj_t BgL_oz00_2124)
{
{ /* Llib/avahi.scm 352 */
{ /* Llib/avahi.scm 353 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3692;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2124, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 353 */
BgL_auxz00_3692 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2124)
; }  else 
{ 
 obj_t BgL_auxz00_3696;
BgL_auxz00_3696 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(14916L), BGl_string2402z00zz__avahi_avahiz00, BGl_string2397z00zz__avahi_avahiz00, BgL_oz00_2124); 
FAILURE(BgL_auxz00_3696,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2lockz12z12zz__avahi_avahiz00(BgL_auxz00_3692);} } 

}



/* avahi-poll-unlock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2unlockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_21)
{
{ /* Llib/avahi.scm 359 */
{ /* Llib/avahi.scm 360 */
 bool_t BgL_test2978z00_3701;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_classz00_1549;
BgL_classz00_1549 = BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 360 */
 BgL_objectz00_bglt BgL_arg1778z00_1551;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_tmpz00_3702;
BgL_tmpz00_3702 = 
((obj_t)BgL_oz00_21); 
BgL_arg1778z00_1551 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3702); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 360 */
 long BgL_idxz00_1557;
BgL_idxz00_1557 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1551); 
BgL_test2978z00_3701 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1557+3L))==BgL_classz00_1549); }  else 
{ /* Llib/avahi.scm 360 */
 bool_t BgL_res2297z00_1579;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_oclassz00_1565;
{ /* Llib/avahi.scm 360 */
 long BgL_arg1785z00_1571;
{ /* Llib/avahi.scm 360 */
 long BgL_arg1786z00_1572;
BgL_arg1786z00_1572 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1551); 
BgL_arg1785z00_1571 = 
(BgL_arg1786z00_1572-OBJECT_TYPE); } 
BgL_oclassz00_1565 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1571); } 
{ /* Llib/avahi.scm 360 */
 bool_t BgL__ortest_1114z00_1566;
BgL__ortest_1114z00_1566 = 
(BgL_classz00_1549==BgL_oclassz00_1565); 
if(BgL__ortest_1114z00_1566)
{ /* Llib/avahi.scm 360 */
BgL_res2297z00_1579 = BgL__ortest_1114z00_1566; }  else 
{ /* Llib/avahi.scm 360 */
 long BgL_odepthz00_1567;
BgL_odepthz00_1567 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1565); 
if(
(3L<BgL_odepthz00_1567))
{ /* Llib/avahi.scm 360 */
 obj_t BgL_arg1775z00_1569;
BgL_arg1775z00_1569 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1565, 3L); 
BgL_res2297z00_1579 = 
(BgL_arg1775z00_1569==BgL_classz00_1549); }  else 
{ /* Llib/avahi.scm 360 */
BgL_res2297z00_1579 = ((bool_t)0); } } } } 
BgL_test2978z00_3701 = BgL_res2297z00_1579; } } } 
if(BgL_test2978z00_3701)
{ /* Llib/avahi.scm 360 */
{ /* Llib/avahi.scm 448 */
 AvahiThreadedPoll * BgL_arg1342z00_1582;
BgL_arg1342z00_1582 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_21)))->BgL_z42builtinz42); 
avahi_threaded_poll_unlock(BgL_arg1342z00_1582); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_21));}  else 
{ /* Llib/avahi.scm 360 */
return BFALSE;} } } 

}



/* &avahi-poll-unlock! */
obj_t BGl_z62avahizd2pollzd2unlockz12z70zz__avahi_avahiz00(obj_t BgL_envz00_2125, obj_t BgL_oz00_2126)
{
{ /* Llib/avahi.scm 359 */
{ /* Llib/avahi.scm 360 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3726;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2126, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 360 */
BgL_auxz00_3726 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2126)
; }  else 
{ 
 obj_t BgL_auxz00_3730;
BgL_auxz00_3730 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(15265L), BGl_string2403z00zz__avahi_avahiz00, BGl_string2397z00zz__avahi_avahiz00, BgL_oz00_2126); 
FAILURE(BgL_auxz00_3730,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2unlockz12z12zz__avahi_avahiz00(BgL_auxz00_3726);} } 

}



/* avahi-simple-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_23)
{
{ /* Llib/avahi.scm 376 */
bgl_avahi_simple_poll_close(BgL_oz00_23); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_23)); 
return BUNSPEC;} 

}



/* &avahi-simple-poll-close */
obj_t BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2127, obj_t BgL_oz00_2128)
{
{ /* Llib/avahi.scm 376 */
{ /* Llib/avahi.scm 377 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3738;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2128, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 377 */
BgL_auxz00_3738 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2128)
; }  else 
{ 
 obj_t BgL_auxz00_3742;
BgL_auxz00_3742 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(16062L), BGl_string2404z00zz__avahi_avahiz00, BGl_string2405z00zz__avahi_avahiz00, BgL_oz00_2128); 
FAILURE(BgL_auxz00_3742,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3738);} } 

}



/* avahi-simple-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_24)
{
{ /* Llib/avahi.scm 384 */
{ /* Llib/avahi.scm 386 */
 AvahiSimplePoll * BgL_arg1329z00_1584;
BgL_arg1329z00_1584 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_24))->BgL_z42builtinz42); 
avahi_simple_poll_loop(BgL_arg1329z00_1584); BUNSPEC; } 
return 
((obj_t)BgL_oz00_24);} 

}



/* &avahi-simple-poll-loop */
obj_t BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00(obj_t BgL_envz00_2129, obj_t BgL_oz00_2130)
{
{ /* Llib/avahi.scm 384 */
{ /* Llib/avahi.scm 385 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3750;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2130, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 385 */
BgL_auxz00_3750 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2130)
; }  else 
{ 
 obj_t BgL_auxz00_3754;
BgL_auxz00_3754 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(16385L), BGl_string2406z00zz__avahi_avahiz00, BGl_string2405z00zz__avahi_avahiz00, BgL_oz00_2130); 
FAILURE(BgL_auxz00_3754,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_auxz00_3750);} } 

}



/* avahi-simple-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_25, long BgL_tz00_26, obj_t BgL_procz00_27)
{
{ /* Llib/avahi.scm 392 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_27, 
(int)(0L)))
{ /* Llib/avahi.scm 393 */
{ 
 obj_t BgL_auxz00_3762;
{ /* Llib/avahi.scm 395 */
 obj_t BgL_arg1335z00_117;
BgL_arg1335z00_117 = 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_25)))->BgL_z52procsz52); 
BgL_auxz00_3762 = 
MAKE_YOUNG_PAIR(BgL_procz00_27, BgL_arg1335z00_117); } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_25)))->BgL_z52procsz52)=((obj_t)BgL_auxz00_3762),BUNSPEC); } 
{ /* Llib/avahi.scm 396 */
 AvahiSimplePoll * BgL_arg1336z00_118;
BgL_arg1336z00_118 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_25))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 396 */
 long BgL_tmpz00_3769;
BgL_tmpz00_3769 = 
(long)(BgL_tz00_26); 
bgl_avahi_simple_poll_timeout(BgL_arg1336z00_118, BgL_tmpz00_3769, BgL_procz00_27, BgL_oz00_25); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 397 */
 char * BgL_procz00_1585; char * BgL_msgz00_1586;
BgL_procz00_1585 = 
BSTRING_TO_STRING(BGl_string2407z00zz__avahi_avahiz00); 
BgL_msgz00_1586 = 
BSTRING_TO_STRING(BGl_string2408z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1297z00_1588;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_1589;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1590;
BgL_new1142z00_1590 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1313z00_1591;
BgL_arg1313z00_1591 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_1590), BgL_arg1313z00_1591); } 
BgL_new1143z00_1589 = BgL_new1142z00_1590; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1589)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1589)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3782;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1311z00_1595;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1312z00_1596;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1597;
BgL_classz00_1597 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1312z00_1596 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1597); } 
BgL_arg1311z00_1595 = 
VECTOR_REF(BgL_arg1312z00_1596,2L); } 
BgL_auxz00_3782 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1311z00_1595); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1589)))->BgL_stackz00)=((obj_t)BgL_auxz00_3782),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1589)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1585)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1589)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1586)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1589)))->BgL_objz00)=((obj_t)BgL_procz00_27),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_1589))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1297z00_1588 = BgL_new1143z00_1589; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1297z00_1588));} } } 

}



/* &avahi-simple-poll-timeout */
obj_t BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t BgL_envz00_2131, obj_t BgL_oz00_2132, obj_t BgL_tz00_2133, obj_t BgL_procz00_2134)
{
{ /* Llib/avahi.scm 392 */
{ /* Llib/avahi.scm 393 */
 obj_t BgL_auxz00_3816; long BgL_auxz00_3807; BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3799;
if(
PROCEDUREP(BgL_procz00_2134))
{ /* Llib/avahi.scm 393 */
BgL_auxz00_3816 = BgL_procz00_2134
; }  else 
{ 
 obj_t BgL_auxz00_3819;
BgL_auxz00_3819 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(16788L), BGl_string2409z00zz__avahi_avahiz00, BGl_string2401z00zz__avahi_avahiz00, BgL_procz00_2134); 
FAILURE(BgL_auxz00_3819,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 393 */
 obj_t BgL_tmpz00_3808;
if(
INTEGERP(BgL_tz00_2133))
{ /* Llib/avahi.scm 393 */
BgL_tmpz00_3808 = BgL_tz00_2133
; }  else 
{ 
 obj_t BgL_auxz00_3811;
BgL_auxz00_3811 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(16788L), BGl_string2409z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_tz00_2133); 
FAILURE(BgL_auxz00_3811,BFALSE,BFALSE);} 
BgL_auxz00_3807 = 
(long)CINT(BgL_tmpz00_3808); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2132, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 393 */
BgL_auxz00_3799 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2132)
; }  else 
{ 
 obj_t BgL_auxz00_3803;
BgL_auxz00_3803 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(16788L), BGl_string2409z00zz__avahi_avahiz00, BGl_string2405z00zz__avahi_avahiz00, BgL_oz00_2132); 
FAILURE(BgL_auxz00_3803,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_auxz00_3799, BgL_auxz00_3807, BgL_auxz00_3816);} } 

}



/* avahi-simple-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_28)
{
{ /* Llib/avahi.scm 403 */
{ /* Llib/avahi.scm 405 */
 AvahiSimplePoll * BgL_arg1338z00_1600;
BgL_arg1338z00_1600 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_28))->BgL_z42builtinz42); 
avahi_simple_poll_quit(BgL_arg1338z00_1600); BUNSPEC; } 
return 
((obj_t)BgL_oz00_28);} 

}



/* &avahi-simple-poll-quit */
obj_t BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00(obj_t BgL_envz00_2135, obj_t BgL_oz00_2136)
{
{ /* Llib/avahi.scm 403 */
{ /* Llib/avahi.scm 404 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3827;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2136, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 404 */
BgL_auxz00_3827 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2136)
; }  else 
{ 
 obj_t BgL_auxz00_3831;
BgL_auxz00_3831 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(17350L), BGl_string2410z00zz__avahi_avahiz00, BGl_string2405z00zz__avahi_avahiz00, BgL_oz00_2136); 
FAILURE(BgL_auxz00_3831,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_auxz00_3827);} } 

}



/* avahi-threaded-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_30)
{
{ /* Llib/avahi.scm 422 */
bgl_avahi_threaded_poll_close(BgL_oz00_30); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_30)); 
return BUNSPEC;} 

}



/* &avahi-threaded-poll-close */
obj_t BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2137, obj_t BgL_oz00_2138)
{
{ /* Llib/avahi.scm 422 */
{ /* Llib/avahi.scm 423 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3839;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2138, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 423 */
BgL_auxz00_3839 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2138)
; }  else 
{ 
 obj_t BgL_auxz00_3843;
BgL_auxz00_3843 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(18198L), BGl_string2411z00zz__avahi_avahiz00, BGl_string2412z00zz__avahi_avahiz00, BgL_oz00_2138); 
FAILURE(BgL_auxz00_3843,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3839);} } 

}



/* avahi-threaded-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_31)
{
{ /* Llib/avahi.scm 430 */
{ /* Llib/avahi.scm 432 */
 AvahiThreadedPoll * BgL_arg1339z00_1602;
BgL_arg1339z00_1602 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_31))->BgL_z42builtinz42); 
avahi_threaded_poll_start(BgL_arg1339z00_1602); BUNSPEC; } 
return 
((obj_t)BgL_oz00_31);} 

}



/* &avahi-threaded-poll-loop */
obj_t BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00(obj_t BgL_envz00_2139, obj_t BgL_oz00_2140)
{
{ /* Llib/avahi.scm 430 */
{ /* Llib/avahi.scm 431 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3851;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2140, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 431 */
BgL_auxz00_3851 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2140)
; }  else 
{ 
 obj_t BgL_auxz00_3855;
BgL_auxz00_3855 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(18525L), BGl_string2413z00zz__avahi_avahiz00, BGl_string2412z00zz__avahi_avahiz00, BgL_oz00_2140); 
FAILURE(BgL_auxz00_3855,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_auxz00_3851);} } 

}



/* avahi-threaded-poll-lock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_32)
{
{ /* Llib/avahi.scm 438 */
{ /* Llib/avahi.scm 440 */
 AvahiThreadedPoll * BgL_arg1341z00_1604;
BgL_arg1341z00_1604 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_32))->BgL_z42builtinz42); 
avahi_threaded_poll_lock(BgL_arg1341z00_1604); BUNSPEC; } 
return 
((obj_t)BgL_oz00_32);} 

}



/* &avahi-threaded-poll-lock! */
obj_t BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00(obj_t BgL_envz00_2141, obj_t BgL_oz00_2142)
{
{ /* Llib/avahi.scm 438 */
{ /* Llib/avahi.scm 439 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3863;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2142, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 439 */
BgL_auxz00_3863 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2142)
; }  else 
{ 
 obj_t BgL_auxz00_3867;
BgL_auxz00_3867 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(18910L), BGl_string2414z00zz__avahi_avahiz00, BGl_string2412z00zz__avahi_avahiz00, BgL_oz00_2142); 
FAILURE(BgL_auxz00_3867,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_auxz00_3863);} } 

}



/* avahi-threaded-poll-unlock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_33)
{
{ /* Llib/avahi.scm 446 */
{ /* Llib/avahi.scm 448 */
 AvahiThreadedPoll * BgL_arg1342z00_1606;
BgL_arg1342z00_1606 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_33))->BgL_z42builtinz42); 
avahi_threaded_poll_unlock(BgL_arg1342z00_1606); BUNSPEC; } 
return 
((obj_t)BgL_oz00_33);} 

}



/* &avahi-threaded-poll-unlock! */
obj_t BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00(obj_t BgL_envz00_2143, obj_t BgL_oz00_2144)
{
{ /* Llib/avahi.scm 446 */
{ /* Llib/avahi.scm 447 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3875;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2144, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 447 */
BgL_auxz00_3875 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2144)
; }  else 
{ 
 obj_t BgL_auxz00_3879;
BgL_auxz00_3879 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(19297L), BGl_string2415z00zz__avahi_avahiz00, BGl_string2412z00zz__avahi_avahiz00, BgL_oz00_2144); 
FAILURE(BgL_auxz00_3879,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_auxz00_3875);} } 

}



/* avahi-threaded-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_34, long BgL_tz00_35, obj_t BgL_procz00_36)
{
{ /* Llib/avahi.scm 454 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_36, 
(int)(0L)))
{ /* Llib/avahi.scm 455 */
{ 
 obj_t BgL_auxz00_3887;
{ /* Llib/avahi.scm 457 */
 obj_t BgL_arg1344z00_128;
BgL_arg1344z00_128 = 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_34)))->BgL_z52procsz52); 
BgL_auxz00_3887 = 
MAKE_YOUNG_PAIR(BgL_procz00_36, BgL_arg1344z00_128); } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_34)))->BgL_z52procsz52)=((obj_t)BgL_auxz00_3887),BUNSPEC); } 
{ /* Llib/avahi.scm 458 */
 AvahiThreadedPoll * BgL_arg1345z00_129;
BgL_arg1345z00_129 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_34))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 458 */
 long BgL_tmpz00_3894;
BgL_tmpz00_3894 = 
(long)(BgL_tz00_35); 
bgl_avahi_threaded_poll_timeout(BgL_arg1345z00_129, BgL_tmpz00_3894, BgL_procz00_36, BgL_oz00_34); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 459 */
 char * BgL_procz00_1607; char * BgL_msgz00_1608;
BgL_procz00_1607 = 
BSTRING_TO_STRING(BGl_string2416z00zz__avahi_avahiz00); 
BgL_msgz00_1608 = 
BSTRING_TO_STRING(BGl_string2408z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1297z00_1610;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_1611;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1612;
BgL_new1142z00_1612 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1313z00_1613;
BgL_arg1313z00_1613 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_1612), BgL_arg1313z00_1613); } 
BgL_new1143z00_1611 = BgL_new1142z00_1612; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1611)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1611)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3907;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1311z00_1617;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1312z00_1618;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1619;
BgL_classz00_1619 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1312z00_1618 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1619); } 
BgL_arg1311z00_1617 = 
VECTOR_REF(BgL_arg1312z00_1618,2L); } 
BgL_auxz00_3907 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1311z00_1617); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1611)))->BgL_stackz00)=((obj_t)BgL_auxz00_3907),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1611)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1607)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1611)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1608)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1611)))->BgL_objz00)=((obj_t)BgL_procz00_36),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_1611))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1297z00_1610 = BgL_new1143z00_1611; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1297z00_1610));} } } 

}



/* &avahi-threaded-poll-timeout */
obj_t BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t BgL_envz00_2145, obj_t BgL_oz00_2146, obj_t BgL_tz00_2147, obj_t BgL_procz00_2148)
{
{ /* Llib/avahi.scm 454 */
{ /* Llib/avahi.scm 455 */
 obj_t BgL_auxz00_3941; long BgL_auxz00_3932; BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3924;
if(
PROCEDUREP(BgL_procz00_2148))
{ /* Llib/avahi.scm 455 */
BgL_auxz00_3941 = BgL_procz00_2148
; }  else 
{ 
 obj_t BgL_auxz00_3944;
BgL_auxz00_3944 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(19710L), BGl_string2417z00zz__avahi_avahiz00, BGl_string2401z00zz__avahi_avahiz00, BgL_procz00_2148); 
FAILURE(BgL_auxz00_3944,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 455 */
 obj_t BgL_tmpz00_3933;
if(
INTEGERP(BgL_tz00_2147))
{ /* Llib/avahi.scm 455 */
BgL_tmpz00_3933 = BgL_tz00_2147
; }  else 
{ 
 obj_t BgL_auxz00_3936;
BgL_auxz00_3936 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(19710L), BGl_string2417z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_tz00_2147); 
FAILURE(BgL_auxz00_3936,BFALSE,BFALSE);} 
BgL_auxz00_3932 = 
(long)CINT(BgL_tmpz00_3933); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2146, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 455 */
BgL_auxz00_3924 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2146)
; }  else 
{ 
 obj_t BgL_auxz00_3928;
BgL_auxz00_3928 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(19710L), BGl_string2417z00zz__avahi_avahiz00, BGl_string2412z00zz__avahi_avahiz00, BgL_oz00_2146); 
FAILURE(BgL_auxz00_3928,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_auxz00_3924, BgL_auxz00_3932, BgL_auxz00_3941);} } 

}



/* avahi-threaded-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_37)
{
{ /* Llib/avahi.scm 465 */
{ /* Llib/avahi.scm 467 */
 AvahiThreadedPoll * BgL_arg1347z00_1622;
BgL_arg1347z00_1622 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_37))->BgL_z42builtinz42); 
avahi_threaded_poll_stop(BgL_arg1347z00_1622); BUNSPEC; } 
return 
((obj_t)BgL_oz00_37);} 

}



/* &avahi-threaded-poll-quit */
obj_t BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00(obj_t BgL_envz00_2149, obj_t BgL_oz00_2150)
{
{ /* Llib/avahi.scm 465 */
{ /* Llib/avahi.scm 466 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3952;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2150, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 466 */
BgL_auxz00_3952 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2150)
; }  else 
{ 
 obj_t BgL_auxz00_3956;
BgL_auxz00_3956 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(20282L), BGl_string2418z00zz__avahi_avahiz00, BGl_string2412z00zz__avahi_avahiz00, BgL_oz00_2150); 
FAILURE(BgL_auxz00_3956,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_auxz00_3952);} } 

}



/* avahi-client-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt BgL_oz00_39)
{
{ /* Llib/avahi.scm 485 */
bgl_avahi_client_close(BgL_oz00_39); BUNSPEC; 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_39))->BgL_z52groupsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_39))->BgL_z52browsersz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_39))->BgL_resolversz00)=((obj_t)BNIL),BUNSPEC); 
return 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_39));} 

}



/* &avahi-client-close */
obj_t BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00(obj_t BgL_envz00_2151, obj_t BgL_oz00_2152)
{
{ /* Llib/avahi.scm 485 */
{ /* Llib/avahi.scm 486 */
 BgL_avahizd2clientzd2_bglt BgL_auxz00_3967;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2152, BGl_avahizd2clientzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 486 */
BgL_auxz00_3967 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2152)
; }  else 
{ 
 obj_t BgL_auxz00_3971;
BgL_auxz00_3971 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(21183L), BGl_string2419z00zz__avahi_avahiz00, BGl_string2420z00zz__avahi_avahiz00, BgL_oz00_2152); 
FAILURE(BgL_auxz00_3971,BFALSE,BFALSE);} 
return 
BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_auxz00_3967);} } 

}



/* avahi-client-error-message */
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt BgL_oz00_40)
{
{ /* Llib/avahi.scm 496 */
{ /* Llib/avahi.scm 498 */
 int BgL_arg1348z00_1624;
{ /* Llib/avahi.scm 498 */
 AvahiClient * BgL_tmpz00_3976;
BgL_tmpz00_3976 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_40))->BgL_z42builtinz42); 
BgL_arg1348z00_1624 = 
avahi_client_errno(BgL_tmpz00_3976); } 
return 
string_to_bstring(
(char *)avahi_strerror(BgL_arg1348z00_1624));} } 

}



/* &avahi-client-error-message */
obj_t BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00(obj_t BgL_envz00_2153, obj_t BgL_oz00_2154)
{
{ /* Llib/avahi.scm 496 */
{ /* Llib/avahi.scm 497 */
 BgL_avahizd2clientzd2_bglt BgL_auxz00_3981;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2154, BGl_avahizd2clientzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 497 */
BgL_auxz00_3981 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2154)
; }  else 
{ 
 obj_t BgL_auxz00_3985;
BgL_auxz00_3985 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(21631L), BGl_string2421z00zz__avahi_avahiz00, BGl_string2420z00zz__avahi_avahiz00, BgL_oz00_2154); 
FAILURE(BgL_auxz00_3985,BFALSE,BFALSE);} 
return 
BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_auxz00_3981);} } 

}



/* avahi-client-state->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_client_state_to_symbol(AvahiClientState BgL_statez00_41)
{
{ /* Llib/avahi.scm 503 */
if(
(BgL_statez00_41==AVAHI_CLIENT_S_REGISTERING))
{ /* Llib/avahi.scm 505 */
return 
CNST_TABLE_REF(3L);}  else 
{ /* Llib/avahi.scm 505 */
if(
(BgL_statez00_41==AVAHI_CLIENT_S_RUNNING))
{ /* Llib/avahi.scm 507 */
return 
CNST_TABLE_REF(4L);}  else 
{ /* Llib/avahi.scm 507 */
if(
(BgL_statez00_41==AVAHI_CLIENT_S_COLLISION))
{ /* Llib/avahi.scm 509 */
return 
CNST_TABLE_REF(5L);}  else 
{ /* Llib/avahi.scm 509 */
if(
(BgL_statez00_41==AVAHI_CLIENT_FAILURE))
{ /* Llib/avahi.scm 511 */
return 
CNST_TABLE_REF(6L);}  else 
{ /* Llib/avahi.scm 511 */
if(
(BgL_statez00_41==AVAHI_CLIENT_CONNECTING))
{ /* Llib/avahi.scm 513 */
return 
CNST_TABLE_REF(7L);}  else 
{ /* Llib/avahi.scm 516 */
 char * BgL_procz00_1636; char * BgL_msgz00_1637;
BgL_procz00_1636 = 
BSTRING_TO_STRING(BGl_string2422z00zz__avahi_avahiz00); 
BgL_msgz00_1637 = 
BSTRING_TO_STRING(BGl_string2423z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1297z00_1639;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_1640;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1641;
BgL_new1142z00_1641 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1313z00_1642;
BgL_arg1313z00_1642 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_1641), BgL_arg1313z00_1642); } 
BgL_new1143z00_1640 = BgL_new1142z00_1641; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1640)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1640)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4015;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1311z00_1646;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1312z00_1647;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1648;
BgL_classz00_1648 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1312z00_1647 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1648); } 
BgL_arg1311z00_1646 = 
VECTOR_REF(BgL_arg1312z00_1647,2L); } 
BgL_auxz00_4015 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1311z00_1646); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1640)))->BgL_stackz00)=((obj_t)BgL_auxz00_4015),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1640)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1636)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1640)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1637)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1640)))->BgL_objz00)=((obj_t)
BINT(BgL_statez00_41)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_1640))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1297z00_1639 = BgL_new1143z00_1640; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1297z00_1639));} } } } } } } 

}



/* &avahi-client-state->symbol */
obj_t BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2155, obj_t BgL_statez00_2156)
{
{ /* Llib/avahi.scm 503 */
{ /* Llib/avahi.scm 505 */
 AvahiClientState BgL_auxz00_4033;
{ /* Llib/avahi.scm 505 */
 obj_t BgL_tmpz00_4034;
if(
INTEGERP(BgL_statez00_2156))
{ /* Llib/avahi.scm 505 */
BgL_tmpz00_4034 = BgL_statez00_2156
; }  else 
{ 
 obj_t BgL_auxz00_4037;
BgL_auxz00_4037 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(22030L), BGl_string2424z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_statez00_2156); 
FAILURE(BgL_auxz00_4037,BFALSE,BFALSE);} 
BgL_auxz00_4033 = 
(long)CINT(BgL_tmpz00_4034); } 
return 
bgl_avahi_client_state_to_symbol(BgL_auxz00_4033);} } 

}



/* avahi-entry-group-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_43)
{
{ /* Llib/avahi.scm 535 */
bgl_avahi_entry_group_close(BgL_oz00_43); BUNSPEC; 
{ /* Llib/avahi.scm 538 */
 BgL_avahizd2clientzd2_bglt BgL_i1162z00_142;
BgL_i1162z00_142 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_43))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4045;
{ /* Llib/avahi.scm 539 */
 obj_t BgL_arg1358z00_143;
BgL_arg1358z00_143 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1162z00_142))->BgL_z52groupsz52); 
BgL_auxz00_4045 = 
bgl_remq_bang(
((obj_t)BgL_oz00_43), BgL_arg1358z00_143); } 
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1162z00_142))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_4045),BUNSPEC);} } } 

}



/* &avahi-entry-group-close */
obj_t BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2157, obj_t BgL_oz00_2158)
{
{ /* Llib/avahi.scm 535 */
{ /* Llib/avahi.scm 536 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4050;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2158, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 536 */
BgL_auxz00_4050 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2158)
; }  else 
{ 
 obj_t BgL_auxz00_4054;
BgL_auxz00_4054 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(23442L), BGl_string2425z00zz__avahi_avahiz00, BGl_string2426z00zz__avahi_avahiz00, BgL_oz00_2158); 
FAILURE(BgL_auxz00_4054,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4050);} } 

}



/* avahi-entry-group-empty? */
BGL_EXPORTED_DEF bool_t BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_44)
{
{ /* Llib/avahi.scm 544 */
{ /* Llib/avahi.scm 546 */
 AvahiEntryGroup * BgL_arg1364z00_1651;
BgL_arg1364z00_1651 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_44))->BgL_z42builtinz42); 
avahi_entry_group_is_empty(BgL_arg1364z00_1651); 
return ((bool_t)1);} } 

}



/* &avahi-entry-group-empty? */
obj_t BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00(obj_t BgL_envz00_2159, obj_t BgL_oz00_2160)
{
{ /* Llib/avahi.scm 544 */
{ /* Llib/avahi.scm 545 */
 bool_t BgL_tmpz00_4061;
{ /* Llib/avahi.scm 545 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4062;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2160, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 545 */
BgL_auxz00_4062 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2160)
; }  else 
{ 
 obj_t BgL_auxz00_4066;
BgL_auxz00_4066 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(23869L), BGl_string2427z00zz__avahi_avahiz00, BGl_string2426z00zz__avahi_avahiz00, BgL_oz00_2160); 
FAILURE(BgL_auxz00_4066,BFALSE,BFALSE);} 
BgL_tmpz00_4061 = 
BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_auxz00_4062); } 
return 
BBOOL(BgL_tmpz00_4061);} } 

}



/* avahi-entry-group-commit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_45)
{
{ /* Llib/avahi.scm 551 */
{ /* Llib/avahi.scm 553 */
 int BgL_nz00_147;
{ /* Llib/avahi.scm 553 */
 AvahiEntryGroup * BgL_tmpz00_4072;
BgL_tmpz00_4072 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_45))->BgL_z42builtinz42); 
BgL_nz00_147 = 
avahi_entry_group_commit(BgL_tmpz00_4072); } 
if(
(
(long)(BgL_nz00_147)>=0L))
{ /* Llib/avahi.scm 554 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 555 */
 char * BgL_arg1367z00_149;
BgL_arg1367z00_149 = 
(char *)avahi_strerror(BgL_nz00_147); 
return 
bgl_avahi_error(
BSTRING_TO_STRING(BGl_string2426z00zz__avahi_avahiz00), BgL_arg1367z00_149, 
((obj_t)BgL_oz00_45), BgL_nz00_147);} } } 

}



/* &avahi-entry-group-commit */
obj_t BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00(obj_t BgL_envz00_2161, obj_t BgL_oz00_2162)
{
{ /* Llib/avahi.scm 551 */
{ /* Llib/avahi.scm 552 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4082;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2162, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 552 */
BgL_auxz00_4082 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2162)
; }  else 
{ 
 obj_t BgL_auxz00_4086;
BgL_auxz00_4086 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(24241L), BGl_string2428z00zz__avahi_avahiz00, BGl_string2426z00zz__avahi_avahiz00, BgL_oz00_2162); 
FAILURE(BgL_auxz00_4086,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_auxz00_4082);} } 

}



/* avahi-entry-group-reset! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_46)
{
{ /* Llib/avahi.scm 560 */
{ /* Llib/avahi.scm 562 */
 BgL_avahizd2clientzd2_bglt BgL_i1166z00_152;
BgL_i1166z00_152 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_46))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4092;
{ /* Llib/avahi.scm 563 */
 obj_t BgL_arg1369z00_153;
BgL_arg1369z00_153 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1166z00_152))->BgL_z52groupsz52); 
BgL_auxz00_4092 = 
bgl_remq_bang(
((obj_t)BgL_oz00_46), BgL_arg1369z00_153); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1166z00_152))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_4092),BUNSPEC); } } 
{ /* Llib/avahi.scm 564 */
 int BgL_nz00_154;
{ /* Llib/avahi.scm 564 */
 AvahiEntryGroup * BgL_tmpz00_4097;
BgL_tmpz00_4097 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_46))->BgL_z42builtinz42); 
BgL_nz00_154 = 
avahi_entry_group_reset(BgL_tmpz00_4097); } 
if(
(
(long)(BgL_nz00_154)>=0L))
{ /* Llib/avahi.scm 565 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 566 */
 char * BgL_arg1443z00_156;
BgL_arg1443z00_156 = 
(char *)avahi_strerror(BgL_nz00_154); 
return 
bgl_avahi_error(
BSTRING_TO_STRING(BGl_string2426z00zz__avahi_avahiz00), BgL_arg1443z00_156, 
((obj_t)BgL_oz00_46), BgL_nz00_154);} } } 

}



/* &avahi-entry-group-reset! */
obj_t BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00(obj_t BgL_envz00_2163, obj_t BgL_oz00_2164)
{
{ /* Llib/avahi.scm 560 */
{ /* Llib/avahi.scm 561 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4107;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2164, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 561 */
BgL_auxz00_4107 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2164)
; }  else 
{ 
 obj_t BgL_auxz00_4111;
BgL_auxz00_4111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(24710L), BGl_string2429z00zz__avahi_avahiz00, BGl_string2426z00zz__avahi_avahiz00, BgL_oz00_2164); 
FAILURE(BgL_auxz00_4111,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_auxz00_4107);} } 

}



/* avahi-entry-group-add-service! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_47, obj_t BgL_namez00_48)
{
{ /* Llib/avahi.scm 571 */
{ /* Llib/avahi.scm 195 */
 obj_t BgL_namez00_159;
BgL_namez00_159 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(8L), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_typez00_160;
BgL_typez00_160 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(9L), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_domainz00_161;
BgL_domainz00_161 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(10L), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_hostz00_162;
BgL_hostz00_162 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(11L), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_portz00_163;
BgL_portz00_163 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(12L), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_subtypez00_164;
BgL_subtypez00_164 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(13L), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_txtz00_165;
BgL_txtz00_165 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_namez00_48, 
CNST_TABLE_REF(14L)); 
if(
CBOOL(BgL_subtypez00_164))
{ /* Llib/avahi.scm 595 */
 int BgL_arg1523z00_168;
{ /* Llib/avahi.scm 595 */
 AvahiEntryGroup * BgL_arg1528z00_169; obj_t BgL_arg1532z00_170;
BgL_arg1528z00_169 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_47))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_161))
{ /* Llib/avahi.scm 601 */
BgL_arg1532z00_170 = BgL_domainz00_161; }  else 
{ /* Llib/avahi.scm 601 */
BgL_arg1532z00_170 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 595 */
 char * BgL_auxz00_4143; char * BgL_auxz00_4141; char * BgL_auxz00_4139; char * BgL_tmpz00_4137;
BgL_auxz00_4143 = 
BSTRING_TO_STRING(BgL_subtypez00_164); 
BgL_auxz00_4141 = 
BSTRING_TO_STRING(BgL_arg1532z00_170); 
BgL_auxz00_4139 = 
BSTRING_TO_STRING(BgL_typez00_160); 
BgL_tmpz00_4137 = 
BSTRING_TO_STRING(BgL_namez00_159); 
BgL_arg1523z00_168 = 
avahi_entry_group_add_service_subtype(BgL_arg1528z00_169, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_4137, BgL_auxz00_4139, BgL_auxz00_4141, BgL_auxz00_4143); } } 
return 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_47, BgL_arg1523z00_168);}  else 
{ /* Llib/avahi.scm 592 */
if(
PAIRP(BgL_txtz00_165))
{ /* Llib/avahi.scm 605 */
 AvahiStringList * BgL_lz00_173;
BgL_lz00_173 = 
bgl_avahi_list_to_string_list(BgL_txtz00_165); 
{ /* Llib/avahi.scm 606 */
 obj_t BgL_exitd1175z00_174;
BgL_exitd1175z00_174 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ 
 obj_t BgL_zc3z04anonymousza31561ze3z87_2165;
BgL_zc3z04anonymousza31561ze3z87_2165 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31561ze3ze5zz__avahi_avahiz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31561ze3z87_2165, 
(int)(0L), 
void_star_to_obj(BgL_lz00_173)); 
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1797z00_1667;
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1798z00_1668;
BgL_arg1798z00_1668 = 
BGL_EXITD_PROTECT(BgL_exitd1175z00_174); 
BgL_arg1797z00_1667 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31561ze3z87_2165, BgL_arg1798z00_1668); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1175z00_174, BgL_arg1797z00_1667); BUNSPEC; } 
{ /* Llib/avahi.scm 608 */
 obj_t BgL_tmp1177z00_176;
{ /* Llib/avahi.scm 608 */
 int BgL_arg1544z00_177;
{ /* Llib/avahi.scm 608 */
 AvahiEntryGroup * BgL_arg1545z00_178; obj_t BgL_arg1552z00_179; obj_t BgL_arg1560z00_180;
BgL_arg1545z00_178 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_47))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_161))
{ /* Llib/avahi.scm 614 */
BgL_arg1552z00_179 = BgL_domainz00_161; }  else 
{ /* Llib/avahi.scm 614 */
BgL_arg1552z00_179 = 
string_to_bstring(
((char *)0L)); } 
if(
CBOOL(BgL_hostz00_162))
{ /* Llib/avahi.scm 615 */
BgL_arg1560z00_180 = BgL_hostz00_162; }  else 
{ /* Llib/avahi.scm 615 */
BgL_arg1560z00_180 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 608 */
 int BgL_auxz00_4177; char * BgL_auxz00_4175; char * BgL_auxz00_4173; char * BgL_auxz00_4171; char * BgL_tmpz00_4169;
BgL_auxz00_4177 = 
CINT(BgL_portz00_163); 
BgL_auxz00_4175 = 
BSTRING_TO_STRING(BgL_arg1560z00_180); 
BgL_auxz00_4173 = 
BSTRING_TO_STRING(BgL_arg1552z00_179); 
BgL_auxz00_4171 = 
BSTRING_TO_STRING(BgL_typez00_160); 
BgL_tmpz00_4169 = 
BSTRING_TO_STRING(BgL_namez00_159); 
BgL_arg1544z00_177 = 
avahi_entry_group_add_service_strlst(BgL_arg1545z00_178, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_4169, BgL_auxz00_4171, BgL_auxz00_4173, BgL_auxz00_4175, BgL_auxz00_4177, BgL_lz00_173); } } 
BgL_tmp1177z00_176 = 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_47, BgL_arg1544z00_177); } 
{ /* Llib/avahi.scm 606 */
 bool_t BgL_test3018z00_4181;
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1796z00_1670;
BgL_arg1796z00_1670 = 
BGL_EXITD_PROTECT(BgL_exitd1175z00_174); 
BgL_test3018z00_4181 = 
PAIRP(BgL_arg1796z00_1670); } 
if(BgL_test3018z00_4181)
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1794z00_1671;
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1795z00_1672;
BgL_arg1795z00_1672 = 
BGL_EXITD_PROTECT(BgL_exitd1175z00_174); 
BgL_arg1794z00_1671 = 
CDR(
((obj_t)BgL_arg1795z00_1672)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1175z00_174, BgL_arg1794z00_1671); BUNSPEC; }  else 
{ /* Llib/avahi.scm 606 */BFALSE; } } 
avahi_string_list_free(BgL_lz00_173); BUNSPEC; 
return BgL_tmp1177z00_176;} } } }  else 
{ /* Llib/avahi.scm 621 */
 int BgL_arg1562z00_185;
{ /* Llib/avahi.scm 621 */
 AvahiEntryGroup * BgL_arg1565z00_186; obj_t BgL_arg1566z00_187; obj_t BgL_arg1581z00_188;
BgL_arg1565z00_186 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_47))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_161))
{ /* Llib/avahi.scm 627 */
BgL_arg1566z00_187 = BgL_domainz00_161; }  else 
{ /* Llib/avahi.scm 627 */
BgL_arg1566z00_187 = 
string_to_bstring(
((char *)0L)); } 
if(
CBOOL(BgL_hostz00_162))
{ /* Llib/avahi.scm 628 */
BgL_arg1581z00_188 = BgL_hostz00_162; }  else 
{ /* Llib/avahi.scm 628 */
BgL_arg1581z00_188 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 621 */
 int BgL_auxz00_4206; char * BgL_auxz00_4204; char * BgL_auxz00_4202; char * BgL_auxz00_4200; char * BgL_tmpz00_4198;
BgL_auxz00_4206 = 
CINT(BgL_portz00_163); 
BgL_auxz00_4204 = 
BSTRING_TO_STRING(BgL_arg1581z00_188); 
BgL_auxz00_4202 = 
BSTRING_TO_STRING(BgL_arg1566z00_187); 
BgL_auxz00_4200 = 
BSTRING_TO_STRING(BgL_typez00_160); 
BgL_tmpz00_4198 = 
BSTRING_TO_STRING(BgL_namez00_159); 
BgL_arg1562z00_185 = 
BGL_AVAHI_ENTRY_GROUP_ADD_SERVICE(BgL_arg1565z00_186, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_4198, BgL_auxz00_4200, BgL_auxz00_4202, BgL_auxz00_4204, BgL_auxz00_4206); } } 
return 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_47, BgL_arg1562z00_185);} } } } } } } } } } 

}



/* check-error~0 */
obj_t BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_2751, int BgL_nz00_191)
{
{ /* Llib/avahi.scm 588 */
if(
(
(long)(BgL_nz00_191)<0L))
{ /* Llib/avahi.scm 578 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1585z00_194;
if(
(
(long)(BgL_nz00_191)==
(long)(AVAHI_ERR_COLLISION)))
{ /* Llib/avahi.scm 579 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1170z00_196;
{ /* Llib/avahi.scm 579 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1169z00_199;
BgL_new1169z00_199 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 579 */
 long BgL_arg1610z00_200;
BgL_arg1610z00_200 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_199), BgL_arg1610z00_200); } 
BgL_new1170z00_196 = BgL_new1169z00_199; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_196)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_196)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4225;
{ /* Llib/avahi.scm 579 */
 obj_t BgL_arg1597z00_197;
{ /* Llib/avahi.scm 579 */
 obj_t BgL_arg1599z00_198;
{ /* Llib/avahi.scm 579 */
 obj_t BgL_classz00_1660;
BgL_classz00_1660 = BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00; 
BgL_arg1599z00_198 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1660); } 
BgL_arg1597z00_197 = 
VECTOR_REF(BgL_arg1599z00_198,2L); } 
BgL_auxz00_4225 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1597z00_197); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_196)))->BgL_stackz00)=((obj_t)BgL_auxz00_4225),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_196)))->BgL_procz00)=((obj_t)BGl_string2430z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_196)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)avahi_strerror(BgL_nz00_191))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_196)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_2751)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1170z00_196)))->BgL_errnoz00)=((int)BgL_nz00_191),BUNSPEC); 
BgL_arg1585z00_194 = 
((BgL_z62avahizd2errorzb0_bglt)BgL_new1170z00_196); }  else 
{ /* Llib/avahi.scm 584 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1172z00_201;
{ /* Llib/avahi.scm 584 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1171z00_204;
BgL_new1171z00_204 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 584 */
 long BgL_arg1633z00_205;
BgL_arg1633z00_205 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_204), BgL_arg1633z00_205); } 
BgL_new1172z00_201 = BgL_new1171z00_204; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1172z00_201)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1172z00_201)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4251;
{ /* Llib/avahi.scm 584 */
 obj_t BgL_arg1611z00_202;
{ /* Llib/avahi.scm 584 */
 obj_t BgL_arg1612z00_203;
{ /* Llib/avahi.scm 584 */
 obj_t BgL_classz00_1665;
BgL_classz00_1665 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1612z00_203 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1665); } 
BgL_arg1611z00_202 = 
VECTOR_REF(BgL_arg1612z00_203,2L); } 
BgL_auxz00_4251 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1611z00_202); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1172z00_201)))->BgL_stackz00)=((obj_t)BgL_auxz00_4251),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1172z00_201)))->BgL_procz00)=((obj_t)BGl_string2430z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1172z00_201)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)avahi_strerror(BgL_nz00_191))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1172z00_201)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_2751)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1172z00_201))->BgL_errnoz00)=((int)BgL_nz00_191),BUNSPEC); 
BgL_arg1585z00_194 = BgL_new1172z00_201; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1585z00_194));}  else 
{ /* Llib/avahi.scm 576 */
return BFALSE;} } 

}



/* &avahi-entry-group-add-service! */
obj_t BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00(obj_t BgL_envz00_2166, obj_t BgL_oz00_2167, obj_t BgL_namez00_2168)
{
{ /* Llib/avahi.scm 571 */
{ /* Llib/avahi.scm 195 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4269;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2167, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 195 */
BgL_auxz00_4269 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2167)
; }  else 
{ 
 obj_t BgL_auxz00_4273;
BgL_auxz00_4273 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(7719L), BGl_string2431z00zz__avahi_avahiz00, BGl_string2426z00zz__avahi_avahiz00, BgL_oz00_2167); 
FAILURE(BgL_auxz00_4273,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_auxz00_4269, BgL_namez00_2168);} } 

}



/* &<@anonymous:1561> */
obj_t BGl_z62zc3z04anonymousza31561ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2169)
{
{ /* Llib/avahi.scm 606 */
{ 
 AvahiStringList * BgL_lz00_2170;
BgL_lz00_2170 = 
FOREIGN_TO_COBJ(
PROCEDURE_REF(BgL_envz00_2169, 
(int)(0L))); 
avahi_string_list_free(BgL_lz00_2170); 
return BUNSPEC;} } 

}



/* avahi-entry-group-state->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_entry_group_state_to_symbol(AvahiEntryGroupState BgL_statez00_49)
{
{ /* Llib/avahi.scm 634 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_UNCOMMITED))
{ /* Llib/avahi.scm 636 */
return 
CNST_TABLE_REF(15L);}  else 
{ /* Llib/avahi.scm 636 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_REGISTERING))
{ /* Llib/avahi.scm 638 */
return 
CNST_TABLE_REF(16L);}  else 
{ /* Llib/avahi.scm 638 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_ESTABLISHED))
{ /* Llib/avahi.scm 640 */
return 
CNST_TABLE_REF(17L);}  else 
{ /* Llib/avahi.scm 640 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_COLLISION))
{ /* Llib/avahi.scm 642 */
return 
CNST_TABLE_REF(18L);}  else 
{ /* Llib/avahi.scm 642 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_FAILURE))
{ /* Llib/avahi.scm 644 */
return 
CNST_TABLE_REF(19L);}  else 
{ /* Llib/avahi.scm 648 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1642z00_212;
{ /* Llib/avahi.scm 648 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1184z00_213;
{ /* Llib/avahi.scm 648 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1183z00_216;
BgL_new1183z00_216 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 648 */
 long BgL_arg1648z00_217;
BgL_arg1648z00_217 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1183z00_216), BgL_arg1648z00_217); } 
BgL_new1184z00_213 = BgL_new1183z00_216; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_213)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_213)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4305;
{ /* Llib/avahi.scm 648 */
 obj_t BgL_arg1644z00_214;
{ /* Llib/avahi.scm 648 */
 obj_t BgL_arg1645z00_215;
{ /* Llib/avahi.scm 648 */
 obj_t BgL_classz00_1687;
BgL_classz00_1687 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1645z00_215 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1687); } 
BgL_arg1644z00_214 = 
VECTOR_REF(BgL_arg1645z00_215,2L); } 
BgL_auxz00_4305 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1644z00_214); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_213)))->BgL_stackz00)=((obj_t)BgL_auxz00_4305),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_213)))->BgL_procz00)=((obj_t)BGl_string2432z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_213)))->BgL_msgz00)=((obj_t)BGl_string2423z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_213)))->BgL_objz00)=((obj_t)
BINT(BgL_statez00_49)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1184z00_213))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1642z00_212 = BgL_new1184z00_213; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1642z00_212));} } } } } } 

}



/* &avahi-entry-group-state->symbol */
obj_t BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_2171, obj_t BgL_statez00_2172)
{
{ /* Llib/avahi.scm 634 */
{ /* Llib/avahi.scm 636 */
 AvahiEntryGroupState BgL_auxz00_4321;
{ /* Llib/avahi.scm 636 */
 obj_t BgL_tmpz00_4322;
if(
INTEGERP(BgL_statez00_2172))
{ /* Llib/avahi.scm 636 */
BgL_tmpz00_4322 = BgL_statez00_2172
; }  else 
{ 
 obj_t BgL_auxz00_4325;
BgL_auxz00_4325 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(26973L), BGl_string2433z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_statez00_2172); 
FAILURE(BgL_auxz00_4325,BFALSE,BFALSE);} 
BgL_auxz00_4321 = 
(long)CINT(BgL_tmpz00_4322); } 
return 
bgl_avahi_entry_group_state_to_symbol(BgL_auxz00_4321);} } 

}



/* avahi-alternative-host-name */
BGL_EXPORTED_DEF obj_t BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(obj_t BgL_namez00_50)
{
{ /* Llib/avahi.scm 657 */
{ /* Llib/avahi.scm 658 */
 char * BgL_tmpz00_4331;
{ /* Llib/avahi.scm 658 */
 char * BgL_tmpz00_4332;
BgL_tmpz00_4332 = 
BSTRING_TO_STRING(BgL_namez00_50); 
BgL_tmpz00_4331 = 
avahi_alternative_host_name(BgL_tmpz00_4332); } 
return 
string_to_bstring(BgL_tmpz00_4331);} } 

}



/* &avahi-alternative-host-name */
obj_t BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00(obj_t BgL_envz00_2173, obj_t BgL_namez00_2174)
{
{ /* Llib/avahi.scm 657 */
{ /* Llib/avahi.scm 658 */
 obj_t BgL_auxz00_4336;
if(
STRINGP(BgL_namez00_2174))
{ /* Llib/avahi.scm 658 */
BgL_auxz00_4336 = BgL_namez00_2174
; }  else 
{ 
 obj_t BgL_auxz00_4339;
BgL_auxz00_4339 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(27891L), BGl_string2434z00zz__avahi_avahiz00, BGl_string2393z00zz__avahi_avahiz00, BgL_namez00_2174); 
FAILURE(BgL_auxz00_4339,BFALSE,BFALSE);} 
return 
BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(BgL_auxz00_4336);} } 

}



/* avahi-alternative-service-name */
BGL_EXPORTED_DEF obj_t BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(obj_t BgL_namez00_51)
{
{ /* Llib/avahi.scm 663 */
{ /* Llib/avahi.scm 664 */
 char * BgL_tmpz00_4344;
{ /* Llib/avahi.scm 664 */
 char * BgL_tmpz00_4345;
BgL_tmpz00_4345 = 
BSTRING_TO_STRING(BgL_namez00_51); 
BgL_tmpz00_4344 = 
avahi_alternative_service_name(BgL_tmpz00_4345); } 
return 
string_to_bstring(BgL_tmpz00_4344);} } 

}



/* &avahi-alternative-service-name */
obj_t BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00(obj_t BgL_envz00_2175, obj_t BgL_namez00_2176)
{
{ /* Llib/avahi.scm 663 */
{ /* Llib/avahi.scm 664 */
 obj_t BgL_auxz00_4349;
if(
STRINGP(BgL_namez00_2176))
{ /* Llib/avahi.scm 664 */
BgL_auxz00_4349 = BgL_namez00_2176
; }  else 
{ 
 obj_t BgL_auxz00_4352;
BgL_auxz00_4352 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(28200L), BGl_string2435z00zz__avahi_avahiz00, BGl_string2393z00zz__avahi_avahiz00, BgL_namez00_2176); 
FAILURE(BgL_auxz00_4352,BFALSE,BFALSE);} 
return 
BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(BgL_auxz00_4349);} } 

}



/* avahi-service-browser-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2browserz00_bglt BgL_oz00_53)
{
{ /* Llib/avahi.scm 682 */
bgl_avahi_service_browser_close(BgL_oz00_53); BUNSPEC; 
{ /* Llib/avahi.scm 685 */
 BgL_avahizd2clientzd2_bglt BgL_i1188z00_219;
BgL_i1188z00_219 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_oz00_53))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4359;
{ /* Llib/avahi.scm 686 */
 obj_t BgL_arg1654z00_220;
BgL_arg1654z00_220 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1188z00_219))->BgL_z52browsersz52); 
BgL_auxz00_4359 = 
bgl_remq_bang(
((obj_t)BgL_oz00_53), BgL_arg1654z00_220); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1188z00_219))->BgL_z52browsersz52)=((obj_t)BgL_auxz00_4359),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &avahi-service-browser-close */
obj_t BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2177, obj_t BgL_oz00_2178)
{
{ /* Llib/avahi.scm 682 */
{ /* Llib/avahi.scm 683 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_auxz00_4364;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2178, BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 683 */
BgL_auxz00_4364 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2178)
; }  else 
{ 
 obj_t BgL_auxz00_4368;
BgL_auxz00_4368 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(29172L), BGl_string2436z00zz__avahi_avahiz00, BGl_string2437z00zz__avahi_avahiz00, BgL_oz00_2178); 
FAILURE(BgL_auxz00_4368,BFALSE,BFALSE);} 
return 
BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4364);} } 

}



/* avahi-domain-browser-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2domainzd2browserz00_bglt BgL_oz00_57)
{
{ /* Llib/avahi.scm 724 */
bgl_avahi_domain_browser_close(BgL_oz00_57); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_57)); 
return BUNSPEC;} 

}



/* &avahi-domain-browser-close */
obj_t BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2179, obj_t BgL_oz00_2180)
{
{ /* Llib/avahi.scm 724 */
{ /* Llib/avahi.scm 725 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_auxz00_4376;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2180, BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 725 */
BgL_auxz00_4376 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2180)
; }  else 
{ 
 obj_t BgL_auxz00_4380;
BgL_auxz00_4380 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(31174L), BGl_string2438z00zz__avahi_avahiz00, BGl_string2439z00zz__avahi_avahiz00, BgL_oz00_2180); 
FAILURE(BgL_auxz00_4380,BFALSE,BFALSE);} 
return 
BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4376);} } 

}



/* avahi-service-resolver-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2resolverz00_bglt BgL_oz00_59)
{
{ /* Llib/avahi.scm 745 */
bgl_avahi_service_resolver_close(BgL_oz00_59); BUNSPEC; 
{ /* Llib/avahi.scm 748 */
 BgL_avahizd2clientzd2_bglt BgL_i1194z00_222;
BgL_i1194z00_222 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_oz00_59))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4387;
{ /* Llib/avahi.scm 749 */
 obj_t BgL_arg1660z00_223;
BgL_arg1660z00_223 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1194z00_222))->BgL_resolversz00); 
BgL_auxz00_4387 = 
bgl_remq_bang(
((obj_t)BgL_oz00_59), BgL_arg1660z00_223); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1194z00_222))->BgL_resolversz00)=((obj_t)BgL_auxz00_4387),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &avahi-service-resolver-close */
obj_t BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2181, obj_t BgL_oz00_2182)
{
{ /* Llib/avahi.scm 745 */
{ /* Llib/avahi.scm 746 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_auxz00_4392;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2182, BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 746 */
BgL_auxz00_4392 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2182)
; }  else 
{ 
 obj_t BgL_auxz00_4396;
BgL_auxz00_4396 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(32160L), BGl_string2440z00zz__avahi_avahiz00, BGl_string2441z00zz__avahi_avahiz00, BgL_oz00_2182); 
FAILURE(BgL_auxz00_4396,BFALSE,BFALSE);} 
return 
BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4392);} } 

}



/* avahi-browser-event->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_browser_event_to_symbol(AvahiBrowserEvent BgL_eventz00_60)
{
{ /* Llib/avahi.scm 755 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_NEW))
{ /* Llib/avahi.scm 757 */
return 
CNST_TABLE_REF(20L);}  else 
{ /* Llib/avahi.scm 757 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_REMOVE))
{ /* Llib/avahi.scm 759 */
return 
CNST_TABLE_REF(21L);}  else 
{ /* Llib/avahi.scm 759 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_CACHE_EXHAUSTED))
{ /* Llib/avahi.scm 761 */
return 
CNST_TABLE_REF(22L);}  else 
{ /* Llib/avahi.scm 761 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_ALL_FOR_NOW))
{ /* Llib/avahi.scm 763 */
return 
CNST_TABLE_REF(23L);}  else 
{ /* Llib/avahi.scm 763 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_FAILURE))
{ /* Llib/avahi.scm 765 */
return 
CNST_TABLE_REF(24L);}  else 
{ /* Llib/avahi.scm 769 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1670z00_229;
{ /* Llib/avahi.scm 769 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1196z00_230;
{ /* Llib/avahi.scm 769 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1195z00_233;
BgL_new1195z00_233 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 769 */
 long BgL_arg1679z00_234;
BgL_arg1679z00_234 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_233), BgL_arg1679z00_234); } 
BgL_new1196z00_230 = BgL_new1195z00_233; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_230)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_230)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4424;
{ /* Llib/avahi.scm 769 */
 obj_t BgL_arg1671z00_231;
{ /* Llib/avahi.scm 769 */
 obj_t BgL_arg1677z00_232;
{ /* Llib/avahi.scm 769 */
 obj_t BgL_classz00_1702;
BgL_classz00_1702 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1677z00_232 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1702); } 
BgL_arg1671z00_231 = 
VECTOR_REF(BgL_arg1677z00_232,2L); } 
BgL_auxz00_4424 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1671z00_231); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_230)))->BgL_stackz00)=((obj_t)BgL_auxz00_4424),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_230)))->BgL_procz00)=((obj_t)BGl_string2442z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_230)))->BgL_msgz00)=((obj_t)BGl_string2443z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_230)))->BgL_objz00)=((obj_t)
BINT(BgL_eventz00_60)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1196z00_230))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1670z00_229 = BgL_new1196z00_230; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1670z00_229));} } } } } } 

}



/* &avahi-browser-event->symbol */
obj_t BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2183, obj_t BgL_eventz00_2184)
{
{ /* Llib/avahi.scm 755 */
{ /* Llib/avahi.scm 757 */
 AvahiBrowserEvent BgL_auxz00_4440;
{ /* Llib/avahi.scm 757 */
 obj_t BgL_tmpz00_4441;
if(
INTEGERP(BgL_eventz00_2184))
{ /* Llib/avahi.scm 757 */
BgL_tmpz00_4441 = BgL_eventz00_2184
; }  else 
{ 
 obj_t BgL_auxz00_4444;
BgL_auxz00_4444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(32630L), BGl_string2444z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_eventz00_2184); 
FAILURE(BgL_auxz00_4444,BFALSE,BFALSE);} 
BgL_auxz00_4440 = 
(long)CINT(BgL_tmpz00_4441); } 
return 
bgl_avahi_browser_event_to_symbol(BgL_auxz00_4440);} } 

}



/* avahi-resolver-event->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_resolver_event_to_symbol(AvahiResolverEvent BgL_eventz00_61)
{
{ /* Llib/avahi.scm 778 */
if(
(BgL_eventz00_61==AVAHI_RESOLVER_FOUND))
{ /* Llib/avahi.scm 780 */
return 
CNST_TABLE_REF(25L);}  else 
{ /* Llib/avahi.scm 780 */
if(
(BgL_eventz00_61==AVAHI_RESOLVER_FAILURE))
{ /* Llib/avahi.scm 782 */
return 
CNST_TABLE_REF(26L);}  else 
{ /* Llib/avahi.scm 786 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1683z00_237;
{ /* Llib/avahi.scm 786 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1198z00_238;
{ /* Llib/avahi.scm 786 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1197z00_241;
BgL_new1197z00_241 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 786 */
 long BgL_arg1704z00_242;
BgL_arg1704z00_242 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_241), BgL_arg1704z00_242); } 
BgL_new1198z00_238 = BgL_new1197z00_241; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_238)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_238)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4464;
{ /* Llib/avahi.scm 786 */
 obj_t BgL_arg1688z00_239;
{ /* Llib/avahi.scm 786 */
 obj_t BgL_arg1702z00_240;
{ /* Llib/avahi.scm 786 */
 obj_t BgL_classz00_1711;
BgL_classz00_1711 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1702z00_240 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1711); } 
BgL_arg1688z00_239 = 
VECTOR_REF(BgL_arg1702z00_240,2L); } 
BgL_auxz00_4464 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1688z00_239); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_238)))->BgL_stackz00)=((obj_t)BgL_auxz00_4464),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_238)))->BgL_procz00)=((obj_t)BGl_string2445z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_238)))->BgL_msgz00)=((obj_t)BGl_string2443z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_238)))->BgL_objz00)=((obj_t)
BINT(BgL_eventz00_61)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1198z00_238))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1683z00_237 = BgL_new1198z00_238; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1683z00_237));} } } 

}



/* &avahi-resolver-event->symbol */
obj_t BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2185, obj_t BgL_eventz00_2186)
{
{ /* Llib/avahi.scm 778 */
{ /* Llib/avahi.scm 780 */
 AvahiResolverEvent BgL_auxz00_4480;
{ /* Llib/avahi.scm 780 */
 obj_t BgL_tmpz00_4481;
if(
INTEGERP(BgL_eventz00_2186))
{ /* Llib/avahi.scm 780 */
BgL_tmpz00_4481 = BgL_eventz00_2186
; }  else 
{ 
 obj_t BgL_auxz00_4484;
BgL_auxz00_4484 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(33499L), BGl_string2446z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_eventz00_2186); 
FAILURE(BgL_auxz00_4484,BFALSE,BFALSE);} 
BgL_auxz00_4480 = 
(long)CINT(BgL_tmpz00_4481); } 
return 
bgl_avahi_resolver_event_to_symbol(BgL_auxz00_4480);} } 

}



/* avahi-if-index->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_if_index_to_symbol(AvahiIfIndex BgL_indexz00_62)
{
{ /* Llib/avahi.scm 795 */
if(
(BgL_indexz00_62==AVAHI_IF_UNSPEC))
{ /* Llib/avahi.scm 797 */
return 
CNST_TABLE_REF(27L);}  else 
{ /* Llib/avahi.scm 800 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1706z00_244;
{ /* Llib/avahi.scm 800 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1200z00_245;
{ /* Llib/avahi.scm 800 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1199z00_248;
BgL_new1199z00_248 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 800 */
 long BgL_arg1711z00_249;
BgL_arg1711z00_249 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_248), BgL_arg1711z00_249); } 
BgL_new1200z00_245 = BgL_new1199z00_248; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_245)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_245)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4501;
{ /* Llib/avahi.scm 800 */
 obj_t BgL_arg1707z00_246;
{ /* Llib/avahi.scm 800 */
 obj_t BgL_arg1710z00_247;
{ /* Llib/avahi.scm 800 */
 obj_t BgL_classz00_1718;
BgL_classz00_1718 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1710z00_247 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1718); } 
BgL_arg1707z00_246 = 
VECTOR_REF(BgL_arg1710z00_247,2L); } 
BgL_auxz00_4501 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1707z00_246); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_245)))->BgL_stackz00)=((obj_t)BgL_auxz00_4501),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_245)))->BgL_procz00)=((obj_t)BGl_string2447z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_245)))->BgL_msgz00)=((obj_t)BGl_string2448z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_245)))->BgL_objz00)=((obj_t)
BINT(BgL_indexz00_62)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1200z00_245))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1706z00_244 = BgL_new1200z00_245; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1706z00_244));} } 

}



/* &avahi-if-index->symbol */
obj_t BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2187, obj_t BgL_indexz00_2188)
{
{ /* Llib/avahi.scm 795 */
{ /* Llib/avahi.scm 797 */
 AvahiIfIndex BgL_auxz00_4517;
{ /* Llib/avahi.scm 797 */
 obj_t BgL_tmpz00_4518;
if(
INTEGERP(BgL_indexz00_2188))
{ /* Llib/avahi.scm 797 */
BgL_tmpz00_4518 = BgL_indexz00_2188
; }  else 
{ 
 obj_t BgL_auxz00_4521;
BgL_auxz00_4521 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(34124L), BGl_string2449z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_indexz00_2188); 
FAILURE(BgL_auxz00_4521,BFALSE,BFALSE);} 
BgL_auxz00_4517 = 
(long)CINT(BgL_tmpz00_4518); } 
return 
bgl_avahi_if_index_to_symbol(BgL_auxz00_4517);} } 

}



/* avahi-protocol->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_protocol_to_symbol(AvahiProtocol BgL_protoz00_63)
{
{ /* Llib/avahi.scm 809 */
if(
(BgL_protoz00_63==AVAHI_PROTO_INET))
{ /* Llib/avahi.scm 811 */
return 
CNST_TABLE_REF(28L);}  else 
{ /* Llib/avahi.scm 811 */
if(
(BgL_protoz00_63==AVAHI_PROTO_INET6))
{ /* Llib/avahi.scm 813 */
return 
CNST_TABLE_REF(29L);}  else 
{ /* Llib/avahi.scm 813 */
if(
(BgL_protoz00_63==AVAHI_PROTO_UNSPEC))
{ /* Llib/avahi.scm 815 */
return 
CNST_TABLE_REF(30L);}  else 
{ /* Llib/avahi.scm 819 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1715z00_253;
{ /* Llib/avahi.scm 819 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1202z00_254;
{ /* Llib/avahi.scm 819 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1201z00_257;
BgL_new1201z00_257 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 819 */
 long BgL_arg1725z00_258;
BgL_arg1725z00_258 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_257), BgL_arg1725z00_258); } 
BgL_new1202z00_254 = BgL_new1201z00_257; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_254)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_254)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4544;
{ /* Llib/avahi.scm 819 */
 obj_t BgL_arg1723z00_255;
{ /* Llib/avahi.scm 819 */
 obj_t BgL_arg1724z00_256;
{ /* Llib/avahi.scm 819 */
 obj_t BgL_classz00_1729;
BgL_classz00_1729 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1724z00_256 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1729); } 
BgL_arg1723z00_255 = 
VECTOR_REF(BgL_arg1724z00_256,2L); } 
BgL_auxz00_4544 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1723z00_255); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_254)))->BgL_stackz00)=((obj_t)BgL_auxz00_4544),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_254)))->BgL_procz00)=((obj_t)BGl_string2450z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_254)))->BgL_msgz00)=((obj_t)BGl_string2451z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_254)))->BgL_objz00)=((obj_t)
BINT(BgL_protoz00_63)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1202z00_254))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1715z00_253 = BgL_new1202z00_254; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1715z00_253));} } } } 

}



/* &avahi-protocol->symbol */
obj_t BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_2189, obj_t BgL_protoz00_2190)
{
{ /* Llib/avahi.scm 809 */
{ /* Llib/avahi.scm 811 */
 AvahiProtocol BgL_auxz00_4560;
{ /* Llib/avahi.scm 811 */
 obj_t BgL_tmpz00_4561;
if(
INTEGERP(BgL_protoz00_2190))
{ /* Llib/avahi.scm 811 */
BgL_tmpz00_4561 = BgL_protoz00_2190
; }  else 
{ 
 obj_t BgL_auxz00_4564;
BgL_auxz00_4564 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(34651L), BGl_string2452z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_protoz00_2190); 
FAILURE(BgL_auxz00_4564,BFALSE,BFALSE);} 
BgL_auxz00_4560 = 
(long)CINT(BgL_tmpz00_4561); } 
return 
bgl_avahi_protocol_to_symbol(BgL_auxz00_4560);} } 

}



/* avahi-symbol->protocol */
BGL_EXPORTED_DEF AvahiProtocol bgl_avahi_symbol_to_protocol(obj_t BgL_protoz00_64)
{
{ /* Llib/avahi.scm 828 */
if(
(BgL_protoz00_64==
CNST_TABLE_REF(28L)))
{ /* Llib/avahi.scm 829 */
return AVAHI_PROTO_INET;}  else 
{ /* Llib/avahi.scm 829 */
if(
(BgL_protoz00_64==
CNST_TABLE_REF(29L)))
{ /* Llib/avahi.scm 829 */
return AVAHI_PROTO_INET6;}  else 
{ /* Llib/avahi.scm 829 */
if(
(BgL_protoz00_64==
CNST_TABLE_REF(30L)))
{ /* Llib/avahi.scm 829 */
return AVAHI_PROTO_UNSPEC;}  else 
{ /* Llib/avahi.scm 838 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1730z00_263;
{ /* Llib/avahi.scm 838 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1204z00_264;
{ /* Llib/avahi.scm 838 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1203z00_267;
BgL_new1203z00_267 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 838 */
 long BgL_arg1738z00_268;
BgL_arg1738z00_268 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1203z00_267), BgL_arg1738z00_268); } 
BgL_new1204z00_264 = BgL_new1203z00_267; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_264)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_264)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4587;
{ /* Llib/avahi.scm 838 */
 obj_t BgL_arg1731z00_265;
{ /* Llib/avahi.scm 838 */
 obj_t BgL_arg1737z00_266;
{ /* Llib/avahi.scm 838 */
 obj_t BgL_classz00_1737;
BgL_classz00_1737 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1737z00_266 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1737); } 
BgL_arg1731z00_265 = 
VECTOR_REF(BgL_arg1737z00_266,2L); } 
BgL_auxz00_4587 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1731z00_265); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_264)))->BgL_stackz00)=((obj_t)BgL_auxz00_4587),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_264)))->BgL_procz00)=((obj_t)BGl_string2453z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_264)))->BgL_msgz00)=((obj_t)BGl_string2451z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_264)))->BgL_objz00)=((obj_t)BgL_protoz00_64),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1204z00_264))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1730z00_263 = BgL_new1204z00_264; } 
return 
(long)CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1730z00_263)));} } } } 

}



/* &avahi-symbol->protocol */
obj_t BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00(obj_t BgL_envz00_2191, obj_t BgL_protoz00_2192)
{
{ /* Llib/avahi.scm 828 */
{ /* Llib/avahi.scm 829 */
 long BgL_tmpz00_4603;
{ /* Llib/avahi.scm 829 */
 obj_t BgL_auxz00_4604;
if(
SYMBOLP(BgL_protoz00_2192))
{ /* Llib/avahi.scm 829 */
BgL_auxz00_4604 = BgL_protoz00_2192
; }  else 
{ 
 obj_t BgL_auxz00_4607;
BgL_auxz00_4607 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(35301L), BGl_string2454z00zz__avahi_avahiz00, BGl_string2455z00zz__avahi_avahiz00, BgL_protoz00_2192); 
FAILURE(BgL_auxz00_4607,BFALSE,BFALSE);} 
BgL_tmpz00_4603 = 
bgl_avahi_symbol_to_protocol(BgL_auxz00_4604); } 
return 
BINT(BgL_tmpz00_4603);} } 

}



/* avahi-lookup-flags->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_lookup_flags_to_symbol(AvahiLookupFlags BgL_flagz00_65)
{
{ /* Llib/avahi.scm 847 */
if(
(BgL_flagz00_65==AVAHI_LOOKUP_NO_TXT))
{ /* Llib/avahi.scm 849 */
return 
CNST_TABLE_REF(31L);}  else 
{ /* Llib/avahi.scm 849 */
if(
(BgL_flagz00_65==AVAHI_LOOKUP_NO_ADDRESS))
{ /* Llib/avahi.scm 851 */
return 
CNST_TABLE_REF(32L);}  else 
{ /* Llib/avahi.scm 851 */
if(
(BgL_flagz00_65==0L))
{ /* Llib/avahi.scm 853 */
return 
CNST_TABLE_REF(33L);}  else 
{ /* Llib/avahi.scm 857 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1747z00_272;
{ /* Llib/avahi.scm 857 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1206z00_273;
{ /* Llib/avahi.scm 857 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1205z00_276;
BgL_new1205z00_276 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 857 */
 long BgL_arg1754z00_277;
BgL_arg1754z00_277 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1205z00_276), BgL_arg1754z00_277); } 
BgL_new1206z00_273 = BgL_new1205z00_276; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_273)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_273)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4630;
{ /* Llib/avahi.scm 857 */
 obj_t BgL_arg1750z00_274;
{ /* Llib/avahi.scm 857 */
 obj_t BgL_arg1751z00_275;
{ /* Llib/avahi.scm 857 */
 obj_t BgL_classz00_1747;
BgL_classz00_1747 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1751z00_275 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1747); } 
BgL_arg1750z00_274 = 
VECTOR_REF(BgL_arg1751z00_275,2L); } 
BgL_auxz00_4630 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1750z00_274); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_273)))->BgL_stackz00)=((obj_t)BgL_auxz00_4630),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_273)))->BgL_procz00)=((obj_t)BGl_string2456z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_273)))->BgL_msgz00)=((obj_t)BGl_string2457z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_273)))->BgL_objz00)=((obj_t)
BINT(BgL_flagz00_65)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1206z00_273))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1747z00_272 = BgL_new1206z00_273; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1747z00_272));} } } } 

}



/* &avahi-lookup-flags->symbol */
obj_t BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2193, obj_t BgL_flagz00_2194)
{
{ /* Llib/avahi.scm 847 */
{ /* Llib/avahi.scm 849 */
 AvahiLookupFlags BgL_auxz00_4646;
{ /* Llib/avahi.scm 849 */
 obj_t BgL_tmpz00_4647;
if(
INTEGERP(BgL_flagz00_2194))
{ /* Llib/avahi.scm 849 */
BgL_tmpz00_4647 = BgL_flagz00_2194
; }  else 
{ 
 obj_t BgL_auxz00_4650;
BgL_auxz00_4650 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(35964L), BGl_string2458z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_flagz00_2194); 
FAILURE(BgL_auxz00_4650,BFALSE,BFALSE);} 
BgL_auxz00_4646 = 
(long)CINT(BgL_tmpz00_4647); } 
return 
bgl_avahi_lookup_flags_to_symbol(BgL_auxz00_4646);} } 

}



/* avahi-lookup-result-flags->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_lookup_result_flags_to_symbol(AvahiLookupResultFlags BgL_flagz00_66)
{
{ /* Llib/avahi.scm 866 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_CACHED))
{ /* Llib/avahi.scm 868 */
return 
CNST_TABLE_REF(34L);}  else 
{ /* Llib/avahi.scm 868 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_WIDE_AREA))
{ /* Llib/avahi.scm 870 */
return 
CNST_TABLE_REF(35L);}  else 
{ /* Llib/avahi.scm 870 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_MULTICAST))
{ /* Llib/avahi.scm 872 */
return 
CNST_TABLE_REF(36L);}  else 
{ /* Llib/avahi.scm 872 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_LOCAL))
{ /* Llib/avahi.scm 874 */
return 
CNST_TABLE_REF(37L);}  else 
{ /* Llib/avahi.scm 874 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_OUR_OWN))
{ /* Llib/avahi.scm 876 */
return 
CNST_TABLE_REF(38L);}  else 
{ /* Llib/avahi.scm 876 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_STATIC))
{ /* Llib/avahi.scm 878 */
return 
CNST_TABLE_REF(39L);}  else 
{ /* Llib/avahi.scm 878 */
if(
(BgL_flagz00_66==0L))
{ /* Llib/avahi.scm 880 */
return 
CNST_TABLE_REF(40L);}  else 
{ /* Llib/avahi.scm 884 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1771z00_285;
{ /* Llib/avahi.scm 884 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1208z00_286;
{ /* Llib/avahi.scm 884 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1207z00_289;
BgL_new1207z00_289 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 884 */
 long BgL_arg1777z00_290;
BgL_arg1777z00_290 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1207z00_289), BgL_arg1777z00_290); } 
BgL_new1208z00_286 = BgL_new1207z00_289; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_286)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_286)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4685;
{ /* Llib/avahi.scm 884 */
 obj_t BgL_arg1772z00_287;
{ /* Llib/avahi.scm 884 */
 obj_t BgL_arg1776z00_288;
{ /* Llib/avahi.scm 884 */
 obj_t BgL_classz00_1765;
BgL_classz00_1765 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1776z00_288 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1765); } 
BgL_arg1772z00_287 = 
VECTOR_REF(BgL_arg1776z00_288,2L); } 
BgL_auxz00_4685 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1772z00_287); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_286)))->BgL_stackz00)=((obj_t)BgL_auxz00_4685),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_286)))->BgL_procz00)=((obj_t)BGl_string2459z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_286)))->BgL_msgz00)=((obj_t)BGl_string2460z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_286)))->BgL_objz00)=((obj_t)
BINT(BgL_flagz00_66)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1208z00_286))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1771z00_285 = BgL_new1208z00_286; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1771z00_285));} } } } } } } } 

}



/* &avahi-lookup-result-flags->symbol */
obj_t BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_2195, obj_t BgL_flagz00_2196)
{
{ /* Llib/avahi.scm 866 */
{ /* Llib/avahi.scm 868 */
 AvahiLookupResultFlags BgL_auxz00_4701;
{ /* Llib/avahi.scm 868 */
 obj_t BgL_tmpz00_4702;
if(
INTEGERP(BgL_flagz00_2196))
{ /* Llib/avahi.scm 868 */
BgL_tmpz00_4702 = BgL_flagz00_2196
; }  else 
{ 
 obj_t BgL_auxz00_4705;
BgL_auxz00_4705 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(36661L), BGl_string2461z00zz__avahi_avahiz00, BGl_string2394z00zz__avahi_avahiz00, BgL_flagz00_2196); 
FAILURE(BgL_auxz00_4705,BFALSE,BFALSE);} 
BgL_auxz00_4701 = 
(long)CINT(BgL_tmpz00_4702); } 
return 
bgl_avahi_lookup_result_flags_to_symbol(BgL_auxz00_4701);} } 

}



/* avahi-symbol->domain-browser-type */
obj_t BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(obj_t BgL_btypez00_67)
{
{ /* Llib/avahi.scm 893 */
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3066z00_4711;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(41L)))
{ /* Llib/avahi.scm 894 */
BgL_test3066z00_4711 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(42L)))
{ /* Llib/avahi.scm 894 */
BgL_test3066z00_4711 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3066z00_4711 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(43L))
; } } 
if(BgL_test3066z00_4711)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE);}  else 
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3069z00_4721;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(41L)))
{ /* Llib/avahi.scm 894 */
BgL_test3069z00_4721 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(42L)))
{ /* Llib/avahi.scm 894 */
BgL_test3069z00_4721 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3069z00_4721 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(44L))
; } } 
if(BgL_test3069z00_4721)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE_DEFAULT);}  else 
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3072z00_4731;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(41L)))
{ /* Llib/avahi.scm 894 */
BgL_test3072z00_4731 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(42L)))
{ /* Llib/avahi.scm 894 */
BgL_test3072z00_4731 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3072z00_4731 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(45L))
; } } 
if(BgL_test3072z00_4731)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_REGISTER);}  else 
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3075z00_4741;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(41L)))
{ /* Llib/avahi.scm 894 */
BgL_test3075z00_4741 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(42L)))
{ /* Llib/avahi.scm 894 */
BgL_test3075z00_4741 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3075z00_4741 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(46L))
; } } 
if(BgL_test3075z00_4741)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_REGISTER_DEFAULT);}  else 
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3078z00_4751;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(41L)))
{ /* Llib/avahi.scm 894 */
BgL_test3078z00_4751 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(42L)))
{ /* Llib/avahi.scm 894 */
BgL_test3078z00_4751 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3078z00_4751 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(47L))
; } } 
if(BgL_test3078z00_4751)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE_LEGACY);}  else 
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3081z00_4761;
if(
(BgL_btypez00_67==
CNST_TABLE_REF(41L)))
{ /* Llib/avahi.scm 894 */
BgL_test3081z00_4761 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
CNST_TABLE_REF(42L)))
{ /* Llib/avahi.scm 894 */
BgL_test3081z00_4761 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3081z00_4761 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
CNST_TABLE_REF(48L))
; } } 
if(BgL_test3081z00_4761)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_MAX);}  else 
{ /* Llib/avahi.scm 909 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1799z00_310;
{ /* Llib/avahi.scm 909 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1210z00_311;
{ /* Llib/avahi.scm 909 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1209z00_314;
BgL_new1209z00_314 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 909 */
 long BgL_arg1802z00_315;
BgL_arg1802z00_315 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_314), BgL_arg1802z00_315); } 
BgL_new1210z00_311 = BgL_new1209z00_314; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_311)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_311)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4779;
{ /* Llib/avahi.scm 909 */
 obj_t BgL_arg1800z00_312;
{ /* Llib/avahi.scm 909 */
 obj_t BgL_arg1801z00_313;
{ /* Llib/avahi.scm 909 */
 obj_t BgL_classz00_1782;
BgL_classz00_1782 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1801z00_313 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1782); } 
BgL_arg1800z00_312 = 
VECTOR_REF(BgL_arg1801z00_313,2L); } 
BgL_auxz00_4779 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1800z00_312); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_311)))->BgL_stackz00)=((obj_t)BgL_auxz00_4779),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_311)))->BgL_procz00)=((obj_t)BGl_string2462z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_311)))->BgL_msgz00)=((obj_t)BGl_string2463z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_311)))->BgL_objz00)=((obj_t)BgL_btypez00_67),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1210z00_311))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1799z00_310 = BgL_new1210z00_311; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1799z00_310));} } } } } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 50 */
 obj_t BgL_arg1806z00_331; obj_t BgL_arg1807z00_332;
{ /* Llib/avahi.scm 50 */
 obj_t BgL_v1235z00_349;
BgL_v1235z00_349 = 
create_vector(1L); 
{ /* Llib/avahi.scm 50 */
 obj_t BgL_arg1813z00_350;
BgL_arg1813z00_350 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(49L), BGl_proc2466z00zz__avahi_avahiz00, BGl_proc2465z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2464z00zz__avahi_avahiz00, 
CNST_TABLE_REF(50L)); 
VECTOR_SET(BgL_v1235z00_349,0L,BgL_arg1813z00_350); } 
BgL_arg1806z00_331 = BgL_v1235z00_349; } 
{ /* Llib/avahi.scm 50 */
 obj_t BgL_v1236z00_363;
BgL_v1236z00_363 = 
create_vector(0L); 
BgL_arg1807z00_332 = BgL_v1236z00_363; } 
BGl_z62avahizd2errorzb0zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(51L), 
CNST_TABLE_REF(52L), BGl_z62errorz62zz__objectz00, 37908L, BGl_proc2469z00zz__avahi_avahiz00, BGl_proc2468z00zz__avahi_avahiz00, BFALSE, BGl_proc2467z00zz__avahi_avahiz00, BFALSE, BgL_arg1806z00_331, BgL_arg1807z00_332); } 
{ /* Llib/avahi.scm 52 */
 obj_t BgL_arg1823z00_370; obj_t BgL_arg1824z00_371;
{ /* Llib/avahi.scm 52 */
 obj_t BgL_v1237z00_388;
BgL_v1237z00_388 = 
create_vector(0L); 
BgL_arg1823z00_370 = BgL_v1237z00_388; } 
{ /* Llib/avahi.scm 52 */
 obj_t BgL_v1238z00_389;
BgL_v1238z00_389 = 
create_vector(0L); 
BgL_arg1824z00_371 = BgL_v1238z00_389; } 
BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(53L), 
CNST_TABLE_REF(52L), BGl_z62avahizd2errorzb0zz__avahi_avahiz00, 15882L, BGl_proc2472z00zz__avahi_avahiz00, BGl_proc2471z00zz__avahi_avahiz00, BFALSE, BGl_proc2470z00zz__avahi_avahiz00, BFALSE, BgL_arg1823z00_370, BgL_arg1824z00_371); } 
{ /* Llib/avahi.scm 54 */
 obj_t BgL_arg1833z00_395; obj_t BgL_arg1834z00_396;
{ /* Llib/avahi.scm 54 */
 obj_t BgL_v1239z00_402;
BgL_v1239z00_402 = 
create_vector(0L); 
BgL_arg1833z00_395 = BgL_v1239z00_402; } 
{ /* Llib/avahi.scm 54 */
 obj_t BgL_v1240z00_403;
BgL_v1240z00_403 = 
create_vector(0L); 
BgL_arg1834z00_396 = BgL_v1240z00_403; } 
BGl_avahizd2objectzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(54L), 
CNST_TABLE_REF(52L), BGl_objectz00zz__objectz00, 39383L, BFALSE, BGl_proc2474z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2473z00zz__avahi_avahiz00, BFALSE, BgL_arg1833z00_395, BgL_arg1834z00_396); } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1840z00_408; obj_t BgL_arg1841z00_409;
{ /* Llib/avahi.scm 57 */
 obj_t BgL_v1241z00_415;
BgL_v1241z00_415 = 
create_vector(2L); 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1845z00_416;
BgL_arg1845z00_416 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(55L), BGl_proc2477z00zz__avahi_avahiz00, BGl_proc2476z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2475z00zz__avahi_avahiz00, 
CNST_TABLE_REF(50L)); 
VECTOR_SET(BgL_v1241z00_415,0L,BgL_arg1845z00_416); } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1852z00_429;
BgL_arg1852z00_429 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(56L), BGl_proc2480z00zz__avahi_avahiz00, BGl_proc2479z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2478z00zz__avahi_avahiz00, 
CNST_TABLE_REF(57L)); 
VECTOR_SET(BgL_v1241z00_415,1L,BgL_arg1852z00_429); } 
BgL_arg1840z00_408 = BgL_v1241z00_415; } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_v1242z00_442;
BgL_v1242z00_442 = 
create_vector(0L); 
BgL_arg1841z00_409 = BgL_v1242z00_442; } 
BGl_avahizd2pollzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(58L), 
CNST_TABLE_REF(52L), BGl_avahizd2objectzd2zz__avahi_avahiz00, 43719L, BFALSE, BGl_proc2482z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2481z00zz__avahi_avahiz00, BFALSE, BgL_arg1840z00_408, BgL_arg1841z00_409); } 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_arg1862z00_448; obj_t BgL_arg1863z00_449;
{ /* Llib/avahi.scm 61 */
 obj_t BgL_v1243z00_463;
BgL_v1243z00_463 = 
create_vector(1L); 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_arg1870z00_464;
BgL_arg1870z00_464 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(59L), BGl_proc2485z00zz__avahi_avahiz00, BGl_proc2484z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2483z00zz__avahi_avahiz00, 
CNST_TABLE_REF(60L)); 
VECTOR_SET(BgL_v1243z00_463,0L,BgL_arg1870z00_464); } 
BgL_arg1862z00_448 = BgL_v1243z00_463; } 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_v1244z00_477;
BgL_v1244z00_477 = 
create_vector(0L); 
BgL_arg1863z00_449 = BgL_v1244z00_477; } 
BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(61L), 
CNST_TABLE_REF(52L), BGl_avahizd2pollzd2zz__avahi_avahiz00, 59689L, BGl_proc2488z00zz__avahi_avahiz00, BGl_proc2487z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2486z00zz__avahi_avahiz00, BFALSE, BgL_arg1862z00_448, BgL_arg1863z00_449); } 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_arg1881z00_484; obj_t BgL_arg1882z00_485;
{ /* Llib/avahi.scm 64 */
 obj_t BgL_v1245z00_499;
BgL_v1245z00_499 = 
create_vector(1L); 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_arg1889z00_500;
BgL_arg1889z00_500 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(59L), BGl_proc2491z00zz__avahi_avahiz00, BGl_proc2490z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2489z00zz__avahi_avahiz00, 
CNST_TABLE_REF(62L)); 
VECTOR_SET(BgL_v1245z00_499,0L,BgL_arg1889z00_500); } 
BgL_arg1881z00_484 = BgL_v1245z00_499; } 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_v1246z00_513;
BgL_v1246z00_513 = 
create_vector(0L); 
BgL_arg1882z00_485 = BgL_v1246z00_513; } 
BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(63L), 
CNST_TABLE_REF(52L), BGl_avahizd2pollzd2zz__avahi_avahiz00, 39682L, BGl_proc2494z00zz__avahi_avahiz00, BGl_proc2493z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2492z00zz__avahi_avahiz00, BFALSE, BgL_arg1881z00_484, BgL_arg1882z00_485); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1899z00_520; obj_t BgL_arg1900z00_521;
{ /* Llib/avahi.scm 67 */
 obj_t BgL_v1247z00_539;
BgL_v1247z00_539 = 
create_vector(12L); 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1907z00_540;
BgL_arg1907z00_540 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(59L), BGl_proc2497z00zz__avahi_avahiz00, BGl_proc2496z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2495z00zz__avahi_avahiz00, 
CNST_TABLE_REF(64L)); 
VECTOR_SET(BgL_v1247z00_539,0L,BgL_arg1907z00_540); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1914z00_553;
BgL_arg1914z00_553 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(65L), BGl_proc2499z00zz__avahi_avahiz00, BGl_proc2498z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2pollzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1247z00_539,1L,BgL_arg1914z00_553); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1919z00_563;
BgL_arg1919z00_563 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(66L), BGl_proc2502z00zz__avahi_avahiz00, BGl_proc2501z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2500z00zz__avahi_avahiz00, 
CNST_TABLE_REF(67L)); 
VECTOR_SET(BgL_v1247z00_539,2L,BgL_arg1919z00_563); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1928z00_576;
BgL_arg1928z00_576 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(68L), BGl_proc2504z00zz__avahi_avahiz00, BGl_proc2503z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(69L)); 
VECTOR_SET(BgL_v1247z00_539,3L,BgL_arg1928z00_576); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1933z00_586;
BgL_arg1933z00_586 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(70L), BGl_proc2507z00zz__avahi_avahiz00, BGl_proc2506z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2505z00zz__avahi_avahiz00, 
CNST_TABLE_REF(57L)); 
VECTOR_SET(BgL_v1247z00_539,4L,BgL_arg1933z00_586); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1940z00_599;
BgL_arg1940z00_599 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(71L), BGl_proc2510z00zz__avahi_avahiz00, BGl_proc2509z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2508z00zz__avahi_avahiz00, 
CNST_TABLE_REF(57L)); 
VECTOR_SET(BgL_v1247z00_539,5L,BgL_arg1940z00_599); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1947z00_612;
BgL_arg1947z00_612 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(72L), BGl_proc2513z00zz__avahi_avahiz00, BGl_proc2512z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2511z00zz__avahi_avahiz00, 
CNST_TABLE_REF(57L)); 
VECTOR_SET(BgL_v1247z00_539,6L,BgL_arg1947z00_612); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1954z00_625;
BgL_arg1954z00_625 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(73L), BGl_proc2515z00zz__avahi_avahiz00, BGl_proc2514z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(74L)); 
VECTOR_SET(BgL_v1247z00_539,7L,BgL_arg1954z00_625); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1959z00_635;
BgL_arg1959z00_635 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(75L), BGl_proc2517z00zz__avahi_avahiz00, BGl_proc2516z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(74L)); 
VECTOR_SET(BgL_v1247z00_539,8L,BgL_arg1959z00_635); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1964z00_645;
BgL_arg1964z00_645 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(76L), BGl_proc2519z00zz__avahi_avahiz00, BGl_proc2518z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(74L)); 
VECTOR_SET(BgL_v1247z00_539,9L,BgL_arg1964z00_645); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1969z00_655;
BgL_arg1969z00_655 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(77L), BGl_proc2521z00zz__avahi_avahiz00, BGl_proc2520z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(74L)); 
VECTOR_SET(BgL_v1247z00_539,10L,BgL_arg1969z00_655); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1974z00_665;
BgL_arg1974z00_665 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(78L), BGl_proc2523z00zz__avahi_avahiz00, BGl_proc2522z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(67L)); 
VECTOR_SET(BgL_v1247z00_539,11L,BgL_arg1974z00_665); } 
BgL_arg1899z00_520 = BgL_v1247z00_539; } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_v1248z00_675;
BgL_v1248z00_675 = 
create_vector(5L); 
{ /* Llib/avahi.scm 78 */
 obj_t BgL_arg1979z00_676;
{ /* Llib/avahi.scm 78 */
 obj_t BgL_arg1980z00_677;
BgL_arg1980z00_677 = 
MAKE_YOUNG_PAIR(BGl_proc2524z00zz__avahi_avahiz00, BFALSE); 
BgL_arg1979z00_676 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg1980z00_677); } 
VECTOR_SET(BgL_v1248z00_675,0L,BgL_arg1979z00_676); } 
{ /* Llib/avahi.scm 83 */
 obj_t BgL_arg1988z00_690;
{ /* Llib/avahi.scm 83 */
 obj_t BgL_arg1989z00_691;
BgL_arg1989z00_691 = 
MAKE_YOUNG_PAIR(BGl_proc2525z00zz__avahi_avahiz00, BGl_proc2526z00zz__avahi_avahiz00); 
BgL_arg1988z00_690 = 
MAKE_YOUNG_PAIR(
BINT(1L), BgL_arg1989z00_691); } 
VECTOR_SET(BgL_v1248z00_675,1L,BgL_arg1988z00_690); } 
{ /* Llib/avahi.scm 92 */
 obj_t BgL_arg2004z00_718;
{ /* Llib/avahi.scm 92 */
 obj_t BgL_arg2005z00_719;
BgL_arg2005z00_719 = 
MAKE_YOUNG_PAIR(BGl_proc2527z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2004z00_718 = 
MAKE_YOUNG_PAIR(
BINT(2L), BgL_arg2005z00_719); } 
VECTOR_SET(BgL_v1248z00_675,2L,BgL_arg2004z00_718); } 
{ /* Llib/avahi.scm 98 */
 obj_t BgL_arg2013z00_732;
{ /* Llib/avahi.scm 98 */
 obj_t BgL_arg2014z00_733;
BgL_arg2014z00_733 = 
MAKE_YOUNG_PAIR(BGl_proc2528z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2013z00_732 = 
MAKE_YOUNG_PAIR(
BINT(3L), BgL_arg2014z00_733); } 
VECTOR_SET(BgL_v1248z00_675,3L,BgL_arg2013z00_732); } 
{ /* Llib/avahi.scm 104 */
 obj_t BgL_arg2022z00_746;
{ /* Llib/avahi.scm 104 */
 obj_t BgL_arg2023z00_747;
BgL_arg2023z00_747 = 
MAKE_YOUNG_PAIR(BGl_proc2529z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2022z00_746 = 
MAKE_YOUNG_PAIR(
BINT(4L), BgL_arg2023z00_747); } 
VECTOR_SET(BgL_v1248z00_675,4L,BgL_arg2022z00_746); } 
BgL_arg1900z00_521 = BgL_v1248z00_675; } 
BGl_avahizd2clientzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(79L), 
CNST_TABLE_REF(52L), BGl_avahizd2objectzd2zz__avahi_avahiz00, 28649L, BGl_proc2532z00zz__avahi_avahiz00, BGl_proc2531z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2530z00zz__avahi_avahiz00, BFALSE, BgL_arg1899z00_520, BgL_arg1900z00_521); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2035z00_767; obj_t BgL_arg2036z00_768;
{ /* Llib/avahi.scm 110 */
 obj_t BgL_v1249z00_782;
BgL_v1249z00_782 = 
create_vector(3L); 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2043z00_783;
BgL_arg2043z00_783 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(59L), BGl_proc2535z00zz__avahi_avahiz00, BGl_proc2534z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2533z00zz__avahi_avahiz00, 
CNST_TABLE_REF(80L)); 
VECTOR_SET(BgL_v1249z00_782,0L,BgL_arg2043z00_783); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2050z00_796;
BgL_arg2050z00_796 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(81L), BGl_proc2537z00zz__avahi_avahiz00, BGl_proc2536z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1249z00_782,1L,BgL_arg2050z00_796); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2055z00_806;
BgL_arg2055z00_806 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(68L), BGl_proc2539z00zz__avahi_avahiz00, BGl_proc2538z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(69L)); 
VECTOR_SET(BgL_v1249z00_782,2L,BgL_arg2055z00_806); } 
BgL_arg2035z00_767 = BgL_v1249z00_782; } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_v1250z00_816;
BgL_v1250z00_816 = 
create_vector(0L); 
BgL_arg2036z00_768 = BgL_v1250z00_816; } 
BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(82L), 
CNST_TABLE_REF(52L), BGl_avahizd2objectzd2zz__avahi_avahiz00, 3478L, BGl_proc2542z00zz__avahi_avahiz00, BGl_proc2541z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2540z00zz__avahi_avahiz00, BFALSE, BgL_arg2035z00_767, BgL_arg2036z00_768); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2063z00_823; obj_t BgL_arg2064z00_824;
{ /* Llib/avahi.scm 115 */
 obj_t BgL_v1251z00_842;
BgL_v1251z00_842 = 
create_vector(7L); 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2071z00_843;
BgL_arg2071z00_843 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(59L), BGl_proc2545z00zz__avahi_avahiz00, BGl_proc2544z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2543z00zz__avahi_avahiz00, 
CNST_TABLE_REF(83L)); 
VECTOR_SET(BgL_v1251z00_842,0L,BgL_arg2071z00_843); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2078z00_856;
BgL_arg2078z00_856 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(81L), BGl_proc2547z00zz__avahi_avahiz00, BGl_proc2546z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1251z00_842,1L,BgL_arg2078z00_856); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2083z00_866;
BgL_arg2083z00_866 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(68L), BGl_proc2549z00zz__avahi_avahiz00, BGl_proc2548z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(69L)); 
VECTOR_SET(BgL_v1251z00_842,2L,BgL_arg2083z00_866); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2088z00_876;
BgL_arg2088z00_876 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(84L), BGl_proc2551z00zz__avahi_avahiz00, BGl_proc2550z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(74L)); 
VECTOR_SET(BgL_v1251z00_842,3L,BgL_arg2088z00_876); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2093z00_886;
BgL_arg2093z00_886 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(85L), BGl_proc2554z00zz__avahi_avahiz00, BGl_proc2553z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2552z00zz__avahi_avahiz00, 
CNST_TABLE_REF(74L)); 
VECTOR_SET(BgL_v1251z00_842,4L,BgL_arg2093z00_886); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2100z00_899;
BgL_arg2100z00_899 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(86L), BGl_proc2557z00zz__avahi_avahiz00, BGl_proc2556z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2555z00zz__avahi_avahiz00, 
CNST_TABLE_REF(87L)); 
VECTOR_SET(BgL_v1251z00_842,5L,BgL_arg2100z00_899); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2107z00_912;
BgL_arg2107z00_912 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(88L), BGl_proc2560z00zz__avahi_avahiz00, BGl_proc2559z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2558z00zz__avahi_avahiz00, 
CNST_TABLE_REF(67L)); 
VECTOR_SET(BgL_v1251z00_842,6L,BgL_arg2107z00_912); } 
BgL_arg2063z00_823 = BgL_v1251z00_842; } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_v1252z00_925;
BgL_v1252z00_925 = 
create_vector(0L); 
BgL_arg2064z00_824 = BgL_v1252z00_925; } 
BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(89L), 
CNST_TABLE_REF(52L), BGl_avahizd2objectzd2zz__avahi_avahiz00, 32084L, BGl_proc2563z00zz__avahi_avahiz00, BGl_proc2562z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2561z00zz__avahi_avahiz00, BFALSE, BgL_arg2063z00_823, BgL_arg2064z00_824); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2117z00_932; obj_t BgL_arg2118z00_933;
{ /* Llib/avahi.scm 124 */
 obj_t BgL_v1253z00_948;
BgL_v1253z00_948 = 
create_vector(4L); 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2125z00_949;
BgL_arg2125z00_949 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(59L), BGl_proc2566z00zz__avahi_avahiz00, BGl_proc2565z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2564z00zz__avahi_avahiz00, 
CNST_TABLE_REF(90L)); 
VECTOR_SET(BgL_v1253z00_948,0L,BgL_arg2125z00_949); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2132z00_962;
BgL_arg2132z00_962 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(81L), BGl_proc2568z00zz__avahi_avahiz00, BGl_proc2567z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1253z00_948,1L,BgL_arg2132z00_962); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2137z00_972;
BgL_arg2137z00_972 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(68L), BGl_proc2570z00zz__avahi_avahiz00, BGl_proc2569z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(69L)); 
VECTOR_SET(BgL_v1253z00_948,2L,BgL_arg2137z00_972); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2142z00_982;
BgL_arg2142z00_982 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(85L), BGl_proc2573z00zz__avahi_avahiz00, BGl_proc2572z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2571z00zz__avahi_avahiz00, 
CNST_TABLE_REF(74L)); 
VECTOR_SET(BgL_v1253z00_948,3L,BgL_arg2142z00_982); } 
BgL_arg2117z00_932 = BgL_v1253z00_948; } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_v1254z00_995;
BgL_v1254z00_995 = 
create_vector(0L); 
BgL_arg2118z00_933 = BgL_v1254z00_995; } 
BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(91L), 
CNST_TABLE_REF(52L), BGl_avahizd2objectzd2zz__avahi_avahiz00, 22928L, BGl_proc2576z00zz__avahi_avahiz00, BGl_proc2575z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2574z00zz__avahi_avahiz00, BFALSE, BgL_arg2117z00_932, BgL_arg2118z00_933); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2152z00_1002; obj_t BgL_arg2153z00_1003;
{ /* Llib/avahi.scm 130 */
 obj_t BgL_v1255z00_1019;
BgL_v1255z00_1019 = 
create_vector(5L); 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2160z00_1020;
BgL_arg2160z00_1020 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(59L), BGl_proc2579z00zz__avahi_avahiz00, BGl_proc2578z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2577z00zz__avahi_avahiz00, 
CNST_TABLE_REF(92L)); 
VECTOR_SET(BgL_v1255z00_1019,0L,BgL_arg2160z00_1020); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2167z00_1033;
BgL_arg2167z00_1033 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(81L), BGl_proc2581z00zz__avahi_avahiz00, BGl_proc2580z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1255z00_1019,1L,BgL_arg2167z00_1033); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2172z00_1043;
BgL_arg2172z00_1043 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(68L), BGl_proc2583z00zz__avahi_avahiz00, BGl_proc2582z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(69L)); 
VECTOR_SET(BgL_v1255z00_1019,2L,BgL_arg2172z00_1043); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2177z00_1053;
BgL_arg2177z00_1053 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(42L), BGl_proc2586z00zz__avahi_avahiz00, BGl_proc2585z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2584z00zz__avahi_avahiz00, 
CNST_TABLE_REF(67L)); 
VECTOR_SET(BgL_v1255z00_1019,3L,BgL_arg2177z00_1053); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2184z00_1066;
BgL_arg2184z00_1066 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(85L), BGl_proc2589z00zz__avahi_avahiz00, BGl_proc2588z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2587z00zz__avahi_avahiz00, 
CNST_TABLE_REF(74L)); 
VECTOR_SET(BgL_v1255z00_1019,4L,BgL_arg2184z00_1066); } 
BgL_arg2152z00_1002 = BgL_v1255z00_1019; } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_v1256z00_1079;
BgL_v1256z00_1079 = 
create_vector(0L); 
BgL_arg2153z00_1003 = BgL_v1256z00_1079; } 
BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(93L), 
CNST_TABLE_REF(52L), BGl_avahizd2objectzd2zz__avahi_avahiz00, 49790L, BGl_proc2592z00zz__avahi_avahiz00, BGl_proc2591z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2590z00zz__avahi_avahiz00, BFALSE, BgL_arg2152z00_1002, BgL_arg2153z00_1003); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2194z00_1086; obj_t BgL_arg2195z00_1087;
{ /* Llib/avahi.scm 137 */
 obj_t BgL_v1257z00_1106;
BgL_v1257z00_1106 = 
create_vector(8L); 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2202z00_1107;
BgL_arg2202z00_1107 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(59L), BGl_proc2595z00zz__avahi_avahiz00, BGl_proc2594z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2593z00zz__avahi_avahiz00, 
CNST_TABLE_REF(94L)); 
VECTOR_SET(BgL_v1257z00_1106,0L,BgL_arg2202z00_1107); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2209z00_1120;
BgL_arg2209z00_1120 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(81L), BGl_proc2597z00zz__avahi_avahiz00, BGl_proc2596z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1257z00_1106,1L,BgL_arg2209z00_1120); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2214z00_1130;
BgL_arg2214z00_1130 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(68L), BGl_proc2599z00zz__avahi_avahiz00, BGl_proc2598z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(69L)); 
VECTOR_SET(BgL_v1257z00_1106,2L,BgL_arg2214z00_1130); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2219z00_1140;
BgL_arg2219z00_1140 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(86L), BGl_proc2601z00zz__avahi_avahiz00, BGl_proc2600z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(87L)); 
VECTOR_SET(BgL_v1257z00_1106,3L,BgL_arg2219z00_1140); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2224z00_1150;
BgL_arg2224z00_1150 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(88L), BGl_proc2603z00zz__avahi_avahiz00, BGl_proc2602z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(67L)); 
VECTOR_SET(BgL_v1257z00_1106,4L,BgL_arg2224z00_1150); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2229z00_1160;
BgL_arg2229z00_1160 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(95L), BGl_proc2605z00zz__avahi_avahiz00, BGl_proc2604z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(74L)); 
VECTOR_SET(BgL_v1257z00_1106,5L,BgL_arg2229z00_1160); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2234z00_1170;
BgL_arg2234z00_1170 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(84L), BGl_proc2607z00zz__avahi_avahiz00, BGl_proc2606z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(74L)); 
VECTOR_SET(BgL_v1257z00_1106,6L,BgL_arg2234z00_1170); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2239z00_1180;
BgL_arg2239z00_1180 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(85L), BGl_proc2610z00zz__avahi_avahiz00, BGl_proc2609z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2608z00zz__avahi_avahiz00, 
CNST_TABLE_REF(74L)); 
VECTOR_SET(BgL_v1257z00_1106,7L,BgL_arg2239z00_1180); } 
BgL_arg2194z00_1086 = BgL_v1257z00_1106; } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_v1258z00_1193;
BgL_v1258z00_1193 = 
create_vector(0L); 
BgL_arg2195z00_1087 = BgL_v1258z00_1193; } 
return ( 
BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(96L), 
CNST_TABLE_REF(52L), BGl_avahizd2objectzd2zz__avahi_avahiz00, 20996L, BGl_proc2613z00zz__avahi_avahiz00, BGl_proc2612z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2611z00zz__avahi_avahiz00, BFALSE, BgL_arg2194z00_1086, BgL_arg2195z00_1087), BUNSPEC) ;} } 

}



/* &<@anonymous:2201> */
obj_t BGl_z62zc3z04anonymousza32201ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2350, obj_t BgL_new1140z00_2351)
{
{ /* Llib/avahi.scm 137 */
{ 
 BgL_avahizd2servicezd2resolverz00_bglt BgL_auxz00_5044;
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2351)))->BgL_z42builtinz42)=((AvahiServiceResolver *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5048;
{ /* Llib/avahi.scm 137 */
 obj_t BgL_classz00_2904;
BgL_classz00_2904 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 137 */
 obj_t BgL__ortest_1116z00_2905;
BgL__ortest_1116z00_2905 = 
BGL_CLASS_NIL(BgL_classz00_2904); 
if(
CBOOL(BgL__ortest_1116z00_2905))
{ /* Llib/avahi.scm 137 */
BgL_auxz00_5048 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1116z00_2905)
; }  else 
{ /* Llib/avahi.scm 137 */
BgL_auxz00_5048 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2904))
; } } } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2351)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5048),BUNSPEC); } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2351)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2351)))->BgL_interfacez00)=((AvahiIfIndex)
0L),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2351)))->BgL_protocolz00)=((obj_t)
CNST_TABLE_REF(97L)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2351)))->BgL_namez00)=((obj_t)BGl_string2614z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2351)))->BgL_typez00)=((obj_t)BGl_string2614z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2351)))->BgL_domainz00)=((obj_t)BGl_string2614z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_5044 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2351); 
return 
((obj_t)BgL_auxz00_5044);} } 

}



/* &lambda2199 */
BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2199z62zz__avahi_avahiz00(obj_t BgL_envz00_2352)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1139z00_2906;
BgL_new1139z00_2906 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2resolverz00_bgl) ))); 
{ /* Llib/avahi.scm 137 */
 long BgL_arg2200z00_2907;
BgL_arg2200z00_2907 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_2906), BgL_arg2200z00_2907); } 
return BgL_new1139z00_2906;} } 

}



/* &lambda2196 */
BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2196z62zz__avahi_avahiz00(obj_t BgL_envz00_2353, obj_t BgL_z42builtin1131z42_2354, obj_t BgL_client1132z00_2355, obj_t BgL_proc1133z00_2356, obj_t BgL_interface1134z00_2357, obj_t BgL_protocol1135z00_2358, obj_t BgL_name1136z00_2359, obj_t BgL_type1137z00_2360, obj_t BgL_domain1138z00_2361)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 AvahiServiceResolver * BgL_z42builtin1131z42_2908; AvahiIfIndex BgL_interface1134z00_2911;
BgL_z42builtin1131z42_2908 = 
FOREIGN_TO_COBJ(BgL_z42builtin1131z42_2354); 
BgL_interface1134z00_2911 = 
(long)CINT(BgL_interface1134z00_2357); 
{ /* Llib/avahi.scm 137 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1230z00_2916;
{ /* Llib/avahi.scm 137 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1229z00_2917;
BgL_new1229z00_2917 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2resolverz00_bgl) ))); 
{ /* Llib/avahi.scm 137 */
 long BgL_arg2198z00_2918;
BgL_arg2198z00_2918 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1229z00_2917), BgL_arg2198z00_2918); } 
BgL_new1230z00_2916 = BgL_new1229z00_2917; } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2916))->BgL_z42builtinz42)=((AvahiServiceResolver *)BgL_z42builtin1131z42_2908),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2916))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1132z00_2355)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2916))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1133z00_2356)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2916))->BgL_interfacez00)=((AvahiIfIndex)BgL_interface1134z00_2911),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2916))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_protocol1135z00_2358)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2916))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1136z00_2359)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2916))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1137z00_2360)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2916))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1138z00_2361)),BUNSPEC); 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_fun2197z00_2919;
BgL_fun2197z00_2919 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2197z00_2919))(BgL_fun2197z00_2919, 
((obj_t)BgL_new1230z00_2916), BEOA); } 
return BgL_new1230z00_2916;} } } 

}



/* &<@anonymous:2245> */
obj_t BGl_z62zc3z04anonymousza32245ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2362)
{
{ /* Llib/avahi.scm 137 */
return BGl_string2614z00zz__avahi_avahiz00;} 

}



/* &lambda2244 */
obj_t BGl_z62lambda2244z62zz__avahi_avahiz00(obj_t BgL_envz00_2363, obj_t BgL_oz00_2364, obj_t BgL_vz00_2365)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2364)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2365)),BUNSPEC);} 

}



/* &lambda2243 */
obj_t BGl_z62lambda2243z62zz__avahi_avahiz00(obj_t BgL_envz00_2366, obj_t BgL_oz00_2367)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2367)))->BgL_domainz00);} 

}



/* &lambda2238 */
obj_t BGl_z62lambda2238z62zz__avahi_avahiz00(obj_t BgL_envz00_2368, obj_t BgL_oz00_2369, obj_t BgL_vz00_2370)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2369)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2370)),BUNSPEC);} 

}



/* &lambda2237 */
obj_t BGl_z62lambda2237z62zz__avahi_avahiz00(obj_t BgL_envz00_2371, obj_t BgL_oz00_2372)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2372)))->BgL_typez00);} 

}



/* &lambda2233 */
obj_t BGl_z62lambda2233z62zz__avahi_avahiz00(obj_t BgL_envz00_2373, obj_t BgL_oz00_2374, obj_t BgL_vz00_2375)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2374)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_2375)),BUNSPEC);} 

}



/* &lambda2232 */
obj_t BGl_z62lambda2232z62zz__avahi_avahiz00(obj_t BgL_envz00_2376, obj_t BgL_oz00_2377)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2377)))->BgL_namez00);} 

}



/* &lambda2228 */
obj_t BGl_z62lambda2228z62zz__avahi_avahiz00(obj_t BgL_envz00_2378, obj_t BgL_oz00_2379, obj_t BgL_vz00_2380)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2379)))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_vz00_2380)),BUNSPEC);} 

}



/* &lambda2227 */
obj_t BGl_z62lambda2227z62zz__avahi_avahiz00(obj_t BgL_envz00_2381, obj_t BgL_oz00_2382)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2382)))->BgL_protocolz00);} 

}



/* &lambda2223 */
obj_t BGl_z62lambda2223z62zz__avahi_avahiz00(obj_t BgL_envz00_2383, obj_t BgL_oz00_2384, obj_t BgL_vz00_2385)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 AvahiIfIndex BgL_vz00_2933;
BgL_vz00_2933 = 
(long)CINT(BgL_vz00_2385); 
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2384)))->BgL_interfacez00)=((AvahiIfIndex)BgL_vz00_2933),BUNSPEC);} } 

}



/* &lambda2222 */
obj_t BGl_z62lambda2222z62zz__avahi_avahiz00(obj_t BgL_envz00_2386, obj_t BgL_oz00_2387)
{
{ /* Llib/avahi.scm 137 */
return 
BINT(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2387)))->BgL_interfacez00));} 

}



/* &lambda2218 */
obj_t BGl_z62lambda2218z62zz__avahi_avahiz00(obj_t BgL_envz00_2388, obj_t BgL_oz00_2389, obj_t BgL_vz00_2390)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2389)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2390)),BUNSPEC);} 

}



/* &lambda2217 */
obj_t BGl_z62lambda2217z62zz__avahi_avahiz00(obj_t BgL_envz00_2391, obj_t BgL_oz00_2392)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2392)))->BgL_procz00);} 

}



/* &lambda2213 */
obj_t BGl_z62lambda2213z62zz__avahi_avahiz00(obj_t BgL_envz00_2393, obj_t BgL_oz00_2394, obj_t BgL_vz00_2395)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2394)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2395)),BUNSPEC);} 

}



/* &lambda2212 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2212z62zz__avahi_avahiz00(obj_t BgL_envz00_2396, obj_t BgL_oz00_2397)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2397)))->BgL_clientz00);} 

}



/* &<@anonymous:2208> */
obj_t BGl_z62zc3z04anonymousza32208ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2398)
{
{ /* Llib/avahi.scm 137 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2207 */
obj_t BGl_z62lambda2207z62zz__avahi_avahiz00(obj_t BgL_envz00_2399, obj_t BgL_oz00_2400, obj_t BgL_vz00_2401)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 AvahiServiceResolver * BgL_vz00_2942;
BgL_vz00_2942 = 
FOREIGN_TO_COBJ(BgL_vz00_2401); 
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2400)))->BgL_z42builtinz42)=((AvahiServiceResolver *)BgL_vz00_2942),BUNSPEC);} } 

}



/* &lambda2206 */
obj_t BGl_z62lambda2206z62zz__avahi_avahiz00(obj_t BgL_envz00_2402, obj_t BgL_oz00_2403)
{
{ /* Llib/avahi.scm 137 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2403)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2159> */
obj_t BGl_z62zc3z04anonymousza32159ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2404, obj_t BgL_new1129z00_2405)
{
{ /* Llib/avahi.scm 130 */
{ 
 BgL_avahizd2domainzd2browserz00_bglt BgL_auxz00_5147;
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2405)))->BgL_z42builtinz42)=((AvahiDomainBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5151;
{ /* Llib/avahi.scm 130 */
 obj_t BgL_classz00_2945;
BgL_classz00_2945 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 130 */
 obj_t BgL__ortest_1116z00_2946;
BgL__ortest_1116z00_2946 = 
BGL_CLASS_NIL(BgL_classz00_2945); 
if(
CBOOL(BgL__ortest_1116z00_2946))
{ /* Llib/avahi.scm 130 */
BgL_auxz00_5151 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1116z00_2946)
; }  else 
{ /* Llib/avahi.scm 130 */
BgL_auxz00_5151 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2945))
; } } } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2405)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5151),BUNSPEC); } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2405)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2405)))->BgL_btypez00)=((obj_t)
CNST_TABLE_REF(97L)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2405)))->BgL_domainz00)=((obj_t)BGl_string2614z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_5147 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2405); 
return 
((obj_t)BgL_auxz00_5147);} } 

}



/* &lambda2157 */
BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2157z62zz__avahi_avahiz00(obj_t BgL_envz00_2406)
{
{ /* Llib/avahi.scm 130 */
{ /* Llib/avahi.scm 130 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1128z00_2947;
BgL_new1128z00_2947 = 
((BgL_avahizd2domainzd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2domainzd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 130 */
 long BgL_arg2158z00_2948;
BgL_arg2158z00_2948 = 
BGL_CLASS_NUM(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_2947), BgL_arg2158z00_2948); } 
return BgL_new1128z00_2947;} } 

}



/* &lambda2154 */
BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2154z62zz__avahi_avahiz00(obj_t BgL_envz00_2407, obj_t BgL_z42builtin1123z42_2408, obj_t BgL_client1124z00_2409, obj_t BgL_proc1125z00_2410, obj_t BgL_btype1126z00_2411, obj_t BgL_domain1127z00_2412)
{
{ /* Llib/avahi.scm 130 */
{ /* Llib/avahi.scm 130 */
 AvahiDomainBrowser * BgL_z42builtin1123z42_2949;
BgL_z42builtin1123z42_2949 = 
FOREIGN_TO_COBJ(BgL_z42builtin1123z42_2408); 
{ /* Llib/avahi.scm 130 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1228z00_2954;
{ /* Llib/avahi.scm 130 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1227z00_2955;
BgL_new1227z00_2955 = 
((BgL_avahizd2domainzd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2domainzd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 130 */
 long BgL_arg2156z00_2956;
BgL_arg2156z00_2956 = 
BGL_CLASS_NUM(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_2955), BgL_arg2156z00_2956); } 
BgL_new1228z00_2954 = BgL_new1227z00_2955; } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2954))->BgL_z42builtinz42)=((AvahiDomainBrowser *)BgL_z42builtin1123z42_2949),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2954))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1124z00_2409)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2954))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1125z00_2410)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2954))->BgL_btypez00)=((obj_t)
((obj_t)BgL_btype1126z00_2411)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2954))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1127z00_2412)),BUNSPEC); 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_fun2155z00_2957;
BgL_fun2155z00_2957 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2155z00_2957))(BgL_fun2155z00_2957, 
((obj_t)BgL_new1228z00_2954), BEOA); } 
return BgL_new1228z00_2954;} } } 

}



/* &<@anonymous:2190> */
obj_t BGl_z62zc3z04anonymousza32190ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2413)
{
{ /* Llib/avahi.scm 130 */
return BGl_string2614z00zz__avahi_avahiz00;} 

}



/* &lambda2189 */
obj_t BGl_z62lambda2189z62zz__avahi_avahiz00(obj_t BgL_envz00_2414, obj_t BgL_oz00_2415, obj_t BgL_vz00_2416)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2415)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2416)),BUNSPEC);} 

}



/* &lambda2188 */
obj_t BGl_z62lambda2188z62zz__avahi_avahiz00(obj_t BgL_envz00_2417, obj_t BgL_oz00_2418)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2418)))->BgL_domainz00);} 

}



/* &<@anonymous:2183> */
obj_t BGl_z62zc3z04anonymousza32183ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2419)
{
{ /* Llib/avahi.scm 130 */
return 
CNST_TABLE_REF(98L);} 

}



/* &lambda2182 */
obj_t BGl_z62lambda2182z62zz__avahi_avahiz00(obj_t BgL_envz00_2420, obj_t BgL_oz00_2421, obj_t BgL_vz00_2422)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2421)))->BgL_btypez00)=((obj_t)
((obj_t)BgL_vz00_2422)),BUNSPEC);} 

}



/* &lambda2181 */
obj_t BGl_z62lambda2181z62zz__avahi_avahiz00(obj_t BgL_envz00_2423, obj_t BgL_oz00_2424)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2424)))->BgL_btypez00);} 

}



/* &lambda2176 */
obj_t BGl_z62lambda2176z62zz__avahi_avahiz00(obj_t BgL_envz00_2425, obj_t BgL_oz00_2426, obj_t BgL_vz00_2427)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2426)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2427)),BUNSPEC);} 

}



/* &lambda2175 */
obj_t BGl_z62lambda2175z62zz__avahi_avahiz00(obj_t BgL_envz00_2428, obj_t BgL_oz00_2429)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2429)))->BgL_procz00);} 

}



/* &lambda2171 */
obj_t BGl_z62lambda2171z62zz__avahi_avahiz00(obj_t BgL_envz00_2430, obj_t BgL_oz00_2431, obj_t BgL_vz00_2432)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2431)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2432)),BUNSPEC);} 

}



/* &lambda2170 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2170z62zz__avahi_avahiz00(obj_t BgL_envz00_2433, obj_t BgL_oz00_2434)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2434)))->BgL_clientz00);} 

}



/* &<@anonymous:2166> */
obj_t BGl_z62zc3z04anonymousza32166ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2435)
{
{ /* Llib/avahi.scm 130 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2165 */
obj_t BGl_z62lambda2165z62zz__avahi_avahiz00(obj_t BgL_envz00_2436, obj_t BgL_oz00_2437, obj_t BgL_vz00_2438)
{
{ /* Llib/avahi.scm 130 */
{ /* Llib/avahi.scm 130 */
 AvahiDomainBrowser * BgL_vz00_2971;
BgL_vz00_2971 = 
FOREIGN_TO_COBJ(BgL_vz00_2438); 
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2437)))->BgL_z42builtinz42)=((AvahiDomainBrowser *)BgL_vz00_2971),BUNSPEC);} } 

}



/* &lambda2164 */
obj_t BGl_z62lambda2164z62zz__avahi_avahiz00(obj_t BgL_envz00_2439, obj_t BgL_oz00_2440)
{
{ /* Llib/avahi.scm 130 */
return 
void_star_to_obj(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2440)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2124> */
obj_t BGl_z62zc3z04anonymousza32124ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2441, obj_t BgL_new1121z00_2442)
{
{ /* Llib/avahi.scm 124 */
{ 
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_auxz00_5222;
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2442)))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5226;
{ /* Llib/avahi.scm 124 */
 obj_t BgL_classz00_2974;
BgL_classz00_2974 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 124 */
 obj_t BgL__ortest_1116z00_2975;
BgL__ortest_1116z00_2975 = 
BGL_CLASS_NIL(BgL_classz00_2974); 
if(
CBOOL(BgL__ortest_1116z00_2975))
{ /* Llib/avahi.scm 124 */
BgL_auxz00_5226 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1116z00_2975)
; }  else 
{ /* Llib/avahi.scm 124 */
BgL_auxz00_5226 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2974))
; } } } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2442)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5226),BUNSPEC); } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2442)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2442)))->BgL_domainz00)=((obj_t)BGl_string2614z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_5222 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2442); 
return 
((obj_t)BgL_auxz00_5222);} } 

}



/* &lambda2122 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2122z62zz__avahi_avahiz00(obj_t BgL_envz00_2443)
{
{ /* Llib/avahi.scm 124 */
{ /* Llib/avahi.scm 124 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1120z00_2976;
BgL_new1120z00_2976 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2typezd2browserzd2_bgl) ))); 
{ /* Llib/avahi.scm 124 */
 long BgL_arg2123z00_2977;
BgL_arg2123z00_2977 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_2976), BgL_arg2123z00_2977); } 
return BgL_new1120z00_2976;} } 

}



/* &lambda2119 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2119z62zz__avahi_avahiz00(obj_t BgL_envz00_2444, obj_t BgL_z42builtin1116z42_2445, obj_t BgL_client1117z00_2446, obj_t BgL_proc1118z00_2447, obj_t BgL_domain1119z00_2448)
{
{ /* Llib/avahi.scm 124 */
{ /* Llib/avahi.scm 124 */
 AvahiServiceTypeBrowser * BgL_z42builtin1116z42_2978;
BgL_z42builtin1116z42_2978 = 
FOREIGN_TO_COBJ(BgL_z42builtin1116z42_2445); 
{ /* Llib/avahi.scm 124 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1226z00_2982;
{ /* Llib/avahi.scm 124 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1225z00_2983;
BgL_new1225z00_2983 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2typezd2browserzd2_bgl) ))); 
{ /* Llib/avahi.scm 124 */
 long BgL_arg2121z00_2984;
BgL_arg2121z00_2984 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_2983), BgL_arg2121z00_2984); } 
BgL_new1226z00_2982 = BgL_new1225z00_2983; } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_2982))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)BgL_z42builtin1116z42_2978),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_2982))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1117z00_2446)),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_2982))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1118z00_2447)),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_2982))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1119z00_2448)),BUNSPEC); 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_fun2120z00_2985;
BgL_fun2120z00_2985 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2120z00_2985))(BgL_fun2120z00_2985, 
((obj_t)BgL_new1226z00_2982), BEOA); } 
return BgL_new1226z00_2982;} } } 

}



/* &<@anonymous:2148> */
obj_t BGl_z62zc3z04anonymousza32148ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2449)
{
{ /* Llib/avahi.scm 124 */
return BGl_string2614z00zz__avahi_avahiz00;} 

}



/* &lambda2147 */
obj_t BGl_z62lambda2147z62zz__avahi_avahiz00(obj_t BgL_envz00_2450, obj_t BgL_oz00_2451, obj_t BgL_vz00_2452)
{
{ /* Llib/avahi.scm 124 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2451)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2452)),BUNSPEC);} 

}



/* &lambda2146 */
obj_t BGl_z62lambda2146z62zz__avahi_avahiz00(obj_t BgL_envz00_2453, obj_t BgL_oz00_2454)
{
{ /* Llib/avahi.scm 124 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2454)))->BgL_domainz00);} 

}



/* &lambda2141 */
obj_t BGl_z62lambda2141z62zz__avahi_avahiz00(obj_t BgL_envz00_2455, obj_t BgL_oz00_2456, obj_t BgL_vz00_2457)
{
{ /* Llib/avahi.scm 124 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2456)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2457)),BUNSPEC);} 

}



/* &lambda2140 */
obj_t BGl_z62lambda2140z62zz__avahi_avahiz00(obj_t BgL_envz00_2458, obj_t BgL_oz00_2459)
{
{ /* Llib/avahi.scm 124 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2459)))->BgL_procz00);} 

}



/* &lambda2136 */
obj_t BGl_z62lambda2136z62zz__avahi_avahiz00(obj_t BgL_envz00_2460, obj_t BgL_oz00_2461, obj_t BgL_vz00_2462)
{
{ /* Llib/avahi.scm 124 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2461)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2462)),BUNSPEC);} 

}



/* &lambda2135 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2135z62zz__avahi_avahiz00(obj_t BgL_envz00_2463, obj_t BgL_oz00_2464)
{
{ /* Llib/avahi.scm 124 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2464)))->BgL_clientz00);} 

}



/* &<@anonymous:2131> */
obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2465)
{
{ /* Llib/avahi.scm 124 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2130 */
obj_t BGl_z62lambda2130z62zz__avahi_avahiz00(obj_t BgL_envz00_2466, obj_t BgL_oz00_2467, obj_t BgL_vz00_2468)
{
{ /* Llib/avahi.scm 124 */
{ /* Llib/avahi.scm 124 */
 AvahiServiceTypeBrowser * BgL_vz00_2996;
BgL_vz00_2996 = 
FOREIGN_TO_COBJ(BgL_vz00_2468); 
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2467)))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)BgL_vz00_2996),BUNSPEC);} } 

}



/* &lambda2129 */
obj_t BGl_z62lambda2129z62zz__avahi_avahiz00(obj_t BgL_envz00_2469, obj_t BgL_oz00_2470)
{
{ /* Llib/avahi.scm 124 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2470)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2070> */
obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2471, obj_t BgL_new1114z00_2472)
{
{ /* Llib/avahi.scm 115 */
{ 
 BgL_avahizd2servicezd2browserz00_bglt BgL_auxz00_5286;
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2472)))->BgL_z42builtinz42)=((AvahiServiceBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5290;
{ /* Llib/avahi.scm 115 */
 obj_t BgL_classz00_2999;
BgL_classz00_2999 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 115 */
 obj_t BgL__ortest_1116z00_3000;
BgL__ortest_1116z00_3000 = 
BGL_CLASS_NIL(BgL_classz00_2999); 
if(
CBOOL(BgL__ortest_1116z00_3000))
{ /* Llib/avahi.scm 115 */
BgL_auxz00_5290 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1116z00_3000)
; }  else 
{ /* Llib/avahi.scm 115 */
BgL_auxz00_5290 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2999))
; } } } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2472)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5290),BUNSPEC); } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2472)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2472)))->BgL_typez00)=((obj_t)BGl_string2614z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2472)))->BgL_domainz00)=((obj_t)BGl_string2614z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2472)))->BgL_interfacez00)=((AvahiIfIndex)
0L),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2472)))->BgL_protocolz00)=((obj_t)
CNST_TABLE_REF(97L)),BUNSPEC); 
BgL_auxz00_5286 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2472); 
return 
((obj_t)BgL_auxz00_5286);} } 

}



/* &lambda2068 */
BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2068z62zz__avahi_avahiz00(obj_t BgL_envz00_2473)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1113z00_3001;
BgL_new1113z00_3001 = 
((BgL_avahizd2servicezd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 115 */
 long BgL_arg2069z00_3002;
BgL_arg2069z00_3002 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_3001), BgL_arg2069z00_3002); } 
return BgL_new1113z00_3001;} } 

}



/* &lambda2065 */
BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2065z62zz__avahi_avahiz00(obj_t BgL_envz00_2474, obj_t BgL_z42builtin1106z42_2475, obj_t BgL_client1107z00_2476, obj_t BgL_proc1108z00_2477, obj_t BgL_type1109z00_2478, obj_t BgL_domain1110z00_2479, obj_t BgL_interface1111z00_2480, obj_t BgL_protocol1112z00_2481)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 AvahiServiceBrowser * BgL_z42builtin1106z42_3003; AvahiIfIndex BgL_interface1111z00_3008;
BgL_z42builtin1106z42_3003 = 
FOREIGN_TO_COBJ(BgL_z42builtin1106z42_2475); 
BgL_interface1111z00_3008 = 
(long)CINT(BgL_interface1111z00_2480); 
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1224z00_3010;
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1223z00_3011;
BgL_new1223z00_3011 = 
((BgL_avahizd2servicezd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 115 */
 long BgL_arg2067z00_3012;
BgL_arg2067z00_3012 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_3011), BgL_arg2067z00_3012); } 
BgL_new1224z00_3010 = BgL_new1223z00_3011; } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3010))->BgL_z42builtinz42)=((AvahiServiceBrowser *)BgL_z42builtin1106z42_3003),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3010))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1107z00_2476)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3010))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1108z00_2477)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3010))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1109z00_2478)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3010))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1110z00_2479)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3010))->BgL_interfacez00)=((AvahiIfIndex)BgL_interface1111z00_3008),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3010))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_protocol1112z00_2481)),BUNSPEC); 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_fun2066z00_3013;
BgL_fun2066z00_3013 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2066z00_3013))(BgL_fun2066z00_3013, 
((obj_t)BgL_new1224z00_3010), BEOA); } 
return BgL_new1224z00_3010;} } } 

}



/* &<@anonymous:2113> */
obj_t BGl_z62zc3z04anonymousza32113ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2482)
{
{ /* Llib/avahi.scm 115 */
return 
CNST_TABLE_REF(30L);} 

}



/* &lambda2112 */
obj_t BGl_z62lambda2112z62zz__avahi_avahiz00(obj_t BgL_envz00_2483, obj_t BgL_oz00_2484, obj_t BgL_vz00_2485)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2484)))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_vz00_2485)),BUNSPEC);} 

}



/* &lambda2111 */
obj_t BGl_z62lambda2111z62zz__avahi_avahiz00(obj_t BgL_envz00_2486, obj_t BgL_oz00_2487)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2487)))->BgL_protocolz00);} 

}



/* &<@anonymous:2106> */
obj_t BGl_z62zc3z04anonymousza32106ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2488)
{
{ /* Llib/avahi.scm 115 */
return 
BINT(AVAHI_IF_UNSPEC);} 

}



/* &lambda2105 */
obj_t BGl_z62lambda2105z62zz__avahi_avahiz00(obj_t BgL_envz00_2489, obj_t BgL_oz00_2490, obj_t BgL_vz00_2491)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 AvahiIfIndex BgL_vz00_3018;
BgL_vz00_3018 = 
(long)CINT(BgL_vz00_2491); 
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2490)))->BgL_interfacez00)=((AvahiIfIndex)BgL_vz00_3018),BUNSPEC);} } 

}



/* &lambda2104 */
obj_t BGl_z62lambda2104z62zz__avahi_avahiz00(obj_t BgL_envz00_2492, obj_t BgL_oz00_2493)
{
{ /* Llib/avahi.scm 115 */
return 
BINT(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2493)))->BgL_interfacez00));} 

}



/* &<@anonymous:2099> */
obj_t BGl_z62zc3z04anonymousza32099ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2494)
{
{ /* Llib/avahi.scm 115 */
return BGl_string2614z00zz__avahi_avahiz00;} 

}



/* &lambda2098 */
obj_t BGl_z62lambda2098z62zz__avahi_avahiz00(obj_t BgL_envz00_2495, obj_t BgL_oz00_2496, obj_t BgL_vz00_2497)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2496)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2497)),BUNSPEC);} 

}



/* &lambda2097 */
obj_t BGl_z62lambda2097z62zz__avahi_avahiz00(obj_t BgL_envz00_2498, obj_t BgL_oz00_2499)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2499)))->BgL_domainz00);} 

}



/* &lambda2092 */
obj_t BGl_z62lambda2092z62zz__avahi_avahiz00(obj_t BgL_envz00_2500, obj_t BgL_oz00_2501, obj_t BgL_vz00_2502)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2501)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2502)),BUNSPEC);} 

}



/* &lambda2091 */
obj_t BGl_z62lambda2091z62zz__avahi_avahiz00(obj_t BgL_envz00_2503, obj_t BgL_oz00_2504)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2504)))->BgL_typez00);} 

}



/* &lambda2087 */
obj_t BGl_z62lambda2087z62zz__avahi_avahiz00(obj_t BgL_envz00_2505, obj_t BgL_oz00_2506, obj_t BgL_vz00_2507)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2506)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2507)),BUNSPEC);} 

}



/* &lambda2086 */
obj_t BGl_z62lambda2086z62zz__avahi_avahiz00(obj_t BgL_envz00_2508, obj_t BgL_oz00_2509)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2509)))->BgL_procz00);} 

}



/* &lambda2082 */
obj_t BGl_z62lambda2082z62zz__avahi_avahiz00(obj_t BgL_envz00_2510, obj_t BgL_oz00_2511, obj_t BgL_vz00_2512)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2511)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2512)),BUNSPEC);} 

}



/* &lambda2081 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2081z62zz__avahi_avahiz00(obj_t BgL_envz00_2513, obj_t BgL_oz00_2514)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2514)))->BgL_clientz00);} 

}



/* &<@anonymous:2077> */
obj_t BGl_z62zc3z04anonymousza32077ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2515)
{
{ /* Llib/avahi.scm 115 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2076 */
obj_t BGl_z62lambda2076z62zz__avahi_avahiz00(obj_t BgL_envz00_2516, obj_t BgL_oz00_2517, obj_t BgL_vz00_2518)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 AvahiServiceBrowser * BgL_vz00_3033;
BgL_vz00_3033 = 
FOREIGN_TO_COBJ(BgL_vz00_2518); 
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2517)))->BgL_z42builtinz42)=((AvahiServiceBrowser *)BgL_vz00_3033),BUNSPEC);} } 

}



/* &lambda2075 */
obj_t BGl_z62lambda2075z62zz__avahi_avahiz00(obj_t BgL_envz00_2519, obj_t BgL_oz00_2520)
{
{ /* Llib/avahi.scm 115 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2520)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2042> */
obj_t BGl_z62zc3z04anonymousza32042ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2521, obj_t BgL_new1104z00_2522)
{
{ /* Llib/avahi.scm 110 */
{ 
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_5382;
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2522)))->BgL_z42builtinz42)=((AvahiEntryGroup *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5386;
{ /* Llib/avahi.scm 110 */
 obj_t BgL_classz00_3036;
BgL_classz00_3036 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 110 */
 obj_t BgL__ortest_1116z00_3037;
BgL__ortest_1116z00_3037 = 
BGL_CLASS_NIL(BgL_classz00_3036); 
if(
CBOOL(BgL__ortest_1116z00_3037))
{ /* Llib/avahi.scm 110 */
BgL_auxz00_5386 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1116z00_3037)
; }  else 
{ /* Llib/avahi.scm 110 */
BgL_auxz00_5386 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3036))
; } } } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2522)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5386),BUNSPEC); } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2522)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_5382 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2522); 
return 
((obj_t)BgL_auxz00_5382);} } 

}



/* &lambda2040 */
BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2040z62zz__avahi_avahiz00(obj_t BgL_envz00_2523)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1103z00_3038;
BgL_new1103z00_3038 = 
((BgL_avahizd2entryzd2groupz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2entryzd2groupz00_bgl) ))); 
{ /* Llib/avahi.scm 110 */
 long BgL_arg2041z00_3039;
BgL_arg2041z00_3039 = 
BGL_CLASS_NUM(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_3038), BgL_arg2041z00_3039); } 
return BgL_new1103z00_3038;} } 

}



/* &lambda2037 */
BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2037z62zz__avahi_avahiz00(obj_t BgL_envz00_2524, obj_t BgL_z42builtin1100z42_2525, obj_t BgL_client1101z00_2526, obj_t BgL_proc1102z00_2527)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 AvahiEntryGroup * BgL_z42builtin1100z42_3040;
BgL_z42builtin1100z42_3040 = 
FOREIGN_TO_COBJ(BgL_z42builtin1100z42_2525); 
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1222z00_3043;
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1221z00_3044;
BgL_new1221z00_3044 = 
((BgL_avahizd2entryzd2groupz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2entryzd2groupz00_bgl) ))); 
{ /* Llib/avahi.scm 110 */
 long BgL_arg2039z00_3045;
BgL_arg2039z00_3045 = 
BGL_CLASS_NUM(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_3044), BgL_arg2039z00_3045); } 
BgL_new1222z00_3043 = BgL_new1221z00_3044; } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1222z00_3043))->BgL_z42builtinz42)=((AvahiEntryGroup *)BgL_z42builtin1100z42_3040),BUNSPEC); 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1222z00_3043))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1101z00_2526)),BUNSPEC); 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1222z00_3043))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1102z00_2527)),BUNSPEC); 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_fun2038z00_3046;
BgL_fun2038z00_3046 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2038z00_3046))(BgL_fun2038z00_3046, 
((obj_t)BgL_new1222z00_3043), BEOA); } 
return BgL_new1222z00_3043;} } } 

}



/* &lambda2059 */
obj_t BGl_z62lambda2059z62zz__avahi_avahiz00(obj_t BgL_envz00_2528, obj_t BgL_oz00_2529, obj_t BgL_vz00_2530)
{
{ /* Llib/avahi.scm 110 */
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2529)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2530)),BUNSPEC);} 

}



/* &lambda2058 */
obj_t BGl_z62lambda2058z62zz__avahi_avahiz00(obj_t BgL_envz00_2531, obj_t BgL_oz00_2532)
{
{ /* Llib/avahi.scm 110 */
return 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2532)))->BgL_procz00);} 

}



/* &lambda2054 */
obj_t BGl_z62lambda2054z62zz__avahi_avahiz00(obj_t BgL_envz00_2533, obj_t BgL_oz00_2534, obj_t BgL_vz00_2535)
{
{ /* Llib/avahi.scm 110 */
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2534)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2535)),BUNSPEC);} 

}



/* &lambda2053 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2053z62zz__avahi_avahiz00(obj_t BgL_envz00_2536, obj_t BgL_oz00_2537)
{
{ /* Llib/avahi.scm 110 */
return 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2537)))->BgL_clientz00);} 

}



/* &<@anonymous:2049> */
obj_t BGl_z62zc3z04anonymousza32049ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2538)
{
{ /* Llib/avahi.scm 110 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2048 */
obj_t BGl_z62lambda2048z62zz__avahi_avahiz00(obj_t BgL_envz00_2539, obj_t BgL_oz00_2540, obj_t BgL_vz00_2541)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 AvahiEntryGroup * BgL_vz00_3054;
BgL_vz00_3054 = 
FOREIGN_TO_COBJ(BgL_vz00_2541); 
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2540)))->BgL_z42builtinz42)=((AvahiEntryGroup *)BgL_vz00_3054),BUNSPEC);} } 

}



/* &lambda2047 */
obj_t BGl_z62lambda2047z62zz__avahi_avahiz00(obj_t BgL_envz00_2542, obj_t BgL_oz00_2543)
{
{ /* Llib/avahi.scm 110 */
return 
void_star_to_obj(
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2543)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1906> */
obj_t BGl_z62zc3z04anonymousza31906ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2544, obj_t BgL_new1098z00_2545)
{
{ /* Llib/avahi.scm 67 */
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5437;
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2545)))->BgL_z42builtinz42)=((AvahiClient *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2pollzd2_bglt BgL_auxz00_5441;
{ /* Llib/avahi.scm 67 */
 obj_t BgL_classz00_3057;
BgL_classz00_3057 = BGl_avahizd2pollzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 67 */
 obj_t BgL__ortest_1116z00_3058;
BgL__ortest_1116z00_3058 = 
BGL_CLASS_NIL(BgL_classz00_3057); 
if(
CBOOL(BgL__ortest_1116z00_3058))
{ /* Llib/avahi.scm 67 */
BgL_auxz00_5441 = 
((BgL_avahizd2pollzd2_bglt)BgL__ortest_1116z00_3058)
; }  else 
{ /* Llib/avahi.scm 67 */
BgL_auxz00_5441 = 
((BgL_avahizd2pollzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3057))
; } } } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2545)))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)BgL_auxz00_5441),BUNSPEC); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2545)))->BgL_flagsz00)=((obj_t)
CNST_TABLE_REF(97L)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2545)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2545)))->BgL_z52groupsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2545)))->BgL_z52browsersz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2545)))->BgL_resolversz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5437 = 
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2545); 
return 
((obj_t)BgL_auxz00_5437);} } 

}



/* &lambda1904 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda1904z62zz__avahi_avahiz00(obj_t BgL_envz00_2546)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1097z00_3059;
BgL_new1097z00_3059 = 
((BgL_avahizd2clientzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2clientzd2_bgl) ))); 
{ /* Llib/avahi.scm 67 */
 long BgL_arg1905z00_3060;
BgL_arg1905z00_3060 = 
BGL_CLASS_NUM(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_3059), BgL_arg1905z00_3060); } 
return BgL_new1097z00_3059;} } 

}



/* &lambda1901 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda1901z62zz__avahi_avahiz00(obj_t BgL_envz00_2547, obj_t BgL_z42builtin1090z42_2548, obj_t BgL_poll1091z00_2549, obj_t BgL_flags1092z00_2550, obj_t BgL_proc1093z00_2551, obj_t BgL_z52groups1094z52_2552, obj_t BgL_z52browsers1095z52_2553, obj_t BgL_resolvers1096z00_2554)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 AvahiClient * BgL_z42builtin1090z42_3061;
BgL_z42builtin1090z42_3061 = 
FOREIGN_TO_COBJ(BgL_z42builtin1090z42_2548); 
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1220z00_3068;
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1219z00_3069;
BgL_new1219z00_3069 = 
((BgL_avahizd2clientzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2clientzd2_bgl) ))); 
{ /* Llib/avahi.scm 67 */
 long BgL_arg1903z00_3070;
BgL_arg1903z00_3070 = 
BGL_CLASS_NUM(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_3069), BgL_arg1903z00_3070); } 
BgL_new1220z00_3068 = BgL_new1219z00_3069; } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3068))->BgL_z42builtinz42)=((AvahiClient *)BgL_z42builtin1090z42_3061),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3068))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2pollzd2_bglt)BgL_poll1091z00_2549)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3068))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_flags1092z00_2550)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3068))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1093z00_2551)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3068))->BgL_z52groupsz52)=((obj_t)
((obj_t)BgL_z52groups1094z52_2552)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3068))->BgL_z52browsersz52)=((obj_t)
((obj_t)BgL_z52browsers1095z52_2553)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3068))->BgL_resolversz00)=((obj_t)
((obj_t)BgL_resolvers1096z00_2554)),BUNSPEC); 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_fun1902z00_3071;
BgL_fun1902z00_3071 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1902z00_3071))(BgL_fun1902z00_3071, 
((obj_t)BgL_new1220z00_3068), BEOA); } 
return BgL_new1220z00_3068;} } } 

}



/* &<@anonymous:2025> */
obj_t BGl_z62zc3z04anonymousza32025ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2555, obj_t BgL_oz00_2556)
{
{ /* Llib/avahi.scm 101 */
{ /* Llib/avahi.scm 104 */
 bool_t BgL_test3090z00_5491;
{ /* Llib/avahi.scm 104 */
 AvahiClient * BgL_arg2030z00_3072;
BgL_arg2030z00_3072 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2556)))->BgL_z42builtinz42); 
BgL_test3090z00_5491 = 
(BgL_arg2030z00_3072 == 0L); } 
if(BgL_test3090z00_5491)
{ /* Llib/avahi.scm 104 */
return 
CNST_TABLE_REF(99L);}  else 
{ /* Llib/avahi.scm 107 */
 AvahiClientState BgL_arg2028z00_3073;
{ /* Llib/avahi.scm 107 */
 AvahiClient * BgL_arg2029z00_3074;
BgL_arg2029z00_3074 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2556)))->BgL_z42builtinz42); 
BgL_arg2028z00_3073 = 
avahi_client_get_state(BgL_arg2029z00_3074); } 
return 
bgl_avahi_client_state_to_symbol(BgL_arg2028z00_3073);} } } 

}



/* &<@anonymous:2016> */
obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2557, obj_t BgL_oz00_2558)
{
{ /* Llib/avahi.scm 95 */
{ /* Llib/avahi.scm 98 */
 bool_t BgL_test3091z00_5500;
{ /* Llib/avahi.scm 98 */
 AvahiClient * BgL_arg2020z00_3075;
BgL_arg2020z00_3075 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2558)))->BgL_z42builtinz42); 
BgL_test3091z00_5500 = 
(BgL_arg2020z00_3075 == 0L); } 
if(BgL_test3091z00_5500)
{ /* Llib/avahi.scm 98 */
return BGl_string2615z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 100 */
 AvahiClient * BgL_arg2019z00_3076;
BgL_arg2019z00_3076 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2558)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_host_name_fqdn(BgL_arg2019z00_3076));} } } 

}



/* &<@anonymous:2007> */
obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2559, obj_t BgL_oz00_2560)
{
{ /* Llib/avahi.scm 89 */
{ /* Llib/avahi.scm 92 */
 bool_t BgL_test3092z00_5508;
{ /* Llib/avahi.scm 92 */
 AvahiClient * BgL_arg2011z00_3077;
BgL_arg2011z00_3077 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2560)))->BgL_z42builtinz42); 
BgL_test3092z00_5508 = 
(BgL_arg2011z00_3077 == 0L); } 
if(BgL_test3092z00_5508)
{ /* Llib/avahi.scm 92 */
return BGl_string2615z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 94 */
 AvahiClient * BgL_arg2010z00_3078;
BgL_arg2010z00_3078 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2560)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_domain_name(BgL_arg2010z00_3078));} } } 

}



/* &<@anonymous:1998> */
obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2561, obj_t BgL_oz00_2562, obj_t BgL_vz00_2563)
{
{ /* Llib/avahi.scm 81 */
{ /* Llib/avahi.scm 87 */
 bool_t BgL_test3093z00_5516;
{ /* Llib/avahi.scm 87 */
 AvahiClient * BgL_arg2002z00_3079;
BgL_arg2002z00_3079 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2562)))->BgL_z42builtinz42); 
BgL_test3093z00_5516 = 
(BgL_arg2002z00_3079 == 0L); } 
if(BgL_test3093z00_5516)
{ /* Llib/avahi.scm 87 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 88 */
 AvahiClient * BgL_arg2001z00_3080;
BgL_arg2001z00_3080 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2562)))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 88 */
 int BgL_tmpz00_5522;
{ /* Llib/avahi.scm 88 */
 char * BgL_tmpz00_5523;
BgL_tmpz00_5523 = 
BSTRING_TO_STRING(
((obj_t)BgL_vz00_2563)); 
BgL_tmpz00_5522 = 
avahi_client_set_host_name(BgL_arg2001z00_3080, BgL_tmpz00_5523); } 
return 
BINT(BgL_tmpz00_5522);} } } } 

}



/* &<@anonymous:1992> */
obj_t BGl_z62zc3z04anonymousza31992ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2564, obj_t BgL_oz00_2565)
{
{ /* Llib/avahi.scm 81 */
{ /* Llib/avahi.scm 83 */
 bool_t BgL_test3094z00_5528;
{ /* Llib/avahi.scm 83 */
 AvahiClient * BgL_arg1996z00_3081;
BgL_arg1996z00_3081 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2565)))->BgL_z42builtinz42); 
BgL_test3094z00_5528 = 
(BgL_arg1996z00_3081 == 0L); } 
if(BgL_test3094z00_5528)
{ /* Llib/avahi.scm 83 */
return BGl_string2615z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 85 */
 AvahiClient * BgL_arg1995z00_3082;
BgL_arg1995z00_3082 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2565)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_host_name(BgL_arg1995z00_3082));} } } 

}



/* &<@anonymous:1982> */
obj_t BGl_z62zc3z04anonymousza31982ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2566, obj_t BgL_oz00_2567)
{
{ /* Llib/avahi.scm 75 */
{ /* Llib/avahi.scm 78 */
 bool_t BgL_test3095z00_5536;
{ /* Llib/avahi.scm 78 */
 AvahiClient * BgL_arg1986z00_3083;
BgL_arg1986z00_3083 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2567)))->BgL_z42builtinz42); 
BgL_test3095z00_5536 = 
(BgL_arg1986z00_3083 == 0L); } 
if(BgL_test3095z00_5536)
{ /* Llib/avahi.scm 78 */
return BGl_string2615z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 80 */
 AvahiClient * BgL_arg1985z00_3084;
BgL_arg1985z00_3084 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2567)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_version_string(BgL_arg1985z00_3084));} } } 

}



/* &<@anonymous:1978> */
obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2568, obj_t BgL_oz00_2569, obj_t BgL_vz00_2570)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2569), 
(int)(4L), BgL_vz00_2570);} 

}



/* &<@anonymous:1977> */
obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2571, obj_t BgL_oz00_2572)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2572), 
(int)(4L));} 

}



/* &<@anonymous:1973> */
obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2573, obj_t BgL_oz00_2574, obj_t BgL_vz00_2575)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2574), 
(int)(3L), BgL_vz00_2575);} 

}



/* &<@anonymous:1972> */
obj_t BGl_z62zc3z04anonymousza31972ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2576, obj_t BgL_oz00_2577)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2577), 
(int)(3L));} 

}



/* &<@anonymous:1968> */
obj_t BGl_z62zc3z04anonymousza31968ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2578, obj_t BgL_oz00_2579, obj_t BgL_vz00_2580)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2579), 
(int)(2L), BgL_vz00_2580);} 

}



/* &<@anonymous:1967> */
obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2581, obj_t BgL_oz00_2582)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2582), 
(int)(2L));} 

}



/* &<@anonymous:1963> */
obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2583, obj_t BgL_oz00_2584, obj_t BgL_vz00_2585)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2584), 
(int)(1L), BgL_vz00_2585);} 

}



/* &<@anonymous:1962> */
obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2586, obj_t BgL_oz00_2587)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2587), 
(int)(1L));} 

}



/* &<@anonymous:1958> */
obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2588, obj_t BgL_oz00_2589, obj_t BgL_vz00_2590)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2589), 
(int)(0L), BgL_vz00_2590);} 

}



/* &<@anonymous:1957> */
obj_t BGl_z62zc3z04anonymousza31957ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2591, obj_t BgL_oz00_2592)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2592), 
(int)(0L));} 

}



/* &<@anonymous:1953> */
obj_t BGl_z62zc3z04anonymousza31953ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2593)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1952 */
obj_t BGl_z62lambda1952z62zz__avahi_avahiz00(obj_t BgL_envz00_2594, obj_t BgL_oz00_2595, obj_t BgL_vz00_2596)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2595)))->BgL_resolversz00)=((obj_t)
((obj_t)BgL_vz00_2596)),BUNSPEC);} 

}



/* &lambda1951 */
obj_t BGl_z62lambda1951z62zz__avahi_avahiz00(obj_t BgL_envz00_2597, obj_t BgL_oz00_2598)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2598)))->BgL_resolversz00);} 

}



/* &<@anonymous:1946> */
obj_t BGl_z62zc3z04anonymousza31946ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2599)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1945 */
obj_t BGl_z62lambda1945z62zz__avahi_avahiz00(obj_t BgL_envz00_2600, obj_t BgL_oz00_2601, obj_t BgL_vz00_2602)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2601)))->BgL_z52browsersz52)=((obj_t)
((obj_t)BgL_vz00_2602)),BUNSPEC);} 

}



/* &lambda1944 */
obj_t BGl_z62lambda1944z62zz__avahi_avahiz00(obj_t BgL_envz00_2603, obj_t BgL_oz00_2604)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2604)))->BgL_z52browsersz52);} 

}



/* &<@anonymous:1939> */
obj_t BGl_z62zc3z04anonymousza31939ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2605)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1938 */
obj_t BGl_z62lambda1938z62zz__avahi_avahiz00(obj_t BgL_envz00_2606, obj_t BgL_oz00_2607, obj_t BgL_vz00_2608)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2607)))->BgL_z52groupsz52)=((obj_t)
((obj_t)BgL_vz00_2608)),BUNSPEC);} 

}



/* &lambda1937 */
obj_t BGl_z62lambda1937z62zz__avahi_avahiz00(obj_t BgL_envz00_2609, obj_t BgL_oz00_2610)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2610)))->BgL_z52groupsz52);} 

}



/* &lambda1932 */
obj_t BGl_z62lambda1932z62zz__avahi_avahiz00(obj_t BgL_envz00_2611, obj_t BgL_oz00_2612, obj_t BgL_vz00_2613)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2612)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2613)),BUNSPEC);} 

}



/* &lambda1931 */
obj_t BGl_z62lambda1931z62zz__avahi_avahiz00(obj_t BgL_envz00_2614, obj_t BgL_oz00_2615)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2615)))->BgL_procz00);} 

}



/* &<@anonymous:1927> */
obj_t BGl_z62zc3z04anonymousza31927ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2616)
{
{ /* Llib/avahi.scm 67 */
return 
CNST_TABLE_REF(100L);} 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__avahi_avahiz00(obj_t BgL_envz00_2617, obj_t BgL_oz00_2618, obj_t BgL_vz00_2619)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2618)))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_vz00_2619)),BUNSPEC);} 

}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__avahi_avahiz00(obj_t BgL_envz00_2620, obj_t BgL_oz00_2621)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2621)))->BgL_flagsz00);} 

}



/* &lambda1918 */
obj_t BGl_z62lambda1918z62zz__avahi_avahiz00(obj_t BgL_envz00_2622, obj_t BgL_oz00_2623, obj_t BgL_vz00_2624)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2623)))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2pollzd2_bglt)BgL_vz00_2624)),BUNSPEC);} 

}



/* &lambda1917 */
BgL_avahizd2pollzd2_bglt BGl_z62lambda1917z62zz__avahi_avahiz00(obj_t BgL_envz00_2625, obj_t BgL_oz00_2626)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2626)))->BgL_pollz00);} 

}



/* &<@anonymous:1913> */
obj_t BGl_z62zc3z04anonymousza31913ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2627)
{
{ /* Llib/avahi.scm 67 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1912 */
obj_t BGl_z62lambda1912z62zz__avahi_avahiz00(obj_t BgL_envz00_2628, obj_t BgL_oz00_2629, obj_t BgL_vz00_2630)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 AvahiClient * BgL_vz00_3104;
BgL_vz00_3104 = 
FOREIGN_TO_COBJ(BgL_vz00_2630); 
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2629)))->BgL_z42builtinz42)=((AvahiClient *)BgL_vz00_3104),BUNSPEC);} } 

}



/* &lambda1911 */
obj_t BGl_z62lambda1911z62zz__avahi_avahiz00(obj_t BgL_envz00_2631, obj_t BgL_oz00_2632)
{
{ /* Llib/avahi.scm 67 */
return 
void_star_to_obj(
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2632)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1888> */
obj_t BGl_z62zc3z04anonymousza31888ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2633, obj_t BgL_new1088z00_2634)
{
{ /* Llib/avahi.scm 64 */
{ 
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_5613;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2634))))->BgL_z42ctypez42)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2634))))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2634)))->BgL_z42builtinz42)=((AvahiThreadedPoll *)
0L),BUNSPEC); 
BgL_auxz00_5613 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2634); 
return 
((obj_t)BgL_auxz00_5613);} } 

}



/* &lambda1886 */
BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1886z62zz__avahi_avahiz00(obj_t BgL_envz00_2635)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1087z00_3107;
BgL_new1087z00_3107 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2threadedzd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 64 */
 long BgL_arg1887z00_3108;
BgL_arg1887z00_3108 = 
BGL_CLASS_NUM(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_3107), BgL_arg1887z00_3108); } 
return BgL_new1087z00_3107;} } 

}



/* &lambda1883 */
BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1883z62zz__avahi_avahiz00(obj_t BgL_envz00_2636, obj_t BgL_z42ctype1084z42_2637, obj_t BgL_z52procs1085z52_2638, obj_t BgL_z42builtin1086z42_2639)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 int BgL_z42ctype1084z42_3109; AvahiThreadedPoll * BgL_z42builtin1086z42_3111;
BgL_z42ctype1084z42_3109 = 
CINT(BgL_z42ctype1084z42_2637); 
BgL_z42builtin1086z42_3111 = 
FOREIGN_TO_COBJ(BgL_z42builtin1086z42_2639); 
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1218z00_3112;
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1217z00_3113;
BgL_new1217z00_3113 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2threadedzd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 64 */
 long BgL_arg1885z00_3114;
BgL_arg1885z00_3114 = 
BGL_CLASS_NUM(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_3113), BgL_arg1885z00_3114); } 
BgL_new1218z00_3112 = BgL_new1217z00_3113; } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1218z00_3112)))->BgL_z42ctypez42)=((int)BgL_z42ctype1084z42_3109),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1218z00_3112)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_z52procs1085z52_2638)),BUNSPEC); 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_new1218z00_3112))->BgL_z42builtinz42)=((AvahiThreadedPoll *)BgL_z42builtin1086z42_3111),BUNSPEC); 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_fun1884z00_3115;
BgL_fun1884z00_3115 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1884z00_3115))(BgL_fun1884z00_3115, 
((obj_t)BgL_new1218z00_3112), BEOA); } 
return BgL_new1218z00_3112;} } } 

}



/* &<@anonymous:1895> */
obj_t BGl_z62zc3z04anonymousza31895ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2640)
{
{ /* Llib/avahi.scm 64 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1894 */
obj_t BGl_z62lambda1894z62zz__avahi_avahiz00(obj_t BgL_envz00_2641, obj_t BgL_oz00_2642, obj_t BgL_vz00_2643)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 AvahiThreadedPoll * BgL_vz00_3117;
BgL_vz00_3117 = 
FOREIGN_TO_COBJ(BgL_vz00_2643); 
return 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2642)))->BgL_z42builtinz42)=((AvahiThreadedPoll *)BgL_vz00_3117),BUNSPEC);} } 

}



/* &lambda1893 */
obj_t BGl_z62lambda1893z62zz__avahi_avahiz00(obj_t BgL_envz00_2644, obj_t BgL_oz00_2645)
{
{ /* Llib/avahi.scm 64 */
return 
void_star_to_obj(
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2645)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1869> */
obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2646, obj_t BgL_new1082z00_2647)
{
{ /* Llib/avahi.scm 61 */
{ 
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_5656;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2647))))->BgL_z42ctypez42)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2647))))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2647)))->BgL_z42builtinz42)=((AvahiSimplePoll *)
0L),BUNSPEC); 
BgL_auxz00_5656 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2647); 
return 
((obj_t)BgL_auxz00_5656);} } 

}



/* &lambda1867 */
BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1867z62zz__avahi_avahiz00(obj_t BgL_envz00_2648)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1081z00_3120;
BgL_new1081z00_3120 = 
((BgL_avahizd2simplezd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2simplezd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 61 */
 long BgL_arg1868z00_3121;
BgL_arg1868z00_3121 = 
BGL_CLASS_NUM(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_3120), BgL_arg1868z00_3121); } 
return BgL_new1081z00_3120;} } 

}



/* &lambda1864 */
BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1864z62zz__avahi_avahiz00(obj_t BgL_envz00_2649, obj_t BgL_z42ctype1078z42_2650, obj_t BgL_z52procs1079z52_2651, obj_t BgL_z42builtin1080z42_2652)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 int BgL_z42ctype1078z42_3122; AvahiSimplePoll * BgL_z42builtin1080z42_3124;
BgL_z42ctype1078z42_3122 = 
CINT(BgL_z42ctype1078z42_2650); 
BgL_z42builtin1080z42_3124 = 
FOREIGN_TO_COBJ(BgL_z42builtin1080z42_2652); 
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1216z00_3125;
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1215z00_3126;
BgL_new1215z00_3126 = 
((BgL_avahizd2simplezd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2simplezd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 61 */
 long BgL_arg1866z00_3127;
BgL_arg1866z00_3127 = 
BGL_CLASS_NUM(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_3126), BgL_arg1866z00_3127); } 
BgL_new1216z00_3125 = BgL_new1215z00_3126; } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1216z00_3125)))->BgL_z42ctypez42)=((int)BgL_z42ctype1078z42_3122),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1216z00_3125)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_z52procs1079z52_2651)),BUNSPEC); 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_new1216z00_3125))->BgL_z42builtinz42)=((AvahiSimplePoll *)BgL_z42builtin1080z42_3124),BUNSPEC); 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_fun1865z00_3128;
BgL_fun1865z00_3128 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1865z00_3128))(BgL_fun1865z00_3128, 
((obj_t)BgL_new1216z00_3125), BEOA); } 
return BgL_new1216z00_3125;} } } 

}



/* &<@anonymous:1876> */
obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2653)
{
{ /* Llib/avahi.scm 61 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1875 */
obj_t BGl_z62lambda1875z62zz__avahi_avahiz00(obj_t BgL_envz00_2654, obj_t BgL_oz00_2655, obj_t BgL_vz00_2656)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 AvahiSimplePoll * BgL_vz00_3130;
BgL_vz00_3130 = 
FOREIGN_TO_COBJ(BgL_vz00_2656); 
return 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2655)))->BgL_z42builtinz42)=((AvahiSimplePoll *)BgL_vz00_3130),BUNSPEC);} } 

}



/* &lambda1874 */
obj_t BGl_z62lambda1874z62zz__avahi_avahiz00(obj_t BgL_envz00_2657, obj_t BgL_oz00_2658)
{
{ /* Llib/avahi.scm 61 */
return 
void_star_to_obj(
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2658)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1844> */
obj_t BGl_z62zc3z04anonymousza31844ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2659, obj_t BgL_new1076z00_2660)
{
{ /* Llib/avahi.scm 57 */
{ 
 BgL_avahizd2pollzd2_bglt BgL_auxz00_5699;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1076z00_2660)))->BgL_z42ctypez42)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1076z00_2660)))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5699 = 
((BgL_avahizd2pollzd2_bglt)BgL_new1076z00_2660); 
return 
((obj_t)BgL_auxz00_5699);} } 

}



/* &lambda1842 */
BgL_avahizd2pollzd2_bglt BGl_z62lambda1842z62zz__avahi_avahiz00(obj_t BgL_envz00_2661)
{
{ /* Llib/avahi.scm 57 */
{ /* Llib/avahi.scm 57 */
 BgL_avahizd2pollzd2_bglt BgL_new1075z00_3133;
BgL_new1075z00_3133 = 
((BgL_avahizd2pollzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2pollzd2_bgl) ))); 
{ /* Llib/avahi.scm 57 */
 long BgL_arg1843z00_3134;
BgL_arg1843z00_3134 = 
BGL_CLASS_NUM(BGl_avahizd2pollzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_3133), BgL_arg1843z00_3134); } 
return BgL_new1075z00_3133;} } 

}



/* &<@anonymous:1858> */
obj_t BGl_z62zc3z04anonymousza31858ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2662)
{
{ /* Llib/avahi.scm 57 */
return BNIL;} 

}



/* &lambda1857 */
obj_t BGl_z62lambda1857z62zz__avahi_avahiz00(obj_t BgL_envz00_2663, obj_t BgL_oz00_2664, obj_t BgL_vz00_2665)
{
{ /* Llib/avahi.scm 57 */
return 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2664)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_vz00_2665)),BUNSPEC);} 

}



/* &lambda1856 */
obj_t BGl_z62lambda1856z62zz__avahi_avahiz00(obj_t BgL_envz00_2666, obj_t BgL_oz00_2667)
{
{ /* Llib/avahi.scm 57 */
return 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2667)))->BgL_z52procsz52);} 

}



/* &<@anonymous:1851> */
obj_t BGl_z62zc3z04anonymousza31851ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2668)
{
{ /* Llib/avahi.scm 57 */
return 
BINT(-1L);} 

}



/* &lambda1850 */
obj_t BGl_z62lambda1850z62zz__avahi_avahiz00(obj_t BgL_envz00_2669, obj_t BgL_oz00_2670, obj_t BgL_vz00_2671)
{
{ /* Llib/avahi.scm 57 */
{ /* Llib/avahi.scm 57 */
 int BgL_vz00_3139;
BgL_vz00_3139 = 
CINT(BgL_vz00_2671); 
return 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2670)))->BgL_z42ctypez42)=((int)BgL_vz00_3139),BUNSPEC);} } 

}



/* &lambda1849 */
obj_t BGl_z62lambda1849z62zz__avahi_avahiz00(obj_t BgL_envz00_2672, obj_t BgL_oz00_2673)
{
{ /* Llib/avahi.scm 57 */
return 
BINT(
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2673)))->BgL_z42ctypez42));} 

}



/* &<@anonymous:1837> */
obj_t BGl_z62zc3z04anonymousza31837ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2674, obj_t BgL_new1073z00_2675)
{
{ /* Llib/avahi.scm 54 */
return 
((obj_t)
((BgL_avahizd2objectzd2_bglt)BgL_new1073z00_2675));} 

}



/* &lambda1835 */
BgL_avahizd2objectzd2_bglt BGl_z62lambda1835z62zz__avahi_avahiz00(obj_t BgL_envz00_2676)
{
{ /* Llib/avahi.scm 54 */
{ /* Llib/avahi.scm 54 */
 BgL_avahizd2objectzd2_bglt BgL_new1072z00_3142;
BgL_new1072z00_3142 = 
((BgL_avahizd2objectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2objectzd2_bgl) ))); 
{ /* Llib/avahi.scm 54 */
 long BgL_arg1836z00_3143;
BgL_arg1836z00_3143 = 
BGL_CLASS_NUM(BGl_avahizd2objectzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_3142), BgL_arg1836z00_3143); } 
return BgL_new1072z00_3142;} } 

}



/* &<@anonymous:1829> */
obj_t BGl_z62zc3z04anonymousza31829ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2677, obj_t BgL_new1070z00_2678)
{
{ /* Llib/avahi.scm 52 */
{ 
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_auxz00_5729;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2678))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2678))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2678))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2678))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2678))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2678))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2678))))->BgL_errnoz00)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_5729 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2678); 
return 
((obj_t)BgL_auxz00_5729);} } 

}



/* &lambda1827 */
BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1827z62zz__avahi_avahiz00(obj_t BgL_envz00_2679)
{
{ /* Llib/avahi.scm 52 */
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1069z00_3145;
BgL_new1069z00_3145 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 52 */
 long BgL_arg1828z00_3146;
BgL_arg1828z00_3146 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_3145), BgL_arg1828z00_3146); } 
return BgL_new1069z00_3145;} } 

}



/* &lambda1825 */
BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1825z62zz__avahi_avahiz00(obj_t BgL_envz00_2680, obj_t BgL_fname1062z00_2681, obj_t BgL_location1063z00_2682, obj_t BgL_stack1064z00_2683, obj_t BgL_proc1065z00_2684, obj_t BgL_msg1066z00_2685, obj_t BgL_obj1067z00_2686, obj_t BgL_errno1068z00_2687)
{
{ /* Llib/avahi.scm 52 */
{ /* Llib/avahi.scm 52 */
 int BgL_errno1068z00_3147;
BgL_errno1068z00_3147 = 
CINT(BgL_errno1068z00_2687); 
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1214z00_3148;
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1213z00_3149;
BgL_new1213z00_3149 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 52 */
 long BgL_arg1826z00_3150;
BgL_arg1826z00_3150 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_3149), BgL_arg1826z00_3150); } 
BgL_new1214z00_3148 = BgL_new1213z00_3149; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_3148)))->BgL_fnamez00)=((obj_t)BgL_fname1062z00_2681),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_3148)))->BgL_locationz00)=((obj_t)BgL_location1063z00_2682),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_3148)))->BgL_stackz00)=((obj_t)BgL_stack1064z00_2683),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_3148)))->BgL_procz00)=((obj_t)BgL_proc1065z00_2684),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_3148)))->BgL_msgz00)=((obj_t)BgL_msg1066z00_2685),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_3148)))->BgL_objz00)=((obj_t)BgL_obj1067z00_2686),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1214z00_3148)))->BgL_errnoz00)=((int)BgL_errno1068z00_3147),BUNSPEC); 
return BgL_new1214z00_3148;} } } 

}



/* &<@anonymous:1812> */
obj_t BGl_z62zc3z04anonymousza31812ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2688, obj_t BgL_new1060z00_2689)
{
{ /* Llib/avahi.scm 50 */
{ 
 BgL_z62avahizd2errorzb0_bglt BgL_auxz00_5777;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2689))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2689))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2689))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2689))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2689))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2689))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2689)))->BgL_errnoz00)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_5777 = 
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2689); 
return 
((obj_t)BgL_auxz00_5777);} } 

}



/* &lambda1810 */
BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1810z62zz__avahi_avahiz00(obj_t BgL_envz00_2690)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1059z00_3152;
BgL_new1059z00_3152 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 50 */
 long BgL_arg1811z00_3153;
BgL_arg1811z00_3153 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_3152), BgL_arg1811z00_3153); } 
return BgL_new1059z00_3152;} } 

}



/* &lambda1808 */
BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1808z62zz__avahi_avahiz00(obj_t BgL_envz00_2691, obj_t BgL_fname1052z00_2692, obj_t BgL_location1053z00_2693, obj_t BgL_stack1054z00_2694, obj_t BgL_proc1055z00_2695, obj_t BgL_msg1056z00_2696, obj_t BgL_obj1057z00_2697, obj_t BgL_errno1058z00_2698)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 int BgL_errno1058z00_3154;
BgL_errno1058z00_3154 = 
CINT(BgL_errno1058z00_2698); 
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1212z00_3155;
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1211z00_3156;
BgL_new1211z00_3156 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 50 */
 long BgL_arg1809z00_3157;
BgL_arg1809z00_3157 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_3156), BgL_arg1809z00_3157); } 
BgL_new1212z00_3155 = BgL_new1211z00_3156; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_3155)))->BgL_fnamez00)=((obj_t)BgL_fname1052z00_2692),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_3155)))->BgL_locationz00)=((obj_t)BgL_location1053z00_2693),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_3155)))->BgL_stackz00)=((obj_t)BgL_stack1054z00_2694),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_3155)))->BgL_procz00)=((obj_t)BgL_proc1055z00_2695),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_3155)))->BgL_msgz00)=((obj_t)BgL_msg1056z00_2696),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_3155)))->BgL_objz00)=((obj_t)BgL_obj1057z00_2697),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1212z00_3155))->BgL_errnoz00)=((int)BgL_errno1058z00_3154),BUNSPEC); 
return BgL_new1212z00_3155;} } } 

}



/* &<@anonymous:1819> */
obj_t BGl_z62zc3z04anonymousza31819ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2699)
{
{ /* Llib/avahi.scm 50 */
return 
BINT(0L);} 

}



/* &lambda1818 */
obj_t BGl_z62lambda1818z62zz__avahi_avahiz00(obj_t BgL_envz00_2700, obj_t BgL_oz00_2701, obj_t BgL_vz00_2702)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 int BgL_vz00_3159;
BgL_vz00_3159 = 
CINT(BgL_vz00_2702); 
return 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_oz00_2701)))->BgL_errnoz00)=((int)BgL_vz00_3159),BUNSPEC);} } 

}



/* &lambda1817 */
obj_t BGl_z62lambda1817z62zz__avahi_avahiz00(obj_t BgL_envz00_2703, obj_t BgL_oz00_2704)
{
{ /* Llib/avahi.scm 50 */
return 
BINT(
(((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_oz00_2704)))->BgL_errnoz00));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2616z00zz__avahi_avahiz00, BGl_avahizd2objectzd2zz__avahi_avahiz00, BGl_string2617z00zz__avahi_avahiz00);} 

}



/* &avahi-init1263 */
obj_t BGl_z62avahizd2init1263zb0zz__avahi_avahiz00(obj_t BgL_envz00_2708, obj_t BgL_oz00_2709)
{
{ /* Llib/avahi.scm 314 */
return 
((obj_t)
((BgL_avahizd2objectzd2_bglt)BgL_oz00_2709));} 

}



/* avahi-init */
BGL_EXPORTED_DEF obj_t BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt BgL_oz00_13)
{
{ /* Llib/avahi.scm 314 */
{ /* Llib/avahi.scm 314 */
 obj_t BgL_method1264z00_1201;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_res2302z00_1984;
{ /* Llib/avahi.scm 314 */
 long BgL_objzd2classzd2numz00_1955;
BgL_objzd2classzd2numz00_1955 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_13)); 
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1782z00_1956;
BgL_arg1782z00_1956 = 
PROCEDURE_REF(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, 
(int)(1L)); 
{ /* Llib/avahi.scm 314 */
 int BgL_offsetz00_1959;
BgL_offsetz00_1959 = 
(int)(BgL_objzd2classzd2numz00_1955); 
{ /* Llib/avahi.scm 314 */
 long BgL_offsetz00_1960;
BgL_offsetz00_1960 = 
(
(long)(BgL_offsetz00_1959)-OBJECT_TYPE); 
{ /* Llib/avahi.scm 314 */
 long BgL_modz00_1961;
BgL_modz00_1961 = 
(BgL_offsetz00_1960 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/avahi.scm 314 */
 long BgL_restz00_1963;
BgL_restz00_1963 = 
(BgL_offsetz00_1960 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/avahi.scm 314 */

{ /* Llib/avahi.scm 314 */
 obj_t BgL_bucketz00_1965;
BgL_bucketz00_1965 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_1956),BgL_modz00_1961); 
BgL_res2302z00_1984 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1965),BgL_restz00_1963); } } } } } } } } 
BgL_method1264z00_1201 = BgL_res2302z00_1984; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1264z00_1201))(BgL_method1264z00_1201, 
((obj_t)BgL_oz00_13), BEOA);} } 

}



/* &avahi-init */
obj_t BGl_z62avahizd2initzb0zz__avahi_avahiz00(obj_t BgL_envz00_2705, obj_t BgL_oz00_2706)
{
{ /* Llib/avahi.scm 314 */
{ /* Llib/avahi.scm 314 */
 BgL_avahizd2objectzd2_bglt BgL_auxz00_5863;
{ /* Llib/avahi.scm 314 */
 bool_t BgL_test3096z00_5864;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_classz00_3162;
BgL_classz00_3162 = BGl_avahizd2objectzd2zz__avahi_avahiz00; 
if(
BGL_OBJECTP(BgL_oz00_2706))
{ /* Llib/avahi.scm 314 */
 BgL_objectz00_bglt BgL_arg1780z00_3164; long BgL_arg1781z00_3165;
BgL_arg1780z00_3164 = 
(BgL_objectz00_bglt)(BgL_oz00_2706); 
BgL_arg1781z00_3165 = 
BGL_CLASS_DEPTH(BgL_classz00_3162); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 314 */
 long BgL_idxz00_3173;
BgL_idxz00_3173 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_3164); 
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1773z00_3174;
{ /* Llib/avahi.scm 314 */
 long BgL_arg1774z00_3175;
BgL_arg1774z00_3175 = 
(BgL_idxz00_3173+BgL_arg1781z00_3165); 
BgL_arg1773z00_3174 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_3175); } 
BgL_test3096z00_5864 = 
(BgL_arg1773z00_3174==BgL_classz00_3162); } }  else 
{ /* Llib/avahi.scm 314 */
 bool_t BgL_res2641z00_3198;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_oclassz00_3183;
{ /* Llib/avahi.scm 314 */
 long BgL_arg1785z00_3189;
{ /* Llib/avahi.scm 314 */
 long BgL_arg1786z00_3190;
BgL_arg1786z00_3190 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_3164); 
BgL_arg1785z00_3189 = 
(BgL_arg1786z00_3190-OBJECT_TYPE); } 
BgL_oclassz00_3183 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_3189); } 
{ /* Llib/avahi.scm 314 */
 bool_t BgL__ortest_1114z00_3184;
BgL__ortest_1114z00_3184 = 
(BgL_classz00_3162==BgL_oclassz00_3183); 
if(BgL__ortest_1114z00_3184)
{ /* Llib/avahi.scm 314 */
BgL_res2641z00_3198 = BgL__ortest_1114z00_3184; }  else 
{ /* Llib/avahi.scm 314 */
 long BgL_odepthz00_3185;
BgL_odepthz00_3185 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3183); 
if(
(BgL_arg1781z00_3165<BgL_odepthz00_3185))
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1775z00_3187;
BgL_arg1775z00_3187 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3183, BgL_arg1781z00_3165); 
BgL_res2641z00_3198 = 
(BgL_arg1775z00_3187==BgL_classz00_3162); }  else 
{ /* Llib/avahi.scm 314 */
BgL_res2641z00_3198 = ((bool_t)0); } } } } 
BgL_test3096z00_5864 = BgL_res2641z00_3198; } }  else 
{ /* Llib/avahi.scm 314 */
BgL_test3096z00_5864 = ((bool_t)0)
; } } 
if(BgL_test3096z00_5864)
{ /* Llib/avahi.scm 314 */
BgL_auxz00_5863 = 
((BgL_avahizd2objectzd2_bglt)BgL_oz00_2706)
; }  else 
{ 
 obj_t BgL_auxz00_5886;
BgL_auxz00_5886 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2391z00zz__avahi_avahiz00, 
BINT(13044L), BGl_string2618z00zz__avahi_avahiz00, BGl_string2619z00zz__avahi_avahiz00, BgL_oz00_2706); 
FAILURE(BgL_auxz00_5886,BFALSE,BFALSE);} } 
return 
BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_auxz00_5863);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_avahizd2clientzd2zz__avahi_avahiz00, BGl_proc2620z00zz__avahi_avahiz00, BGl_string2621z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_avahizd2pollzd2zz__avahi_avahiz00, BGl_proc2622z00zz__avahi_avahiz00, BGl_string2621z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00, BGl_proc2623z00zz__avahi_avahiz00, BGl_string2624z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00, BGl_proc2625z00zz__avahi_avahiz00, BGl_string2624z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2clientzd2zz__avahi_avahiz00, BGl_proc2626z00zz__avahi_avahiz00, BGl_string2624z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00, BGl_proc2627z00zz__avahi_avahiz00, BGl_string2624z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00, BGl_proc2628z00zz__avahi_avahiz00, BGl_string2624z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00, BGl_proc2629z00zz__avahi_avahiz00, BGl_string2624z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00, BGl_proc2630z00zz__avahi_avahiz00, BGl_string2624z00zz__avahi_avahiz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00, BGl_proc2631z00zz__avahi_avahiz00, BGl_string2624z00zz__avahi_avahiz00);} 

}



/* &avahi-init-avahi-ser1281 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1281zb0zz__avahi_avahiz00(obj_t BgL_envz00_2722, obj_t BgL_oz00_2723)
{
{ /* Llib/avahi.scm 732 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2723)))->BgL_procz00), 
(int)(12L)))
{ /* Llib/avahi.scm 734 */
{ /* Llib/avahi.scm 736 */
 BgL_avahizd2clientzd2_bglt BgL_i1192z00_3200;
BgL_i1192z00_3200 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2723)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_5908;
{ /* Llib/avahi.scm 737 */
 obj_t BgL_arg2288z00_3201;
BgL_arg2288z00_3201 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1192z00_3200))->BgL_resolversz00); 
BgL_auxz00_5908 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2723)), BgL_arg2288z00_3201); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1192z00_3200))->BgL_resolversz00)=((obj_t)BgL_auxz00_5908),BUNSPEC); } } 
{ /* Llib/avahi.scm 738 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_tmpz00_5914;
BgL_tmpz00_5914 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2723); 
bgl_avahi_service_resolver_new(BgL_tmpz00_5914); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 739 */
 obj_t BgL_arg2289z00_3202;
BgL_arg2289z00_3202 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2723)))->BgL_procz00); 
{ /* Llib/avahi.scm 739 */
 char * BgL_procz00_3203; char * BgL_msgz00_3204;
BgL_procz00_3203 = 
BSTRING_TO_STRING(BGl_string2441z00zz__avahi_avahiz00); 
BgL_msgz00_3204 = 
BSTRING_TO_STRING(BGl_string2408z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1297z00_3205;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3206;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3207;
BgL_new1142z00_3207 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1313z00_3208;
BgL_arg1313z00_3208 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3207), BgL_arg1313z00_3208); } 
BgL_new1143z00_3206 = BgL_new1142z00_3207; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3206)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3206)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5929;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1311z00_3209;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1312z00_3210;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3211;
BgL_classz00_3211 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1312z00_3210 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3211); } 
BgL_arg1311z00_3209 = 
VECTOR_REF(BgL_arg1312z00_3210,2L); } 
BgL_auxz00_5929 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1311z00_3209); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3206)))->BgL_stackz00)=((obj_t)BgL_auxz00_5929),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3206)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3203)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3206)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3204)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3206)))->BgL_objz00)=((obj_t)BgL_arg2289z00_3202),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3206))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1297z00_3205 = BgL_new1143z00_3206; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1297z00_3205));} } } } 

}



/* &avahi-init-avahi-dom1279 */
obj_t BGl_z62avahizd2initzd2avahizd2dom1279zb0zz__avahi_avahiz00(obj_t BgL_envz00_2724, obj_t BgL_oz00_2725)
{
{ /* Llib/avahi.scm 712 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2725)))->BgL_procz00), 
(int)(5L)))
{ /* Llib/avahi.scm 714 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3103z00_5951;
BgL_tmp3103z00_5951 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2725)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3103z00_5951; } 
{ /* Llib/avahi.scm 717 */
 obj_t BgL_arg2282z00_3213;
BgL_arg2282z00_3213 = 
BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2725)))->BgL_btypez00)); 
{ /* Llib/avahi.scm 717 */
 AvahiDomainBrowserType BgL_auxz00_5962; BgL_avahizd2domainzd2browserz00_bglt BgL_tmpz00_5960;
BgL_auxz00_5962 = 
(long)CINT(BgL_arg2282z00_3213); 
BgL_tmpz00_5960 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2725); 
bgl_avahi_domain_browser_new(BgL_tmpz00_5960, BgL_auxz00_5962); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 718 */
 obj_t BgL_arg2284z00_3214;
BgL_arg2284z00_3214 = 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2725)))->BgL_procz00); 
{ /* Llib/avahi.scm 718 */
 char * BgL_procz00_3215; char * BgL_msgz00_3216;
BgL_procz00_3215 = 
BSTRING_TO_STRING(BGl_string2439z00zz__avahi_avahiz00); 
BgL_msgz00_3216 = 
BSTRING_TO_STRING(BGl_string2408z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1297z00_3217;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3218;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3219;
BgL_new1142z00_3219 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1313z00_3220;
BgL_arg1313z00_3220 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3219), BgL_arg1313z00_3220); } 
BgL_new1143z00_3218 = BgL_new1142z00_3219; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3218)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3218)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5977;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1311z00_3221;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1312z00_3222;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3223;
BgL_classz00_3223 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1312z00_3222 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3223); } 
BgL_arg1311z00_3221 = 
VECTOR_REF(BgL_arg1312z00_3222,2L); } 
BgL_auxz00_5977 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1311z00_3221); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3218)))->BgL_stackz00)=((obj_t)BgL_auxz00_5977),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3218)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3215)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3218)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3216)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3218)))->BgL_objz00)=((obj_t)BgL_arg2284z00_3214),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3218))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1297z00_3217 = BgL_new1143z00_3218; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1297z00_3217));} } } } 

}



/* &avahi-init-avahi-ser1277 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1277zb0zz__avahi_avahiz00(obj_t BgL_envz00_2726, obj_t BgL_oz00_2727)
{
{ /* Llib/avahi.scm 692 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2727)))->BgL_procz00), 
(int)(7L)))
{ /* Llib/avahi.scm 694 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3105z00_5999;
BgL_tmp3105z00_5999 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2727)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3105z00_5999; } 
{ /* Llib/avahi.scm 697 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_tmpz00_6005;
BgL_tmpz00_6005 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2727); 
bgl_avahi_service_type_browser_new(BgL_tmpz00_6005); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 698 */
 obj_t BgL_arg2278z00_3225;
BgL_arg2278z00_3225 = 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2727)))->BgL_procz00); 
{ /* Llib/avahi.scm 698 */
 char * BgL_procz00_3226; char * BgL_msgz00_3227;
BgL_procz00_3226 = 
BSTRING_TO_STRING(BGl_string2632z00zz__avahi_avahiz00); 
BgL_msgz00_3227 = 
BSTRING_TO_STRING(BGl_string2408z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1297z00_3228;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3229;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3230;
BgL_new1142z00_3230 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1313z00_3231;
BgL_arg1313z00_3231 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3230), BgL_arg1313z00_3231); } 
BgL_new1143z00_3229 = BgL_new1142z00_3230; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3229)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3229)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6020;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1311z00_3232;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1312z00_3233;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3234;
BgL_classz00_3234 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1312z00_3233 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3234); } 
BgL_arg1311z00_3232 = 
VECTOR_REF(BgL_arg1312z00_3233,2L); } 
BgL_auxz00_6020 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1311z00_3232); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3229)))->BgL_stackz00)=((obj_t)BgL_auxz00_6020),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3229)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3226)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3229)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3227)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3229)))->BgL_objz00)=((obj_t)BgL_arg2278z00_3225),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3229))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1297z00_3228 = BgL_new1143z00_3229; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1297z00_3228));} } } } 

}



/* &avahi-init-avahi-ser1275 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1275zb0zz__avahi_avahiz00(obj_t BgL_envz00_2728, obj_t BgL_oz00_2729)
{
{ /* Llib/avahi.scm 669 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2729)))->BgL_procz00), 
(int)(8L)))
{ /* Llib/avahi.scm 671 */
{ /* Llib/avahi.scm 673 */
 BgL_avahizd2clientzd2_bglt BgL_i1186z00_3236;
BgL_i1186z00_3236 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2729)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_6044;
{ /* Llib/avahi.scm 674 */
 obj_t BgL_arg2273z00_3237;
BgL_arg2273z00_3237 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1186z00_3236))->BgL_z52browsersz52); 
BgL_auxz00_6044 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2729)), BgL_arg2273z00_3237); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1186z00_3236))->BgL_z52browsersz52)=((obj_t)BgL_auxz00_6044),BUNSPEC); } } 
{ /* Llib/avahi.scm 675 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_tmpz00_6050;
BgL_tmpz00_6050 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2729); 
bgl_avahi_service_browser_new(BgL_tmpz00_6050); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 676 */
 obj_t BgL_arg2274z00_3238;
BgL_arg2274z00_3238 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2729)))->BgL_procz00); 
{ /* Llib/avahi.scm 676 */
 char * BgL_procz00_3239; char * BgL_msgz00_3240;
BgL_procz00_3239 = 
BSTRING_TO_STRING(BGl_string2437z00zz__avahi_avahiz00); 
BgL_msgz00_3240 = 
BSTRING_TO_STRING(BGl_string2408z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1297z00_3241;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3242;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3243;
BgL_new1142z00_3243 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1313z00_3244;
BgL_arg1313z00_3244 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3243), BgL_arg1313z00_3244); } 
BgL_new1143z00_3242 = BgL_new1142z00_3243; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3242)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3242)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6065;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1311z00_3245;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1312z00_3246;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3247;
BgL_classz00_3247 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1312z00_3246 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3247); } 
BgL_arg1311z00_3245 = 
VECTOR_REF(BgL_arg1312z00_3246,2L); } 
BgL_auxz00_6065 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1311z00_3245); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3242)))->BgL_stackz00)=((obj_t)BgL_auxz00_6065),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3242)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3239)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3242)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3240)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3242)))->BgL_objz00)=((obj_t)BgL_arg2274z00_3238),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3242))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1297z00_3241 = BgL_new1143z00_3242; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1297z00_3241));} } } } 

}



/* &avahi-init-avahi-ent1272 */
obj_t BGl_z62avahizd2initzd2avahizd2ent1272zb0zz__avahi_avahiz00(obj_t BgL_envz00_2730, obj_t BgL_oz00_2731)
{
{ /* Llib/avahi.scm 522 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2731)))->BgL_procz00), 
(int)(2L)))
{ /* Llib/avahi.scm 524 */
{ /* Llib/avahi.scm 526 */
 BgL_avahizd2clientzd2_bglt BgL_i1160z00_3249;
BgL_i1160z00_3249 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2731)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_6089;
{ /* Llib/avahi.scm 527 */
 obj_t BgL_arg2268z00_3250;
BgL_arg2268z00_3250 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1160z00_3249))->BgL_z52groupsz52); 
BgL_auxz00_6089 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2731)), BgL_arg2268z00_3250); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1160z00_3249))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_6089),BUNSPEC); } } 
{ /* Llib/avahi.scm 528 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_tmpz00_6095;
BgL_tmpz00_6095 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2731); 
bgl_avahi_entry_group_new(BgL_tmpz00_6095); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 529 */
 obj_t BgL_arg2269z00_3251;
BgL_arg2269z00_3251 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2731)))->BgL_procz00); 
{ /* Llib/avahi.scm 529 */
 char * BgL_procz00_3252; char * BgL_msgz00_3253;
BgL_procz00_3252 = 
BSTRING_TO_STRING(BGl_string2426z00zz__avahi_avahiz00); 
BgL_msgz00_3253 = 
BSTRING_TO_STRING(BGl_string2408z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1297z00_3254;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3255;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3256;
BgL_new1142z00_3256 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1313z00_3257;
BgL_arg1313z00_3257 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3256), BgL_arg1313z00_3257); } 
BgL_new1143z00_3255 = BgL_new1142z00_3256; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3255)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3255)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6110;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1311z00_3258;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1312z00_3259;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3260;
BgL_classz00_3260 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1312z00_3259 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3260); } 
BgL_arg1311z00_3258 = 
VECTOR_REF(BgL_arg1312z00_3259,2L); } 
BgL_auxz00_6110 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1311z00_3258); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3255)))->BgL_stackz00)=((obj_t)BgL_auxz00_6110),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3255)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3252)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3255)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3253)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3255)))->BgL_objz00)=((obj_t)BgL_arg2269z00_3251),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3255))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1297z00_3254 = BgL_new1143z00_3255; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1297z00_3254));} } } } 

}



/* &avahi-init-avahi-cli1270 */
obj_t BGl_z62avahizd2initzd2avahizd2cli1270zb0zz__avahi_avahiz00(obj_t BgL_envz00_2732, obj_t BgL_oz00_2733)
{
{ /* Llib/avahi.scm 473 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2733)))->BgL_procz00), 
(int)(2L)))
{ /* Llib/avahi.scm 475 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3109z00_6132;
BgL_tmp3109z00_6132 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2733)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3109z00_6132; } 
{ /* Llib/avahi.scm 478 */
 BgL_avahizd2clientzd2_bglt BgL_tmpz00_6138;
BgL_tmpz00_6138 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2733); 
bgl_avahi_client_new(BgL_tmpz00_6138); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 479 */
 obj_t BgL_arg2264z00_3262;
BgL_arg2264z00_3262 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2733)))->BgL_procz00); 
{ /* Llib/avahi.scm 479 */
 char * BgL_procz00_3263; char * BgL_msgz00_3264;
BgL_procz00_3263 = 
BSTRING_TO_STRING(BGl_string2633z00zz__avahi_avahiz00); 
BgL_msgz00_3264 = 
BSTRING_TO_STRING(BGl_string2408z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1297z00_3265;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3266;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3267;
BgL_new1142z00_3267 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1313z00_3268;
BgL_arg1313z00_3268 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3267), BgL_arg1313z00_3268); } 
BgL_new1143z00_3266 = BgL_new1142z00_3267; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3266)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3266)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6153;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1311z00_3269;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1312z00_3270;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3271;
BgL_classz00_3271 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1312z00_3270 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3271); } 
BgL_arg1311z00_3269 = 
VECTOR_REF(BgL_arg1312z00_3270,2L); } 
BgL_auxz00_6153 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1311z00_3269); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3266)))->BgL_stackz00)=((obj_t)BgL_auxz00_6153),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3266)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3263)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3266)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3264)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3266)))->BgL_objz00)=((obj_t)BgL_arg2264z00_3262),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3266))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1297z00_3265 = BgL_new1143z00_3266; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1297z00_3265));} } } } 

}



/* &avahi-init-avahi-thr1268 */
obj_t BGl_z62avahizd2initzd2avahizd2thr1268zb0zz__avahi_avahiz00(obj_t BgL_envz00_2734, obj_t BgL_oz00_2735)
{
{ /* Llib/avahi.scm 411 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3110z00_6170;
BgL_tmp3110z00_6170 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2735)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3110z00_6170; } 
{ /* Llib/avahi.scm 413 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_tmpz00_6176;
BgL_tmpz00_6176 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2735); 
bgl_avahi_threaded_poll_new(BgL_tmpz00_6176); } BUNSPEC; 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2735))))->BgL_z42ctypez42)=((int)
(int)(2L)),BUNSPEC); 
BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00(); 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2735));} 

}



/* &avahi-init-avahi-sim1266 */
obj_t BGl_z62avahizd2initzd2avahizd2sim1266zb0zz__avahi_avahiz00(obj_t BgL_envz00_2736, obj_t BgL_oz00_2737)
{
{ /* Llib/avahi.scm 366 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3111z00_6186;
BgL_tmp3111z00_6186 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2737)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3111z00_6186; } 
{ /* Llib/avahi.scm 368 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_tmpz00_6192;
BgL_tmpz00_6192 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2737); 
bgl_avahi_simple_poll_new(BgL_tmpz00_6192); } BUNSPEC; 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2737))))->BgL_z42ctypez42)=((int)
(int)(1L)),BUNSPEC); 
return 
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2737));} 

}



/* &object-display-avahi1262 */
obj_t BGl_z62objectzd2displayzd2avahi1262z62zz__avahi_avahiz00(obj_t BgL_envz00_2738, obj_t BgL_oz00_2739, obj_t BgL_portz00_2740)
{
{ /* Llib/avahi.scm 219 */
{ /* Llib/avahi.scm 220 */
 obj_t BgL_arg2255z00_3275;
if(
NULLP(BgL_portz00_2740))
{ /* Llib/avahi.scm 220 */
 obj_t BgL_tmpz00_6203;
BgL_tmpz00_6203 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2255z00_3275 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6203); }  else 
{ /* Llib/avahi.scm 220 */
BgL_arg2255z00_3275 = 
CAR(
((obj_t)BgL_portz00_2740)); } 
{ /* Llib/avahi.scm 222 */
 obj_t BgL_zc3z04anonymousza32258ze3z87_3276;
BgL_zc3z04anonymousza32258ze3z87_3276 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32258ze3ze5zz__avahi_avahiz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32258ze3z87_3276, 
(int)(0L), 
((obj_t)
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2739))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg2255z00_3275, BgL_zc3z04anonymousza32258ze3z87_3276);} } } 

}



/* &<@anonymous:2258> */
obj_t BGl_z62zc3z04anonymousza32258ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2741)
{
{ /* Llib/avahi.scm 221 */
{ /* Llib/avahi.scm 222 */
 BgL_avahizd2pollzd2_bglt BgL_oz00_2742;
BgL_oz00_2742 = 
((BgL_avahizd2pollzd2_bglt)
PROCEDURE_REF(BgL_envz00_2741, 
(int)(0L))); 
{ /* Llib/avahi.scm 222 */
 obj_t BgL_port1232z00_3277;
{ /* Llib/avahi.scm 222 */
 obj_t BgL_tmpz00_6219;
BgL_tmpz00_6219 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1232z00_3277 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6219); } 
bgl_display_string(BGl_string2634z00zz__avahi_avahiz00, BgL_port1232z00_3277); 
{ /* Llib/avahi.scm 222 */
 obj_t BgL_arg2259z00_3278;
{ /* Llib/avahi.scm 222 */
 obj_t BgL_arg2260z00_3279;
{ /* Llib/avahi.scm 222 */
 long BgL_arg1785z00_3280;
{ /* Llib/avahi.scm 222 */
 long BgL_arg1786z00_3281;
BgL_arg1786z00_3281 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_2742)); 
BgL_arg1785z00_3280 = 
(BgL_arg1786z00_3281-OBJECT_TYPE); } 
BgL_arg2260z00_3279 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_3280); } 
BgL_arg2259z00_3278 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg2260z00_3279); } 
bgl_display_obj(BgL_arg2259z00_3278, BgL_port1232z00_3277); } 
bgl_display_string(BGl_string2635z00zz__avahi_avahiz00, BgL_port1232z00_3277); 
return 
bgl_display_char(((unsigned char)10), BgL_port1232z00_3277);} } } 

}



/* &object-display-avahi1260 */
obj_t BGl_z62objectzd2displayzd2avahi1260z62zz__avahi_avahiz00(obj_t BgL_envz00_2743, obj_t BgL_oz00_2744, obj_t BgL_portz00_2745)
{
{ /* Llib/avahi.scm 210 */
{ /* Llib/avahi.scm 211 */
 obj_t BgL_arg2247z00_3283;
if(
NULLP(BgL_portz00_2745))
{ /* Llib/avahi.scm 211 */
 obj_t BgL_tmpz00_6233;
BgL_tmpz00_6233 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2247z00_3283 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6233); }  else 
{ /* Llib/avahi.scm 211 */
BgL_arg2247z00_3283 = 
CAR(
((obj_t)BgL_portz00_2745)); } 
{ /* Llib/avahi.scm 213 */
 obj_t BgL_zc3z04anonymousza32250ze3z87_3284;
BgL_zc3z04anonymousza32250ze3z87_3284 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32250ze3ze5zz__avahi_avahiz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32250ze3z87_3284, 
(int)(0L), 
((obj_t)
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2744))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg2247z00_3283, BgL_zc3z04anonymousza32250ze3z87_3284);} } } 

}



/* &<@anonymous:2250> */
obj_t BGl_z62zc3z04anonymousza32250ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2746)
{
{ /* Llib/avahi.scm 212 */
{ /* Llib/avahi.scm 214 */
 BgL_avahizd2clientzd2_bglt BgL_oz00_2747;
BgL_oz00_2747 = 
((BgL_avahizd2clientzd2_bglt)
PROCEDURE_REF(BgL_envz00_2746, 
(int)(0L))); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_port1231z00_3285;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_tmpz00_6249;
BgL_tmpz00_6249 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1231z00_3285 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6249); } 
bgl_display_string(BGl_string2636z00zz__avahi_avahiz00, BgL_port1231z00_3285); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg2251z00_3286;
BgL_arg2251z00_3286 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2747), 
(int)(4L)); 
bgl_display_obj(BgL_arg2251z00_3286, BgL_port1231z00_3285); } 
bgl_display_string(BGl_string2637z00zz__avahi_avahiz00, BgL_port1231z00_3285); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg2252z00_3287;
BgL_arg2252z00_3287 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2747), 
(int)(1L)); 
bgl_display_obj(BgL_arg2252z00_3287, BgL_port1231z00_3285); } 
bgl_display_string(BGl_string2638z00zz__avahi_avahiz00, BgL_port1231z00_3285); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg2253z00_3288;
BgL_arg2253z00_3288 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2747), 
(int)(2L)); 
bgl_display_obj(BgL_arg2253z00_3288, BgL_port1231z00_3285); } 
return 
bgl_display_char(((unsigned char)10), BgL_port1231z00_3285);} } } 

}

#ifdef __cplusplus
}
#endif
