/*===========================================================================*/
/*   (Llib/mpc.scm)                                                          */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -unsafe -safee -copt -fPIC -copt -IUnix Llib/mpc.scm -o objs/mpc.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL___MULTIMEDIAzd2MPCzd2_TYPE_DEFINITIONS
#define BGL_BgL___MULTIMEDIAzd2MPCzd2_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z62iozd2parsezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2parsezd2errorz62_bglt;

typedef struct BgL_z62iozd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2errorzb0_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_mpcz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_helloz00;
   obj_t BgL_hostz00;
   obj_t BgL_portz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_prefixz00;
   bool_t BgL_z52closedz52;
   obj_t BgL_z52mpdz52;
   obj_t BgL_z52socketz52;
   int BgL_z52playidz52;
   obj_t BgL_z52mmutexz52;
} *BgL_mpcz00_bglt;


#endif // BGL_BgL___MULTIMEDIAzd2MPCzd2_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62zc3z04anonymousza34438ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62musiczd2volumezd2setz12zd2mp1655za2zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static long BGl__c_z00zz__multimediazd2mpczd2;
static obj_t BGl_z62musiczd2playzd2mpc1635z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2mpczd2 = BUNSPEC;
static obj_t BGl_z62musiczd2resetz12zd2mpc1617z70zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza35193ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62musiczd2timezd2parserz62zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_z62musiczd2songzd2mpc1629z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2mpczd2(void);
BGL_IMPORT obj_t BGl_withzd2timedzd2lockz00zz__threadz00(obj_t, int, obj_t);
static obj_t BGl_z62musiczd2metazd2mpc1633z62zz__multimediazd2mpczd2(obj_t, obj_t);
static BgL_mpcz00_bglt BGl_z62lambda3913z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_mpcz00_bglt BGl_z62lambda3916z62zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62musiczd2playlistzd2getzd2m1619zb0zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2songzd2parserz62zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62musiczd2randomzd2setz12zd2mp1649za2zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33932ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62lambda3923z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3924z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62iozd2parsezd2errorz62zz__objectz00;
static obj_t BGl_genericzd2initzd2zz__multimediazd2mpczd2(void);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t rgc_buffer_subsymbol(obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza33925ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62lambda3930z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3931z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__multimediazd2mpczd2(void);
static obj_t BGl_z62zc3z04anonymousza35189ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62lambda3937z62zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62lambda3938z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
extern bool_t BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza33918ze3ze5zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3944z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3945z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_handler1106ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt, BgL_mpcz00_bglt, obj_t);
static obj_t BGl_z62decoderzd2parserzb0zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
static obj_t BGl_z62lambda3951z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2stopzd2mpc1639z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3952z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda3958z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3959z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_zc3z04exitza32456ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33960ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62lambda3965z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3966z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
static obj_t BGl_zc3z04exitza34005ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_z62musiczd2prevzd2mpc1645z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2resetzd2errorz12zd2m1611za2zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bgl_input_port_timeout_set(obj_t, long);
static obj_t BGl_z62zc3z04anonymousza33953ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62currentsongzd2parserzb0zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
static obj_t BGl_z62lambda3972z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3973z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_mpcz00zz__multimediazd2mpczd2 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__multimediazd2mpczd2(void);
static obj_t BGl_z62lambda3979z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62getzd2volumezd2parserz62zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
BGL_IMPORT obj_t BGl_withzd2errorzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33946ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62lambda3980z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda3986z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62lambda3987z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_bglt, BgL_musicstatusz00_bglt, obj_t);
static obj_t BGl_handler1142ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt, BgL_mpcz00_bglt, long, obj_t, obj_t, obj_t);
static obj_t BGl_handler1125ze70ze7zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza33939ze3ze5zz__multimediazd2mpczd2(obj_t);
static bool_t BGl_execz00zz__multimediazd2mpczd2(BgL_mpcz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza35011ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza35003ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62musiczd2nextzd2mpc1643z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza34952ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t rgc_buffer_keyword(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_zc3z04exitza35013ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza33981ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza34767ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza34929ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62playlistzd2parserzb0zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
static obj_t BGl_z62musiczd2playlistzd2addz12zd21621za2zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static BgL_musicstatusz00_bglt BGl_z62musiczd2statuszd2mpc1627z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2seekzd2mpc1637z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33974ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62musiczd2repeatzd2setz12zd2mp1651za2zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33967ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_zc3z04exitza32422ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza35007ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
static obj_t BGl_zc3z04exitza34769ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza34964ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62musiczd2closedzf3zd2mpc1615z91zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT void bgl_sleep(long);
BGL_IMPORT bool_t rgc_buffer_bol_p(obj_t);
static obj_t BGl_ignoreze70ze7zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_zc3z04exitza34966ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt, BgL_mpcz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mpczd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t, int, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62musiczd2closezd2mpc1613z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62musiczd2playlistzd2delet1623z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza34215ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza34990ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_musicz00zz__multimediazd2musiczd2;
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62musiczd2canzd2playzd2typezf31657z43zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62musiczd2pausezd2mpc1641z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza34241ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
static bool_t BGl_debugzd2mpczd2zz__multimediazd2mpczd2;
static obj_t BGl_cnstzd2initzd2zz__multimediazd2mpczd2(void);
static obj_t BGl_z62okzd2parserzb0zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpczd2(void);
static obj_t BGl_z62zc3z04anonymousza33988ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2 = BUNSPEC;
static obj_t BGl_z62statuszd2parserzb0zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt);
static obj_t BGl_z62musiczd2playlistzd2clear1625z62zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2mpczd2(void);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mpczd2(void);
static obj_t BGl_z62zc3z04anonymousza34234ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_z62iozd2errorzb0zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza34993ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza34985ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t socket_close(obj_t);
BGL_IMPORT bool_t bigloo_strcmp_at(obj_t, obj_t, long);
static obj_t BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(obj_t, obj_t);
BGL_IMPORT long rgc_buffer_fixnum(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62musiczd2crossfadezd2mpc1647z62zz__multimediazd2mpczd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza34237ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza34229ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62musiczd2volumezd2getzd2mpc1653zb0zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza34996ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musicstatusz00zz__multimediazd2musiczd2;
static obj_t BGl_loopze70ze7zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, BgL_musicstatusz00_bglt, BgL_mpcz00_bglt);
BGL_IMPORT bool_t BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32555ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32393ze3ze5zz__multimediazd2mpczd2(obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
static obj_t BGl_z62zc3z04anonymousza34999ze3ze5zz__multimediazd2mpczd2(obj_t);
static obj_t BGl_retryze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt, obj_t, BgL_mpcz00_bglt, obj_t, long);
static obj_t BGl_zc3z04exitza32507ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_musiczd2updatezd2statuszd2sanszd2lockz12z12zz__multimediazd2mpczd2(BgL_mpcz00_bglt, BgL_musicstatusz00_bglt);
static obj_t BGl_zc3z04exitza34243ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_z62musiczd2songposzd2mpc1631z62zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t BGl_zc3z04exitza34440ze3ze70z60zz__multimediazd2mpczd2(obj_t, BgL_mpcz00_bglt, obj_t, obj_t);
static obj_t BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(obj_t, obj_t);
static obj_t __cnst[ 54 ] ;


extern obj_t BGl_musiczd2closedzf3zd2envzf3zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2volumezd2getzd2envzd2zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2playlistzd2getzd2envzd2zz__multimediazd2musiczd2;
DEFINE_BGL_L_PROCEDURE(BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2, BgL_bgl_za762okza7d2parserza7b5439za7, BGl_z62okzd2parserzb0zz__multimediazd2mpczd2 );
extern obj_t BGl_musiczd2repeatzd2setz12zd2envzc0zz__multimediazd2musiczd2;
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string5300z00zz__multimediazd2mpczd2, BgL_bgl_string5300za700za7za7_5440za7, "Illegal range `~a'", 18 );
DEFINE_STRING( BGl_string5301z00zz__multimediazd2mpczd2, BgL_bgl_string5301za700za7za7_5441za7, "the-substring", 13 );
DEFINE_STRING( BGl_string5302z00zz__multimediazd2mpczd2, BgL_bgl_string5302za700za7za7_5442za7, "~a:~a unreachable", 17 );
DEFINE_STRING( BGl_string5303z00zz__multimediazd2mpczd2, BgL_bgl_string5303za700za7za7_5443za7, "OK MPD", 6 );
DEFINE_STRING( BGl_string5304z00zz__multimediazd2mpczd2, BgL_bgl_string5304za700za7za7_5444za7, "Illegal MPC acknowledge: ~a", 27 );
DEFINE_STRING( BGl_string5305z00zz__multimediazd2mpczd2, BgL_bgl_string5305za700za7za7_5445za7, " -> ", 4 );
DEFINE_STRING( BGl_string5306z00zz__multimediazd2mpczd2, BgL_bgl_string5306za700za7za7_5446za7, " cmd=", 5 );
DEFINE_STRING( BGl_string5307z00zz__multimediazd2mpczd2, BgL_bgl_string5307za700za7za7_5447za7, "), count=", 9 );
DEFINE_STRING( BGl_string5308z00zz__multimediazd2mpczd2, BgL_bgl_string5308za700za7za7_5448za7, "exec error (", 12 );
DEFINE_STRING( BGl_string5309z00zz__multimediazd2mpczd2, BgL_bgl_string5309za700za7za7_5449za7, ":", 1 );
extern obj_t BGl_musiczd2resetz12zd2envz12zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string5310z00zz__multimediazd2mpczd2, BgL_bgl_string5310za700za7za7_5450za7, ",", 1 );
DEFINE_STRING( BGl_string5311z00zz__multimediazd2mpczd2, BgL_bgl_string5311za700za7za7_5451za7, "Llib/mpc.scm", 12 );
DEFINE_STRING( BGl_string5312z00zz__multimediazd2mpczd2, BgL_bgl_string5312za700za7za7_5452za7, "#<eof-object>", 13 );
DEFINE_STRING( BGl_string5313z00zz__multimediazd2mpczd2, BgL_bgl_string5313za700za7za7_5453za7, "}", 1 );
DEFINE_STRING( BGl_string5314z00zz__multimediazd2mpczd2, BgL_bgl_string5314za700za7za7_5454za7, "{", 1 );
DEFINE_STRING( BGl_string5315z00zz__multimediazd2mpczd2, BgL_bgl_string5315za700za7za7_5455za7, "OK", 2 );
DEFINE_STRING( BGl_string5316z00zz__multimediazd2mpczd2, BgL_bgl_string5316za700za7za7_5456za7, "status", 6 );
DEFINE_STRING( BGl_string5317z00zz__multimediazd2mpczd2, BgL_bgl_string5317za700za7za7_5457za7, "Illegal khz", 11 );
DEFINE_STRING( BGl_string5318z00zz__multimediazd2mpczd2, BgL_bgl_string5318za700za7za7_5458za7, "the-subsymbol", 13 );
DEFINE_STRING( BGl_string5319z00zz__multimediazd2mpczd2, BgL_bgl_string5319za700za7za7_5459za7, "Illegal range", 13 );
extern obj_t BGl_musiczd2metazd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2songposzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2playzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2songzd2envz00zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string5400z00zz__multimediazd2mpczd2, BgL_bgl_string5400za700za7za7_5460za7, "music-volume-get", 16 );
DEFINE_STRING( BGl_string5320z00zz__multimediazd2mpczd2, BgL_bgl_string5320za700za7za7_5461za7, "Illegal end-of-file", 19 );
DEFINE_STRING( BGl_string5402z00zz__multimediazd2mpczd2, BgL_bgl_string5402za700za7za7_5462za7, "music-volume-set!", 17 );
DEFINE_STRING( BGl_string5321z00zz__multimediazd2mpczd2, BgL_bgl_string5321za700za7za7_5463za7, "Parsing error", 13 );
DEFINE_STRING( BGl_string5404z00zz__multimediazd2mpczd2, BgL_bgl_string5404za700za7za7_5464za7, "music-can-play-type?", 20 );
DEFINE_STRING( BGl_string5405z00zz__multimediazd2mpczd2, BgL_bgl_string5405za700za7za7_5465za7, "decoders", 8 );
DEFINE_STRING( BGl_string5406z00zz__multimediazd2mpczd2, BgL_bgl_string5406za700za7za7_5466za7, "mime_type: ", 11 );
DEFINE_STRING( BGl_string5407z00zz__multimediazd2mpczd2, BgL_bgl_string5407za700za7za7_5467za7, "setvol ", 7 );
DEFINE_STRING( BGl_string5409z00zz__multimediazd2mpczd2, BgL_bgl_string5409za700za7za7_5468za7, "Illegal status", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5401z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2volum5469z00, BGl_z62musiczd2volumezd2setz12zd2mp1655za2zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5403z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2canza7d5470za7, BGl_z62musiczd2canzd2playzd2typezf31657z43zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5322z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5471za7, BGl_z62zc3z04anonymousza33925ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5410z00zz__multimediazd2mpczd2, BgL_bgl_string5410za700za7za7_5472za7, "repeat 0", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5323z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3924za7625473z00, BGl_z62lambda3924z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5411z00zz__multimediazd2mpczd2, BgL_bgl_string5411za700za7za7_5474za7, "random 0", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5324z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3923za7625475z00, BGl_z62lambda3923z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5412z00zz__multimediazd2mpczd2, BgL_bgl_string5412za700za7za7_5476za7, "crossfade ", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5325z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5477za7, BGl_z62zc3z04anonymousza33932ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5413z00zz__multimediazd2mpczd2, BgL_bgl_string5413za700za7za7_5478za7, "previous", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5326z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3931za7625479z00, BGl_z62lambda3931z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5414z00zz__multimediazd2mpczd2, BgL_bgl_string5414za700za7za7_5480za7, "next", 4 );
DEFINE_BGL_L_PROCEDURE(BGl_proc5408z00zz__multimediazd2mpczd2, BgL_bgl_za762getza7d2volumeza75481za7, BGl_z62getzd2volumezd2parserz62zz__multimediazd2mpczd2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5327z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3930za7625482z00, BGl_z62lambda3930z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5415z00zz__multimediazd2mpczd2, BgL_bgl_string5415za700za7za7_5483za7, "pause", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5328z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5484za7, BGl_z62zc3z04anonymousza33939ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5416z00zz__multimediazd2mpczd2, BgL_bgl_string5416za700za7za7_5485za7, "stop", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5329z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3938za7625486z00, BGl_z62lambda3938z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5417z00zz__multimediazd2mpczd2, BgL_bgl_string5417za700za7za7_5487za7, "clearerror", 10 );
DEFINE_STRING( BGl_string5418z00zz__multimediazd2mpczd2, BgL_bgl_string5418za700za7za7_5488za7, "seek ~a ~a", 10 );
DEFINE_STRING( BGl_string5419z00zz__multimediazd2mpczd2, BgL_bgl_string5419za700za7za7_5489za7, "play", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5330z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3937za7625490z00, BGl_z62lambda3937z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5331z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5491za7, BGl_z62zc3z04anonymousza33946ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5332z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3945za7625492z00, BGl_z62lambda3945z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5420z00zz__multimediazd2mpczd2, BgL_bgl_string5420za700za7za7_5493za7, "play ~a", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5333z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3944za7625494z00, BGl_z62lambda3944z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5334z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5495za7, BGl_z62zc3z04anonymousza33953ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5422z00zz__multimediazd2mpczd2, BgL_bgl_string5422za700za7za7_5496za7, "currentsong", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5335z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3952za7625497z00, BGl_z62lambda3952z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5336z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3951za7625498z00, BGl_z62lambda3951z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5337z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5499za7, BGl_z62zc3z04anonymousza33960ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5425z00zz__multimediazd2mpczd2, BgL_bgl_string5425za700za7za7_5500za7, "Illegal song status", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5338z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3959za7625501z00, BGl_z62lambda3959z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_musiczd2canzd2playzd2typezf3zd2envzf3zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string5426z00zz__multimediazd2mpczd2, BgL_bgl_string5426za700za7za7_5502za7, "clear", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5339z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3958za7625503z00, BGl_z62lambda3958z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5427z00zz__multimediazd2mpczd2, BgL_bgl_string5427za700za7za7_5504za7, "delete ", 7 );
DEFINE_STRING( BGl_string5428z00zz__multimediazd2mpczd2, BgL_bgl_string5428za700za7za7_5505za7, "add \"", 5 );
DEFINE_STRING( BGl_string5429z00zz__multimediazd2mpczd2, BgL_bgl_string5429za700za7za7_5506za7, "\"", 1 );
DEFINE_BGL_L_PROCEDURE(BGl_proc5421z00zz__multimediazd2mpczd2, BgL_bgl_za762currentsongza7d5507z00, BGl_z62currentsongzd2parserzb0zz__multimediazd2mpczd2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5340z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5508za7, BGl_z62zc3z04anonymousza33967ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5341z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3966za7625509z00, BGl_z62lambda3966z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_BGL_L_PROCEDURE(BGl_proc5423z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2timeza75510za7, BGl_z62musiczd2timezd2parserz62zz__multimediazd2mpczd2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5342z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3965za7625511z00, BGl_z62lambda3965z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5430z00zz__multimediazd2mpczd2, BgL_bgl_string5430za700za7za7_5512za7, "playlist", 8 );
DEFINE_BGL_L_PROCEDURE(BGl_proc5424z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2songza75513za7, BGl_z62musiczd2songzd2parserz62zz__multimediazd2mpczd2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5343z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5514za7, BGl_z62zc3z04anonymousza33974ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5431z00zz__multimediazd2mpczd2, BgL_bgl_string5431za700za7za7_5515za7, "http:", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5344z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3973za7625516z00, BGl_z62lambda3973z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5432z00zz__multimediazd2mpczd2, BgL_bgl_string5432za700za7za7_5517za7, "https:", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5345z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3972za7625518z00, BGl_z62lambda3972z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5433z00zz__multimediazd2mpczd2, BgL_bgl_string5433za700za7za7_5519za7, "Illegal playlist value", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5346z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5520za7, BGl_z62zc3z04anonymousza33981ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5434z00zz__multimediazd2mpczd2, BgL_bgl_string5434za700za7za7_5521za7, "ACK", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5347z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3980za7625522z00, BGl_z62lambda3980z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5435z00zz__multimediazd2mpczd2, BgL_bgl_string5435za700za7za7_5523za7, "close", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5348z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3979za7625524z00, BGl_z62lambda3979z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5436z00zz__multimediazd2mpczd2, BgL_bgl_string5436za700za7za7_5525za7, "__multimedia-mpc", 16 );
DEFINE_STRING( BGl_string5355z00zz__multimediazd2mpczd2, BgL_bgl_string5355za700za7za7_5526za7, "mpd", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5349z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5527za7, BGl_z62zc3z04anonymousza33988ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5437z00zz__multimediazd2mpczd2, BgL_bgl_string5437za700za7za7_5528za7, "mpc-playlist-get :Time :track :Track :pos :Pos :id :Id :name :Name :title :Title :file mpc-time ended play playlist stop ok mpc-volume __multimedia-mpc mutex %mmutex int %playid %socket %mpd bool %closed prefix timeout port host obj hello :song :songid :state :time :volume :playlistlength :playlist :error :bitrate :audio :xfade :random :repeat eof mpc-song inet mpc-cmpd error mpc ", 383 );
DEFINE_STRING( BGl_string5356z00zz__multimediazd2mpczd2, BgL_bgl_string5356za700za7za7_5529za7, "localhost", 9 );
DEFINE_STRING( BGl_string5358z00zz__multimediazd2mpczd2, BgL_bgl_string5358za700za7za7_5530za7, "music-reset-error!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5350z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3987za7625531z00, BGl_z62lambda3987z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5351z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3986za7625532z00, BGl_z62lambda3986z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5352z00zz__multimediazd2mpczd2, BgL_bgl_za762za7c3za704anonymo5533za7, BGl_z62zc3z04anonymousza33918ze3ze5zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5353z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3916za7625534z00, BGl_z62lambda3916z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5360z00zz__multimediazd2mpczd2, BgL_bgl_string5360za700za7za7_5535za7, "music-close", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5354z00zz__multimediazd2mpczd2, BgL_bgl_za762lambda3913za7625536z00, BGl_z62lambda3913z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 16 );
DEFINE_STRING( BGl_string5362z00zz__multimediazd2mpczd2, BgL_bgl_string5362za700za7za7_5537za7, "music-closed?", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5357z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2reset5538z00, BGl_z62musiczd2resetzd2errorz12zd2m1611za2zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5364z00zz__multimediazd2mpczd2, BgL_bgl_string5364za700za7za7_5539za7, "music-reset!", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5359z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2close5540z00, BGl_z62musiczd2closezd2mpc1613z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5366z00zz__multimediazd2mpczd2, BgL_bgl_string5366za700za7za7_5541za7, "music-playlist-get", 18 );
extern obj_t BGl_musiczd2playlistzd2clearz12zd2envzc0zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string5368z00zz__multimediazd2mpczd2, BgL_bgl_string5368za700za7za7_5542za7, "music-playlist-add!", 19 );
extern obj_t BGl_musiczd2playlistzd2deletez12zd2envzc0zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5361z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2close5543z00, BGl_z62musiczd2closedzf3zd2mpc1615z91zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5363z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2reset5544z00, BGl_z62musiczd2resetz12zd2mpc1617z70zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5370z00zz__multimediazd2mpczd2, BgL_bgl_string5370za700za7za7_5545za7, "music-playlist-delete!", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5365z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2playl5546z00, BGl_z62musiczd2playlistzd2getzd2m1619zb0zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5372z00zz__multimediazd2mpczd2, BgL_bgl_string5372za700za7za7_5547za7, "music-playlist-clear!", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5367z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2playl5548z00, BGl_z62musiczd2playlistzd2addz12zd21621za2zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5374z00zz__multimediazd2mpczd2, BgL_bgl_string5374za700za7za7_5549za7, "music-status", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5369z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2playl5550z00, BGl_z62musiczd2playlistzd2delet1623z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5376z00zz__multimediazd2mpczd2, BgL_bgl_string5376za700za7za7_5551za7, "music-song", 10 );
DEFINE_STRING( BGl_string5295z00zz__multimediazd2mpczd2, BgL_bgl_string5295za700za7za7_5552za7, "Illegal integer", 15 );
DEFINE_STRING( BGl_string5296z00zz__multimediazd2mpczd2, BgL_bgl_string5296za700za7za7_5553za7, "regular-grammar", 15 );
DEFINE_STRING( BGl_string5378z00zz__multimediazd2mpczd2, BgL_bgl_string5378za700za7za7_5554za7, "music-songpos::int", 18 );
DEFINE_STRING( BGl_string5297z00zz__multimediazd2mpczd2, BgL_bgl_string5297za700za7za7_5555za7, "Illegal match", 13 );
DEFINE_STRING( BGl_string5298z00zz__multimediazd2mpczd2, BgL_bgl_string5298za700za7za7_5556za7, "Illegal ignore value", 20 );
DEFINE_STRING( BGl_string5299z00zz__multimediazd2mpczd2, BgL_bgl_string5299za700za7za7_5557za7, "Illegal string value", 20 );
extern obj_t BGl_musiczd2resetzd2errorz12zd2envzc0zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5371z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2playl5558z00, BGl_z62musiczd2playlistzd2clear1625z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5373z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2statu5559z00, BGl_z62musiczd2statuszd2mpc1627z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5380z00zz__multimediazd2mpczd2, BgL_bgl_string5380za700za7za7_5560za7, "music-meta", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5375z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2songza75561za7, BGl_z62musiczd2songzd2mpc1629z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5382z00zz__multimediazd2mpczd2, BgL_bgl_string5382za700za7za7_5562za7, "music-play", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5377z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2songp5563z00, BGl_z62musiczd2songposzd2mpc1631z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5384z00zz__multimediazd2mpczd2, BgL_bgl_string5384za700za7za7_5564za7, "music-seek", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5379z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2metaza75565za7, BGl_z62musiczd2metazd2mpc1633z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_musiczd2seekzd2envz00zz__multimediazd2musiczd2;
DEFINE_STRING( BGl_string5386z00zz__multimediazd2mpczd2, BgL_bgl_string5386za700za7za7_5566za7, "music-stop", 10 );
DEFINE_STRING( BGl_string5388z00zz__multimediazd2mpczd2, BgL_bgl_string5388za700za7za7_5567za7, "music-pause", 11 );
extern obj_t BGl_musiczd2nextzd2envz00zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5381z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2playza75568za7, va_generic_entry, BGl_z62musiczd2playzd2mpc1635z62zz__multimediazd2mpczd2, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5383z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2seekza75569za7, va_generic_entry, BGl_z62musiczd2seekzd2mpc1637z62zz__multimediazd2mpczd2, BUNSPEC, -3 );
DEFINE_STRING( BGl_string5390z00zz__multimediazd2mpczd2, BgL_bgl_string5390za700za7za7_5570za7, "music-next", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5385z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2stopza75571za7, BGl_z62musiczd2stopzd2mpc1639z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5392z00zz__multimediazd2mpczd2, BgL_bgl_string5392za700za7za7_5572za7, "music-prev", 10 );
extern obj_t BGl_musiczd2stopzd2envz00zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5387z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2pause5573z00, BGl_z62musiczd2pausezd2mpc1641z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5394z00zz__multimediazd2mpczd2, BgL_bgl_string5394za700za7za7_5574za7, "music-crossfade", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5389z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2nextza75575za7, BGl_z62musiczd2nextzd2mpc1643z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5396z00zz__multimediazd2mpczd2, BgL_bgl_string5396za700za7za7_5576za7, "music-random-set!", 17 );
DEFINE_STRING( BGl_string5398z00zz__multimediazd2mpczd2, BgL_bgl_string5398za700za7za7_5577za7, "music-repeat-set!", 17 );
extern obj_t BGl_musiczd2volumezd2setz12zd2envzc0zz__multimediazd2musiczd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5391z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2prevza75578za7, BGl_z62musiczd2prevzd2mpc1645z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5393z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2cross5579z00, BGl_z62musiczd2crossfadezd2mpc1647z62zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5395z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2rando5580z00, BGl_z62musiczd2randomzd2setz12zd2mp1649za2zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5397z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2repea5581z00, BGl_z62musiczd2repeatzd2setz12zd2mp1651za2zz__multimediazd2mpczd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5399z00zz__multimediazd2mpczd2, BgL_bgl_za762musicza7d2volum5582z00, BGl_z62musiczd2volumezd2getzd2mpc1653zb0zz__multimediazd2mpczd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_musiczd2crossfadezd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2statuszd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2prevzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2pausezd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2playlistzd2addz12zd2envzc0zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2initzd2envz00zz__multimediazd2musiczd2;
extern obj_t BGl_musiczd2randomzd2setz12zd2envzc0zz__multimediazd2musiczd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2mpczd2) );
ADD_ROOT( (void *)(&BGl_mpcz00zz__multimediazd2mpczd2) );
ADD_ROOT( (void *)(&BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2) );
ADD_ROOT( (void *)(&BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2) );
ADD_ROOT( (void *)(&BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mpczd2(long BgL_checksumz00_12305, char * BgL_fromz00_12306)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2mpczd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2mpczd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2mpczd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpczd2(); 
BGl_cnstzd2initzd2zz__multimediazd2mpczd2(); 
BGl_importedzd2moduleszd2initz00zz__multimediazd2mpczd2(); 
BGl_objectzd2initzd2zz__multimediazd2mpczd2(); 
BGl_methodzd2initzd2zz__multimediazd2mpczd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2mpczd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpczd2(void)
{
{ /* Llib/mpc.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__socketz00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__datez00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__osz00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__multimedia-mpc"); 
BGl_modulezd2initializa7ationz75zz__rgcz00(0L, "__multimedia-mpc"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2mpczd2(void)
{
{ /* Llib/mpc.scm 15 */
{ /* Llib/mpc.scm 15 */
 obj_t BgL_cportz00_10597;
{ /* Llib/mpc.scm 15 */
 obj_t BgL_stringz00_10604;
BgL_stringz00_10604 = BGl_string5437z00zz__multimediazd2mpczd2; 
{ /* Llib/mpc.scm 15 */
 obj_t BgL_startz00_10605;
BgL_startz00_10605 = 
BINT(0L); 
{ /* Llib/mpc.scm 15 */
 obj_t BgL_endz00_10606;
BgL_endz00_10606 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_10604))); 
{ /* Llib/mpc.scm 15 */

BgL_cportz00_10597 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_10604, BgL_startz00_10605, BgL_endz00_10606); } } } } 
{ 
 long BgL_iz00_10598;
BgL_iz00_10598 = 53L; 
BgL_loopz00_10599:
if(
(BgL_iz00_10598==-1L))
{ /* Llib/mpc.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpc.scm 15 */
{ /* Llib/mpc.scm 15 */
 obj_t BgL_arg5438z00_10600;
{ /* Llib/mpc.scm 15 */

{ /* Llib/mpc.scm 15 */
 obj_t BgL_locationz00_10602;
BgL_locationz00_10602 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpc.scm 15 */

BgL_arg5438z00_10600 = 
BGl_readz00zz__readerz00(BgL_cportz00_10597, BgL_locationz00_10602); } } } 
{ /* Llib/mpc.scm 15 */
 int BgL_tmpz00_12347;
BgL_tmpz00_12347 = 
(int)(BgL_iz00_10598); 
CNST_TABLE_SET(BgL_tmpz00_12347, BgL_arg5438z00_10600); } } 
{ /* Llib/mpc.scm 15 */
 int BgL_auxz00_10603;
BgL_auxz00_10603 = 
(int)(
(BgL_iz00_10598-1L)); 
{ 
 long BgL_iz00_12352;
BgL_iz00_12352 = 
(long)(BgL_auxz00_10603); 
BgL_iz00_10598 = BgL_iz00_12352; 
goto BgL_loopz00_10599;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mpczd2(void)
{
{ /* Llib/mpc.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2mpczd2(void)
{
{ /* Llib/mpc.scm 15 */
BGl__c_z00zz__multimediazd2mpczd2 = 0L; 
BGl_debugzd2mpczd2zz__multimediazd2mpczd2 = ((bool_t)0); 
{ /* Llib/mpc.scm 201 */
 obj_t BgL_zc3z04anonymousza31658ze3z87_10153;
{ 
 int BgL_tmpz00_12355;
BgL_tmpz00_12355 = 
(int)(0L); 
BgL_zc3z04anonymousza31658ze3z87_10153 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_12355); } 
BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2 = BgL_zc3z04anonymousza31658ze3z87_10153; } 
{ /* Llib/mpc.scm 217 */
 obj_t BgL_zc3z04anonymousza31926ze3z87_10152;
{ 
 int BgL_tmpz00_12358;
BgL_tmpz00_12358 = 
(int)(0L); 
BgL_zc3z04anonymousza31926ze3z87_10152 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_12358); } 
BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2 = BgL_zc3z04anonymousza31926ze3z87_10152; } 
{ /* Llib/mpc.scm 233 */
 obj_t BgL_zc3z04anonymousza32099ze3z87_10151;
{ 
 int BgL_tmpz00_12361;
BgL_tmpz00_12361 = 
(int)(0L); 
BgL_zc3z04anonymousza32099ze3z87_10151 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_12361); } 
BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2 = BgL_zc3z04anonymousza32099ze3z87_10151; } 
return BUNSPEC;} 

}



/* &<@anonymous:2099> */
obj_t BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10154, obj_t BgL_iportz00_10155)
{
{ /* Llib/mpc.scm 233 */
{ 
 obj_t BgL_iportz00_10663; long BgL_lastzd2matchzd2_10664; long BgL_forwardz00_10665; long BgL_bufposz00_10666; obj_t BgL_iportz00_10655; long BgL_lastzd2matchzd2_10656; long BgL_forwardz00_10657; long BgL_bufposz00_10658; obj_t BgL_iportz00_10645; long BgL_lastzd2matchzd2_10646; long BgL_forwardz00_10647; long BgL_bufposz00_10648; obj_t BgL_iportz00_10636; long BgL_lastzd2matchzd2_10637; long BgL_forwardz00_10638; long BgL_bufposz00_10639; obj_t BgL_iportz00_10628; long BgL_lastzd2matchzd2_10629; long BgL_forwardz00_10630; long BgL_bufposz00_10631;
BgL_ignorez00_10609:
RGC_START_MATCH(BgL_iportz00_10155); 
{ /* Llib/mpc.scm 233 */
 long BgL_matchz00_10616;
{ /* Llib/mpc.scm 233 */
 long BgL_arg2246z00_10617; long BgL_arg2247z00_10618;
BgL_arg2246z00_10617 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10155); 
BgL_arg2247z00_10618 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10155); 
BgL_iportz00_10663 = BgL_iportz00_10155; 
BgL_lastzd2matchzd2_10664 = 2L; 
BgL_forwardz00_10665 = BgL_arg2246z00_10617; 
BgL_bufposz00_10666 = BgL_arg2247z00_10618; 
BgL_statezd20zd21183z00_10615:
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10667;
RGC_STOP_MATCH(BgL_iportz00_10663, BgL_forwardz00_10665); 
BgL_newzd2matchzd2_10667 = 0L; 
if(
(BgL_forwardz00_10665==BgL_bufposz00_10666))
{ /* Llib/mpc.scm 233 */
if(
rgc_fill_buffer(BgL_iportz00_10663))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2103z00_10668; long BgL_arg2104z00_10669;
BgL_arg2103z00_10668 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10663); 
BgL_arg2104z00_10669 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10663); 
{ 
 long BgL_bufposz00_12375; long BgL_forwardz00_12374;
BgL_forwardz00_12374 = BgL_arg2103z00_10668; 
BgL_bufposz00_12375 = BgL_arg2104z00_10669; 
BgL_bufposz00_10666 = BgL_bufposz00_12375; 
BgL_forwardz00_10665 = BgL_forwardz00_12374; 
goto BgL_statezd20zd21183z00_10615;} }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10616 = BgL_newzd2matchzd2_10667; } }  else 
{ /* Llib/mpc.scm 233 */
 int BgL_curz00_10670;
BgL_curz00_10670 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10663, BgL_forwardz00_10665); 
{ /* Llib/mpc.scm 233 */

{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5587z00_12377;
if(
(
(long)(BgL_curz00_10670)>=48L))
{ /* Llib/mpc.scm 233 */
BgL_test5587z00_12377 = 
(
(long)(BgL_curz00_10670)<58L)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5587z00_12377 = ((bool_t)0)
; } 
if(BgL_test5587z00_12377)
{ /* Llib/mpc.scm 233 */
BgL_iportz00_10645 = BgL_iportz00_10663; 
BgL_lastzd2matchzd2_10646 = BgL_newzd2matchzd2_10667; 
BgL_forwardz00_10647 = 
(1L+BgL_forwardz00_10665); 
BgL_bufposz00_10648 = BgL_bufposz00_10666; 
BgL_statezd23zd21186z00_10613:
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10649;
RGC_STOP_MATCH(BgL_iportz00_10645, BgL_forwardz00_10647); 
BgL_newzd2matchzd2_10649 = 2L; 
if(
(BgL_forwardz00_10647==BgL_bufposz00_10648))
{ /* Llib/mpc.scm 233 */
if(
rgc_fill_buffer(BgL_iportz00_10645))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2126z00_10650; long BgL_arg2127z00_10651;
BgL_arg2126z00_10650 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10645); 
BgL_arg2127z00_10651 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10645); 
{ 
 long BgL_bufposz00_12391; long BgL_forwardz00_12390;
BgL_forwardz00_12390 = BgL_arg2126z00_10650; 
BgL_bufposz00_12391 = BgL_arg2127z00_10651; 
BgL_bufposz00_10648 = BgL_bufposz00_12391; 
BgL_forwardz00_10647 = BgL_forwardz00_12390; 
goto BgL_statezd23zd21186z00_10613;} }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10616 = BgL_newzd2matchzd2_10649; } }  else 
{ /* Llib/mpc.scm 233 */
 int BgL_curz00_10652;
BgL_curz00_10652 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10645, BgL_forwardz00_10647); 
{ /* Llib/mpc.scm 233 */

{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5591z00_12393;
if(
(
(long)(BgL_curz00_10652)>=48L))
{ /* Llib/mpc.scm 233 */
BgL_test5591z00_12393 = 
(
(long)(BgL_curz00_10652)<58L)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5591z00_12393 = ((bool_t)0)
; } 
if(BgL_test5591z00_12393)
{ /* Llib/mpc.scm 233 */
BgL_iportz00_10636 = BgL_iportz00_10645; 
BgL_lastzd2matchzd2_10637 = BgL_newzd2matchzd2_10649; 
BgL_forwardz00_10638 = 
(1L+BgL_forwardz00_10647); 
BgL_bufposz00_10639 = BgL_bufposz00_10648; 
BgL_statezd26zd21189z00_10612:
if(
(BgL_forwardz00_10638==BgL_bufposz00_10639))
{ /* Llib/mpc.scm 233 */
if(
rgc_fill_buffer(BgL_iportz00_10636))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2137z00_10640; long BgL_arg2138z00_10641;
BgL_arg2137z00_10640 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10636); 
BgL_arg2138z00_10641 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10636); 
{ 
 long BgL_bufposz00_12406; long BgL_forwardz00_12405;
BgL_forwardz00_12405 = BgL_arg2137z00_10640; 
BgL_bufposz00_12406 = BgL_arg2138z00_10641; 
BgL_bufposz00_10639 = BgL_bufposz00_12406; 
BgL_forwardz00_10638 = BgL_forwardz00_12405; 
goto BgL_statezd26zd21189z00_10612;} }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10616 = BgL_lastzd2matchzd2_10637; } }  else 
{ /* Llib/mpc.scm 233 */
 int BgL_curz00_10642;
BgL_curz00_10642 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10636, BgL_forwardz00_10638); 
{ /* Llib/mpc.scm 233 */

{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5595z00_12408;
if(
(
(long)(BgL_curz00_10642)>=48L))
{ /* Llib/mpc.scm 233 */
BgL_test5595z00_12408 = 
(
(long)(BgL_curz00_10642)<58L)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5595z00_12408 = ((bool_t)0)
; } 
if(BgL_test5595z00_12408)
{ 
 long BgL_forwardz00_12414;
BgL_forwardz00_12414 = 
(1L+BgL_forwardz00_10638); 
BgL_forwardz00_10638 = BgL_forwardz00_12414; 
goto BgL_statezd26zd21189z00_10612;}  else 
{ /* Llib/mpc.scm 233 */
if(
(
(long)(BgL_curz00_10642)==10L))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2143z00_10643;
BgL_arg2143z00_10643 = 
(1L+BgL_forwardz00_10638); 
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10644;
RGC_STOP_MATCH(BgL_iportz00_10636, BgL_arg2143z00_10643); 
BgL_newzd2matchzd2_10644 = 1L; 
BgL_matchz00_10616 = BgL_newzd2matchzd2_10644; } }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10616 = BgL_lastzd2matchzd2_10637; } } } } } }  else 
{ /* Llib/mpc.scm 233 */
if(
(
(long)(BgL_curz00_10652)==10L))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2132z00_10653;
BgL_arg2132z00_10653 = 
(1L+BgL_forwardz00_10647); 
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10654;
RGC_STOP_MATCH(BgL_iportz00_10645, BgL_arg2132z00_10653); 
BgL_newzd2matchzd2_10654 = 1L; 
BgL_matchz00_10616 = BgL_newzd2matchzd2_10654; } }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10616 = BgL_newzd2matchzd2_10649; } } } } } } }  else 
{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5599z00_12428;
{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5600z00_12429;
if(
(
(long)(BgL_curz00_10670)==10L))
{ /* Llib/mpc.scm 233 */
BgL_test5600z00_12429 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5600z00_12429 = 
(
(long)(BgL_curz00_10670)==9L)
; } 
if(BgL_test5600z00_12429)
{ /* Llib/mpc.scm 233 */
BgL_test5599z00_12428 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5599z00_12428 = 
(
(long)(BgL_curz00_10670)==32L)
; } } 
if(BgL_test5599z00_12428)
{ /* Llib/mpc.scm 233 */
BgL_iportz00_10655 = BgL_iportz00_10663; 
BgL_lastzd2matchzd2_10656 = BgL_newzd2matchzd2_10667; 
BgL_forwardz00_10657 = 
(1L+BgL_forwardz00_10665); 
BgL_bufposz00_10658 = BgL_bufposz00_10666; 
BgL_statezd22zd21185z00_10614:
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10659;
RGC_STOP_MATCH(BgL_iportz00_10655, BgL_forwardz00_10657); 
BgL_newzd2matchzd2_10659 = 0L; 
if(
(BgL_forwardz00_10657==BgL_bufposz00_10658))
{ /* Llib/mpc.scm 233 */
if(
rgc_fill_buffer(BgL_iportz00_10655))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2117z00_10660; long BgL_arg2118z00_10661;
BgL_arg2117z00_10660 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10655); 
BgL_arg2118z00_10661 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10655); 
{ 
 long BgL_bufposz00_12445; long BgL_forwardz00_12444;
BgL_forwardz00_12444 = BgL_arg2117z00_10660; 
BgL_bufposz00_12445 = BgL_arg2118z00_10661; 
BgL_bufposz00_10658 = BgL_bufposz00_12445; 
BgL_forwardz00_10657 = BgL_forwardz00_12444; 
goto BgL_statezd22zd21185z00_10614;} }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10616 = BgL_newzd2matchzd2_10659; } }  else 
{ /* Llib/mpc.scm 233 */
 int BgL_curz00_10662;
BgL_curz00_10662 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10655, BgL_forwardz00_10657); 
{ /* Llib/mpc.scm 233 */

{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5604z00_12447;
{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5605z00_12448;
if(
(
(long)(BgL_curz00_10662)==10L))
{ /* Llib/mpc.scm 233 */
BgL_test5605z00_12448 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5605z00_12448 = 
(
(long)(BgL_curz00_10662)==9L)
; } 
if(BgL_test5605z00_12448)
{ /* Llib/mpc.scm 233 */
BgL_test5604z00_12447 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5604z00_12447 = 
(
(long)(BgL_curz00_10662)==32L)
; } } 
if(BgL_test5604z00_12447)
{ /* Llib/mpc.scm 233 */
BgL_iportz00_10628 = BgL_iportz00_10655; 
BgL_lastzd2matchzd2_10629 = BgL_newzd2matchzd2_10659; 
BgL_forwardz00_10630 = 
(1L+BgL_forwardz00_10657); 
BgL_bufposz00_10631 = BgL_bufposz00_10658; 
BgL_statezd27zd21190z00_10611:
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10632;
RGC_STOP_MATCH(BgL_iportz00_10628, BgL_forwardz00_10630); 
BgL_newzd2matchzd2_10632 = 0L; 
if(
(BgL_forwardz00_10630==BgL_bufposz00_10631))
{ /* Llib/mpc.scm 233 */
if(
rgc_fill_buffer(BgL_iportz00_10628))
{ /* Llib/mpc.scm 233 */
 long BgL_arg2147z00_10633; long BgL_arg2148z00_10634;
BgL_arg2147z00_10633 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10628); 
BgL_arg2148z00_10634 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10628); 
{ 
 long BgL_bufposz00_12464; long BgL_forwardz00_12463;
BgL_forwardz00_12463 = BgL_arg2147z00_10633; 
BgL_bufposz00_12464 = BgL_arg2148z00_10634; 
BgL_bufposz00_10631 = BgL_bufposz00_12464; 
BgL_forwardz00_10630 = BgL_forwardz00_12463; 
goto BgL_statezd27zd21190z00_10611;} }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10616 = BgL_newzd2matchzd2_10632; } }  else 
{ /* Llib/mpc.scm 233 */
 int BgL_curz00_10635;
BgL_curz00_10635 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10628, BgL_forwardz00_10630); 
{ /* Llib/mpc.scm 233 */

{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5609z00_12466;
{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5610z00_12467;
if(
(
(long)(BgL_curz00_10635)==10L))
{ /* Llib/mpc.scm 233 */
BgL_test5610z00_12467 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5610z00_12467 = 
(
(long)(BgL_curz00_10635)==9L)
; } 
if(BgL_test5610z00_12467)
{ /* Llib/mpc.scm 233 */
BgL_test5609z00_12466 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 233 */
BgL_test5609z00_12466 = 
(
(long)(BgL_curz00_10635)==32L)
; } } 
if(BgL_test5609z00_12466)
{ 
 long BgL_forwardz00_12476; long BgL_lastzd2matchzd2_12475;
BgL_lastzd2matchzd2_12475 = BgL_newzd2matchzd2_10632; 
BgL_forwardz00_12476 = 
(1L+BgL_forwardz00_10630); 
BgL_forwardz00_10630 = BgL_forwardz00_12476; 
BgL_lastzd2matchzd2_10629 = BgL_lastzd2matchzd2_12475; 
goto BgL_statezd27zd21190z00_10611;}  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10616 = BgL_newzd2matchzd2_10632; } } } } } }  else 
{ /* Llib/mpc.scm 233 */
BgL_matchz00_10616 = BgL_newzd2matchzd2_10659; } } } } } }  else 
{ /* Llib/mpc.scm 233 */
 long BgL_arg2112z00_10671;
BgL_arg2112z00_10671 = 
(1L+BgL_forwardz00_10665); 
{ /* Llib/mpc.scm 233 */
 long BgL_newzd2matchzd2_10672;
RGC_STOP_MATCH(BgL_iportz00_10663, BgL_arg2112z00_10671); 
BgL_newzd2matchzd2_10672 = 2L; 
BgL_matchz00_10616 = BgL_newzd2matchzd2_10672; } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10155); 
switch( BgL_matchz00_10616) { case 2L : 

{ /* Llib/mpc.scm 240 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg2240z00_10619;
{ /* Llib/mpc.scm 240 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1194z00_10620;
{ /* Llib/mpc.scm 240 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1193z00_10621;
BgL_new1193z00_10621 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 240 */
 long BgL_arg2245z00_10622;
BgL_arg2245z00_10622 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1193z00_10621), BgL_arg2245z00_10622); } 
BgL_new1194z00_10620 = BgL_new1193z00_10621; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1194z00_10620)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1194z00_10620)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12491;
{ /* Llib/mpc.scm 240 */
 obj_t BgL_arg2241z00_10623;
{ /* Llib/mpc.scm 240 */
 obj_t BgL_arg2242z00_10624;
{ /* Llib/mpc.scm 240 */
 obj_t BgL_classz00_10625;
BgL_classz00_10625 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg2242z00_10624 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_10625); } 
BgL_arg2241z00_10623 = 
VECTOR_REF(BgL_arg2242z00_10624,2L); } 
BgL_auxz00_12491 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2241z00_10623); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1194z00_10620)))->BgL_stackz00)=((obj_t)BgL_auxz00_12491),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1194z00_10620)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(0L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1194z00_10620)))->BgL_msgz00)=((obj_t)BGl_string5295z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12502;
{ /* Llib/mpc.scm 243 */
 obj_t BgL_arg2243z00_10626;
{ /* Llib/mpc.scm 233 */
 bool_t BgL_test5612z00_12504;
{ /* Llib/mpc.scm 233 */
 long BgL_arg2233z00_10627;
BgL_arg2233z00_10627 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10155); 
BgL_test5612z00_12504 = 
(BgL_arg2233z00_10627==0L); } 
if(BgL_test5612z00_12504)
{ /* Llib/mpc.scm 233 */
BgL_arg2243z00_10626 = BEOF; }  else 
{ /* Llib/mpc.scm 233 */
BgL_arg2243z00_10626 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10155)); } } 
BgL_auxz00_12502 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg2243z00_10626, BgL_iportz00_10155); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1194z00_10620)))->BgL_objz00)=((obj_t)BgL_auxz00_12502),BUNSPEC); } 
BgL_arg2240z00_10619 = BgL_new1194z00_10620; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2240z00_10619));} break;case 1L : 

return 
BINT(
rgc_buffer_fixnum(BgL_iportz00_10155));break;case 0L : 

goto BgL_ignorez00_10609;break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_10616));} } } } 

}



/* &<@anonymous:1926> */
obj_t BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10156, obj_t BgL_iportz00_10157)
{
{ /* Llib/mpc.scm 217 */
{ 
 obj_t BgL_iportz00_10753; long BgL_lastzd2matchzd2_10754; long BgL_forwardz00_10755; long BgL_bufposz00_10756; obj_t BgL_iportz00_10745; long BgL_lastzd2matchzd2_10746; long BgL_forwardz00_10747; long BgL_bufposz00_10748; obj_t BgL_iportz00_10736; long BgL_lastzd2matchzd2_10737; long BgL_forwardz00_10738; long BgL_bufposz00_10739; obj_t BgL_iportz00_10728; long BgL_lastzd2matchzd2_10729; long BgL_forwardz00_10730; long BgL_bufposz00_10731; obj_t BgL_iportz00_10720; long BgL_lastzd2matchzd2_10721; long BgL_forwardz00_10722; long BgL_bufposz00_10723; obj_t BgL_iportz00_10712; long BgL_lastzd2matchzd2_10713; long BgL_forwardz00_10714; long BgL_bufposz00_10715; obj_t BgL_iportz00_10704; long BgL_lastzd2matchzd2_10705; long BgL_forwardz00_10706; long BgL_bufposz00_10707; obj_t BgL_iportz00_10696; long BgL_lastzd2matchzd2_10697; long BgL_forwardz00_10698; long BgL_bufposz00_10699;
BgL_ignorez00_10674:
RGC_START_MATCH(BgL_iportz00_10157); 
{ /* Llib/mpc.scm 217 */
 long BgL_matchz00_10684;
{ /* Llib/mpc.scm 217 */
 long BgL_arg2097z00_10685; long BgL_arg2098z00_10686;
BgL_arg2097z00_10685 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10157); 
BgL_arg2098z00_10686 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10157); 
BgL_iportz00_10712 = BgL_iportz00_10157; 
BgL_lastzd2matchzd2_10713 = 2L; 
BgL_forwardz00_10714 = BgL_arg2097z00_10685; 
BgL_bufposz00_10715 = BgL_arg2098z00_10686; 
BgL_statezd20zd21169z00_10678:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10716;
RGC_STOP_MATCH(BgL_iportz00_10712, BgL_forwardz00_10714); 
BgL_newzd2matchzd2_10716 = 0L; 
if(
(BgL_forwardz00_10714==BgL_bufposz00_10715))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10712))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1977z00_10717; long BgL_arg1978z00_10718;
BgL_arg1977z00_10717 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10712); 
BgL_arg1978z00_10718 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10712); 
{ 
 long BgL_bufposz00_12529; long BgL_forwardz00_12528;
BgL_forwardz00_12528 = BgL_arg1977z00_10717; 
BgL_bufposz00_12529 = BgL_arg1978z00_10718; 
BgL_bufposz00_10715 = BgL_bufposz00_12529; 
BgL_forwardz00_10714 = BgL_forwardz00_12528; 
goto BgL_statezd20zd21169z00_10678;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10684 = BgL_newzd2matchzd2_10716; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10719;
BgL_curz00_10719 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10712, BgL_forwardz00_10714); 
{ /* Llib/mpc.scm 217 */

if(
(
(long)(BgL_curz00_10719)==10L))
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10720 = BgL_iportz00_10712; 
BgL_lastzd2matchzd2_10721 = BgL_newzd2matchzd2_10716; 
BgL_forwardz00_10722 = 
(1L+BgL_forwardz00_10714); 
BgL_bufposz00_10723 = BgL_bufposz00_10715; 
BgL_statezd23zd21172z00_10679:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10724;
RGC_STOP_MATCH(BgL_iportz00_10720, BgL_forwardz00_10722); 
BgL_newzd2matchzd2_10724 = 0L; 
if(
(BgL_forwardz00_10722==BgL_bufposz00_10723))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10720))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1968z00_10725; long BgL_arg1969z00_10726;
BgL_arg1968z00_10725 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10720); 
BgL_arg1969z00_10726 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10720); 
{ 
 long BgL_bufposz00_12542; long BgL_forwardz00_12541;
BgL_forwardz00_12541 = BgL_arg1968z00_10725; 
BgL_bufposz00_12542 = BgL_arg1969z00_10726; 
BgL_bufposz00_10723 = BgL_bufposz00_12542; 
BgL_forwardz00_10722 = BgL_forwardz00_12541; 
goto BgL_statezd23zd21172z00_10679;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10684 = BgL_newzd2matchzd2_10724; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10727;
BgL_curz00_10727 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10720, BgL_forwardz00_10722); 
{ /* Llib/mpc.scm 217 */

{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5618z00_12544;
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5619z00_12545;
if(
(
(long)(BgL_curz00_10727)==10L))
{ /* Llib/mpc.scm 217 */
BgL_test5619z00_12545 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5619z00_12545 = 
(
(long)(BgL_curz00_10727)==9L)
; } 
if(BgL_test5619z00_12545)
{ /* Llib/mpc.scm 217 */
BgL_test5618z00_12544 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5618z00_12544 = 
(
(long)(BgL_curz00_10727)==32L)
; } } 
if(BgL_test5618z00_12544)
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10704 = BgL_iportz00_10720; 
BgL_lastzd2matchzd2_10705 = BgL_newzd2matchzd2_10724; 
BgL_forwardz00_10706 = 
(1L+BgL_forwardz00_10722); 
BgL_bufposz00_10707 = BgL_bufposz00_10723; 
BgL_statezd25zd21174z00_10677:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10708;
RGC_STOP_MATCH(BgL_iportz00_10704, BgL_forwardz00_10706); 
BgL_newzd2matchzd2_10708 = 0L; 
if(
(BgL_forwardz00_10706==BgL_bufposz00_10707))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10704))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1988z00_10709; long BgL_arg1989z00_10710;
BgL_arg1988z00_10709 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10704); 
BgL_arg1989z00_10710 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10704); 
{ 
 long BgL_bufposz00_12561; long BgL_forwardz00_12560;
BgL_forwardz00_12560 = BgL_arg1988z00_10709; 
BgL_bufposz00_12561 = BgL_arg1989z00_10710; 
BgL_bufposz00_10707 = BgL_bufposz00_12561; 
BgL_forwardz00_10706 = BgL_forwardz00_12560; 
goto BgL_statezd25zd21174z00_10677;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10684 = BgL_newzd2matchzd2_10708; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10711;
BgL_curz00_10711 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10704, BgL_forwardz00_10706); 
{ /* Llib/mpc.scm 217 */

{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5623z00_12563;
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5624z00_12564;
if(
(
(long)(BgL_curz00_10711)==10L))
{ /* Llib/mpc.scm 217 */
BgL_test5624z00_12564 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5624z00_12564 = 
(
(long)(BgL_curz00_10711)==9L)
; } 
if(BgL_test5624z00_12564)
{ /* Llib/mpc.scm 217 */
BgL_test5623z00_12563 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5623z00_12563 = 
(
(long)(BgL_curz00_10711)==32L)
; } } 
if(BgL_test5623z00_12563)
{ 
 long BgL_forwardz00_12573; long BgL_lastzd2matchzd2_12572;
BgL_lastzd2matchzd2_12572 = BgL_newzd2matchzd2_10708; 
BgL_forwardz00_12573 = 
(1L+BgL_forwardz00_10706); 
BgL_forwardz00_10706 = BgL_forwardz00_12573; 
BgL_lastzd2matchzd2_10705 = BgL_lastzd2matchzd2_12572; 
goto BgL_statezd25zd21174z00_10677;}  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10684 = BgL_newzd2matchzd2_10708; } } } } } }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10684 = BgL_newzd2matchzd2_10724; } } } } } }  else 
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5626z00_12577;
if(
(
(long)(BgL_curz00_10719)==9L))
{ /* Llib/mpc.scm 217 */
BgL_test5626z00_12577 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5626z00_12577 = 
(
(long)(BgL_curz00_10719)==32L)
; } 
if(BgL_test5626z00_12577)
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10745 = BgL_iportz00_10712; 
BgL_lastzd2matchzd2_10746 = BgL_newzd2matchzd2_10716; 
BgL_forwardz00_10747 = 
(1L+BgL_forwardz00_10714); 
BgL_bufposz00_10748 = BgL_bufposz00_10715; 
BgL_statezd22zd21171z00_10682:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10749;
RGC_STOP_MATCH(BgL_iportz00_10745, BgL_forwardz00_10747); 
BgL_newzd2matchzd2_10749 = 0L; 
if(
(BgL_forwardz00_10747==BgL_bufposz00_10748))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10745))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1938z00_10750; long BgL_arg1939z00_10751;
BgL_arg1938z00_10750 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10745); 
BgL_arg1939z00_10751 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10745); 
{ 
 long BgL_bufposz00_12591; long BgL_forwardz00_12590;
BgL_forwardz00_12590 = BgL_arg1938z00_10750; 
BgL_bufposz00_12591 = BgL_arg1939z00_10751; 
BgL_bufposz00_10748 = BgL_bufposz00_12591; 
BgL_forwardz00_10747 = BgL_forwardz00_12590; 
goto BgL_statezd22zd21171z00_10682;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10684 = BgL_newzd2matchzd2_10749; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10752;
BgL_curz00_10752 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10745, BgL_forwardz00_10747); 
{ /* Llib/mpc.scm 217 */

if(
(
(long)(BgL_curz00_10752)==10L))
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10696 = BgL_iportz00_10745; 
BgL_lastzd2matchzd2_10697 = BgL_newzd2matchzd2_10749; 
BgL_forwardz00_10698 = 
(1L+BgL_forwardz00_10747); 
BgL_bufposz00_10699 = BgL_bufposz00_10748; 
BgL_statezd28zd21177z00_10676:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10700;
RGC_STOP_MATCH(BgL_iportz00_10696, BgL_forwardz00_10698); 
BgL_newzd2matchzd2_10700 = 0L; 
if(
(BgL_forwardz00_10698==BgL_bufposz00_10699))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10696))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1997z00_10701; long BgL_arg1998z00_10702;
BgL_arg1997z00_10701 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10696); 
BgL_arg1998z00_10702 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10696); 
{ 
 long BgL_bufposz00_12604; long BgL_forwardz00_12603;
BgL_forwardz00_12603 = BgL_arg1997z00_10701; 
BgL_bufposz00_12604 = BgL_arg1998z00_10702; 
BgL_bufposz00_10699 = BgL_bufposz00_12604; 
BgL_forwardz00_10698 = BgL_forwardz00_12603; 
goto BgL_statezd28zd21177z00_10676;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10684 = BgL_newzd2matchzd2_10700; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10703;
BgL_curz00_10703 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10696, BgL_forwardz00_10698); 
{ /* Llib/mpc.scm 217 */

{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5633z00_12606;
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5634z00_12607;
if(
(
(long)(BgL_curz00_10703)==10L))
{ /* Llib/mpc.scm 217 */
BgL_test5634z00_12607 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5634z00_12607 = 
(
(long)(BgL_curz00_10703)==9L)
; } 
if(BgL_test5634z00_12607)
{ /* Llib/mpc.scm 217 */
BgL_test5633z00_12606 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5633z00_12606 = 
(
(long)(BgL_curz00_10703)==32L)
; } } 
if(BgL_test5633z00_12606)
{ 
 long BgL_bufposz00_12619; long BgL_forwardz00_12617; long BgL_lastzd2matchzd2_12616; obj_t BgL_iportz00_12615;
BgL_iportz00_12615 = BgL_iportz00_10696; 
BgL_lastzd2matchzd2_12616 = BgL_newzd2matchzd2_10700; 
BgL_forwardz00_12617 = 
(1L+BgL_forwardz00_10698); 
BgL_bufposz00_12619 = BgL_bufposz00_10699; 
BgL_bufposz00_10707 = BgL_bufposz00_12619; 
BgL_forwardz00_10706 = BgL_forwardz00_12617; 
BgL_lastzd2matchzd2_10705 = BgL_lastzd2matchzd2_12616; 
BgL_iportz00_10704 = BgL_iportz00_12615; 
goto BgL_statezd25zd21174z00_10677;}  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10684 = BgL_newzd2matchzd2_10700; } } } } } }  else 
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5636z00_12621;
if(
(
(long)(BgL_curz00_10752)==9L))
{ /* Llib/mpc.scm 217 */
BgL_test5636z00_12621 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5636z00_12621 = 
(
(long)(BgL_curz00_10752)==32L)
; } 
if(BgL_test5636z00_12621)
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10728 = BgL_iportz00_10745; 
BgL_lastzd2matchzd2_10729 = BgL_newzd2matchzd2_10749; 
BgL_forwardz00_10730 = 
(1L+BgL_forwardz00_10747); 
BgL_bufposz00_10731 = BgL_bufposz00_10748; 
BgL_statezd27zd21176z00_10680:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10732;
RGC_STOP_MATCH(BgL_iportz00_10728, BgL_forwardz00_10730); 
BgL_newzd2matchzd2_10732 = 0L; 
if(
(BgL_forwardz00_10730==BgL_bufposz00_10731))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10728))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1957z00_10733; long BgL_arg1958z00_10734;
BgL_arg1957z00_10733 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10728); 
BgL_arg1958z00_10734 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10728); 
{ 
 long BgL_bufposz00_12635; long BgL_forwardz00_12634;
BgL_forwardz00_12634 = BgL_arg1957z00_10733; 
BgL_bufposz00_12635 = BgL_arg1958z00_10734; 
BgL_bufposz00_10731 = BgL_bufposz00_12635; 
BgL_forwardz00_10730 = BgL_forwardz00_12634; 
goto BgL_statezd27zd21176z00_10680;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10684 = BgL_newzd2matchzd2_10732; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10735;
BgL_curz00_10735 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10728, BgL_forwardz00_10730); 
{ /* Llib/mpc.scm 217 */

if(
(
(long)(BgL_curz00_10735)==10L))
{ 
 long BgL_bufposz00_12644; long BgL_forwardz00_12642; long BgL_lastzd2matchzd2_12641; obj_t BgL_iportz00_12640;
BgL_iportz00_12640 = BgL_iportz00_10728; 
BgL_lastzd2matchzd2_12641 = BgL_newzd2matchzd2_10732; 
BgL_forwardz00_12642 = 
(1L+BgL_forwardz00_10730); 
BgL_bufposz00_12644 = BgL_bufposz00_10731; 
BgL_bufposz00_10699 = BgL_bufposz00_12644; 
BgL_forwardz00_10698 = BgL_forwardz00_12642; 
BgL_lastzd2matchzd2_10697 = BgL_lastzd2matchzd2_12641; 
BgL_iportz00_10696 = BgL_iportz00_12640; 
goto BgL_statezd28zd21177z00_10676;}  else 
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5641z00_12645;
if(
(
(long)(BgL_curz00_10735)==9L))
{ /* Llib/mpc.scm 217 */
BgL_test5641z00_12645 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 217 */
BgL_test5641z00_12645 = 
(
(long)(BgL_curz00_10735)==32L)
; } 
if(BgL_test5641z00_12645)
{ 
 long BgL_forwardz00_12652; long BgL_lastzd2matchzd2_12651;
BgL_lastzd2matchzd2_12651 = BgL_newzd2matchzd2_10732; 
BgL_forwardz00_12652 = 
(1L+BgL_forwardz00_10730); 
BgL_forwardz00_10730 = BgL_forwardz00_12652; 
BgL_lastzd2matchzd2_10729 = BgL_lastzd2matchzd2_12651; 
goto BgL_statezd27zd21176z00_10680;}  else 
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10736 = BgL_iportz00_10728; 
BgL_lastzd2matchzd2_10737 = BgL_newzd2matchzd2_10732; 
BgL_forwardz00_10738 = 
(1L+BgL_forwardz00_10730); 
BgL_bufposz00_10739 = BgL_bufposz00_10731; 
BgL_statezd26zd21175z00_10681:
if(
(BgL_forwardz00_10738==BgL_bufposz00_10739))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10736))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1949z00_10740; long BgL_arg1950z00_10741;
BgL_arg1949z00_10740 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10736); 
BgL_arg1950z00_10741 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10736); 
{ 
 long BgL_bufposz00_12661; long BgL_forwardz00_12660;
BgL_forwardz00_12660 = BgL_arg1949z00_10740; 
BgL_bufposz00_12661 = BgL_arg1950z00_10741; 
BgL_bufposz00_10739 = BgL_bufposz00_12661; 
BgL_forwardz00_10738 = BgL_forwardz00_12660; 
goto BgL_statezd26zd21175z00_10681;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10684 = BgL_lastzd2matchzd2_10737; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10742;
BgL_curz00_10742 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10736, BgL_forwardz00_10738); 
{ /* Llib/mpc.scm 217 */

if(
(
(long)(BgL_curz00_10742)==10L))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1952z00_10743;
BgL_arg1952z00_10743 = 
(1L+BgL_forwardz00_10738); 
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10744;
RGC_STOP_MATCH(BgL_iportz00_10736, BgL_arg1952z00_10743); 
BgL_newzd2matchzd2_10744 = 1L; 
BgL_matchz00_10684 = BgL_newzd2matchzd2_10744; } }  else 
{ 
 long BgL_forwardz00_12668;
BgL_forwardz00_12668 = 
(1L+BgL_forwardz00_10738); 
BgL_forwardz00_10738 = BgL_forwardz00_12668; 
goto BgL_statezd26zd21175z00_10681;} } } } } } } } }  else 
{ 
 long BgL_bufposz00_12676; long BgL_forwardz00_12674; long BgL_lastzd2matchzd2_12673; obj_t BgL_iportz00_12672;
BgL_iportz00_12672 = BgL_iportz00_10745; 
BgL_lastzd2matchzd2_12673 = BgL_newzd2matchzd2_10749; 
BgL_forwardz00_12674 = 
(1L+BgL_forwardz00_10747); 
BgL_bufposz00_12676 = BgL_bufposz00_10748; 
BgL_bufposz00_10739 = BgL_bufposz00_12676; 
BgL_forwardz00_10738 = BgL_forwardz00_12674; 
BgL_lastzd2matchzd2_10737 = BgL_lastzd2matchzd2_12673; 
BgL_iportz00_10736 = BgL_iportz00_12672; 
goto BgL_statezd26zd21175z00_10681;} } } } } }  else 
{ /* Llib/mpc.scm 217 */
BgL_iportz00_10753 = BgL_iportz00_10712; 
BgL_lastzd2matchzd2_10754 = BgL_newzd2matchzd2_10716; 
BgL_forwardz00_10755 = 
(1L+BgL_forwardz00_10714); 
BgL_bufposz00_10756 = BgL_bufposz00_10715; 
BgL_statezd21zd21170z00_10683:
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10757;
RGC_STOP_MATCH(BgL_iportz00_10753, BgL_forwardz00_10755); 
BgL_newzd2matchzd2_10757 = 2L; 
if(
(BgL_forwardz00_10755==BgL_bufposz00_10756))
{ /* Llib/mpc.scm 217 */
if(
rgc_fill_buffer(BgL_iportz00_10753))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1930z00_10758; long BgL_arg1931z00_10759;
BgL_arg1930z00_10758 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10753); 
BgL_arg1931z00_10759 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10753); 
{ 
 long BgL_bufposz00_12686; long BgL_forwardz00_12685;
BgL_forwardz00_12685 = BgL_arg1930z00_10758; 
BgL_bufposz00_12686 = BgL_arg1931z00_10759; 
BgL_bufposz00_10756 = BgL_bufposz00_12686; 
BgL_forwardz00_10755 = BgL_forwardz00_12685; 
goto BgL_statezd21zd21170z00_10683;} }  else 
{ /* Llib/mpc.scm 217 */
BgL_matchz00_10684 = BgL_newzd2matchzd2_10757; } }  else 
{ /* Llib/mpc.scm 217 */
 int BgL_curz00_10760;
BgL_curz00_10760 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10753, BgL_forwardz00_10755); 
{ /* Llib/mpc.scm 217 */

if(
(
(long)(BgL_curz00_10760)==10L))
{ /* Llib/mpc.scm 217 */
 long BgL_arg1933z00_10761;
BgL_arg1933z00_10761 = 
(1L+BgL_forwardz00_10755); 
{ /* Llib/mpc.scm 217 */
 long BgL_newzd2matchzd2_10762;
RGC_STOP_MATCH(BgL_iportz00_10753, BgL_arg1933z00_10761); 
BgL_newzd2matchzd2_10762 = 1L; 
BgL_matchz00_10684 = BgL_newzd2matchzd2_10762; } }  else 
{ 
 long BgL_bufposz00_12697; long BgL_forwardz00_12695; long BgL_lastzd2matchzd2_12694; obj_t BgL_iportz00_12693;
BgL_iportz00_12693 = BgL_iportz00_10753; 
BgL_lastzd2matchzd2_12694 = BgL_newzd2matchzd2_10757; 
BgL_forwardz00_12695 = 
(1L+BgL_forwardz00_10755); 
BgL_bufposz00_12697 = BgL_bufposz00_10756; 
BgL_bufposz00_10739 = BgL_bufposz00_12697; 
BgL_forwardz00_10738 = BgL_forwardz00_12695; 
BgL_lastzd2matchzd2_10737 = BgL_lastzd2matchzd2_12694; 
BgL_iportz00_10736 = BgL_iportz00_12693; 
goto BgL_statezd26zd21175z00_10681;} } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10157); 
switch( BgL_matchz00_10684) { case 2L : 

{ /* Llib/mpc.scm 224 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg2091z00_10687;
{ /* Llib/mpc.scm 224 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1182z00_10688;
{ /* Llib/mpc.scm 224 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1181z00_10689;
BgL_new1181z00_10689 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 224 */
 long BgL_arg2096z00_10690;
BgL_arg2096z00_10690 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1181z00_10689), BgL_arg2096z00_10690); } 
BgL_new1182z00_10688 = BgL_new1181z00_10689; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1182z00_10688)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1182z00_10688)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12708;
{ /* Llib/mpc.scm 224 */
 obj_t BgL_arg2092z00_10691;
{ /* Llib/mpc.scm 224 */
 obj_t BgL_arg2093z00_10692;
{ /* Llib/mpc.scm 224 */
 obj_t BgL_classz00_10693;
BgL_classz00_10693 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg2093z00_10692 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_10693); } 
BgL_arg2092z00_10691 = 
VECTOR_REF(BgL_arg2093z00_10692,2L); } 
BgL_auxz00_12708 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2092z00_10691); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1182z00_10688)))->BgL_stackz00)=((obj_t)BgL_auxz00_12708),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1182z00_10688)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(0L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1182z00_10688)))->BgL_msgz00)=((obj_t)BGl_string5298z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12719;
{ /* Llib/mpc.scm 227 */
 obj_t BgL_arg2094z00_10694;
{ /* Llib/mpc.scm 217 */
 bool_t BgL_test5649z00_12721;
{ /* Llib/mpc.scm 217 */
 long BgL_arg2084z00_10695;
BgL_arg2084z00_10695 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10157); 
BgL_test5649z00_12721 = 
(BgL_arg2084z00_10695==0L); } 
if(BgL_test5649z00_12721)
{ /* Llib/mpc.scm 217 */
BgL_arg2094z00_10694 = BEOF; }  else 
{ /* Llib/mpc.scm 217 */
BgL_arg2094z00_10694 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10157)); } } 
BgL_auxz00_12719 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg2094z00_10694, BgL_iportz00_10157); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1182z00_10688)))->BgL_objz00)=((obj_t)BgL_auxz00_12719),BUNSPEC); } 
BgL_arg2091z00_10687 = BgL_new1182z00_10688; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2091z00_10687));} break;case 1L : 

return BUNSPEC;break;case 0L : 

goto BgL_ignorez00_10674;break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_10684));} } } } 

}



/* &<@anonymous:1658> */
obj_t BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10158, obj_t BgL_iportz00_10159)
{
{ /* Llib/mpc.scm 201 */
{ 
 obj_t BgL_iportz00_10857; long BgL_lastzd2matchzd2_10858; long BgL_forwardz00_10859; long BgL_bufposz00_10860; obj_t BgL_iportz00_10849; long BgL_lastzd2matchzd2_10850; long BgL_forwardz00_10851; long BgL_bufposz00_10852; obj_t BgL_iportz00_10841; long BgL_lastzd2matchzd2_10842; long BgL_forwardz00_10843; long BgL_bufposz00_10844; obj_t BgL_iportz00_10831; long BgL_lastzd2matchzd2_10832; long BgL_forwardz00_10833; long BgL_bufposz00_10834; obj_t BgL_iportz00_10823; long BgL_lastzd2matchzd2_10824; long BgL_forwardz00_10825; long BgL_bufposz00_10826; obj_t BgL_iportz00_10815; long BgL_lastzd2matchzd2_10816; long BgL_forwardz00_10817; long BgL_bufposz00_10818; obj_t BgL_iportz00_10807; long BgL_lastzd2matchzd2_10808; long BgL_forwardz00_10809; long BgL_bufposz00_10810; obj_t BgL_iportz00_10797; long BgL_lastzd2matchzd2_10798; long BgL_forwardz00_10799; long BgL_bufposz00_10800; int BgL_minz00_10787; int BgL_maxz00_10788;
BgL_ignorez00_10764:
RGC_START_MATCH(BgL_iportz00_10159); 
{ /* Llib/mpc.scm 201 */
 long BgL_matchz00_10775;
{ /* Llib/mpc.scm 201 */
 long BgL_arg1924z00_10776; long BgL_arg1925z00_10777;
BgL_arg1924z00_10776 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10159); 
BgL_arg1925z00_10777 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10159); 
BgL_iportz00_10797 = BgL_iportz00_10159; 
BgL_lastzd2matchzd2_10798 = 2L; 
BgL_forwardz00_10799 = BgL_arg1924z00_10776; 
BgL_bufposz00_10800 = BgL_arg1925z00_10777; 
BgL_statezd20zd21154z00_10767:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10801;
RGC_STOP_MATCH(BgL_iportz00_10797, BgL_forwardz00_10799); 
BgL_newzd2matchzd2_10801 = 0L; 
if(
(BgL_forwardz00_10799==BgL_bufposz00_10800))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10797))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1818z00_10802; long BgL_arg1819z00_10803;
BgL_arg1818z00_10802 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10797); 
BgL_arg1819z00_10803 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10797); 
{ 
 long BgL_bufposz00_12744; long BgL_forwardz00_12743;
BgL_forwardz00_12743 = BgL_arg1818z00_10802; 
BgL_bufposz00_12744 = BgL_arg1819z00_10803; 
BgL_bufposz00_10800 = BgL_bufposz00_12744; 
BgL_forwardz00_10799 = BgL_forwardz00_12743; 
goto BgL_statezd20zd21154z00_10767;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10775 = BgL_newzd2matchzd2_10801; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10804;
BgL_curz00_10804 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10797, BgL_forwardz00_10799); 
{ /* Llib/mpc.scm 201 */

if(
(
(long)(BgL_curz00_10804)==13L))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1821z00_10805;
BgL_arg1821z00_10805 = 
(1L+BgL_forwardz00_10799); 
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10806;
RGC_STOP_MATCH(BgL_iportz00_10797, BgL_arg1821z00_10805); 
BgL_newzd2matchzd2_10806 = 2L; 
BgL_matchz00_10775 = BgL_newzd2matchzd2_10806; } }  else 
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5653z00_12751;
if(
(
(long)(BgL_curz00_10804)==10L))
{ /* Llib/mpc.scm 201 */
BgL_test5653z00_12751 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5653z00_12751 = 
(
(long)(BgL_curz00_10804)==32L)
; } 
if(BgL_test5653z00_12751)
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10841 = BgL_iportz00_10797; 
BgL_lastzd2matchzd2_10842 = BgL_newzd2matchzd2_10801; 
BgL_forwardz00_10843 = 
(1L+BgL_forwardz00_10799); 
BgL_bufposz00_10844 = BgL_bufposz00_10800; 
BgL_statezd23zd21157z00_10772:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10845;
RGC_STOP_MATCH(BgL_iportz00_10841, BgL_forwardz00_10843); 
BgL_newzd2matchzd2_10845 = 0L; 
if(
(BgL_forwardz00_10843==BgL_bufposz00_10844))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10841))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1715z00_10846; long BgL_arg1723z00_10847;
BgL_arg1715z00_10846 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10841); 
BgL_arg1723z00_10847 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10841); 
{ 
 long BgL_bufposz00_12765; long BgL_forwardz00_12764;
BgL_forwardz00_12764 = BgL_arg1715z00_10846; 
BgL_bufposz00_12765 = BgL_arg1723z00_10847; 
BgL_bufposz00_10844 = BgL_bufposz00_12765; 
BgL_forwardz00_10843 = BgL_forwardz00_12764; 
goto BgL_statezd23zd21157z00_10772;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10775 = BgL_newzd2matchzd2_10845; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10848;
BgL_curz00_10848 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10841, BgL_forwardz00_10843); 
{ /* Llib/mpc.scm 201 */

{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5657z00_12767;
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5658z00_12768;
if(
(
(long)(BgL_curz00_10848)==10L))
{ /* Llib/mpc.scm 201 */
BgL_test5658z00_12768 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5658z00_12768 = 
(
(long)(BgL_curz00_10848)==9L)
; } 
if(BgL_test5658z00_12768)
{ /* Llib/mpc.scm 201 */
BgL_test5657z00_12767 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5657z00_12767 = 
(
(long)(BgL_curz00_10848)==32L)
; } } 
if(BgL_test5657z00_12767)
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10815 = BgL_iportz00_10841; 
BgL_lastzd2matchzd2_10816 = BgL_newzd2matchzd2_10845; 
BgL_forwardz00_10817 = 
(1L+BgL_forwardz00_10843); 
BgL_bufposz00_10818 = BgL_bufposz00_10844; 
BgL_statezd26zd21160z00_10769:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10819;
RGC_STOP_MATCH(BgL_iportz00_10815, BgL_forwardz00_10817); 
BgL_newzd2matchzd2_10819 = 0L; 
if(
(BgL_forwardz00_10817==BgL_bufposz00_10818))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10815))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1799z00_10820; long BgL_arg1800z00_10821;
BgL_arg1799z00_10820 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10815); 
BgL_arg1800z00_10821 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10815); 
{ 
 long BgL_bufposz00_12784; long BgL_forwardz00_12783;
BgL_forwardz00_12783 = BgL_arg1799z00_10820; 
BgL_bufposz00_12784 = BgL_arg1800z00_10821; 
BgL_bufposz00_10818 = BgL_bufposz00_12784; 
BgL_forwardz00_10817 = BgL_forwardz00_12783; 
goto BgL_statezd26zd21160z00_10769;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10775 = BgL_newzd2matchzd2_10819; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10822;
BgL_curz00_10822 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10815, BgL_forwardz00_10817); 
{ /* Llib/mpc.scm 201 */

{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5662z00_12786;
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5663z00_12787;
if(
(
(long)(BgL_curz00_10822)==10L))
{ /* Llib/mpc.scm 201 */
BgL_test5663z00_12787 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5663z00_12787 = 
(
(long)(BgL_curz00_10822)==9L)
; } 
if(BgL_test5663z00_12787)
{ /* Llib/mpc.scm 201 */
BgL_test5662z00_12786 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5662z00_12786 = 
(
(long)(BgL_curz00_10822)==32L)
; } } 
if(BgL_test5662z00_12786)
{ 
 long BgL_forwardz00_12796; long BgL_lastzd2matchzd2_12795;
BgL_lastzd2matchzd2_12795 = BgL_newzd2matchzd2_10819; 
BgL_forwardz00_12796 = 
(1L+BgL_forwardz00_10817); 
BgL_forwardz00_10817 = BgL_forwardz00_12796; 
BgL_lastzd2matchzd2_10816 = BgL_lastzd2matchzd2_12795; 
goto BgL_statezd26zd21160z00_10769;}  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10775 = BgL_newzd2matchzd2_10819; } } } } } }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10775 = BgL_newzd2matchzd2_10845; } } } } } }  else 
{ /* Llib/mpc.scm 201 */
if(
(
(long)(BgL_curz00_10804)==9L))
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10823 = BgL_iportz00_10797; 
BgL_lastzd2matchzd2_10824 = BgL_newzd2matchzd2_10801; 
BgL_forwardz00_10825 = 
(1L+BgL_forwardz00_10799); 
BgL_bufposz00_10826 = BgL_bufposz00_10800; 
BgL_statezd22zd21156z00_10770:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10827;
RGC_STOP_MATCH(BgL_iportz00_10823, BgL_forwardz00_10825); 
BgL_newzd2matchzd2_10827 = 0L; 
if(
(BgL_forwardz00_10825==BgL_bufposz00_10826))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10823))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1754z00_10828; long BgL_arg1771z00_10829;
BgL_arg1754z00_10828 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10823); 
BgL_arg1771z00_10829 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10823); 
{ 
 long BgL_bufposz00_12811; long BgL_forwardz00_12810;
BgL_forwardz00_12810 = BgL_arg1754z00_10828; 
BgL_bufposz00_12811 = BgL_arg1771z00_10829; 
BgL_bufposz00_10826 = BgL_bufposz00_12811; 
BgL_forwardz00_10825 = BgL_forwardz00_12810; 
goto BgL_statezd22zd21156z00_10770;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10775 = BgL_newzd2matchzd2_10827; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10830;
BgL_curz00_10830 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10823, BgL_forwardz00_10825); 
{ /* Llib/mpc.scm 201 */

if(
(
(long)(BgL_curz00_10830)==10L))
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10807 = BgL_iportz00_10823; 
BgL_lastzd2matchzd2_10808 = BgL_newzd2matchzd2_10827; 
BgL_forwardz00_10809 = 
(1L+BgL_forwardz00_10825); 
BgL_bufposz00_10810 = BgL_bufposz00_10826; 
BgL_statezd29zd21163z00_10768:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10811;
RGC_STOP_MATCH(BgL_iportz00_10807, BgL_forwardz00_10809); 
BgL_newzd2matchzd2_10811 = 0L; 
if(
(BgL_forwardz00_10809==BgL_bufposz00_10810))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10807))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1808z00_10812; long BgL_arg1809z00_10813;
BgL_arg1808z00_10812 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10807); 
BgL_arg1809z00_10813 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10807); 
{ 
 long BgL_bufposz00_12824; long BgL_forwardz00_12823;
BgL_forwardz00_12823 = BgL_arg1808z00_10812; 
BgL_bufposz00_12824 = BgL_arg1809z00_10813; 
BgL_bufposz00_10810 = BgL_bufposz00_12824; 
BgL_forwardz00_10809 = BgL_forwardz00_12823; 
goto BgL_statezd29zd21163z00_10768;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10775 = BgL_newzd2matchzd2_10811; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10814;
BgL_curz00_10814 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10807, BgL_forwardz00_10809); 
{ /* Llib/mpc.scm 201 */

{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5671z00_12826;
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5672z00_12827;
if(
(
(long)(BgL_curz00_10814)==10L))
{ /* Llib/mpc.scm 201 */
BgL_test5672z00_12827 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5672z00_12827 = 
(
(long)(BgL_curz00_10814)==9L)
; } 
if(BgL_test5672z00_12827)
{ /* Llib/mpc.scm 201 */
BgL_test5671z00_12826 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5671z00_12826 = 
(
(long)(BgL_curz00_10814)==32L)
; } } 
if(BgL_test5671z00_12826)
{ 
 long BgL_bufposz00_12839; long BgL_forwardz00_12837; long BgL_lastzd2matchzd2_12836; obj_t BgL_iportz00_12835;
BgL_iportz00_12835 = BgL_iportz00_10807; 
BgL_lastzd2matchzd2_12836 = BgL_newzd2matchzd2_10811; 
BgL_forwardz00_12837 = 
(1L+BgL_forwardz00_10809); 
BgL_bufposz00_12839 = BgL_bufposz00_10810; 
BgL_bufposz00_10818 = BgL_bufposz00_12839; 
BgL_forwardz00_10817 = BgL_forwardz00_12837; 
BgL_lastzd2matchzd2_10816 = BgL_lastzd2matchzd2_12836; 
BgL_iportz00_10815 = BgL_iportz00_12835; 
goto BgL_statezd26zd21160z00_10769;}  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10775 = BgL_newzd2matchzd2_10811; } } } } } }  else 
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5674z00_12841;
if(
(
(long)(BgL_curz00_10830)==9L))
{ /* Llib/mpc.scm 201 */
BgL_test5674z00_12841 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5674z00_12841 = 
(
(long)(BgL_curz00_10830)==32L)
; } 
if(BgL_test5674z00_12841)
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10849 = BgL_iportz00_10823; 
BgL_lastzd2matchzd2_10850 = BgL_newzd2matchzd2_10827; 
BgL_forwardz00_10851 = 
(1L+BgL_forwardz00_10825); 
BgL_bufposz00_10852 = BgL_bufposz00_10826; 
BgL_statezd28zd21162z00_10773:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10853;
RGC_STOP_MATCH(BgL_iportz00_10849, BgL_forwardz00_10851); 
BgL_newzd2matchzd2_10853 = 0L; 
if(
(BgL_forwardz00_10851==BgL_bufposz00_10852))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10849))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1688z00_10854; long BgL_arg1702z00_10855;
BgL_arg1688z00_10854 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10849); 
BgL_arg1702z00_10855 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10849); 
{ 
 long BgL_bufposz00_12855; long BgL_forwardz00_12854;
BgL_forwardz00_12854 = BgL_arg1688z00_10854; 
BgL_bufposz00_12855 = BgL_arg1702z00_10855; 
BgL_bufposz00_10852 = BgL_bufposz00_12855; 
BgL_forwardz00_10851 = BgL_forwardz00_12854; 
goto BgL_statezd28zd21162z00_10773;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10775 = BgL_newzd2matchzd2_10853; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10856;
BgL_curz00_10856 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10849, BgL_forwardz00_10851); 
{ /* Llib/mpc.scm 201 */

if(
(
(long)(BgL_curz00_10856)==10L))
{ 
 long BgL_bufposz00_12864; long BgL_forwardz00_12862; long BgL_lastzd2matchzd2_12861; obj_t BgL_iportz00_12860;
BgL_iportz00_12860 = BgL_iportz00_10849; 
BgL_lastzd2matchzd2_12861 = BgL_newzd2matchzd2_10853; 
BgL_forwardz00_12862 = 
(1L+BgL_forwardz00_10851); 
BgL_bufposz00_12864 = BgL_bufposz00_10852; 
BgL_bufposz00_10810 = BgL_bufposz00_12864; 
BgL_forwardz00_10809 = BgL_forwardz00_12862; 
BgL_lastzd2matchzd2_10808 = BgL_lastzd2matchzd2_12861; 
BgL_iportz00_10807 = BgL_iportz00_12860; 
goto BgL_statezd29zd21163z00_10768;}  else 
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5679z00_12865;
if(
(
(long)(BgL_curz00_10856)==9L))
{ /* Llib/mpc.scm 201 */
BgL_test5679z00_12865 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5679z00_12865 = 
(
(long)(BgL_curz00_10856)==32L)
; } 
if(BgL_test5679z00_12865)
{ 
 long BgL_forwardz00_12872; long BgL_lastzd2matchzd2_12871;
BgL_lastzd2matchzd2_12871 = BgL_newzd2matchzd2_10853; 
BgL_forwardz00_12872 = 
(1L+BgL_forwardz00_10851); 
BgL_forwardz00_10851 = BgL_forwardz00_12872; 
BgL_lastzd2matchzd2_10850 = BgL_lastzd2matchzd2_12871; 
goto BgL_statezd28zd21162z00_10773;}  else 
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10857 = BgL_iportz00_10849; 
BgL_lastzd2matchzd2_10858 = BgL_newzd2matchzd2_10853; 
BgL_forwardz00_10859 = 
(1L+BgL_forwardz00_10851); 
BgL_bufposz00_10860 = BgL_bufposz00_10852; 
BgL_statezd27zd21161z00_10774:
if(
(BgL_forwardz00_10859==BgL_bufposz00_10860))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10857))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1670z00_10861; long BgL_arg1671z00_10862;
BgL_arg1670z00_10861 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10857); 
BgL_arg1671z00_10862 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10857); 
{ 
 long BgL_bufposz00_12881; long BgL_forwardz00_12880;
BgL_forwardz00_12880 = BgL_arg1670z00_10861; 
BgL_bufposz00_12881 = BgL_arg1671z00_10862; 
BgL_bufposz00_10860 = BgL_bufposz00_12881; 
BgL_forwardz00_10859 = BgL_forwardz00_12880; 
goto BgL_statezd27zd21161z00_10774;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10775 = BgL_lastzd2matchzd2_10858; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10863;
BgL_curz00_10863 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10857, BgL_forwardz00_10859); 
{ /* Llib/mpc.scm 201 */

if(
(
(long)(BgL_curz00_10863)==10L))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1677z00_10864;
BgL_arg1677z00_10864 = 
(1L+BgL_forwardz00_10859); 
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10865;
RGC_STOP_MATCH(BgL_iportz00_10857, BgL_arg1677z00_10864); 
BgL_newzd2matchzd2_10865 = 1L; 
BgL_matchz00_10775 = BgL_newzd2matchzd2_10865; } }  else 
{ 
 long BgL_forwardz00_12888;
BgL_forwardz00_12888 = 
(1L+BgL_forwardz00_10859); 
BgL_forwardz00_10859 = BgL_forwardz00_12888; 
goto BgL_statezd27zd21161z00_10774;} } } } } } } } }  else 
{ 
 long BgL_bufposz00_12896; long BgL_forwardz00_12894; long BgL_lastzd2matchzd2_12893; obj_t BgL_iportz00_12892;
BgL_iportz00_12892 = BgL_iportz00_10823; 
BgL_lastzd2matchzd2_12893 = BgL_newzd2matchzd2_10827; 
BgL_forwardz00_12894 = 
(1L+BgL_forwardz00_10825); 
BgL_bufposz00_12896 = BgL_bufposz00_10826; 
BgL_bufposz00_10860 = BgL_bufposz00_12896; 
BgL_forwardz00_10859 = BgL_forwardz00_12894; 
BgL_lastzd2matchzd2_10858 = BgL_lastzd2matchzd2_12893; 
BgL_iportz00_10857 = BgL_iportz00_12892; 
goto BgL_statezd27zd21161z00_10774;} } } } } }  else 
{ /* Llib/mpc.scm 201 */
BgL_iportz00_10831 = BgL_iportz00_10797; 
BgL_lastzd2matchzd2_10832 = BgL_newzd2matchzd2_10801; 
BgL_forwardz00_10833 = 
(1L+BgL_forwardz00_10799); 
BgL_bufposz00_10834 = BgL_bufposz00_10800; 
BgL_statezd21zd21155z00_10771:
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10835;
RGC_STOP_MATCH(BgL_iportz00_10831, BgL_forwardz00_10833); 
BgL_newzd2matchzd2_10835 = 2L; 
if(
(BgL_forwardz00_10833==BgL_bufposz00_10834))
{ /* Llib/mpc.scm 201 */
if(
rgc_fill_buffer(BgL_iportz00_10831))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1737z00_10836; long BgL_arg1738z00_10837;
BgL_arg1737z00_10836 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10831); 
BgL_arg1738z00_10837 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10831); 
{ 
 long BgL_bufposz00_12906; long BgL_forwardz00_12905;
BgL_forwardz00_12905 = BgL_arg1737z00_10836; 
BgL_bufposz00_12906 = BgL_arg1738z00_10837; 
BgL_bufposz00_10834 = BgL_bufposz00_12906; 
BgL_forwardz00_10833 = BgL_forwardz00_12905; 
goto BgL_statezd21zd21155z00_10771;} }  else 
{ /* Llib/mpc.scm 201 */
BgL_matchz00_10775 = BgL_newzd2matchzd2_10835; } }  else 
{ /* Llib/mpc.scm 201 */
 int BgL_curz00_10838;
BgL_curz00_10838 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10831, BgL_forwardz00_10833); 
{ /* Llib/mpc.scm 201 */

if(
(
(long)(BgL_curz00_10838)==10L))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1747z00_10839;
BgL_arg1747z00_10839 = 
(1L+BgL_forwardz00_10833); 
{ /* Llib/mpc.scm 201 */
 long BgL_newzd2matchzd2_10840;
RGC_STOP_MATCH(BgL_iportz00_10831, BgL_arg1747z00_10839); 
BgL_newzd2matchzd2_10840 = 1L; 
BgL_matchz00_10775 = BgL_newzd2matchzd2_10840; } }  else 
{ 
 long BgL_bufposz00_12917; long BgL_forwardz00_12915; long BgL_lastzd2matchzd2_12914; obj_t BgL_iportz00_12913;
BgL_iportz00_12913 = BgL_iportz00_10831; 
BgL_lastzd2matchzd2_12914 = BgL_newzd2matchzd2_10835; 
BgL_forwardz00_12915 = 
(1L+BgL_forwardz00_10833); 
BgL_bufposz00_12917 = BgL_bufposz00_10834; 
BgL_bufposz00_10860 = BgL_bufposz00_12917; 
BgL_forwardz00_10859 = BgL_forwardz00_12915; 
BgL_lastzd2matchzd2_10858 = BgL_lastzd2matchzd2_12914; 
BgL_iportz00_10857 = BgL_iportz00_12913; 
goto BgL_statezd27zd21161z00_10774;} } } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10159); 
switch( BgL_matchz00_10775) { case 2L : 

{ /* Llib/mpc.scm 208 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1916z00_10778;
{ /* Llib/mpc.scm 208 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1168z00_10779;
{ /* Llib/mpc.scm 208 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1167z00_10780;
BgL_new1167z00_10780 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 208 */
 long BgL_arg1923z00_10781;
BgL_arg1923z00_10781 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1167z00_10780), BgL_arg1923z00_10781); } 
BgL_new1168z00_10779 = BgL_new1167z00_10780; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1168z00_10779)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1168z00_10779)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12928;
{ /* Llib/mpc.scm 208 */
 obj_t BgL_arg1917z00_10782;
{ /* Llib/mpc.scm 208 */
 obj_t BgL_arg1918z00_10783;
{ /* Llib/mpc.scm 208 */
 obj_t BgL_classz00_10784;
BgL_classz00_10784 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1918z00_10783 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_10784); } 
BgL_arg1917z00_10782 = 
VECTOR_REF(BgL_arg1918z00_10783,2L); } 
BgL_auxz00_12928 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1917z00_10782); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1168z00_10779)))->BgL_stackz00)=((obj_t)BgL_auxz00_12928),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1168z00_10779)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(0L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1168z00_10779)))->BgL_msgz00)=((obj_t)BGl_string5299z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_12939;
{ /* Llib/mpc.scm 211 */
 obj_t BgL_arg1919z00_10785;
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5687z00_12941;
{ /* Llib/mpc.scm 201 */
 long BgL_arg1909z00_10786;
BgL_arg1909z00_10786 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10159); 
BgL_test5687z00_12941 = 
(BgL_arg1909z00_10786==0L); } 
if(BgL_test5687z00_12941)
{ /* Llib/mpc.scm 201 */
BgL_arg1919z00_10785 = BEOF; }  else 
{ /* Llib/mpc.scm 201 */
BgL_arg1919z00_10785 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10159)); } } 
BgL_auxz00_12939 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg1919z00_10785, BgL_iportz00_10159); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1168z00_10779)))->BgL_objz00)=((obj_t)BgL_auxz00_12939),BUNSPEC); } 
BgL_arg1916z00_10778 = BgL_new1168z00_10779; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1916z00_10778));} break;case 1L : 

BgL_minz00_10787 = 
(int)(0L); 
BgL_maxz00_10788 = 
(int)(-1L); 
if(
(
(long)(BgL_maxz00_10788)<
(long)(BgL_minz00_10787)))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1837z00_10789;
BgL_arg1837z00_10789 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10159); 
{ /* Llib/mpc.scm 201 */
 long BgL_za72za7_10790;
BgL_za72za7_10790 = 
(long)(BgL_maxz00_10788); 
BgL_maxz00_10788 = 
(int)(
(BgL_arg1837z00_10789+BgL_za72za7_10790)); } }  else 
{ /* Llib/mpc.scm 201 */BFALSE; } 
{ /* Llib/mpc.scm 201 */
 bool_t BgL_test5689z00_12958;
if(
(
(long)(BgL_minz00_10787)>=0L))
{ /* Llib/mpc.scm 201 */
if(
(
(long)(BgL_maxz00_10788)>=
(long)(BgL_minz00_10787)))
{ /* Llib/mpc.scm 201 */
 long BgL_arg1846z00_10791;
BgL_arg1846z00_10791 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10159); 
BgL_test5689z00_12958 = 
(
(long)(BgL_maxz00_10788)<=BgL_arg1846z00_10791); }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5689z00_12958 = ((bool_t)0)
; } }  else 
{ /* Llib/mpc.scm 201 */
BgL_test5689z00_12958 = ((bool_t)0)
; } 
if(BgL_test5689z00_12958)
{ /* Llib/mpc.scm 201 */
return 
rgc_buffer_substring(BgL_iportz00_10159, 
(long)(BgL_minz00_10787), 
(long)(BgL_maxz00_10788));}  else 
{ /* Llib/mpc.scm 201 */
 obj_t BgL_arg1842z00_10792; obj_t BgL_arg1843z00_10793;
{ /* Llib/mpc.scm 201 */
 obj_t BgL_arg1844z00_10794;
{ /* Llib/mpc.scm 201 */
 long BgL_arg1834z00_10795;
BgL_arg1834z00_10795 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10159); 
BgL_arg1844z00_10794 = 
rgc_buffer_substring(BgL_iportz00_10159, 0L, BgL_arg1834z00_10795); } 
{ /* Llib/mpc.scm 201 */
 obj_t BgL_list1845z00_10796;
BgL_list1845z00_10796 = 
MAKE_YOUNG_PAIR(BgL_arg1844z00_10794, BNIL); 
BgL_arg1842z00_10792 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5300z00zz__multimediazd2mpczd2, BgL_list1845z00_10796); } } 
BgL_arg1843z00_10793 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_10787), 
BINT(BgL_maxz00_10788)); 
return 
BGl_errorz00zz__errorz00(BGl_string5301z00zz__multimediazd2mpczd2, BgL_arg1842z00_10792, BgL_arg1843z00_10793);} } break;case 0L : 

goto BgL_ignorez00_10764;break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_10775));} } } } 

}



/* set-error! */
obj_t BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_6, BgL_musicstatusz00_bglt BgL_statusz00_7, obj_t BgL_ez00_8)
{
{ /* Llib/mpc.scm 74 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_7))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(1L)),BUNSPEC); 
{ /* Llib/mpc.scm 79 */
 bool_t BgL_test5692z00_12987;
{ /* Llib/mpc.scm 79 */
 obj_t BgL_classz00_7690;
BgL_classz00_7690 = BGl_z62errorz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_ez00_8))
{ /* Llib/mpc.scm 79 */
 BgL_objectz00_bglt BgL_arg1778z00_7692;
BgL_arg1778z00_7692 = 
(BgL_objectz00_bglt)(BgL_ez00_8); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpc.scm 79 */
 long BgL_idxz00_7698;
BgL_idxz00_7698 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_7692); 
BgL_test5692z00_12987 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_7698+3L))==BgL_classz00_7690); }  else 
{ /* Llib/mpc.scm 79 */
 bool_t BgL_res5203z00_7720;
{ /* Llib/mpc.scm 79 */
 obj_t BgL_oclassz00_7706;
{ /* Llib/mpc.scm 79 */
 long BgL_arg1785z00_7712;
{ /* Llib/mpc.scm 79 */
 long BgL_arg1786z00_7713;
BgL_arg1786z00_7713 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_7692); 
BgL_arg1785z00_7712 = 
(BgL_arg1786z00_7713-OBJECT_TYPE); } 
BgL_oclassz00_7706 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7712); } 
{ /* Llib/mpc.scm 79 */
 bool_t BgL__ortest_1114z00_7707;
BgL__ortest_1114z00_7707 = 
(BgL_classz00_7690==BgL_oclassz00_7706); 
if(BgL__ortest_1114z00_7707)
{ /* Llib/mpc.scm 79 */
BgL_res5203z00_7720 = BgL__ortest_1114z00_7707; }  else 
{ /* Llib/mpc.scm 79 */
 long BgL_odepthz00_7708;
BgL_odepthz00_7708 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7706); 
if(
(3L<BgL_odepthz00_7708))
{ /* Llib/mpc.scm 79 */
 obj_t BgL_arg1775z00_7710;
BgL_arg1775z00_7710 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7706, 3L); 
BgL_res5203z00_7720 = 
(BgL_arg1775z00_7710==BgL_classz00_7690); }  else 
{ /* Llib/mpc.scm 79 */
BgL_res5203z00_7720 = ((bool_t)0); } } } } 
BgL_test5692z00_12987 = BgL_res5203z00_7720; } }  else 
{ /* Llib/mpc.scm 79 */
BgL_test5692z00_12987 = ((bool_t)0)
; } } 
if(BgL_test5692z00_12987)
{ /* Llib/mpc.scm 79 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_7))->BgL_errz00)=((obj_t)
(((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_ez00_8)))->BgL_msgz00)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 82 */
 bool_t BgL_test5697z00_13010;
{ /* Llib/mpc.scm 82 */
 obj_t BgL_classz00_7721;
BgL_classz00_7721 = BGl_z62exceptionz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_ez00_8))
{ /* Llib/mpc.scm 82 */
 BgL_objectz00_bglt BgL_arg1778z00_7723;
BgL_arg1778z00_7723 = 
(BgL_objectz00_bglt)(BgL_ez00_8); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpc.scm 82 */
 long BgL_idxz00_7729;
BgL_idxz00_7729 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_7723); 
BgL_test5697z00_13010 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_7729+2L))==BgL_classz00_7721); }  else 
{ /* Llib/mpc.scm 82 */
 bool_t BgL_res5204z00_7751;
{ /* Llib/mpc.scm 82 */
 obj_t BgL_oclassz00_7737;
{ /* Llib/mpc.scm 82 */
 long BgL_arg1785z00_7743;
{ /* Llib/mpc.scm 82 */
 long BgL_arg1786z00_7744;
BgL_arg1786z00_7744 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_7723); 
BgL_arg1785z00_7743 = 
(BgL_arg1786z00_7744-OBJECT_TYPE); } 
BgL_oclassz00_7737 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_7743); } 
{ /* Llib/mpc.scm 82 */
 bool_t BgL__ortest_1114z00_7738;
BgL__ortest_1114z00_7738 = 
(BgL_classz00_7721==BgL_oclassz00_7737); 
if(BgL__ortest_1114z00_7738)
{ /* Llib/mpc.scm 82 */
BgL_res5204z00_7751 = BgL__ortest_1114z00_7738; }  else 
{ /* Llib/mpc.scm 82 */
 long BgL_odepthz00_7739;
BgL_odepthz00_7739 = 
BGL_CLASS_DEPTH(BgL_oclassz00_7737); 
if(
(2L<BgL_odepthz00_7739))
{ /* Llib/mpc.scm 82 */
 obj_t BgL_arg1775z00_7741;
BgL_arg1775z00_7741 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7737, 2L); 
BgL_res5204z00_7751 = 
(BgL_arg1775z00_7741==BgL_classz00_7721); }  else 
{ /* Llib/mpc.scm 82 */
BgL_res5204z00_7751 = ((bool_t)0); } } } } 
BgL_test5697z00_13010 = BgL_res5204z00_7751; } }  else 
{ /* Llib/mpc.scm 82 */
BgL_test5697z00_13010 = ((bool_t)0)
; } } 
if(BgL_test5697z00_13010)
{ 
 obj_t BgL_auxz00_13030;
{ /* Llib/mpc.scm 83 */
 obj_t BgL_zc3z04anonymousza32393ze3z87_10160;
BgL_zc3z04anonymousza32393ze3z87_10160 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32393ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32393ze3z87_10160, 
(int)(0L), BgL_ez00_8); 
BgL_auxz00_13030 = 
BGl_withzd2errorzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza32393ze3z87_10160); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_7))->BgL_errz00)=((obj_t)BgL_auxz00_13030),BUNSPEC); }  else 
{ /* Llib/mpc.scm 82 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_7))->BgL_errz00)=((obj_t)BgL_ez00_8),BUNSPEC); } } } 
{ /* Llib/mpc.scm 86 */
 bool_t BgL_test5702z00_13039;
{ /* Llib/mpc.scm 86 */
 obj_t BgL_tmpz00_13040;
BgL_tmpz00_13040 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_6))->BgL_z52socketz52); 
BgL_test5702z00_13039 = 
SOCKETP(BgL_tmpz00_13040); } 
if(BgL_test5702z00_13039)
{ /* Llib/mpc.scm 86 */
{ /* Llib/mpc.scm 87 */
 obj_t BgL_arg2396z00_1387;
BgL_arg2396z00_1387 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_6))->BgL_z52socketz52); 
socket_close(
((obj_t)BgL_arg2396z00_1387)); } 
return 
((((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_6))->BgL_z52socketz52)=((obj_t)BFALSE),BUNSPEC);}  else 
{ /* Llib/mpc.scm 86 */
return BFALSE;} } } 

}



/* &<@anonymous:2393> */
obj_t BGl_z62zc3z04anonymousza32393ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10161)
{
{ /* Llib/mpc.scm 83 */
return 
BGl_exceptionzd2notifyzd2zz__objectz00(
PROCEDURE_REF(BgL_envz00_10161, 
(int)(0L)));} 

}



/* exec */
bool_t BGl_execz00zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_9, obj_t BgL_cmdz00_10)
{
{ /* Llib/mpc.scm 93 */
{ /* Llib/mpc.scm 95 */
 obj_t BgL_poz00_1390;
{ /* Llib/mpc.scm 95 */
 obj_t BgL_arg2406z00_1399;
BgL_arg2406z00_1399 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_9))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 95 */
 obj_t BgL_tmpz00_13051;
BgL_tmpz00_13051 = 
((obj_t)BgL_arg2406z00_1399); 
BgL_poz00_1390 = 
SOCKET_OUTPUT(BgL_tmpz00_13051); } } 
bgl_display_string(BgL_cmdz00_10, BgL_poz00_1390); 
bgl_display_char(((unsigned char)10), BgL_poz00_1390); 
bgl_flush_output_port(BgL_poz00_1390); 
return ((bool_t)1);} } 

}



/* mpc-cmd */
obj_t BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_11, obj_t BgL_cmdz00_12, obj_t BgL_parserz00_13)
{
{ /* Llib/mpc.scm 114 */
if(
BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_mpcz00_11)))
{ /* Llib/mpc.scm 139 */
return BFALSE;}  else 
{ /* Llib/mpc.scm 139 */
BGl__c_z00zz__multimediazd2mpczd2 = 
(BGl__c_z00zz__multimediazd2mpczd2+1L); 
return 
BGl_retryze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_11, BgL_parserz00_13, BgL_mpcz00_11, BgL_cmdz00_12, 3L);} } 

}



/* handler1125~0 */
obj_t BGl_handler1125ze70ze7zz__multimediazd2mpczd2(obj_t BgL_ez00_1493)
{
{ /* Llib/mpc.scm 156 */
BGL_TAIL return 
BGl_raisez00zz__errorz00(BgL_ez00_1493);} 

}



/* handler1106~0 */
obj_t BGl_handler1106ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10577, BgL_mpcz00_bglt BgL_i1100z00_10576, obj_t BgL_ez00_1443)
{
{ /* Llib/mpc.scm 145 */
{ /* Llib/mpc.scm 148 */
 BgL_z62iozd2errorzb0_bglt BgL_arg2447z00_1458;
{ /* Llib/mpc.scm 148 */
 BgL_z62iozd2errorzb0_bglt BgL_new1111z00_1459;
{ /* Llib/mpc.scm 148 */
 BgL_z62iozd2errorzb0_bglt BgL_new1110z00_1466;
BgL_new1110z00_1466 = 
((BgL_z62iozd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2errorzb0_bgl) ))); 
{ /* Llib/mpc.scm 148 */
 long BgL_arg2454z00_1467;
BgL_arg2454z00_1467 = 
BGL_CLASS_NUM(BGl_z62iozd2errorzb0zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_1466), BgL_arg2454z00_1467); } 
BgL_new1111z00_1459 = BgL_new1110z00_1466; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_1459)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_1459)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_13071;
{ /* Llib/mpc.scm 148 */
 obj_t BgL_arg2448z00_1460;
{ /* Llib/mpc.scm 148 */
 obj_t BgL_arg2449z00_1461;
{ /* Llib/mpc.scm 148 */
 obj_t BgL_classz00_7774;
BgL_classz00_7774 = BGl_z62iozd2errorzb0zz__objectz00; 
BgL_arg2449z00_1461 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_7774); } 
BgL_arg2448z00_1460 = 
VECTOR_REF(BgL_arg2449z00_1461,2L); } 
BgL_auxz00_13071 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg2448z00_1460); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_1459)))->BgL_stackz00)=((obj_t)BgL_auxz00_13071),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_1459)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(2L)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_13080;
{ /* Llib/mpc.scm 150 */
 obj_t BgL_arg2450z00_1462; obj_t BgL_arg2451z00_1463;
BgL_arg2450z00_1462 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_i1100z00_10576))->BgL_hostz00); 
BgL_arg2451z00_1463 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_i1100z00_10576))->BgL_portz00); 
{ /* Llib/mpc.scm 150 */
 obj_t BgL_list2452z00_1464;
{ /* Llib/mpc.scm 150 */
 obj_t BgL_arg2453z00_1465;
BgL_arg2453z00_1465 = 
MAKE_YOUNG_PAIR(BgL_arg2451z00_1463, BNIL); 
BgL_list2452z00_1464 = 
MAKE_YOUNG_PAIR(BgL_arg2450z00_1462, BgL_arg2453z00_1465); } 
BgL_auxz00_13080 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5302z00zz__multimediazd2mpczd2, BgL_list2452z00_1464); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_1459)))->BgL_msgz00)=((obj_t)BgL_auxz00_13080),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_1459)))->BgL_objz00)=((obj_t)
((obj_t)BgL_mpcz00_10577)),BUNSPEC); 
BgL_arg2447z00_1458 = BgL_new1111z00_1459; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg2447z00_1458));} } 

}



/* retry~0 */
obj_t BGl_retryze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10581, obj_t BgL_parserz00_10580, BgL_mpcz00_bglt BgL_i1100z00_10579, obj_t BgL_cmdz00_10578, long BgL_countz00_1416)
{
{ /* Llib/mpc.scm 141 */
if(
CBOOL(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1100z00_10579))->BgL_z52socketz52)))
{ /* Llib/mpc.scm 143 */BFALSE; }  else 
{ /* Llib/mpc.scm 143 */
{ /* Llib/mpc.scm 144 */
 obj_t BgL_env1109z00_1420;
BgL_env1109z00_1420 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_cell1104z00_1421;
BgL_cell1104z00_1421 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_val1108z00_1422;
BgL_val1108z00_1422 = 
BGl_zc3z04exitza32422ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_10581, BgL_cell1104z00_1421, BgL_env1109z00_1420); 
if(
(BgL_val1108z00_1422==BgL_cell1104z00_1421))
{ /* Llib/mpc.scm 144 */
{ /* Llib/mpc.scm 144 */
 int BgL_tmpz00_13101;
BgL_tmpz00_13101 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_13101); } 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_arg2421z00_1423;
BgL_arg2421z00_1423 = 
CELL_REF(
((obj_t)BgL_val1108z00_1422)); 
BGl_handler1106ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_10581, BgL_i1100z00_10579, BgL_arg2421z00_1423); } }  else 
{ /* Llib/mpc.scm 144 */BgL_val1108z00_1422; } } } } 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_env1128z00_1470;
BgL_env1128z00_1470 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_cell1123z00_1471;
BgL_cell1123z00_1471 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_val1127z00_1472;
BgL_val1127z00_1472 = 
BGl_zc3z04exitza32456ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_10581, BgL_cell1123z00_1471, BgL_env1128z00_1470); 
if(
(BgL_val1127z00_1472==BgL_cell1123z00_1471))
{ /* Llib/mpc.scm 155 */
{ /* Llib/mpc.scm 155 */
 int BgL_tmpz00_13112;
BgL_tmpz00_13112 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_13112); } 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_arg2455z00_1473;
BgL_arg2455z00_1473 = 
CELL_REF(
((obj_t)BgL_val1127z00_1472)); 
BGl_handler1125ze70ze7zz__multimediazd2mpczd2(BgL_arg2455z00_1473); } }  else 
{ /* Llib/mpc.scm 155 */BgL_val1127z00_1472; } } } } } 
if(
CBOOL(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1100z00_10579))->BgL_z52socketz52)))
{ /* Llib/mpc.scm 165 */
{ /* Llib/mpc.scm 168 */
 obj_t BgL_vz00_1525;
{ /* Llib/mpc.scm 168 */
 obj_t BgL_env1145z00_1536;
BgL_env1145z00_1536 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_cell1140z00_1537;
BgL_cell1140z00_1537 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_val1144z00_1538;
BgL_val1144z00_1538 = 
BGl_zc3z04exitza32507ze3ze70z60zz__multimediazd2mpczd2(BgL_cmdz00_10578, BgL_mpcz00_10581, BgL_cell1140z00_1537, BgL_env1145z00_1536); 
if(
(BgL_val1144z00_1538==BgL_cell1140z00_1537))
{ /* Llib/mpc.scm 168 */
{ /* Llib/mpc.scm 168 */
 int BgL_tmpz00_13126;
BgL_tmpz00_13126 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_13126); } 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_arg2506z00_1539;
BgL_arg2506z00_1539 = 
CELL_REF(
((obj_t)BgL_val1144z00_1538)); 
BgL_vz00_1525 = 
BGl_handler1142ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_10581, BgL_i1100z00_10579, BgL_countz00_1416, BgL_cmdz00_10578, BgL_parserz00_10580, BgL_arg2506z00_1539); } }  else 
{ /* Llib/mpc.scm 168 */
BgL_vz00_1525 = BgL_val1144z00_1538; } } } } 
return 
((obj_t (*)(obj_t, BgL_mpcz00_bglt))PROCEDURE_L_ENTRY(BgL_parserz00_10580))(BgL_parserz00_10580, BgL_mpcz00_10581);} }  else 
{ /* Llib/mpc.scm 165 */
return BFALSE;} } 

}



/* <@exit:2422>~0 */
obj_t BGl_zc3z04exitza32422ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10584, obj_t BgL_cell1104z00_10583, obj_t BgL_env1109z00_10582)
{
{ /* Llib/mpc.scm 144 */
{ 
 BgL_mpcz00_bglt BgL_mpcz00_1589;
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1115z00_1425;
if( SET_EXIT(BgL_an_exit1115z00_1425 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1115z00_1425 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1109z00_10582, BgL_an_exit1115z00_1425, 1L); 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_escape1105z00_1426;
BgL_escape1105z00_1426 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1109z00_10582); 
{ /* Llib/mpc.scm 144 */
 bool_t BgL_res1118z00_1427;
{ /* Llib/mpc.scm 144 */
 obj_t BgL_ohs1101z00_1428;
BgL_ohs1101z00_1428 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1109z00_10582); 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_hds1102z00_1429;
BgL_hds1102z00_1429 = 
MAKE_STACK_PAIR(BgL_escape1105z00_1426, BgL_cell1104z00_10583); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1109z00_10582, BgL_hds1102z00_1429); BUNSPEC; 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_exitd1112z00_1430;
BgL_exitd1112z00_1430 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1109z00_10582); 
{ /* Llib/mpc.scm 144 */
 obj_t BgL_tmp1114z00_1431;
{ /* Llib/mpc.scm 144 */
 obj_t BgL_arg2432z00_1442;
BgL_arg2432z00_1442 = 
BGL_EXITD_PROTECT(BgL_exitd1112z00_1430); 
BgL_tmp1114z00_1431 = 
MAKE_YOUNG_PAIR(BgL_ohs1101z00_1428, BgL_arg2432z00_1442); } 
{ /* Llib/mpc.scm 144 */

BGL_EXITD_PROTECT_SET(BgL_exitd1112z00_1430, BgL_tmp1114z00_1431); BUNSPEC; 
{ /* Llib/mpc.scm 153 */
 bool_t BgL_tmp1113z00_1432;
BgL_mpcz00_1589 = BgL_mpcz00_10584; 
{ 
 obj_t BgL_auxz00_13147;
{ /* Llib/mpc.scm 132 */
 obj_t BgL_arg2540z00_1592; obj_t BgL_arg2541z00_1593; obj_t BgL_arg2542z00_1594;
BgL_arg2540z00_1592 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1589))->BgL_hostz00); 
BgL_arg2541z00_1593 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1589))->BgL_portz00); 
BgL_arg2542z00_1594 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1589))->BgL_timeoutz00); 
{ /* Llib/mpc.scm 132 */
 obj_t BgL_domainz00_1595;
BgL_domainz00_1595 = 
CNST_TABLE_REF(3L); 
BgL_auxz00_13147 = 
BGl_makezd2clientzd2socketz00zz__socketz00(BgL_arg2540z00_1592, 
CINT(BgL_arg2541z00_1593), BgL_domainz00_1595, BTRUE, BTRUE, BgL_arg2542z00_1594); } } 
((((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1589))->BgL_z52socketz52)=((obj_t)BgL_auxz00_13147),BUNSPEC); } 
{ /* Llib/mpc.scm 133 */
 obj_t BgL_arg2543z00_1599; obj_t BgL_arg2544z00_1600;
{ /* Llib/mpc.scm 133 */
 obj_t BgL_arg2545z00_1601;
BgL_arg2545z00_1601 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1589))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 133 */
 obj_t BgL_tmpz00_13156;
BgL_tmpz00_13156 = 
((obj_t)BgL_arg2545z00_1601); 
BgL_arg2543z00_1599 = 
SOCKET_INPUT(BgL_tmpz00_13156); } } 
BgL_arg2544z00_1600 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1589))->BgL_timeoutz00); 
BgL_tmp1113z00_1432 = 
bgl_input_port_timeout_set(BgL_arg2543z00_1599, 
(long)CINT(BgL_arg2544z00_1600)); } 
{ /* Llib/mpc.scm 144 */
 bool_t BgL_test5709z00_13162;
{ /* Llib/mpc.scm 144 */
 obj_t BgL_arg1796z00_7778;
BgL_arg1796z00_7778 = 
BGL_EXITD_PROTECT(BgL_exitd1112z00_1430); 
BgL_test5709z00_13162 = 
PAIRP(BgL_arg1796z00_7778); } 
if(BgL_test5709z00_13162)
{ /* Llib/mpc.scm 144 */
 obj_t BgL_arg1794z00_7779;
{ /* Llib/mpc.scm 144 */
 obj_t BgL_arg1795z00_7780;
BgL_arg1795z00_7780 = 
BGL_EXITD_PROTECT(BgL_exitd1112z00_1430); 
BgL_arg1794z00_7779 = 
CDR(
((obj_t)BgL_arg1795z00_7780)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1112z00_1430, BgL_arg1794z00_7779); BUNSPEC; }  else 
{ /* Llib/mpc.scm 144 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1109z00_10582, BgL_ohs1101z00_1428); BUNSPEC; 
BgL_res1118z00_1427 = BgL_tmp1113z00_1432; } } } } } } 
POP_ENV_EXIT(BgL_env1109z00_10582); 
return 
BBOOL(BgL_res1118z00_1427);} } 
}} } 

}



/* <@exit:2456>~0 */
obj_t BGl_zc3z04exitza32456ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10587, obj_t BgL_cell1123z00_10586, obj_t BgL_env1128z00_10585)
{
{ /* Llib/mpc.scm 155 */
{ 
 BgL_mpcz00_bglt BgL_mpcz00_1570;
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1132z00_1475;
if( SET_EXIT(BgL_an_exit1132z00_1475 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1132z00_1475 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1128z00_10585, BgL_an_exit1132z00_1475, 1L); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_escape1124z00_1476;
BgL_escape1124z00_1476 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1128z00_10585); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_res1135z00_1477;
{ /* Llib/mpc.scm 155 */
 obj_t BgL_ohs1120z00_1478;
BgL_ohs1120z00_1478 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1128z00_10585); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_hds1121z00_1479;
BgL_hds1121z00_1479 = 
MAKE_STACK_PAIR(BgL_escape1124z00_1476, BgL_cell1123z00_10586); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1128z00_10585, BgL_hds1121z00_1479); BUNSPEC; 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_exitd1129z00_1480;
BgL_exitd1129z00_1480 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1128z00_10585); 
{ /* Llib/mpc.scm 155 */
 obj_t BgL_tmp1131z00_1481;
{ /* Llib/mpc.scm 155 */
 obj_t BgL_arg2466z00_1492;
BgL_arg2466z00_1492 = 
BGL_EXITD_PROTECT(BgL_exitd1129z00_1480); 
BgL_tmp1131z00_1481 = 
MAKE_YOUNG_PAIR(BgL_ohs1120z00_1478, BgL_arg2466z00_1492); } 
{ /* Llib/mpc.scm 155 */

BGL_EXITD_PROTECT_SET(BgL_exitd1129z00_1480, BgL_tmp1131z00_1481); BUNSPEC; 
{ /* Llib/mpc.scm 161 */
 obj_t BgL_tmp1130z00_1482;
BgL_mpcz00_1570 = BgL_mpcz00_10587; 
{ /* Llib/mpc.scm 118 */
 bool_t BgL_test5710z00_13183;
{ /* Llib/mpc.scm 118 */
 obj_t BgL_tmpz00_13184;
BgL_tmpz00_13184 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1570))->BgL_helloz00); 
BgL_test5710z00_13183 = 
STRINGP(BgL_tmpz00_13184); } 
if(BgL_test5710z00_13183)
{ /* Llib/mpc.scm 119 */
 obj_t BgL_poz00_1575;
{ /* Llib/mpc.scm 119 */
 obj_t BgL_arg2530z00_1577;
BgL_arg2530z00_1577 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1570))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 119 */
 obj_t BgL_tmpz00_13188;
BgL_tmpz00_13188 = 
((obj_t)BgL_arg2530z00_1577); 
BgL_poz00_1575 = 
SOCKET_OUTPUT(BgL_tmpz00_13188); } } 
bgl_display_obj(
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1570))->BgL_helloz00), BgL_poz00_1575); 
bgl_flush_output_port(BgL_poz00_1575); }  else 
{ /* Llib/mpc.scm 118 */BFALSE; } } 
{ /* Llib/mpc.scm 122 */
 obj_t BgL_piz00_1579;
{ /* Llib/mpc.scm 122 */
 obj_t BgL_arg2538z00_1588;
BgL_arg2538z00_1588 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1570))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 122 */
 obj_t BgL_tmpz00_13195;
BgL_tmpz00_13195 = 
((obj_t)BgL_arg2538z00_1588); 
BgL_piz00_1579 = 
SOCKET_INPUT(BgL_tmpz00_13195); } } 
{ /* Llib/mpc.scm 123 */
 obj_t BgL_lz00_1580;
BgL_lz00_1580 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_piz00_1579); 
{ /* Llib/mpc.scm 124 */
 bool_t BgL_test5711z00_13199;
if(
STRINGP(BgL_lz00_1580))
{ /* Llib/mpc.scm 124 */
BgL_test5711z00_13199 = 
bigloo_strcmp_at(BgL_lz00_1580, BGl_string5303z00zz__multimediazd2mpczd2, 0L)
; }  else 
{ /* Llib/mpc.scm 124 */
BgL_test5711z00_13199 = ((bool_t)0)
; } 
if(BgL_test5711z00_13199)
{ 
 obj_t BgL_auxz00_13203;
{ /* Llib/mpc.scm 125 */
 long BgL_arg2534z00_1583;
BgL_arg2534z00_1583 = 
STRING_LENGTH(BgL_lz00_1580); 
BgL_auxz00_13203 = 
c_substring(BgL_lz00_1580, 6L, BgL_arg2534z00_1583); } 
BgL_tmp1130z00_1482 = 
((((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_1570))->BgL_z52mpdz52)=((obj_t)BgL_auxz00_13203),BUNSPEC); }  else 
{ /* Llib/mpc.scm 126 */
 BgL_musicstatusz00_bglt BgL_arg2535z00_1584; obj_t BgL_arg2536z00_1585;
BgL_arg2535z00_1584 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_mpcz00_1570)))->BgL_z52statusz52); 
{ /* Llib/mpc.scm 128 */
 obj_t BgL_list2537z00_1586;
BgL_list2537z00_1586 = 
MAKE_YOUNG_PAIR(BgL_lz00_1580, BNIL); 
BgL_arg2536z00_1585 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5304z00zz__multimediazd2mpczd2, BgL_list2537z00_1586); } 
BgL_tmp1130z00_1482 = 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_1570, BgL_arg2535z00_1584, BgL_arg2536z00_1585); } } } } 
{ /* Llib/mpc.scm 155 */
 bool_t BgL_test5713z00_13212;
{ /* Llib/mpc.scm 155 */
 obj_t BgL_arg1796z00_7786;
BgL_arg1796z00_7786 = 
BGL_EXITD_PROTECT(BgL_exitd1129z00_1480); 
BgL_test5713z00_13212 = 
PAIRP(BgL_arg1796z00_7786); } 
if(BgL_test5713z00_13212)
{ /* Llib/mpc.scm 155 */
 obj_t BgL_arg1794z00_7787;
{ /* Llib/mpc.scm 155 */
 obj_t BgL_arg1795z00_7788;
BgL_arg1795z00_7788 = 
BGL_EXITD_PROTECT(BgL_exitd1129z00_1480); 
BgL_arg1794z00_7787 = 
CDR(
((obj_t)BgL_arg1795z00_7788)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1129z00_1480, BgL_arg1794z00_7787); BUNSPEC; }  else 
{ /* Llib/mpc.scm 155 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1128z00_10585, BgL_ohs1120z00_1478); BUNSPEC; 
BgL_res1135z00_1477 = BgL_tmp1130z00_1482; } } } } } } 
POP_ENV_EXIT(BgL_env1128z00_10585); 
return BgL_res1135z00_1477;} } 
}} } 

}



/* <@exit:2507>~0 */
obj_t BGl_zc3z04exitza32507ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_cmdz00_10591, BgL_mpcz00_bglt BgL_mpcz00_10590, obj_t BgL_cell1140z00_10589, obj_t BgL_env1145z00_10588)
{
{ /* Llib/mpc.scm 168 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1149z00_1541;
if( SET_EXIT(BgL_an_exit1149z00_1541 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1149z00_1541 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1145z00_10588, BgL_an_exit1149z00_1541, 1L); 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_escape1141z00_1542;
BgL_escape1141z00_1542 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1145z00_10588); 
{ /* Llib/mpc.scm 168 */
 bool_t BgL_res1152z00_1543;
{ /* Llib/mpc.scm 168 */
 obj_t BgL_ohs1137z00_1544;
BgL_ohs1137z00_1544 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1145z00_10588); 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_hds1138z00_1545;
BgL_hds1138z00_1545 = 
MAKE_STACK_PAIR(BgL_escape1141z00_1542, BgL_cell1140z00_10589); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1145z00_10588, BgL_hds1138z00_1545); BUNSPEC; 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_exitd1146z00_1546;
BgL_exitd1146z00_1546 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1145z00_10588); 
{ /* Llib/mpc.scm 168 */
 obj_t BgL_tmp1148z00_1547;
{ /* Llib/mpc.scm 168 */
 obj_t BgL_arg2508z00_1549;
BgL_arg2508z00_1549 = 
BGL_EXITD_PROTECT(BgL_exitd1146z00_1546); 
BgL_tmp1148z00_1547 = 
MAKE_YOUNG_PAIR(BgL_ohs1137z00_1544, BgL_arg2508z00_1549); } 
{ /* Llib/mpc.scm 168 */

BGL_EXITD_PROTECT_SET(BgL_exitd1146z00_1546, BgL_tmp1148z00_1547); BUNSPEC; 
{ /* Llib/mpc.scm 176 */
 bool_t BgL_tmp1147z00_1548;
BgL_tmp1147z00_1548 = 
BGl_execz00zz__multimediazd2mpczd2(BgL_mpcz00_10590, BgL_cmdz00_10591); 
{ /* Llib/mpc.scm 168 */
 bool_t BgL_test5714z00_13233;
{ /* Llib/mpc.scm 168 */
 obj_t BgL_arg1796z00_7797;
BgL_arg1796z00_7797 = 
BGL_EXITD_PROTECT(BgL_exitd1146z00_1546); 
BgL_test5714z00_13233 = 
PAIRP(BgL_arg1796z00_7797); } 
if(BgL_test5714z00_13233)
{ /* Llib/mpc.scm 168 */
 obj_t BgL_arg1794z00_7798;
{ /* Llib/mpc.scm 168 */
 obj_t BgL_arg1795z00_7799;
BgL_arg1795z00_7799 = 
BGL_EXITD_PROTECT(BgL_exitd1146z00_1546); 
BgL_arg1794z00_7798 = 
CDR(
((obj_t)BgL_arg1795z00_7799)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1146z00_1546, BgL_arg1794z00_7798); BUNSPEC; }  else 
{ /* Llib/mpc.scm 168 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1145z00_10588, BgL_ohs1137z00_1544); BUNSPEC; 
BgL_res1152z00_1543 = BgL_tmp1147z00_1548; } } } } } } 
POP_ENV_EXIT(BgL_env1145z00_10588); 
return 
BBOOL(BgL_res1152z00_1543);} } 
}} 

}



/* handler1142~0 */
obj_t BGl_handler1142ze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10596, BgL_mpcz00_bglt BgL_i1100z00_10595, long BgL_countz00_10594, obj_t BgL_cmdz00_10593, obj_t BgL_parserz00_10592, obj_t BgL_ez00_1550)
{
{ /* Llib/mpc.scm 169 */
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2510z00_1552;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_tmpz00_13243;
BgL_tmpz00_13243 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2510z00_1552 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_13243); } 
{ /* Llib/mpc.scm 170 */
 obj_t BgL_list2511z00_1553;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2512z00_1554;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2513z00_1555;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2514z00_1556;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2515z00_1557;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2516z00_1558;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2517z00_1559;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2518z00_1560;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2519z00_1561;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2520z00_1562;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2521z00_1563;
{ /* Llib/mpc.scm 170 */
 obj_t BgL_arg2522z00_1564;
BgL_arg2522z00_1564 = 
MAKE_YOUNG_PAIR(BgL_ez00_1550, BNIL); 
BgL_arg2521z00_1563 = 
MAKE_YOUNG_PAIR(BGl_string5305z00zz__multimediazd2mpczd2, BgL_arg2522z00_1564); } 
BgL_arg2520z00_1562 = 
MAKE_YOUNG_PAIR(BgL_cmdz00_10593, BgL_arg2521z00_1563); } 
BgL_arg2519z00_1561 = 
MAKE_YOUNG_PAIR(BGl_string5306z00zz__multimediazd2mpczd2, BgL_arg2520z00_1562); } 
BgL_arg2518z00_1560 = 
MAKE_YOUNG_PAIR(
BINT(BgL_countz00_10594), BgL_arg2519z00_1561); } 
BgL_arg2517z00_1559 = 
MAKE_YOUNG_PAIR(BGl_string5307z00zz__multimediazd2mpczd2, BgL_arg2518z00_1560); } 
BgL_arg2516z00_1558 = 
MAKE_YOUNG_PAIR(
BINT(BGl__c_z00zz__multimediazd2mpczd2), BgL_arg2517z00_1559); } 
BgL_arg2515z00_1557 = 
MAKE_YOUNG_PAIR(BGl_string5308z00zz__multimediazd2mpczd2, BgL_arg2516z00_1558); } 
BgL_arg2514z00_1556 = 
MAKE_YOUNG_PAIR(BGl_string5309z00zz__multimediazd2mpczd2, BgL_arg2515z00_1557); } 
BgL_arg2513z00_1555 = 
MAKE_YOUNG_PAIR(
BINT(170L), BgL_arg2514z00_1556); } 
BgL_arg2512z00_1554 = 
MAKE_YOUNG_PAIR(BGl_string5310z00zz__multimediazd2mpczd2, BgL_arg2513z00_1555); } 
BgL_list2511z00_1553 = 
MAKE_YOUNG_PAIR(BGl_string5311z00zz__multimediazd2mpczd2, BgL_arg2512z00_1554); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2510z00_1552, BgL_list2511z00_1553); } } 
if(
(BgL_countz00_10594>0L))
{ /* Llib/mpc.scm 171 */
{ /* Llib/mpc.scm 173 */
 BgL_musicstatusz00_bglt BgL_arg2524z00_1566;
BgL_arg2524z00_1566 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1100z00_10595)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10596, BgL_arg2524z00_1566, BgL_ez00_1550); } 
return 
BGl_retryze70ze7zz__multimediazd2mpczd2(BgL_mpcz00_10596, BgL_parserz00_10592, BgL_i1100z00_10595, BgL_cmdz00_10593, 
(BgL_countz00_10594-1L));}  else 
{ /* Llib/mpc.scm 171 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_1550);} } 

}



/* parse-error-msg */
obj_t BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(obj_t BgL_failz00_14, obj_t BgL_portz00_15)
{
{ /* Llib/mpc.scm 187 */
{ /* Llib/mpc.scm 188 */
 obj_t BgL_sz00_1604; obj_t BgL_lz00_1605;
if(
CHARP(BgL_failz00_14))
{ /* Llib/mpc.scm 189 */
 obj_t BgL_list2552z00_1612;
BgL_list2552z00_1612 = 
MAKE_YOUNG_PAIR(BgL_failz00_14, BNIL); 
BgL_sz00_1604 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2552z00_1612); }  else 
{ /* Llib/mpc.scm 189 */
if(
EOF_OBJECTP(BgL_failz00_14))
{ /* Llib/mpc.scm 190 */
BgL_sz00_1604 = BGl_string5312z00zz__multimediazd2mpczd2; }  else 
{ /* Llib/mpc.scm 191 */
 obj_t BgL_zc3z04anonymousza32555ze3z87_10163;
BgL_zc3z04anonymousza32555ze3z87_10163 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32555ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32555ze3z87_10163, 
(int)(0L), BgL_failz00_14); 
BgL_sz00_1604 = 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza32555ze3z87_10163); } } 
BgL_lz00_1605 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_portz00_15); 
if(
STRINGP(BgL_lz00_1605))
{ /* Llib/mpc.scm 194 */
 obj_t BgL_list2547z00_1607;
{ /* Llib/mpc.scm 194 */
 obj_t BgL_arg2548z00_1608;
{ /* Llib/mpc.scm 194 */
 obj_t BgL_arg2549z00_1609;
{ /* Llib/mpc.scm 194 */
 obj_t BgL_arg2550z00_1610;
BgL_arg2550z00_1610 = 
MAKE_YOUNG_PAIR(BgL_lz00_1605, BNIL); 
BgL_arg2549z00_1609 = 
MAKE_YOUNG_PAIR(BGl_string5313z00zz__multimediazd2mpczd2, BgL_arg2550z00_1610); } 
BgL_arg2548z00_1608 = 
MAKE_YOUNG_PAIR(BgL_sz00_1604, BgL_arg2549z00_1609); } 
BgL_list2547z00_1607 = 
MAKE_YOUNG_PAIR(BGl_string5314z00zz__multimediazd2mpczd2, BgL_arg2548z00_1608); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2547z00_1607);}  else 
{ /* Llib/mpc.scm 193 */
return BgL_sz00_1604;} } } 

}



/* &<@anonymous:2555> */
obj_t BGl_z62zc3z04anonymousza32555ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10164)
{
{ /* Llib/mpc.scm 191 */
{ /* Llib/mpc.scm 191 */
 obj_t BgL_failz00_10165;
BgL_failz00_10165 = 
PROCEDURE_REF(BgL_envz00_10164, 
(int)(0L)); 
{ /* Llib/mpc.scm 191 */
 obj_t BgL_arg2556z00_10866;
{ /* Llib/mpc.scm 191 */
 obj_t BgL_tmpz00_13292;
BgL_tmpz00_13292 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2556z00_10866 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_13292); } 
return 
bgl_display_obj(BgL_failz00_10165, BgL_arg2556z00_10866);} } } 

}



/* &ok-parser */
obj_t BGl_z62okzd2parserzb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10166, BgL_mpcz00_bglt BgL_mpcz00_10167)
{
{ /* Llib/mpc.scm 248 */
{ /* Llib/mpc.scm 249 */
 bool_t BgL_tmpz00_13296;
{ /* Llib/mpc.scm 250 */
 obj_t BgL_lz00_10868;
{ /* Llib/mpc.scm 250 */
 obj_t BgL_arg2557z00_10869;
{ /* Llib/mpc.scm 250 */
 obj_t BgL_arg2558z00_10870;
BgL_arg2558z00_10870 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10167))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 250 */
 obj_t BgL_tmpz00_13298;
BgL_tmpz00_13298 = 
((obj_t)BgL_arg2558z00_10870); 
BgL_arg2557z00_10869 = 
SOCKET_INPUT(BgL_tmpz00_13298); } } 
BgL_lz00_10868 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_arg2557z00_10869); } 
if(
STRINGP(BgL_lz00_10868))
{ /* Llib/mpc.scm 251 */
BgL_tmpz00_13296 = 
bigloo_strcmp_at(BgL_lz00_10868, BGl_string5315z00zz__multimediazd2mpczd2, 0L)
; }  else 
{ /* Llib/mpc.scm 251 */
BgL_tmpz00_13296 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_13296);} } 

}



/* music-update-status-sans-lock! */
obj_t BGl_musiczd2updatezd2statuszd2sanszd2lockz12z12zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_27, BgL_musicstatusz00_bglt BgL_statusz00_28)
{
{ /* Llib/mpc.scm 383 */
{ /* Llib/mpc.scm 604 */
 obj_t BgL_statuszd2parserzd2_10168;
{ 
 int BgL_tmpz00_13306;
BgL_tmpz00_13306 = 
(int)(1L); 
BgL_statuszd2parserzd2_10168 = 
MAKE_L_PROCEDURE(BGl_z62statuszd2parserzb0zz__multimediazd2mpczd2, BgL_tmpz00_13306); } 
PROCEDURE_L_SET(BgL_statuszd2parserzd2_10168, 
(int)(0L), 
((obj_t)BgL_statusz00_28)); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_27, BGl_string5316z00zz__multimediazd2mpczd2, BgL_statuszd2parserzd2_10168);} } 

}



/* &status-parser */
obj_t BGl_z62statuszd2parserzb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10169, BgL_mpcz00_bglt BgL_mpcz00_10171)
{
{ /* Llib/mpc.scm 611 */
{ /* Llib/mpc.scm 604 */
 BgL_musicstatusz00_bglt BgL_statusz00_10170;
BgL_statusz00_10170 = 
((BgL_musicstatusz00_bglt)
PROCEDURE_L_REF(BgL_envz00_10169, 
(int)(0L))); 
{ /* Llib/mpc.scm 604 */
 bool_t BgL_tmpz00_13316;
{ 
 obj_t BgL_ipz00_11658; BgL_musicstatusz00_bglt BgL_statusz00_11659; obj_t BgL_iportz00_11207; BgL_musicstatusz00_bglt BgL_statusz00_11208; obj_t BgL_iportz00_11109; obj_t BgL_iportz00_11041; BgL_musicstatusz00_bglt BgL_statusz00_11042; obj_t BgL_iportz00_10940; obj_t BgL_iportz00_10878;
{ /* Llib/mpc.scm 606 */
 BgL_musicstatusz00_bglt BgL_statusz00_11660;
{ /* Llib/mpc.scm 606 */
 obj_t BgL_arg2564z00_11661;
{ /* Llib/mpc.scm 606 */
 obj_t BgL_arg2565z00_11662;
BgL_arg2565z00_11662 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10171))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 606 */
 obj_t BgL_tmpz00_13318;
BgL_tmpz00_13318 = 
((obj_t)BgL_arg2565z00_11662); 
BgL_arg2564z00_11661 = 
SOCKET_INPUT(BgL_tmpz00_13318); } } 
BgL_ipz00_11658 = BgL_arg2564z00_11661; 
BgL_statusz00_11659 = BgL_statusz00_10170; 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11659))->BgL_songposz00)=((obj_t)
BINT(0L)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11659))->BgL_songlengthz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11659))->BgL_bitratez00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11659))->BgL_khza7za7)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11659))->BgL_errz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_iportz00_11207 = BgL_ipz00_11658; 
BgL_statusz00_11208 = BgL_statusz00_11659; 
{ 
 obj_t BgL_iportz00_11650; long BgL_lastzd2matchzd2_11651; long BgL_forwardz00_11652; long BgL_bufposz00_11653; obj_t BgL_iportz00_11640; long BgL_lastzd2matchzd2_11641; long BgL_forwardz00_11642; long BgL_bufposz00_11643; obj_t BgL_iportz00_11631; long BgL_lastzd2matchzd2_11632; long BgL_forwardz00_11633; long BgL_bufposz00_11634; obj_t BgL_iportz00_11622; long BgL_lastzd2matchzd2_11623; long BgL_forwardz00_11624; long BgL_bufposz00_11625; obj_t BgL_iportz00_11612; long BgL_lastzd2matchzd2_11613; long BgL_forwardz00_11614; long BgL_bufposz00_11615; obj_t BgL_iportz00_11603; long BgL_lastzd2matchzd2_11604; long BgL_forwardz00_11605; long BgL_bufposz00_11606; obj_t BgL_iportz00_11593; long BgL_lastzd2matchzd2_11594; long BgL_forwardz00_11595; long BgL_bufposz00_11596; obj_t BgL_iportz00_11583; long BgL_lastzd2matchzd2_11584; long BgL_forwardz00_11585; long BgL_bufposz00_11586; obj_t BgL_iportz00_11573; long BgL_lastzd2matchzd2_11574; long BgL_forwardz00_11575; long BgL_bufposz00_11576; obj_t BgL_iportz00_11564; long BgL_lastzd2matchzd2_11565; long BgL_forwardz00_11566; long BgL_bufposz00_11567; obj_t BgL_iportz00_11555; long BgL_lastzd2matchzd2_11556; long BgL_forwardz00_11557; long BgL_bufposz00_11558; obj_t BgL_iportz00_11546; long BgL_lastzd2matchzd2_11547; long BgL_forwardz00_11548; long BgL_bufposz00_11549; obj_t BgL_iportz00_11537; long BgL_lastzd2matchzd2_11538; long BgL_forwardz00_11539; long BgL_bufposz00_11540; obj_t BgL_iportz00_11528; long BgL_lastzd2matchzd2_11529; long BgL_forwardz00_11530; long BgL_bufposz00_11531; obj_t BgL_iportz00_11519; long BgL_lastzd2matchzd2_11520; long BgL_forwardz00_11521; long BgL_bufposz00_11522; obj_t BgL_iportz00_11511; long BgL_lastzd2matchzd2_11512; long BgL_forwardz00_11513; long BgL_bufposz00_11514; obj_t BgL_iportz00_11501; long BgL_lastzd2matchzd2_11502; long BgL_forwardz00_11503; long BgL_bufposz00_11504; obj_t BgL_iportz00_11492; long BgL_lastzd2matchzd2_11493; long BgL_forwardz00_11494; long BgL_bufposz00_11495; obj_t BgL_iportz00_11485; long BgL_lastzd2matchzd2_11486; long BgL_forwardz00_11487; long BgL_bufposz00_11488; obj_t BgL_iportz00_11476; long BgL_lastzd2matchzd2_11477; long BgL_forwardz00_11478; long BgL_bufposz00_11479; obj_t BgL_iportz00_11467; long BgL_lastzd2matchzd2_11468; long BgL_forwardz00_11469; long BgL_bufposz00_11470; obj_t BgL_iportz00_11458; long BgL_lastzd2matchzd2_11459; long BgL_forwardz00_11460; long BgL_bufposz00_11461; obj_t BgL_iportz00_11449; long BgL_lastzd2matchzd2_11450; long BgL_forwardz00_11451; long BgL_bufposz00_11452; obj_t BgL_iportz00_11440; long BgL_lastzd2matchzd2_11441; long BgL_forwardz00_11442; long BgL_bufposz00_11443; obj_t BgL_iportz00_11431; long BgL_lastzd2matchzd2_11432; long BgL_forwardz00_11433; long BgL_bufposz00_11434; obj_t BgL_iportz00_11422; long BgL_lastzd2matchzd2_11423; long BgL_forwardz00_11424; long BgL_bufposz00_11425; obj_t BgL_iportz00_11412; long BgL_lastzd2matchzd2_11413; long BgL_forwardz00_11414; long BgL_bufposz00_11415; obj_t BgL_iportz00_11402; long BgL_lastzd2matchzd2_11403; long BgL_forwardz00_11404; long BgL_bufposz00_11405; obj_t BgL_iportz00_11392; long BgL_lastzd2matchzd2_11393; long BgL_forwardz00_11394; long BgL_bufposz00_11395; obj_t BgL_iportz00_11383; long BgL_lastzd2matchzd2_11384; long BgL_forwardz00_11385; long BgL_bufposz00_11386; obj_t BgL_iportz00_11374; long BgL_lastzd2matchzd2_11375; long BgL_forwardz00_11376; long BgL_bufposz00_11377; obj_t BgL_iportz00_11366; long BgL_lastzd2matchzd2_11367; long BgL_forwardz00_11368; long BgL_bufposz00_11369; obj_t BgL_iportz00_11357; long BgL_lastzd2matchzd2_11358; long BgL_forwardz00_11359; long BgL_bufposz00_11360; obj_t BgL_iportz00_11348; long BgL_lastzd2matchzd2_11349; long BgL_forwardz00_11350; long BgL_bufposz00_11351; obj_t BgL_iportz00_11339; long BgL_lastzd2matchzd2_11340; long BgL_forwardz00_11341; long BgL_bufposz00_11342; obj_t BgL_iportz00_11329; long BgL_lastzd2matchzd2_11330; long BgL_forwardz00_11331; long BgL_bufposz00_11332; obj_t BgL_iportz00_11320; long BgL_lastzd2matchzd2_11321; long BgL_forwardz00_11322; long BgL_bufposz00_11323; obj_t BgL_iportz00_11310; long BgL_lastzd2matchzd2_11311; long BgL_forwardz00_11312; long BgL_bufposz00_11313; obj_t BgL_iportz00_11299; long BgL_lastzd2matchzd2_11300; long BgL_forwardz00_11301; long BgL_bufposz00_11302; obj_t BgL_iportz00_11289; long BgL_lastzd2matchzd2_11290; long BgL_forwardz00_11291; long BgL_bufposz00_11292; obj_t BgL_iportz00_11280; long BgL_lastzd2matchzd2_11281; long BgL_forwardz00_11282; long BgL_bufposz00_11283;
BgL_ignorez00_11209:
RGC_START_MATCH(BgL_iportz00_11207); 
{ /* Llib/mpc.scm 444 */
 long BgL_matchz00_11252;
{ /* Llib/mpc.scm 444 */
 long BgL_arg3266z00_11253; long BgL_arg3267z00_11254;
BgL_arg3266z00_11253 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11207); 
BgL_arg3267z00_11254 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11207); 
BgL_iportz00_11339 = BgL_iportz00_11207; 
BgL_lastzd2matchzd2_11340 = 17L; 
BgL_forwardz00_11341 = BgL_arg3266z00_11253; 
BgL_bufposz00_11342 = BgL_arg3267z00_11254; 
BgL_statezd20zd21297z00_11217:
if(
(BgL_forwardz00_11341==BgL_bufposz00_11342))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11339))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3050z00_11343; long BgL_arg3051z00_11344;
BgL_arg3050z00_11343 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11339); 
BgL_arg3051z00_11344 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11339); 
{ 
 long BgL_bufposz00_13340; long BgL_forwardz00_13339;
BgL_forwardz00_13339 = BgL_arg3050z00_11343; 
BgL_bufposz00_13340 = BgL_arg3051z00_11344; 
BgL_bufposz00_11342 = BgL_bufposz00_13340; 
BgL_forwardz00_11341 = BgL_forwardz00_13339; 
goto BgL_statezd20zd21297z00_11217;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11340; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11345;
BgL_curz00_11345 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11339, BgL_forwardz00_11341); 
{ /* Llib/mpc.scm 444 */

switch( 
(long)(BgL_curz00_11345)) { case 120L : 

BgL_iportz00_11289 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11290 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11291 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11292 = BgL_bufposz00_11342; 
BgL_statezd214zd21311z00_11212:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11293;
RGC_STOP_MATCH(BgL_iportz00_11289, BgL_forwardz00_11291); 
BgL_newzd2matchzd2_11293 = 17L; 
if(
(BgL_forwardz00_11291==BgL_bufposz00_11292))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11289))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3124z00_11294; long BgL_arg3125z00_11295;
BgL_arg3124z00_11294 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11289); 
BgL_arg3125z00_11295 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11289); 
{ 
 long BgL_bufposz00_13350; long BgL_forwardz00_13349;
BgL_forwardz00_13349 = BgL_arg3124z00_11294; 
BgL_bufposz00_13350 = BgL_arg3125z00_11295; 
BgL_bufposz00_11292 = BgL_bufposz00_13350; 
BgL_forwardz00_11291 = BgL_forwardz00_13349; 
goto BgL_statezd214zd21311z00_11212;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11293; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11296;
BgL_curz00_11296 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11289, BgL_forwardz00_11291); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5724z00_13352;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5725z00_13353;
if(
(
(long)(BgL_curz00_11296)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5725z00_13353 = 
(
(long)(BgL_curz00_11296)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5725z00_13353 = ((bool_t)0)
; } 
if(BgL_test5725z00_13353)
{ /* Llib/mpc.scm 444 */
BgL_test5724z00_13352 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11296)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5724z00_13352 = 
(
(long)(BgL_curz00_11296)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5724z00_13352 = ((bool_t)0)
; } } } 
if(BgL_test5724z00_13352)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11467 = BgL_iportz00_11289; 
BgL_lastzd2matchzd2_11468 = BgL_newzd2matchzd2_11293; 
BgL_forwardz00_11469 = 
(1L+BgL_forwardz00_11291); 
BgL_bufposz00_11470 = BgL_bufposz00_11292; 
BgL_statezd216zd21313z00_11231:
if(
(BgL_forwardz00_11469==BgL_bufposz00_11470))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11467))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2857z00_11471; long BgL_arg2858z00_11472;
BgL_arg2857z00_11471 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11467); 
BgL_arg2858z00_11472 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11467); 
{ 
 long BgL_bufposz00_13371; long BgL_forwardz00_13370;
BgL_forwardz00_13370 = BgL_arg2857z00_11471; 
BgL_bufposz00_13371 = BgL_arg2858z00_11472; 
BgL_bufposz00_11470 = BgL_bufposz00_13371; 
BgL_forwardz00_11469 = BgL_forwardz00_13370; 
goto BgL_statezd216zd21313z00_11231;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11468; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11473;
BgL_curz00_11473 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11467, BgL_forwardz00_11469); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5730z00_13373;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5731z00_13374;
if(
(
(long)(BgL_curz00_11473)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5731z00_13374 = 
(
(long)(BgL_curz00_11473)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5731z00_13374 = ((bool_t)0)
; } 
if(BgL_test5731z00_13374)
{ /* Llib/mpc.scm 444 */
BgL_test5730z00_13373 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11473)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5730z00_13373 = 
(
(long)(BgL_curz00_11473)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5730z00_13373 = ((bool_t)0)
; } } } 
if(BgL_test5730z00_13373)
{ 
 long BgL_forwardz00_13385;
BgL_forwardz00_13385 = 
(1L+BgL_forwardz00_11469); 
BgL_forwardz00_11469 = BgL_forwardz00_13385; 
goto BgL_statezd216zd21313z00_11231;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11473)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2864z00_11474;
BgL_arg2864z00_11474 = 
(1L+BgL_forwardz00_11469); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11475;
RGC_STOP_MATCH(BgL_iportz00_11467, BgL_arg2864z00_11474); 
BgL_newzd2matchzd2_11475 = 11L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11475; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11468; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11296)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3131z00_11297;
BgL_arg3131z00_11297 = 
(1L+BgL_forwardz00_11291); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11298;
RGC_STOP_MATCH(BgL_iportz00_11289, BgL_arg3131z00_11297); 
BgL_newzd2matchzd2_11298 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11298; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11293; } } } } } } break;case 118L : 

BgL_iportz00_11402 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11403 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11404 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11405 = BgL_bufposz00_11342; 
BgL_statezd213zd21310z00_11224:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11406;
RGC_STOP_MATCH(BgL_iportz00_11402, BgL_forwardz00_11404); 
BgL_newzd2matchzd2_11406 = 17L; 
if(
(BgL_forwardz00_11404==BgL_bufposz00_11405))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11402))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2951z00_11407; long BgL_arg2952z00_11408;
BgL_arg2951z00_11407 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11402); 
BgL_arg2952z00_11408 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11402); 
{ 
 long BgL_bufposz00_13407; long BgL_forwardz00_13406;
BgL_forwardz00_13406 = BgL_arg2951z00_11407; 
BgL_bufposz00_13407 = BgL_arg2952z00_11408; 
BgL_bufposz00_11405 = BgL_bufposz00_13407; 
BgL_forwardz00_11404 = BgL_forwardz00_13406; 
goto BgL_statezd213zd21310z00_11224;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11406; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11409;
BgL_curz00_11409 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11402, BgL_forwardz00_11404); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5738z00_13409;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5739z00_13410;
if(
(
(long)(BgL_curz00_11409)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5739z00_13410 = 
(
(long)(BgL_curz00_11409)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5739z00_13410 = ((bool_t)0)
; } 
if(BgL_test5739z00_13410)
{ /* Llib/mpc.scm 444 */
BgL_test5738z00_13409 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11409)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5738z00_13409 = 
(
(long)(BgL_curz00_11409)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5738z00_13409 = ((bool_t)0)
; } } } 
if(BgL_test5738z00_13409)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11320 = BgL_iportz00_11402; 
BgL_lastzd2matchzd2_11321 = BgL_newzd2matchzd2_11406; 
BgL_forwardz00_11322 = 
(1L+BgL_forwardz00_11404); 
BgL_bufposz00_11323 = BgL_bufposz00_11405; 
BgL_statezd219zd21316z00_11215:
if(
(BgL_forwardz00_11322==BgL_bufposz00_11323))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11320))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3081z00_11324; long BgL_arg3082z00_11325;
BgL_arg3081z00_11324 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11320); 
BgL_arg3082z00_11325 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11320); 
{ 
 long BgL_bufposz00_13428; long BgL_forwardz00_13427;
BgL_forwardz00_13427 = BgL_arg3081z00_11324; 
BgL_bufposz00_13428 = BgL_arg3082z00_11325; 
BgL_bufposz00_11323 = BgL_bufposz00_13428; 
BgL_forwardz00_11322 = BgL_forwardz00_13427; 
goto BgL_statezd219zd21316z00_11215;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11321; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11326;
BgL_curz00_11326 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11320, BgL_forwardz00_11322); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5744z00_13430;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5745z00_13431;
if(
(
(long)(BgL_curz00_11326)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5745z00_13431 = 
(
(long)(BgL_curz00_11326)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5745z00_13431 = ((bool_t)0)
; } 
if(BgL_test5745z00_13431)
{ /* Llib/mpc.scm 444 */
BgL_test5744z00_13430 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11326)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5744z00_13430 = 
(
(long)(BgL_curz00_11326)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5744z00_13430 = ((bool_t)0)
; } } } 
if(BgL_test5744z00_13430)
{ 
 long BgL_forwardz00_13442;
BgL_forwardz00_13442 = 
(1L+BgL_forwardz00_11322); 
BgL_forwardz00_11322 = BgL_forwardz00_13442; 
goto BgL_statezd219zd21316z00_11215;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11326)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3088z00_11327;
BgL_arg3088z00_11327 = 
(1L+BgL_forwardz00_11322); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11328;
RGC_STOP_MATCH(BgL_iportz00_11320, BgL_arg3088z00_11327); 
BgL_newzd2matchzd2_11328 = 5L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11328; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11321; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11409)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2958z00_11410;
BgL_arg2958z00_11410 = 
(1L+BgL_forwardz00_11404); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11411;
RGC_STOP_MATCH(BgL_iportz00_11402, BgL_arg2958z00_11410); 
BgL_newzd2matchzd2_11411 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11411; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11406; } } } } } } break;case 116L : 

BgL_iportz00_11573 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11574 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11575 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11576 = BgL_bufposz00_11342; 
BgL_statezd212zd21309z00_11243:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11577;
RGC_STOP_MATCH(BgL_iportz00_11573, BgL_forwardz00_11575); 
BgL_newzd2matchzd2_11577 = 17L; 
if(
(BgL_forwardz00_11575==BgL_bufposz00_11576))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11573))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2684z00_11578; long BgL_arg2685z00_11579;
BgL_arg2684z00_11578 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11573); 
BgL_arg2685z00_11579 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11573); 
{ 
 long BgL_bufposz00_13464; long BgL_forwardz00_13463;
BgL_forwardz00_13463 = BgL_arg2684z00_11578; 
BgL_bufposz00_13464 = BgL_arg2685z00_11579; 
BgL_bufposz00_11576 = BgL_bufposz00_13464; 
BgL_forwardz00_11575 = BgL_forwardz00_13463; 
goto BgL_statezd212zd21309z00_11243;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11577; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11580;
BgL_curz00_11580 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11573, BgL_forwardz00_11575); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5752z00_13466;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5753z00_13467;
if(
(
(long)(BgL_curz00_11580)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5753z00_13467 = 
(
(long)(BgL_curz00_11580)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5753z00_13467 = ((bool_t)0)
; } 
if(BgL_test5753z00_13467)
{ /* Llib/mpc.scm 444 */
BgL_test5752z00_13466 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11580)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5752z00_13466 = 
(
(long)(BgL_curz00_11580)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5752z00_13466 = ((bool_t)0)
; } } } 
if(BgL_test5752z00_13466)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11449 = BgL_iportz00_11573; 
BgL_lastzd2matchzd2_11450 = BgL_newzd2matchzd2_11577; 
BgL_forwardz00_11451 = 
(1L+BgL_forwardz00_11575); 
BgL_bufposz00_11452 = BgL_bufposz00_11576; 
BgL_statezd221zd21318z00_11229:
if(
(BgL_forwardz00_11451==BgL_bufposz00_11452))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11449))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2881z00_11453; long BgL_arg2882z00_11454;
BgL_arg2881z00_11453 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11449); 
BgL_arg2882z00_11454 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11449); 
{ 
 long BgL_bufposz00_13485; long BgL_forwardz00_13484;
BgL_forwardz00_13484 = BgL_arg2881z00_11453; 
BgL_bufposz00_13485 = BgL_arg2882z00_11454; 
BgL_bufposz00_11452 = BgL_bufposz00_13485; 
BgL_forwardz00_11451 = BgL_forwardz00_13484; 
goto BgL_statezd221zd21318z00_11229;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11450; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11455;
BgL_curz00_11455 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11449, BgL_forwardz00_11451); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5758z00_13487;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5759z00_13488;
if(
(
(long)(BgL_curz00_11455)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5759z00_13488 = 
(
(long)(BgL_curz00_11455)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5759z00_13488 = ((bool_t)0)
; } 
if(BgL_test5759z00_13488)
{ /* Llib/mpc.scm 444 */
BgL_test5758z00_13487 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11455)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5758z00_13487 = 
(
(long)(BgL_curz00_11455)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5758z00_13487 = ((bool_t)0)
; } } } 
if(BgL_test5758z00_13487)
{ 
 long BgL_forwardz00_13499;
BgL_forwardz00_13499 = 
(1L+BgL_forwardz00_11451); 
BgL_forwardz00_11451 = BgL_forwardz00_13499; 
goto BgL_statezd221zd21318z00_11229;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11455)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2888z00_11456;
BgL_arg2888z00_11456 = 
(1L+BgL_forwardz00_11451); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11457;
RGC_STOP_MATCH(BgL_iportz00_11449, BgL_arg2888z00_11456); 
BgL_newzd2matchzd2_11457 = 4L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11457; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11450; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11580)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2691z00_11581;
BgL_arg2691z00_11581 = 
(1L+BgL_forwardz00_11575); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11582;
RGC_STOP_MATCH(BgL_iportz00_11573, BgL_arg2691z00_11581); 
BgL_newzd2matchzd2_11582 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11582; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11577; } } } } } } break;case 115L : 

BgL_iportz00_11593 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11594 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11595 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11596 = BgL_bufposz00_11342; 
BgL_statezd211zd21308z00_11245:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11597;
RGC_STOP_MATCH(BgL_iportz00_11593, BgL_forwardz00_11595); 
BgL_newzd2matchzd2_11597 = 17L; 
if(
(BgL_forwardz00_11595==BgL_bufposz00_11596))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11593))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2657z00_11598; long BgL_arg2658z00_11599;
BgL_arg2657z00_11598 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11593); 
BgL_arg2658z00_11599 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11593); 
{ 
 long BgL_bufposz00_13521; long BgL_forwardz00_13520;
BgL_forwardz00_13520 = BgL_arg2657z00_11598; 
BgL_bufposz00_13521 = BgL_arg2658z00_11599; 
BgL_bufposz00_11596 = BgL_bufposz00_13521; 
BgL_forwardz00_11595 = BgL_forwardz00_13520; 
goto BgL_statezd211zd21308z00_11245;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11597; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11600;
BgL_curz00_11600 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11593, BgL_forwardz00_11595); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11600)==116L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11603 = BgL_iportz00_11593; 
BgL_lastzd2matchzd2_11604 = BgL_newzd2matchzd2_11597; 
BgL_forwardz00_11605 = 
(1L+BgL_forwardz00_11595); 
BgL_bufposz00_11606 = BgL_bufposz00_11596; 
BgL_statezd224zd21321z00_11246:
if(
(BgL_forwardz00_11605==BgL_bufposz00_11606))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11603))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2636z00_11607; long BgL_arg2637z00_11608;
BgL_arg2636z00_11607 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11603); 
BgL_arg2637z00_11608 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11603); 
{ 
 long BgL_bufposz00_13533; long BgL_forwardz00_13532;
BgL_forwardz00_13532 = BgL_arg2636z00_11607; 
BgL_bufposz00_13533 = BgL_arg2637z00_11608; 
BgL_bufposz00_11606 = BgL_bufposz00_13533; 
BgL_forwardz00_11605 = BgL_forwardz00_13532; 
goto BgL_statezd224zd21321z00_11246;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11604; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11609;
BgL_curz00_11609 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11603, BgL_forwardz00_11605); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11609)==103L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11555 = BgL_iportz00_11603; 
BgL_lastzd2matchzd2_11556 = BgL_lastzd2matchzd2_11604; 
BgL_forwardz00_11557 = 
(1L+BgL_forwardz00_11605); 
BgL_bufposz00_11558 = BgL_bufposz00_11606; 
BgL_statezd227zd21324z00_11241:
if(
(BgL_forwardz00_11557==BgL_bufposz00_11558))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11555))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2706z00_11559; long BgL_arg2707z00_11560;
BgL_arg2706z00_11559 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11555); 
BgL_arg2707z00_11560 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11555); 
{ 
 long BgL_bufposz00_13545; long BgL_forwardz00_13544;
BgL_forwardz00_13544 = BgL_arg2706z00_11559; 
BgL_bufposz00_13545 = BgL_arg2707z00_11560; 
BgL_bufposz00_11558 = BgL_bufposz00_13545; 
BgL_forwardz00_11557 = BgL_forwardz00_13544; 
goto BgL_statezd227zd21324z00_11241;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11556; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11561;
BgL_curz00_11561 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11555, BgL_forwardz00_11557); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11561)==103L))
{ 
 long BgL_forwardz00_13550;
BgL_forwardz00_13550 = 
(1L+BgL_forwardz00_11557); 
BgL_forwardz00_11557 = BgL_forwardz00_13550; 
goto BgL_statezd227zd21324z00_11241;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11561)==100L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11519 = BgL_iportz00_11555; 
BgL_lastzd2matchzd2_11520 = BgL_lastzd2matchzd2_11556; 
BgL_forwardz00_11521 = 
(1L+BgL_forwardz00_11557); 
BgL_bufposz00_11522 = BgL_bufposz00_11558; 
BgL_statezd226zd21323z00_11237:
if(
(BgL_forwardz00_11521==BgL_bufposz00_11522))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11519))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2775z00_11523; long BgL_arg2776z00_11524;
BgL_arg2775z00_11523 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11519); 
BgL_arg2776z00_11524 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11519); 
{ 
 long BgL_bufposz00_13562; long BgL_forwardz00_13561;
BgL_forwardz00_13561 = BgL_arg2775z00_11523; 
BgL_bufposz00_13562 = BgL_arg2776z00_11524; 
BgL_bufposz00_11522 = BgL_bufposz00_13562; 
BgL_forwardz00_11521 = BgL_forwardz00_13561; 
goto BgL_statezd226zd21323z00_11237;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11520; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11525;
BgL_curz00_11525 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11519, BgL_forwardz00_11521); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11525)==103L))
{ 
 long BgL_bufposz00_13571; long BgL_forwardz00_13569; long BgL_lastzd2matchzd2_13568; obj_t BgL_iportz00_13567;
BgL_iportz00_13567 = BgL_iportz00_11519; 
BgL_lastzd2matchzd2_13568 = BgL_lastzd2matchzd2_11520; 
BgL_forwardz00_13569 = 
(1L+BgL_forwardz00_11521); 
BgL_bufposz00_13571 = BgL_bufposz00_11522; 
BgL_bufposz00_11558 = BgL_bufposz00_13571; 
BgL_forwardz00_11557 = BgL_forwardz00_13569; 
BgL_lastzd2matchzd2_11556 = BgL_lastzd2matchzd2_13568; 
BgL_iportz00_11555 = BgL_iportz00_13567; 
goto BgL_statezd227zd21324z00_11241;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11525)==100L))
{ 
 long BgL_forwardz00_13575;
BgL_forwardz00_13575 = 
(1L+BgL_forwardz00_11521); 
BgL_forwardz00_11521 = BgL_forwardz00_13575; 
goto BgL_statezd226zd21323z00_11237;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5778z00_13577;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5779z00_13578;
if(
(
(long)(BgL_curz00_11525)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5779z00_13578 = 
(
(long)(BgL_curz00_11525)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5779z00_13578 = ((bool_t)0)
; } 
if(BgL_test5779z00_13578)
{ /* Llib/mpc.scm 444 */
BgL_test5778z00_13577 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5781z00_13584;
if(
(
(long)(BgL_curz00_11525)==99L))
{ /* Llib/mpc.scm 444 */
BgL_test5781z00_13584 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11525)==98L))
{ /* Llib/mpc.scm 444 */
BgL_test5781z00_13584 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5781z00_13584 = 
(
(long)(BgL_curz00_11525)==97L)
; } } 
if(BgL_test5781z00_13584)
{ /* Llib/mpc.scm 444 */
BgL_test5778z00_13577 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5784z00_13593;
if(
(
(long)(BgL_curz00_11525)==102L))
{ /* Llib/mpc.scm 444 */
BgL_test5784z00_13593 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5784z00_13593 = 
(
(long)(BgL_curz00_11525)==101L)
; } 
if(BgL_test5784z00_13593)
{ /* Llib/mpc.scm 444 */
BgL_test5778z00_13577 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11525)>=104L))
{ /* Llib/mpc.scm 444 */
BgL_test5778z00_13577 = 
(
(long)(BgL_curz00_11525)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5778z00_13577 = ((bool_t)0)
; } } } } } 
if(BgL_test5778z00_13577)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11348 = BgL_iportz00_11519; 
BgL_lastzd2matchzd2_11349 = BgL_lastzd2matchzd2_11520; 
BgL_forwardz00_11350 = 
(1L+BgL_forwardz00_11521); 
BgL_bufposz00_11351 = BgL_bufposz00_11522; 
BgL_statezd225zd21322z00_11218:
if(
(BgL_forwardz00_11350==BgL_bufposz00_11351))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11348))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3030z00_11352; long BgL_arg3031z00_11353;
BgL_arg3030z00_11352 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11348); 
BgL_arg3031z00_11353 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11348); 
{ 
 long BgL_bufposz00_13611; long BgL_forwardz00_13610;
BgL_forwardz00_13610 = BgL_arg3030z00_11352; 
BgL_bufposz00_13611 = BgL_arg3031z00_11353; 
BgL_bufposz00_11351 = BgL_bufposz00_13611; 
BgL_forwardz00_11350 = BgL_forwardz00_13610; 
goto BgL_statezd225zd21322z00_11218;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11349; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11354;
BgL_curz00_11354 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11348, BgL_forwardz00_11350); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11354)==103L))
{ 
 long BgL_bufposz00_13620; long BgL_forwardz00_13618; long BgL_lastzd2matchzd2_13617; obj_t BgL_iportz00_13616;
BgL_iportz00_13616 = BgL_iportz00_11348; 
BgL_lastzd2matchzd2_13617 = BgL_lastzd2matchzd2_11349; 
BgL_forwardz00_13618 = 
(1L+BgL_forwardz00_11350); 
BgL_bufposz00_13620 = BgL_bufposz00_11351; 
BgL_bufposz00_11558 = BgL_bufposz00_13620; 
BgL_forwardz00_11557 = BgL_forwardz00_13618; 
BgL_lastzd2matchzd2_11556 = BgL_lastzd2matchzd2_13617; 
BgL_iportz00_11555 = BgL_iportz00_13616; 
goto BgL_statezd227zd21324z00_11241;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11354)==100L))
{ 
 long BgL_bufposz00_13628; long BgL_forwardz00_13626; long BgL_lastzd2matchzd2_13625; obj_t BgL_iportz00_13624;
BgL_iportz00_13624 = BgL_iportz00_11348; 
BgL_lastzd2matchzd2_13625 = BgL_lastzd2matchzd2_11349; 
BgL_forwardz00_13626 = 
(1L+BgL_forwardz00_11350); 
BgL_bufposz00_13628 = BgL_bufposz00_11351; 
BgL_bufposz00_11522 = BgL_bufposz00_13628; 
BgL_forwardz00_11521 = BgL_forwardz00_13626; 
BgL_lastzd2matchzd2_11520 = BgL_lastzd2matchzd2_13625; 
BgL_iportz00_11519 = BgL_iportz00_13624; 
goto BgL_statezd226zd21323z00_11237;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5791z00_13629;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5792z00_13630;
if(
(
(long)(BgL_curz00_11354)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5792z00_13630 = 
(
(long)(BgL_curz00_11354)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5792z00_13630 = ((bool_t)0)
; } 
if(BgL_test5792z00_13630)
{ /* Llib/mpc.scm 444 */
BgL_test5791z00_13629 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5794z00_13636;
if(
(
(long)(BgL_curz00_11354)==99L))
{ /* Llib/mpc.scm 444 */
BgL_test5794z00_13636 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11354)==98L))
{ /* Llib/mpc.scm 444 */
BgL_test5794z00_13636 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5794z00_13636 = 
(
(long)(BgL_curz00_11354)==97L)
; } } 
if(BgL_test5794z00_13636)
{ /* Llib/mpc.scm 444 */
BgL_test5791z00_13629 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5797z00_13645;
if(
(
(long)(BgL_curz00_11354)==102L))
{ /* Llib/mpc.scm 444 */
BgL_test5797z00_13645 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5797z00_13645 = 
(
(long)(BgL_curz00_11354)==101L)
; } 
if(BgL_test5797z00_13645)
{ /* Llib/mpc.scm 444 */
BgL_test5791z00_13629 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11354)>=104L))
{ /* Llib/mpc.scm 444 */
BgL_test5791z00_13629 = 
(
(long)(BgL_curz00_11354)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5791z00_13629 = ((bool_t)0)
; } } } } } 
if(BgL_test5791z00_13629)
{ 
 long BgL_forwardz00_13656;
BgL_forwardz00_13656 = 
(1L+BgL_forwardz00_11350); 
BgL_forwardz00_11350 = BgL_forwardz00_13656; 
goto BgL_statezd225zd21322z00_11218;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11354)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3046z00_11355;
BgL_arg3046z00_11355 = 
(1L+BgL_forwardz00_11350); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11356;
RGC_STOP_MATCH(BgL_iportz00_11348, BgL_arg3046z00_11355); 
BgL_newzd2matchzd2_11356 = 3L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11356; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11349; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11525)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2791z00_11526;
BgL_arg2791z00_11526 = 
(1L+BgL_forwardz00_11521); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11527;
RGC_STOP_MATCH(BgL_iportz00_11519, BgL_arg2791z00_11526); 
BgL_newzd2matchzd2_11527 = 2L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11527; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11520; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5802z00_13670;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5803z00_13671;
if(
(
(long)(BgL_curz00_11561)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5803z00_13671 = 
(
(long)(BgL_curz00_11561)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5803z00_13671 = ((bool_t)0)
; } 
if(BgL_test5803z00_13671)
{ /* Llib/mpc.scm 444 */
BgL_test5802z00_13670 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5805z00_13677;
if(
(
(long)(BgL_curz00_11561)==99L))
{ /* Llib/mpc.scm 444 */
BgL_test5805z00_13677 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11561)==98L))
{ /* Llib/mpc.scm 444 */
BgL_test5805z00_13677 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5805z00_13677 = 
(
(long)(BgL_curz00_11561)==97L)
; } } 
if(BgL_test5805z00_13677)
{ /* Llib/mpc.scm 444 */
BgL_test5802z00_13670 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5808z00_13686;
if(
(
(long)(BgL_curz00_11561)==102L))
{ /* Llib/mpc.scm 444 */
BgL_test5808z00_13686 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5808z00_13686 = 
(
(long)(BgL_curz00_11561)==101L)
; } 
if(BgL_test5808z00_13686)
{ /* Llib/mpc.scm 444 */
BgL_test5802z00_13670 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11561)>=104L))
{ /* Llib/mpc.scm 444 */
BgL_test5802z00_13670 = 
(
(long)(BgL_curz00_11561)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5802z00_13670 = ((bool_t)0)
; } } } } } 
if(BgL_test5802z00_13670)
{ 
 long BgL_bufposz00_13701; long BgL_forwardz00_13699; long BgL_lastzd2matchzd2_13698; obj_t BgL_iportz00_13697;
BgL_iportz00_13697 = BgL_iportz00_11555; 
BgL_lastzd2matchzd2_13698 = BgL_lastzd2matchzd2_11556; 
BgL_forwardz00_13699 = 
(1L+BgL_forwardz00_11557); 
BgL_bufposz00_13701 = BgL_bufposz00_11558; 
BgL_bufposz00_11351 = BgL_bufposz00_13701; 
BgL_forwardz00_11350 = BgL_forwardz00_13699; 
BgL_lastzd2matchzd2_11349 = BgL_lastzd2matchzd2_13698; 
BgL_iportz00_11348 = BgL_iportz00_13697; 
goto BgL_statezd225zd21322z00_11218;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11561)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2722z00_11562;
BgL_arg2722z00_11562 = 
(1L+BgL_forwardz00_11557); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11563;
RGC_STOP_MATCH(BgL_iportz00_11555, BgL_arg2722z00_11562); 
BgL_newzd2matchzd2_11563 = 1L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11563; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11556; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11609)==100L))
{ 
 long BgL_bufposz00_13715; long BgL_forwardz00_13713; long BgL_lastzd2matchzd2_13712; obj_t BgL_iportz00_13711;
BgL_iportz00_13711 = BgL_iportz00_11603; 
BgL_lastzd2matchzd2_13712 = BgL_lastzd2matchzd2_11604; 
BgL_forwardz00_13713 = 
(1L+BgL_forwardz00_11605); 
BgL_bufposz00_13715 = BgL_bufposz00_11606; 
BgL_bufposz00_11522 = BgL_bufposz00_13715; 
BgL_forwardz00_11521 = BgL_forwardz00_13713; 
BgL_lastzd2matchzd2_11520 = BgL_lastzd2matchzd2_13712; 
BgL_iportz00_11519 = BgL_iportz00_13711; 
goto BgL_statezd226zd21323z00_11237;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5813z00_13716;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5814z00_13717;
if(
(
(long)(BgL_curz00_11609)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5814z00_13717 = 
(
(long)(BgL_curz00_11609)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5814z00_13717 = ((bool_t)0)
; } 
if(BgL_test5814z00_13717)
{ /* Llib/mpc.scm 444 */
BgL_test5813z00_13716 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5816z00_13723;
if(
(
(long)(BgL_curz00_11609)==99L))
{ /* Llib/mpc.scm 444 */
BgL_test5816z00_13723 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11609)==98L))
{ /* Llib/mpc.scm 444 */
BgL_test5816z00_13723 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5816z00_13723 = 
(
(long)(BgL_curz00_11609)==97L)
; } } 
if(BgL_test5816z00_13723)
{ /* Llib/mpc.scm 444 */
BgL_test5813z00_13716 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5819z00_13732;
if(
(
(long)(BgL_curz00_11609)==102L))
{ /* Llib/mpc.scm 444 */
BgL_test5819z00_13732 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5819z00_13732 = 
(
(long)(BgL_curz00_11609)==101L)
; } 
if(BgL_test5819z00_13732)
{ /* Llib/mpc.scm 444 */
BgL_test5813z00_13716 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11609)>=104L))
{ /* Llib/mpc.scm 444 */
BgL_test5813z00_13716 = 
(
(long)(BgL_curz00_11609)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5813z00_13716 = ((bool_t)0)
; } } } } } 
if(BgL_test5813z00_13716)
{ 
 long BgL_bufposz00_13747; long BgL_forwardz00_13745; long BgL_lastzd2matchzd2_13744; obj_t BgL_iportz00_13743;
BgL_iportz00_13743 = BgL_iportz00_11603; 
BgL_lastzd2matchzd2_13744 = BgL_lastzd2matchzd2_11604; 
BgL_forwardz00_13745 = 
(1L+BgL_forwardz00_11605); 
BgL_bufposz00_13747 = BgL_bufposz00_11606; 
BgL_bufposz00_11351 = BgL_bufposz00_13747; 
BgL_forwardz00_11350 = BgL_forwardz00_13745; 
BgL_lastzd2matchzd2_11349 = BgL_lastzd2matchzd2_13744; 
BgL_iportz00_11348 = BgL_iportz00_13743; 
goto BgL_statezd225zd21322z00_11218;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11609)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2652z00_11610;
BgL_arg2652z00_11610 = 
(1L+BgL_forwardz00_11605); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11611;
RGC_STOP_MATCH(BgL_iportz00_11603, BgL_arg2652z00_11610); 
BgL_newzd2matchzd2_11611 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11611; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11604; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5823z00_13754;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5824z00_13755;
if(
(
(long)(BgL_curz00_11600)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5824z00_13755 = 
(
(long)(BgL_curz00_11600)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5824z00_13755 = ((bool_t)0)
; } 
if(BgL_test5824z00_13755)
{ /* Llib/mpc.scm 444 */
BgL_test5823z00_13754 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5826z00_13761;
if(
(
(long)(BgL_curz00_11600)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5826z00_13761 = 
(
(long)(BgL_curz00_11600)<116L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5826z00_13761 = ((bool_t)0)
; } 
if(BgL_test5826z00_13761)
{ /* Llib/mpc.scm 444 */
BgL_test5823z00_13754 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11600)>=117L))
{ /* Llib/mpc.scm 444 */
BgL_test5823z00_13754 = 
(
(long)(BgL_curz00_11600)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5823z00_13754 = ((bool_t)0)
; } } } } 
if(BgL_test5823z00_13754)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11422 = BgL_iportz00_11593; 
BgL_lastzd2matchzd2_11423 = BgL_newzd2matchzd2_11597; 
BgL_forwardz00_11424 = 
(1L+BgL_forwardz00_11595); 
BgL_bufposz00_11425 = BgL_bufposz00_11596; 
BgL_statezd223zd21320z00_11226:
if(
(BgL_forwardz00_11424==BgL_bufposz00_11425))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11422))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2916z00_11426; long BgL_arg2917z00_11427;
BgL_arg2916z00_11426 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11422); 
BgL_arg2917z00_11427 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11422); 
{ 
 long BgL_bufposz00_13779; long BgL_forwardz00_13778;
BgL_forwardz00_13778 = BgL_arg2916z00_11426; 
BgL_bufposz00_13779 = BgL_arg2917z00_11427; 
BgL_bufposz00_11425 = BgL_bufposz00_13779; 
BgL_forwardz00_11424 = BgL_forwardz00_13778; 
goto BgL_statezd223zd21320z00_11226;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11423; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11428;
BgL_curz00_11428 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11422, BgL_forwardz00_11424); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11428)==103L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11492 = BgL_iportz00_11422; 
BgL_lastzd2matchzd2_11493 = BgL_lastzd2matchzd2_11423; 
BgL_forwardz00_11494 = 
(1L+BgL_forwardz00_11424); 
BgL_bufposz00_11495 = BgL_bufposz00_11425; 
BgL_statezd232zd21329z00_11234:
if(
(BgL_forwardz00_11494==BgL_bufposz00_11495))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11492))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2819z00_11496; long BgL_arg2820z00_11497;
BgL_arg2819z00_11496 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11492); 
BgL_arg2820z00_11497 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11492); 
{ 
 long BgL_bufposz00_13791; long BgL_forwardz00_13790;
BgL_forwardz00_13790 = BgL_arg2819z00_11496; 
BgL_bufposz00_13791 = BgL_arg2820z00_11497; 
BgL_bufposz00_11495 = BgL_bufposz00_13791; 
BgL_forwardz00_11494 = BgL_forwardz00_13790; 
goto BgL_statezd232zd21329z00_11234;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11493; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11498;
BgL_curz00_11498 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11492, BgL_forwardz00_11494); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11498)==103L))
{ 
 long BgL_forwardz00_13796;
BgL_forwardz00_13796 = 
(1L+BgL_forwardz00_11494); 
BgL_forwardz00_11494 = BgL_forwardz00_13796; 
goto BgL_statezd232zd21329z00_11234;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11498)==100L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11622 = BgL_iportz00_11492; 
BgL_lastzd2matchzd2_11623 = BgL_lastzd2matchzd2_11493; 
BgL_forwardz00_11624 = 
(1L+BgL_forwardz00_11494); 
BgL_bufposz00_11625 = BgL_bufposz00_11495; 
BgL_statezd231zd21328z00_11248:
if(
(BgL_forwardz00_11624==BgL_bufposz00_11625))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11622))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2603z00_11626; long BgL_arg2604z00_11627;
BgL_arg2603z00_11626 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11622); 
BgL_arg2604z00_11627 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11622); 
{ 
 long BgL_bufposz00_13808; long BgL_forwardz00_13807;
BgL_forwardz00_13807 = BgL_arg2603z00_11626; 
BgL_bufposz00_13808 = BgL_arg2604z00_11627; 
BgL_bufposz00_11625 = BgL_bufposz00_13808; 
BgL_forwardz00_11624 = BgL_forwardz00_13807; 
goto BgL_statezd231zd21328z00_11248;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11623; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11628;
BgL_curz00_11628 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11622, BgL_forwardz00_11624); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11628)==103L))
{ 
 long BgL_bufposz00_13817; long BgL_forwardz00_13815; long BgL_lastzd2matchzd2_13814; obj_t BgL_iportz00_13813;
BgL_iportz00_13813 = BgL_iportz00_11622; 
BgL_lastzd2matchzd2_13814 = BgL_lastzd2matchzd2_11623; 
BgL_forwardz00_13815 = 
(1L+BgL_forwardz00_11624); 
BgL_bufposz00_13817 = BgL_bufposz00_11625; 
BgL_bufposz00_11495 = BgL_bufposz00_13817; 
BgL_forwardz00_11494 = BgL_forwardz00_13815; 
BgL_lastzd2matchzd2_11493 = BgL_lastzd2matchzd2_13814; 
BgL_iportz00_11492 = BgL_iportz00_13813; 
goto BgL_statezd232zd21329z00_11234;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11628)==100L))
{ 
 long BgL_forwardz00_13821;
BgL_forwardz00_13821 = 
(1L+BgL_forwardz00_11624); 
BgL_forwardz00_11624 = BgL_forwardz00_13821; 
goto BgL_statezd231zd21328z00_11248;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5840z00_13823;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5841z00_13824;
if(
(
(long)(BgL_curz00_11628)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5841z00_13824 = 
(
(long)(BgL_curz00_11628)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5841z00_13824 = ((bool_t)0)
; } 
if(BgL_test5841z00_13824)
{ /* Llib/mpc.scm 444 */
BgL_test5840z00_13823 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5843z00_13830;
if(
(
(long)(BgL_curz00_11628)==99L))
{ /* Llib/mpc.scm 444 */
BgL_test5843z00_13830 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11628)==98L))
{ /* Llib/mpc.scm 444 */
BgL_test5843z00_13830 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5843z00_13830 = 
(
(long)(BgL_curz00_11628)==97L)
; } } 
if(BgL_test5843z00_13830)
{ /* Llib/mpc.scm 444 */
BgL_test5840z00_13823 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5846z00_13839;
if(
(
(long)(BgL_curz00_11628)==102L))
{ /* Llib/mpc.scm 444 */
BgL_test5846z00_13839 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5846z00_13839 = 
(
(long)(BgL_curz00_11628)==101L)
; } 
if(BgL_test5846z00_13839)
{ /* Llib/mpc.scm 444 */
BgL_test5840z00_13823 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11628)>=104L))
{ /* Llib/mpc.scm 444 */
BgL_test5840z00_13823 = 
(
(long)(BgL_curz00_11628)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5840z00_13823 = ((bool_t)0)
; } } } } } 
if(BgL_test5840z00_13823)
{ 
 long BgL_bufposz00_13854; long BgL_forwardz00_13852; long BgL_lastzd2matchzd2_13851; obj_t BgL_iportz00_13850;
BgL_iportz00_13850 = BgL_iportz00_11622; 
BgL_lastzd2matchzd2_13851 = BgL_lastzd2matchzd2_11623; 
BgL_forwardz00_13852 = 
(1L+BgL_forwardz00_11624); 
BgL_bufposz00_13854 = BgL_bufposz00_11625; 
BgL_bufposz00_11425 = BgL_bufposz00_13854; 
BgL_forwardz00_11424 = BgL_forwardz00_13852; 
BgL_lastzd2matchzd2_11423 = BgL_lastzd2matchzd2_13851; 
BgL_iportz00_11422 = BgL_iportz00_13850; 
goto BgL_statezd223zd21320z00_11226;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11628)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2619z00_11629;
BgL_arg2619z00_11629 = 
(1L+BgL_forwardz00_11624); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11630;
RGC_STOP_MATCH(BgL_iportz00_11622, BgL_arg2619z00_11629); 
BgL_newzd2matchzd2_11630 = 2L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11630; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11623; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5850z00_13861;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5851z00_13862;
if(
(
(long)(BgL_curz00_11498)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5851z00_13862 = 
(
(long)(BgL_curz00_11498)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5851z00_13862 = ((bool_t)0)
; } 
if(BgL_test5851z00_13862)
{ /* Llib/mpc.scm 444 */
BgL_test5850z00_13861 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5853z00_13868;
if(
(
(long)(BgL_curz00_11498)==99L))
{ /* Llib/mpc.scm 444 */
BgL_test5853z00_13868 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11498)==98L))
{ /* Llib/mpc.scm 444 */
BgL_test5853z00_13868 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5853z00_13868 = 
(
(long)(BgL_curz00_11498)==97L)
; } } 
if(BgL_test5853z00_13868)
{ /* Llib/mpc.scm 444 */
BgL_test5850z00_13861 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5856z00_13877;
if(
(
(long)(BgL_curz00_11498)==102L))
{ /* Llib/mpc.scm 444 */
BgL_test5856z00_13877 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5856z00_13877 = 
(
(long)(BgL_curz00_11498)==101L)
; } 
if(BgL_test5856z00_13877)
{ /* Llib/mpc.scm 444 */
BgL_test5850z00_13861 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11498)>=104L))
{ /* Llib/mpc.scm 444 */
BgL_test5850z00_13861 = 
(
(long)(BgL_curz00_11498)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5850z00_13861 = ((bool_t)0)
; } } } } } 
if(BgL_test5850z00_13861)
{ 
 long BgL_bufposz00_13892; long BgL_forwardz00_13890; long BgL_lastzd2matchzd2_13889; obj_t BgL_iportz00_13888;
BgL_iportz00_13888 = BgL_iportz00_11492; 
BgL_lastzd2matchzd2_13889 = BgL_lastzd2matchzd2_11493; 
BgL_forwardz00_13890 = 
(1L+BgL_forwardz00_11494); 
BgL_bufposz00_13892 = BgL_bufposz00_11495; 
BgL_bufposz00_11425 = BgL_bufposz00_13892; 
BgL_forwardz00_11424 = BgL_forwardz00_13890; 
BgL_lastzd2matchzd2_11423 = BgL_lastzd2matchzd2_13889; 
BgL_iportz00_11422 = BgL_iportz00_13888; 
goto BgL_statezd223zd21320z00_11226;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11498)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2835z00_11499;
BgL_arg2835z00_11499 = 
(1L+BgL_forwardz00_11494); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11500;
RGC_STOP_MATCH(BgL_iportz00_11492, BgL_arg2835z00_11499); 
BgL_newzd2matchzd2_11500 = 1L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11500; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11493; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11428)==100L))
{ 
 long BgL_bufposz00_13906; long BgL_forwardz00_13904; long BgL_lastzd2matchzd2_13903; obj_t BgL_iportz00_13902;
BgL_iportz00_13902 = BgL_iportz00_11422; 
BgL_lastzd2matchzd2_13903 = BgL_lastzd2matchzd2_11423; 
BgL_forwardz00_13904 = 
(1L+BgL_forwardz00_11424); 
BgL_bufposz00_13906 = BgL_bufposz00_11425; 
BgL_bufposz00_11625 = BgL_bufposz00_13906; 
BgL_forwardz00_11624 = BgL_forwardz00_13904; 
BgL_lastzd2matchzd2_11623 = BgL_lastzd2matchzd2_13903; 
BgL_iportz00_11622 = BgL_iportz00_13902; 
goto BgL_statezd231zd21328z00_11248;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5861z00_13907;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5862z00_13908;
if(
(
(long)(BgL_curz00_11428)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5862z00_13908 = 
(
(long)(BgL_curz00_11428)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5862z00_13908 = ((bool_t)0)
; } 
if(BgL_test5862z00_13908)
{ /* Llib/mpc.scm 444 */
BgL_test5861z00_13907 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5864z00_13914;
if(
(
(long)(BgL_curz00_11428)==99L))
{ /* Llib/mpc.scm 444 */
BgL_test5864z00_13914 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11428)==98L))
{ /* Llib/mpc.scm 444 */
BgL_test5864z00_13914 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5864z00_13914 = 
(
(long)(BgL_curz00_11428)==97L)
; } } 
if(BgL_test5864z00_13914)
{ /* Llib/mpc.scm 444 */
BgL_test5861z00_13907 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5867z00_13923;
if(
(
(long)(BgL_curz00_11428)==102L))
{ /* Llib/mpc.scm 444 */
BgL_test5867z00_13923 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5867z00_13923 = 
(
(long)(BgL_curz00_11428)==101L)
; } 
if(BgL_test5867z00_13923)
{ /* Llib/mpc.scm 444 */
BgL_test5861z00_13907 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11428)>=104L))
{ /* Llib/mpc.scm 444 */
BgL_test5861z00_13907 = 
(
(long)(BgL_curz00_11428)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5861z00_13907 = ((bool_t)0)
; } } } } } 
if(BgL_test5861z00_13907)
{ 
 long BgL_forwardz00_13934;
BgL_forwardz00_13934 = 
(1L+BgL_forwardz00_11424); 
BgL_forwardz00_11424 = BgL_forwardz00_13934; 
goto BgL_statezd223zd21320z00_11226;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11428)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2932z00_11429;
BgL_arg2932z00_11429 = 
(1L+BgL_forwardz00_11424); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11430;
RGC_STOP_MATCH(BgL_iportz00_11422, BgL_arg2932z00_11429); 
BgL_newzd2matchzd2_11430 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11430; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11423; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11600)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2668z00_11601;
BgL_arg2668z00_11601 = 
(1L+BgL_forwardz00_11595); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11602;
RGC_STOP_MATCH(BgL_iportz00_11593, BgL_arg2668z00_11601); 
BgL_newzd2matchzd2_11602 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11602; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11597; } } } } } } break;case 114L : 

BgL_iportz00_11310 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11311 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11312 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11313 = BgL_bufposz00_11342; 
BgL_statezd210zd21307z00_11214:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11314;
RGC_STOP_MATCH(BgL_iportz00_11310, BgL_forwardz00_11312); 
BgL_newzd2matchzd2_11314 = 17L; 
if(
(BgL_forwardz00_11312==BgL_bufposz00_11313))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11310))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3092z00_11315; long BgL_arg3093z00_11316;
BgL_arg3092z00_11315 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11310); 
BgL_arg3093z00_11316 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11310); 
{ 
 long BgL_bufposz00_13956; long BgL_forwardz00_13955;
BgL_forwardz00_13955 = BgL_arg3092z00_11315; 
BgL_bufposz00_13956 = BgL_arg3093z00_11316; 
BgL_bufposz00_11313 = BgL_bufposz00_13956; 
BgL_forwardz00_11312 = BgL_forwardz00_13955; 
goto BgL_statezd210zd21307z00_11214;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11314; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11317;
BgL_curz00_11317 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11310, BgL_forwardz00_11312); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11317)==101L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11631 = BgL_iportz00_11310; 
BgL_lastzd2matchzd2_11632 = BgL_newzd2matchzd2_11314; 
BgL_forwardz00_11633 = 
(1L+BgL_forwardz00_11312); 
BgL_bufposz00_11634 = BgL_bufposz00_11313; 
BgL_statezd237zd21334z00_11249:
if(
(BgL_forwardz00_11633==BgL_bufposz00_11634))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11631))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2591z00_11635; long BgL_arg2592z00_11636;
BgL_arg2591z00_11635 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11631); 
BgL_arg2592z00_11636 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11631); 
{ 
 long BgL_bufposz00_13968; long BgL_forwardz00_13967;
BgL_forwardz00_13967 = BgL_arg2591z00_11635; 
BgL_bufposz00_13968 = BgL_arg2592z00_11636; 
BgL_bufposz00_11634 = BgL_bufposz00_13968; 
BgL_forwardz00_11633 = BgL_forwardz00_13967; 
goto BgL_statezd237zd21334z00_11249;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11632; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11637;
BgL_curz00_11637 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11631, BgL_forwardz00_11633); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5877z00_13970;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5878z00_13971;
if(
(
(long)(BgL_curz00_11637)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5878z00_13971 = 
(
(long)(BgL_curz00_11637)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5878z00_13971 = ((bool_t)0)
; } 
if(BgL_test5878z00_13971)
{ /* Llib/mpc.scm 444 */
BgL_test5877z00_13970 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11637)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5877z00_13970 = 
(
(long)(BgL_curz00_11637)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5877z00_13970 = ((bool_t)0)
; } } } 
if(BgL_test5877z00_13970)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11440 = BgL_iportz00_11631; 
BgL_lastzd2matchzd2_11441 = BgL_lastzd2matchzd2_11632; 
BgL_forwardz00_11442 = 
(1L+BgL_forwardz00_11633); 
BgL_bufposz00_11443 = BgL_bufposz00_11634; 
BgL_statezd238zd21335z00_11228:
if(
(BgL_forwardz00_11442==BgL_bufposz00_11443))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11440))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2893z00_11444; long BgL_arg2894z00_11445;
BgL_arg2893z00_11444 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11440); 
BgL_arg2894z00_11445 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11440); 
{ 
 long BgL_bufposz00_13989; long BgL_forwardz00_13988;
BgL_forwardz00_13988 = BgL_arg2893z00_11444; 
BgL_bufposz00_13989 = BgL_arg2894z00_11445; 
BgL_bufposz00_11443 = BgL_bufposz00_13989; 
BgL_forwardz00_11442 = BgL_forwardz00_13988; 
goto BgL_statezd238zd21335z00_11228;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11441; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11446;
BgL_curz00_11446 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11440, BgL_forwardz00_11442); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5883z00_13991;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5884z00_13992;
if(
(
(long)(BgL_curz00_11446)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5884z00_13992 = 
(
(long)(BgL_curz00_11446)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5884z00_13992 = ((bool_t)0)
; } 
if(BgL_test5884z00_13992)
{ /* Llib/mpc.scm 444 */
BgL_test5883z00_13991 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11446)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5883z00_13991 = 
(
(long)(BgL_curz00_11446)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5883z00_13991 = ((bool_t)0)
; } } } 
if(BgL_test5883z00_13991)
{ 
 long BgL_forwardz00_14003;
BgL_forwardz00_14003 = 
(1L+BgL_forwardz00_11442); 
BgL_forwardz00_11442 = BgL_forwardz00_14003; 
goto BgL_statezd238zd21335z00_11228;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11446)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2900z00_11447;
BgL_arg2900z00_11447 = 
(1L+BgL_forwardz00_11442); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11448;
RGC_STOP_MATCH(BgL_iportz00_11440, BgL_arg2900z00_11447); 
BgL_newzd2matchzd2_11448 = 13L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11448; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11441; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11637)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2598z00_11638;
BgL_arg2598z00_11638 = 
(1L+BgL_forwardz00_11633); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11639;
RGC_STOP_MATCH(BgL_iportz00_11631, BgL_arg2598z00_11638); 
BgL_newzd2matchzd2_11639 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11639; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11632; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11317)==97L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11476 = BgL_iportz00_11310; 
BgL_lastzd2matchzd2_11477 = BgL_newzd2matchzd2_11314; 
BgL_forwardz00_11478 = 
(1L+BgL_forwardz00_11312); 
BgL_bufposz00_11479 = BgL_bufposz00_11313; 
BgL_statezd236zd21333z00_11232:
if(
(BgL_forwardz00_11478==BgL_bufposz00_11479))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11476))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2846z00_11480; long BgL_arg2847z00_11481;
BgL_arg2846z00_11480 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11476); 
BgL_arg2847z00_11481 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11476); 
{ 
 long BgL_bufposz00_14027; long BgL_forwardz00_14026;
BgL_forwardz00_14026 = BgL_arg2846z00_11480; 
BgL_bufposz00_14027 = BgL_arg2847z00_11481; 
BgL_bufposz00_11479 = BgL_bufposz00_14027; 
BgL_forwardz00_11478 = BgL_forwardz00_14026; 
goto BgL_statezd236zd21333z00_11232;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11477; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11482;
BgL_curz00_11482 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11476, BgL_forwardz00_11478); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5892z00_14029;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5893z00_14030;
if(
(
(long)(BgL_curz00_11482)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5893z00_14030 = 
(
(long)(BgL_curz00_11482)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5893z00_14030 = ((bool_t)0)
; } 
if(BgL_test5893z00_14030)
{ /* Llib/mpc.scm 444 */
BgL_test5892z00_14029 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11482)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5892z00_14029 = 
(
(long)(BgL_curz00_11482)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5892z00_14029 = ((bool_t)0)
; } } } 
if(BgL_test5892z00_14029)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11458 = BgL_iportz00_11476; 
BgL_lastzd2matchzd2_11459 = BgL_lastzd2matchzd2_11477; 
BgL_forwardz00_11460 = 
(1L+BgL_forwardz00_11478); 
BgL_bufposz00_11461 = BgL_bufposz00_11479; 
BgL_statezd240zd21337z00_11230:
if(
(BgL_forwardz00_11460==BgL_bufposz00_11461))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11458))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2870z00_11462; long BgL_arg2871z00_11463;
BgL_arg2870z00_11462 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11458); 
BgL_arg2871z00_11463 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11458); 
{ 
 long BgL_bufposz00_14048; long BgL_forwardz00_14047;
BgL_forwardz00_14047 = BgL_arg2870z00_11462; 
BgL_bufposz00_14048 = BgL_arg2871z00_11463; 
BgL_bufposz00_11461 = BgL_bufposz00_14048; 
BgL_forwardz00_11460 = BgL_forwardz00_14047; 
goto BgL_statezd240zd21337z00_11230;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11459; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11464;
BgL_curz00_11464 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11458, BgL_forwardz00_11460); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5898z00_14050;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5899z00_14051;
if(
(
(long)(BgL_curz00_11464)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5899z00_14051 = 
(
(long)(BgL_curz00_11464)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5899z00_14051 = ((bool_t)0)
; } 
if(BgL_test5899z00_14051)
{ /* Llib/mpc.scm 444 */
BgL_test5898z00_14050 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11464)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5898z00_14050 = 
(
(long)(BgL_curz00_11464)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5898z00_14050 = ((bool_t)0)
; } } } 
if(BgL_test5898z00_14050)
{ 
 long BgL_forwardz00_14062;
BgL_forwardz00_14062 = 
(1L+BgL_forwardz00_11460); 
BgL_forwardz00_11460 = BgL_forwardz00_14062; 
goto BgL_statezd240zd21337z00_11230;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11464)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2877z00_11465;
BgL_arg2877z00_11465 = 
(1L+BgL_forwardz00_11460); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11466;
RGC_STOP_MATCH(BgL_iportz00_11458, BgL_arg2877z00_11465); 
BgL_newzd2matchzd2_11466 = 12L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11466; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11459; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11482)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2853z00_11483;
BgL_arg2853z00_11483 = 
(1L+BgL_forwardz00_11478); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11484;
RGC_STOP_MATCH(BgL_iportz00_11476, BgL_arg2853z00_11483); 
BgL_newzd2matchzd2_11484 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11484; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11477; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5904z00_14076;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5905z00_14077;
if(
(
(long)(BgL_curz00_11317)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5905z00_14077 = 
(
(long)(BgL_curz00_11317)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5905z00_14077 = ((bool_t)0)
; } 
if(BgL_test5905z00_14077)
{ /* Llib/mpc.scm 444 */
BgL_test5904z00_14076 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5907z00_14083;
if(
(
(long)(BgL_curz00_11317)==100L))
{ /* Llib/mpc.scm 444 */
BgL_test5907z00_14083 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11317)==99L))
{ /* Llib/mpc.scm 444 */
BgL_test5907z00_14083 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5907z00_14083 = 
(
(long)(BgL_curz00_11317)==98L)
; } } 
if(BgL_test5907z00_14083)
{ /* Llib/mpc.scm 444 */
BgL_test5904z00_14076 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11317)>=102L))
{ /* Llib/mpc.scm 444 */
BgL_test5904z00_14076 = 
(
(long)(BgL_curz00_11317)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5904z00_14076 = ((bool_t)0)
; } } } } 
if(BgL_test5904z00_14076)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11280 = BgL_iportz00_11310; 
BgL_lastzd2matchzd2_11281 = BgL_newzd2matchzd2_11314; 
BgL_forwardz00_11282 = 
(1L+BgL_forwardz00_11312); 
BgL_bufposz00_11283 = BgL_bufposz00_11313; 
BgL_statezd235zd21332z00_11211:
if(
(BgL_forwardz00_11282==BgL_bufposz00_11283))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11280))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3135z00_11284; long BgL_arg3136z00_11285;
BgL_arg3135z00_11284 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11280); 
BgL_arg3136z00_11285 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11280); 
{ 
 long BgL_bufposz00_14104; long BgL_forwardz00_14103;
BgL_forwardz00_14103 = BgL_arg3135z00_11284; 
BgL_bufposz00_14104 = BgL_arg3136z00_11285; 
BgL_bufposz00_11283 = BgL_bufposz00_14104; 
BgL_forwardz00_11282 = BgL_forwardz00_14103; 
goto BgL_statezd235zd21332z00_11211;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11281; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11286;
BgL_curz00_11286 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11280, BgL_forwardz00_11282); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5913z00_14106;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5914z00_14107;
if(
(
(long)(BgL_curz00_11286)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5914z00_14107 = 
(
(long)(BgL_curz00_11286)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5914z00_14107 = ((bool_t)0)
; } 
if(BgL_test5914z00_14107)
{ /* Llib/mpc.scm 444 */
BgL_test5913z00_14106 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11286)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5913z00_14106 = 
(
(long)(BgL_curz00_11286)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5913z00_14106 = ((bool_t)0)
; } } } 
if(BgL_test5913z00_14106)
{ 
 long BgL_forwardz00_14118;
BgL_forwardz00_14118 = 
(1L+BgL_forwardz00_11282); 
BgL_forwardz00_11282 = BgL_forwardz00_14118; 
goto BgL_statezd235zd21332z00_11211;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11286)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3142z00_11287;
BgL_arg3142z00_11287 = 
(1L+BgL_forwardz00_11282); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11288;
RGC_STOP_MATCH(BgL_iportz00_11280, BgL_arg3142z00_11287); 
BgL_newzd2matchzd2_11288 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11288; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11281; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11317)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3106z00_11318;
BgL_arg3106z00_11318 = 
(1L+BgL_forwardz00_11312); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11319;
RGC_STOP_MATCH(BgL_iportz00_11310, BgL_arg3106z00_11318); 
BgL_newzd2matchzd2_11319 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11319; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11314; } } } } } } } break;case 112L : 

BgL_iportz00_11640 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11641 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11642 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11643 = BgL_bufposz00_11342; 
BgL_statezd29zd21306z00_11250:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11644;
RGC_STOP_MATCH(BgL_iportz00_11640, BgL_forwardz00_11642); 
BgL_newzd2matchzd2_11644 = 17L; 
if(
(BgL_forwardz00_11642==BgL_bufposz00_11643))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11640))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2580z00_11645; long BgL_arg2581z00_11646;
BgL_arg2580z00_11645 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11640); 
BgL_arg2581z00_11646 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11640); 
{ 
 long BgL_bufposz00_14140; long BgL_forwardz00_14139;
BgL_forwardz00_14139 = BgL_arg2580z00_11645; 
BgL_bufposz00_14140 = BgL_arg2581z00_11646; 
BgL_bufposz00_11643 = BgL_bufposz00_14140; 
BgL_forwardz00_11642 = BgL_forwardz00_14139; 
goto BgL_statezd29zd21306z00_11250;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11644; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11647;
BgL_curz00_11647 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11640, BgL_forwardz00_11642); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5921z00_14142;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5922z00_14143;
if(
(
(long)(BgL_curz00_11647)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5922z00_14143 = 
(
(long)(BgL_curz00_11647)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5922z00_14143 = ((bool_t)0)
; } 
if(BgL_test5922z00_14143)
{ /* Llib/mpc.scm 444 */
BgL_test5921z00_14142 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11647)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5921z00_14142 = 
(
(long)(BgL_curz00_11647)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5921z00_14142 = ((bool_t)0)
; } } } 
if(BgL_test5921z00_14142)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11546 = BgL_iportz00_11640; 
BgL_lastzd2matchzd2_11547 = BgL_newzd2matchzd2_11644; 
BgL_forwardz00_11548 = 
(1L+BgL_forwardz00_11642); 
BgL_bufposz00_11549 = BgL_bufposz00_11643; 
BgL_statezd242zd21339z00_11240:
if(
(BgL_forwardz00_11548==BgL_bufposz00_11549))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11546))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2726z00_11550; long BgL_arg2727z00_11551;
BgL_arg2726z00_11550 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11546); 
BgL_arg2727z00_11551 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11546); 
{ 
 long BgL_bufposz00_14161; long BgL_forwardz00_14160;
BgL_forwardz00_14160 = BgL_arg2726z00_11550; 
BgL_bufposz00_14161 = BgL_arg2727z00_11551; 
BgL_bufposz00_11549 = BgL_bufposz00_14161; 
BgL_forwardz00_11548 = BgL_forwardz00_14160; 
goto BgL_statezd242zd21339z00_11240;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11547; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11552;
BgL_curz00_11552 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11546, BgL_forwardz00_11548); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11552)==116L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11537 = BgL_iportz00_11546; 
BgL_lastzd2matchzd2_11538 = BgL_lastzd2matchzd2_11547; 
BgL_forwardz00_11539 = 
(1L+BgL_forwardz00_11548); 
BgL_bufposz00_11540 = BgL_bufposz00_11549; 
BgL_statezd244zd21341z00_11239:
if(
(BgL_forwardz00_11539==BgL_bufposz00_11540))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11537))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2745z00_11541; long BgL_arg2746z00_11542;
BgL_arg2745z00_11541 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11537); 
BgL_arg2746z00_11542 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11537); 
{ 
 long BgL_bufposz00_14173; long BgL_forwardz00_14172;
BgL_forwardz00_14172 = BgL_arg2745z00_11541; 
BgL_bufposz00_14173 = BgL_arg2746z00_11542; 
BgL_bufposz00_11540 = BgL_bufposz00_14173; 
BgL_forwardz00_11539 = BgL_forwardz00_14172; 
goto BgL_statezd244zd21341z00_11239;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11538; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11543;
BgL_curz00_11543 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11537, BgL_forwardz00_11539); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11543)==116L))
{ 
 long BgL_forwardz00_14178;
BgL_forwardz00_14178 = 
(1L+BgL_forwardz00_11539); 
BgL_forwardz00_11539 = BgL_forwardz00_14178; 
goto BgL_statezd244zd21341z00_11239;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11543)==104L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11357 = BgL_iportz00_11537; 
BgL_lastzd2matchzd2_11358 = BgL_lastzd2matchzd2_11538; 
BgL_forwardz00_11359 = 
(1L+BgL_forwardz00_11539); 
BgL_bufposz00_11360 = BgL_bufposz00_11540; 
BgL_statezd243zd21340z00_11219:
if(
(BgL_forwardz00_11359==BgL_bufposz00_11360))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11357))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3011z00_11361; long BgL_arg3012z00_11362;
BgL_arg3011z00_11361 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11357); 
BgL_arg3012z00_11362 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11357); 
{ 
 long BgL_bufposz00_14190; long BgL_forwardz00_14189;
BgL_forwardz00_14189 = BgL_arg3011z00_11361; 
BgL_bufposz00_14190 = BgL_arg3012z00_11362; 
BgL_bufposz00_11360 = BgL_bufposz00_14190; 
BgL_forwardz00_11359 = BgL_forwardz00_14189; 
goto BgL_statezd243zd21340z00_11219;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11358; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11363;
BgL_curz00_11363 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11357, BgL_forwardz00_11359); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11363)==116L))
{ 
 long BgL_bufposz00_14199; long BgL_forwardz00_14197; long BgL_lastzd2matchzd2_14196; obj_t BgL_iportz00_14195;
BgL_iportz00_14195 = BgL_iportz00_11357; 
BgL_lastzd2matchzd2_14196 = BgL_lastzd2matchzd2_11358; 
BgL_forwardz00_14197 = 
(1L+BgL_forwardz00_11359); 
BgL_bufposz00_14199 = BgL_bufposz00_11360; 
BgL_bufposz00_11540 = BgL_bufposz00_14199; 
BgL_forwardz00_11539 = BgL_forwardz00_14197; 
BgL_lastzd2matchzd2_11538 = BgL_lastzd2matchzd2_14196; 
BgL_iportz00_11537 = BgL_iportz00_14195; 
goto BgL_statezd244zd21341z00_11239;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11363)==104L))
{ 
 long BgL_forwardz00_14203;
BgL_forwardz00_14203 = 
(1L+BgL_forwardz00_11359); 
BgL_forwardz00_11359 = BgL_forwardz00_14203; 
goto BgL_statezd243zd21340z00_11219;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5936z00_14205;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5937z00_14206;
if(
(
(long)(BgL_curz00_11363)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5937z00_14206 = 
(
(long)(BgL_curz00_11363)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5937z00_14206 = ((bool_t)0)
; } 
if(BgL_test5937z00_14206)
{ /* Llib/mpc.scm 444 */
BgL_test5936z00_14205 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5939z00_14212;
if(
(
(long)(BgL_curz00_11363)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5939z00_14212 = 
(
(long)(BgL_curz00_11363)<104L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5939z00_14212 = ((bool_t)0)
; } 
if(BgL_test5939z00_14212)
{ /* Llib/mpc.scm 444 */
BgL_test5936z00_14205 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5941z00_14218;
if(
(
(long)(BgL_curz00_11363)>=105L))
{ /* Llib/mpc.scm 444 */
BgL_test5941z00_14218 = 
(
(long)(BgL_curz00_11363)<116L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5941z00_14218 = ((bool_t)0)
; } 
if(BgL_test5941z00_14218)
{ /* Llib/mpc.scm 444 */
BgL_test5936z00_14205 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11363)>=117L))
{ /* Llib/mpc.scm 444 */
BgL_test5936z00_14205 = 
(
(long)(BgL_curz00_11363)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5936z00_14205 = ((bool_t)0)
; } } } } } 
if(BgL_test5936z00_14205)
{ 
 long BgL_bufposz00_14233; long BgL_forwardz00_14231; long BgL_lastzd2matchzd2_14230; obj_t BgL_iportz00_14229;
BgL_iportz00_14229 = BgL_iportz00_11357; 
BgL_lastzd2matchzd2_14230 = BgL_lastzd2matchzd2_11358; 
BgL_forwardz00_14231 = 
(1L+BgL_forwardz00_11359); 
BgL_bufposz00_14233 = BgL_bufposz00_11360; 
BgL_bufposz00_11549 = BgL_bufposz00_14233; 
BgL_forwardz00_11548 = BgL_forwardz00_14231; 
BgL_lastzd2matchzd2_11547 = BgL_lastzd2matchzd2_14230; 
BgL_iportz00_11546 = BgL_iportz00_14229; 
goto BgL_statezd242zd21339z00_11240;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11363)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3026z00_11364;
BgL_arg3026z00_11364 = 
(1L+BgL_forwardz00_11359); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11365;
RGC_STOP_MATCH(BgL_iportz00_11357, BgL_arg3026z00_11364); 
BgL_newzd2matchzd2_11365 = 6L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11365; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11358; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5945z00_14240;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5946z00_14241;
if(
(
(long)(BgL_curz00_11543)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5946z00_14241 = 
(
(long)(BgL_curz00_11543)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5946z00_14241 = ((bool_t)0)
; } 
if(BgL_test5946z00_14241)
{ /* Llib/mpc.scm 444 */
BgL_test5945z00_14240 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5948z00_14247;
if(
(
(long)(BgL_curz00_11543)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5948z00_14247 = 
(
(long)(BgL_curz00_11543)<104L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5948z00_14247 = ((bool_t)0)
; } 
if(BgL_test5948z00_14247)
{ /* Llib/mpc.scm 444 */
BgL_test5945z00_14240 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5950z00_14253;
if(
(
(long)(BgL_curz00_11543)>=105L))
{ /* Llib/mpc.scm 444 */
BgL_test5950z00_14253 = 
(
(long)(BgL_curz00_11543)<116L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5950z00_14253 = ((bool_t)0)
; } 
if(BgL_test5950z00_14253)
{ /* Llib/mpc.scm 444 */
BgL_test5945z00_14240 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11543)>=117L))
{ /* Llib/mpc.scm 444 */
BgL_test5945z00_14240 = 
(
(long)(BgL_curz00_11543)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5945z00_14240 = ((bool_t)0)
; } } } } } 
if(BgL_test5945z00_14240)
{ 
 long BgL_bufposz00_14268; long BgL_forwardz00_14266; long BgL_lastzd2matchzd2_14265; obj_t BgL_iportz00_14264;
BgL_iportz00_14264 = BgL_iportz00_11537; 
BgL_lastzd2matchzd2_14265 = BgL_lastzd2matchzd2_11538; 
BgL_forwardz00_14266 = 
(1L+BgL_forwardz00_11539); 
BgL_bufposz00_14268 = BgL_bufposz00_11540; 
BgL_bufposz00_11549 = BgL_bufposz00_14268; 
BgL_forwardz00_11548 = BgL_forwardz00_14266; 
BgL_lastzd2matchzd2_11547 = BgL_lastzd2matchzd2_14265; 
BgL_iportz00_11546 = BgL_iportz00_14264; 
goto BgL_statezd242zd21339z00_11240;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11543)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2760z00_11544;
BgL_arg2760z00_11544 = 
(1L+BgL_forwardz00_11539); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11545;
RGC_STOP_MATCH(BgL_iportz00_11537, BgL_arg2760z00_11544); 
BgL_newzd2matchzd2_11545 = 7L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11545; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11538; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11552)==104L))
{ 
 long BgL_bufposz00_14282; long BgL_forwardz00_14280; long BgL_lastzd2matchzd2_14279; obj_t BgL_iportz00_14278;
BgL_iportz00_14278 = BgL_iportz00_11546; 
BgL_lastzd2matchzd2_14279 = BgL_lastzd2matchzd2_11547; 
BgL_forwardz00_14280 = 
(1L+BgL_forwardz00_11548); 
BgL_bufposz00_14282 = BgL_bufposz00_11549; 
BgL_bufposz00_11360 = BgL_bufposz00_14282; 
BgL_forwardz00_11359 = BgL_forwardz00_14280; 
BgL_lastzd2matchzd2_11358 = BgL_lastzd2matchzd2_14279; 
BgL_iportz00_11357 = BgL_iportz00_14278; 
goto BgL_statezd243zd21340z00_11219;}  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5955z00_14283;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5956z00_14284;
if(
(
(long)(BgL_curz00_11552)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5956z00_14284 = 
(
(long)(BgL_curz00_11552)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5956z00_14284 = ((bool_t)0)
; } 
if(BgL_test5956z00_14284)
{ /* Llib/mpc.scm 444 */
BgL_test5955z00_14283 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5958z00_14290;
if(
(
(long)(BgL_curz00_11552)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5958z00_14290 = 
(
(long)(BgL_curz00_11552)<104L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5958z00_14290 = ((bool_t)0)
; } 
if(BgL_test5958z00_14290)
{ /* Llib/mpc.scm 444 */
BgL_test5955z00_14283 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5960z00_14296;
if(
(
(long)(BgL_curz00_11552)>=105L))
{ /* Llib/mpc.scm 444 */
BgL_test5960z00_14296 = 
(
(long)(BgL_curz00_11552)<116L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5960z00_14296 = ((bool_t)0)
; } 
if(BgL_test5960z00_14296)
{ /* Llib/mpc.scm 444 */
BgL_test5955z00_14283 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11552)>=117L))
{ /* Llib/mpc.scm 444 */
BgL_test5955z00_14283 = 
(
(long)(BgL_curz00_11552)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5955z00_14283 = ((bool_t)0)
; } } } } } 
if(BgL_test5955z00_14283)
{ 
 long BgL_forwardz00_14307;
BgL_forwardz00_14307 = 
(1L+BgL_forwardz00_11548); 
BgL_forwardz00_11548 = BgL_forwardz00_14307; 
goto BgL_statezd242zd21339z00_11240;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11552)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2741z00_11553;
BgL_arg2741z00_11553 = 
(1L+BgL_forwardz00_11548); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11554;
RGC_STOP_MATCH(BgL_iportz00_11546, BgL_arg2741z00_11553); 
BgL_newzd2matchzd2_11554 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11554; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11547; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11647)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2587z00_11648;
BgL_arg2587z00_11648 = 
(1L+BgL_forwardz00_11642); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11649;
RGC_STOP_MATCH(BgL_iportz00_11640, BgL_arg2587z00_11648); 
BgL_newzd2matchzd2_11649 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11649; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11644; } } } } } } break;case 101L : 

BgL_iportz00_11612 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11613 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11614 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11615 = BgL_bufposz00_11342; 
BgL_statezd28zd21305z00_11247:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11616;
RGC_STOP_MATCH(BgL_iportz00_11612, BgL_forwardz00_11614); 
BgL_newzd2matchzd2_11616 = 17L; 
if(
(BgL_forwardz00_11614==BgL_bufposz00_11615))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11612))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2625z00_11617; long BgL_arg2626z00_11618;
BgL_arg2625z00_11617 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11612); 
BgL_arg2626z00_11618 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11612); 
{ 
 long BgL_bufposz00_14329; long BgL_forwardz00_14328;
BgL_forwardz00_14328 = BgL_arg2625z00_11617; 
BgL_bufposz00_14329 = BgL_arg2626z00_11618; 
BgL_bufposz00_11615 = BgL_bufposz00_14329; 
BgL_forwardz00_11614 = BgL_forwardz00_14328; 
goto BgL_statezd28zd21305z00_11247;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11616; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11619;
BgL_curz00_11619 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11612, BgL_forwardz00_11614); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5967z00_14331;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5968z00_14332;
if(
(
(long)(BgL_curz00_11619)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5968z00_14332 = 
(
(long)(BgL_curz00_11619)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5968z00_14332 = ((bool_t)0)
; } 
if(BgL_test5968z00_14332)
{ /* Llib/mpc.scm 444 */
BgL_test5967z00_14331 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11619)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5967z00_14331 = 
(
(long)(BgL_curz00_11619)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5967z00_14331 = ((bool_t)0)
; } } } 
if(BgL_test5967z00_14331)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11431 = BgL_iportz00_11612; 
BgL_lastzd2matchzd2_11432 = BgL_newzd2matchzd2_11616; 
BgL_forwardz00_11433 = 
(1L+BgL_forwardz00_11614); 
BgL_bufposz00_11434 = BgL_bufposz00_11615; 
BgL_statezd247zd21344z00_11227:
if(
(BgL_forwardz00_11433==BgL_bufposz00_11434))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11431))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2905z00_11435; long BgL_arg2906z00_11436;
BgL_arg2905z00_11435 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11431); 
BgL_arg2906z00_11436 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11431); 
{ 
 long BgL_bufposz00_14350; long BgL_forwardz00_14349;
BgL_forwardz00_14349 = BgL_arg2905z00_11435; 
BgL_bufposz00_14350 = BgL_arg2906z00_11436; 
BgL_bufposz00_11434 = BgL_bufposz00_14350; 
BgL_forwardz00_11433 = BgL_forwardz00_14349; 
goto BgL_statezd247zd21344z00_11227;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11432; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11437;
BgL_curz00_11437 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11431, BgL_forwardz00_11433); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5973z00_14352;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5974z00_14353;
if(
(
(long)(BgL_curz00_11437)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5974z00_14353 = 
(
(long)(BgL_curz00_11437)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5974z00_14353 = ((bool_t)0)
; } 
if(BgL_test5974z00_14353)
{ /* Llib/mpc.scm 444 */
BgL_test5973z00_14352 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11437)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5973z00_14352 = 
(
(long)(BgL_curz00_11437)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5973z00_14352 = ((bool_t)0)
; } } } 
if(BgL_test5973z00_14352)
{ 
 long BgL_forwardz00_14364;
BgL_forwardz00_14364 = 
(1L+BgL_forwardz00_11433); 
BgL_forwardz00_11433 = BgL_forwardz00_14364; 
goto BgL_statezd247zd21344z00_11227;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11437)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2912z00_11438;
BgL_arg2912z00_11438 = 
(1L+BgL_forwardz00_11433); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11439;
RGC_STOP_MATCH(BgL_iportz00_11431, BgL_arg2912z00_11438); 
BgL_newzd2matchzd2_11439 = 8L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11439; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11432; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11619)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2632z00_11620;
BgL_arg2632z00_11620 = 
(1L+BgL_forwardz00_11614); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11621;
RGC_STOP_MATCH(BgL_iportz00_11612, BgL_arg2632z00_11620); 
BgL_newzd2matchzd2_11621 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11621; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11616; } } } } } } break;case 98L : 

BgL_iportz00_11583 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11584 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11585 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11586 = BgL_bufposz00_11342; 
BgL_statezd27zd21304z00_11244:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11587;
RGC_STOP_MATCH(BgL_iportz00_11583, BgL_forwardz00_11585); 
BgL_newzd2matchzd2_11587 = 17L; 
if(
(BgL_forwardz00_11585==BgL_bufposz00_11586))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11583))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2673z00_11588; long BgL_arg2674z00_11589;
BgL_arg2673z00_11588 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11583); 
BgL_arg2674z00_11589 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11583); 
{ 
 long BgL_bufposz00_14386; long BgL_forwardz00_14385;
BgL_forwardz00_14385 = BgL_arg2673z00_11588; 
BgL_bufposz00_14386 = BgL_arg2674z00_11589; 
BgL_bufposz00_11586 = BgL_bufposz00_14386; 
BgL_forwardz00_11585 = BgL_forwardz00_14385; 
goto BgL_statezd27zd21304z00_11244;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11587; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11590;
BgL_curz00_11590 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11583, BgL_forwardz00_11585); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5981z00_14388;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5982z00_14389;
if(
(
(long)(BgL_curz00_11590)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5982z00_14389 = 
(
(long)(BgL_curz00_11590)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5982z00_14389 = ((bool_t)0)
; } 
if(BgL_test5982z00_14389)
{ /* Llib/mpc.scm 444 */
BgL_test5981z00_14388 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11590)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5981z00_14388 = 
(
(long)(BgL_curz00_11590)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5981z00_14388 = ((bool_t)0)
; } } } 
if(BgL_test5981z00_14388)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11528 = BgL_iportz00_11583; 
BgL_lastzd2matchzd2_11529 = BgL_newzd2matchzd2_11587; 
BgL_forwardz00_11530 = 
(1L+BgL_forwardz00_11585); 
BgL_bufposz00_11531 = BgL_bufposz00_11586; 
BgL_statezd249zd21346z00_11238:
if(
(BgL_forwardz00_11530==BgL_bufposz00_11531))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11528))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2764z00_11532; long BgL_arg2765z00_11533;
BgL_arg2764z00_11532 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11528); 
BgL_arg2765z00_11533 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11528); 
{ 
 long BgL_bufposz00_14407; long BgL_forwardz00_14406;
BgL_forwardz00_14406 = BgL_arg2764z00_11532; 
BgL_bufposz00_14407 = BgL_arg2765z00_11533; 
BgL_bufposz00_11531 = BgL_bufposz00_14407; 
BgL_forwardz00_11530 = BgL_forwardz00_14406; 
goto BgL_statezd249zd21346z00_11238;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11529; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11534;
BgL_curz00_11534 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11528, BgL_forwardz00_11530); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5987z00_14409;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5988z00_14410;
if(
(
(long)(BgL_curz00_11534)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5988z00_14410 = 
(
(long)(BgL_curz00_11534)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5988z00_14410 = ((bool_t)0)
; } 
if(BgL_test5988z00_14410)
{ /* Llib/mpc.scm 444 */
BgL_test5987z00_14409 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11534)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5987z00_14409 = 
(
(long)(BgL_curz00_11534)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5987z00_14409 = ((bool_t)0)
; } } } 
if(BgL_test5987z00_14409)
{ 
 long BgL_forwardz00_14421;
BgL_forwardz00_14421 = 
(1L+BgL_forwardz00_11530); 
BgL_forwardz00_11530 = BgL_forwardz00_14421; 
goto BgL_statezd249zd21346z00_11238;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11534)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2771z00_11535;
BgL_arg2771z00_11535 = 
(1L+BgL_forwardz00_11530); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11536;
RGC_STOP_MATCH(BgL_iportz00_11528, BgL_arg2771z00_11535); 
BgL_newzd2matchzd2_11536 = 9L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11536; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11529; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11590)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2680z00_11591;
BgL_arg2680z00_11591 = 
(1L+BgL_forwardz00_11585); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11592;
RGC_STOP_MATCH(BgL_iportz00_11583, BgL_arg2680z00_11591); 
BgL_newzd2matchzd2_11592 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11592; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11587; } } } } } } break;case 97L : 

BgL_iportz00_11329 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11330 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11331 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11332 = BgL_bufposz00_11342; 
BgL_statezd26zd21303z00_11216:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11333;
RGC_STOP_MATCH(BgL_iportz00_11329, BgL_forwardz00_11331); 
BgL_newzd2matchzd2_11333 = 17L; 
if(
(BgL_forwardz00_11331==BgL_bufposz00_11332))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11329))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3070z00_11334; long BgL_arg3071z00_11335;
BgL_arg3070z00_11334 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11329); 
BgL_arg3071z00_11335 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11329); 
{ 
 long BgL_bufposz00_14443; long BgL_forwardz00_14442;
BgL_forwardz00_14442 = BgL_arg3070z00_11334; 
BgL_bufposz00_14443 = BgL_arg3071z00_11335; 
BgL_bufposz00_11332 = BgL_bufposz00_14443; 
BgL_forwardz00_11331 = BgL_forwardz00_14442; 
goto BgL_statezd26zd21303z00_11216;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11333; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11336;
BgL_curz00_11336 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11329, BgL_forwardz00_11331); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5995z00_14445;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test5996z00_14446;
if(
(
(long)(BgL_curz00_11336)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test5996z00_14446 = 
(
(long)(BgL_curz00_11336)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5996z00_14446 = ((bool_t)0)
; } 
if(BgL_test5996z00_14446)
{ /* Llib/mpc.scm 444 */
BgL_test5995z00_14445 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11336)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test5995z00_14445 = 
(
(long)(BgL_curz00_11336)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test5995z00_14445 = ((bool_t)0)
; } } } 
if(BgL_test5995z00_14445)
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11564 = BgL_iportz00_11329; 
BgL_lastzd2matchzd2_11565 = BgL_newzd2matchzd2_11333; 
BgL_forwardz00_11566 = 
(1L+BgL_forwardz00_11331); 
BgL_bufposz00_11567 = BgL_bufposz00_11332; 
BgL_statezd251zd21348z00_11242:
if(
(BgL_forwardz00_11566==BgL_bufposz00_11567))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11564))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2695z00_11568; long BgL_arg2696z00_11569;
BgL_arg2695z00_11568 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11564); 
BgL_arg2696z00_11569 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11564); 
{ 
 long BgL_bufposz00_14464; long BgL_forwardz00_14463;
BgL_forwardz00_14463 = BgL_arg2695z00_11568; 
BgL_bufposz00_14464 = BgL_arg2696z00_11569; 
BgL_bufposz00_11567 = BgL_bufposz00_14464; 
BgL_forwardz00_11566 = BgL_forwardz00_14463; 
goto BgL_statezd251zd21348z00_11242;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11565; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11570;
BgL_curz00_11570 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11564, BgL_forwardz00_11566); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6001z00_14466;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6002z00_14467;
if(
(
(long)(BgL_curz00_11570)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test6002z00_14467 = 
(
(long)(BgL_curz00_11570)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6002z00_14467 = ((bool_t)0)
; } 
if(BgL_test6002z00_14467)
{ /* Llib/mpc.scm 444 */
BgL_test6001z00_14466 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11570)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test6001z00_14466 = 
(
(long)(BgL_curz00_11570)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6001z00_14466 = ((bool_t)0)
; } } } 
if(BgL_test6001z00_14466)
{ 
 long BgL_forwardz00_14478;
BgL_forwardz00_14478 = 
(1L+BgL_forwardz00_11566); 
BgL_forwardz00_11566 = BgL_forwardz00_14478; 
goto BgL_statezd251zd21348z00_11242;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11570)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2702z00_11571;
BgL_arg2702z00_11571 = 
(1L+BgL_forwardz00_11566); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11572;
RGC_STOP_MATCH(BgL_iportz00_11564, BgL_arg2702z00_11571); 
BgL_newzd2matchzd2_11572 = 10L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11572; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11565; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11336)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3077z00_11337;
BgL_arg3077z00_11337 = 
(1L+BgL_forwardz00_11331); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11338;
RGC_STOP_MATCH(BgL_iportz00_11329, BgL_arg3077z00_11337); 
BgL_newzd2matchzd2_11338 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11338; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11333; } } } } } } break;case 79L : 

BgL_iportz00_11412 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11413 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11414 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11415 = BgL_bufposz00_11342; 
BgL_statezd25zd21302z00_11225:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11416;
RGC_STOP_MATCH(BgL_iportz00_11412, BgL_forwardz00_11414); 
BgL_newzd2matchzd2_11416 = 17L; 
if(
(BgL_forwardz00_11414==BgL_bufposz00_11415))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11412))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2936z00_11417; long BgL_arg2937z00_11418;
BgL_arg2936z00_11417 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11412); 
BgL_arg2937z00_11418 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11412); 
{ 
 long BgL_bufposz00_14500; long BgL_forwardz00_14499;
BgL_forwardz00_14499 = BgL_arg2936z00_11417; 
BgL_bufposz00_14500 = BgL_arg2937z00_11418; 
BgL_bufposz00_11415 = BgL_bufposz00_14500; 
BgL_forwardz00_11414 = BgL_forwardz00_14499; 
goto BgL_statezd25zd21302z00_11225;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11416; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11419;
BgL_curz00_11419 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11412, BgL_forwardz00_11414); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11419)==75L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11299 = BgL_iportz00_11412; 
BgL_lastzd2matchzd2_11300 = BgL_newzd2matchzd2_11416; 
BgL_forwardz00_11301 = 
(1L+BgL_forwardz00_11414); 
BgL_bufposz00_11302 = BgL_bufposz00_11415; 
BgL_statezd253zd21350z00_11213:
if(
(BgL_forwardz00_11301==BgL_bufposz00_11302))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11299))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3110z00_11303; long BgL_arg3111z00_11304;
BgL_arg3110z00_11303 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11299); 
BgL_arg3111z00_11304 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11299); 
{ 
 long BgL_bufposz00_14512; long BgL_forwardz00_14511;
BgL_forwardz00_14511 = BgL_arg3110z00_11303; 
BgL_bufposz00_14512 = BgL_arg3111z00_11304; 
BgL_bufposz00_11302 = BgL_bufposz00_14512; 
BgL_forwardz00_11301 = BgL_forwardz00_14511; 
goto BgL_statezd253zd21350z00_11213;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11300; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11305;
BgL_curz00_11305 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11299, BgL_forwardz00_11301); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6012z00_14514;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6013z00_14515;
if(
(
(long)(BgL_curz00_11305)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test6013z00_14515 = 
(
(long)(BgL_curz00_11305)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6013z00_14515 = ((bool_t)0)
; } 
if(BgL_test6013z00_14515)
{ /* Llib/mpc.scm 444 */
BgL_test6012z00_14514 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11305)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test6012z00_14514 = 
(
(long)(BgL_curz00_11305)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6012z00_14514 = ((bool_t)0)
; } } } 
if(BgL_test6012z00_14514)
{ 
 long BgL_bufposz00_14530; long BgL_forwardz00_14528; long BgL_lastzd2matchzd2_14527; obj_t BgL_iportz00_14526;
BgL_iportz00_14526 = BgL_iportz00_11299; 
BgL_lastzd2matchzd2_14527 = BgL_lastzd2matchzd2_11300; 
BgL_forwardz00_14528 = 
(1L+BgL_forwardz00_11301); 
BgL_bufposz00_14530 = BgL_bufposz00_11302; 
BgL_bufposz00_11283 = BgL_bufposz00_14530; 
BgL_forwardz00_11282 = BgL_forwardz00_14528; 
BgL_lastzd2matchzd2_11281 = BgL_lastzd2matchzd2_14527; 
BgL_iportz00_11280 = BgL_iportz00_14526; 
goto BgL_statezd235zd21332z00_11211;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11305)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3117z00_11306;
BgL_arg3117z00_11306 = 
(1L+BgL_forwardz00_11301); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11307;
RGC_STOP_MATCH(BgL_iportz00_11299, BgL_arg3117z00_11306); 
BgL_newzd2matchzd2_11307 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11307; } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11305)==10L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3119z00_11308;
BgL_arg3119z00_11308 = 
(1L+BgL_forwardz00_11301); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11309;
RGC_STOP_MATCH(BgL_iportz00_11299, BgL_arg3119z00_11308); 
BgL_newzd2matchzd2_11309 = 0L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11309; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11300; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6018z00_14542;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6019z00_14543;
if(
(
(long)(BgL_curz00_11419)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test6019z00_14543 = 
(
(long)(BgL_curz00_11419)<75L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6019z00_14543 = ((bool_t)0)
; } 
if(BgL_test6019z00_14543)
{ /* Llib/mpc.scm 444 */
BgL_test6018z00_14542 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6021z00_14549;
if(
(
(long)(BgL_curz00_11419)>=76L))
{ /* Llib/mpc.scm 444 */
BgL_test6021z00_14549 = 
(
(long)(BgL_curz00_11419)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6021z00_14549 = ((bool_t)0)
; } 
if(BgL_test6021z00_14549)
{ /* Llib/mpc.scm 444 */
BgL_test6018z00_14542 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11419)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test6018z00_14542 = 
(
(long)(BgL_curz00_11419)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6018z00_14542 = ((bool_t)0)
; } } } } 
if(BgL_test6018z00_14542)
{ 
 long BgL_bufposz00_14564; long BgL_forwardz00_14562; long BgL_lastzd2matchzd2_14561; obj_t BgL_iportz00_14560;
BgL_iportz00_14560 = BgL_iportz00_11412; 
BgL_lastzd2matchzd2_14561 = BgL_newzd2matchzd2_11416; 
BgL_forwardz00_14562 = 
(1L+BgL_forwardz00_11414); 
BgL_bufposz00_14564 = BgL_bufposz00_11415; 
BgL_bufposz00_11283 = BgL_bufposz00_14564; 
BgL_forwardz00_11282 = BgL_forwardz00_14562; 
BgL_lastzd2matchzd2_11281 = BgL_lastzd2matchzd2_14561; 
BgL_iportz00_11280 = BgL_iportz00_14560; 
goto BgL_statezd235zd21332z00_11211;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11419)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2947z00_11420;
BgL_arg2947z00_11420 = 
(1L+BgL_forwardz00_11414); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11421;
RGC_STOP_MATCH(BgL_iportz00_11412, BgL_arg2947z00_11420); 
BgL_newzd2matchzd2_11421 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11421; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11416; } } } } } } break;case 122L : 
case 121L : 
case 119L : 
case 117L : 
case 113L : 
case 111L : 
case 110L : 
case 109L : 
case 108L : 
case 107L : 
case 106L : 
case 105L : 
case 104L : 
case 103L : 
case 102L : 
case 100L : 
case 99L : 
case 90L : 
case 89L : 
case 88L : 
case 87L : 
case 86L : 
case 85L : 
case 84L : 
case 83L : 
case 82L : 
case 81L : 
case 80L : 
case 78L : 
case 77L : 
case 76L : 
case 75L : 
case 74L : 
case 73L : 
case 72L : 
case 71L : 
case 70L : 
case 69L : 
case 68L : 
case 67L : 
case 66L : 

BgL_iportz00_11392 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11393 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11394 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11395 = BgL_bufposz00_11342; 
BgL_statezd24zd21301z00_11223:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11396;
RGC_STOP_MATCH(BgL_iportz00_11392, BgL_forwardz00_11394); 
BgL_newzd2matchzd2_11396 = 17L; 
if(
(BgL_forwardz00_11394==BgL_bufposz00_11395))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11392))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2962z00_11397; long BgL_arg2963z00_11398;
BgL_arg2962z00_11397 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11392); 
BgL_arg2963z00_11398 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11392); 
{ 
 long BgL_bufposz00_14579; long BgL_forwardz00_14578;
BgL_forwardz00_14578 = BgL_arg2962z00_11397; 
BgL_bufposz00_14579 = BgL_arg2963z00_11398; 
BgL_bufposz00_11395 = BgL_bufposz00_14579; 
BgL_forwardz00_11394 = BgL_forwardz00_14578; 
goto BgL_statezd24zd21301z00_11223;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11396; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11399;
BgL_curz00_11399 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11392, BgL_forwardz00_11394); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6027z00_14581;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6028z00_14582;
if(
(
(long)(BgL_curz00_11399)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test6028z00_14582 = 
(
(long)(BgL_curz00_11399)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6028z00_14582 = ((bool_t)0)
; } 
if(BgL_test6028z00_14582)
{ /* Llib/mpc.scm 444 */
BgL_test6027z00_14581 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11399)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test6027z00_14581 = 
(
(long)(BgL_curz00_11399)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6027z00_14581 = ((bool_t)0)
; } } } 
if(BgL_test6027z00_14581)
{ 
 long BgL_bufposz00_14597; long BgL_forwardz00_14595; long BgL_lastzd2matchzd2_14594; obj_t BgL_iportz00_14593;
BgL_iportz00_14593 = BgL_iportz00_11392; 
BgL_lastzd2matchzd2_14594 = BgL_newzd2matchzd2_11396; 
BgL_forwardz00_14595 = 
(1L+BgL_forwardz00_11394); 
BgL_bufposz00_14597 = BgL_bufposz00_11395; 
BgL_bufposz00_11283 = BgL_bufposz00_14597; 
BgL_forwardz00_11282 = BgL_forwardz00_14595; 
BgL_lastzd2matchzd2_11281 = BgL_lastzd2matchzd2_14594; 
BgL_iportz00_11280 = BgL_iportz00_14593; 
goto BgL_statezd235zd21332z00_11211;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11399)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2969z00_11400;
BgL_arg2969z00_11400 = 
(1L+BgL_forwardz00_11394); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11401;
RGC_STOP_MATCH(BgL_iportz00_11392, BgL_arg2969z00_11400); 
BgL_newzd2matchzd2_11401 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11401; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11396; } } } } } } break;case 65L : 

BgL_iportz00_11501 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11502 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11503 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11504 = BgL_bufposz00_11342; 
BgL_statezd23zd21300z00_11235:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11505;
RGC_STOP_MATCH(BgL_iportz00_11501, BgL_forwardz00_11503); 
BgL_newzd2matchzd2_11505 = 17L; 
if(
(BgL_forwardz00_11503==BgL_bufposz00_11504))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11501))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2803z00_11506; long BgL_arg2804z00_11507;
BgL_arg2803z00_11506 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11501); 
BgL_arg2804z00_11507 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11501); 
{ 
 long BgL_bufposz00_14612; long BgL_forwardz00_14611;
BgL_forwardz00_14611 = BgL_arg2803z00_11506; 
BgL_bufposz00_14612 = BgL_arg2804z00_11507; 
BgL_bufposz00_11504 = BgL_bufposz00_14612; 
BgL_forwardz00_11503 = BgL_forwardz00_14611; 
goto BgL_statezd23zd21300z00_11235;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11505; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11508;
BgL_curz00_11508 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11501, BgL_forwardz00_11503); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11508)==67L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11383 = BgL_iportz00_11501; 
BgL_lastzd2matchzd2_11384 = BgL_newzd2matchzd2_11505; 
BgL_forwardz00_11385 = 
(1L+BgL_forwardz00_11503); 
BgL_bufposz00_11386 = BgL_bufposz00_11504; 
BgL_statezd255zd21352z00_11222:
if(
(BgL_forwardz00_11385==BgL_bufposz00_11386))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11383))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2973z00_11387; long BgL_arg2974z00_11388;
BgL_arg2973z00_11387 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11383); 
BgL_arg2974z00_11388 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11383); 
{ 
 long BgL_bufposz00_14624; long BgL_forwardz00_14623;
BgL_forwardz00_14623 = BgL_arg2973z00_11387; 
BgL_bufposz00_14624 = BgL_arg2974z00_11388; 
BgL_bufposz00_11386 = BgL_bufposz00_14624; 
BgL_forwardz00_11385 = BgL_forwardz00_14623; 
goto BgL_statezd255zd21352z00_11222;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11384; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11389;
BgL_curz00_11389 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11383, BgL_forwardz00_11385); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11389)==75L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11374 = BgL_iportz00_11383; 
BgL_lastzd2matchzd2_11375 = BgL_lastzd2matchzd2_11384; 
BgL_forwardz00_11376 = 
(1L+BgL_forwardz00_11385); 
BgL_bufposz00_11377 = BgL_bufposz00_11386; 
BgL_statezd256zd21353z00_11221:
if(
(BgL_forwardz00_11376==BgL_bufposz00_11377))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11374))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2988z00_11378; long BgL_arg2989z00_11379;
BgL_arg2988z00_11378 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11374); 
BgL_arg2989z00_11379 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11374); 
{ 
 long BgL_bufposz00_14636; long BgL_forwardz00_14635;
BgL_forwardz00_14635 = BgL_arg2988z00_11378; 
BgL_bufposz00_14636 = BgL_arg2989z00_11379; 
BgL_bufposz00_11377 = BgL_bufposz00_14636; 
BgL_forwardz00_11376 = BgL_forwardz00_14635; 
goto BgL_statezd256zd21353z00_11221;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11375; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11380;
BgL_curz00_11380 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11374, BgL_forwardz00_11376); 
{ /* Llib/mpc.scm 444 */

{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6040z00_14638;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6041z00_14639;
if(
(
(long)(BgL_curz00_11380)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test6041z00_14639 = 
(
(long)(BgL_curz00_11380)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6041z00_14639 = ((bool_t)0)
; } 
if(BgL_test6041z00_14639)
{ /* Llib/mpc.scm 444 */
BgL_test6040z00_14638 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11380)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test6040z00_14638 = 
(
(long)(BgL_curz00_11380)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6040z00_14638 = ((bool_t)0)
; } } } 
if(BgL_test6040z00_14638)
{ 
 long BgL_bufposz00_14654; long BgL_forwardz00_14652; long BgL_lastzd2matchzd2_14651; obj_t BgL_iportz00_14650;
BgL_iportz00_14650 = BgL_iportz00_11374; 
BgL_lastzd2matchzd2_14651 = BgL_lastzd2matchzd2_11375; 
BgL_forwardz00_14652 = 
(1L+BgL_forwardz00_11376); 
BgL_bufposz00_14654 = BgL_bufposz00_11377; 
BgL_bufposz00_11283 = BgL_bufposz00_14654; 
BgL_forwardz00_11282 = BgL_forwardz00_14652; 
BgL_lastzd2matchzd2_11281 = BgL_lastzd2matchzd2_14651; 
BgL_iportz00_11280 = BgL_iportz00_14650; 
goto BgL_statezd235zd21332z00_11211;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11380)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2995z00_11381;
BgL_arg2995z00_11381 = 
(1L+BgL_forwardz00_11376); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11382;
RGC_STOP_MATCH(BgL_iportz00_11374, BgL_arg2995z00_11381); 
BgL_newzd2matchzd2_11382 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11382; } }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11380)==32L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11485 = BgL_iportz00_11374; 
BgL_lastzd2matchzd2_11486 = BgL_lastzd2matchzd2_11375; 
BgL_forwardz00_11487 = 
(1L+BgL_forwardz00_11376); 
BgL_bufposz00_11488 = BgL_bufposz00_11377; 
BgL_statezd257zd21354z00_11233:
if(
(BgL_forwardz00_11487==BgL_bufposz00_11488))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11485))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2839z00_11489; long BgL_arg2840z00_11490;
BgL_arg2839z00_11489 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11485); 
BgL_arg2840z00_11490 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11485); 
{ 
 long BgL_bufposz00_14670; long BgL_forwardz00_14669;
BgL_forwardz00_14669 = BgL_arg2839z00_11489; 
BgL_bufposz00_14670 = BgL_arg2840z00_11490; 
BgL_bufposz00_11488 = BgL_bufposz00_14670; 
BgL_forwardz00_11487 = BgL_forwardz00_14669; 
goto BgL_statezd257zd21354z00_11233;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11486; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11491;
BgL_curz00_11491 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11485, BgL_forwardz00_11487); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11491)==10L))
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11486; }  else 
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11650 = BgL_iportz00_11485; 
BgL_lastzd2matchzd2_11651 = BgL_lastzd2matchzd2_11486; 
BgL_forwardz00_11652 = 
(1L+BgL_forwardz00_11487); 
BgL_bufposz00_11653 = BgL_bufposz00_11488; 
BgL_statezd258zd21355z00_11251:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11654;
RGC_STOP_MATCH(BgL_iportz00_11650, BgL_forwardz00_11652); 
BgL_newzd2matchzd2_11654 = 15L; 
if(
(BgL_forwardz00_11652==BgL_bufposz00_11653))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11650))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2573z00_11655; long BgL_arg2574z00_11656;
BgL_arg2573z00_11655 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11650); 
BgL_arg2574z00_11656 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11650); 
{ 
 long BgL_bufposz00_14683; long BgL_forwardz00_14682;
BgL_forwardz00_14682 = BgL_arg2573z00_11655; 
BgL_bufposz00_14683 = BgL_arg2574z00_11656; 
BgL_bufposz00_11653 = BgL_bufposz00_14683; 
BgL_forwardz00_11652 = BgL_forwardz00_14682; 
goto BgL_statezd258zd21355z00_11251;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11654; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11657;
BgL_curz00_11657 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11650, BgL_forwardz00_11652); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11657)==10L))
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11654; }  else 
{ 
 long BgL_forwardz00_14689; long BgL_lastzd2matchzd2_14688;
BgL_lastzd2matchzd2_14688 = BgL_newzd2matchzd2_11654; 
BgL_forwardz00_14689 = 
(1L+BgL_forwardz00_11652); 
BgL_forwardz00_11652 = BgL_forwardz00_14689; 
BgL_lastzd2matchzd2_11651 = BgL_lastzd2matchzd2_14688; 
goto BgL_statezd258zd21355z00_11251;} } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11375; } } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6052z00_14694;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6053z00_14695;
if(
(
(long)(BgL_curz00_11389)>=65L))
{ /* Llib/mpc.scm 444 */
BgL_test6053z00_14695 = 
(
(long)(BgL_curz00_11389)<75L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6053z00_14695 = ((bool_t)0)
; } 
if(BgL_test6053z00_14695)
{ /* Llib/mpc.scm 444 */
BgL_test6052z00_14694 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6055z00_14701;
if(
(
(long)(BgL_curz00_11389)>=76L))
{ /* Llib/mpc.scm 444 */
BgL_test6055z00_14701 = 
(
(long)(BgL_curz00_11389)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6055z00_14701 = ((bool_t)0)
; } 
if(BgL_test6055z00_14701)
{ /* Llib/mpc.scm 444 */
BgL_test6052z00_14694 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11389)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test6052z00_14694 = 
(
(long)(BgL_curz00_11389)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6052z00_14694 = ((bool_t)0)
; } } } } 
if(BgL_test6052z00_14694)
{ 
 long BgL_bufposz00_14716; long BgL_forwardz00_14714; long BgL_lastzd2matchzd2_14713; obj_t BgL_iportz00_14712;
BgL_iportz00_14712 = BgL_iportz00_11383; 
BgL_lastzd2matchzd2_14713 = BgL_lastzd2matchzd2_11384; 
BgL_forwardz00_14714 = 
(1L+BgL_forwardz00_11385); 
BgL_bufposz00_14716 = BgL_bufposz00_11386; 
BgL_bufposz00_11283 = BgL_bufposz00_14716; 
BgL_forwardz00_11282 = BgL_forwardz00_14714; 
BgL_lastzd2matchzd2_11281 = BgL_lastzd2matchzd2_14713; 
BgL_iportz00_11280 = BgL_iportz00_14712; 
goto BgL_statezd235zd21332z00_11211;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11389)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2984z00_11390;
BgL_arg2984z00_11390 = 
(1L+BgL_forwardz00_11385); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11391;
RGC_STOP_MATCH(BgL_iportz00_11383, BgL_arg2984z00_11390); 
BgL_newzd2matchzd2_11391 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11391; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11384; } } } } } }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6059z00_14723;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6060z00_14724;
if(
(
(long)(BgL_curz00_11508)==66L))
{ /* Llib/mpc.scm 444 */
BgL_test6060z00_14724 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6060z00_14724 = 
(
(long)(BgL_curz00_11508)==65L)
; } 
if(BgL_test6060z00_14724)
{ /* Llib/mpc.scm 444 */
BgL_test6059z00_14723 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6062z00_14730;
if(
(
(long)(BgL_curz00_11508)>=68L))
{ /* Llib/mpc.scm 444 */
BgL_test6062z00_14730 = 
(
(long)(BgL_curz00_11508)<91L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6062z00_14730 = ((bool_t)0)
; } 
if(BgL_test6062z00_14730)
{ /* Llib/mpc.scm 444 */
BgL_test6059z00_14723 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11508)>=97L))
{ /* Llib/mpc.scm 444 */
BgL_test6059z00_14723 = 
(
(long)(BgL_curz00_11508)<123L)
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_test6059z00_14723 = ((bool_t)0)
; } } } } 
if(BgL_test6059z00_14723)
{ 
 long BgL_bufposz00_14745; long BgL_forwardz00_14743; long BgL_lastzd2matchzd2_14742; obj_t BgL_iportz00_14741;
BgL_iportz00_14741 = BgL_iportz00_11501; 
BgL_lastzd2matchzd2_14742 = BgL_newzd2matchzd2_11505; 
BgL_forwardz00_14743 = 
(1L+BgL_forwardz00_11503); 
BgL_bufposz00_14745 = BgL_bufposz00_11504; 
BgL_bufposz00_11283 = BgL_bufposz00_14745; 
BgL_forwardz00_11282 = BgL_forwardz00_14743; 
BgL_lastzd2matchzd2_11281 = BgL_lastzd2matchzd2_14742; 
BgL_iportz00_11280 = BgL_iportz00_14741; 
goto BgL_statezd235zd21332z00_11211;}  else 
{ /* Llib/mpc.scm 444 */
if(
(
(long)(BgL_curz00_11508)==58L))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2814z00_11509;
BgL_arg2814z00_11509 = 
(1L+BgL_forwardz00_11503); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11510;
RGC_STOP_MATCH(BgL_iportz00_11501, BgL_arg2814z00_11509); 
BgL_newzd2matchzd2_11510 = 14L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11510; } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11505; } } } } } } break;case 10L : 

BgL_iportz00_11511 = BgL_iportz00_11339; 
BgL_lastzd2matchzd2_11512 = BgL_lastzd2matchzd2_11340; 
BgL_forwardz00_11513 = 
(1L+BgL_forwardz00_11341); 
BgL_bufposz00_11514 = BgL_bufposz00_11342; 
BgL_statezd22zd21299z00_11236:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11515;
RGC_STOP_MATCH(BgL_iportz00_11511, BgL_forwardz00_11513); 
BgL_newzd2matchzd2_11515 = 16L; 
if(
(BgL_forwardz00_11513==BgL_bufposz00_11514))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11511))
{ /* Llib/mpc.scm 444 */
 long BgL_arg2796z00_11516; long BgL_arg2797z00_11517;
BgL_arg2796z00_11516 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11511); 
BgL_arg2797z00_11517 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11511); 
{ 
 long BgL_bufposz00_14760; long BgL_forwardz00_14759;
BgL_forwardz00_14759 = BgL_arg2796z00_11516; 
BgL_bufposz00_14760 = BgL_arg2797z00_11517; 
BgL_bufposz00_11514 = BgL_bufposz00_14760; 
BgL_forwardz00_11513 = BgL_forwardz00_14759; 
goto BgL_statezd22zd21299z00_11236;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11515; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11518;
BgL_curz00_11518 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11511, BgL_forwardz00_11513); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11518)==10L))
{ /* Llib/mpc.scm 444 */
BgL_iportz00_11366 = BgL_iportz00_11511; 
BgL_lastzd2matchzd2_11367 = BgL_newzd2matchzd2_11515; 
BgL_forwardz00_11368 = 
(1L+BgL_forwardz00_11513); 
BgL_bufposz00_11369 = BgL_bufposz00_11514; 
BgL_statezd259zd21356z00_11220:
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11370;
RGC_STOP_MATCH(BgL_iportz00_11366, BgL_forwardz00_11368); 
BgL_newzd2matchzd2_11370 = 16L; 
if(
(BgL_forwardz00_11368==BgL_bufposz00_11369))
{ /* Llib/mpc.scm 444 */
if(
rgc_fill_buffer(BgL_iportz00_11366))
{ /* Llib/mpc.scm 444 */
 long BgL_arg3002z00_11371; long BgL_arg3003z00_11372;
BgL_arg3002z00_11371 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11366); 
BgL_arg3003z00_11372 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11366); 
{ 
 long BgL_bufposz00_14773; long BgL_forwardz00_14772;
BgL_forwardz00_14772 = BgL_arg3002z00_11371; 
BgL_bufposz00_14773 = BgL_arg3003z00_11372; 
BgL_bufposz00_11369 = BgL_bufposz00_14773; 
BgL_forwardz00_11368 = BgL_forwardz00_14772; 
goto BgL_statezd259zd21356z00_11220;} }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11370; } }  else 
{ /* Llib/mpc.scm 444 */
 int BgL_curz00_11373;
BgL_curz00_11373 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11366, BgL_forwardz00_11368); 
{ /* Llib/mpc.scm 444 */

if(
(
(long)(BgL_curz00_11373)==10L))
{ 
 long BgL_forwardz00_14779; long BgL_lastzd2matchzd2_14778;
BgL_lastzd2matchzd2_14778 = BgL_newzd2matchzd2_11370; 
BgL_forwardz00_14779 = 
(1L+BgL_forwardz00_11368); 
BgL_forwardz00_11368 = BgL_forwardz00_14779; 
BgL_lastzd2matchzd2_11367 = BgL_lastzd2matchzd2_14778; 
goto BgL_statezd259zd21356z00_11220;}  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11370; } } } } }  else 
{ /* Llib/mpc.scm 444 */
BgL_matchz00_11252 = BgL_newzd2matchzd2_11515; } } } } break;case 255L : 
case 254L : 
case 253L : 
case 252L : 
case 251L : 
case 250L : 
case 249L : 
case 248L : 
case 247L : 
case 246L : 
case 245L : 
case 244L : 
case 243L : 
case 242L : 
case 241L : 
case 240L : 
case 239L : 
case 238L : 
case 237L : 
case 236L : 
case 235L : 
case 234L : 
case 233L : 
case 232L : 
case 231L : 
case 230L : 
case 229L : 
case 228L : 
case 227L : 
case 226L : 
case 225L : 
case 224L : 
case 223L : 
case 222L : 
case 221L : 
case 220L : 
case 219L : 
case 218L : 
case 217L : 
case 216L : 
case 215L : 
case 214L : 
case 213L : 
case 212L : 
case 211L : 
case 210L : 
case 209L : 
case 208L : 
case 207L : 
case 206L : 
case 205L : 
case 204L : 
case 203L : 
case 202L : 
case 201L : 
case 200L : 
case 199L : 
case 198L : 
case 197L : 
case 196L : 
case 195L : 
case 194L : 
case 193L : 
case 192L : 
case 191L : 
case 190L : 
case 189L : 
case 188L : 
case 187L : 
case 186L : 
case 185L : 
case 184L : 
case 183L : 
case 182L : 
case 181L : 
case 180L : 
case 179L : 
case 178L : 
case 177L : 
case 176L : 
case 175L : 
case 174L : 
case 173L : 
case 172L : 
case 171L : 
case 170L : 
case 169L : 
case 168L : 
case 167L : 
case 166L : 
case 165L : 
case 164L : 
case 163L : 
case 162L : 
case 161L : 
case 160L : 
case 159L : 
case 158L : 
case 157L : 
case 156L : 
case 155L : 
case 154L : 
case 153L : 
case 152L : 
case 151L : 
case 150L : 
case 149L : 
case 148L : 
case 147L : 
case 146L : 
case 145L : 
case 144L : 
case 143L : 
case 142L : 
case 141L : 
case 140L : 
case 139L : 
case 138L : 
case 137L : 
case 136L : 
case 135L : 
case 134L : 
case 133L : 
case 132L : 
case 131L : 
case 130L : 
case 129L : 
case 128L : 
case 127L : 
case 126L : 
case 125L : 
case 124L : 
case 123L : 
case 96L : 
case 95L : 
case 94L : 
case 93L : 
case 92L : 
case 91L : 
case 64L : 
case 63L : 
case 62L : 
case 61L : 
case 60L : 
case 59L : 
case 58L : 
case 57L : 
case 56L : 
case 55L : 
case 54L : 
case 53L : 
case 52L : 
case 51L : 
case 50L : 
case 49L : 
case 48L : 
case 47L : 
case 46L : 
case 45L : 
case 44L : 
case 43L : 
case 42L : 
case 41L : 
case 40L : 
case 39L : 
case 38L : 
case 37L : 
case 36L : 
case 35L : 
case 34L : 
case 33L : 
case 32L : 
case 31L : 
case 30L : 
case 29L : 
case 28L : 
case 27L : 
case 26L : 
case 25L : 
case 24L : 
case 23L : 
case 22L : 
case 21L : 
case 20L : 
case 19L : 
case 18L : 
case 17L : 
case 16L : 
case 15L : 
case 14L : 
case 13L : 
case 12L : 
case 11L : 
case 9L : 
case 8L : 
case 7L : 
case 6L : 
case 5L : 
case 4L : 
case 3L : 
case 2L : 
case 1L : 
case 0L : 

{ /* Llib/mpc.scm 444 */
 long BgL_arg3065z00_11346;
BgL_arg3065z00_11346 = 
(1L+BgL_forwardz00_11341); 
{ /* Llib/mpc.scm 444 */
 long BgL_newzd2matchzd2_11347;
RGC_STOP_MATCH(BgL_iportz00_11339, BgL_arg3065z00_11346); 
BgL_newzd2matchzd2_11347 = 17L; 
BgL_matchz00_11252 = BgL_newzd2matchzd2_11347; } } break;
default: 
BgL_matchz00_11252 = BgL_lastzd2matchzd2_11340; } } } } 
RGC_SET_FILEPOS(BgL_iportz00_11207); 
switch( BgL_matchz00_11252) { case 17L : 

((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_songz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_songidz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_playlistlengthz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_songposz00)=((obj_t)
BINT(0L)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_songlengthz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_khza7za7)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_bitratez00)=((int)
(int)(0L)),BUNSPEC); 
{ /* Llib/mpc.scm 582 */
 bool_t BgL_test6072z00_14802;
{ /* Llib/mpc.scm 582 */
 obj_t BgL_tmpz00_14803;
{ /* Llib/mpc.scm 444 */
 bool_t BgL_test6073z00_14804;
{ /* Llib/mpc.scm 444 */
 long BgL_arg3223z00_11279;
BgL_arg3223z00_11279 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11207); 
BgL_test6073z00_14804 = 
(BgL_arg3223z00_11279==0L); } 
if(BgL_test6073z00_14804)
{ /* Llib/mpc.scm 444 */
BgL_tmpz00_14803 = BEOF
; }  else 
{ /* Llib/mpc.scm 444 */
BgL_tmpz00_14803 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_11207))
; } } 
BgL_test6072z00_14802 = 
EOF_OBJECTP(BgL_tmpz00_14803); } 
if(BgL_test6072z00_14802)
{ /* Llib/mpc.scm 582 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(5L)),BUNSPEC); 
{ /* Llib/mpc.scm 585 */
 bool_t BgL_test6074z00_14812;
{ /* Llib/mpc.scm 585 */
 obj_t BgL_tmpz00_14813;
BgL_tmpz00_14813 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_errz00); 
BgL_test6074z00_14812 = 
STRINGP(BgL_tmpz00_14813); } 
if(BgL_test6074z00_14812)
{ /* Llib/mpc.scm 585 */BFALSE; }  else 
{ /* Llib/mpc.scm 585 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_errz00)=((obj_t)BGl_string5320z00zz__multimediazd2mpczd2),BUNSPEC); } } }  else 
{ /* Llib/mpc.scm 582 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(1L)),BUNSPEC); 
{ /* Llib/mpc.scm 589 */
 bool_t BgL_test6075z00_14819;
{ /* Llib/mpc.scm 589 */
 obj_t BgL_tmpz00_14820;
BgL_tmpz00_14820 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_errz00); 
BgL_test6075z00_14819 = 
STRINGP(BgL_tmpz00_14820); } 
if(BgL_test6075z00_14819)
{ /* Llib/mpc.scm 589 */BFALSE; }  else 
{ /* Llib/mpc.scm 589 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_errz00)=((obj_t)BGl_string5321z00zz__multimediazd2mpczd2),BUNSPEC); } } } } break;case 16L : 

goto BgL_ignorez00_11209;break;case 15L : 

{ 
 obj_t BgL_auxz00_14824;
{ /* Llib/mpc.scm 444 */
 long BgL_arg3149z00_11255;
BgL_arg3149z00_11255 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11207); 
BgL_auxz00_14824 = 
rgc_buffer_substring(BgL_iportz00_11207, 0L, BgL_arg3149z00_11255); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_errz00)=((obj_t)BgL_auxz00_14824),BUNSPEC); } 
goto BgL_ignorez00_11209;break;case 14L : 

BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); 
goto BgL_ignorez00_11209;break;case 13L : 

{ /* Llib/mpc.scm 555 */
 obj_t BgL_kz00_11256;
BgL_kz00_11256 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11256==
CNST_TABLE_REF(6L)))
{ /* Llib/mpc.scm 557 */
 obj_t BgL_rz00_11257;
BgL_rz00_11257 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_repeatz00)=((bool_t)
(
(long)CINT(BgL_rz00_11257)==1L)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 556 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 12L : 

{ /* Llib/mpc.scm 546 */
 obj_t BgL_kz00_11258;
BgL_kz00_11258 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11258==
CNST_TABLE_REF(7L)))
{ /* Llib/mpc.scm 548 */
 obj_t BgL_rz00_11259;
BgL_rz00_11259 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_randomz00)=((bool_t)
(
(long)CINT(BgL_rz00_11259)==1L)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 547 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 11L : 

{ /* Llib/mpc.scm 537 */
 obj_t BgL_kz00_11260;
BgL_kz00_11260 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11260==
CNST_TABLE_REF(8L)))
{ /* Llib/mpc.scm 539 */
 obj_t BgL_xz00_11261;
BgL_xz00_11261 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_xfadez00)=((int)
CINT(BgL_xz00_11261)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 538 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 10L : 

{ /* Llib/mpc.scm 528 */
 obj_t BgL_kz00_11262;
BgL_kz00_11262 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11262==
CNST_TABLE_REF(9L)))
{ /* Llib/mpc.scm 530 */
 obj_t BgL_kz00_11263;
BgL_iportz00_10878 = BgL_iportz00_11207; 
{ 
 obj_t BgL_iportz00_10931; long BgL_lastzd2matchzd2_10932; long BgL_forwardz00_10933; long BgL_bufposz00_10934; obj_t BgL_iportz00_10923; long BgL_lastzd2matchzd2_10924; long BgL_forwardz00_10925; long BgL_bufposz00_10926; obj_t BgL_iportz00_10915; long BgL_lastzd2matchzd2_10916; long BgL_forwardz00_10917; long BgL_bufposz00_10918; obj_t BgL_iportz00_10907; long BgL_lastzd2matchzd2_10908; long BgL_forwardz00_10909; long BgL_bufposz00_10910; obj_t BgL_iportz00_10899; long BgL_lastzd2matchzd2_10900; long BgL_forwardz00_10901; long BgL_bufposz00_10902;
BgL_ignorez00_10879:
RGC_START_MATCH(BgL_iportz00_10878); 
{ /* Llib/mpc.scm 386 */
 long BgL_matchz00_10886;
{ /* Llib/mpc.scm 386 */
 long BgL_arg3906z00_10887; long BgL_arg3907z00_10888;
BgL_arg3906z00_10887 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10878); 
BgL_arg3907z00_10888 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10878); 
BgL_iportz00_10931 = BgL_iportz00_10878; 
BgL_lastzd2matchzd2_10932 = 2L; 
BgL_forwardz00_10933 = BgL_arg3906z00_10887; 
BgL_bufposz00_10934 = BgL_arg3907z00_10888; 
BgL_statezd20zd21244z00_10885:
if(
(BgL_forwardz00_10933==BgL_bufposz00_10934))
{ /* Llib/mpc.scm 386 */
if(
rgc_fill_buffer(BgL_iportz00_10931))
{ /* Llib/mpc.scm 386 */
 long BgL_arg3770z00_10935; long BgL_arg3771z00_10936;
BgL_arg3770z00_10935 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10931); 
BgL_arg3771z00_10936 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10931); 
{ 
 long BgL_bufposz00_14890; long BgL_forwardz00_14889;
BgL_forwardz00_14889 = BgL_arg3770z00_10935; 
BgL_bufposz00_14890 = BgL_arg3771z00_10936; 
BgL_bufposz00_10934 = BgL_bufposz00_14890; 
BgL_forwardz00_10933 = BgL_forwardz00_14889; 
goto BgL_statezd20zd21244z00_10885;} }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10886 = BgL_lastzd2matchzd2_10932; } }  else 
{ /* Llib/mpc.scm 386 */
 int BgL_curz00_10937;
BgL_curz00_10937 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10931, BgL_forwardz00_10933); 
{ /* Llib/mpc.scm 386 */

{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6082z00_14892;
if(
(
(long)(BgL_curz00_10937)>=48L))
{ /* Llib/mpc.scm 386 */
BgL_test6082z00_14892 = 
(
(long)(BgL_curz00_10937)<58L)
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6082z00_14892 = ((bool_t)0)
; } 
if(BgL_test6082z00_14892)
{ /* Llib/mpc.scm 386 */
BgL_iportz00_10915 = BgL_iportz00_10931; 
BgL_lastzd2matchzd2_10916 = BgL_lastzd2matchzd2_10932; 
BgL_forwardz00_10917 = 
(1L+BgL_forwardz00_10933); 
BgL_bufposz00_10918 = BgL_bufposz00_10934; 
BgL_statezd23zd21247z00_10883:
{ /* Llib/mpc.scm 386 */
 long BgL_newzd2matchzd2_10919;
RGC_STOP_MATCH(BgL_iportz00_10915, BgL_forwardz00_10917); 
BgL_newzd2matchzd2_10919 = 1L; 
if(
(BgL_forwardz00_10917==BgL_bufposz00_10918))
{ /* Llib/mpc.scm 386 */
if(
rgc_fill_buffer(BgL_iportz00_10915))
{ /* Llib/mpc.scm 386 */
 long BgL_arg3791z00_10920; long BgL_arg3792z00_10921;
BgL_arg3791z00_10920 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10915); 
BgL_arg3792z00_10921 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10915); 
{ 
 long BgL_bufposz00_14906; long BgL_forwardz00_14905;
BgL_forwardz00_14905 = BgL_arg3791z00_10920; 
BgL_bufposz00_14906 = BgL_arg3792z00_10921; 
BgL_bufposz00_10918 = BgL_bufposz00_14906; 
BgL_forwardz00_10917 = BgL_forwardz00_14905; 
goto BgL_statezd23zd21247z00_10883;} }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10886 = BgL_newzd2matchzd2_10919; } }  else 
{ /* Llib/mpc.scm 386 */
 int BgL_curz00_10922;
BgL_curz00_10922 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10915, BgL_forwardz00_10917); 
{ /* Llib/mpc.scm 386 */

{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6086z00_14908;
if(
(
(long)(BgL_curz00_10922)>=48L))
{ /* Llib/mpc.scm 386 */
BgL_test6086z00_14908 = 
(
(long)(BgL_curz00_10922)<58L)
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6086z00_14908 = ((bool_t)0)
; } 
if(BgL_test6086z00_14908)
{ /* Llib/mpc.scm 386 */
BgL_iportz00_10907 = BgL_iportz00_10915; 
BgL_lastzd2matchzd2_10908 = BgL_newzd2matchzd2_10919; 
BgL_forwardz00_10909 = 
(1L+BgL_forwardz00_10917); 
BgL_bufposz00_10910 = BgL_bufposz00_10918; 
BgL_statezd24zd21248z00_10882:
{ /* Llib/mpc.scm 386 */
 long BgL_newzd2matchzd2_10911;
RGC_STOP_MATCH(BgL_iportz00_10907, BgL_forwardz00_10909); 
BgL_newzd2matchzd2_10911 = 1L; 
if(
(BgL_forwardz00_10909==BgL_bufposz00_10910))
{ /* Llib/mpc.scm 386 */
if(
rgc_fill_buffer(BgL_iportz00_10907))
{ /* Llib/mpc.scm 386 */
 long BgL_arg3799z00_10912; long BgL_arg3800z00_10913;
BgL_arg3799z00_10912 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10907); 
BgL_arg3800z00_10913 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10907); 
{ 
 long BgL_bufposz00_14922; long BgL_forwardz00_14921;
BgL_forwardz00_14921 = BgL_arg3799z00_10912; 
BgL_bufposz00_14922 = BgL_arg3800z00_10913; 
BgL_bufposz00_10910 = BgL_bufposz00_14922; 
BgL_forwardz00_10909 = BgL_forwardz00_14921; 
goto BgL_statezd24zd21248z00_10882;} }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10886 = BgL_newzd2matchzd2_10911; } }  else 
{ /* Llib/mpc.scm 386 */
 int BgL_curz00_10914;
BgL_curz00_10914 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10907, BgL_forwardz00_10909); 
{ /* Llib/mpc.scm 386 */

{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6090z00_14924;
if(
(
(long)(BgL_curz00_10914)>=48L))
{ /* Llib/mpc.scm 386 */
BgL_test6090z00_14924 = 
(
(long)(BgL_curz00_10914)<58L)
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6090z00_14924 = ((bool_t)0)
; } 
if(BgL_test6090z00_14924)
{ 
 long BgL_forwardz00_14931; long BgL_lastzd2matchzd2_14930;
BgL_lastzd2matchzd2_14930 = BgL_newzd2matchzd2_10911; 
BgL_forwardz00_14931 = 
(1L+BgL_forwardz00_10909); 
BgL_forwardz00_10909 = BgL_forwardz00_14931; 
BgL_lastzd2matchzd2_10908 = BgL_lastzd2matchzd2_14930; 
goto BgL_statezd24zd21248z00_10882;}  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10886 = BgL_newzd2matchzd2_10911; } } } } } }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10886 = BgL_newzd2matchzd2_10919; } } } } } }  else 
{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6092z00_14935;
if(
(
(long)(BgL_curz00_10937)==9L))
{ /* Llib/mpc.scm 386 */
BgL_test6092z00_14935 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6092z00_14935 = 
(
(long)(BgL_curz00_10937)==32L)
; } 
if(BgL_test6092z00_14935)
{ /* Llib/mpc.scm 386 */
BgL_iportz00_10923 = BgL_iportz00_10931; 
BgL_lastzd2matchzd2_10924 = BgL_lastzd2matchzd2_10932; 
BgL_forwardz00_10925 = 
(1L+BgL_forwardz00_10933); 
BgL_bufposz00_10926 = BgL_bufposz00_10934; 
BgL_statezd22zd21246z00_10884:
{ /* Llib/mpc.scm 386 */
 long BgL_newzd2matchzd2_10927;
RGC_STOP_MATCH(BgL_iportz00_10923, BgL_forwardz00_10925); 
BgL_newzd2matchzd2_10927 = 0L; 
if(
(BgL_forwardz00_10925==BgL_bufposz00_10926))
{ /* Llib/mpc.scm 386 */
if(
rgc_fill_buffer(BgL_iportz00_10923))
{ /* Llib/mpc.scm 386 */
 long BgL_arg3783z00_10928; long BgL_arg3784z00_10929;
BgL_arg3783z00_10928 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10923); 
BgL_arg3784z00_10929 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10923); 
{ 
 long BgL_bufposz00_14949; long BgL_forwardz00_14948;
BgL_forwardz00_14948 = BgL_arg3783z00_10928; 
BgL_bufposz00_14949 = BgL_arg3784z00_10929; 
BgL_bufposz00_10926 = BgL_bufposz00_14949; 
BgL_forwardz00_10925 = BgL_forwardz00_14948; 
goto BgL_statezd22zd21246z00_10884;} }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10886 = BgL_newzd2matchzd2_10927; } }  else 
{ /* Llib/mpc.scm 386 */
 int BgL_curz00_10930;
BgL_curz00_10930 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10923, BgL_forwardz00_10925); 
{ /* Llib/mpc.scm 386 */

{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6096z00_14951;
if(
(
(long)(BgL_curz00_10930)==9L))
{ /* Llib/mpc.scm 386 */
BgL_test6096z00_14951 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6096z00_14951 = 
(
(long)(BgL_curz00_10930)==32L)
; } 
if(BgL_test6096z00_14951)
{ /* Llib/mpc.scm 386 */
BgL_iportz00_10899 = BgL_iportz00_10923; 
BgL_lastzd2matchzd2_10900 = BgL_newzd2matchzd2_10927; 
BgL_forwardz00_10901 = 
(1L+BgL_forwardz00_10925); 
BgL_bufposz00_10902 = BgL_bufposz00_10926; 
BgL_statezd26zd21250z00_10881:
{ /* Llib/mpc.scm 386 */
 long BgL_newzd2matchzd2_10903;
RGC_STOP_MATCH(BgL_iportz00_10899, BgL_forwardz00_10901); 
BgL_newzd2matchzd2_10903 = 0L; 
if(
(BgL_forwardz00_10901==BgL_bufposz00_10902))
{ /* Llib/mpc.scm 386 */
if(
rgc_fill_buffer(BgL_iportz00_10899))
{ /* Llib/mpc.scm 386 */
 long BgL_arg3807z00_10904; long BgL_arg3808z00_10905;
BgL_arg3807z00_10904 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10899); 
BgL_arg3808z00_10905 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10899); 
{ 
 long BgL_bufposz00_14965; long BgL_forwardz00_14964;
BgL_forwardz00_14964 = BgL_arg3807z00_10904; 
BgL_bufposz00_14965 = BgL_arg3808z00_10905; 
BgL_bufposz00_10902 = BgL_bufposz00_14965; 
BgL_forwardz00_10901 = BgL_forwardz00_14964; 
goto BgL_statezd26zd21250z00_10881;} }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10886 = BgL_newzd2matchzd2_10903; } }  else 
{ /* Llib/mpc.scm 386 */
 int BgL_curz00_10906;
BgL_curz00_10906 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10899, BgL_forwardz00_10901); 
{ /* Llib/mpc.scm 386 */

{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6100z00_14967;
if(
(
(long)(BgL_curz00_10906)==9L))
{ /* Llib/mpc.scm 386 */
BgL_test6100z00_14967 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 386 */
BgL_test6100z00_14967 = 
(
(long)(BgL_curz00_10906)==32L)
; } 
if(BgL_test6100z00_14967)
{ 
 long BgL_forwardz00_14974; long BgL_lastzd2matchzd2_14973;
BgL_lastzd2matchzd2_14973 = BgL_newzd2matchzd2_10903; 
BgL_forwardz00_14974 = 
(1L+BgL_forwardz00_10901); 
BgL_forwardz00_10901 = BgL_forwardz00_14974; 
BgL_lastzd2matchzd2_10900 = BgL_lastzd2matchzd2_14973; 
goto BgL_statezd26zd21250z00_10881;}  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10886 = BgL_newzd2matchzd2_10903; } } } } } }  else 
{ /* Llib/mpc.scm 386 */
BgL_matchz00_10886 = BgL_newzd2matchzd2_10927; } } } } } }  else 
{ /* Llib/mpc.scm 386 */
 long BgL_arg3778z00_10938;
BgL_arg3778z00_10938 = 
(1L+BgL_forwardz00_10933); 
{ /* Llib/mpc.scm 386 */
 long BgL_newzd2matchzd2_10939;
RGC_STOP_MATCH(BgL_iportz00_10931, BgL_arg3778z00_10938); 
BgL_newzd2matchzd2_10939 = 2L; 
BgL_matchz00_10886 = BgL_newzd2matchzd2_10939; } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10878); 
switch( BgL_matchz00_10886) { case 2L : 

{ /* Llib/mpc.scm 395 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg3899z00_10889;
{ /* Llib/mpc.scm 395 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1254z00_10890;
{ /* Llib/mpc.scm 395 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1253z00_10891;
BgL_new1253z00_10891 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 395 */
 long BgL_arg3904z00_10892;
BgL_arg3904z00_10892 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1253z00_10891), BgL_arg3904z00_10892); } 
BgL_new1254z00_10890 = BgL_new1253z00_10891; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1254z00_10890)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1254z00_10890)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_14989;
{ /* Llib/mpc.scm 395 */
 obj_t BgL_arg3900z00_10893;
{ /* Llib/mpc.scm 395 */
 obj_t BgL_arg3901z00_10894;
{ /* Llib/mpc.scm 395 */
 obj_t BgL_classz00_10895;
BgL_classz00_10895 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg3901z00_10894 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_10895); } 
BgL_arg3900z00_10893 = 
VECTOR_REF(BgL_arg3901z00_10894,2L); } 
BgL_auxz00_14989 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg3900z00_10893); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1254z00_10890)))->BgL_stackz00)=((obj_t)BgL_auxz00_14989),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1254z00_10890)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(4L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1254z00_10890)))->BgL_msgz00)=((obj_t)BGl_string5317z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15000;
{ /* Llib/mpc.scm 398 */
 obj_t BgL_arg3902z00_10896;
{ /* Llib/mpc.scm 386 */
 bool_t BgL_test6102z00_15002;
{ /* Llib/mpc.scm 386 */
 long BgL_arg3892z00_10898;
BgL_arg3892z00_10898 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10878); 
BgL_test6102z00_15002 = 
(BgL_arg3892z00_10898==0L); } 
if(BgL_test6102z00_15002)
{ /* Llib/mpc.scm 386 */
BgL_arg3902z00_10896 = BEOF; }  else 
{ /* Llib/mpc.scm 386 */
BgL_arg3902z00_10896 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10878)); } } 
BgL_auxz00_15000 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg3902z00_10896, BgL_iportz00_10878); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1254z00_10890)))->BgL_objz00)=((obj_t)BgL_auxz00_15000),BUNSPEC); } 
BgL_arg3899z00_10889 = BgL_new1254z00_10890; } 
BgL_kz00_11263 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg3899z00_10889)); } break;case 1L : 

{ /* Llib/mpc.scm 390 */
 long BgL_nz00_10897;
BgL_nz00_10897 = 
rgc_buffer_fixnum(BgL_iportz00_10878); 
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_10878); 
BgL_kz00_11263 = 
BINT(BgL_nz00_10897); } break;case 0L : 

goto BgL_ignorez00_10879;break;
default: 
BgL_kz00_11263 = 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_10886)); } } } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_khza7za7)=((int)
CINT(BgL_kz00_11263)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 529 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 9L : 

{ /* Llib/mpc.scm 519 */
 obj_t BgL_kz00_11264;
BgL_kz00_11264 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11264==
CNST_TABLE_REF(10L)))
{ /* Llib/mpc.scm 521 */
 obj_t BgL_bratez00_11265;
{ /* Llib/mpc.scm 521 */

{ /* Llib/mpc.scm 521 */

BgL_bratez00_11265 = 
BGl_readz00zz__readerz00(BgL_iportz00_11207, BFALSE); } } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_bitratez00)=((int)
CINT(BgL_bratez00_11265)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 520 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 8L : 

{ /* Llib/mpc.scm 510 */
 obj_t BgL_kz00_11266;
BgL_kz00_11266 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11266==
CNST_TABLE_REF(11L)))
{ 
 obj_t BgL_auxz00_15041;
BgL_iportz00_10940 = BgL_iportz00_11207; 
{ 
 obj_t BgL_iportz00_11031; long BgL_lastzd2matchzd2_11032; long BgL_forwardz00_11033; long BgL_bufposz00_11034; obj_t BgL_iportz00_11023; long BgL_lastzd2matchzd2_11024; long BgL_forwardz00_11025; long BgL_bufposz00_11026; obj_t BgL_iportz00_11014; long BgL_lastzd2matchzd2_11015; long BgL_forwardz00_11016; long BgL_bufposz00_11017; obj_t BgL_iportz00_11006; long BgL_lastzd2matchzd2_11007; long BgL_forwardz00_11008; long BgL_bufposz00_11009; obj_t BgL_iportz00_10998; long BgL_lastzd2matchzd2_10999; long BgL_forwardz00_11000; long BgL_bufposz00_11001; obj_t BgL_iportz00_10990; long BgL_lastzd2matchzd2_10991; long BgL_forwardz00_10992; long BgL_bufposz00_10993; obj_t BgL_iportz00_10982; long BgL_lastzd2matchzd2_10983; long BgL_forwardz00_10984; long BgL_bufposz00_10985; obj_t BgL_iportz00_10974; long BgL_lastzd2matchzd2_10975; long BgL_forwardz00_10976; long BgL_bufposz00_10977; int BgL_minz00_10964; int BgL_maxz00_10965;
BgL_ignorez00_10941:
RGC_START_MATCH(BgL_iportz00_10940); 
{ /* Llib/mpc.scm 414 */
 long BgL_matchz00_10952;
{ /* Llib/mpc.scm 414 */
 long BgL_arg3589z00_10953; long BgL_arg3590z00_10954;
BgL_arg3589z00_10953 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10940); 
BgL_arg3590z00_10954 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10940); 
BgL_iportz00_10990 = BgL_iportz00_10940; 
BgL_lastzd2matchzd2_10991 = 2L; 
BgL_forwardz00_10992 = BgL_arg3589z00_10953; 
BgL_bufposz00_10993 = BgL_arg3590z00_10954; 
BgL_statezd20zd21270z00_10946:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_10994;
RGC_STOP_MATCH(BgL_iportz00_10990, BgL_forwardz00_10992); 
BgL_newzd2matchzd2_10994 = 0L; 
if(
(BgL_forwardz00_10992==BgL_bufposz00_10993))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_10990))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3469z00_10995; long BgL_arg3470z00_10996;
BgL_arg3469z00_10995 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10990); 
BgL_arg3470z00_10996 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10990); 
{ 
 long BgL_bufposz00_15053; long BgL_forwardz00_15052;
BgL_forwardz00_15052 = BgL_arg3469z00_10995; 
BgL_bufposz00_15053 = BgL_arg3470z00_10996; 
BgL_bufposz00_10993 = BgL_bufposz00_15053; 
BgL_forwardz00_10992 = BgL_forwardz00_15052; 
goto BgL_statezd20zd21270z00_10946;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10952 = BgL_newzd2matchzd2_10994; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_10997;
BgL_curz00_10997 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10990, BgL_forwardz00_10992); 
{ /* Llib/mpc.scm 414 */

if(
(
(long)(BgL_curz00_10997)==10L))
{ /* Llib/mpc.scm 414 */
BgL_iportz00_10998 = BgL_iportz00_10990; 
BgL_lastzd2matchzd2_10999 = BgL_newzd2matchzd2_10994; 
BgL_forwardz00_11000 = 
(1L+BgL_forwardz00_10992); 
BgL_bufposz00_11001 = BgL_bufposz00_10993; 
BgL_statezd23zd21273z00_10947:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11002;
RGC_STOP_MATCH(BgL_iportz00_10998, BgL_forwardz00_11000); 
BgL_newzd2matchzd2_11002 = 0L; 
if(
(BgL_forwardz00_11000==BgL_bufposz00_11001))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_10998))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3460z00_11003; long BgL_arg3461z00_11004;
BgL_arg3460z00_11003 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10998); 
BgL_arg3461z00_11004 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10998); 
{ 
 long BgL_bufposz00_15066; long BgL_forwardz00_15065;
BgL_forwardz00_15065 = BgL_arg3460z00_11003; 
BgL_bufposz00_15066 = BgL_arg3461z00_11004; 
BgL_bufposz00_11001 = BgL_bufposz00_15066; 
BgL_forwardz00_11000 = BgL_forwardz00_15065; 
goto BgL_statezd23zd21273z00_10947;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10952 = BgL_newzd2matchzd2_11002; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11005;
BgL_curz00_11005 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10998, BgL_forwardz00_11000); 
{ /* Llib/mpc.scm 414 */

{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6110z00_15068;
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6111z00_15069;
if(
(
(long)(BgL_curz00_11005)==10L))
{ /* Llib/mpc.scm 414 */
BgL_test6111z00_15069 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6111z00_15069 = 
(
(long)(BgL_curz00_11005)==9L)
; } 
if(BgL_test6111z00_15069)
{ /* Llib/mpc.scm 414 */
BgL_test6110z00_15068 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6110z00_15068 = 
(
(long)(BgL_curz00_11005)==32L)
; } } 
if(BgL_test6110z00_15068)
{ /* Llib/mpc.scm 414 */
BgL_iportz00_10982 = BgL_iportz00_10998; 
BgL_lastzd2matchzd2_10983 = BgL_newzd2matchzd2_11002; 
BgL_forwardz00_10984 = 
(1L+BgL_forwardz00_11000); 
BgL_bufposz00_10985 = BgL_bufposz00_11001; 
BgL_statezd25zd21275z00_10945:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_10986;
RGC_STOP_MATCH(BgL_iportz00_10982, BgL_forwardz00_10984); 
BgL_newzd2matchzd2_10986 = 0L; 
if(
(BgL_forwardz00_10984==BgL_bufposz00_10985))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_10982))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3480z00_10987; long BgL_arg3481z00_10988;
BgL_arg3480z00_10987 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10982); 
BgL_arg3481z00_10988 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10982); 
{ 
 long BgL_bufposz00_15085; long BgL_forwardz00_15084;
BgL_forwardz00_15084 = BgL_arg3480z00_10987; 
BgL_bufposz00_15085 = BgL_arg3481z00_10988; 
BgL_bufposz00_10985 = BgL_bufposz00_15085; 
BgL_forwardz00_10984 = BgL_forwardz00_15084; 
goto BgL_statezd25zd21275z00_10945;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10952 = BgL_newzd2matchzd2_10986; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_10989;
BgL_curz00_10989 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10982, BgL_forwardz00_10984); 
{ /* Llib/mpc.scm 414 */

{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6115z00_15087;
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6116z00_15088;
if(
(
(long)(BgL_curz00_10989)==10L))
{ /* Llib/mpc.scm 414 */
BgL_test6116z00_15088 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6116z00_15088 = 
(
(long)(BgL_curz00_10989)==9L)
; } 
if(BgL_test6116z00_15088)
{ /* Llib/mpc.scm 414 */
BgL_test6115z00_15087 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6115z00_15087 = 
(
(long)(BgL_curz00_10989)==32L)
; } } 
if(BgL_test6115z00_15087)
{ 
 long BgL_forwardz00_15097; long BgL_lastzd2matchzd2_15096;
BgL_lastzd2matchzd2_15096 = BgL_newzd2matchzd2_10986; 
BgL_forwardz00_15097 = 
(1L+BgL_forwardz00_10984); 
BgL_forwardz00_10984 = BgL_forwardz00_15097; 
BgL_lastzd2matchzd2_10983 = BgL_lastzd2matchzd2_15096; 
goto BgL_statezd25zd21275z00_10945;}  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10952 = BgL_newzd2matchzd2_10986; } } } } } }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10952 = BgL_newzd2matchzd2_11002; } } } } } }  else 
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6118z00_15101;
if(
(
(long)(BgL_curz00_10997)==9L))
{ /* Llib/mpc.scm 414 */
BgL_test6118z00_15101 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6118z00_15101 = 
(
(long)(BgL_curz00_10997)==32L)
; } 
if(BgL_test6118z00_15101)
{ /* Llib/mpc.scm 414 */
BgL_iportz00_11023 = BgL_iportz00_10990; 
BgL_lastzd2matchzd2_11024 = BgL_newzd2matchzd2_10994; 
BgL_forwardz00_11025 = 
(1L+BgL_forwardz00_10992); 
BgL_bufposz00_11026 = BgL_bufposz00_10993; 
BgL_statezd22zd21272z00_10950:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11027;
RGC_STOP_MATCH(BgL_iportz00_11023, BgL_forwardz00_11025); 
BgL_newzd2matchzd2_11027 = 0L; 
if(
(BgL_forwardz00_11025==BgL_bufposz00_11026))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11023))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3430z00_11028; long BgL_arg3431z00_11029;
BgL_arg3430z00_11028 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11023); 
BgL_arg3431z00_11029 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11023); 
{ 
 long BgL_bufposz00_15115; long BgL_forwardz00_15114;
BgL_forwardz00_15114 = BgL_arg3430z00_11028; 
BgL_bufposz00_15115 = BgL_arg3431z00_11029; 
BgL_bufposz00_11026 = BgL_bufposz00_15115; 
BgL_forwardz00_11025 = BgL_forwardz00_15114; 
goto BgL_statezd22zd21272z00_10950;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10952 = BgL_newzd2matchzd2_11027; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11030;
BgL_curz00_11030 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11023, BgL_forwardz00_11025); 
{ /* Llib/mpc.scm 414 */

if(
(
(long)(BgL_curz00_11030)==10L))
{ /* Llib/mpc.scm 414 */
BgL_iportz00_10974 = BgL_iportz00_11023; 
BgL_lastzd2matchzd2_10975 = BgL_newzd2matchzd2_11027; 
BgL_forwardz00_10976 = 
(1L+BgL_forwardz00_11025); 
BgL_bufposz00_10977 = BgL_bufposz00_11026; 
BgL_statezd28zd21278z00_10944:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_10978;
RGC_STOP_MATCH(BgL_iportz00_10974, BgL_forwardz00_10976); 
BgL_newzd2matchzd2_10978 = 0L; 
if(
(BgL_forwardz00_10976==BgL_bufposz00_10977))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_10974))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3489z00_10979; long BgL_arg3490z00_10980;
BgL_arg3489z00_10979 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10974); 
BgL_arg3490z00_10980 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10974); 
{ 
 long BgL_bufposz00_15128; long BgL_forwardz00_15127;
BgL_forwardz00_15127 = BgL_arg3489z00_10979; 
BgL_bufposz00_15128 = BgL_arg3490z00_10980; 
BgL_bufposz00_10977 = BgL_bufposz00_15128; 
BgL_forwardz00_10976 = BgL_forwardz00_15127; 
goto BgL_statezd28zd21278z00_10944;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10952 = BgL_newzd2matchzd2_10978; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_10981;
BgL_curz00_10981 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_10974, BgL_forwardz00_10976); 
{ /* Llib/mpc.scm 414 */

{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6125z00_15130;
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6126z00_15131;
if(
(
(long)(BgL_curz00_10981)==10L))
{ /* Llib/mpc.scm 414 */
BgL_test6126z00_15131 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6126z00_15131 = 
(
(long)(BgL_curz00_10981)==9L)
; } 
if(BgL_test6126z00_15131)
{ /* Llib/mpc.scm 414 */
BgL_test6125z00_15130 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6125z00_15130 = 
(
(long)(BgL_curz00_10981)==32L)
; } } 
if(BgL_test6125z00_15130)
{ 
 long BgL_bufposz00_15143; long BgL_forwardz00_15141; long BgL_lastzd2matchzd2_15140; obj_t BgL_iportz00_15139;
BgL_iportz00_15139 = BgL_iportz00_10974; 
BgL_lastzd2matchzd2_15140 = BgL_newzd2matchzd2_10978; 
BgL_forwardz00_15141 = 
(1L+BgL_forwardz00_10976); 
BgL_bufposz00_15143 = BgL_bufposz00_10977; 
BgL_bufposz00_10985 = BgL_bufposz00_15143; 
BgL_forwardz00_10984 = BgL_forwardz00_15141; 
BgL_lastzd2matchzd2_10983 = BgL_lastzd2matchzd2_15140; 
BgL_iportz00_10982 = BgL_iportz00_15139; 
goto BgL_statezd25zd21275z00_10945;}  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10952 = BgL_newzd2matchzd2_10978; } } } } } }  else 
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6128z00_15145;
if(
(
(long)(BgL_curz00_11030)==9L))
{ /* Llib/mpc.scm 414 */
BgL_test6128z00_15145 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6128z00_15145 = 
(
(long)(BgL_curz00_11030)==32L)
; } 
if(BgL_test6128z00_15145)
{ /* Llib/mpc.scm 414 */
BgL_iportz00_11006 = BgL_iportz00_11023; 
BgL_lastzd2matchzd2_11007 = BgL_newzd2matchzd2_11027; 
BgL_forwardz00_11008 = 
(1L+BgL_forwardz00_11025); 
BgL_bufposz00_11009 = BgL_bufposz00_11026; 
BgL_statezd27zd21277z00_10948:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11010;
RGC_STOP_MATCH(BgL_iportz00_11006, BgL_forwardz00_11008); 
BgL_newzd2matchzd2_11010 = 0L; 
if(
(BgL_forwardz00_11008==BgL_bufposz00_11009))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11006))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3449z00_11011; long BgL_arg3450z00_11012;
BgL_arg3449z00_11011 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11006); 
BgL_arg3450z00_11012 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11006); 
{ 
 long BgL_bufposz00_15159; long BgL_forwardz00_15158;
BgL_forwardz00_15158 = BgL_arg3449z00_11011; 
BgL_bufposz00_15159 = BgL_arg3450z00_11012; 
BgL_bufposz00_11009 = BgL_bufposz00_15159; 
BgL_forwardz00_11008 = BgL_forwardz00_15158; 
goto BgL_statezd27zd21277z00_10948;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10952 = BgL_newzd2matchzd2_11010; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11013;
BgL_curz00_11013 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11006, BgL_forwardz00_11008); 
{ /* Llib/mpc.scm 414 */

if(
(
(long)(BgL_curz00_11013)==10L))
{ 
 long BgL_bufposz00_15168; long BgL_forwardz00_15166; long BgL_lastzd2matchzd2_15165; obj_t BgL_iportz00_15164;
BgL_iportz00_15164 = BgL_iportz00_11006; 
BgL_lastzd2matchzd2_15165 = BgL_newzd2matchzd2_11010; 
BgL_forwardz00_15166 = 
(1L+BgL_forwardz00_11008); 
BgL_bufposz00_15168 = BgL_bufposz00_11009; 
BgL_bufposz00_10977 = BgL_bufposz00_15168; 
BgL_forwardz00_10976 = BgL_forwardz00_15166; 
BgL_lastzd2matchzd2_10975 = BgL_lastzd2matchzd2_15165; 
BgL_iportz00_10974 = BgL_iportz00_15164; 
goto BgL_statezd28zd21278z00_10944;}  else 
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6133z00_15169;
if(
(
(long)(BgL_curz00_11013)==9L))
{ /* Llib/mpc.scm 414 */
BgL_test6133z00_15169 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6133z00_15169 = 
(
(long)(BgL_curz00_11013)==32L)
; } 
if(BgL_test6133z00_15169)
{ 
 long BgL_forwardz00_15176; long BgL_lastzd2matchzd2_15175;
BgL_lastzd2matchzd2_15175 = BgL_newzd2matchzd2_11010; 
BgL_forwardz00_15176 = 
(1L+BgL_forwardz00_11008); 
BgL_forwardz00_11008 = BgL_forwardz00_15176; 
BgL_lastzd2matchzd2_11007 = BgL_lastzd2matchzd2_15175; 
goto BgL_statezd27zd21277z00_10948;}  else 
{ /* Llib/mpc.scm 414 */
BgL_iportz00_11014 = BgL_iportz00_11006; 
BgL_lastzd2matchzd2_11015 = BgL_newzd2matchzd2_11010; 
BgL_forwardz00_11016 = 
(1L+BgL_forwardz00_11008); 
BgL_bufposz00_11017 = BgL_bufposz00_11009; 
BgL_statezd26zd21276z00_10949:
if(
(BgL_forwardz00_11016==BgL_bufposz00_11017))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11014))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3441z00_11018; long BgL_arg3442z00_11019;
BgL_arg3441z00_11018 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11014); 
BgL_arg3442z00_11019 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11014); 
{ 
 long BgL_bufposz00_15185; long BgL_forwardz00_15184;
BgL_forwardz00_15184 = BgL_arg3441z00_11018; 
BgL_bufposz00_15185 = BgL_arg3442z00_11019; 
BgL_bufposz00_11017 = BgL_bufposz00_15185; 
BgL_forwardz00_11016 = BgL_forwardz00_15184; 
goto BgL_statezd26zd21276z00_10949;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10952 = BgL_lastzd2matchzd2_11015; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11020;
BgL_curz00_11020 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11014, BgL_forwardz00_11016); 
{ /* Llib/mpc.scm 414 */

if(
(
(long)(BgL_curz00_11020)==10L))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3444z00_11021;
BgL_arg3444z00_11021 = 
(1L+BgL_forwardz00_11016); 
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11022;
RGC_STOP_MATCH(BgL_iportz00_11014, BgL_arg3444z00_11021); 
BgL_newzd2matchzd2_11022 = 1L; 
BgL_matchz00_10952 = BgL_newzd2matchzd2_11022; } }  else 
{ 
 long BgL_forwardz00_15192;
BgL_forwardz00_15192 = 
(1L+BgL_forwardz00_11016); 
BgL_forwardz00_11016 = BgL_forwardz00_15192; 
goto BgL_statezd26zd21276z00_10949;} } } } } } } } }  else 
{ 
 long BgL_bufposz00_15200; long BgL_forwardz00_15198; long BgL_lastzd2matchzd2_15197; obj_t BgL_iportz00_15196;
BgL_iportz00_15196 = BgL_iportz00_11023; 
BgL_lastzd2matchzd2_15197 = BgL_newzd2matchzd2_11027; 
BgL_forwardz00_15198 = 
(1L+BgL_forwardz00_11025); 
BgL_bufposz00_15200 = BgL_bufposz00_11026; 
BgL_bufposz00_11017 = BgL_bufposz00_15200; 
BgL_forwardz00_11016 = BgL_forwardz00_15198; 
BgL_lastzd2matchzd2_11015 = BgL_lastzd2matchzd2_15197; 
BgL_iportz00_11014 = BgL_iportz00_15196; 
goto BgL_statezd26zd21276z00_10949;} } } } } }  else 
{ /* Llib/mpc.scm 414 */
BgL_iportz00_11031 = BgL_iportz00_10990; 
BgL_lastzd2matchzd2_11032 = BgL_newzd2matchzd2_10994; 
BgL_forwardz00_11033 = 
(1L+BgL_forwardz00_10992); 
BgL_bufposz00_11034 = BgL_bufposz00_10993; 
BgL_statezd21zd21271z00_10951:
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11035;
RGC_STOP_MATCH(BgL_iportz00_11031, BgL_forwardz00_11033); 
BgL_newzd2matchzd2_11035 = 2L; 
if(
(BgL_forwardz00_11033==BgL_bufposz00_11034))
{ /* Llib/mpc.scm 414 */
if(
rgc_fill_buffer(BgL_iportz00_11031))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3422z00_11036; long BgL_arg3423z00_11037;
BgL_arg3422z00_11036 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11031); 
BgL_arg3423z00_11037 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11031); 
{ 
 long BgL_bufposz00_15210; long BgL_forwardz00_15209;
BgL_forwardz00_15209 = BgL_arg3422z00_11036; 
BgL_bufposz00_15210 = BgL_arg3423z00_11037; 
BgL_bufposz00_11034 = BgL_bufposz00_15210; 
BgL_forwardz00_11033 = BgL_forwardz00_15209; 
goto BgL_statezd21zd21271z00_10951;} }  else 
{ /* Llib/mpc.scm 414 */
BgL_matchz00_10952 = BgL_newzd2matchzd2_11035; } }  else 
{ /* Llib/mpc.scm 414 */
 int BgL_curz00_11038;
BgL_curz00_11038 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11031, BgL_forwardz00_11033); 
{ /* Llib/mpc.scm 414 */

if(
(
(long)(BgL_curz00_11038)==10L))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3425z00_11039;
BgL_arg3425z00_11039 = 
(1L+BgL_forwardz00_11033); 
{ /* Llib/mpc.scm 414 */
 long BgL_newzd2matchzd2_11040;
RGC_STOP_MATCH(BgL_iportz00_11031, BgL_arg3425z00_11039); 
BgL_newzd2matchzd2_11040 = 1L; 
BgL_matchz00_10952 = BgL_newzd2matchzd2_11040; } }  else 
{ 
 long BgL_bufposz00_15221; long BgL_forwardz00_15219; long BgL_lastzd2matchzd2_15218; obj_t BgL_iportz00_15217;
BgL_iportz00_15217 = BgL_iportz00_11031; 
BgL_lastzd2matchzd2_15218 = BgL_newzd2matchzd2_11035; 
BgL_forwardz00_15219 = 
(1L+BgL_forwardz00_11033); 
BgL_bufposz00_15221 = BgL_bufposz00_11034; 
BgL_bufposz00_11017 = BgL_bufposz00_15221; 
BgL_forwardz00_11016 = BgL_forwardz00_15219; 
BgL_lastzd2matchzd2_11015 = BgL_lastzd2matchzd2_15218; 
BgL_iportz00_11014 = BgL_iportz00_15217; 
goto BgL_statezd26zd21276z00_10949;} } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10940); 
switch( BgL_matchz00_10952) { case 2L : 

{ /* Llib/mpc.scm 421 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg3583z00_10955;
{ /* Llib/mpc.scm 421 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1283z00_10956;
{ /* Llib/mpc.scm 421 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1282z00_10957;
BgL_new1282z00_10957 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 421 */
 long BgL_arg3588z00_10958;
BgL_arg3588z00_10958 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1282z00_10957), BgL_arg3588z00_10958); } 
BgL_new1283z00_10956 = BgL_new1282z00_10957; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1283z00_10956)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1283z00_10956)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15232;
{ /* Llib/mpc.scm 421 */
 obj_t BgL_arg3584z00_10959;
{ /* Llib/mpc.scm 421 */
 obj_t BgL_arg3585z00_10960;
{ /* Llib/mpc.scm 421 */
 obj_t BgL_classz00_10961;
BgL_classz00_10961 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg3585z00_10960 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_10961); } 
BgL_arg3584z00_10959 = 
VECTOR_REF(BgL_arg3585z00_10960,2L); } 
BgL_auxz00_15232 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg3584z00_10959); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1283z00_10956)))->BgL_stackz00)=((obj_t)BgL_auxz00_15232),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1283z00_10956)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(0L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1283z00_10956)))->BgL_msgz00)=((obj_t)BGl_string5298z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15243;
{ /* Llib/mpc.scm 424 */
 obj_t BgL_arg3586z00_10962;
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6141z00_15245;
{ /* Llib/mpc.scm 414 */
 long BgL_arg3576z00_10963;
BgL_arg3576z00_10963 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10940); 
BgL_test6141z00_15245 = 
(BgL_arg3576z00_10963==0L); } 
if(BgL_test6141z00_15245)
{ /* Llib/mpc.scm 414 */
BgL_arg3586z00_10962 = BEOF; }  else 
{ /* Llib/mpc.scm 414 */
BgL_arg3586z00_10962 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10940)); } } 
BgL_auxz00_15243 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg3586z00_10962, BgL_iportz00_10940); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1283z00_10956)))->BgL_objz00)=((obj_t)BgL_auxz00_15243),BUNSPEC); } 
BgL_arg3583z00_10955 = BgL_new1283z00_10956; } 
BgL_auxz00_15041 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg3583z00_10955)); } break;case 1L : 

BgL_minz00_10964 = 
(int)(0L); 
BgL_maxz00_10965 = 
(int)(-1L); 
if(
(
(long)(BgL_maxz00_10965)<
(long)(BgL_minz00_10964)))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3505z00_10966;
BgL_arg3505z00_10966 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10940); 
{ /* Llib/mpc.scm 414 */
 long BgL_za72za7_10967;
BgL_za72za7_10967 = 
(long)(BgL_maxz00_10965); 
BgL_maxz00_10965 = 
(int)(
(BgL_arg3505z00_10966+BgL_za72za7_10967)); } }  else 
{ /* Llib/mpc.scm 414 */BFALSE; } 
{ /* Llib/mpc.scm 414 */
 bool_t BgL_test6143z00_15262;
if(
(
(long)(BgL_minz00_10964)>=0L))
{ /* Llib/mpc.scm 414 */
if(
(
(long)(BgL_maxz00_10965)>=
(long)(BgL_minz00_10964)))
{ /* Llib/mpc.scm 414 */
 long BgL_arg3514z00_10968;
BgL_arg3514z00_10968 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10940); 
BgL_test6143z00_15262 = 
(
(long)(BgL_maxz00_10965)<=BgL_arg3514z00_10968); }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6143z00_15262 = ((bool_t)0)
; } }  else 
{ /* Llib/mpc.scm 414 */
BgL_test6143z00_15262 = ((bool_t)0)
; } 
if(BgL_test6143z00_15262)
{ /* Llib/mpc.scm 414 */
BgL_auxz00_15041 = 
rgc_buffer_substring(BgL_iportz00_10940, 
(long)(BgL_minz00_10964), 
(long)(BgL_maxz00_10965))
; }  else 
{ /* Llib/mpc.scm 414 */
 obj_t BgL_arg3510z00_10969; obj_t BgL_arg3511z00_10970;
{ /* Llib/mpc.scm 414 */
 obj_t BgL_arg3512z00_10971;
{ /* Llib/mpc.scm 414 */
 long BgL_arg3502z00_10972;
BgL_arg3502z00_10972 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10940); 
BgL_arg3512z00_10971 = 
rgc_buffer_substring(BgL_iportz00_10940, 0L, BgL_arg3502z00_10972); } 
{ /* Llib/mpc.scm 414 */
 obj_t BgL_list3513z00_10973;
BgL_list3513z00_10973 = 
MAKE_YOUNG_PAIR(BgL_arg3512z00_10971, BNIL); 
BgL_arg3510z00_10969 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5300z00zz__multimediazd2mpczd2, BgL_list3513z00_10973); } } 
BgL_arg3511z00_10970 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_10964), 
BINT(BgL_maxz00_10965)); 
BgL_auxz00_15041 = 
BGl_errorz00zz__errorz00(BGl_string5301z00zz__multimediazd2mpczd2, BgL_arg3510z00_10969, BgL_arg3511z00_10970); } } break;case 0L : 

goto BgL_ignorez00_10941;break;
default: 
BgL_auxz00_15041 = 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_10952)); } } } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_errz00)=((obj_t)BgL_auxz00_15041),BUNSPEC); }  else 
{ /* Llib/mpc.scm 511 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 7L : 

{ /* Llib/mpc.scm 501 */
 obj_t BgL_kz00_11267;
BgL_kz00_11267 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11267==
CNST_TABLE_REF(12L)))
{ /* Llib/mpc.scm 503 */
 obj_t BgL_pidz00_11268;
BgL_pidz00_11268 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_playlistidz00)=((int)
CINT(BgL_pidz00_11268)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 502 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 6L : 

{ /* Llib/mpc.scm 492 */
 obj_t BgL_kz00_11269;
BgL_kz00_11269 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11269==
CNST_TABLE_REF(13L)))
{ /* Llib/mpc.scm 494 */
 obj_t BgL_plenz00_11270;
BgL_plenz00_11270 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_playlistlengthz00)=((int)
CINT(BgL_plenz00_11270)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 493 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 5L : 

{ /* Llib/mpc.scm 483 */
 obj_t BgL_kz00_11271;
BgL_kz00_11271 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11271==
CNST_TABLE_REF(14L)))
{ /* Llib/mpc.scm 485 */
 obj_t BgL_vz00_11272;
BgL_vz00_11272 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_volumez00)=((obj_t)BgL_vz00_11272),BUNSPEC); }  else 
{ /* Llib/mpc.scm 484 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 4L : 

{ /* Llib/mpc.scm 476 */
 obj_t BgL_kz00_11273;
BgL_kz00_11273 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11273==
CNST_TABLE_REF(15L)))
{ /* Llib/mpc.scm 477 */
BgL_iportz00_11041 = BgL_iportz00_11207; 
BgL_statusz00_11042 = BgL_statusz00_11208; 
{ 
 obj_t BgL_iportz00_11099; long BgL_lastzd2matchzd2_11100; long BgL_forwardz00_11101; long BgL_bufposz00_11102; obj_t BgL_iportz00_11091; long BgL_lastzd2matchzd2_11092; long BgL_forwardz00_11093; long BgL_bufposz00_11094; obj_t BgL_iportz00_11081; long BgL_lastzd2matchzd2_11082; long BgL_forwardz00_11083; long BgL_bufposz00_11084; obj_t BgL_iportz00_11072; long BgL_lastzd2matchzd2_11073; long BgL_forwardz00_11074; long BgL_bufposz00_11075; obj_t BgL_iportz00_11064; long BgL_lastzd2matchzd2_11065; long BgL_forwardz00_11066; long BgL_bufposz00_11067;
BgL_ignorez00_11043:
RGC_START_MATCH(BgL_iportz00_11041); 
{ /* Llib/mpc.scm 427 */
 long BgL_matchz00_11050;
{ /* Llib/mpc.scm 427 */
 long BgL_arg3416z00_11051; long BgL_arg3417z00_11052;
BgL_arg3416z00_11051 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11041); 
BgL_arg3417z00_11052 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11041); 
BgL_iportz00_11099 = BgL_iportz00_11041; 
BgL_lastzd2matchzd2_11100 = 2L; 
BgL_forwardz00_11101 = BgL_arg3416z00_11051; 
BgL_bufposz00_11102 = BgL_arg3417z00_11052; 
BgL_statezd20zd21284z00_11049:
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11103;
RGC_STOP_MATCH(BgL_iportz00_11099, BgL_forwardz00_11101); 
BgL_newzd2matchzd2_11103 = 0L; 
if(
(BgL_forwardz00_11101==BgL_bufposz00_11102))
{ /* Llib/mpc.scm 427 */
if(
rgc_fill_buffer(BgL_iportz00_11099))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3272z00_11104; long BgL_arg3273z00_11105;
BgL_arg3272z00_11104 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11099); 
BgL_arg3273z00_11105 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11099); 
{ 
 long BgL_bufposz00_15350; long BgL_forwardz00_15349;
BgL_forwardz00_15349 = BgL_arg3272z00_11104; 
BgL_bufposz00_15350 = BgL_arg3273z00_11105; 
BgL_bufposz00_11102 = BgL_bufposz00_15350; 
BgL_forwardz00_11101 = BgL_forwardz00_15349; 
goto BgL_statezd20zd21284z00_11049;} }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11050 = BgL_newzd2matchzd2_11103; } }  else 
{ /* Llib/mpc.scm 427 */
 int BgL_curz00_11106;
BgL_curz00_11106 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11099, BgL_forwardz00_11101); 
{ /* Llib/mpc.scm 427 */

{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6152z00_15352;
if(
(
(long)(BgL_curz00_11106)>=48L))
{ /* Llib/mpc.scm 427 */
BgL_test6152z00_15352 = 
(
(long)(BgL_curz00_11106)<58L)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6152z00_15352 = ((bool_t)0)
; } 
if(BgL_test6152z00_15352)
{ /* Llib/mpc.scm 427 */
BgL_iportz00_11081 = BgL_iportz00_11099; 
BgL_lastzd2matchzd2_11082 = BgL_newzd2matchzd2_11103; 
BgL_forwardz00_11083 = 
(1L+BgL_forwardz00_11101); 
BgL_bufposz00_11084 = BgL_bufposz00_11102; 
BgL_statezd23zd21287z00_11047:
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11085;
RGC_STOP_MATCH(BgL_iportz00_11081, BgL_forwardz00_11083); 
BgL_newzd2matchzd2_11085 = 2L; 
if(
(BgL_forwardz00_11083==BgL_bufposz00_11084))
{ /* Llib/mpc.scm 427 */
if(
rgc_fill_buffer(BgL_iportz00_11081))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3295z00_11086; long BgL_arg3296z00_11087;
BgL_arg3295z00_11086 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11081); 
BgL_arg3296z00_11087 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11081); 
{ 
 long BgL_bufposz00_15366; long BgL_forwardz00_15365;
BgL_forwardz00_15365 = BgL_arg3295z00_11086; 
BgL_bufposz00_15366 = BgL_arg3296z00_11087; 
BgL_bufposz00_11084 = BgL_bufposz00_15366; 
BgL_forwardz00_11083 = BgL_forwardz00_15365; 
goto BgL_statezd23zd21287z00_11047;} }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11050 = BgL_newzd2matchzd2_11085; } }  else 
{ /* Llib/mpc.scm 427 */
 int BgL_curz00_11088;
BgL_curz00_11088 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11081, BgL_forwardz00_11083); 
{ /* Llib/mpc.scm 427 */

if(
(
(long)(BgL_curz00_11088)==58L))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3298z00_11089;
BgL_arg3298z00_11089 = 
(1L+BgL_forwardz00_11083); 
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11090;
RGC_STOP_MATCH(BgL_iportz00_11081, BgL_arg3298z00_11089); 
BgL_newzd2matchzd2_11090 = 1L; 
BgL_matchz00_11050 = BgL_newzd2matchzd2_11090; } }  else 
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6157z00_15373;
if(
(
(long)(BgL_curz00_11088)>=48L))
{ /* Llib/mpc.scm 427 */
BgL_test6157z00_15373 = 
(
(long)(BgL_curz00_11088)<58L)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6157z00_15373 = ((bool_t)0)
; } 
if(BgL_test6157z00_15373)
{ /* Llib/mpc.scm 427 */
BgL_iportz00_11072 = BgL_iportz00_11081; 
BgL_lastzd2matchzd2_11073 = BgL_newzd2matchzd2_11085; 
BgL_forwardz00_11074 = 
(1L+BgL_forwardz00_11083); 
BgL_bufposz00_11075 = BgL_bufposz00_11084; 
BgL_statezd25zd21289z00_11046:
if(
(BgL_forwardz00_11074==BgL_bufposz00_11075))
{ /* Llib/mpc.scm 427 */
if(
rgc_fill_buffer(BgL_iportz00_11072))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3305z00_11076; long BgL_arg3306z00_11077;
BgL_arg3305z00_11076 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11072); 
BgL_arg3306z00_11077 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11072); 
{ 
 long BgL_bufposz00_15386; long BgL_forwardz00_15385;
BgL_forwardz00_15385 = BgL_arg3305z00_11076; 
BgL_bufposz00_15386 = BgL_arg3306z00_11077; 
BgL_bufposz00_11075 = BgL_bufposz00_15386; 
BgL_forwardz00_11074 = BgL_forwardz00_15385; 
goto BgL_statezd25zd21289z00_11046;} }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11050 = BgL_lastzd2matchzd2_11073; } }  else 
{ /* Llib/mpc.scm 427 */
 int BgL_curz00_11078;
BgL_curz00_11078 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11072, BgL_forwardz00_11074); 
{ /* Llib/mpc.scm 427 */

if(
(
(long)(BgL_curz00_11078)==58L))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3308z00_11079;
BgL_arg3308z00_11079 = 
(1L+BgL_forwardz00_11074); 
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11080;
RGC_STOP_MATCH(BgL_iportz00_11072, BgL_arg3308z00_11079); 
BgL_newzd2matchzd2_11080 = 1L; 
BgL_matchz00_11050 = BgL_newzd2matchzd2_11080; } }  else 
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6162z00_15393;
if(
(
(long)(BgL_curz00_11078)>=48L))
{ /* Llib/mpc.scm 427 */
BgL_test6162z00_15393 = 
(
(long)(BgL_curz00_11078)<58L)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6162z00_15393 = ((bool_t)0)
; } 
if(BgL_test6162z00_15393)
{ 
 long BgL_forwardz00_15399;
BgL_forwardz00_15399 = 
(1L+BgL_forwardz00_11074); 
BgL_forwardz00_11074 = BgL_forwardz00_15399; 
goto BgL_statezd25zd21289z00_11046;}  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11050 = BgL_lastzd2matchzd2_11073; } } } } }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11050 = BgL_newzd2matchzd2_11085; } } } } } }  else 
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6164z00_15403;
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6165z00_15404;
if(
(
(long)(BgL_curz00_11106)==10L))
{ /* Llib/mpc.scm 427 */
BgL_test6165z00_15404 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6165z00_15404 = 
(
(long)(BgL_curz00_11106)==9L)
; } 
if(BgL_test6165z00_15404)
{ /* Llib/mpc.scm 427 */
BgL_test6164z00_15403 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6164z00_15403 = 
(
(long)(BgL_curz00_11106)==32L)
; } } 
if(BgL_test6164z00_15403)
{ /* Llib/mpc.scm 427 */
BgL_iportz00_11091 = BgL_iportz00_11099; 
BgL_lastzd2matchzd2_11092 = BgL_newzd2matchzd2_11103; 
BgL_forwardz00_11093 = 
(1L+BgL_forwardz00_11101); 
BgL_bufposz00_11094 = BgL_bufposz00_11102; 
BgL_statezd22zd21286z00_11048:
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11095;
RGC_STOP_MATCH(BgL_iportz00_11091, BgL_forwardz00_11093); 
BgL_newzd2matchzd2_11095 = 0L; 
if(
(BgL_forwardz00_11093==BgL_bufposz00_11094))
{ /* Llib/mpc.scm 427 */
if(
rgc_fill_buffer(BgL_iportz00_11091))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3286z00_11096; long BgL_arg3287z00_11097;
BgL_arg3286z00_11096 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11091); 
BgL_arg3287z00_11097 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11091); 
{ 
 long BgL_bufposz00_15420; long BgL_forwardz00_15419;
BgL_forwardz00_15419 = BgL_arg3286z00_11096; 
BgL_bufposz00_15420 = BgL_arg3287z00_11097; 
BgL_bufposz00_11094 = BgL_bufposz00_15420; 
BgL_forwardz00_11093 = BgL_forwardz00_15419; 
goto BgL_statezd22zd21286z00_11048;} }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11050 = BgL_newzd2matchzd2_11095; } }  else 
{ /* Llib/mpc.scm 427 */
 int BgL_curz00_11098;
BgL_curz00_11098 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11091, BgL_forwardz00_11093); 
{ /* Llib/mpc.scm 427 */

{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6169z00_15422;
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6170z00_15423;
if(
(
(long)(BgL_curz00_11098)==10L))
{ /* Llib/mpc.scm 427 */
BgL_test6170z00_15423 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6170z00_15423 = 
(
(long)(BgL_curz00_11098)==9L)
; } 
if(BgL_test6170z00_15423)
{ /* Llib/mpc.scm 427 */
BgL_test6169z00_15422 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6169z00_15422 = 
(
(long)(BgL_curz00_11098)==32L)
; } } 
if(BgL_test6169z00_15422)
{ /* Llib/mpc.scm 427 */
BgL_iportz00_11064 = BgL_iportz00_11091; 
BgL_lastzd2matchzd2_11065 = BgL_newzd2matchzd2_11095; 
BgL_forwardz00_11066 = 
(1L+BgL_forwardz00_11093); 
BgL_bufposz00_11067 = BgL_bufposz00_11094; 
BgL_statezd27zd21291z00_11045:
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11068;
RGC_STOP_MATCH(BgL_iportz00_11064, BgL_forwardz00_11066); 
BgL_newzd2matchzd2_11068 = 0L; 
if(
(BgL_forwardz00_11066==BgL_bufposz00_11067))
{ /* Llib/mpc.scm 427 */
if(
rgc_fill_buffer(BgL_iportz00_11064))
{ /* Llib/mpc.scm 427 */
 long BgL_arg3316z00_11069; long BgL_arg3317z00_11070;
BgL_arg3316z00_11069 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11064); 
BgL_arg3317z00_11070 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11064); 
{ 
 long BgL_bufposz00_15439; long BgL_forwardz00_15438;
BgL_forwardz00_15438 = BgL_arg3316z00_11069; 
BgL_bufposz00_15439 = BgL_arg3317z00_11070; 
BgL_bufposz00_11067 = BgL_bufposz00_15439; 
BgL_forwardz00_11066 = BgL_forwardz00_15438; 
goto BgL_statezd27zd21291z00_11045;} }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11050 = BgL_newzd2matchzd2_11068; } }  else 
{ /* Llib/mpc.scm 427 */
 int BgL_curz00_11071;
BgL_curz00_11071 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11064, BgL_forwardz00_11066); 
{ /* Llib/mpc.scm 427 */

{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6174z00_15441;
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6175z00_15442;
if(
(
(long)(BgL_curz00_11071)==10L))
{ /* Llib/mpc.scm 427 */
BgL_test6175z00_15442 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6175z00_15442 = 
(
(long)(BgL_curz00_11071)==9L)
; } 
if(BgL_test6175z00_15442)
{ /* Llib/mpc.scm 427 */
BgL_test6174z00_15441 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 427 */
BgL_test6174z00_15441 = 
(
(long)(BgL_curz00_11071)==32L)
; } } 
if(BgL_test6174z00_15441)
{ 
 long BgL_forwardz00_15451; long BgL_lastzd2matchzd2_15450;
BgL_lastzd2matchzd2_15450 = BgL_newzd2matchzd2_11068; 
BgL_forwardz00_15451 = 
(1L+BgL_forwardz00_11066); 
BgL_forwardz00_11066 = BgL_forwardz00_15451; 
BgL_lastzd2matchzd2_11065 = BgL_lastzd2matchzd2_15450; 
goto BgL_statezd27zd21291z00_11045;}  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11050 = BgL_newzd2matchzd2_11068; } } } } } }  else 
{ /* Llib/mpc.scm 427 */
BgL_matchz00_11050 = BgL_newzd2matchzd2_11095; } } } } } }  else 
{ /* Llib/mpc.scm 427 */
 long BgL_arg3281z00_11107;
BgL_arg3281z00_11107 = 
(1L+BgL_forwardz00_11101); 
{ /* Llib/mpc.scm 427 */
 long BgL_newzd2matchzd2_11108;
RGC_STOP_MATCH(BgL_iportz00_11099, BgL_arg3281z00_11107); 
BgL_newzd2matchzd2_11108 = 2L; 
BgL_matchz00_11050 = BgL_newzd2matchzd2_11108; } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_11041); 
switch( BgL_matchz00_11050) { case 2L : 

{ /* Llib/mpc.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg3409z00_11053;
{ /* Llib/mpc.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1295z00_11054;
{ /* Llib/mpc.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1294z00_11055;
BgL_new1294z00_11055 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 438 */
 long BgL_arg3414z00_11056;
BgL_arg3414z00_11056 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1294z00_11055), BgL_arg3414z00_11056); } 
BgL_new1295z00_11054 = BgL_new1294z00_11055; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1295z00_11054)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1295z00_11054)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15466;
{ /* Llib/mpc.scm 438 */
 obj_t BgL_arg3410z00_11057;
{ /* Llib/mpc.scm 438 */
 obj_t BgL_arg3411z00_11058;
{ /* Llib/mpc.scm 438 */
 obj_t BgL_classz00_11059;
BgL_classz00_11059 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg3411z00_11058 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_11059); } 
BgL_arg3410z00_11057 = 
VECTOR_REF(BgL_arg3411z00_11058,2L); } 
BgL_auxz00_15466 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg3410z00_11057); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1295z00_11054)))->BgL_stackz00)=((obj_t)BgL_auxz00_15466),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1295z00_11054)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(0L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1295z00_11054)))->BgL_msgz00)=((obj_t)BGl_string5295z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15477;
{ /* Llib/mpc.scm 441 */
 obj_t BgL_arg3412z00_11060;
{ /* Llib/mpc.scm 427 */
 bool_t BgL_test6177z00_15479;
{ /* Llib/mpc.scm 427 */
 long BgL_arg3402z00_11063;
BgL_arg3402z00_11063 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11041); 
BgL_test6177z00_15479 = 
(BgL_arg3402z00_11063==0L); } 
if(BgL_test6177z00_15479)
{ /* Llib/mpc.scm 427 */
BgL_arg3412z00_11060 = BEOF; }  else 
{ /* Llib/mpc.scm 427 */
BgL_arg3412z00_11060 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_11041)); } } 
BgL_auxz00_15477 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg3412z00_11060, BgL_iportz00_11041); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1295z00_11054)))->BgL_objz00)=((obj_t)BgL_auxz00_15477),BUNSPEC); } 
BgL_arg3409z00_11053 = BgL_new1295z00_11054; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg3409z00_11053)); } break;case 1L : 

{ /* Llib/mpc.scm 431 */
 long BgL_tmz00_11061;
BgL_tmz00_11061 = 
rgc_buffer_fixnum(BgL_iportz00_11041); 
{ /* Llib/mpc.scm 431 */
 obj_t BgL_duz00_11062;
BgL_duz00_11062 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11041); 
{ /* Llib/mpc.scm 432 */

((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11042))->BgL_songposz00)=((obj_t)
BINT(BgL_tmz00_11061)),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11042))->BgL_songlengthz00)=((int)
CINT(BgL_duz00_11062)),BUNSPEC); } } } break;case 0L : 

goto BgL_ignorez00_11043;break;
default: 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_11050)); } } } }  else 
{ /* Llib/mpc.scm 477 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 3L : 

{ /* Llib/mpc.scm 467 */
 obj_t BgL_kz00_11274;
BgL_kz00_11274 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11274==
CNST_TABLE_REF(16L)))
{ 
 obj_t BgL_auxz00_15508;
BgL_iportz00_11109 = BgL_iportz00_11207; 
{ 
 obj_t BgL_iportz00_11199; long BgL_lastzd2matchzd2_11200; long BgL_forwardz00_11201; long BgL_bufposz00_11202; obj_t BgL_iportz00_11191; long BgL_lastzd2matchzd2_11192; long BgL_forwardz00_11193; long BgL_bufposz00_11194; obj_t BgL_iportz00_11181; long BgL_lastzd2matchzd2_11182; long BgL_forwardz00_11183; long BgL_bufposz00_11184; obj_t BgL_iportz00_11172; long BgL_lastzd2matchzd2_11173; long BgL_forwardz00_11174; long BgL_bufposz00_11175; obj_t BgL_iportz00_11164; long BgL_lastzd2matchzd2_11165; long BgL_forwardz00_11166; long BgL_bufposz00_11167; obj_t BgL_iportz00_11156; long BgL_lastzd2matchzd2_11157; long BgL_forwardz00_11158; long BgL_bufposz00_11159; obj_t BgL_iportz00_11148; long BgL_lastzd2matchzd2_11149; long BgL_forwardz00_11150; long BgL_bufposz00_11151; obj_t BgL_iportz00_11140; long BgL_lastzd2matchzd2_11141; long BgL_forwardz00_11142; long BgL_bufposz00_11143; long BgL_minz00_11133; long BgL_maxz00_11134;
BgL_ignorez00_11110:
RGC_START_MATCH(BgL_iportz00_11109); 
{ /* Llib/mpc.scm 401 */
 long BgL_matchz00_11121;
{ /* Llib/mpc.scm 401 */
 long BgL_arg3764z00_11122; long BgL_arg3765z00_11123;
BgL_arg3764z00_11122 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11109); 
BgL_arg3765z00_11123 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11109); 
BgL_iportz00_11181 = BgL_iportz00_11109; 
BgL_lastzd2matchzd2_11182 = 2L; 
BgL_forwardz00_11183 = BgL_arg3764z00_11122; 
BgL_bufposz00_11184 = BgL_arg3765z00_11123; 
BgL_statezd20zd21255z00_11118:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11185;
RGC_STOP_MATCH(BgL_iportz00_11181, BgL_forwardz00_11183); 
BgL_newzd2matchzd2_11185 = 0L; 
if(
(BgL_forwardz00_11183==BgL_bufposz00_11184))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11181))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3616z00_11186; long BgL_arg3617z00_11187;
BgL_arg3616z00_11186 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11181); 
BgL_arg3617z00_11187 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11181); 
{ 
 long BgL_bufposz00_15520; long BgL_forwardz00_15519;
BgL_forwardz00_15519 = BgL_arg3616z00_11186; 
BgL_bufposz00_15520 = BgL_arg3617z00_11187; 
BgL_bufposz00_11184 = BgL_bufposz00_15520; 
BgL_forwardz00_11183 = BgL_forwardz00_15519; 
goto BgL_statezd20zd21255z00_11118;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_newzd2matchzd2_11185; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11188;
BgL_curz00_11188 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11181, BgL_forwardz00_11183); 
{ /* Llib/mpc.scm 401 */

if(
(
(long)(BgL_curz00_11188)==13L))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3619z00_11189;
BgL_arg3619z00_11189 = 
(1L+BgL_forwardz00_11183); 
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11190;
RGC_STOP_MATCH(BgL_iportz00_11181, BgL_arg3619z00_11189); 
BgL_newzd2matchzd2_11190 = 2L; 
BgL_matchz00_11121 = BgL_newzd2matchzd2_11190; } }  else 
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6182z00_15527;
if(
(
(long)(BgL_curz00_11188)==10L))
{ /* Llib/mpc.scm 401 */
BgL_test6182z00_15527 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6182z00_15527 = 
(
(long)(BgL_curz00_11188)==32L)
; } 
if(BgL_test6182z00_15527)
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11199 = BgL_iportz00_11181; 
BgL_lastzd2matchzd2_11200 = BgL_newzd2matchzd2_11185; 
BgL_forwardz00_11201 = 
(1L+BgL_forwardz00_11183); 
BgL_bufposz00_11202 = BgL_bufposz00_11184; 
BgL_statezd23zd21258z00_11120:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11203;
RGC_STOP_MATCH(BgL_iportz00_11199, BgL_forwardz00_11201); 
BgL_newzd2matchzd2_11203 = 0L; 
if(
(BgL_forwardz00_11201==BgL_bufposz00_11202))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11199))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3595z00_11204; long BgL_arg3596z00_11205;
BgL_arg3595z00_11204 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11199); 
BgL_arg3596z00_11205 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11199); 
{ 
 long BgL_bufposz00_15541; long BgL_forwardz00_15540;
BgL_forwardz00_15540 = BgL_arg3595z00_11204; 
BgL_bufposz00_15541 = BgL_arg3596z00_11205; 
BgL_bufposz00_11202 = BgL_bufposz00_15541; 
BgL_forwardz00_11201 = BgL_forwardz00_15540; 
goto BgL_statezd23zd21258z00_11120;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_newzd2matchzd2_11203; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11206;
BgL_curz00_11206 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11199, BgL_forwardz00_11201); 
{ /* Llib/mpc.scm 401 */

{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6186z00_15543;
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6187z00_15544;
if(
(
(long)(BgL_curz00_11206)==10L))
{ /* Llib/mpc.scm 401 */
BgL_test6187z00_15544 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6187z00_15544 = 
(
(long)(BgL_curz00_11206)==9L)
; } 
if(BgL_test6187z00_15544)
{ /* Llib/mpc.scm 401 */
BgL_test6186z00_15543 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6186z00_15543 = 
(
(long)(BgL_curz00_11206)==32L)
; } } 
if(BgL_test6186z00_15543)
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11148 = BgL_iportz00_11199; 
BgL_lastzd2matchzd2_11149 = BgL_newzd2matchzd2_11203; 
BgL_forwardz00_11150 = 
(1L+BgL_forwardz00_11201); 
BgL_bufposz00_11151 = BgL_bufposz00_11202; 
BgL_statezd26zd21261z00_11114:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11152;
RGC_STOP_MATCH(BgL_iportz00_11148, BgL_forwardz00_11150); 
BgL_newzd2matchzd2_11152 = 0L; 
if(
(BgL_forwardz00_11150==BgL_bufposz00_11151))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11148))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3657z00_11153; long BgL_arg3658z00_11154;
BgL_arg3657z00_11153 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11148); 
BgL_arg3658z00_11154 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11148); 
{ 
 long BgL_bufposz00_15560; long BgL_forwardz00_15559;
BgL_forwardz00_15559 = BgL_arg3657z00_11153; 
BgL_bufposz00_15560 = BgL_arg3658z00_11154; 
BgL_bufposz00_11151 = BgL_bufposz00_15560; 
BgL_forwardz00_11150 = BgL_forwardz00_15559; 
goto BgL_statezd26zd21261z00_11114;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_newzd2matchzd2_11152; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11155;
BgL_curz00_11155 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11148, BgL_forwardz00_11150); 
{ /* Llib/mpc.scm 401 */

{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6191z00_15562;
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6192z00_15563;
if(
(
(long)(BgL_curz00_11155)==10L))
{ /* Llib/mpc.scm 401 */
BgL_test6192z00_15563 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6192z00_15563 = 
(
(long)(BgL_curz00_11155)==9L)
; } 
if(BgL_test6192z00_15563)
{ /* Llib/mpc.scm 401 */
BgL_test6191z00_15562 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6191z00_15562 = 
(
(long)(BgL_curz00_11155)==32L)
; } } 
if(BgL_test6191z00_15562)
{ 
 long BgL_forwardz00_15572; long BgL_lastzd2matchzd2_15571;
BgL_lastzd2matchzd2_15571 = BgL_newzd2matchzd2_11152; 
BgL_forwardz00_15572 = 
(1L+BgL_forwardz00_11150); 
BgL_forwardz00_11150 = BgL_forwardz00_15572; 
BgL_lastzd2matchzd2_11149 = BgL_lastzd2matchzd2_15571; 
goto BgL_statezd26zd21261z00_11114;}  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_newzd2matchzd2_11152; } } } } } }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_newzd2matchzd2_11203; } } } } } }  else 
{ /* Llib/mpc.scm 401 */
if(
(
(long)(BgL_curz00_11188)==9L))
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11191 = BgL_iportz00_11181; 
BgL_lastzd2matchzd2_11192 = BgL_newzd2matchzd2_11185; 
BgL_forwardz00_11193 = 
(1L+BgL_forwardz00_11183); 
BgL_bufposz00_11194 = BgL_bufposz00_11184; 
BgL_statezd22zd21257z00_11119:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11195;
RGC_STOP_MATCH(BgL_iportz00_11191, BgL_forwardz00_11193); 
BgL_newzd2matchzd2_11195 = 0L; 
if(
(BgL_forwardz00_11193==BgL_bufposz00_11194))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11191))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3604z00_11196; long BgL_arg3605z00_11197;
BgL_arg3604z00_11196 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11191); 
BgL_arg3605z00_11197 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11191); 
{ 
 long BgL_bufposz00_15587; long BgL_forwardz00_15586;
BgL_forwardz00_15586 = BgL_arg3604z00_11196; 
BgL_bufposz00_15587 = BgL_arg3605z00_11197; 
BgL_bufposz00_11194 = BgL_bufposz00_15587; 
BgL_forwardz00_11193 = BgL_forwardz00_15586; 
goto BgL_statezd22zd21257z00_11119;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_newzd2matchzd2_11195; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11198;
BgL_curz00_11198 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11191, BgL_forwardz00_11193); 
{ /* Llib/mpc.scm 401 */

if(
(
(long)(BgL_curz00_11198)==10L))
{ 
 long BgL_bufposz00_15596; long BgL_forwardz00_15594; long BgL_lastzd2matchzd2_15593; obj_t BgL_iportz00_15592;
BgL_iportz00_15592 = BgL_iportz00_11191; 
BgL_lastzd2matchzd2_15593 = BgL_newzd2matchzd2_11195; 
BgL_forwardz00_15594 = 
(1L+BgL_forwardz00_11193); 
BgL_bufposz00_15596 = BgL_bufposz00_11194; 
BgL_bufposz00_11151 = BgL_bufposz00_15596; 
BgL_forwardz00_11150 = BgL_forwardz00_15594; 
BgL_lastzd2matchzd2_11149 = BgL_lastzd2matchzd2_15593; 
BgL_iportz00_11148 = BgL_iportz00_15592; 
goto BgL_statezd26zd21261z00_11114;}  else 
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6198z00_15597;
if(
(
(long)(BgL_curz00_11198)==9L))
{ /* Llib/mpc.scm 401 */
BgL_test6198z00_15597 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6198z00_15597 = 
(
(long)(BgL_curz00_11198)==32L)
; } 
if(BgL_test6198z00_15597)
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11164 = BgL_iportz00_11191; 
BgL_lastzd2matchzd2_11165 = BgL_newzd2matchzd2_11195; 
BgL_forwardz00_11166 = 
(1L+BgL_forwardz00_11193); 
BgL_bufposz00_11167 = BgL_bufposz00_11194; 
BgL_statezd28zd21263z00_11116:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11168;
RGC_STOP_MATCH(BgL_iportz00_11164, BgL_forwardz00_11166); 
BgL_newzd2matchzd2_11168 = 0L; 
if(
(BgL_forwardz00_11166==BgL_bufposz00_11167))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11164))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3637z00_11169; long BgL_arg3638z00_11170;
BgL_arg3637z00_11169 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11164); 
BgL_arg3638z00_11170 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11164); 
{ 
 long BgL_bufposz00_15611; long BgL_forwardz00_15610;
BgL_forwardz00_15610 = BgL_arg3637z00_11169; 
BgL_bufposz00_15611 = BgL_arg3638z00_11170; 
BgL_bufposz00_11167 = BgL_bufposz00_15611; 
BgL_forwardz00_11166 = BgL_forwardz00_15610; 
goto BgL_statezd28zd21263z00_11116;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_newzd2matchzd2_11168; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11171;
BgL_curz00_11171 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11164, BgL_forwardz00_11166); 
{ /* Llib/mpc.scm 401 */

if(
(
(long)(BgL_curz00_11171)==10L))
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11156 = BgL_iportz00_11164; 
BgL_lastzd2matchzd2_11157 = BgL_newzd2matchzd2_11168; 
BgL_forwardz00_11158 = 
(1L+BgL_forwardz00_11166); 
BgL_bufposz00_11159 = BgL_bufposz00_11167; 
BgL_statezd29zd21264z00_11115:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11160;
RGC_STOP_MATCH(BgL_iportz00_11156, BgL_forwardz00_11158); 
BgL_newzd2matchzd2_11160 = 0L; 
if(
(BgL_forwardz00_11158==BgL_bufposz00_11159))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11156))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3648z00_11161; long BgL_arg3649z00_11162;
BgL_arg3648z00_11161 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11156); 
BgL_arg3649z00_11162 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11156); 
{ 
 long BgL_bufposz00_15624; long BgL_forwardz00_15623;
BgL_forwardz00_15623 = BgL_arg3648z00_11161; 
BgL_bufposz00_15624 = BgL_arg3649z00_11162; 
BgL_bufposz00_11159 = BgL_bufposz00_15624; 
BgL_forwardz00_11158 = BgL_forwardz00_15623; 
goto BgL_statezd29zd21264z00_11115;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_newzd2matchzd2_11160; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11163;
BgL_curz00_11163 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11156, BgL_forwardz00_11158); 
{ /* Llib/mpc.scm 401 */

{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6205z00_15626;
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6206z00_15627;
if(
(
(long)(BgL_curz00_11163)==10L))
{ /* Llib/mpc.scm 401 */
BgL_test6206z00_15627 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6206z00_15627 = 
(
(long)(BgL_curz00_11163)==9L)
; } 
if(BgL_test6206z00_15627)
{ /* Llib/mpc.scm 401 */
BgL_test6205z00_15626 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6205z00_15626 = 
(
(long)(BgL_curz00_11163)==32L)
; } } 
if(BgL_test6205z00_15626)
{ 
 long BgL_bufposz00_15639; long BgL_forwardz00_15637; long BgL_lastzd2matchzd2_15636; obj_t BgL_iportz00_15635;
BgL_iportz00_15635 = BgL_iportz00_11156; 
BgL_lastzd2matchzd2_15636 = BgL_newzd2matchzd2_11160; 
BgL_forwardz00_15637 = 
(1L+BgL_forwardz00_11158); 
BgL_bufposz00_15639 = BgL_bufposz00_11159; 
BgL_bufposz00_11151 = BgL_bufposz00_15639; 
BgL_forwardz00_11150 = BgL_forwardz00_15637; 
BgL_lastzd2matchzd2_11149 = BgL_lastzd2matchzd2_15636; 
BgL_iportz00_11148 = BgL_iportz00_15635; 
goto BgL_statezd26zd21261z00_11114;}  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_newzd2matchzd2_11160; } } } } } }  else 
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6208z00_15641;
if(
(
(long)(BgL_curz00_11171)==9L))
{ /* Llib/mpc.scm 401 */
BgL_test6208z00_15641 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6208z00_15641 = 
(
(long)(BgL_curz00_11171)==32L)
; } 
if(BgL_test6208z00_15641)
{ 
 long BgL_forwardz00_15648; long BgL_lastzd2matchzd2_15647;
BgL_lastzd2matchzd2_15647 = BgL_newzd2matchzd2_11168; 
BgL_forwardz00_15648 = 
(1L+BgL_forwardz00_11166); 
BgL_forwardz00_11166 = BgL_forwardz00_15648; 
BgL_lastzd2matchzd2_11165 = BgL_lastzd2matchzd2_15647; 
goto BgL_statezd28zd21263z00_11116;}  else 
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11172 = BgL_iportz00_11164; 
BgL_lastzd2matchzd2_11173 = BgL_newzd2matchzd2_11168; 
BgL_forwardz00_11174 = 
(1L+BgL_forwardz00_11166); 
BgL_bufposz00_11175 = BgL_bufposz00_11167; 
BgL_statezd27zd21262z00_11117:
if(
(BgL_forwardz00_11174==BgL_bufposz00_11175))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11172))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3629z00_11176; long BgL_arg3630z00_11177;
BgL_arg3629z00_11176 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11172); 
BgL_arg3630z00_11177 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11172); 
{ 
 long BgL_bufposz00_15657; long BgL_forwardz00_15656;
BgL_forwardz00_15656 = BgL_arg3629z00_11176; 
BgL_bufposz00_15657 = BgL_arg3630z00_11177; 
BgL_bufposz00_11175 = BgL_bufposz00_15657; 
BgL_forwardz00_11174 = BgL_forwardz00_15656; 
goto BgL_statezd27zd21262z00_11117;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_lastzd2matchzd2_11173; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11178;
BgL_curz00_11178 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11172, BgL_forwardz00_11174); 
{ /* Llib/mpc.scm 401 */

if(
(
(long)(BgL_curz00_11178)==10L))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3632z00_11179;
BgL_arg3632z00_11179 = 
(1L+BgL_forwardz00_11174); 
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11180;
RGC_STOP_MATCH(BgL_iportz00_11172, BgL_arg3632z00_11179); 
BgL_newzd2matchzd2_11180 = 1L; 
BgL_matchz00_11121 = BgL_newzd2matchzd2_11180; } }  else 
{ 
 long BgL_forwardz00_15664;
BgL_forwardz00_15664 = 
(1L+BgL_forwardz00_11174); 
BgL_forwardz00_11174 = BgL_forwardz00_15664; 
goto BgL_statezd27zd21262z00_11117;} } } } } } } } }  else 
{ 
 long BgL_bufposz00_15672; long BgL_forwardz00_15670; long BgL_lastzd2matchzd2_15669; obj_t BgL_iportz00_15668;
BgL_iportz00_15668 = BgL_iportz00_11191; 
BgL_lastzd2matchzd2_15669 = BgL_newzd2matchzd2_11195; 
BgL_forwardz00_15670 = 
(1L+BgL_forwardz00_11193); 
BgL_bufposz00_15672 = BgL_bufposz00_11194; 
BgL_bufposz00_11175 = BgL_bufposz00_15672; 
BgL_forwardz00_11174 = BgL_forwardz00_15670; 
BgL_lastzd2matchzd2_11173 = BgL_lastzd2matchzd2_15669; 
BgL_iportz00_11172 = BgL_iportz00_15668; 
goto BgL_statezd27zd21262z00_11117;} } } } } }  else 
{ /* Llib/mpc.scm 401 */
BgL_iportz00_11140 = BgL_iportz00_11181; 
BgL_lastzd2matchzd2_11141 = BgL_newzd2matchzd2_11185; 
BgL_forwardz00_11142 = 
(1L+BgL_forwardz00_11183); 
BgL_bufposz00_11143 = BgL_bufposz00_11184; 
BgL_statezd21zd21256z00_11113:
{ /* Llib/mpc.scm 401 */
 long BgL_newzd2matchzd2_11144;
RGC_STOP_MATCH(BgL_iportz00_11140, BgL_forwardz00_11142); 
BgL_newzd2matchzd2_11144 = 2L; 
if(
(BgL_forwardz00_11142==BgL_bufposz00_11143))
{ /* Llib/mpc.scm 401 */
if(
rgc_fill_buffer(BgL_iportz00_11140))
{ /* Llib/mpc.scm 401 */
 long BgL_arg3666z00_11145; long BgL_arg3667z00_11146;
BgL_arg3666z00_11145 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11140); 
BgL_arg3667z00_11146 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11140); 
{ 
 long BgL_bufposz00_15682; long BgL_forwardz00_15681;
BgL_forwardz00_15681 = BgL_arg3666z00_11145; 
BgL_bufposz00_15682 = BgL_arg3667z00_11146; 
BgL_bufposz00_11143 = BgL_bufposz00_15682; 
BgL_forwardz00_11142 = BgL_forwardz00_15681; 
goto BgL_statezd21zd21256z00_11113;} }  else 
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_newzd2matchzd2_11144; } }  else 
{ /* Llib/mpc.scm 401 */
 int BgL_curz00_11147;
BgL_curz00_11147 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11140, BgL_forwardz00_11142); 
{ /* Llib/mpc.scm 401 */

if(
(
(long)(BgL_curz00_11147)==10L))
{ /* Llib/mpc.scm 401 */
BgL_matchz00_11121 = BgL_newzd2matchzd2_11144; }  else 
{ 
 long BgL_bufposz00_15691; long BgL_forwardz00_15689; long BgL_lastzd2matchzd2_15688; obj_t BgL_iportz00_15687;
BgL_iportz00_15687 = BgL_iportz00_11140; 
BgL_lastzd2matchzd2_15688 = BgL_newzd2matchzd2_11144; 
BgL_forwardz00_15689 = 
(1L+BgL_forwardz00_11142); 
BgL_bufposz00_15691 = BgL_bufposz00_11143; 
BgL_bufposz00_11175 = BgL_bufposz00_15691; 
BgL_forwardz00_11174 = BgL_forwardz00_15689; 
BgL_lastzd2matchzd2_11173 = BgL_lastzd2matchzd2_15688; 
BgL_iportz00_11172 = BgL_iportz00_15687; 
goto BgL_statezd27zd21262z00_11117;} } } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_11109); 
switch( BgL_matchz00_11121) { case 2L : 

{ /* Llib/mpc.scm 408 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg3758z00_11124;
{ /* Llib/mpc.scm 408 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1269z00_11125;
{ /* Llib/mpc.scm 408 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1268z00_11126;
BgL_new1268z00_11126 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 408 */
 long BgL_arg3763z00_11127;
BgL_arg3763z00_11127 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1268z00_11126), BgL_arg3763z00_11127); } 
BgL_new1269z00_11125 = BgL_new1268z00_11126; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1269z00_11125)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1269z00_11125)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15702;
{ /* Llib/mpc.scm 408 */
 obj_t BgL_arg3759z00_11128;
{ /* Llib/mpc.scm 408 */
 obj_t BgL_arg3760z00_11129;
{ /* Llib/mpc.scm 408 */
 obj_t BgL_classz00_11130;
BgL_classz00_11130 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg3760z00_11129 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_11130); } 
BgL_arg3759z00_11128 = 
VECTOR_REF(BgL_arg3760z00_11129,2L); } 
BgL_auxz00_15702 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg3759z00_11128); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1269z00_11125)))->BgL_stackz00)=((obj_t)BgL_auxz00_15702),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1269z00_11125)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(0L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1269z00_11125)))->BgL_msgz00)=((obj_t)BGl_string5299z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_15713;
{ /* Llib/mpc.scm 411 */
 obj_t BgL_arg3761z00_11131;
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6216z00_15715;
{ /* Llib/mpc.scm 401 */
 long BgL_arg3751z00_11132;
BgL_arg3751z00_11132 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11109); 
BgL_test6216z00_15715 = 
(BgL_arg3751z00_11132==0L); } 
if(BgL_test6216z00_15715)
{ /* Llib/mpc.scm 401 */
BgL_arg3761z00_11131 = BEOF; }  else 
{ /* Llib/mpc.scm 401 */
BgL_arg3761z00_11131 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_11109)); } } 
BgL_auxz00_15713 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg3761z00_11131, BgL_iportz00_11109); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1269z00_11125)))->BgL_objz00)=((obj_t)BgL_auxz00_15713),BUNSPEC); } 
BgL_arg3758z00_11124 = BgL_new1269z00_11125; } 
BgL_auxz00_15508 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg3758z00_11124)); } break;case 1L : 

BgL_minz00_11133 = 0L; 
BgL_maxz00_11134 = -1L; 
if(
(BgL_maxz00_11134<0L))
{ /* Llib/mpc.scm 401 */
 long BgL_stopz00_11135;
{ /* Llib/mpc.scm 401 */
 long BgL_arg3711z00_11136;
BgL_arg3711z00_11136 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11109); 
BgL_stopz00_11135 = 
(BgL_arg3711z00_11136+BgL_maxz00_11134); } 
if(
(BgL_stopz00_11135<=BgL_minz00_11133))
{ /* Llib/mpc.scm 401 */
 obj_t BgL_arg3710z00_11137;
BgL_arg3710z00_11137 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_11133), 
BINT(BgL_maxz00_11134)); 
BgL_auxz00_15508 = 
BGl_errorz00zz__errorz00(BGl_string5318z00zz__multimediazd2mpczd2, BGl_string5319z00zz__multimediazd2mpczd2, BgL_arg3710z00_11137); }  else 
{ /* Llib/mpc.scm 401 */
BgL_auxz00_15508 = 
rgc_buffer_subsymbol(BgL_iportz00_11109, BgL_minz00_11133, BgL_stopz00_11135)
; } }  else 
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6219z00_15735;
if(
(BgL_minz00_11133>=0L))
{ /* Llib/mpc.scm 401 */
 bool_t BgL_test6221z00_15738;
{ /* Llib/mpc.scm 401 */
 long BgL_arg3718z00_11138;
BgL_arg3718z00_11138 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11109); 
BgL_test6221z00_15738 = 
(BgL_maxz00_11134<=BgL_arg3718z00_11138); } 
if(BgL_test6221z00_15738)
{ /* Llib/mpc.scm 401 */
BgL_test6219z00_15735 = 
(BgL_maxz00_11134>=BgL_minz00_11133)
; }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6219z00_15735 = ((bool_t)0)
; } }  else 
{ /* Llib/mpc.scm 401 */
BgL_test6219z00_15735 = ((bool_t)0)
; } 
if(BgL_test6219z00_15735)
{ /* Llib/mpc.scm 401 */
BgL_auxz00_15508 = 
rgc_buffer_subsymbol(BgL_iportz00_11109, BgL_minz00_11133, BgL_maxz00_11134)
; }  else 
{ /* Llib/mpc.scm 401 */
 obj_t BgL_arg3717z00_11139;
BgL_arg3717z00_11139 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_11133), 
BINT(BgL_maxz00_11134)); 
BgL_auxz00_15508 = 
BGl_errorz00zz__errorz00(BGl_string5318z00zz__multimediazd2mpczd2, BGl_string5319z00zz__multimediazd2mpczd2, BgL_arg3717z00_11139); } } break;case 0L : 

goto BgL_ignorez00_11110;break;
default: 
BgL_auxz00_15508 = 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_11121)); } } } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_statez00)=((obj_t)BgL_auxz00_15508),BUNSPEC); }  else 
{ /* Llib/mpc.scm 468 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 2L : 

{ /* Llib/mpc.scm 458 */
 obj_t BgL_kz00_11275;
BgL_kz00_11275 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11275==
CNST_TABLE_REF(17L)))
{ /* Llib/mpc.scm 460 */
 obj_t BgL_sidz00_11276;
BgL_sidz00_11276 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_songidz00)=((int)
CINT(BgL_sidz00_11276)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 459 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 1L : 

{ /* Llib/mpc.scm 449 */
 obj_t BgL_kz00_11277;
BgL_kz00_11277 = 
rgc_buffer_keyword(BgL_iportz00_11207); 
if(
(BgL_kz00_11277==
CNST_TABLE_REF(18L)))
{ /* Llib/mpc.scm 451 */
 obj_t BgL_sz00_11278;
BgL_sz00_11278 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11208))->BgL_songz00)=((int)
CINT(BgL_sz00_11278)),BUNSPEC); }  else 
{ /* Llib/mpc.scm 450 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11207); } 
goto BgL_ignorez00_11209;} break;case 0L : 

((obj_t)BgL_statusz00_11208); break;
default: 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_11252)); } } } 
BgL_statusz00_11660 = BgL_statusz00_11659; } 
if(
(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_11660))->BgL_statez00)==
CNST_TABLE_REF(5L)))
{ /* Llib/mpc.scm 608 */
{ /* Llib/mpc.scm 609 */
 obj_t BgL_arg2562z00_11663;
BgL_arg2562z00_11663 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10171))->BgL_z52socketz52); 
socket_close(
((obj_t)BgL_arg2562z00_11663)); } 
((((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10171))->BgL_z52socketz52)=((obj_t)BFALSE),BUNSPEC); 
BgL_tmpz00_13316 = ((bool_t)1); }  else 
{ /* Llib/mpc.scm 608 */
BgL_tmpz00_13316 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_tmpz00_13316);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2mpczd2(void)
{
{ /* Llib/mpc.scm 15 */
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3911z00_4495; obj_t BgL_arg3912z00_4496;
{ /* Llib/mpc.scm 19 */
 obj_t BgL_v1608z00_4523;
BgL_v1608z00_4523 = 
create_vector(10L); 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3919z00_4524;
BgL_arg3919z00_4524 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(19L), BGl_proc5324z00zz__multimediazd2mpczd2, BGl_proc5323z00zz__multimediazd2mpczd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc5322z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(20L)); 
VECTOR_SET(BgL_v1608z00_4523,0L,BgL_arg3919z00_4524); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3926z00_4537;
BgL_arg3926z00_4537 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(21L), BGl_proc5327z00zz__multimediazd2mpczd2, BGl_proc5326z00zz__multimediazd2mpczd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc5325z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(20L)); 
VECTOR_SET(BgL_v1608z00_4523,1L,BgL_arg3926z00_4537); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3933z00_4550;
BgL_arg3933z00_4550 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(22L), BGl_proc5330z00zz__multimediazd2mpczd2, BGl_proc5329z00zz__multimediazd2mpczd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc5328z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(20L)); 
VECTOR_SET(BgL_v1608z00_4523,2L,BgL_arg3933z00_4550); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3940z00_4563;
BgL_arg3940z00_4563 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(23L), BGl_proc5333z00zz__multimediazd2mpczd2, BGl_proc5332z00zz__multimediazd2mpczd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc5331z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(20L)); 
VECTOR_SET(BgL_v1608z00_4523,3L,BgL_arg3940z00_4563); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3947z00_4576;
BgL_arg3947z00_4576 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(24L), BGl_proc5336z00zz__multimediazd2mpczd2, BGl_proc5335z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5334z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(20L)); 
VECTOR_SET(BgL_v1608z00_4523,4L,BgL_arg3947z00_4576); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3954z00_4589;
BgL_arg3954z00_4589 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(25L), BGl_proc5339z00zz__multimediazd2mpczd2, BGl_proc5338z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5337z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(26L)); 
VECTOR_SET(BgL_v1608z00_4523,5L,BgL_arg3954z00_4589); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3961z00_4602;
BgL_arg3961z00_4602 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(27L), BGl_proc5342z00zz__multimediazd2mpczd2, BGl_proc5341z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5340z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(20L)); 
VECTOR_SET(BgL_v1608z00_4523,6L,BgL_arg3961z00_4602); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3968z00_4615;
BgL_arg3968z00_4615 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(28L), BGl_proc5345z00zz__multimediazd2mpczd2, BGl_proc5344z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5343z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(20L)); 
VECTOR_SET(BgL_v1608z00_4523,7L,BgL_arg3968z00_4615); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3975z00_4628;
BgL_arg3975z00_4628 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(29L), BGl_proc5348z00zz__multimediazd2mpczd2, BGl_proc5347z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5346z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(30L)); 
VECTOR_SET(BgL_v1608z00_4523,8L,BgL_arg3975z00_4628); } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_arg3982z00_4641;
BgL_arg3982z00_4641 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(31L), BGl_proc5351z00zz__multimediazd2mpczd2, BGl_proc5350z00zz__multimediazd2mpczd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc5349z00zz__multimediazd2mpczd2, 
CNST_TABLE_REF(32L)); 
VECTOR_SET(BgL_v1608z00_4523,9L,BgL_arg3982z00_4641); } 
BgL_arg3911z00_4495 = BgL_v1608z00_4523; } 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_v1609z00_4654;
BgL_v1609z00_4654 = 
create_vector(0L); 
BgL_arg3912z00_4496 = BgL_v1609z00_4654; } 
return ( 
BGl_mpcz00zz__multimediazd2mpczd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(0L), 
CNST_TABLE_REF(33L), BGl_musicz00zz__multimediazd2musiczd2, 6139L, BGl_proc5354z00zz__multimediazd2mpczd2, BGl_proc5353z00zz__multimediazd2mpczd2, BGl_musiczd2initzd2envz00zz__multimediazd2musiczd2, BGl_proc5352z00zz__multimediazd2mpczd2, BFALSE, BgL_arg3911z00_4495, BgL_arg3912z00_4496), BUNSPEC) ;} } 

}



/* &<@anonymous:3918> */
obj_t BGl_z62zc3z04anonymousza33918ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10208, obj_t BgL_new1066z00_10209)
{
{ /* Llib/mpc.scm 19 */
{ 
 BgL_mpcz00_bglt BgL_auxz00_15841;
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1066z00_10209))))->BgL_onstatez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1066z00_10209))))->BgL_onvolumez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1066z00_10209))))->BgL_onerrorz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1066z00_10209))))->BgL_oneventz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1066z00_10209))))->BgL_z52mutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
{ 
 BgL_musicstatusz00_bglt BgL_auxz00_15858;
{ /* Llib/mpc.scm 19 */
 obj_t BgL_classz00_11665;
BgL_classz00_11665 = BGl_musicstatusz00zz__multimediazd2musiczd2; 
{ /* Llib/mpc.scm 19 */
 obj_t BgL__ortest_1116z00_11666;
BgL__ortest_1116z00_11666 = 
BGL_CLASS_NIL(BgL_classz00_11665); 
if(
CBOOL(BgL__ortest_1116z00_11666))
{ /* Llib/mpc.scm 19 */
BgL_auxz00_15858 = 
((BgL_musicstatusz00_bglt)BgL__ortest_1116z00_11666)
; }  else 
{ /* Llib/mpc.scm 19 */
BgL_auxz00_15858 = 
((BgL_musicstatusz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_11665))
; } } } 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_new1066z00_10209))))->BgL_z52statusz52)=((BgL_musicstatusz00_bglt)BgL_auxz00_15858),BUNSPEC); } 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1066z00_10209)))->BgL_helloz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1066z00_10209)))->BgL_hostz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1066z00_10209)))->BgL_portz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1066z00_10209)))->BgL_timeoutz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1066z00_10209)))->BgL_prefixz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1066z00_10209)))->BgL_z52closedz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1066z00_10209)))->BgL_z52mpdz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1066z00_10209)))->BgL_z52socketz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1066z00_10209)))->BgL_z52playidz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_new1066z00_10209)))->BgL_z52mmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
BgL_auxz00_15841 = 
((BgL_mpcz00_bglt)BgL_new1066z00_10209); 
return 
((obj_t)BgL_auxz00_15841);} } 

}



/* &lambda3916 */
BgL_mpcz00_bglt BGl_z62lambda3916z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10210)
{
{ /* Llib/mpc.scm 19 */
{ /* Llib/mpc.scm 19 */
 BgL_mpcz00_bglt BgL_new1065z00_11667;
BgL_new1065z00_11667 = 
((BgL_mpcz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpcz00_bgl) ))); 
{ /* Llib/mpc.scm 19 */
 long BgL_arg3917z00_11668;
BgL_arg3917z00_11668 = 
BGL_CLASS_NUM(BGl_mpcz00zz__multimediazd2mpczd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_11667), BgL_arg3917z00_11668); } 
return BgL_new1065z00_11667;} } 

}



/* &lambda3913 */
BgL_mpcz00_bglt BGl_z62lambda3913z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10211, obj_t BgL_onstate1049z00_10212, obj_t BgL_onvolume1050z00_10213, obj_t BgL_onerror1051z00_10214, obj_t BgL_onevent1052z00_10215, obj_t BgL_z52mutex1053z52_10216, obj_t BgL_z52status1054z52_10217, obj_t BgL_hello1055z00_10218, obj_t BgL_host1056z00_10219, obj_t BgL_port1057z00_10220, obj_t BgL_timeout1058z00_10221, obj_t BgL_prefix1059z00_10222, obj_t BgL_z52closed1060z52_10223, obj_t BgL_z52mpd1061z52_10224, obj_t BgL_z52socket1062z52_10225, obj_t BgL_z52playid1063z52_10226, obj_t BgL_z52mmutex1064z52_10227)
{
{ /* Llib/mpc.scm 19 */
{ /* Llib/mpc.scm 19 */
 bool_t BgL_z52closed1060z52_11675; int BgL_z52playid1063z52_11676;
BgL_z52closed1060z52_11675 = 
CBOOL(BgL_z52closed1060z52_10223); 
BgL_z52playid1063z52_11676 = 
CINT(BgL_z52playid1063z52_10226); 
{ /* Llib/mpc.scm 19 */
 BgL_mpcz00_bglt BgL_new1602z00_11678;
{ /* Llib/mpc.scm 19 */
 BgL_mpcz00_bglt BgL_new1601z00_11679;
BgL_new1601z00_11679 = 
((BgL_mpcz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpcz00_bgl) ))); 
{ /* Llib/mpc.scm 19 */
 long BgL_arg3915z00_11680;
BgL_arg3915z00_11680 = 
BGL_CLASS_NUM(BGl_mpcz00zz__multimediazd2mpczd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1601z00_11679), BgL_arg3915z00_11680); } 
BgL_new1602z00_11678 = BgL_new1601z00_11679; } 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1602z00_11678)))->BgL_onstatez00)=((obj_t)
((obj_t)BgL_onstate1049z00_10212)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1602z00_11678)))->BgL_onvolumez00)=((obj_t)
((obj_t)BgL_onvolume1050z00_10213)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1602z00_11678)))->BgL_onerrorz00)=((obj_t)
((obj_t)BgL_onerror1051z00_10214)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1602z00_11678)))->BgL_oneventz00)=((obj_t)
((obj_t)BgL_onevent1052z00_10215)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1602z00_11678)))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_z52mutex1053z52_10216)),BUNSPEC); 
((((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_new1602z00_11678)))->BgL_z52statusz52)=((BgL_musicstatusz00_bglt)
((BgL_musicstatusz00_bglt)BgL_z52status1054z52_10217)),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1602z00_11678))->BgL_helloz00)=((obj_t)BgL_hello1055z00_10218),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1602z00_11678))->BgL_hostz00)=((obj_t)BgL_host1056z00_10219),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1602z00_11678))->BgL_portz00)=((obj_t)BgL_port1057z00_10220),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1602z00_11678))->BgL_timeoutz00)=((obj_t)BgL_timeout1058z00_10221),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1602z00_11678))->BgL_prefixz00)=((obj_t)BgL_prefix1059z00_10222),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1602z00_11678))->BgL_z52closedz52)=((bool_t)BgL_z52closed1060z52_11675),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1602z00_11678))->BgL_z52mpdz52)=((obj_t)BgL_z52mpd1061z52_10224),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1602z00_11678))->BgL_z52socketz52)=((obj_t)BgL_z52socket1062z52_10225),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1602z00_11678))->BgL_z52playidz52)=((int)BgL_z52playid1063z52_11676),BUNSPEC); 
((((BgL_mpcz00_bglt)COBJECT(BgL_new1602z00_11678))->BgL_z52mmutexz52)=((obj_t)
((obj_t)BgL_z52mmutex1064z52_10227)),BUNSPEC); 
{ /* Llib/mpc.scm 19 */
 obj_t BgL_fun3914z00_11681;
BgL_fun3914z00_11681 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpcz00zz__multimediazd2mpczd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun3914z00_11681))(BgL_fun3914z00_11681, 
((obj_t)BgL_new1602z00_11678), BEOA); } 
return BgL_new1602z00_11678;} } } 

}



/* &<@anonymous:3988> */
obj_t BGl_z62zc3z04anonymousza33988ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10228)
{
{ /* Llib/mpc.scm 19 */
return 
bgl_make_mutex(BGl_string5355z00zz__multimediazd2mpczd2);} 

}



/* &lambda3987 */
obj_t BGl_z62lambda3987z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10229, obj_t BgL_oz00_10230, obj_t BgL_vz00_10231)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10230)))->BgL_z52mmutexz52)=((obj_t)
((obj_t)BgL_vz00_10231)),BUNSPEC);} 

}



/* &lambda3986 */
obj_t BGl_z62lambda3986z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10232, obj_t BgL_oz00_10233)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10233)))->BgL_z52mmutexz52);} 

}



/* &<@anonymous:3981> */
obj_t BGl_z62zc3z04anonymousza33981ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10234)
{
{ /* Llib/mpc.scm 19 */
return 
BINT(-1L);} 

}



/* &lambda3980 */
obj_t BGl_z62lambda3980z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10235, obj_t BgL_oz00_10236, obj_t BgL_vz00_10237)
{
{ /* Llib/mpc.scm 19 */
{ /* Llib/mpc.scm 19 */
 int BgL_vz00_11686;
BgL_vz00_11686 = 
CINT(BgL_vz00_10237); 
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10236)))->BgL_z52playidz52)=((int)BgL_vz00_11686),BUNSPEC);} } 

}



/* &lambda3979 */
obj_t BGl_z62lambda3979z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10238, obj_t BgL_oz00_10239)
{
{ /* Llib/mpc.scm 19 */
return 
BINT(
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10239)))->BgL_z52playidz52));} 

}



/* &<@anonymous:3974> */
obj_t BGl_z62zc3z04anonymousza33974ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10240)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda3973 */
obj_t BGl_z62lambda3973z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10241, obj_t BgL_oz00_10242, obj_t BgL_vz00_10243)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10242)))->BgL_z52socketz52)=((obj_t)BgL_vz00_10243),BUNSPEC);} 

}



/* &lambda3972 */
obj_t BGl_z62lambda3972z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10244, obj_t BgL_oz00_10245)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10245)))->BgL_z52socketz52);} 

}



/* &<@anonymous:3967> */
obj_t BGl_z62zc3z04anonymousza33967ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10246)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda3966 */
obj_t BGl_z62lambda3966z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10247, obj_t BgL_oz00_10248, obj_t BgL_vz00_10249)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10248)))->BgL_z52mpdz52)=((obj_t)BgL_vz00_10249),BUNSPEC);} 

}



/* &lambda3965 */
obj_t BGl_z62lambda3965z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10250, obj_t BgL_oz00_10251)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10251)))->BgL_z52mpdz52);} 

}



/* &<@anonymous:3960> */
obj_t BGl_z62zc3z04anonymousza33960ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10252)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda3959 */
obj_t BGl_z62lambda3959z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10253, obj_t BgL_oz00_10254, obj_t BgL_vz00_10255)
{
{ /* Llib/mpc.scm 19 */
{ /* Llib/mpc.scm 19 */
 bool_t BgL_vz00_11693;
BgL_vz00_11693 = 
CBOOL(BgL_vz00_10255); 
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10254)))->BgL_z52closedz52)=((bool_t)BgL_vz00_11693),BUNSPEC);} } 

}



/* &lambda3958 */
obj_t BGl_z62lambda3958z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10256, obj_t BgL_oz00_10257)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10257)))->BgL_z52closedz52));} 

}



/* &<@anonymous:3953> */
obj_t BGl_z62zc3z04anonymousza33953ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10258)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda3952 */
obj_t BGl_z62lambda3952z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10259, obj_t BgL_oz00_10260, obj_t BgL_vz00_10261)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10260)))->BgL_prefixz00)=((obj_t)BgL_vz00_10261),BUNSPEC);} 

}



/* &lambda3951 */
obj_t BGl_z62lambda3951z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10262, obj_t BgL_oz00_10263)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10263)))->BgL_prefixz00);} 

}



/* &<@anonymous:3946> */
obj_t BGl_z62zc3z04anonymousza33946ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10264)
{
{ /* Llib/mpc.scm 19 */
return 
BINT(1000893L);} 

}



/* &lambda3945 */
obj_t BGl_z62lambda3945z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10265, obj_t BgL_oz00_10266, obj_t BgL_vz00_10267)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10266)))->BgL_timeoutz00)=((obj_t)BgL_vz00_10267),BUNSPEC);} 

}



/* &lambda3944 */
obj_t BGl_z62lambda3944z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10268, obj_t BgL_oz00_10269)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10269)))->BgL_timeoutz00);} 

}



/* &<@anonymous:3939> */
obj_t BGl_z62zc3z04anonymousza33939ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10270)
{
{ /* Llib/mpc.scm 19 */
return 
BINT(6600L);} 

}



/* &lambda3938 */
obj_t BGl_z62lambda3938z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10271, obj_t BgL_oz00_10272, obj_t BgL_vz00_10273)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10272)))->BgL_portz00)=((obj_t)BgL_vz00_10273),BUNSPEC);} 

}



/* &lambda3937 */
obj_t BGl_z62lambda3937z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10274, obj_t BgL_oz00_10275)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10275)))->BgL_portz00);} 

}



/* &<@anonymous:3932> */
obj_t BGl_z62zc3z04anonymousza33932ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10276)
{
{ /* Llib/mpc.scm 19 */
return BGl_string5356z00zz__multimediazd2mpczd2;} 

}



/* &lambda3931 */
obj_t BGl_z62lambda3931z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10277, obj_t BgL_oz00_10278, obj_t BgL_vz00_10279)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10278)))->BgL_hostz00)=((obj_t)BgL_vz00_10279),BUNSPEC);} 

}



/* &lambda3930 */
obj_t BGl_z62lambda3930z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10280, obj_t BgL_oz00_10281)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10281)))->BgL_hostz00);} 

}



/* &<@anonymous:3925> */
obj_t BGl_z62zc3z04anonymousza33925ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10282)
{
{ /* Llib/mpc.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda3924 */
obj_t BGl_z62lambda3924z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10283, obj_t BgL_oz00_10284, obj_t BgL_vz00_10285)
{
{ /* Llib/mpc.scm 19 */
return 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10284)))->BgL_helloz00)=((obj_t)BgL_vz00_10285),BUNSPEC);} 

}



/* &lambda3923 */
obj_t BGl_z62lambda3923z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10286, obj_t BgL_oz00_10287)
{
{ /* Llib/mpc.scm 19 */
return 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_oz00_10287)))->BgL_helloz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2mpczd2(void)
{
{ /* Llib/mpc.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2mpczd2(void)
{
{ /* Llib/mpc.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2resetzd2errorz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5357z00zz__multimediazd2mpczd2, BGl_string5358z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5359z00zz__multimediazd2mpczd2, BGl_string5360z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2closedzf3zd2envzf3zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5361z00zz__multimediazd2mpczd2, BGl_string5362z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2resetz12zd2envz12zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5363z00zz__multimediazd2mpczd2, BGl_string5364z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2getzd2envzd2zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5365z00zz__multimediazd2mpczd2, BGl_string5366z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2addz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5367z00zz__multimediazd2mpczd2, BGl_string5368z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2deletez12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5369z00zz__multimediazd2mpczd2, BGl_string5370z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playlistzd2clearz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5371z00zz__multimediazd2mpczd2, BGl_string5372z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2statuszd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5373z00zz__multimediazd2mpczd2, BGl_string5374z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2songzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5375z00zz__multimediazd2mpczd2, BGl_string5376z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2songposzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5377z00zz__multimediazd2mpczd2, BGl_string5378z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2metazd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5379z00zz__multimediazd2mpczd2, BGl_string5380z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2playzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5381z00zz__multimediazd2mpczd2, BGl_string5382z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2seekzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5383z00zz__multimediazd2mpczd2, BGl_string5384z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2stopzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5385z00zz__multimediazd2mpczd2, BGl_string5386z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2pausezd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5387z00zz__multimediazd2mpczd2, BGl_string5388z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2nextzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5389z00zz__multimediazd2mpczd2, BGl_string5390z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2prevzd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5391z00zz__multimediazd2mpczd2, BGl_string5392z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2crossfadezd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5393z00zz__multimediazd2mpczd2, BGl_string5394z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2randomzd2setz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5395z00zz__multimediazd2mpczd2, BGl_string5396z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2repeatzd2setz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5397z00zz__multimediazd2mpczd2, BGl_string5398z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2volumezd2getzd2envzd2zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5399z00zz__multimediazd2mpczd2, BGl_string5400z00zz__multimediazd2mpczd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2volumezd2setz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5401z00zz__multimediazd2mpczd2, BGl_string5402z00zz__multimediazd2mpczd2); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musiczd2canzd2playzd2typezf3zd2envzf3zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2, BGl_proc5403z00zz__multimediazd2mpczd2, BGl_string5404z00zz__multimediazd2mpczd2);} 

}



/* &music-can-play-type?1657 */
obj_t BGl_z62musiczd2canzd2playzd2typezf31657z43zz__multimediazd2mpczd2(obj_t BgL_envz00_10345, obj_t BgL_mpcz00_10346, obj_t BgL_mimetypez00_10347)
{
{ /* Llib/mpc.scm 945 */
{ /* Llib/mpc.scm 948 */
 obj_t BgL_decoderzd2parserzd2_11707;
{ /* Llib/mpc.scm 948 */
 int BgL_tmpz00_16015;
BgL_tmpz00_16015 = 
(int)(1L); 
BgL_decoderzd2parserzd2_11707 = 
MAKE_L_PROCEDURE(BGl_z62decoderzd2parserzb0zz__multimediazd2mpczd2, BgL_tmpz00_16015); } 
PROCEDURE_L_SET(BgL_decoderzd2parserzd2_11707, 
(int)(0L), 
((obj_t)BgL_mimetypez00_10347)); 
{ /* Llib/mpc.scm 959 */
 obj_t BgL_arg5191z00_11708;
BgL_arg5191z00_11708 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10346))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 961 */
 obj_t BgL_zc3z04anonymousza35193ze3z87_11709;
BgL_zc3z04anonymousza35193ze3z87_11709 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35193ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza35193ze3z87_11709, 
(int)(0L), 
((obj_t)BgL_mimetypez00_10347)); 
PROCEDURE_SET(BgL_zc3z04anonymousza35193ze3z87_11709, 
(int)(1L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10346))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35193ze3z87_11709, 
(int)(2L), BgL_decoderzd2parserzd2_11707); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5191z00_11708, 
(int)(1000L), BgL_zc3z04anonymousza35193ze3z87_11709);} } } } 

}



/* &<@anonymous:5193> */
obj_t BGl_z62zc3z04anonymousza35193ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10348)
{
{ /* Llib/mpc.scm 960 */
{ /* Llib/mpc.scm 961 */
 BgL_mpcz00_bglt BgL_mpcz00_10350; obj_t BgL_decoderzd2parserzd2_10351;
BgL_mpcz00_10350 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10348, 
(int)(1L))); 
BgL_decoderzd2parserzd2_10351 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10348, 
(int)(2L))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10350, BGl_string5405z00zz__multimediazd2mpczd2, BgL_decoderzd2parserzd2_10351);} } 

}



/* &decoder-parser */
obj_t BGl_z62decoderzd2parserzb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10352, BgL_mpcz00_bglt BgL_mpcz00_10354)
{
{ /* Llib/mpc.scm 956 */
{ /* Llib/mpc.scm 948 */
 obj_t BgL_mimetypez00_10353;
BgL_mimetypez00_10353 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_10352, 
(int)(0L))); 
{ /* Llib/mpc.scm 948 */
 bool_t BgL_tmpz00_16048;
{ /* Llib/mpc.scm 949 */
 obj_t BgL_piz00_11711; obj_t BgL_matchlinez00_11712;
{ /* Llib/mpc.scm 949 */
 obj_t BgL_arg5199z00_11713;
BgL_arg5199z00_11713 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10354))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 949 */
 obj_t BgL_tmpz00_16050;
BgL_tmpz00_16050 = 
((obj_t)BgL_arg5199z00_11713); 
BgL_piz00_11711 = 
SOCKET_INPUT(BgL_tmpz00_16050); } } 
BgL_matchlinez00_11712 = 
string_append(BGl_string5406z00zz__multimediazd2mpczd2, BgL_mimetypez00_10353); 
{ 
 bool_t BgL_rz00_11715;
BgL_rz00_11715 = ((bool_t)0); 
BgL_loopz00_11714:
{ /* Llib/mpc.scm 952 */
 obj_t BgL_lz00_11716;
BgL_lz00_11716 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_piz00_11711); 
{ /* Llib/mpc.scm 954 */
 bool_t BgL_test6226z00_16055;
if(
EOF_OBJECTP(BgL_lz00_11716))
{ /* Llib/mpc.scm 954 */
BgL_test6226z00_16055 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 954 */
 long BgL_l1z00_11717;
BgL_l1z00_11717 = 
STRING_LENGTH(
((obj_t)BgL_lz00_11716)); 
if(
(BgL_l1z00_11717==2L))
{ /* Llib/mpc.scm 954 */
 int BgL_arg1298z00_11718;
{ /* Llib/mpc.scm 954 */
 char * BgL_auxz00_16065; char * BgL_tmpz00_16062;
BgL_auxz00_16065 = 
BSTRING_TO_STRING(BGl_string5315z00zz__multimediazd2mpczd2); 
BgL_tmpz00_16062 = 
BSTRING_TO_STRING(
((obj_t)BgL_lz00_11716)); 
BgL_arg1298z00_11718 = 
memcmp(BgL_tmpz00_16062, BgL_auxz00_16065, BgL_l1z00_11717); } 
BgL_test6226z00_16055 = 
(
(long)(BgL_arg1298z00_11718)==0L); }  else 
{ /* Llib/mpc.scm 954 */
BgL_test6226z00_16055 = ((bool_t)0)
; } } 
if(BgL_test6226z00_16055)
{ /* Llib/mpc.scm 954 */
BgL_tmpz00_16048 = BgL_rz00_11715
; }  else 
{ /* Llib/mpc.scm 955 */
 bool_t BgL_test6229z00_16070;
{ /* Llib/mpc.scm 955 */
 long BgL_l1z00_11719;
BgL_l1z00_11719 = 
STRING_LENGTH(
((obj_t)BgL_lz00_11716)); 
if(
(BgL_l1z00_11719==
STRING_LENGTH(BgL_matchlinez00_11712)))
{ /* Llib/mpc.scm 955 */
 int BgL_arg1298z00_11720;
{ /* Llib/mpc.scm 955 */
 char * BgL_auxz00_16079; char * BgL_tmpz00_16076;
BgL_auxz00_16079 = 
BSTRING_TO_STRING(BgL_matchlinez00_11712); 
BgL_tmpz00_16076 = 
BSTRING_TO_STRING(
((obj_t)BgL_lz00_11716)); 
BgL_arg1298z00_11720 = 
memcmp(BgL_tmpz00_16076, BgL_auxz00_16079, BgL_l1z00_11719); } 
BgL_test6229z00_16070 = 
(
(long)(BgL_arg1298z00_11720)==0L); }  else 
{ /* Llib/mpc.scm 955 */
BgL_test6229z00_16070 = ((bool_t)0)
; } } 
if(BgL_test6229z00_16070)
{ 
 bool_t BgL_rz00_16084;
BgL_rz00_16084 = ((bool_t)1); 
BgL_rz00_11715 = BgL_rz00_16084; 
goto BgL_loopz00_11714;}  else 
{ 

goto BgL_loopz00_11714;} } } } } } 
return 
BBOOL(BgL_tmpz00_16048);} } } 

}



/* &music-volume-set!-mp1655 */
obj_t BGl_z62musiczd2volumezd2setz12zd2mp1655za2zz__multimediazd2mpczd2(obj_t BgL_envz00_10355, obj_t BgL_mpcz00_10356, obj_t BgL_volz00_10357)
{
{ /* Llib/mpc.scm 935 */
{ /* Llib/mpc.scm 937 */
 obj_t BgL_arg5187z00_11722;
BgL_arg5187z00_11722 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10356))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 939 */
 obj_t BgL_zc3z04anonymousza35189ze3z87_11723;
BgL_zc3z04anonymousza35189ze3z87_11723 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35189ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza35189ze3z87_11723, 
(int)(0L), BgL_volz00_10357); 
PROCEDURE_SET(BgL_zc3z04anonymousza35189ze3z87_11723, 
(int)(1L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10356))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5187z00_11722, 
(int)(1000L), BgL_zc3z04anonymousza35189ze3z87_11723);} } } 

}



/* &<@anonymous:5189> */
obj_t BGl_z62zc3z04anonymousza35189ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10358)
{
{ /* Llib/mpc.scm 938 */
{ /* Llib/mpc.scm 939 */
 obj_t BgL_volz00_10359; BgL_mpcz00_bglt BgL_mpcz00_10360;
BgL_volz00_10359 = 
PROCEDURE_REF(BgL_envz00_10358, 
(int)(0L)); 
BgL_mpcz00_10360 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10358, 
(int)(1L))); 
{ /* Llib/mpc.scm 939 */
 obj_t BgL_cmdz00_11724;
{ /* Llib/mpc.scm 939 */
 obj_t BgL_arg5190z00_11725;
{ /* Llib/mpc.scm 939 */

BgL_arg5190z00_11725 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_volz00_10359), 10L); } 
BgL_cmdz00_11724 = 
string_append(BGl_string5407z00zz__multimediazd2mpczd2, BgL_arg5190z00_11725); } 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10360, BgL_cmdz00_11724, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } } 

}



/* &music-volume-get-mpc1653 */
obj_t BGl_z62musiczd2volumezd2getzd2mpc1653zb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10361, obj_t BgL_mpcz00_10362)
{
{ /* Llib/mpc.scm 889 */
{ /* Llib/mpc.scm 924 */
 obj_t BgL_arg5009z00_11728;
BgL_arg5009z00_11728 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10362))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_zc3z04anonymousza35011ze3z87_11729;
BgL_zc3z04anonymousza35011ze3z87_11729 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35011ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza35011ze3z87_11729, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10362))); 
PROCEDURE_SET(BgL_zc3z04anonymousza35011ze3z87_11729, 
(int)(1L), BGl_proc5408z00zz__multimediazd2mpczd2); 
PROCEDURE_SET(BgL_zc3z04anonymousza35011ze3z87_11729, 
(int)(2L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10362))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5009z00_11728, 
(int)(1000L), BgL_zc3z04anonymousza35011ze3z87_11729);} } } 

}



/* &<@anonymous:5011> */
obj_t BGl_z62zc3z04anonymousza35011ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10363)
{
{ /* Llib/mpc.scm 925 */
{ /* Llib/mpc.scm 926 */
 BgL_mpcz00_bglt BgL_mpcz00_10364; obj_t BgL_getzd2volumezd2parserz00_10365; BgL_mpcz00_bglt BgL_i1580z00_10366;
BgL_mpcz00_10364 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10363, 
(int)(0L))); 
BgL_getzd2volumezd2parserz00_10365 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10363, 
(int)(1L))); 
BgL_i1580z00_10366 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10363, 
(int)(2L))); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_env1589z00_11730;
BgL_env1589z00_11730 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_cell1584z00_11731;
BgL_cell1584z00_11731 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_val1588z00_11732;
BgL_val1588z00_11732 = 
BGl_zc3z04exitza35013ze3ze70z60zz__multimediazd2mpczd2(BgL_getzd2volumezd2parserz00_10365, BgL_mpcz00_10364, BgL_cell1584z00_11731, BgL_env1589z00_11730); 
if(
(BgL_val1588z00_11732==BgL_cell1584z00_11731))
{ /* Llib/mpc.scm 926 */
{ /* Llib/mpc.scm 926 */
 int BgL_tmpz00_16141;
BgL_tmpz00_16141 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_16141); } 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_arg5012z00_11733;
BgL_arg5012z00_11733 = 
CELL_REF(
((obj_t)BgL_val1588z00_11732)); 
{ /* Llib/mpc.scm 928 */
 BgL_musicstatusz00_bglt BgL_arg5016z00_11734;
BgL_arg5016z00_11734 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1580z00_10366)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10364, BgL_arg5016z00_11734, BgL_arg5012z00_11733); } 
return 
BINT(0L);} }  else 
{ /* Llib/mpc.scm 926 */
return BgL_val1588z00_11732;} } } } } } 

}



/* <@exit:5013>~0 */
obj_t BGl_zc3z04exitza35013ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_getzd2volumezd2parserz00_10575, BgL_mpcz00_bglt BgL_mpcz00_10574, obj_t BgL_cell1584z00_10573, obj_t BgL_env1589z00_10572)
{
{ /* Llib/mpc.scm 926 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1593z00_6885;
if( SET_EXIT(BgL_an_exit1593z00_6885 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1593z00_6885 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1589z00_10572, BgL_an_exit1593z00_6885, 1L); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_escape1585z00_6886;
BgL_escape1585z00_6886 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1589z00_10572); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_res1596z00_6887;
{ /* Llib/mpc.scm 926 */
 obj_t BgL_ohs1581z00_6888;
BgL_ohs1581z00_6888 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1589z00_10572); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_hds1582z00_6889;
BgL_hds1582z00_6889 = 
MAKE_STACK_PAIR(BgL_escape1585z00_6886, BgL_cell1584z00_10573); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1589z00_10572, BgL_hds1582z00_6889); BUNSPEC; 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_exitd1590z00_6890;
BgL_exitd1590z00_6890 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1589z00_10572); 
{ /* Llib/mpc.scm 926 */
 obj_t BgL_tmp1592z00_6891;
{ /* Llib/mpc.scm 926 */
 obj_t BgL_arg5014z00_6893;
BgL_arg5014z00_6893 = 
BGL_EXITD_PROTECT(BgL_exitd1590z00_6890); 
BgL_tmp1592z00_6891 = 
MAKE_YOUNG_PAIR(BgL_ohs1581z00_6888, BgL_arg5014z00_6893); } 
{ /* Llib/mpc.scm 926 */

BGL_EXITD_PROTECT_SET(BgL_exitd1590z00_6890, BgL_tmp1592z00_6891); BUNSPEC; 
{ /* Llib/mpc.scm 930 */
 obj_t BgL_tmp1591z00_6892;
BgL_tmp1591z00_6892 = 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10574, BGl_string5316z00zz__multimediazd2mpczd2, BgL_getzd2volumezd2parserz00_10575); 
{ /* Llib/mpc.scm 926 */
 bool_t BgL_test6232z00_16162;
{ /* Llib/mpc.scm 926 */
 obj_t BgL_arg1796z00_10122;
BgL_arg1796z00_10122 = 
BGL_EXITD_PROTECT(BgL_exitd1590z00_6890); 
BgL_test6232z00_16162 = 
PAIRP(BgL_arg1796z00_10122); } 
if(BgL_test6232z00_16162)
{ /* Llib/mpc.scm 926 */
 obj_t BgL_arg1794z00_10123;
{ /* Llib/mpc.scm 926 */
 obj_t BgL_arg1795z00_10124;
BgL_arg1795z00_10124 = 
BGL_EXITD_PROTECT(BgL_exitd1590z00_6890); 
BgL_arg1794z00_10123 = 
CDR(
((obj_t)BgL_arg1795z00_10124)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1590z00_6890, BgL_arg1794z00_10123); BUNSPEC; }  else 
{ /* Llib/mpc.scm 926 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1589z00_10572, BgL_ohs1581z00_6888); BUNSPEC; 
BgL_res1596z00_6887 = BgL_tmp1591z00_6892; } } } } } } 
POP_ENV_EXIT(BgL_env1589z00_10572); 
return BgL_res1596z00_6887;} } 
}} 

}



/* &get-volume-parser */
obj_t BGl_z62getzd2volumezd2parserz62zz__multimediazd2mpczd2(obj_t BgL_envz00_10367, BgL_mpcz00_bglt BgL_mpcz00_10368)
{
{ /* Llib/mpc.scm 921 */
{ 
 obj_t BgL_iportz00_11737;
{ /* Llib/mpc.scm 912 */
 obj_t BgL_ipz00_11807;
{ /* Llib/mpc.scm 912 */
 obj_t BgL_arg5020z00_11808;
BgL_arg5020z00_11808 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10368))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 912 */
 obj_t BgL_tmpz00_16172;
BgL_tmpz00_16172 = 
((obj_t)BgL_arg5020z00_11808); 
BgL_ipz00_11807 = 
SOCKET_INPUT(BgL_tmpz00_16172); } } 
{ 
 obj_t BgL_tmz00_11810;
BgL_tmz00_11810 = 
BINT(0L); 
BgL_loopz00_11809:
{ /* Llib/mpc.scm 914 */
 obj_t BgL_lz00_11811;
BgL_iportz00_11737 = BgL_ipz00_11807; 
{ 
 obj_t BgL_iportz00_11797; long BgL_lastzd2matchzd2_11798; long BgL_forwardz00_11799; long BgL_bufposz00_11800; obj_t BgL_iportz00_11787; long BgL_lastzd2matchzd2_11788; long BgL_forwardz00_11789; long BgL_bufposz00_11790; obj_t BgL_iportz00_11776; long BgL_lastzd2matchzd2_11777; long BgL_forwardz00_11778; long BgL_bufposz00_11779; obj_t BgL_iportz00_11767; long BgL_lastzd2matchzd2_11768; long BgL_forwardz00_11769; long BgL_bufposz00_11770; obj_t BgL_iportz00_11758; long BgL_lastzd2matchzd2_11759; long BgL_forwardz00_11760; long BgL_bufposz00_11761;
BgL_ignorez00_11738:
RGC_START_MATCH(BgL_iportz00_11737); 
{ /* Llib/mpc.scm 892 */
 long BgL_matchz00_11745;
{ /* Llib/mpc.scm 892 */
 long BgL_arg5185z00_11746; long BgL_arg5186z00_11747;
BgL_arg5185z00_11746 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11737); 
BgL_arg5186z00_11747 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11737); 
BgL_iportz00_11767 = BgL_iportz00_11737; 
BgL_lastzd2matchzd2_11768 = 2L; 
BgL_forwardz00_11769 = BgL_arg5185z00_11746; 
BgL_bufposz00_11770 = BgL_arg5186z00_11747; 
BgL_statezd20zd21561z00_11741:
if(
(BgL_forwardz00_11769==BgL_bufposz00_11770))
{ /* Llib/mpc.scm 892 */
if(
rgc_fill_buffer(BgL_iportz00_11767))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5066z00_11771; long BgL_arg5067z00_11772;
BgL_arg5066z00_11771 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11767); 
BgL_arg5067z00_11772 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11767); 
{ 
 long BgL_bufposz00_16185; long BgL_forwardz00_16184;
BgL_forwardz00_16184 = BgL_arg5066z00_11771; 
BgL_bufposz00_16185 = BgL_arg5067z00_11772; 
BgL_bufposz00_11770 = BgL_bufposz00_16185; 
BgL_forwardz00_11769 = BgL_forwardz00_16184; 
goto BgL_statezd20zd21561z00_11741;} }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11745 = BgL_lastzd2matchzd2_11768; } }  else 
{ /* Llib/mpc.scm 892 */
 int BgL_curz00_11773;
BgL_curz00_11773 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11767, BgL_forwardz00_11769); 
{ /* Llib/mpc.scm 892 */

if(
(
(long)(BgL_curz00_11773)==79L))
{ /* Llib/mpc.scm 892 */
BgL_iportz00_11787 = BgL_iportz00_11767; 
BgL_lastzd2matchzd2_11788 = BgL_lastzd2matchzd2_11768; 
BgL_forwardz00_11789 = 
(1L+BgL_forwardz00_11769); 
BgL_bufposz00_11790 = BgL_bufposz00_11770; 
BgL_statezd23zd21564z00_11743:
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11791;
RGC_STOP_MATCH(BgL_iportz00_11787, BgL_forwardz00_11789); 
BgL_newzd2matchzd2_11791 = 2L; 
if(
(BgL_forwardz00_11789==BgL_bufposz00_11790))
{ /* Llib/mpc.scm 892 */
if(
rgc_fill_buffer(BgL_iportz00_11787))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5036z00_11792; long BgL_arg5037z00_11793;
BgL_arg5036z00_11792 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11787); 
BgL_arg5037z00_11793 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11787); 
{ 
 long BgL_bufposz00_16198; long BgL_forwardz00_16197;
BgL_forwardz00_16197 = BgL_arg5036z00_11792; 
BgL_bufposz00_16198 = BgL_arg5037z00_11793; 
BgL_bufposz00_11790 = BgL_bufposz00_16198; 
BgL_forwardz00_11789 = BgL_forwardz00_16197; 
goto BgL_statezd23zd21564z00_11743;} }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11745 = BgL_newzd2matchzd2_11791; } }  else 
{ /* Llib/mpc.scm 892 */
 int BgL_curz00_11794;
BgL_curz00_11794 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11787, BgL_forwardz00_11789); 
{ /* Llib/mpc.scm 892 */

if(
(
(long)(BgL_curz00_11794)==75L))
{ /* Llib/mpc.scm 892 */
BgL_iportz00_11776 = BgL_iportz00_11787; 
BgL_lastzd2matchzd2_11777 = BgL_newzd2matchzd2_11791; 
BgL_forwardz00_11778 = 
(1L+BgL_forwardz00_11789); 
BgL_bufposz00_11779 = BgL_bufposz00_11790; 
BgL_statezd26zd21567z00_11742:
if(
(BgL_forwardz00_11778==BgL_bufposz00_11779))
{ /* Llib/mpc.scm 892 */
if(
rgc_fill_buffer(BgL_iportz00_11776))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5051z00_11780; long BgL_arg5052z00_11781;
BgL_arg5051z00_11780 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11776); 
BgL_arg5052z00_11781 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11776); 
{ 
 long BgL_bufposz00_16210; long BgL_forwardz00_16209;
BgL_forwardz00_16209 = BgL_arg5051z00_11780; 
BgL_bufposz00_16210 = BgL_arg5052z00_11781; 
BgL_bufposz00_11779 = BgL_bufposz00_16210; 
BgL_forwardz00_11778 = BgL_forwardz00_16209; 
goto BgL_statezd26zd21567z00_11742;} }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11745 = BgL_lastzd2matchzd2_11777; } }  else 
{ /* Llib/mpc.scm 892 */
 int BgL_curz00_11782;
BgL_curz00_11782 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11776, BgL_forwardz00_11778); 
{ /* Llib/mpc.scm 892 */

{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6241z00_16212;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6242z00_16213;
if(
(
(long)(BgL_curz00_11782)>=65L))
{ /* Llib/mpc.scm 892 */
BgL_test6242z00_16213 = 
(
(long)(BgL_curz00_11782)<91L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6242z00_16213 = ((bool_t)0)
; } 
if(BgL_test6242z00_16213)
{ /* Llib/mpc.scm 892 */
BgL_test6241z00_16212 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11782)>=97L))
{ /* Llib/mpc.scm 892 */
BgL_test6241z00_16212 = 
(
(long)(BgL_curz00_11782)<123L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6241z00_16212 = ((bool_t)0)
; } } } 
if(BgL_test6241z00_16212)
{ /* Llib/mpc.scm 892 */
BgL_iportz00_11758 = BgL_iportz00_11776; 
BgL_lastzd2matchzd2_11759 = BgL_lastzd2matchzd2_11777; 
BgL_forwardz00_11760 = 
(1L+BgL_forwardz00_11778); 
BgL_bufposz00_11761 = BgL_bufposz00_11779; 
BgL_statezd25zd21566z00_11740:
if(
(BgL_forwardz00_11760==BgL_bufposz00_11761))
{ /* Llib/mpc.scm 892 */
if(
rgc_fill_buffer(BgL_iportz00_11758))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5080z00_11762; long BgL_arg5081z00_11763;
BgL_arg5080z00_11762 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11758); 
BgL_arg5081z00_11763 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11758); 
{ 
 long BgL_bufposz00_16231; long BgL_forwardz00_16230;
BgL_forwardz00_16230 = BgL_arg5080z00_11762; 
BgL_bufposz00_16231 = BgL_arg5081z00_11763; 
BgL_bufposz00_11761 = BgL_bufposz00_16231; 
BgL_forwardz00_11760 = BgL_forwardz00_16230; 
goto BgL_statezd25zd21566z00_11740;} }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11745 = BgL_lastzd2matchzd2_11759; } }  else 
{ /* Llib/mpc.scm 892 */
 int BgL_curz00_11764;
BgL_curz00_11764 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11758, BgL_forwardz00_11760); 
{ /* Llib/mpc.scm 892 */

{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6247z00_16233;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6248z00_16234;
if(
(
(long)(BgL_curz00_11764)>=65L))
{ /* Llib/mpc.scm 892 */
BgL_test6248z00_16234 = 
(
(long)(BgL_curz00_11764)<91L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6248z00_16234 = ((bool_t)0)
; } 
if(BgL_test6248z00_16234)
{ /* Llib/mpc.scm 892 */
BgL_test6247z00_16233 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11764)>=97L))
{ /* Llib/mpc.scm 892 */
BgL_test6247z00_16233 = 
(
(long)(BgL_curz00_11764)<123L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6247z00_16233 = ((bool_t)0)
; } } } 
if(BgL_test6247z00_16233)
{ 
 long BgL_forwardz00_16245;
BgL_forwardz00_16245 = 
(1L+BgL_forwardz00_11760); 
BgL_forwardz00_11760 = BgL_forwardz00_16245; 
goto BgL_statezd25zd21566z00_11740;}  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11764)==58L))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5087z00_11765;
BgL_arg5087z00_11765 = 
(1L+BgL_forwardz00_11760); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11766;
RGC_STOP_MATCH(BgL_iportz00_11758, BgL_arg5087z00_11765); 
BgL_newzd2matchzd2_11766 = 0L; 
BgL_matchz00_11745 = BgL_newzd2matchzd2_11766; } }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11745 = BgL_lastzd2matchzd2_11759; } } } } } }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11782)==58L))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5058z00_11783;
BgL_arg5058z00_11783 = 
(1L+BgL_forwardz00_11778); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11784;
RGC_STOP_MATCH(BgL_iportz00_11776, BgL_arg5058z00_11783); 
BgL_newzd2matchzd2_11784 = 0L; 
BgL_matchz00_11745 = BgL_newzd2matchzd2_11784; } }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11782)==10L))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5060z00_11785;
BgL_arg5060z00_11785 = 
(1L+BgL_forwardz00_11778); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11786;
RGC_STOP_MATCH(BgL_iportz00_11776, BgL_arg5060z00_11785); 
BgL_newzd2matchzd2_11786 = 1L; 
BgL_matchz00_11745 = BgL_newzd2matchzd2_11786; } }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11745 = BgL_lastzd2matchzd2_11777; } } } } } } }  else 
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6254z00_16264;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6255z00_16265;
if(
(
(long)(BgL_curz00_11794)>=65L))
{ /* Llib/mpc.scm 892 */
BgL_test6255z00_16265 = 
(
(long)(BgL_curz00_11794)<75L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6255z00_16265 = ((bool_t)0)
; } 
if(BgL_test6255z00_16265)
{ /* Llib/mpc.scm 892 */
BgL_test6254z00_16264 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6257z00_16271;
if(
(
(long)(BgL_curz00_11794)>=76L))
{ /* Llib/mpc.scm 892 */
BgL_test6257z00_16271 = 
(
(long)(BgL_curz00_11794)<91L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6257z00_16271 = ((bool_t)0)
; } 
if(BgL_test6257z00_16271)
{ /* Llib/mpc.scm 892 */
BgL_test6254z00_16264 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11794)>=97L))
{ /* Llib/mpc.scm 892 */
BgL_test6254z00_16264 = 
(
(long)(BgL_curz00_11794)<123L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6254z00_16264 = ((bool_t)0)
; } } } } 
if(BgL_test6254z00_16264)
{ 
 long BgL_bufposz00_16286; long BgL_forwardz00_16284; long BgL_lastzd2matchzd2_16283; obj_t BgL_iportz00_16282;
BgL_iportz00_16282 = BgL_iportz00_11787; 
BgL_lastzd2matchzd2_16283 = BgL_newzd2matchzd2_11791; 
BgL_forwardz00_16284 = 
(1L+BgL_forwardz00_11789); 
BgL_bufposz00_16286 = BgL_bufposz00_11790; 
BgL_bufposz00_11761 = BgL_bufposz00_16286; 
BgL_forwardz00_11760 = BgL_forwardz00_16284; 
BgL_lastzd2matchzd2_11759 = BgL_lastzd2matchzd2_16283; 
BgL_iportz00_11758 = BgL_iportz00_16282; 
goto BgL_statezd25zd21566z00_11740;}  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11794)==58L))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5047z00_11795;
BgL_arg5047z00_11795 = 
(1L+BgL_forwardz00_11789); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11796;
RGC_STOP_MATCH(BgL_iportz00_11787, BgL_arg5047z00_11795); 
BgL_newzd2matchzd2_11796 = 0L; 
BgL_matchz00_11745 = BgL_newzd2matchzd2_11796; } }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11745 = BgL_newzd2matchzd2_11791; } } } } } } }  else 
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6261z00_16293;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6262z00_16294;
if(
(
(long)(BgL_curz00_11773)>=65L))
{ /* Llib/mpc.scm 892 */
BgL_test6262z00_16294 = 
(
(long)(BgL_curz00_11773)<79L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6262z00_16294 = ((bool_t)0)
; } 
if(BgL_test6262z00_16294)
{ /* Llib/mpc.scm 892 */
BgL_test6261z00_16293 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6264z00_16300;
if(
(
(long)(BgL_curz00_11773)>=80L))
{ /* Llib/mpc.scm 892 */
BgL_test6264z00_16300 = 
(
(long)(BgL_curz00_11773)<91L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6264z00_16300 = ((bool_t)0)
; } 
if(BgL_test6264z00_16300)
{ /* Llib/mpc.scm 892 */
BgL_test6261z00_16293 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11773)>=97L))
{ /* Llib/mpc.scm 892 */
BgL_test6261z00_16293 = 
(
(long)(BgL_curz00_11773)<123L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6261z00_16293 = ((bool_t)0)
; } } } } 
if(BgL_test6261z00_16293)
{ /* Llib/mpc.scm 892 */
BgL_iportz00_11797 = BgL_iportz00_11767; 
BgL_lastzd2matchzd2_11798 = BgL_lastzd2matchzd2_11768; 
BgL_forwardz00_11799 = 
(1L+BgL_forwardz00_11769); 
BgL_bufposz00_11800 = BgL_bufposz00_11770; 
BgL_statezd22zd21563z00_11744:
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11801;
RGC_STOP_MATCH(BgL_iportz00_11797, BgL_forwardz00_11799); 
BgL_newzd2matchzd2_11801 = 2L; 
if(
(BgL_forwardz00_11799==BgL_bufposz00_11800))
{ /* Llib/mpc.scm 892 */
if(
rgc_fill_buffer(BgL_iportz00_11797))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5025z00_11802; long BgL_arg5026z00_11803;
BgL_arg5025z00_11802 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11797); 
BgL_arg5026z00_11803 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11797); 
{ 
 long BgL_bufposz00_16319; long BgL_forwardz00_16318;
BgL_forwardz00_16318 = BgL_arg5025z00_11802; 
BgL_bufposz00_16319 = BgL_arg5026z00_11803; 
BgL_bufposz00_11800 = BgL_bufposz00_16319; 
BgL_forwardz00_11799 = BgL_forwardz00_16318; 
goto BgL_statezd22zd21563z00_11744;} }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11745 = BgL_newzd2matchzd2_11801; } }  else 
{ /* Llib/mpc.scm 892 */
 int BgL_curz00_11804;
BgL_curz00_11804 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11797, BgL_forwardz00_11799); 
{ /* Llib/mpc.scm 892 */

{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6269z00_16321;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6270z00_16322;
if(
(
(long)(BgL_curz00_11804)>=65L))
{ /* Llib/mpc.scm 892 */
BgL_test6270z00_16322 = 
(
(long)(BgL_curz00_11804)<91L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6270z00_16322 = ((bool_t)0)
; } 
if(BgL_test6270z00_16322)
{ /* Llib/mpc.scm 892 */
BgL_test6269z00_16321 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11804)>=97L))
{ /* Llib/mpc.scm 892 */
BgL_test6269z00_16321 = 
(
(long)(BgL_curz00_11804)<123L)
; }  else 
{ /* Llib/mpc.scm 892 */
BgL_test6269z00_16321 = ((bool_t)0)
; } } } 
if(BgL_test6269z00_16321)
{ 
 long BgL_bufposz00_16337; long BgL_forwardz00_16335; long BgL_lastzd2matchzd2_16334; obj_t BgL_iportz00_16333;
BgL_iportz00_16333 = BgL_iportz00_11797; 
BgL_lastzd2matchzd2_16334 = BgL_newzd2matchzd2_11801; 
BgL_forwardz00_16335 = 
(1L+BgL_forwardz00_11799); 
BgL_bufposz00_16337 = BgL_bufposz00_11800; 
BgL_bufposz00_11761 = BgL_bufposz00_16337; 
BgL_forwardz00_11760 = BgL_forwardz00_16335; 
BgL_lastzd2matchzd2_11759 = BgL_lastzd2matchzd2_16334; 
BgL_iportz00_11758 = BgL_iportz00_16333; 
goto BgL_statezd25zd21566z00_11740;}  else 
{ /* Llib/mpc.scm 892 */
if(
(
(long)(BgL_curz00_11804)==58L))
{ /* Llib/mpc.scm 892 */
 long BgL_arg5032z00_11805;
BgL_arg5032z00_11805 = 
(1L+BgL_forwardz00_11799); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11806;
RGC_STOP_MATCH(BgL_iportz00_11797, BgL_arg5032z00_11805); 
BgL_newzd2matchzd2_11806 = 0L; 
BgL_matchz00_11745 = BgL_newzd2matchzd2_11806; } }  else 
{ /* Llib/mpc.scm 892 */
BgL_matchz00_11745 = BgL_newzd2matchzd2_11801; } } } } } } }  else 
{ /* Llib/mpc.scm 892 */
 long BgL_arg5076z00_11774;
BgL_arg5076z00_11774 = 
(1L+BgL_forwardz00_11769); 
{ /* Llib/mpc.scm 892 */
 long BgL_newzd2matchzd2_11775;
RGC_STOP_MATCH(BgL_iportz00_11767, BgL_arg5076z00_11774); 
BgL_newzd2matchzd2_11775 = 2L; 
BgL_matchz00_11745 = BgL_newzd2matchzd2_11775; } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_11737); 
switch( BgL_matchz00_11745) { case 2L : 

{ /* Llib/mpc.scm 905 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg5176z00_11748;
{ /* Llib/mpc.scm 905 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1578z00_11749;
{ /* Llib/mpc.scm 905 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1577z00_11750;
BgL_new1577z00_11750 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 905 */
 long BgL_arg5181z00_11751;
BgL_arg5181z00_11751 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1577z00_11750), BgL_arg5181z00_11751); } 
BgL_new1578z00_11749 = BgL_new1577z00_11750; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1578z00_11749)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1578z00_11749)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_16355;
{ /* Llib/mpc.scm 905 */
 obj_t BgL_arg5177z00_11752;
{ /* Llib/mpc.scm 905 */
 obj_t BgL_arg5178z00_11753;
{ /* Llib/mpc.scm 905 */
 obj_t BgL_classz00_11754;
BgL_classz00_11754 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg5178z00_11753 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_11754); } 
BgL_arg5177z00_11752 = 
VECTOR_REF(BgL_arg5178z00_11753,2L); } 
BgL_auxz00_16355 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg5177z00_11752); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1578z00_11749)))->BgL_stackz00)=((obj_t)BgL_auxz00_16355),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1578z00_11749)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(34L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1578z00_11749)))->BgL_msgz00)=((obj_t)BGl_string5409z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_16366;
{ /* Llib/mpc.scm 908 */
 obj_t BgL_arg5179z00_11755;
{ /* Llib/mpc.scm 892 */
 bool_t BgL_test6274z00_16368;
{ /* Llib/mpc.scm 892 */
 long BgL_arg5169z00_11757;
BgL_arg5169z00_11757 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11737); 
BgL_test6274z00_16368 = 
(BgL_arg5169z00_11757==0L); } 
if(BgL_test6274z00_16368)
{ /* Llib/mpc.scm 892 */
BgL_arg5179z00_11755 = BEOF; }  else 
{ /* Llib/mpc.scm 892 */
BgL_arg5179z00_11755 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_11737)); } } 
BgL_auxz00_16366 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg5179z00_11755, BgL_iportz00_11737); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1578z00_11749)))->BgL_objz00)=((obj_t)BgL_auxz00_16366),BUNSPEC); } 
BgL_arg5176z00_11748 = BgL_new1578z00_11749; } 
BgL_lz00_11811 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg5176z00_11748)); } break;case 1L : 

BgL_lz00_11811 = 
CNST_TABLE_REF(35L); break;case 0L : 

{ /* Llib/mpc.scm 894 */
 obj_t BgL_kz00_11756;
BgL_kz00_11756 = 
rgc_buffer_keyword(BgL_iportz00_11737); 
if(
(BgL_kz00_11756==
CNST_TABLE_REF(14L)))
{ /* Llib/mpc.scm 895 */
BgL_lz00_11811 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11737); }  else 
{ /* Llib/mpc.scm 895 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11737); 
goto BgL_ignorez00_11738;} } break;
default: 
BgL_lz00_11811 = 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_11745)); } } } 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_lz00_11811))
{ 
 obj_t BgL_tmz00_16395;
BgL_tmz00_16395 = BgL_lz00_11811; 
BgL_tmz00_11810 = BgL_tmz00_16395; 
goto BgL_loopz00_11809;}  else 
{ /* Llib/mpc.scm 916 */
if(
(BgL_lz00_11811==
CNST_TABLE_REF(35L)))
{ /* Llib/mpc.scm 918 */
return BgL_tmz00_11810;}  else 
{ 

goto BgL_loopz00_11809;} } } } } } } 

}



/* &music-repeat-set!-mp1651 */
obj_t BGl_z62musiczd2repeatzd2setz12zd2mp1651za2zz__multimediazd2mpczd2(obj_t BgL_envz00_10369, obj_t BgL_mpcz00_10370, obj_t BgL_flagz00_10371)
{
{ /* Llib/mpc.scm 880 */
{ /* Llib/mpc.scm 882 */
 obj_t BgL_arg5005z00_11814;
BgL_arg5005z00_11814 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10370))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 884 */
 obj_t BgL_zc3z04anonymousza35007ze3z87_11815;
BgL_zc3z04anonymousza35007ze3z87_11815 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35007ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza35007ze3z87_11815, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10370))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5005z00_11814, 
(int)(1000L), BgL_zc3z04anonymousza35007ze3z87_11815);} } } 

}



/* &<@anonymous:5007> */
obj_t BGl_z62zc3z04anonymousza35007ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10372)
{
{ /* Llib/mpc.scm 883 */
{ /* Llib/mpc.scm 884 */
 BgL_mpcz00_bglt BgL_mpcz00_10373;
BgL_mpcz00_10373 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10372, 
(int)(0L))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10373, BGl_string5410z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-random-set!-mp1649 */
obj_t BGl_z62musiczd2randomzd2setz12zd2mp1649za2zz__multimediazd2mpczd2(obj_t BgL_envz00_10374, obj_t BgL_mpcz00_10375, obj_t BgL_flagz00_10376)
{
{ /* Llib/mpc.scm 871 */
{ /* Llib/mpc.scm 873 */
 obj_t BgL_arg5001z00_11818;
BgL_arg5001z00_11818 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10375))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 875 */
 obj_t BgL_zc3z04anonymousza35003ze3z87_11819;
BgL_zc3z04anonymousza35003ze3z87_11819 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza35003ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza35003ze3z87_11819, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10375))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg5001z00_11818, 
(int)(1000L), BgL_zc3z04anonymousza35003ze3z87_11819);} } } 

}



/* &<@anonymous:5003> */
obj_t BGl_z62zc3z04anonymousza35003ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10377)
{
{ /* Llib/mpc.scm 874 */
{ /* Llib/mpc.scm 875 */
 BgL_mpcz00_bglt BgL_mpcz00_10378;
BgL_mpcz00_10378 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10377, 
(int)(0L))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10378, BGl_string5411z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-crossfade-mpc1647 */
obj_t BGl_z62musiczd2crossfadezd2mpc1647z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10379, obj_t BgL_mpcz00_10380, obj_t BgL_secz00_10381)
{
{ /* Llib/mpc.scm 861 */
{ /* Llib/mpc.scm 862 */
 int BgL_secz00_11821;
BgL_secz00_11821 = 
CINT(BgL_secz00_10381); 
{ /* Llib/mpc.scm 863 */
 obj_t BgL_arg4997z00_11822;
BgL_arg4997z00_11822 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10380))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 865 */
 obj_t BgL_zc3z04anonymousza34999ze3z87_11823;
BgL_zc3z04anonymousza34999ze3z87_11823 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34999ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34999ze3z87_11823, 
(int)(0L), 
BINT(BgL_secz00_11821)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34999ze3z87_11823, 
(int)(1L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10380))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4997z00_11822, 
(int)(1000L), BgL_zc3z04anonymousza34999ze3z87_11823);} } } } 

}



/* &<@anonymous:4999> */
obj_t BGl_z62zc3z04anonymousza34999ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10382)
{
{ /* Llib/mpc.scm 864 */
{ /* Llib/mpc.scm 865 */
 int BgL_secz00_10383; BgL_mpcz00_bglt BgL_mpcz00_10384;
BgL_secz00_10383 = 
CINT(
PROCEDURE_REF(BgL_envz00_10382, 
(int)(0L))); 
BgL_mpcz00_10384 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10382, 
(int)(1L))); 
{ /* Llib/mpc.scm 865 */
 obj_t BgL_cmdz00_11824;
{ /* Llib/mpc.scm 865 */
 obj_t BgL_arg5000z00_11825;
{ /* Llib/mpc.scm 865 */

BgL_arg5000z00_11825 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_secz00_10383), 10L); } 
BgL_cmdz00_11824 = 
string_append(BGl_string5412z00zz__multimediazd2mpczd2, BgL_arg5000z00_11825); } 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10384, BgL_cmdz00_11824, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } } 

}



/* &music-prev-mpc1645 */
obj_t BGl_z62musiczd2prevzd2mpc1645z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10385, obj_t BgL_mpcz00_10386)
{
{ /* Llib/mpc.scm 852 */
{ /* Llib/mpc.scm 854 */
 obj_t BgL_arg4994z00_11827;
BgL_arg4994z00_11827 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10386))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 856 */
 obj_t BgL_zc3z04anonymousza34996ze3z87_11828;
BgL_zc3z04anonymousza34996ze3z87_11828 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34996ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34996ze3z87_11828, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10386))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4994z00_11827, 
(int)(1000L), BgL_zc3z04anonymousza34996ze3z87_11828);} } } 

}



/* &<@anonymous:4996> */
obj_t BGl_z62zc3z04anonymousza34996ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10387)
{
{ /* Llib/mpc.scm 855 */
{ /* Llib/mpc.scm 856 */
 BgL_mpcz00_bglt BgL_mpcz00_10388;
BgL_mpcz00_10388 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10387, 
(int)(0L))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10388, BGl_string5413z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-next-mpc1643 */
obj_t BGl_z62musiczd2nextzd2mpc1643z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10389, obj_t BgL_mpcz00_10390)
{
{ /* Llib/mpc.scm 843 */
{ /* Llib/mpc.scm 845 */
 obj_t BgL_arg4991z00_11830;
BgL_arg4991z00_11830 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10390))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 847 */
 obj_t BgL_zc3z04anonymousza34993ze3z87_11831;
BgL_zc3z04anonymousza34993ze3z87_11831 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34993ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34993ze3z87_11831, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10390))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4991z00_11830, 
(int)(1000L), BgL_zc3z04anonymousza34993ze3z87_11831);} } } 

}



/* &<@anonymous:4993> */
obj_t BGl_z62zc3z04anonymousza34993ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10391)
{
{ /* Llib/mpc.scm 846 */
{ /* Llib/mpc.scm 847 */
 BgL_mpcz00_bglt BgL_mpcz00_10392;
BgL_mpcz00_10392 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10391, 
(int)(0L))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10392, BGl_string5414z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-pause-mpc1641 */
obj_t BGl_z62musiczd2pausezd2mpc1641z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10393, obj_t BgL_mpcz00_10394)
{
{ /* Llib/mpc.scm 834 */
{ /* Llib/mpc.scm 836 */
 obj_t BgL_arg4988z00_11833;
BgL_arg4988z00_11833 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10394))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 838 */
 obj_t BgL_zc3z04anonymousza34990ze3z87_11834;
BgL_zc3z04anonymousza34990ze3z87_11834 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34990ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34990ze3z87_11834, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10394))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4988z00_11833, 
(int)(1000L), BgL_zc3z04anonymousza34990ze3z87_11834);} } } 

}



/* &<@anonymous:4990> */
obj_t BGl_z62zc3z04anonymousza34990ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10395)
{
{ /* Llib/mpc.scm 837 */
{ /* Llib/mpc.scm 838 */
 BgL_mpcz00_bglt BgL_mpcz00_10396;
BgL_mpcz00_10396 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10395, 
(int)(0L))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10396, BGl_string5415z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-stop-mpc1639 */
obj_t BGl_z62musiczd2stopzd2mpc1639z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10397, obj_t BgL_mpcz00_10398)
{
{ /* Llib/mpc.scm 820 */
{ /* Llib/mpc.scm 822 */
 obj_t BgL_arg4983z00_11836;
BgL_arg4983z00_11836 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10398))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 824 */
 obj_t BgL_zc3z04anonymousza34985ze3z87_11837;
BgL_zc3z04anonymousza34985ze3z87_11837 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34985ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34985ze3z87_11837, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10398))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34985ze3z87_11837, 
(int)(1L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10398))); 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4983z00_11836, 
(int)(1000L), BgL_zc3z04anonymousza34985ze3z87_11837); } } 
{ /* Llib/mpc.scm 828 */
 BgL_musicstatusz00_bglt BgL_i1554z00_11838;
BgL_i1554z00_11838 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10398))))->BgL_z52statusz52); 
{ /* Llib/mpc.scm 829 */
 obj_t BgL_fun4987z00_11839;
BgL_fun4987z00_11839 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10398))))->BgL_onstatez00); 
{ /* Llib/mpc.scm 829 */
 obj_t BgL_arg4986z00_11840;
BgL_arg4986z00_11840 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1554z00_11838))->BgL_statez00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun4987z00_11839))(BgL_fun4987z00_11839, 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10398)), BgL_arg4986z00_11840, BEOA);} } } } 

}



/* &<@anonymous:4985> */
obj_t BGl_z62zc3z04anonymousza34985ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10399)
{
{ /* Llib/mpc.scm 823 */
{ /* Llib/mpc.scm 824 */
 BgL_mpcz00_bglt BgL_mpcz00_10400; BgL_mpcz00_bglt BgL_i1552z00_10401;
BgL_mpcz00_10400 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10399, 
(int)(0L))); 
BgL_i1552z00_10401 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10399, 
(int)(1L))); 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10400, BGl_string5416z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2); 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10400, BGl_string5417z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2); 
{ /* Llib/mpc.scm 826 */
 BgL_musicstatusz00_bglt BgL_i1553z00_11841;
BgL_i1553z00_11841 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1552z00_10401)))->BgL_z52statusz52); 
return 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1553z00_11841))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(36L)),BUNSPEC);} } } 

}



/* &music-seek-mpc1637 */
obj_t BGl_z62musiczd2seekzd2mpc1637z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10402, obj_t BgL_mpcz00_10403, obj_t BgL_ntimez00_10404, obj_t BgL_nsongz00_10405)
{
{ /* Llib/mpc.scm 801 */
{ /* Llib/mpc.scm 803 */
 obj_t BgL_arg4962z00_11843;
BgL_arg4962z00_11843 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10403))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_zc3z04anonymousza34964ze3z87_11844;
BgL_zc3z04anonymousza34964ze3z87_11844 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34964ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(4L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34964ze3z87_11844, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10403))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34964ze3z87_11844, 
(int)(1L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10403))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34964ze3z87_11844, 
(int)(2L), BgL_nsongz00_10405); 
PROCEDURE_SET(BgL_zc3z04anonymousza34964ze3z87_11844, 
(int)(3L), BgL_ntimez00_10404); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4962z00_11843, 
(int)(1000L), BgL_zc3z04anonymousza34964ze3z87_11844);} } } 

}



/* &<@anonymous:4964> */
obj_t BGl_z62zc3z04anonymousza34964ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10406)
{
{ /* Llib/mpc.scm 804 */
{ /* Llib/mpc.scm 805 */
 BgL_mpcz00_bglt BgL_i1533z00_10407; BgL_mpcz00_bglt BgL_mpcz00_10408; obj_t BgL_nsongz00_10409; obj_t BgL_ntimez00_10410;
BgL_i1533z00_10407 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10406, 
(int)(0L))); 
BgL_mpcz00_10408 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10406, 
(int)(1L))); 
BgL_nsongz00_10409 = 
PROCEDURE_REF(BgL_envz00_10406, 
(int)(2L)); 
BgL_ntimez00_10410 = 
PROCEDURE_REF(BgL_envz00_10406, 
(int)(3L)); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_env1542z00_11845;
BgL_env1542z00_11845 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_cell1537z00_11846;
BgL_cell1537z00_11846 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_val1541z00_11847;
BgL_val1541z00_11847 = 
BGl_zc3z04exitza34966ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_10408, BgL_i1533z00_10407, BgL_cell1537z00_11846, BgL_env1542z00_11845); 
if(
(BgL_val1541z00_11847==BgL_cell1537z00_11846))
{ /* Llib/mpc.scm 805 */
{ /* Llib/mpc.scm 805 */
 int BgL_tmpz00_16583;
BgL_tmpz00_16583 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_16583); } 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_arg4965z00_11848;
BgL_arg4965z00_11848 = 
CELL_REF(
((obj_t)BgL_val1541z00_11847)); 
{ /* Llib/mpc.scm 807 */
 BgL_musicstatusz00_bglt BgL_arg4970z00_11849;
BgL_arg4970z00_11849 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1533z00_10407)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10408, BgL_arg4970z00_11849, BgL_arg4965z00_11848); } } }  else 
{ /* Llib/mpc.scm 805 */BgL_val1541z00_11847; } } } } 
{ /* Llib/mpc.scm 809 */
 BgL_musicstatusz00_bglt BgL_i1551z00_11850;
BgL_i1551z00_11850 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1533z00_10407)))->BgL_z52statusz52); 
{ /* Llib/mpc.scm 810 */
 obj_t BgL_songz00_11851; obj_t BgL_timez00_11852;
if(
NULLP(BgL_nsongz00_10409))
{ /* Llib/mpc.scm 810 */
BgL_songz00_11851 = 
BINT(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1551z00_11850))->BgL_songz00)); }  else 
{ /* Llib/mpc.scm 810 */
BgL_songz00_11851 = 
CAR(
((obj_t)BgL_nsongz00_10409)); } 
if(
INTEGERP(BgL_ntimez00_10410))
{ /* Llib/mpc.scm 811 */
BgL_timez00_11852 = BgL_ntimez00_10410; }  else 
{ /* Llib/mpc.scm 813 */
 obj_t BgL_a1606z00_11853;
{ /* Llib/mpc.scm 813 */
 bool_t BgL_test6281z00_16601;
{ /* Llib/mpc.scm 813 */
 obj_t BgL_tmpz00_16602;
BgL_tmpz00_16602 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1551z00_11850))->BgL_songposz00); 
BgL_test6281z00_16601 = 
PAIRP(BgL_tmpz00_16602); } 
if(BgL_test6281z00_16601)
{ /* Llib/mpc.scm 813 */
BgL_a1606z00_11853 = 
CAR(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1551z00_11850))->BgL_songposz00)); }  else 
{ /* Llib/mpc.scm 813 */
BgL_a1606z00_11853 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1551z00_11850))->BgL_songposz00); } } 
{ /* Llib/mpc.scm 814 */
 long BgL_b1607z00_11854;
BgL_b1607z00_11854 = 
(long)(
REAL_TO_DOUBLE(BgL_ntimez00_10410)); 
{ /* Llib/mpc.scm 813 */

if(
INTEGERP(BgL_a1606z00_11853))
{ /* Llib/mpc.scm 813 */
BgL_timez00_11852 = 
ADDFX(BgL_a1606z00_11853, 
BINT(BgL_b1607z00_11854)); }  else 
{ /* Llib/mpc.scm 813 */
BgL_timez00_11852 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1606z00_11853, 
BINT(BgL_b1607z00_11854)); } } } } 
{ /* Llib/mpc.scm 815 */
 obj_t BgL_arg4971z00_11855;
{ /* Llib/mpc.scm 815 */
 obj_t BgL_list4972z00_11856;
{ /* Llib/mpc.scm 815 */
 obj_t BgL_arg4973z00_11857;
BgL_arg4973z00_11857 = 
MAKE_YOUNG_PAIR(BgL_timez00_11852, BNIL); 
BgL_list4972z00_11856 = 
MAKE_YOUNG_PAIR(BgL_songz00_11851, BgL_arg4973z00_11857); } 
BgL_arg4971z00_11855 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5418z00zz__multimediazd2mpczd2, BgL_list4972z00_11856); } 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10408, BgL_arg4971z00_11855, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } } } } 

}



/* <@exit:4966>~0 */
obj_t BGl_zc3z04exitza34966ze3ze70z60zz__multimediazd2mpczd2(BgL_mpcz00_bglt BgL_mpcz00_10571, BgL_mpcz00_bglt BgL_i1533z00_10570, obj_t BgL_cell1537z00_10569, obj_t BgL_env1542z00_10568)
{
{ /* Llib/mpc.scm 805 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1546z00_6761;
if( SET_EXIT(BgL_an_exit1546z00_6761 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1546z00_6761 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1542z00_10568, BgL_an_exit1546z00_6761, 1L); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_escape1538z00_6762;
BgL_escape1538z00_6762 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1542z00_10568); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_res1549z00_6763;
{ /* Llib/mpc.scm 805 */
 obj_t BgL_ohs1534z00_6764;
BgL_ohs1534z00_6764 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1542z00_10568); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_hds1535z00_6765;
BgL_hds1535z00_6765 = 
MAKE_STACK_PAIR(BgL_escape1538z00_6762, BgL_cell1537z00_10569); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1542z00_10568, BgL_hds1535z00_6765); BUNSPEC; 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_exitd1543z00_6766;
BgL_exitd1543z00_6766 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1542z00_10568); 
{ /* Llib/mpc.scm 805 */
 obj_t BgL_tmp1545z00_6767;
{ /* Llib/mpc.scm 805 */
 obj_t BgL_arg4968z00_6770;
BgL_arg4968z00_6770 = 
BGL_EXITD_PROTECT(BgL_exitd1543z00_6766); 
BgL_tmp1545z00_6767 = 
MAKE_YOUNG_PAIR(BgL_ohs1534z00_6764, BgL_arg4968z00_6770); } 
{ /* Llib/mpc.scm 805 */

BGL_EXITD_PROTECT_SET(BgL_exitd1543z00_6766, BgL_tmp1545z00_6767); BUNSPEC; 
{ /* Llib/mpc.scm 808 */
 obj_t BgL_tmp1544z00_6768;
{ /* Llib/mpc.scm 808 */
 BgL_musicstatusz00_bglt BgL_arg4967z00_6769;
BgL_arg4967z00_6769 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1533z00_10570)))->BgL_z52statusz52); 
BgL_tmp1544z00_6768 = 
BGl_musiczd2updatezd2statuszd2sanszd2lockz12z12zz__multimediazd2mpczd2(BgL_mpcz00_10571, BgL_arg4967z00_6769); } 
{ /* Llib/mpc.scm 805 */
 bool_t BgL_test6283z00_16634;
{ /* Llib/mpc.scm 805 */
 obj_t BgL_arg1796z00_9966;
BgL_arg1796z00_9966 = 
BGL_EXITD_PROTECT(BgL_exitd1543z00_6766); 
BgL_test6283z00_16634 = 
PAIRP(BgL_arg1796z00_9966); } 
if(BgL_test6283z00_16634)
{ /* Llib/mpc.scm 805 */
 obj_t BgL_arg1794z00_9967;
{ /* Llib/mpc.scm 805 */
 obj_t BgL_arg1795z00_9968;
BgL_arg1795z00_9968 = 
BGL_EXITD_PROTECT(BgL_exitd1543z00_6766); 
BgL_arg1794z00_9967 = 
CDR(
((obj_t)BgL_arg1795z00_9968)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1543z00_6766, BgL_arg1794z00_9967); BUNSPEC; }  else 
{ /* Llib/mpc.scm 805 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1542z00_10568, BgL_ohs1534z00_6764); BUNSPEC; 
BgL_res1549z00_6763 = BgL_tmp1544z00_6768; } } } } } } 
POP_ENV_EXIT(BgL_env1542z00_10568); 
return BgL_res1549z00_6763;} } 
}} 

}



/* &music-play-mpc1635 */
obj_t BGl_z62musiczd2playzd2mpc1635z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10411, obj_t BgL_mpcz00_10412, obj_t BgL_songz00_10413)
{
{ /* Llib/mpc.scm 764 */
{ /* Llib/mpc.scm 766 */
 obj_t BgL_cmdz00_11859;
if(
NULLP(BgL_songz00_10413))
{ /* Llib/mpc.scm 766 */
BgL_cmdz00_11859 = BGl_string5419z00zz__multimediazd2mpczd2; }  else 
{ /* Llib/mpc.scm 766 */
 obj_t BgL_arg4959z00_11860;
BgL_arg4959z00_11860 = 
CAR(
((obj_t)BgL_songz00_10413)); 
{ /* Llib/mpc.scm 766 */
 obj_t BgL_list4960z00_11861;
BgL_list4960z00_11861 = 
MAKE_YOUNG_PAIR(BgL_arg4959z00_11860, BNIL); 
BgL_cmdz00_11859 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5420z00zz__multimediazd2mpczd2, BgL_list4960z00_11861); } } 
{ /* Llib/mpc.scm 767 */
 BgL_musicstatusz00_bglt BgL_i1532z00_11862;
BgL_i1532z00_11862 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10412))))->BgL_z52statusz52); 
{ /* Llib/mpc.scm 768 */
 obj_t BgL_idz00_11863;
BgL_idz00_11863 = 
MAKE_CELL(BFALSE); 
{ /* Llib/mpc.scm 769 */
 obj_t BgL_arg4927z00_11864;
BgL_arg4927z00_11864 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10412))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 771 */
 obj_t BgL_zc3z04anonymousza34929ze3z87_11865;
BgL_zc3z04anonymousza34929ze3z87_11865 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34929ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(4L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34929ze3z87_11865, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10412))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34929ze3z87_11865, 
(int)(1L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10412))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34929ze3z87_11865, 
(int)(2L), BgL_cmdz00_11859); 
PROCEDURE_SET(BgL_zc3z04anonymousza34929ze3z87_11865, 
(int)(3L), 
((obj_t)BgL_idz00_11863)); 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4927z00_11864, 
(int)(1000L), BgL_zc3z04anonymousza34929ze3z87_11865); } } 
if(
CBOOL(
CELL_REF(BgL_idz00_11863)))
{ /* Llib/mpc.scm 774 */
{ /* Llib/mpc.scm 775 */
 obj_t BgL_fun4932z00_11866;
BgL_fun4932z00_11866 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10412))))->BgL_oneventz00); 
{ /* Llib/mpc.scm 775 */
 int BgL_arg4931z00_11867;
BgL_arg4931z00_11867 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1532z00_11862))->BgL_playlistidz00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun4932z00_11866))(BgL_fun4932z00_11866, 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10412)), 
CNST_TABLE_REF(37L), 
BINT(BgL_arg4931z00_11867), BEOA); } } 
return 
BGl_loopze70ze7zz__multimediazd2mpczd2(BgL_idz00_11863, 
((BgL_mpcz00_bglt)BgL_mpcz00_10412), BgL_i1532z00_11862, 
((BgL_mpcz00_bglt)BgL_mpcz00_10412));}  else 
{ /* Llib/mpc.scm 774 */
return BFALSE;} } } } } 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__multimediazd2mpczd2(obj_t BgL_idz00_10567, BgL_mpcz00_bglt BgL_mpcz00_10566, BgL_musicstatusz00_bglt BgL_i1532z00_10565, BgL_mpcz00_bglt BgL_i1531z00_10564)
{
{ /* Llib/mpc.scm 776 */
{ /* Llib/mpc.scm 777 */
 obj_t BgL_sz00_10415; obj_t BgL_iz00_10416;
BgL_sz00_10415 = 
MAKE_CELL(BFALSE); 
BgL_iz00_10416 = 
MAKE_CELL(BFALSE); 
{ /* Llib/mpc.scm 779 */
 bool_t BgL_test6286z00_16692;
{ /* Llib/mpc.scm 779 */
 obj_t BgL_arg4950z00_6730;
BgL_arg4950z00_6730 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1531z00_10564)))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 781 */
 obj_t BgL_zc3z04anonymousza34952ze3z87_10315;
BgL_zc3z04anonymousza34952ze3z87_10315 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34952ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(6L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34952ze3z87_10315, 
(int)(0L), 
((obj_t)BgL_i1532z00_10565)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34952ze3z87_10315, 
(int)(1L), 
((obj_t)BgL_sz00_10415)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34952ze3z87_10315, 
(int)(2L), 
((obj_t)BgL_iz00_10416)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34952ze3z87_10315, 
(int)(3L), 
((obj_t)BgL_i1531z00_10564)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34952ze3z87_10315, 
(int)(4L), 
((obj_t)BgL_mpcz00_10566)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34952ze3z87_10315, 
(int)(5L), 
((obj_t)BgL_idz00_10567)); 
BgL_test6286z00_16692 = 
CBOOL(
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4950z00_6730, 
(int)(1000L), BgL_zc3z04anonymousza34952ze3z87_10315)); } } 
if(BgL_test6286z00_16692)
{ /* Llib/mpc.scm 779 */
if(
(
CELL_REF(BgL_sz00_10415)==
CNST_TABLE_REF(38L)))
{ /* Llib/mpc.scm 789 */
if(
(
(long)CINT(
CELL_REF(BgL_iz00_10416))==
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1532z00_10565))->BgL_songidz00))))
{ /* Llib/mpc.scm 791 */BFALSE; }  else 
{ /* Llib/mpc.scm 791 */
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1532z00_10565))->BgL_statez00)=((obj_t)
CNST_TABLE_REF(39L)),BUNSPEC); 
{ /* Llib/mpc.scm 793 */
 obj_t BgL_fun4946z00_6725;
BgL_fun4946z00_6725 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1531z00_10564)))->BgL_onstatez00); 
{ /* Llib/mpc.scm 793 */
 obj_t BgL_arg4945z00_6726;
BgL_arg4945z00_6726 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1532z00_10565))->BgL_statez00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun4946z00_6725))(BgL_fun4946z00_6725, 
((obj_t)BgL_mpcz00_10566), BgL_arg4945z00_6726, BEOA); } } } }  else 
{ /* Llib/mpc.scm 790 */
 obj_t BgL_fun4949z00_6728;
BgL_fun4949z00_6728 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1531z00_10564)))->BgL_onstatez00); 
{ /* Llib/mpc.scm 790 */
 obj_t BgL_arg4948z00_6729;
BgL_arg4948z00_6729 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1532z00_10565))->BgL_statez00); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun4949z00_6728))(BgL_fun4949z00_6728, 
((obj_t)BgL_mpcz00_10566), BgL_arg4948z00_6729, BEOA); } } 
bgl_sleep(1000000L); BUNSPEC; 1000000L; 
BGl_loopze70ze7zz__multimediazd2mpczd2(BgL_idz00_10567, BgL_mpcz00_10566, BgL_i1532z00_10565, BgL_i1531z00_10564); }  else 
{ /* Llib/mpc.scm 779 */BFALSE; } } } 
{ /* Llib/mpc.scm 796 */
 obj_t BgL_fun4957z00_6738;
BgL_fun4957z00_6738 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1531z00_10564)))->BgL_onstatez00); 
{ /* Llib/mpc.scm 796 */
 obj_t BgL_arg4956z00_6739;
BgL_arg4956z00_6739 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1532z00_10565))->BgL_statez00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun4957z00_6738))(BgL_fun4957z00_6738, 
((obj_t)BgL_mpcz00_10566), BgL_arg4956z00_6739, BEOA);} } } 

}



/* &<@anonymous:4952> */
obj_t BGl_z62zc3z04anonymousza34952ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10420)
{
{ /* Llib/mpc.scm 780 */
{ /* Llib/mpc.scm 781 */
 BgL_musicstatusz00_bglt BgL_i1532z00_10421; obj_t BgL_sz00_10422; obj_t BgL_iz00_10423; BgL_mpcz00_bglt BgL_i1531z00_10424; BgL_mpcz00_bglt BgL_mpcz00_10425; obj_t BgL_idz00_10426;
BgL_i1532z00_10421 = 
((BgL_musicstatusz00_bglt)
PROCEDURE_REF(BgL_envz00_10420, 
(int)(0L))); 
BgL_sz00_10422 = 
PROCEDURE_REF(BgL_envz00_10420, 
(int)(1L)); 
BgL_iz00_10423 = 
PROCEDURE_REF(BgL_envz00_10420, 
(int)(2L)); 
BgL_i1531z00_10424 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10420, 
(int)(3L))); 
BgL_mpcz00_10425 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10420, 
(int)(4L))); 
BgL_idz00_10426 = 
PROCEDURE_REF(BgL_envz00_10420, 
(int)(5L)); 
{ /* Llib/mpc.scm 781 */
 bool_t BgL_tmpz00_16773;
if(
(
(long)(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1531z00_10424))->BgL_z52playidz52))==
(long)CINT(
CELL_REF(BgL_idz00_10426))))
{ /* Llib/mpc.scm 781 */
{ /* Llib/mpc.scm 782 */
 obj_t BgL_auxz00_11868;
BgL_auxz00_11868 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1532z00_10421))->BgL_statez00); 
CELL_SET(BgL_sz00_10422, BgL_auxz00_11868); } 
{ /* Llib/mpc.scm 783 */
 obj_t BgL_auxz00_11869;
BgL_auxz00_11869 = 
BINT(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1532z00_10421))->BgL_songidz00)); 
CELL_SET(BgL_iz00_10423, BgL_auxz00_11869); } 
{ /* Llib/mpc.scm 784 */
 BgL_musicstatusz00_bglt BgL_arg4953z00_11870;
BgL_arg4953z00_11870 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1531z00_10424)))->BgL_z52statusz52); 
BGl_musiczd2updatezd2statuszd2sanszd2lockz12z12zz__multimediazd2mpczd2(BgL_mpcz00_10425, BgL_arg4953z00_11870); } 
BgL_tmpz00_16773 = 
(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_i1532z00_10421))->BgL_statez00)==
CNST_TABLE_REF(38L)); }  else 
{ /* Llib/mpc.scm 781 */
BgL_tmpz00_16773 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_16773);} } } 

}



/* &<@anonymous:4929> */
obj_t BGl_z62zc3z04anonymousza34929ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10429)
{
{ /* Llib/mpc.scm 770 */
{ /* Llib/mpc.scm 771 */
 BgL_mpcz00_bglt BgL_i1531z00_10430; BgL_mpcz00_bglt BgL_mpcz00_10431; obj_t BgL_cmdz00_10432; obj_t BgL_idz00_10433;
BgL_i1531z00_10430 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10429, 
(int)(0L))); 
BgL_mpcz00_10431 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10429, 
(int)(1L))); 
BgL_cmdz00_10432 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10429, 
(int)(2L))); 
BgL_idz00_10433 = 
PROCEDURE_REF(BgL_envz00_10429, 
(int)(3L)); 
((((BgL_mpcz00_bglt)COBJECT(BgL_i1531z00_10430))->BgL_z52playidz52)=((int)
(int)(
(1L+
(long)(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1531z00_10430))->BgL_z52playidz52))))),BUNSPEC); 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10431, BgL_cmdz00_10432, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2); 
{ /* Llib/mpc.scm 773 */
 obj_t BgL_auxz00_11871;
BgL_auxz00_11871 = 
BINT(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1531z00_10430))->BgL_z52playidz52)); 
return 
CELL_SET(BgL_idz00_10433, BgL_auxz00_11871);} } } 

}



/* &music-meta-mpc1633 */
obj_t BGl_z62musiczd2metazd2mpc1633z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10435, obj_t BgL_mpcz00_10436)
{
{ /* Llib/mpc.scm 735 */
{ /* Llib/mpc.scm 753 */
 obj_t BgL_arg4765z00_11874;
BgL_arg4765z00_11874 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10436))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_zc3z04anonymousza34767ze3z87_11875;
BgL_zc3z04anonymousza34767ze3z87_11875 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34767ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34767ze3z87_11875, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10436))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34767ze3z87_11875, 
(int)(1L), BGl_proc5421z00zz__multimediazd2mpczd2); 
PROCEDURE_SET(BgL_zc3z04anonymousza34767ze3z87_11875, 
(int)(2L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10436))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4765z00_11874, 
(int)(1000L), BgL_zc3z04anonymousza34767ze3z87_11875);} } } 

}



/* &<@anonymous:4767> */
obj_t BGl_z62zc3z04anonymousza34767ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10437)
{
{ /* Llib/mpc.scm 754 */
{ /* Llib/mpc.scm 755 */
 BgL_mpcz00_bglt BgL_mpcz00_10438; obj_t BgL_currentsongzd2parserzd2_10439; BgL_mpcz00_bglt BgL_i1513z00_10440;
BgL_mpcz00_10438 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10437, 
(int)(0L))); 
BgL_currentsongzd2parserzd2_10439 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10437, 
(int)(1L))); 
BgL_i1513z00_10440 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10437, 
(int)(2L))); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_env1522z00_11876;
BgL_env1522z00_11876 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_cell1517z00_11877;
BgL_cell1517z00_11877 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_val1521z00_11878;
BgL_val1521z00_11878 = 
BGl_zc3z04exitza34769ze3ze70z60zz__multimediazd2mpczd2(BgL_currentsongzd2parserzd2_10439, BgL_mpcz00_10438, BgL_cell1517z00_11877, BgL_env1522z00_11876); 
if(
(BgL_val1521z00_11878==BgL_cell1517z00_11877))
{ /* Llib/mpc.scm 755 */
{ /* Llib/mpc.scm 755 */
 int BgL_tmpz00_16840;
BgL_tmpz00_16840 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_16840); } 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_arg4768z00_11879;
BgL_arg4768z00_11879 = 
CELL_REF(
((obj_t)BgL_val1521z00_11878)); 
{ /* Llib/mpc.scm 757 */
 BgL_musicstatusz00_bglt BgL_arg4772z00_11880;
BgL_arg4772z00_11880 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1513z00_10440)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10438, BgL_arg4772z00_11880, BgL_arg4768z00_11879); } 
return BNIL;} }  else 
{ /* Llib/mpc.scm 755 */
return BgL_val1521z00_11878;} } } } } } 

}



/* <@exit:4769>~0 */
obj_t BGl_zc3z04exitza34769ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_currentsongzd2parserzd2_10563, BgL_mpcz00_bglt BgL_mpcz00_10562, obj_t BgL_cell1517z00_10561, obj_t BgL_env1522z00_10560)
{
{ /* Llib/mpc.scm 755 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1526z00_6363;
if( SET_EXIT(BgL_an_exit1526z00_6363 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1526z00_6363 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1522z00_10560, BgL_an_exit1526z00_6363, 1L); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_escape1518z00_6364;
BgL_escape1518z00_6364 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1522z00_10560); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_res1529z00_6365;
{ /* Llib/mpc.scm 755 */
 obj_t BgL_ohs1514z00_6366;
BgL_ohs1514z00_6366 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1522z00_10560); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_hds1515z00_6367;
BgL_hds1515z00_6367 = 
MAKE_STACK_PAIR(BgL_escape1518z00_6364, BgL_cell1517z00_10561); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1522z00_10560, BgL_hds1515z00_6367); BUNSPEC; 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_exitd1523z00_6368;
BgL_exitd1523z00_6368 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1522z00_10560); 
{ /* Llib/mpc.scm 755 */
 obj_t BgL_tmp1525z00_6369;
{ /* Llib/mpc.scm 755 */
 obj_t BgL_arg4770z00_6371;
BgL_arg4770z00_6371 = 
BGL_EXITD_PROTECT(BgL_exitd1523z00_6368); 
BgL_tmp1525z00_6369 = 
MAKE_YOUNG_PAIR(BgL_ohs1514z00_6366, BgL_arg4770z00_6371); } 
{ /* Llib/mpc.scm 755 */

BGL_EXITD_PROTECT_SET(BgL_exitd1523z00_6368, BgL_tmp1525z00_6369); BUNSPEC; 
{ /* Llib/mpc.scm 759 */
 obj_t BgL_tmp1524z00_6370;
BgL_tmp1524z00_6370 = 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10562, BGl_string5422z00zz__multimediazd2mpczd2, BgL_currentsongzd2parserzd2_10563); 
{ /* Llib/mpc.scm 755 */
 bool_t BgL_test6291z00_16860;
{ /* Llib/mpc.scm 755 */
 obj_t BgL_arg1796z00_9952;
BgL_arg1796z00_9952 = 
BGL_EXITD_PROTECT(BgL_exitd1523z00_6368); 
BgL_test6291z00_16860 = 
PAIRP(BgL_arg1796z00_9952); } 
if(BgL_test6291z00_16860)
{ /* Llib/mpc.scm 755 */
 obj_t BgL_arg1794z00_9953;
{ /* Llib/mpc.scm 755 */
 obj_t BgL_arg1795z00_9954;
BgL_arg1795z00_9954 = 
BGL_EXITD_PROTECT(BgL_exitd1523z00_6368); 
BgL_arg1794z00_9953 = 
CDR(
((obj_t)BgL_arg1795z00_9954)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1523z00_6368, BgL_arg1794z00_9953); BUNSPEC; }  else 
{ /* Llib/mpc.scm 755 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1522z00_10560, BgL_ohs1514z00_6366); BUNSPEC; 
BgL_res1529z00_6365 = BgL_tmp1524z00_6370; } } } } } } 
POP_ENV_EXIT(BgL_env1522z00_10560); 
return BgL_res1529z00_6365;} } 
}} 

}



/* &currentsong-parser */
obj_t BGl_z62currentsongzd2parserzb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10441, BgL_mpcz00_bglt BgL_mpcz00_10442)
{
{ /* Llib/mpc.scm 750 */
{ /* Llib/mpc.scm 749 */
 obj_t BgL_ipz00_11885;
{ /* Llib/mpc.scm 749 */
 obj_t BgL_arg4774z00_11886;
BgL_arg4774z00_11886 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10442))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 749 */
 obj_t BgL_tmpz00_16870;
BgL_tmpz00_16870 = 
((obj_t)BgL_arg4774z00_11886); 
BgL_ipz00_11885 = 
SOCKET_INPUT(BgL_tmpz00_16870); } } 
return 
BGl_ignoreze70ze7zz__multimediazd2mpczd2(BgL_ipz00_11885);} } 

}



/* ignore~0 */
obj_t BGl_ignoreze70ze7zz__multimediazd2mpczd2(obj_t BgL_iportz00_10559)
{
{ /* Llib/mpc.scm 738 */
{ 
 int BgL_minz00_6538; int BgL_maxz00_6539; obj_t BgL_iportz00_6504; long BgL_lastzd2matchzd2_6505; long BgL_forwardz00_6506; long BgL_bufposz00_6507; obj_t BgL_iportz00_6483; long BgL_lastzd2matchzd2_6484; long BgL_forwardz00_6485; long BgL_bufposz00_6486; obj_t BgL_iportz00_6466; long BgL_lastzd2matchzd2_6467; long BgL_forwardz00_6468; long BgL_bufposz00_6469; obj_t BgL_iportz00_6438; long BgL_lastzd2matchzd2_6439; long BgL_forwardz00_6440; long BgL_bufposz00_6441; obj_t BgL_iportz00_6421; long BgL_lastzd2matchzd2_6422; long BgL_forwardz00_6423; long BgL_bufposz00_6424;
RGC_START_MATCH(BgL_iportz00_10559); 
{ /* Llib/mpc.scm 738 */
 long BgL_matchz00_6645;
{ /* Llib/mpc.scm 738 */
 long BgL_arg4925z00_6655; long BgL_arg4926z00_6656;
BgL_arg4925z00_6655 = 
RGC_BUFFER_FORWARD(BgL_iportz00_10559); 
BgL_arg4926z00_6656 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_10559); 
BgL_iportz00_6421 = BgL_iportz00_10559; 
BgL_lastzd2matchzd2_6422 = 2L; 
BgL_forwardz00_6423 = BgL_arg4925z00_6655; 
BgL_bufposz00_6424 = BgL_arg4926z00_6656; 
BgL_zc3z04anonymousza34776ze3z87_6425:
if(
(BgL_forwardz00_6423==BgL_bufposz00_6424))
{ /* Llib/mpc.scm 738 */
if(
rgc_fill_buffer(BgL_iportz00_6421))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4779z00_6428; long BgL_arg4780z00_6429;
BgL_arg4779z00_6428 = 
RGC_BUFFER_FORWARD(BgL_iportz00_6421); 
BgL_arg4780z00_6429 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_6421); 
{ 
 long BgL_bufposz00_16884; long BgL_forwardz00_16883;
BgL_forwardz00_16883 = BgL_arg4779z00_6428; 
BgL_bufposz00_16884 = BgL_arg4780z00_6429; 
BgL_bufposz00_6424 = BgL_bufposz00_16884; 
BgL_forwardz00_6423 = BgL_forwardz00_16883; 
goto BgL_zc3z04anonymousza34776ze3z87_6425;} }  else 
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6645 = BgL_lastzd2matchzd2_6422; } }  else 
{ /* Llib/mpc.scm 738 */
 int BgL_curz00_6430;
BgL_curz00_6430 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_6421, BgL_forwardz00_6423); 
{ /* Llib/mpc.scm 738 */

if(
(
(long)(BgL_curz00_6430)==79L))
{ /* Llib/mpc.scm 738 */
BgL_iportz00_6483 = BgL_iportz00_6421; 
BgL_lastzd2matchzd2_6484 = BgL_lastzd2matchzd2_6422; 
BgL_forwardz00_6485 = 
(1L+BgL_forwardz00_6423); 
BgL_bufposz00_6486 = BgL_bufposz00_6424; 
BgL_zc3z04anonymousza34809ze3z87_6487:
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_6488;
RGC_STOP_MATCH(BgL_iportz00_6483, BgL_forwardz00_6485); 
BgL_newzd2matchzd2_6488 = 2L; 
if(
(BgL_forwardz00_6485==BgL_bufposz00_6486))
{ /* Llib/mpc.scm 738 */
if(
rgc_fill_buffer(BgL_iportz00_6483))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4812z00_6491; long BgL_arg4813z00_6492;
BgL_arg4812z00_6491 = 
RGC_BUFFER_FORWARD(BgL_iportz00_6483); 
BgL_arg4813z00_6492 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_6483); 
{ 
 long BgL_bufposz00_16897; long BgL_forwardz00_16896;
BgL_forwardz00_16896 = BgL_arg4812z00_6491; 
BgL_bufposz00_16897 = BgL_arg4813z00_6492; 
BgL_bufposz00_6486 = BgL_bufposz00_16897; 
BgL_forwardz00_6485 = BgL_forwardz00_16896; 
goto BgL_zc3z04anonymousza34809ze3z87_6487;} }  else 
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6645 = BgL_newzd2matchzd2_6488; } }  else 
{ /* Llib/mpc.scm 738 */
 int BgL_curz00_6493;
BgL_curz00_6493 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_6483, BgL_forwardz00_6485); 
{ /* Llib/mpc.scm 738 */

if(
(
(long)(BgL_curz00_6493)==75L))
{ /* Llib/mpc.scm 738 */
BgL_iportz00_6504 = BgL_iportz00_6483; 
BgL_lastzd2matchzd2_6505 = BgL_newzd2matchzd2_6488; 
BgL_forwardz00_6506 = 
(1L+BgL_forwardz00_6485); 
BgL_bufposz00_6507 = BgL_bufposz00_6486; 
BgL_zc3z04anonymousza34822ze3z87_6508:
if(
(BgL_forwardz00_6506==BgL_bufposz00_6507))
{ /* Llib/mpc.scm 738 */
if(
rgc_fill_buffer(BgL_iportz00_6504))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4825z00_6511; long BgL_arg4826z00_6512;
BgL_arg4825z00_6511 = 
RGC_BUFFER_FORWARD(BgL_iportz00_6504); 
BgL_arg4826z00_6512 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_6504); 
{ 
 long BgL_bufposz00_16909; long BgL_forwardz00_16908;
BgL_forwardz00_16908 = BgL_arg4825z00_6511; 
BgL_bufposz00_16909 = BgL_arg4826z00_6512; 
BgL_bufposz00_6507 = BgL_bufposz00_16909; 
BgL_forwardz00_6506 = BgL_forwardz00_16908; 
goto BgL_zc3z04anonymousza34822ze3z87_6508;} }  else 
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6645 = BgL_lastzd2matchzd2_6505; } }  else 
{ /* Llib/mpc.scm 738 */
 int BgL_curz00_6513;
BgL_curz00_6513 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_6504, BgL_forwardz00_6506); 
{ /* Llib/mpc.scm 738 */

if(
(
(long)(BgL_curz00_6513)==58L))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4828z00_6515;
BgL_arg4828z00_6515 = 
(1L+BgL_forwardz00_6506); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9898;
if(
rgc_buffer_bol_p(BgL_iportz00_6504))
{ /* Llib/mpc.scm 738 */
RGC_STOP_MATCH(BgL_iportz00_6504, BgL_arg4828z00_6515); 
BgL_newzd2matchzd2_9898 = 0L; }  else 
{ /* Llib/mpc.scm 738 */
BgL_newzd2matchzd2_9898 = BgL_lastzd2matchzd2_6505; } 
BgL_matchz00_6645 = BgL_newzd2matchzd2_9898; } }  else 
{ /* Llib/mpc.scm 738 */
if(
(
(long)(BgL_curz00_6513)==10L))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4830z00_6517;
BgL_arg4830z00_6517 = 
(1L+BgL_forwardz00_6506); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9905;
RGC_STOP_MATCH(BgL_iportz00_6504, BgL_arg4830z00_6517); 
BgL_newzd2matchzd2_9905 = 1L; 
BgL_matchz00_6645 = BgL_newzd2matchzd2_9905; } }  else 
{ /* Llib/mpc.scm 738 */
BgL_iportz00_6438 = BgL_iportz00_6504; 
BgL_lastzd2matchzd2_6439 = BgL_lastzd2matchzd2_6505; 
BgL_forwardz00_6440 = 
(1L+BgL_forwardz00_6506); 
BgL_bufposz00_6441 = BgL_bufposz00_6507; 
BgL_zc3z04anonymousza34787ze3z87_6442:
if(
(BgL_forwardz00_6440==BgL_bufposz00_6441))
{ /* Llib/mpc.scm 738 */
if(
rgc_fill_buffer(BgL_iportz00_6438))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4790z00_6445; long BgL_arg4791z00_6446;
BgL_arg4790z00_6445 = 
RGC_BUFFER_FORWARD(BgL_iportz00_6438); 
BgL_arg4791z00_6446 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_6438); 
{ 
 long BgL_bufposz00_16930; long BgL_forwardz00_16929;
BgL_forwardz00_16929 = BgL_arg4790z00_6445; 
BgL_bufposz00_16930 = BgL_arg4791z00_6446; 
BgL_bufposz00_6441 = BgL_bufposz00_16930; 
BgL_forwardz00_6440 = BgL_forwardz00_16929; 
goto BgL_zc3z04anonymousza34787ze3z87_6442;} }  else 
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6645 = BgL_lastzd2matchzd2_6439; } }  else 
{ /* Llib/mpc.scm 738 */
 int BgL_curz00_6447;
BgL_curz00_6447 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_6438, BgL_forwardz00_6440); 
{ /* Llib/mpc.scm 738 */

if(
(
(long)(BgL_curz00_6447)==58L))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4793z00_6449;
BgL_arg4793z00_6449 = 
(1L+BgL_forwardz00_6440); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9834;
if(
rgc_buffer_bol_p(BgL_iportz00_6438))
{ /* Llib/mpc.scm 738 */
RGC_STOP_MATCH(BgL_iportz00_6438, BgL_arg4793z00_6449); 
BgL_newzd2matchzd2_9834 = 0L; }  else 
{ /* Llib/mpc.scm 738 */
BgL_newzd2matchzd2_9834 = BgL_lastzd2matchzd2_6439; } 
BgL_matchz00_6645 = BgL_newzd2matchzd2_9834; } }  else 
{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6307z00_16939;
if(
(
(long)(BgL_curz00_6447)==10L))
{ /* Llib/mpc.scm 738 */
BgL_test6307z00_16939 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6307z00_16939 = 
(
(long)(BgL_curz00_6447)==58L)
; } 
if(BgL_test6307z00_16939)
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6645 = BgL_lastzd2matchzd2_6439; }  else 
{ 
 long BgL_forwardz00_16945;
BgL_forwardz00_16945 = 
(1L+BgL_forwardz00_6440); 
BgL_forwardz00_6440 = BgL_forwardz00_16945; 
goto BgL_zc3z04anonymousza34787ze3z87_6442;} } } } } } } } }  else 
{ /* Llib/mpc.scm 738 */
if(
(
(long)(BgL_curz00_6493)==58L))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4817z00_6497;
BgL_arg4817z00_6497 = 
(1L+BgL_forwardz00_6485); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9880;
if(
rgc_buffer_bol_p(BgL_iportz00_6483))
{ /* Llib/mpc.scm 738 */
RGC_STOP_MATCH(BgL_iportz00_6483, BgL_arg4817z00_6497); 
BgL_newzd2matchzd2_9880 = 0L; }  else 
{ /* Llib/mpc.scm 738 */
BgL_newzd2matchzd2_9880 = BgL_newzd2matchzd2_6488; } 
BgL_matchz00_6645 = BgL_newzd2matchzd2_9880; } }  else 
{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6311z00_16956;
if(
(
(long)(BgL_curz00_6493)==10L))
{ /* Llib/mpc.scm 738 */
BgL_test6311z00_16956 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 738 */
if(
(
(long)(BgL_curz00_6493)==58L))
{ /* Llib/mpc.scm 738 */
BgL_test6311z00_16956 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6311z00_16956 = 
(
(long)(BgL_curz00_6493)==75L)
; } } 
if(BgL_test6311z00_16956)
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6645 = BgL_newzd2matchzd2_6488; }  else 
{ 
 long BgL_bufposz00_16969; long BgL_forwardz00_16967; long BgL_lastzd2matchzd2_16966; obj_t BgL_iportz00_16965;
BgL_iportz00_16965 = BgL_iportz00_6483; 
BgL_lastzd2matchzd2_16966 = BgL_newzd2matchzd2_6488; 
BgL_forwardz00_16967 = 
(1L+BgL_forwardz00_6485); 
BgL_bufposz00_16969 = BgL_bufposz00_6486; 
BgL_bufposz00_6441 = BgL_bufposz00_16969; 
BgL_forwardz00_6440 = BgL_forwardz00_16967; 
BgL_lastzd2matchzd2_6439 = BgL_lastzd2matchzd2_16966; 
BgL_iportz00_6438 = BgL_iportz00_16965; 
goto BgL_zc3z04anonymousza34787ze3z87_6442;} } } } } } }  else 
{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6314z00_16971;
if(
(
(long)(BgL_curz00_6430)==10L))
{ /* Llib/mpc.scm 738 */
BgL_test6314z00_16971 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6314z00_16971 = 
(
(long)(BgL_curz00_6430)==58L)
; } 
if(BgL_test6314z00_16971)
{ /* Llib/mpc.scm 738 */
 long BgL_arg4785z00_6435;
BgL_arg4785z00_6435 = 
(1L+BgL_forwardz00_6423); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9821;
RGC_STOP_MATCH(BgL_iportz00_6421, BgL_arg4785z00_6435); 
BgL_newzd2matchzd2_9821 = 2L; 
BgL_matchz00_6645 = BgL_newzd2matchzd2_9821; } }  else 
{ /* Llib/mpc.scm 738 */
BgL_iportz00_6466 = BgL_iportz00_6421; 
BgL_lastzd2matchzd2_6467 = BgL_lastzd2matchzd2_6422; 
BgL_forwardz00_6468 = 
(1L+BgL_forwardz00_6423); 
BgL_bufposz00_6469 = BgL_bufposz00_6424; 
BgL_zc3z04anonymousza34799ze3z87_6470:
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_6471;
RGC_STOP_MATCH(BgL_iportz00_6466, BgL_forwardz00_6468); 
BgL_newzd2matchzd2_6471 = 2L; 
if(
(BgL_forwardz00_6468==BgL_bufposz00_6469))
{ /* Llib/mpc.scm 738 */
if(
rgc_fill_buffer(BgL_iportz00_6466))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4802z00_6474; long BgL_arg4803z00_6475;
BgL_arg4802z00_6474 = 
RGC_BUFFER_FORWARD(BgL_iportz00_6466); 
BgL_arg4803z00_6475 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_6466); 
{ 
 long BgL_bufposz00_16987; long BgL_forwardz00_16986;
BgL_forwardz00_16986 = BgL_arg4802z00_6474; 
BgL_bufposz00_16987 = BgL_arg4803z00_6475; 
BgL_bufposz00_6469 = BgL_bufposz00_16987; 
BgL_forwardz00_6468 = BgL_forwardz00_16986; 
goto BgL_zc3z04anonymousza34799ze3z87_6470;} }  else 
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6645 = BgL_newzd2matchzd2_6471; } }  else 
{ /* Llib/mpc.scm 738 */
 int BgL_curz00_6476;
BgL_curz00_6476 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_6466, BgL_forwardz00_6468); 
{ /* Llib/mpc.scm 738 */

if(
(
(long)(BgL_curz00_6476)==58L))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4805z00_6478;
BgL_arg4805z00_6478 = 
(1L+BgL_forwardz00_6468); 
{ /* Llib/mpc.scm 738 */
 long BgL_newzd2matchzd2_9859;
if(
rgc_buffer_bol_p(BgL_iportz00_6466))
{ /* Llib/mpc.scm 738 */
RGC_STOP_MATCH(BgL_iportz00_6466, BgL_arg4805z00_6478); 
BgL_newzd2matchzd2_9859 = 0L; }  else 
{ /* Llib/mpc.scm 738 */
BgL_newzd2matchzd2_9859 = BgL_newzd2matchzd2_6471; } 
BgL_matchz00_6645 = BgL_newzd2matchzd2_9859; } }  else 
{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6320z00_16996;
if(
(
(long)(BgL_curz00_6476)==10L))
{ /* Llib/mpc.scm 738 */
BgL_test6320z00_16996 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6320z00_16996 = 
(
(long)(BgL_curz00_6476)==58L)
; } 
if(BgL_test6320z00_16996)
{ /* Llib/mpc.scm 738 */
BgL_matchz00_6645 = BgL_newzd2matchzd2_6471; }  else 
{ 
 long BgL_bufposz00_17006; long BgL_forwardz00_17004; long BgL_lastzd2matchzd2_17003; obj_t BgL_iportz00_17002;
BgL_iportz00_17002 = BgL_iportz00_6466; 
BgL_lastzd2matchzd2_17003 = BgL_newzd2matchzd2_6471; 
BgL_forwardz00_17004 = 
(1L+BgL_forwardz00_6468); 
BgL_bufposz00_17006 = BgL_bufposz00_6469; 
BgL_bufposz00_6441 = BgL_bufposz00_17006; 
BgL_forwardz00_6440 = BgL_forwardz00_17004; 
BgL_lastzd2matchzd2_6439 = BgL_lastzd2matchzd2_17003; 
BgL_iportz00_6438 = BgL_iportz00_17002; 
goto BgL_zc3z04anonymousza34787ze3z87_6442;} } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_10559); 
switch( BgL_matchz00_6645) { case 2L : 

{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6322z00_17009;
{ /* Llib/mpc.scm 738 */
 long BgL_arg4914z00_6635;
BgL_arg4914z00_6635 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10559); 
BgL_test6322z00_17009 = 
(BgL_arg4914z00_6635==0L); } 
if(BgL_test6322z00_17009)
{ /* Llib/mpc.scm 738 */
return BEOF;}  else 
{ /* Llib/mpc.scm 738 */
return 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_10559));} } break;case 1L : 

return BNIL;break;case 0L : 

{ /* Llib/mpc.scm 740 */
 obj_t BgL_kz00_6648;
BgL_minz00_6538 = 
(int)(0L); 
BgL_maxz00_6539 = 
(int)(-1L); 
if(
(
(long)(BgL_maxz00_6539)<
(long)(BgL_minz00_6538)))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4843z00_6542;
BgL_arg4843z00_6542 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10559); 
{ /* Llib/mpc.scm 738 */
 long BgL_za72za7_9922;
BgL_za72za7_9922 = 
(long)(BgL_maxz00_6539); 
BgL_maxz00_6539 = 
(int)(
(BgL_arg4843z00_6542+BgL_za72za7_9922)); } }  else 
{ /* Llib/mpc.scm 738 */BFALSE; } 
{ /* Llib/mpc.scm 738 */
 bool_t BgL_test6324z00_17022;
if(
(
(long)(BgL_minz00_6538)>=0L))
{ /* Llib/mpc.scm 738 */
if(
(
(long)(BgL_maxz00_6539)>=
(long)(BgL_minz00_6538)))
{ /* Llib/mpc.scm 738 */
 long BgL_arg4852z00_6553;
BgL_arg4852z00_6553 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10559); 
BgL_test6324z00_17022 = 
(
(long)(BgL_maxz00_6539)<=BgL_arg4852z00_6553); }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6324z00_17022 = ((bool_t)0)
; } }  else 
{ /* Llib/mpc.scm 738 */
BgL_test6324z00_17022 = ((bool_t)0)
; } 
if(BgL_test6324z00_17022)
{ /* Llib/mpc.scm 738 */
BgL_kz00_6648 = 
rgc_buffer_substring(BgL_iportz00_10559, 
(long)(BgL_minz00_6538), 
(long)(BgL_maxz00_6539)); }  else 
{ /* Llib/mpc.scm 738 */
 obj_t BgL_arg4848z00_6547; obj_t BgL_arg4849z00_6548;
{ /* Llib/mpc.scm 738 */
 obj_t BgL_arg4850z00_6549;
{ /* Llib/mpc.scm 738 */
 long BgL_arg4840z00_9932;
BgL_arg4840z00_9932 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_10559); 
BgL_arg4850z00_6549 = 
rgc_buffer_substring(BgL_iportz00_10559, 0L, BgL_arg4840z00_9932); } 
{ /* Llib/mpc.scm 738 */
 obj_t BgL_list4851z00_6550;
BgL_list4851z00_6550 = 
MAKE_YOUNG_PAIR(BgL_arg4850z00_6549, BNIL); 
BgL_arg4848z00_6547 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5300z00zz__multimediazd2mpczd2, BgL_list4851z00_6550); } } 
BgL_arg4849z00_6548 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_6538), 
BINT(BgL_maxz00_6539)); 
BgL_kz00_6648 = 
BGl_errorz00zz__errorz00(BGl_string5301z00zz__multimediazd2mpczd2, BgL_arg4848z00_6547, BgL_arg4849z00_6548); } } 
{ /* Llib/mpc.scm 740 */
 obj_t BgL_sz00_6649;
BgL_sz00_6649 = 
bstring_to_symbol(
BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(BgL_kz00_6648)); 
{ /* Llib/mpc.scm 741 */
 obj_t BgL_vz00_6650;
BgL_vz00_6650 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_10559); 
{ /* Llib/mpc.scm 742 */

{ /* Llib/mpc.scm 743 */
 obj_t BgL_arg4921z00_6651; obj_t BgL_arg4922z00_6652;
BgL_arg4921z00_6651 = 
MAKE_YOUNG_PAIR(BgL_sz00_6649, BgL_vz00_6650); 
BgL_arg4922z00_6652 = 
BGl_ignoreze70ze7zz__multimediazd2mpczd2(BgL_iportz00_10559); 
return 
MAKE_YOUNG_PAIR(BgL_arg4921z00_6651, BgL_arg4922z00_6652);} } } } } break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_6645));} } } } 

}



/* &music-songpos-mpc1631 */
obj_t BGl_z62musiczd2songposzd2mpc1631z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10443, obj_t BgL_mpcz00_10444)
{
{ /* Llib/mpc.scm 674 */
{ /* Llib/mpc.scm 724 */
 obj_t BgL_arg4436z00_11890;
BgL_arg4436z00_11890 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10444))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_zc3z04anonymousza34438ze3z87_11891;
BgL_zc3z04anonymousza34438ze3z87_11891 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34438ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34438ze3z87_11891, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10444))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34438ze3z87_11891, 
(int)(1L), BGl_proc5423z00zz__multimediazd2mpczd2); 
PROCEDURE_SET(BgL_zc3z04anonymousza34438ze3z87_11891, 
(int)(2L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10444))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4436z00_11890, 
(int)(1000L), BgL_zc3z04anonymousza34438ze3z87_11891);} } } 

}



/* &<@anonymous:4438> */
obj_t BGl_z62zc3z04anonymousza34438ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10445)
{
{ /* Llib/mpc.scm 725 */
{ /* Llib/mpc.scm 726 */
 BgL_mpcz00_bglt BgL_mpcz00_10446; obj_t BgL_musiczd2timezd2parserz00_10447; BgL_mpcz00_bglt BgL_i1483z00_10448;
BgL_mpcz00_10446 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10445, 
(int)(0L))); 
BgL_musiczd2timezd2parserz00_10447 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10445, 
(int)(1L))); 
BgL_i1483z00_10448 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10445, 
(int)(2L))); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_env1492z00_11892;
BgL_env1492z00_11892 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_cell1487z00_11893;
BgL_cell1487z00_11893 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_val1491z00_11894;
BgL_val1491z00_11894 = 
BGl_zc3z04exitza34440ze3ze70z60zz__multimediazd2mpczd2(BgL_musiczd2timezd2parserz00_10447, BgL_mpcz00_10446, BgL_cell1487z00_11893, BgL_env1492z00_11892); 
if(
(BgL_val1491z00_11894==BgL_cell1487z00_11893))
{ /* Llib/mpc.scm 726 */
{ /* Llib/mpc.scm 726 */
 int BgL_tmpz00_17090;
BgL_tmpz00_17090 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_17090); } 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_arg4439z00_11895;
BgL_arg4439z00_11895 = 
CELL_REF(
((obj_t)BgL_val1491z00_11894)); 
{ /* Llib/mpc.scm 728 */
 BgL_musicstatusz00_bglt BgL_arg4443z00_11896;
BgL_arg4443z00_11896 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1483z00_10448)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10446, BgL_arg4443z00_11896, BgL_arg4439z00_11895); } 
return 
BINT(0L);} }  else 
{ /* Llib/mpc.scm 726 */
return BgL_val1491z00_11894;} } } } } } 

}



/* <@exit:4440>~0 */
obj_t BGl_zc3z04exitza34440ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_musiczd2timezd2parserz00_10558, BgL_mpcz00_bglt BgL_mpcz00_10557, obj_t BgL_cell1487z00_10556, obj_t BgL_env1492z00_10555)
{
{ /* Llib/mpc.scm 726 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1496z00_5660;
if( SET_EXIT(BgL_an_exit1496z00_5660 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1496z00_5660 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1492z00_10555, BgL_an_exit1496z00_5660, 1L); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_escape1488z00_5661;
BgL_escape1488z00_5661 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1492z00_10555); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_res1499z00_5662;
{ /* Llib/mpc.scm 726 */
 obj_t BgL_ohs1484z00_5663;
BgL_ohs1484z00_5663 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1492z00_10555); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_hds1485z00_5664;
BgL_hds1485z00_5664 = 
MAKE_STACK_PAIR(BgL_escape1488z00_5661, BgL_cell1487z00_10556); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1492z00_10555, BgL_hds1485z00_5664); BUNSPEC; 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_exitd1493z00_5665;
BgL_exitd1493z00_5665 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1492z00_10555); 
{ /* Llib/mpc.scm 726 */
 obj_t BgL_tmp1495z00_5666;
{ /* Llib/mpc.scm 726 */
 obj_t BgL_arg4441z00_5668;
BgL_arg4441z00_5668 = 
BGL_EXITD_PROTECT(BgL_exitd1493z00_5665); 
BgL_tmp1495z00_5666 = 
MAKE_YOUNG_PAIR(BgL_ohs1484z00_5663, BgL_arg4441z00_5668); } 
{ /* Llib/mpc.scm 726 */

BGL_EXITD_PROTECT_SET(BgL_exitd1493z00_5665, BgL_tmp1495z00_5666); BUNSPEC; 
{ /* Llib/mpc.scm 730 */
 obj_t BgL_tmp1494z00_5667;
BgL_tmp1494z00_5667 = 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10557, BGl_string5316z00zz__multimediazd2mpczd2, BgL_musiczd2timezd2parserz00_10558); 
{ /* Llib/mpc.scm 726 */
 bool_t BgL_test6328z00_17111;
{ /* Llib/mpc.scm 726 */
 obj_t BgL_arg1796z00_9803;
BgL_arg1796z00_9803 = 
BGL_EXITD_PROTECT(BgL_exitd1493z00_5665); 
BgL_test6328z00_17111 = 
PAIRP(BgL_arg1796z00_9803); } 
if(BgL_test6328z00_17111)
{ /* Llib/mpc.scm 726 */
 obj_t BgL_arg1794z00_9804;
{ /* Llib/mpc.scm 726 */
 obj_t BgL_arg1795z00_9805;
BgL_arg1795z00_9805 = 
BGL_EXITD_PROTECT(BgL_exitd1493z00_5665); 
BgL_arg1794z00_9804 = 
CDR(
((obj_t)BgL_arg1795z00_9805)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1493z00_5665, BgL_arg1794z00_9804); BUNSPEC; }  else 
{ /* Llib/mpc.scm 726 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1492z00_10555, BgL_ohs1484z00_5663); BUNSPEC; 
BgL_res1499z00_5662 = BgL_tmp1494z00_5667; } } } } } } 
POP_ENV_EXIT(BgL_env1492z00_10555); 
return BgL_res1499z00_5662;} } 
}} 

}



/* &music-time-parser */
obj_t BGl_z62musiczd2timezd2parserz62zz__multimediazd2mpczd2(obj_t BgL_envz00_10449, BgL_mpcz00_bglt BgL_mpcz00_10450)
{
{ /* Llib/mpc.scm 721 */
{ 
 obj_t BgL_iportz00_11966; obj_t BgL_iportz00_11900;
{ /* Llib/mpc.scm 712 */
 obj_t BgL_ipz00_12036;
{ /* Llib/mpc.scm 712 */
 obj_t BgL_arg4447z00_12037;
BgL_arg4447z00_12037 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10450))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 712 */
 obj_t BgL_tmpz00_17121;
BgL_tmpz00_17121 = 
((obj_t)BgL_arg4447z00_12037); 
BgL_ipz00_12036 = 
SOCKET_INPUT(BgL_tmpz00_17121); } } 
{ 
 obj_t BgL_tmz00_12039;
BgL_tmz00_12039 = 
BINT(0L); 
BgL_loopz00_12038:
{ /* Llib/mpc.scm 714 */
 obj_t BgL_lz00_12040;
BgL_iportz00_11966 = BgL_ipz00_12036; 
{ 
 obj_t BgL_iportz00_12026; long BgL_lastzd2matchzd2_12027; long BgL_forwardz00_12028; long BgL_bufposz00_12029; obj_t BgL_iportz00_12016; long BgL_lastzd2matchzd2_12017; long BgL_forwardz00_12018; long BgL_bufposz00_12019; obj_t BgL_iportz00_12005; long BgL_lastzd2matchzd2_12006; long BgL_forwardz00_12007; long BgL_bufposz00_12008; obj_t BgL_iportz00_11996; long BgL_lastzd2matchzd2_11997; long BgL_forwardz00_11998; long BgL_bufposz00_11999; obj_t BgL_iportz00_11987; long BgL_lastzd2matchzd2_11988; long BgL_forwardz00_11989; long BgL_bufposz00_11990;
BgL_ignorez00_11967:
RGC_START_MATCH(BgL_iportz00_11966); 
{ /* Llib/mpc.scm 692 */
 long BgL_matchz00_11974;
{ /* Llib/mpc.scm 692 */
 long BgL_arg4613z00_11975; long BgL_arg4614z00_11976;
BgL_arg4613z00_11975 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11966); 
BgL_arg4614z00_11976 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11966); 
BgL_iportz00_11996 = BgL_iportz00_11966; 
BgL_lastzd2matchzd2_11997 = 2L; 
BgL_forwardz00_11998 = BgL_arg4613z00_11975; 
BgL_bufposz00_11999 = BgL_arg4614z00_11976; 
BgL_statezd20zd21464z00_11970:
if(
(BgL_forwardz00_11998==BgL_bufposz00_11999))
{ /* Llib/mpc.scm 692 */
if(
rgc_fill_buffer(BgL_iportz00_11996))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4493z00_12000; long BgL_arg4494z00_12001;
BgL_arg4493z00_12000 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11996); 
BgL_arg4494z00_12001 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11996); 
{ 
 long BgL_bufposz00_17134; long BgL_forwardz00_17133;
BgL_forwardz00_17133 = BgL_arg4493z00_12000; 
BgL_bufposz00_17134 = BgL_arg4494z00_12001; 
BgL_bufposz00_11999 = BgL_bufposz00_17134; 
BgL_forwardz00_11998 = BgL_forwardz00_17133; 
goto BgL_statezd20zd21464z00_11970;} }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_11974 = BgL_lastzd2matchzd2_11997; } }  else 
{ /* Llib/mpc.scm 692 */
 int BgL_curz00_12002;
BgL_curz00_12002 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11996, BgL_forwardz00_11998); 
{ /* Llib/mpc.scm 692 */

if(
(
(long)(BgL_curz00_12002)==79L))
{ /* Llib/mpc.scm 692 */
BgL_iportz00_12016 = BgL_iportz00_11996; 
BgL_lastzd2matchzd2_12017 = BgL_lastzd2matchzd2_11997; 
BgL_forwardz00_12018 = 
(1L+BgL_forwardz00_11998); 
BgL_bufposz00_12019 = BgL_bufposz00_11999; 
BgL_statezd23zd21467z00_11972:
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12020;
RGC_STOP_MATCH(BgL_iportz00_12016, BgL_forwardz00_12018); 
BgL_newzd2matchzd2_12020 = 2L; 
if(
(BgL_forwardz00_12018==BgL_bufposz00_12019))
{ /* Llib/mpc.scm 692 */
if(
rgc_fill_buffer(BgL_iportz00_12016))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4463z00_12021; long BgL_arg4464z00_12022;
BgL_arg4463z00_12021 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12016); 
BgL_arg4464z00_12022 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12016); 
{ 
 long BgL_bufposz00_17147; long BgL_forwardz00_17146;
BgL_forwardz00_17146 = BgL_arg4463z00_12021; 
BgL_bufposz00_17147 = BgL_arg4464z00_12022; 
BgL_bufposz00_12019 = BgL_bufposz00_17147; 
BgL_forwardz00_12018 = BgL_forwardz00_17146; 
goto BgL_statezd23zd21467z00_11972;} }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_11974 = BgL_newzd2matchzd2_12020; } }  else 
{ /* Llib/mpc.scm 692 */
 int BgL_curz00_12023;
BgL_curz00_12023 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12016, BgL_forwardz00_12018); 
{ /* Llib/mpc.scm 692 */

if(
(
(long)(BgL_curz00_12023)==75L))
{ /* Llib/mpc.scm 692 */
BgL_iportz00_12005 = BgL_iportz00_12016; 
BgL_lastzd2matchzd2_12006 = BgL_newzd2matchzd2_12020; 
BgL_forwardz00_12007 = 
(1L+BgL_forwardz00_12018); 
BgL_bufposz00_12008 = BgL_bufposz00_12019; 
BgL_statezd26zd21470z00_11971:
if(
(BgL_forwardz00_12007==BgL_bufposz00_12008))
{ /* Llib/mpc.scm 692 */
if(
rgc_fill_buffer(BgL_iportz00_12005))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4478z00_12009; long BgL_arg4479z00_12010;
BgL_arg4478z00_12009 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12005); 
BgL_arg4479z00_12010 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12005); 
{ 
 long BgL_bufposz00_17159; long BgL_forwardz00_17158;
BgL_forwardz00_17158 = BgL_arg4478z00_12009; 
BgL_bufposz00_17159 = BgL_arg4479z00_12010; 
BgL_bufposz00_12008 = BgL_bufposz00_17159; 
BgL_forwardz00_12007 = BgL_forwardz00_17158; 
goto BgL_statezd26zd21470z00_11971;} }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_11974 = BgL_lastzd2matchzd2_12006; } }  else 
{ /* Llib/mpc.scm 692 */
 int BgL_curz00_12011;
BgL_curz00_12011 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12005, BgL_forwardz00_12007); 
{ /* Llib/mpc.scm 692 */

{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6337z00_17161;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6338z00_17162;
if(
(
(long)(BgL_curz00_12011)>=65L))
{ /* Llib/mpc.scm 692 */
BgL_test6338z00_17162 = 
(
(long)(BgL_curz00_12011)<91L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6338z00_17162 = ((bool_t)0)
; } 
if(BgL_test6338z00_17162)
{ /* Llib/mpc.scm 692 */
BgL_test6337z00_17161 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12011)>=97L))
{ /* Llib/mpc.scm 692 */
BgL_test6337z00_17161 = 
(
(long)(BgL_curz00_12011)<123L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6337z00_17161 = ((bool_t)0)
; } } } 
if(BgL_test6337z00_17161)
{ /* Llib/mpc.scm 692 */
BgL_iportz00_11987 = BgL_iportz00_12005; 
BgL_lastzd2matchzd2_11988 = BgL_lastzd2matchzd2_12006; 
BgL_forwardz00_11989 = 
(1L+BgL_forwardz00_12007); 
BgL_bufposz00_11990 = BgL_bufposz00_12008; 
BgL_statezd25zd21469z00_11969:
if(
(BgL_forwardz00_11989==BgL_bufposz00_11990))
{ /* Llib/mpc.scm 692 */
if(
rgc_fill_buffer(BgL_iportz00_11987))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4507z00_11991; long BgL_arg4508z00_11992;
BgL_arg4507z00_11991 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11987); 
BgL_arg4508z00_11992 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11987); 
{ 
 long BgL_bufposz00_17180; long BgL_forwardz00_17179;
BgL_forwardz00_17179 = BgL_arg4507z00_11991; 
BgL_bufposz00_17180 = BgL_arg4508z00_11992; 
BgL_bufposz00_11990 = BgL_bufposz00_17180; 
BgL_forwardz00_11989 = BgL_forwardz00_17179; 
goto BgL_statezd25zd21469z00_11969;} }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_11974 = BgL_lastzd2matchzd2_11988; } }  else 
{ /* Llib/mpc.scm 692 */
 int BgL_curz00_11993;
BgL_curz00_11993 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11987, BgL_forwardz00_11989); 
{ /* Llib/mpc.scm 692 */

{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6343z00_17182;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6344z00_17183;
if(
(
(long)(BgL_curz00_11993)>=65L))
{ /* Llib/mpc.scm 692 */
BgL_test6344z00_17183 = 
(
(long)(BgL_curz00_11993)<91L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6344z00_17183 = ((bool_t)0)
; } 
if(BgL_test6344z00_17183)
{ /* Llib/mpc.scm 692 */
BgL_test6343z00_17182 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_11993)>=97L))
{ /* Llib/mpc.scm 692 */
BgL_test6343z00_17182 = 
(
(long)(BgL_curz00_11993)<123L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6343z00_17182 = ((bool_t)0)
; } } } 
if(BgL_test6343z00_17182)
{ 
 long BgL_forwardz00_17194;
BgL_forwardz00_17194 = 
(1L+BgL_forwardz00_11989); 
BgL_forwardz00_11989 = BgL_forwardz00_17194; 
goto BgL_statezd25zd21469z00_11969;}  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_11993)==58L))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4514z00_11994;
BgL_arg4514z00_11994 = 
(1L+BgL_forwardz00_11989); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_11995;
RGC_STOP_MATCH(BgL_iportz00_11987, BgL_arg4514z00_11994); 
BgL_newzd2matchzd2_11995 = 0L; 
BgL_matchz00_11974 = BgL_newzd2matchzd2_11995; } }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_11974 = BgL_lastzd2matchzd2_11988; } } } } } }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12011)==58L))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4485z00_12012;
BgL_arg4485z00_12012 = 
(1L+BgL_forwardz00_12007); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12013;
RGC_STOP_MATCH(BgL_iportz00_12005, BgL_arg4485z00_12012); 
BgL_newzd2matchzd2_12013 = 0L; 
BgL_matchz00_11974 = BgL_newzd2matchzd2_12013; } }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12011)==10L))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4487z00_12014;
BgL_arg4487z00_12014 = 
(1L+BgL_forwardz00_12007); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12015;
RGC_STOP_MATCH(BgL_iportz00_12005, BgL_arg4487z00_12014); 
BgL_newzd2matchzd2_12015 = 1L; 
BgL_matchz00_11974 = BgL_newzd2matchzd2_12015; } }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_11974 = BgL_lastzd2matchzd2_12006; } } } } } } }  else 
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6350z00_17213;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6351z00_17214;
if(
(
(long)(BgL_curz00_12023)>=65L))
{ /* Llib/mpc.scm 692 */
BgL_test6351z00_17214 = 
(
(long)(BgL_curz00_12023)<75L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6351z00_17214 = ((bool_t)0)
; } 
if(BgL_test6351z00_17214)
{ /* Llib/mpc.scm 692 */
BgL_test6350z00_17213 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6353z00_17220;
if(
(
(long)(BgL_curz00_12023)>=76L))
{ /* Llib/mpc.scm 692 */
BgL_test6353z00_17220 = 
(
(long)(BgL_curz00_12023)<91L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6353z00_17220 = ((bool_t)0)
; } 
if(BgL_test6353z00_17220)
{ /* Llib/mpc.scm 692 */
BgL_test6350z00_17213 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12023)>=97L))
{ /* Llib/mpc.scm 692 */
BgL_test6350z00_17213 = 
(
(long)(BgL_curz00_12023)<123L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6350z00_17213 = ((bool_t)0)
; } } } } 
if(BgL_test6350z00_17213)
{ 
 long BgL_bufposz00_17235; long BgL_forwardz00_17233; long BgL_lastzd2matchzd2_17232; obj_t BgL_iportz00_17231;
BgL_iportz00_17231 = BgL_iportz00_12016; 
BgL_lastzd2matchzd2_17232 = BgL_newzd2matchzd2_12020; 
BgL_forwardz00_17233 = 
(1L+BgL_forwardz00_12018); 
BgL_bufposz00_17235 = BgL_bufposz00_12019; 
BgL_bufposz00_11990 = BgL_bufposz00_17235; 
BgL_forwardz00_11989 = BgL_forwardz00_17233; 
BgL_lastzd2matchzd2_11988 = BgL_lastzd2matchzd2_17232; 
BgL_iportz00_11987 = BgL_iportz00_17231; 
goto BgL_statezd25zd21469z00_11969;}  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12023)==58L))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4474z00_12024;
BgL_arg4474z00_12024 = 
(1L+BgL_forwardz00_12018); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12025;
RGC_STOP_MATCH(BgL_iportz00_12016, BgL_arg4474z00_12024); 
BgL_newzd2matchzd2_12025 = 0L; 
BgL_matchz00_11974 = BgL_newzd2matchzd2_12025; } }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_11974 = BgL_newzd2matchzd2_12020; } } } } } } }  else 
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6357z00_17242;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6358z00_17243;
if(
(
(long)(BgL_curz00_12002)>=65L))
{ /* Llib/mpc.scm 692 */
BgL_test6358z00_17243 = 
(
(long)(BgL_curz00_12002)<79L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6358z00_17243 = ((bool_t)0)
; } 
if(BgL_test6358z00_17243)
{ /* Llib/mpc.scm 692 */
BgL_test6357z00_17242 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6360z00_17249;
if(
(
(long)(BgL_curz00_12002)>=80L))
{ /* Llib/mpc.scm 692 */
BgL_test6360z00_17249 = 
(
(long)(BgL_curz00_12002)<91L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6360z00_17249 = ((bool_t)0)
; } 
if(BgL_test6360z00_17249)
{ /* Llib/mpc.scm 692 */
BgL_test6357z00_17242 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12002)>=97L))
{ /* Llib/mpc.scm 692 */
BgL_test6357z00_17242 = 
(
(long)(BgL_curz00_12002)<123L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6357z00_17242 = ((bool_t)0)
; } } } } 
if(BgL_test6357z00_17242)
{ /* Llib/mpc.scm 692 */
BgL_iportz00_12026 = BgL_iportz00_11996; 
BgL_lastzd2matchzd2_12027 = BgL_lastzd2matchzd2_11997; 
BgL_forwardz00_12028 = 
(1L+BgL_forwardz00_11998); 
BgL_bufposz00_12029 = BgL_bufposz00_11999; 
BgL_statezd22zd21466z00_11973:
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12030;
RGC_STOP_MATCH(BgL_iportz00_12026, BgL_forwardz00_12028); 
BgL_newzd2matchzd2_12030 = 2L; 
if(
(BgL_forwardz00_12028==BgL_bufposz00_12029))
{ /* Llib/mpc.scm 692 */
if(
rgc_fill_buffer(BgL_iportz00_12026))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4452z00_12031; long BgL_arg4453z00_12032;
BgL_arg4452z00_12031 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12026); 
BgL_arg4453z00_12032 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12026); 
{ 
 long BgL_bufposz00_17268; long BgL_forwardz00_17267;
BgL_forwardz00_17267 = BgL_arg4452z00_12031; 
BgL_bufposz00_17268 = BgL_arg4453z00_12032; 
BgL_bufposz00_12029 = BgL_bufposz00_17268; 
BgL_forwardz00_12028 = BgL_forwardz00_17267; 
goto BgL_statezd22zd21466z00_11973;} }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_11974 = BgL_newzd2matchzd2_12030; } }  else 
{ /* Llib/mpc.scm 692 */
 int BgL_curz00_12033;
BgL_curz00_12033 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12026, BgL_forwardz00_12028); 
{ /* Llib/mpc.scm 692 */

{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6365z00_17270;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6366z00_17271;
if(
(
(long)(BgL_curz00_12033)>=65L))
{ /* Llib/mpc.scm 692 */
BgL_test6366z00_17271 = 
(
(long)(BgL_curz00_12033)<91L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6366z00_17271 = ((bool_t)0)
; } 
if(BgL_test6366z00_17271)
{ /* Llib/mpc.scm 692 */
BgL_test6365z00_17270 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12033)>=97L))
{ /* Llib/mpc.scm 692 */
BgL_test6365z00_17270 = 
(
(long)(BgL_curz00_12033)<123L)
; }  else 
{ /* Llib/mpc.scm 692 */
BgL_test6365z00_17270 = ((bool_t)0)
; } } } 
if(BgL_test6365z00_17270)
{ 
 long BgL_bufposz00_17286; long BgL_forwardz00_17284; long BgL_lastzd2matchzd2_17283; obj_t BgL_iportz00_17282;
BgL_iportz00_17282 = BgL_iportz00_12026; 
BgL_lastzd2matchzd2_17283 = BgL_newzd2matchzd2_12030; 
BgL_forwardz00_17284 = 
(1L+BgL_forwardz00_12028); 
BgL_bufposz00_17286 = BgL_bufposz00_12029; 
BgL_bufposz00_11990 = BgL_bufposz00_17286; 
BgL_forwardz00_11989 = BgL_forwardz00_17284; 
BgL_lastzd2matchzd2_11988 = BgL_lastzd2matchzd2_17283; 
BgL_iportz00_11987 = BgL_iportz00_17282; 
goto BgL_statezd25zd21469z00_11969;}  else 
{ /* Llib/mpc.scm 692 */
if(
(
(long)(BgL_curz00_12033)==58L))
{ /* Llib/mpc.scm 692 */
 long BgL_arg4459z00_12034;
BgL_arg4459z00_12034 = 
(1L+BgL_forwardz00_12028); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12035;
RGC_STOP_MATCH(BgL_iportz00_12026, BgL_arg4459z00_12034); 
BgL_newzd2matchzd2_12035 = 0L; 
BgL_matchz00_11974 = BgL_newzd2matchzd2_12035; } }  else 
{ /* Llib/mpc.scm 692 */
BgL_matchz00_11974 = BgL_newzd2matchzd2_12030; } } } } } } }  else 
{ /* Llib/mpc.scm 692 */
 long BgL_arg4503z00_12003;
BgL_arg4503z00_12003 = 
(1L+BgL_forwardz00_11998); 
{ /* Llib/mpc.scm 692 */
 long BgL_newzd2matchzd2_12004;
RGC_STOP_MATCH(BgL_iportz00_11996, BgL_arg4503z00_12003); 
BgL_newzd2matchzd2_12004 = 2L; 
BgL_matchz00_11974 = BgL_newzd2matchzd2_12004; } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_11966); 
switch( BgL_matchz00_11974) { case 2L : 

{ /* Llib/mpc.scm 705 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg4604z00_11977;
{ /* Llib/mpc.scm 705 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1481z00_11978;
{ /* Llib/mpc.scm 705 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1480z00_11979;
BgL_new1480z00_11979 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 705 */
 long BgL_arg4609z00_11980;
BgL_arg4609z00_11980 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1480z00_11979), BgL_arg4609z00_11980); } 
BgL_new1481z00_11978 = BgL_new1480z00_11979; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1481z00_11978)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1481z00_11978)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17304;
{ /* Llib/mpc.scm 705 */
 obj_t BgL_arg4605z00_11981;
{ /* Llib/mpc.scm 705 */
 obj_t BgL_arg4606z00_11982;
{ /* Llib/mpc.scm 705 */
 obj_t BgL_classz00_11983;
BgL_classz00_11983 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg4606z00_11982 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_11983); } 
BgL_arg4605z00_11981 = 
VECTOR_REF(BgL_arg4606z00_11982,2L); } 
BgL_auxz00_17304 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg4605z00_11981); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1481z00_11978)))->BgL_stackz00)=((obj_t)BgL_auxz00_17304),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1481z00_11978)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(40L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1481z00_11978)))->BgL_msgz00)=((obj_t)BGl_string5409z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17315;
{ /* Llib/mpc.scm 708 */
 obj_t BgL_arg4607z00_11984;
{ /* Llib/mpc.scm 692 */
 bool_t BgL_test6370z00_17317;
{ /* Llib/mpc.scm 692 */
 long BgL_arg4597z00_11986;
BgL_arg4597z00_11986 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11966); 
BgL_test6370z00_17317 = 
(BgL_arg4597z00_11986==0L); } 
if(BgL_test6370z00_17317)
{ /* Llib/mpc.scm 692 */
BgL_arg4607z00_11984 = BEOF; }  else 
{ /* Llib/mpc.scm 692 */
BgL_arg4607z00_11984 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_11966)); } } 
BgL_auxz00_17315 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg4607z00_11984, BgL_iportz00_11966); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1481z00_11978)))->BgL_objz00)=((obj_t)BgL_auxz00_17315),BUNSPEC); } 
BgL_arg4604z00_11977 = BgL_new1481z00_11978; } 
BgL_lz00_12040 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg4604z00_11977)); } break;case 1L : 

BgL_lz00_12040 = 
CNST_TABLE_REF(35L); break;case 0L : 

{ /* Llib/mpc.scm 694 */
 obj_t BgL_kz00_11985;
BgL_kz00_11985 = 
rgc_buffer_keyword(BgL_iportz00_11966); 
if(
(BgL_kz00_11985==
CNST_TABLE_REF(15L)))
{ /* Llib/mpc.scm 695 */
BgL_iportz00_11900 = BgL_iportz00_11966; 
{ 
 obj_t BgL_iportz00_11956; long BgL_lastzd2matchzd2_11957; long BgL_forwardz00_11958; long BgL_bufposz00_11959; obj_t BgL_iportz00_11948; long BgL_lastzd2matchzd2_11949; long BgL_forwardz00_11950; long BgL_bufposz00_11951; obj_t BgL_iportz00_11938; long BgL_lastzd2matchzd2_11939; long BgL_forwardz00_11940; long BgL_bufposz00_11941; obj_t BgL_iportz00_11929; long BgL_lastzd2matchzd2_11930; long BgL_forwardz00_11931; long BgL_bufposz00_11932; obj_t BgL_iportz00_11921; long BgL_lastzd2matchzd2_11922; long BgL_forwardz00_11923; long BgL_bufposz00_11924;
BgL_ignorez00_11901:
RGC_START_MATCH(BgL_iportz00_11900); 
{ /* Llib/mpc.scm 677 */
 long BgL_matchz00_11908;
{ /* Llib/mpc.scm 677 */
 long BgL_arg4763z00_11909; long BgL_arg4764z00_11910;
BgL_arg4763z00_11909 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11900); 
BgL_arg4764z00_11910 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11900); 
BgL_iportz00_11956 = BgL_iportz00_11900; 
BgL_lastzd2matchzd2_11957 = 2L; 
BgL_forwardz00_11958 = BgL_arg4763z00_11909; 
BgL_bufposz00_11959 = BgL_arg4764z00_11910; 
BgL_statezd20zd21452z00_11907:
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11960;
RGC_STOP_MATCH(BgL_iportz00_11956, BgL_forwardz00_11958); 
BgL_newzd2matchzd2_11960 = 0L; 
if(
(BgL_forwardz00_11958==BgL_bufposz00_11959))
{ /* Llib/mpc.scm 677 */
if(
rgc_fill_buffer(BgL_iportz00_11956))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4619z00_11961; long BgL_arg4620z00_11962;
BgL_arg4619z00_11961 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11956); 
BgL_arg4620z00_11962 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11956); 
{ 
 long BgL_bufposz00_17342; long BgL_forwardz00_17341;
BgL_forwardz00_17341 = BgL_arg4619z00_11961; 
BgL_bufposz00_17342 = BgL_arg4620z00_11962; 
BgL_bufposz00_11959 = BgL_bufposz00_17342; 
BgL_forwardz00_11958 = BgL_forwardz00_17341; 
goto BgL_statezd20zd21452z00_11907;} }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11908 = BgL_newzd2matchzd2_11960; } }  else 
{ /* Llib/mpc.scm 677 */
 int BgL_curz00_11963;
BgL_curz00_11963 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11956, BgL_forwardz00_11958); 
{ /* Llib/mpc.scm 677 */

{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6374z00_17344;
if(
(
(long)(BgL_curz00_11963)>=48L))
{ /* Llib/mpc.scm 677 */
BgL_test6374z00_17344 = 
(
(long)(BgL_curz00_11963)<58L)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6374z00_17344 = ((bool_t)0)
; } 
if(BgL_test6374z00_17344)
{ /* Llib/mpc.scm 677 */
BgL_iportz00_11938 = BgL_iportz00_11956; 
BgL_lastzd2matchzd2_11939 = BgL_newzd2matchzd2_11960; 
BgL_forwardz00_11940 = 
(1L+BgL_forwardz00_11958); 
BgL_bufposz00_11941 = BgL_bufposz00_11959; 
BgL_statezd23zd21455z00_11905:
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11942;
RGC_STOP_MATCH(BgL_iportz00_11938, BgL_forwardz00_11940); 
BgL_newzd2matchzd2_11942 = 2L; 
if(
(BgL_forwardz00_11940==BgL_bufposz00_11941))
{ /* Llib/mpc.scm 677 */
if(
rgc_fill_buffer(BgL_iportz00_11938))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4642z00_11943; long BgL_arg4643z00_11944;
BgL_arg4642z00_11943 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11938); 
BgL_arg4643z00_11944 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11938); 
{ 
 long BgL_bufposz00_17358; long BgL_forwardz00_17357;
BgL_forwardz00_17357 = BgL_arg4642z00_11943; 
BgL_bufposz00_17358 = BgL_arg4643z00_11944; 
BgL_bufposz00_11941 = BgL_bufposz00_17358; 
BgL_forwardz00_11940 = BgL_forwardz00_17357; 
goto BgL_statezd23zd21455z00_11905;} }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11908 = BgL_newzd2matchzd2_11942; } }  else 
{ /* Llib/mpc.scm 677 */
 int BgL_curz00_11945;
BgL_curz00_11945 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11938, BgL_forwardz00_11940); 
{ /* Llib/mpc.scm 677 */

if(
(
(long)(BgL_curz00_11945)==58L))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4645z00_11946;
BgL_arg4645z00_11946 = 
(1L+BgL_forwardz00_11940); 
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11947;
RGC_STOP_MATCH(BgL_iportz00_11938, BgL_arg4645z00_11946); 
BgL_newzd2matchzd2_11947 = 1L; 
BgL_matchz00_11908 = BgL_newzd2matchzd2_11947; } }  else 
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6379z00_17365;
if(
(
(long)(BgL_curz00_11945)>=48L))
{ /* Llib/mpc.scm 677 */
BgL_test6379z00_17365 = 
(
(long)(BgL_curz00_11945)<58L)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6379z00_17365 = ((bool_t)0)
; } 
if(BgL_test6379z00_17365)
{ /* Llib/mpc.scm 677 */
BgL_iportz00_11929 = BgL_iportz00_11938; 
BgL_lastzd2matchzd2_11930 = BgL_newzd2matchzd2_11942; 
BgL_forwardz00_11931 = 
(1L+BgL_forwardz00_11940); 
BgL_bufposz00_11932 = BgL_bufposz00_11941; 
BgL_statezd25zd21457z00_11904:
if(
(BgL_forwardz00_11931==BgL_bufposz00_11932))
{ /* Llib/mpc.scm 677 */
if(
rgc_fill_buffer(BgL_iportz00_11929))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4652z00_11933; long BgL_arg4653z00_11934;
BgL_arg4652z00_11933 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11929); 
BgL_arg4653z00_11934 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11929); 
{ 
 long BgL_bufposz00_17378; long BgL_forwardz00_17377;
BgL_forwardz00_17377 = BgL_arg4652z00_11933; 
BgL_bufposz00_17378 = BgL_arg4653z00_11934; 
BgL_bufposz00_11932 = BgL_bufposz00_17378; 
BgL_forwardz00_11931 = BgL_forwardz00_17377; 
goto BgL_statezd25zd21457z00_11904;} }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11908 = BgL_lastzd2matchzd2_11930; } }  else 
{ /* Llib/mpc.scm 677 */
 int BgL_curz00_11935;
BgL_curz00_11935 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11929, BgL_forwardz00_11931); 
{ /* Llib/mpc.scm 677 */

if(
(
(long)(BgL_curz00_11935)==58L))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4655z00_11936;
BgL_arg4655z00_11936 = 
(1L+BgL_forwardz00_11931); 
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11937;
RGC_STOP_MATCH(BgL_iportz00_11929, BgL_arg4655z00_11936); 
BgL_newzd2matchzd2_11937 = 1L; 
BgL_matchz00_11908 = BgL_newzd2matchzd2_11937; } }  else 
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6384z00_17385;
if(
(
(long)(BgL_curz00_11935)>=48L))
{ /* Llib/mpc.scm 677 */
BgL_test6384z00_17385 = 
(
(long)(BgL_curz00_11935)<58L)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6384z00_17385 = ((bool_t)0)
; } 
if(BgL_test6384z00_17385)
{ 
 long BgL_forwardz00_17391;
BgL_forwardz00_17391 = 
(1L+BgL_forwardz00_11931); 
BgL_forwardz00_11931 = BgL_forwardz00_17391; 
goto BgL_statezd25zd21457z00_11904;}  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11908 = BgL_lastzd2matchzd2_11930; } } } } }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11908 = BgL_newzd2matchzd2_11942; } } } } } }  else 
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6386z00_17395;
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6387z00_17396;
if(
(
(long)(BgL_curz00_11963)==10L))
{ /* Llib/mpc.scm 677 */
BgL_test6387z00_17396 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6387z00_17396 = 
(
(long)(BgL_curz00_11963)==9L)
; } 
if(BgL_test6387z00_17396)
{ /* Llib/mpc.scm 677 */
BgL_test6386z00_17395 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6386z00_17395 = 
(
(long)(BgL_curz00_11963)==32L)
; } } 
if(BgL_test6386z00_17395)
{ /* Llib/mpc.scm 677 */
BgL_iportz00_11948 = BgL_iportz00_11956; 
BgL_lastzd2matchzd2_11949 = BgL_newzd2matchzd2_11960; 
BgL_forwardz00_11950 = 
(1L+BgL_forwardz00_11958); 
BgL_bufposz00_11951 = BgL_bufposz00_11959; 
BgL_statezd22zd21454z00_11906:
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11952;
RGC_STOP_MATCH(BgL_iportz00_11948, BgL_forwardz00_11950); 
BgL_newzd2matchzd2_11952 = 0L; 
if(
(BgL_forwardz00_11950==BgL_bufposz00_11951))
{ /* Llib/mpc.scm 677 */
if(
rgc_fill_buffer(BgL_iportz00_11948))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4633z00_11953; long BgL_arg4634z00_11954;
BgL_arg4633z00_11953 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11948); 
BgL_arg4634z00_11954 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11948); 
{ 
 long BgL_bufposz00_17412; long BgL_forwardz00_17411;
BgL_forwardz00_17411 = BgL_arg4633z00_11953; 
BgL_bufposz00_17412 = BgL_arg4634z00_11954; 
BgL_bufposz00_11951 = BgL_bufposz00_17412; 
BgL_forwardz00_11950 = BgL_forwardz00_17411; 
goto BgL_statezd22zd21454z00_11906;} }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11908 = BgL_newzd2matchzd2_11952; } }  else 
{ /* Llib/mpc.scm 677 */
 int BgL_curz00_11955;
BgL_curz00_11955 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11948, BgL_forwardz00_11950); 
{ /* Llib/mpc.scm 677 */

{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6391z00_17414;
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6392z00_17415;
if(
(
(long)(BgL_curz00_11955)==10L))
{ /* Llib/mpc.scm 677 */
BgL_test6392z00_17415 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6392z00_17415 = 
(
(long)(BgL_curz00_11955)==9L)
; } 
if(BgL_test6392z00_17415)
{ /* Llib/mpc.scm 677 */
BgL_test6391z00_17414 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6391z00_17414 = 
(
(long)(BgL_curz00_11955)==32L)
; } } 
if(BgL_test6391z00_17414)
{ /* Llib/mpc.scm 677 */
BgL_iportz00_11921 = BgL_iportz00_11948; 
BgL_lastzd2matchzd2_11922 = BgL_newzd2matchzd2_11952; 
BgL_forwardz00_11923 = 
(1L+BgL_forwardz00_11950); 
BgL_bufposz00_11924 = BgL_bufposz00_11951; 
BgL_statezd27zd21459z00_11903:
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11925;
RGC_STOP_MATCH(BgL_iportz00_11921, BgL_forwardz00_11923); 
BgL_newzd2matchzd2_11925 = 0L; 
if(
(BgL_forwardz00_11923==BgL_bufposz00_11924))
{ /* Llib/mpc.scm 677 */
if(
rgc_fill_buffer(BgL_iportz00_11921))
{ /* Llib/mpc.scm 677 */
 long BgL_arg4663z00_11926; long BgL_arg4664z00_11927;
BgL_arg4663z00_11926 = 
RGC_BUFFER_FORWARD(BgL_iportz00_11921); 
BgL_arg4664z00_11927 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_11921); 
{ 
 long BgL_bufposz00_17431; long BgL_forwardz00_17430;
BgL_forwardz00_17430 = BgL_arg4663z00_11926; 
BgL_bufposz00_17431 = BgL_arg4664z00_11927; 
BgL_bufposz00_11924 = BgL_bufposz00_17431; 
BgL_forwardz00_11923 = BgL_forwardz00_17430; 
goto BgL_statezd27zd21459z00_11903;} }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11908 = BgL_newzd2matchzd2_11925; } }  else 
{ /* Llib/mpc.scm 677 */
 int BgL_curz00_11928;
BgL_curz00_11928 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_11921, BgL_forwardz00_11923); 
{ /* Llib/mpc.scm 677 */

{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6396z00_17433;
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6397z00_17434;
if(
(
(long)(BgL_curz00_11928)==10L))
{ /* Llib/mpc.scm 677 */
BgL_test6397z00_17434 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6397z00_17434 = 
(
(long)(BgL_curz00_11928)==9L)
; } 
if(BgL_test6397z00_17434)
{ /* Llib/mpc.scm 677 */
BgL_test6396z00_17433 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 677 */
BgL_test6396z00_17433 = 
(
(long)(BgL_curz00_11928)==32L)
; } } 
if(BgL_test6396z00_17433)
{ 
 long BgL_forwardz00_17443; long BgL_lastzd2matchzd2_17442;
BgL_lastzd2matchzd2_17442 = BgL_newzd2matchzd2_11925; 
BgL_forwardz00_17443 = 
(1L+BgL_forwardz00_11923); 
BgL_forwardz00_11923 = BgL_forwardz00_17443; 
BgL_lastzd2matchzd2_11922 = BgL_lastzd2matchzd2_17442; 
goto BgL_statezd27zd21459z00_11903;}  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11908 = BgL_newzd2matchzd2_11925; } } } } } }  else 
{ /* Llib/mpc.scm 677 */
BgL_matchz00_11908 = BgL_newzd2matchzd2_11952; } } } } } }  else 
{ /* Llib/mpc.scm 677 */
 long BgL_arg4628z00_11964;
BgL_arg4628z00_11964 = 
(1L+BgL_forwardz00_11958); 
{ /* Llib/mpc.scm 677 */
 long BgL_newzd2matchzd2_11965;
RGC_STOP_MATCH(BgL_iportz00_11956, BgL_arg4628z00_11964); 
BgL_newzd2matchzd2_11965 = 2L; 
BgL_matchz00_11908 = BgL_newzd2matchzd2_11965; } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_11900); 
switch( BgL_matchz00_11908) { case 2L : 

{ /* Llib/mpc.scm 686 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg4756z00_11911;
{ /* Llib/mpc.scm 686 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1463z00_11912;
{ /* Llib/mpc.scm 686 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1462z00_11913;
BgL_new1462z00_11913 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 686 */
 long BgL_arg4761z00_11914;
BgL_arg4761z00_11914 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1462z00_11913), BgL_arg4761z00_11914); } 
BgL_new1463z00_11912 = BgL_new1462z00_11913; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1463z00_11912)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1463z00_11912)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17458;
{ /* Llib/mpc.scm 686 */
 obj_t BgL_arg4757z00_11915;
{ /* Llib/mpc.scm 686 */
 obj_t BgL_arg4758z00_11916;
{ /* Llib/mpc.scm 686 */
 obj_t BgL_classz00_11917;
BgL_classz00_11917 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg4758z00_11916 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_11917); } 
BgL_arg4757z00_11915 = 
VECTOR_REF(BgL_arg4758z00_11916,2L); } 
BgL_auxz00_17458 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg4757z00_11915); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1463z00_11912)))->BgL_stackz00)=((obj_t)BgL_auxz00_17458),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1463z00_11912)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(0L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1463z00_11912)))->BgL_msgz00)=((obj_t)BGl_string5295z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17469;
{ /* Llib/mpc.scm 689 */
 obj_t BgL_arg4759z00_11918;
{ /* Llib/mpc.scm 677 */
 bool_t BgL_test6399z00_17471;
{ /* Llib/mpc.scm 677 */
 long BgL_arg4749z00_11920;
BgL_arg4749z00_11920 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_11900); 
BgL_test6399z00_17471 = 
(BgL_arg4749z00_11920==0L); } 
if(BgL_test6399z00_17471)
{ /* Llib/mpc.scm 677 */
BgL_arg4759z00_11918 = BEOF; }  else 
{ /* Llib/mpc.scm 677 */
BgL_arg4759z00_11918 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_11900)); } } 
BgL_auxz00_17469 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg4759z00_11918, BgL_iportz00_11900); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1463z00_11912)))->BgL_objz00)=((obj_t)BgL_auxz00_17469),BUNSPEC); } 
BgL_arg4756z00_11911 = BgL_new1463z00_11912; } 
BgL_lz00_12040 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg4756z00_11911)); } break;case 1L : 

{ /* Llib/mpc.scm 681 */
 long BgL_vz00_11919;
BgL_vz00_11919 = 
rgc_buffer_fixnum(BgL_iportz00_11900); 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11900); 
BgL_lz00_12040 = 
BINT(BgL_vz00_11919); } break;case 0L : 

goto BgL_ignorez00_11901;break;
default: 
BgL_lz00_12040 = 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_11908)); } } } }  else 
{ /* Llib/mpc.scm 695 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_11966); 
goto BgL_ignorez00_11967;} } break;
default: 
BgL_lz00_12040 = 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_11974)); } } } 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_lz00_12040))
{ 
 obj_t BgL_tmz00_17498;
BgL_tmz00_17498 = BgL_lz00_12040; 
BgL_tmz00_12039 = BgL_tmz00_17498; 
goto BgL_loopz00_12038;}  else 
{ /* Llib/mpc.scm 716 */
if(
(BgL_lz00_12040==
CNST_TABLE_REF(35L)))
{ /* Llib/mpc.scm 718 */
return BgL_tmz00_12039;}  else 
{ 

goto BgL_loopz00_12038;} } } } } } } 

}



/* &music-song-mpc1629 */
obj_t BGl_z62musiczd2songzd2mpc1629z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10451, obj_t BgL_mpcz00_10452)
{
{ /* Llib/mpc.scm 620 */
{ /* Llib/mpc.scm 663 */
 obj_t BgL_arg4239z00_12043;
BgL_arg4239z00_12043 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10452))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_zc3z04anonymousza34241ze3z87_12044;
BgL_zc3z04anonymousza34241ze3z87_12044 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34241ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34241ze3z87_12044, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10452))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34241ze3z87_12044, 
(int)(1L), BGl_proc5424z00zz__multimediazd2mpczd2); 
PROCEDURE_SET(BgL_zc3z04anonymousza34241ze3z87_12044, 
(int)(2L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10452))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4239z00_12043, 
(int)(1000L), BgL_zc3z04anonymousza34241ze3z87_12044);} } } 

}



/* &<@anonymous:4241> */
obj_t BGl_z62zc3z04anonymousza34241ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10453)
{
{ /* Llib/mpc.scm 664 */
{ /* Llib/mpc.scm 665 */
 BgL_mpcz00_bglt BgL_mpcz00_10454; obj_t BgL_musiczd2songzd2parserz00_10455; BgL_mpcz00_bglt BgL_i1434z00_10456;
BgL_mpcz00_10454 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10453, 
(int)(0L))); 
BgL_musiczd2songzd2parserz00_10455 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10453, 
(int)(1L))); 
BgL_i1434z00_10456 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10453, 
(int)(2L))); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_env1443z00_12045;
BgL_env1443z00_12045 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_cell1438z00_12046;
BgL_cell1438z00_12046 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_val1442z00_12047;
BgL_val1442z00_12047 = 
BGl_zc3z04exitza34243ze3ze70z60zz__multimediazd2mpczd2(BgL_musiczd2songzd2parserz00_10455, BgL_mpcz00_10454, BgL_cell1438z00_12046, BgL_env1443z00_12045); 
if(
(BgL_val1442z00_12047==BgL_cell1438z00_12046))
{ /* Llib/mpc.scm 665 */
{ /* Llib/mpc.scm 665 */
 int BgL_tmpz00_17535;
BgL_tmpz00_17535 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_17535); } 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_arg4242z00_12048;
BgL_arg4242z00_12048 = 
CELL_REF(
((obj_t)BgL_val1442z00_12047)); 
{ /* Llib/mpc.scm 667 */
 BgL_musicstatusz00_bglt BgL_arg4246z00_12049;
BgL_arg4246z00_12049 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1434z00_10456)))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(BgL_mpcz00_10454, BgL_arg4246z00_12049, BgL_arg4242z00_12048); } 
return 
BINT(0L);} }  else 
{ /* Llib/mpc.scm 665 */
return BgL_val1442z00_12047;} } } } } } 

}



/* <@exit:4243>~0 */
obj_t BGl_zc3z04exitza34243ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_musiczd2songzd2parserz00_10554, BgL_mpcz00_bglt BgL_mpcz00_10553, obj_t BgL_cell1438z00_10552, obj_t BgL_env1443z00_10551)
{
{ /* Llib/mpc.scm 665 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1447z00_5246;
if( SET_EXIT(BgL_an_exit1447z00_5246 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1447z00_5246 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1443z00_10551, BgL_an_exit1447z00_5246, 1L); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_escape1439z00_5247;
BgL_escape1439z00_5247 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1443z00_10551); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_res1450z00_5248;
{ /* Llib/mpc.scm 665 */
 obj_t BgL_ohs1435z00_5249;
BgL_ohs1435z00_5249 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1443z00_10551); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_hds1436z00_5250;
BgL_hds1436z00_5250 = 
MAKE_STACK_PAIR(BgL_escape1439z00_5247, BgL_cell1438z00_10552); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1443z00_10551, BgL_hds1436z00_5250); BUNSPEC; 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_exitd1444z00_5251;
BgL_exitd1444z00_5251 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1443z00_10551); 
{ /* Llib/mpc.scm 665 */
 obj_t BgL_tmp1446z00_5252;
{ /* Llib/mpc.scm 665 */
 obj_t BgL_arg4244z00_5254;
BgL_arg4244z00_5254 = 
BGL_EXITD_PROTECT(BgL_exitd1444z00_5251); 
BgL_tmp1446z00_5252 = 
MAKE_YOUNG_PAIR(BgL_ohs1435z00_5249, BgL_arg4244z00_5254); } 
{ /* Llib/mpc.scm 665 */

BGL_EXITD_PROTECT_SET(BgL_exitd1444z00_5251, BgL_tmp1446z00_5252); BUNSPEC; 
{ /* Llib/mpc.scm 669 */
 obj_t BgL_tmp1445z00_5253;
BgL_tmp1445z00_5253 = 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10553, BGl_string5422z00zz__multimediazd2mpczd2, BgL_musiczd2songzd2parserz00_10554); 
{ /* Llib/mpc.scm 665 */
 bool_t BgL_test6403z00_17556;
{ /* Llib/mpc.scm 665 */
 obj_t BgL_arg1796z00_9562;
BgL_arg1796z00_9562 = 
BGL_EXITD_PROTECT(BgL_exitd1444z00_5251); 
BgL_test6403z00_17556 = 
PAIRP(BgL_arg1796z00_9562); } 
if(BgL_test6403z00_17556)
{ /* Llib/mpc.scm 665 */
 obj_t BgL_arg1794z00_9563;
{ /* Llib/mpc.scm 665 */
 obj_t BgL_arg1795z00_9564;
BgL_arg1795z00_9564 = 
BGL_EXITD_PROTECT(BgL_exitd1444z00_5251); 
BgL_arg1794z00_9563 = 
CDR(
((obj_t)BgL_arg1795z00_9564)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1444z00_5251, BgL_arg1794z00_9563); BUNSPEC; }  else 
{ /* Llib/mpc.scm 665 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1443z00_10551, BgL_ohs1435z00_5249); BUNSPEC; 
BgL_res1450z00_5248 = BgL_tmp1445z00_5253; } } } } } } 
POP_ENV_EXIT(BgL_env1443z00_10551); 
return BgL_res1450z00_5248;} } 
}} 

}



/* &music-song-parser */
obj_t BGl_z62musiczd2songzd2parserz62zz__multimediazd2mpczd2(obj_t BgL_envz00_10457, BgL_mpcz00_bglt BgL_mpcz00_10458)
{
{ /* Llib/mpc.scm 660 */
{ 
 obj_t BgL_iportz00_12052;
{ /* Llib/mpc.scm 655 */
 obj_t BgL_ipz00_12129;
{ /* Llib/mpc.scm 655 */
 obj_t BgL_arg4250z00_12130;
BgL_arg4250z00_12130 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10458))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 655 */
 obj_t BgL_tmpz00_17566;
BgL_tmpz00_17566 = 
((obj_t)BgL_arg4250z00_12130); 
BgL_ipz00_12129 = 
SOCKET_INPUT(BgL_tmpz00_17566); } } 
{ 
 obj_t BgL_serz00_12132;
BgL_serz00_12132 = BNIL; 
BgL_loopz00_12131:
{ /* Llib/mpc.scm 657 */
 obj_t BgL_lz00_12133;
BgL_iportz00_12052 = BgL_ipz00_12129; 
{ 
 obj_t BgL_iportz00_12119; long BgL_lastzd2matchzd2_12120; long BgL_forwardz00_12121; long BgL_bufposz00_12122; obj_t BgL_iportz00_12109; long BgL_lastzd2matchzd2_12110; long BgL_forwardz00_12111; long BgL_bufposz00_12112; obj_t BgL_iportz00_12098; long BgL_lastzd2matchzd2_12099; long BgL_forwardz00_12100; long BgL_bufposz00_12101; obj_t BgL_iportz00_12089; long BgL_lastzd2matchzd2_12090; long BgL_forwardz00_12091; long BgL_bufposz00_12092; obj_t BgL_iportz00_12080; long BgL_lastzd2matchzd2_12081; long BgL_forwardz00_12082; long BgL_bufposz00_12083;
BgL_ignorez00_12053:
RGC_START_MATCH(BgL_iportz00_12052); 
{ /* Llib/mpc.scm 623 */
 long BgL_matchz00_12060;
{ /* Llib/mpc.scm 623 */
 long BgL_arg4434z00_12061; long BgL_arg4435z00_12062;
BgL_arg4434z00_12061 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12052); 
BgL_arg4435z00_12062 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12052); 
BgL_iportz00_12089 = BgL_iportz00_12052; 
BgL_lastzd2matchzd2_12090 = 2L; 
BgL_forwardz00_12091 = BgL_arg4434z00_12061; 
BgL_bufposz00_12092 = BgL_arg4435z00_12062; 
BgL_statezd20zd21414z00_12056:
if(
(BgL_forwardz00_12091==BgL_bufposz00_12092))
{ /* Llib/mpc.scm 623 */
if(
rgc_fill_buffer(BgL_iportz00_12089))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4296z00_12093; long BgL_arg4297z00_12094;
BgL_arg4296z00_12093 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12089); 
BgL_arg4297z00_12094 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12089); 
{ 
 long BgL_bufposz00_17579; long BgL_forwardz00_17578;
BgL_forwardz00_17578 = BgL_arg4296z00_12093; 
BgL_bufposz00_17579 = BgL_arg4297z00_12094; 
BgL_bufposz00_12092 = BgL_bufposz00_17579; 
BgL_forwardz00_12091 = BgL_forwardz00_17578; 
goto BgL_statezd20zd21414z00_12056;} }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12060 = BgL_lastzd2matchzd2_12090; } }  else 
{ /* Llib/mpc.scm 623 */
 int BgL_curz00_12095;
BgL_curz00_12095 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12089, BgL_forwardz00_12091); 
{ /* Llib/mpc.scm 623 */

if(
(
(long)(BgL_curz00_12095)==79L))
{ /* Llib/mpc.scm 623 */
BgL_iportz00_12109 = BgL_iportz00_12089; 
BgL_lastzd2matchzd2_12110 = BgL_lastzd2matchzd2_12090; 
BgL_forwardz00_12111 = 
(1L+BgL_forwardz00_12091); 
BgL_bufposz00_12112 = BgL_bufposz00_12092; 
BgL_statezd23zd21417z00_12058:
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12113;
RGC_STOP_MATCH(BgL_iportz00_12109, BgL_forwardz00_12111); 
BgL_newzd2matchzd2_12113 = 2L; 
if(
(BgL_forwardz00_12111==BgL_bufposz00_12112))
{ /* Llib/mpc.scm 623 */
if(
rgc_fill_buffer(BgL_iportz00_12109))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4266z00_12114; long BgL_arg4267z00_12115;
BgL_arg4266z00_12114 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12109); 
BgL_arg4267z00_12115 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12109); 
{ 
 long BgL_bufposz00_17592; long BgL_forwardz00_17591;
BgL_forwardz00_17591 = BgL_arg4266z00_12114; 
BgL_bufposz00_17592 = BgL_arg4267z00_12115; 
BgL_bufposz00_12112 = BgL_bufposz00_17592; 
BgL_forwardz00_12111 = BgL_forwardz00_17591; 
goto BgL_statezd23zd21417z00_12058;} }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12060 = BgL_newzd2matchzd2_12113; } }  else 
{ /* Llib/mpc.scm 623 */
 int BgL_curz00_12116;
BgL_curz00_12116 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12109, BgL_forwardz00_12111); 
{ /* Llib/mpc.scm 623 */

if(
(
(long)(BgL_curz00_12116)==75L))
{ /* Llib/mpc.scm 623 */
BgL_iportz00_12098 = BgL_iportz00_12109; 
BgL_lastzd2matchzd2_12099 = BgL_newzd2matchzd2_12113; 
BgL_forwardz00_12100 = 
(1L+BgL_forwardz00_12111); 
BgL_bufposz00_12101 = BgL_bufposz00_12112; 
BgL_statezd26zd21420z00_12057:
if(
(BgL_forwardz00_12100==BgL_bufposz00_12101))
{ /* Llib/mpc.scm 623 */
if(
rgc_fill_buffer(BgL_iportz00_12098))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4281z00_12102; long BgL_arg4282z00_12103;
BgL_arg4281z00_12102 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12098); 
BgL_arg4282z00_12103 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12098); 
{ 
 long BgL_bufposz00_17604; long BgL_forwardz00_17603;
BgL_forwardz00_17603 = BgL_arg4281z00_12102; 
BgL_bufposz00_17604 = BgL_arg4282z00_12103; 
BgL_bufposz00_12101 = BgL_bufposz00_17604; 
BgL_forwardz00_12100 = BgL_forwardz00_17603; 
goto BgL_statezd26zd21420z00_12057;} }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12060 = BgL_lastzd2matchzd2_12099; } }  else 
{ /* Llib/mpc.scm 623 */
 int BgL_curz00_12104;
BgL_curz00_12104 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12098, BgL_forwardz00_12100); 
{ /* Llib/mpc.scm 623 */

{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6412z00_17606;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6413z00_17607;
if(
(
(long)(BgL_curz00_12104)>=65L))
{ /* Llib/mpc.scm 623 */
BgL_test6413z00_17607 = 
(
(long)(BgL_curz00_12104)<91L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6413z00_17607 = ((bool_t)0)
; } 
if(BgL_test6413z00_17607)
{ /* Llib/mpc.scm 623 */
BgL_test6412z00_17606 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12104)>=97L))
{ /* Llib/mpc.scm 623 */
BgL_test6412z00_17606 = 
(
(long)(BgL_curz00_12104)<123L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6412z00_17606 = ((bool_t)0)
; } } } 
if(BgL_test6412z00_17606)
{ /* Llib/mpc.scm 623 */
BgL_iportz00_12080 = BgL_iportz00_12098; 
BgL_lastzd2matchzd2_12081 = BgL_lastzd2matchzd2_12099; 
BgL_forwardz00_12082 = 
(1L+BgL_forwardz00_12100); 
BgL_bufposz00_12083 = BgL_bufposz00_12101; 
BgL_statezd25zd21419z00_12055:
if(
(BgL_forwardz00_12082==BgL_bufposz00_12083))
{ /* Llib/mpc.scm 623 */
if(
rgc_fill_buffer(BgL_iportz00_12080))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4310z00_12084; long BgL_arg4311z00_12085;
BgL_arg4310z00_12084 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12080); 
BgL_arg4311z00_12085 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12080); 
{ 
 long BgL_bufposz00_17625; long BgL_forwardz00_17624;
BgL_forwardz00_17624 = BgL_arg4310z00_12084; 
BgL_bufposz00_17625 = BgL_arg4311z00_12085; 
BgL_bufposz00_12083 = BgL_bufposz00_17625; 
BgL_forwardz00_12082 = BgL_forwardz00_17624; 
goto BgL_statezd25zd21419z00_12055;} }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12060 = BgL_lastzd2matchzd2_12081; } }  else 
{ /* Llib/mpc.scm 623 */
 int BgL_curz00_12086;
BgL_curz00_12086 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12080, BgL_forwardz00_12082); 
{ /* Llib/mpc.scm 623 */

{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6418z00_17627;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6419z00_17628;
if(
(
(long)(BgL_curz00_12086)>=65L))
{ /* Llib/mpc.scm 623 */
BgL_test6419z00_17628 = 
(
(long)(BgL_curz00_12086)<91L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6419z00_17628 = ((bool_t)0)
; } 
if(BgL_test6419z00_17628)
{ /* Llib/mpc.scm 623 */
BgL_test6418z00_17627 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12086)>=97L))
{ /* Llib/mpc.scm 623 */
BgL_test6418z00_17627 = 
(
(long)(BgL_curz00_12086)<123L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6418z00_17627 = ((bool_t)0)
; } } } 
if(BgL_test6418z00_17627)
{ 
 long BgL_forwardz00_17639;
BgL_forwardz00_17639 = 
(1L+BgL_forwardz00_12082); 
BgL_forwardz00_12082 = BgL_forwardz00_17639; 
goto BgL_statezd25zd21419z00_12055;}  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12086)==58L))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4317z00_12087;
BgL_arg4317z00_12087 = 
(1L+BgL_forwardz00_12082); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12088;
RGC_STOP_MATCH(BgL_iportz00_12080, BgL_arg4317z00_12087); 
BgL_newzd2matchzd2_12088 = 0L; 
BgL_matchz00_12060 = BgL_newzd2matchzd2_12088; } }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12060 = BgL_lastzd2matchzd2_12081; } } } } } }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12104)==58L))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4288z00_12105;
BgL_arg4288z00_12105 = 
(1L+BgL_forwardz00_12100); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12106;
RGC_STOP_MATCH(BgL_iportz00_12098, BgL_arg4288z00_12105); 
BgL_newzd2matchzd2_12106 = 0L; 
BgL_matchz00_12060 = BgL_newzd2matchzd2_12106; } }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12104)==10L))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4290z00_12107;
BgL_arg4290z00_12107 = 
(1L+BgL_forwardz00_12100); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12108;
RGC_STOP_MATCH(BgL_iportz00_12098, BgL_arg4290z00_12107); 
BgL_newzd2matchzd2_12108 = 1L; 
BgL_matchz00_12060 = BgL_newzd2matchzd2_12108; } }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12060 = BgL_lastzd2matchzd2_12099; } } } } } } }  else 
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6425z00_17658;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6426z00_17659;
if(
(
(long)(BgL_curz00_12116)>=65L))
{ /* Llib/mpc.scm 623 */
BgL_test6426z00_17659 = 
(
(long)(BgL_curz00_12116)<75L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6426z00_17659 = ((bool_t)0)
; } 
if(BgL_test6426z00_17659)
{ /* Llib/mpc.scm 623 */
BgL_test6425z00_17658 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6428z00_17665;
if(
(
(long)(BgL_curz00_12116)>=76L))
{ /* Llib/mpc.scm 623 */
BgL_test6428z00_17665 = 
(
(long)(BgL_curz00_12116)<91L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6428z00_17665 = ((bool_t)0)
; } 
if(BgL_test6428z00_17665)
{ /* Llib/mpc.scm 623 */
BgL_test6425z00_17658 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12116)>=97L))
{ /* Llib/mpc.scm 623 */
BgL_test6425z00_17658 = 
(
(long)(BgL_curz00_12116)<123L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6425z00_17658 = ((bool_t)0)
; } } } } 
if(BgL_test6425z00_17658)
{ 
 long BgL_bufposz00_17680; long BgL_forwardz00_17678; long BgL_lastzd2matchzd2_17677; obj_t BgL_iportz00_17676;
BgL_iportz00_17676 = BgL_iportz00_12109; 
BgL_lastzd2matchzd2_17677 = BgL_newzd2matchzd2_12113; 
BgL_forwardz00_17678 = 
(1L+BgL_forwardz00_12111); 
BgL_bufposz00_17680 = BgL_bufposz00_12112; 
BgL_bufposz00_12083 = BgL_bufposz00_17680; 
BgL_forwardz00_12082 = BgL_forwardz00_17678; 
BgL_lastzd2matchzd2_12081 = BgL_lastzd2matchzd2_17677; 
BgL_iportz00_12080 = BgL_iportz00_17676; 
goto BgL_statezd25zd21419z00_12055;}  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12116)==58L))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4277z00_12117;
BgL_arg4277z00_12117 = 
(1L+BgL_forwardz00_12111); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12118;
RGC_STOP_MATCH(BgL_iportz00_12109, BgL_arg4277z00_12117); 
BgL_newzd2matchzd2_12118 = 0L; 
BgL_matchz00_12060 = BgL_newzd2matchzd2_12118; } }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12060 = BgL_newzd2matchzd2_12113; } } } } } } }  else 
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6432z00_17687;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6433z00_17688;
if(
(
(long)(BgL_curz00_12095)>=65L))
{ /* Llib/mpc.scm 623 */
BgL_test6433z00_17688 = 
(
(long)(BgL_curz00_12095)<79L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6433z00_17688 = ((bool_t)0)
; } 
if(BgL_test6433z00_17688)
{ /* Llib/mpc.scm 623 */
BgL_test6432z00_17687 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6435z00_17694;
if(
(
(long)(BgL_curz00_12095)>=80L))
{ /* Llib/mpc.scm 623 */
BgL_test6435z00_17694 = 
(
(long)(BgL_curz00_12095)<91L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6435z00_17694 = ((bool_t)0)
; } 
if(BgL_test6435z00_17694)
{ /* Llib/mpc.scm 623 */
BgL_test6432z00_17687 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12095)>=97L))
{ /* Llib/mpc.scm 623 */
BgL_test6432z00_17687 = 
(
(long)(BgL_curz00_12095)<123L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6432z00_17687 = ((bool_t)0)
; } } } } 
if(BgL_test6432z00_17687)
{ /* Llib/mpc.scm 623 */
BgL_iportz00_12119 = BgL_iportz00_12089; 
BgL_lastzd2matchzd2_12120 = BgL_lastzd2matchzd2_12090; 
BgL_forwardz00_12121 = 
(1L+BgL_forwardz00_12091); 
BgL_bufposz00_12122 = BgL_bufposz00_12092; 
BgL_statezd22zd21416z00_12059:
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12123;
RGC_STOP_MATCH(BgL_iportz00_12119, BgL_forwardz00_12121); 
BgL_newzd2matchzd2_12123 = 2L; 
if(
(BgL_forwardz00_12121==BgL_bufposz00_12122))
{ /* Llib/mpc.scm 623 */
if(
rgc_fill_buffer(BgL_iportz00_12119))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4255z00_12124; long BgL_arg4256z00_12125;
BgL_arg4255z00_12124 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12119); 
BgL_arg4256z00_12125 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12119); 
{ 
 long BgL_bufposz00_17713; long BgL_forwardz00_17712;
BgL_forwardz00_17712 = BgL_arg4255z00_12124; 
BgL_bufposz00_17713 = BgL_arg4256z00_12125; 
BgL_bufposz00_12122 = BgL_bufposz00_17713; 
BgL_forwardz00_12121 = BgL_forwardz00_17712; 
goto BgL_statezd22zd21416z00_12059;} }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12060 = BgL_newzd2matchzd2_12123; } }  else 
{ /* Llib/mpc.scm 623 */
 int BgL_curz00_12126;
BgL_curz00_12126 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12119, BgL_forwardz00_12121); 
{ /* Llib/mpc.scm 623 */

{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6440z00_17715;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6441z00_17716;
if(
(
(long)(BgL_curz00_12126)>=65L))
{ /* Llib/mpc.scm 623 */
BgL_test6441z00_17716 = 
(
(long)(BgL_curz00_12126)<91L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6441z00_17716 = ((bool_t)0)
; } 
if(BgL_test6441z00_17716)
{ /* Llib/mpc.scm 623 */
BgL_test6440z00_17715 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12126)>=97L))
{ /* Llib/mpc.scm 623 */
BgL_test6440z00_17715 = 
(
(long)(BgL_curz00_12126)<123L)
; }  else 
{ /* Llib/mpc.scm 623 */
BgL_test6440z00_17715 = ((bool_t)0)
; } } } 
if(BgL_test6440z00_17715)
{ 
 long BgL_bufposz00_17731; long BgL_forwardz00_17729; long BgL_lastzd2matchzd2_17728; obj_t BgL_iportz00_17727;
BgL_iportz00_17727 = BgL_iportz00_12119; 
BgL_lastzd2matchzd2_17728 = BgL_newzd2matchzd2_12123; 
BgL_forwardz00_17729 = 
(1L+BgL_forwardz00_12121); 
BgL_bufposz00_17731 = BgL_bufposz00_12122; 
BgL_bufposz00_12083 = BgL_bufposz00_17731; 
BgL_forwardz00_12082 = BgL_forwardz00_17729; 
BgL_lastzd2matchzd2_12081 = BgL_lastzd2matchzd2_17728; 
BgL_iportz00_12080 = BgL_iportz00_17727; 
goto BgL_statezd25zd21419z00_12055;}  else 
{ /* Llib/mpc.scm 623 */
if(
(
(long)(BgL_curz00_12126)==58L))
{ /* Llib/mpc.scm 623 */
 long BgL_arg4262z00_12127;
BgL_arg4262z00_12127 = 
(1L+BgL_forwardz00_12121); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12128;
RGC_STOP_MATCH(BgL_iportz00_12119, BgL_arg4262z00_12127); 
BgL_newzd2matchzd2_12128 = 0L; 
BgL_matchz00_12060 = BgL_newzd2matchzd2_12128; } }  else 
{ /* Llib/mpc.scm 623 */
BgL_matchz00_12060 = BgL_newzd2matchzd2_12123; } } } } } } }  else 
{ /* Llib/mpc.scm 623 */
 long BgL_arg4306z00_12096;
BgL_arg4306z00_12096 = 
(1L+BgL_forwardz00_12091); 
{ /* Llib/mpc.scm 623 */
 long BgL_newzd2matchzd2_12097;
RGC_STOP_MATCH(BgL_iportz00_12089, BgL_arg4306z00_12096); 
BgL_newzd2matchzd2_12097 = 2L; 
BgL_matchz00_12060 = BgL_newzd2matchzd2_12097; } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_12052); 
switch( BgL_matchz00_12060) { case 2L : 

{ /* Llib/mpc.scm 648 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg4406z00_12063;
{ /* Llib/mpc.scm 648 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1431z00_12064;
{ /* Llib/mpc.scm 648 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1430z00_12065;
BgL_new1430z00_12065 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 648 */
 long BgL_arg4411z00_12066;
BgL_arg4411z00_12066 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1430z00_12065), BgL_arg4411z00_12066); } 
BgL_new1431z00_12064 = BgL_new1430z00_12065; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1431z00_12064)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1431z00_12064)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17749;
{ /* Llib/mpc.scm 648 */
 obj_t BgL_arg4407z00_12067;
{ /* Llib/mpc.scm 648 */
 obj_t BgL_arg4408z00_12068;
{ /* Llib/mpc.scm 648 */
 obj_t BgL_classz00_12069;
BgL_classz00_12069 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg4408z00_12068 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_12069); } 
BgL_arg4407z00_12067 = 
VECTOR_REF(BgL_arg4408z00_12068,2L); } 
BgL_auxz00_17749 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg4407z00_12067); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1431z00_12064)))->BgL_stackz00)=((obj_t)BgL_auxz00_17749),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1431z00_12064)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(4L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1431z00_12064)))->BgL_msgz00)=((obj_t)BGl_string5425z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_17760;
{ /* Llib/mpc.scm 651 */
 obj_t BgL_arg4409z00_12070;
{ /* Llib/mpc.scm 623 */
 bool_t BgL_test6445z00_17762;
{ /* Llib/mpc.scm 623 */
 long BgL_arg4399z00_12079;
BgL_arg4399z00_12079 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_12052); 
BgL_test6445z00_17762 = 
(BgL_arg4399z00_12079==0L); } 
if(BgL_test6445z00_17762)
{ /* Llib/mpc.scm 623 */
BgL_arg4409z00_12070 = BEOF; }  else 
{ /* Llib/mpc.scm 623 */
BgL_arg4409z00_12070 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_12052)); } } 
BgL_auxz00_17760 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg4409z00_12070, BgL_iportz00_12052); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1431z00_12064)))->BgL_objz00)=((obj_t)BgL_auxz00_17760),BUNSPEC); } 
BgL_arg4406z00_12063 = BgL_new1431z00_12064; } 
BgL_lz00_12133 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg4406z00_12063)); } break;case 1L : 

BgL_lz00_12133 = 
CNST_TABLE_REF(35L); break;case 0L : 

{ /* Llib/mpc.scm 625 */
 obj_t BgL_kz00_12071;
BgL_kz00_12071 = 
rgc_buffer_keyword(BgL_iportz00_12052); 
if(
(BgL_kz00_12071==
CNST_TABLE_REF(41L)))
{ /* Llib/mpc.scm 628 */
 obj_t BgL_arg4413z00_12072;
BgL_arg4413z00_12072 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12052); 
BgL_lz00_12133 = 
MAKE_YOUNG_PAIR(BgL_kz00_12071, BgL_arg4413z00_12072); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12071==
CNST_TABLE_REF(42L)))
{ /* Llib/mpc.scm 630 */
 obj_t BgL_arg4416z00_12073;
BgL_arg4416z00_12073 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12052); 
BgL_lz00_12133 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(43L), BgL_arg4416z00_12073); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12071==
CNST_TABLE_REF(44L)))
{ /* Llib/mpc.scm 632 */
 obj_t BgL_arg4419z00_12074;
BgL_arg4419z00_12074 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12052); 
BgL_lz00_12133 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(45L), BgL_arg4419z00_12074); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12071==
CNST_TABLE_REF(46L)))
{ /* Llib/mpc.scm 634 */
 obj_t BgL_arg4422z00_12075;
BgL_arg4422z00_12075 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12052); 
BgL_lz00_12133 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(47L), BgL_arg4422z00_12075); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12071==
CNST_TABLE_REF(48L)))
{ /* Llib/mpc.scm 636 */
 obj_t BgL_arg4425z00_12076;
BgL_arg4425z00_12076 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12052); 
BgL_lz00_12133 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(49L), BgL_arg4425z00_12076); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12071==
CNST_TABLE_REF(50L)))
{ /* Llib/mpc.scm 638 */
 obj_t BgL_arg4428z00_12077;
BgL_arg4428z00_12077 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12052); 
BgL_lz00_12133 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(51L), BgL_arg4428z00_12077); }  else 
{ /* Llib/mpc.scm 626 */
if(
(BgL_kz00_12071==
CNST_TABLE_REF(52L)))
{ /* Llib/mpc.scm 640 */
 obj_t BgL_arg4431z00_12078;
BgL_arg4431z00_12078 = 
BGl_z62zc3z04anonymousza32099ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2integerzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12052); 
BgL_lz00_12133 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(15L), BgL_arg4431z00_12078); }  else 
{ /* Llib/mpc.scm 626 */
BGl_z62zc3z04anonymousza31926ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2ignorezd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12052); 
goto BgL_ignorez00_12053;} } } } } } } } break;
default: 
BgL_lz00_12133 = 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_12060)); } } } 
if(
(BgL_lz00_12133==
CNST_TABLE_REF(35L)))
{ /* Llib/mpc.scm 658 */
return 
bgl_reverse_bang(BgL_serz00_12132);}  else 
{ /* Llib/mpc.scm 660 */
 obj_t BgL_arg4249z00_12134;
BgL_arg4249z00_12134 = 
MAKE_YOUNG_PAIR(BgL_lz00_12133, BgL_serz00_12132); 
{ 
 obj_t BgL_serz00_17847;
BgL_serz00_17847 = BgL_arg4249z00_12134; 
BgL_serz00_12132 = BgL_serz00_17847; 
goto BgL_loopz00_12131;} } } } } } } 

}



/* &music-status-mpc1627 */
BgL_musicstatusz00_bglt BGl_z62musiczd2statuszd2mpc1627z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10459, obj_t BgL_mpcz00_10460)
{
{ /* Llib/mpc.scm 373 */
{ /* Llib/mpc.scm 375 */
 obj_t BgL_arg4235z00_12136;
BgL_arg4235z00_12136 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10460))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 377 */
 obj_t BgL_zc3z04anonymousza34237ze3z87_12137;
BgL_zc3z04anonymousza34237ze3z87_12137 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34237ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34237ze3z87_12137, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10460))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34237ze3z87_12137, 
(int)(1L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10460))); 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4235z00_12136, 
(int)(1000L), BgL_zc3z04anonymousza34237ze3z87_12137); } } 
return 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10460))))->BgL_z52statusz52);} 

}



/* &<@anonymous:4237> */
obj_t BGl_z62zc3z04anonymousza34237ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10461)
{
{ /* Llib/mpc.scm 376 */
{ /* Llib/mpc.scm 377 */
 BgL_mpcz00_bglt BgL_i1243z00_10462; BgL_mpcz00_bglt BgL_mpcz00_10463;
BgL_i1243z00_10462 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10461, 
(int)(0L))); 
BgL_mpcz00_10463 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10461, 
(int)(1L))); 
{ /* Llib/mpc.scm 377 */
 BgL_musicstatusz00_bglt BgL_arg4238z00_12138;
BgL_arg4238z00_12138 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1243z00_10462)))->BgL_z52statusz52); 
return 
BGl_musiczd2updatezd2statuszd2sanszd2lockz12z12zz__multimediazd2mpczd2(BgL_mpcz00_10463, BgL_arg4238z00_12138);} } } 

}



/* &music-playlist-clear1625 */
obj_t BGl_z62musiczd2playlistzd2clear1625z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10464, obj_t BgL_mpcz00_10465)
{
{ /* Llib/mpc.scm 364 */
{ /* Llib/mpc.scm 366 */
 obj_t BgL_arg4232z00_12140;
BgL_arg4232z00_12140 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10465))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 368 */
 obj_t BgL_zc3z04anonymousza34234ze3z87_12141;
BgL_zc3z04anonymousza34234ze3z87_12141 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34234ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34234ze3z87_12141, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10465))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4232z00_12140, 
(int)(1000L), BgL_zc3z04anonymousza34234ze3z87_12141);} } } 

}



/* &<@anonymous:4234> */
obj_t BGl_z62zc3z04anonymousza34234ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10466)
{
{ /* Llib/mpc.scm 367 */
{ /* Llib/mpc.scm 368 */
 BgL_mpcz00_bglt BgL_mpcz00_10467;
BgL_mpcz00_10467 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10466, 
(int)(0L))); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10467, BGl_string5426z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* &music-playlist-delet1623 */
obj_t BGl_z62musiczd2playlistzd2delet1623z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10468, obj_t BgL_mpcz00_10469, obj_t BgL_nz00_10470)
{
{ /* Llib/mpc.scm 355 */
{ /* Llib/mpc.scm 357 */
 obj_t BgL_arg4227z00_12143;
BgL_arg4227z00_12143 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10469))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 359 */
 obj_t BgL_zc3z04anonymousza34229ze3z87_12144;
BgL_zc3z04anonymousza34229ze3z87_12144 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34229ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34229ze3z87_12144, 
(int)(0L), BgL_nz00_10470); 
PROCEDURE_SET(BgL_zc3z04anonymousza34229ze3z87_12144, 
(int)(1L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10469))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4227z00_12143, 
(int)(1000L), BgL_zc3z04anonymousza34229ze3z87_12144);} } } 

}



/* &<@anonymous:4229> */
obj_t BGl_z62zc3z04anonymousza34229ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10471)
{
{ /* Llib/mpc.scm 358 */
{ /* Llib/mpc.scm 359 */
 obj_t BgL_nz00_10472; BgL_mpcz00_bglt BgL_mpcz00_10473;
BgL_nz00_10472 = 
PROCEDURE_REF(BgL_envz00_10471, 
(int)(0L)); 
BgL_mpcz00_10473 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10471, 
(int)(1L))); 
{ /* Llib/mpc.scm 359 */
 obj_t BgL_arg4230z00_12145;
{ /* Llib/mpc.scm 359 */
 obj_t BgL_arg4231z00_12146;
{ /* Llib/mpc.scm 359 */

BgL_arg4231z00_12146 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_nz00_10472), 10L); } 
BgL_arg4230z00_12145 = 
string_append(BGl_string5427z00zz__multimediazd2mpczd2, BgL_arg4231z00_12146); } 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10473, BgL_arg4230z00_12145, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } } 

}



/* &music-playlist-add!-1621 */
obj_t BGl_z62musiczd2playlistzd2addz12zd21621za2zz__multimediazd2mpczd2(obj_t BgL_envz00_10474, obj_t BgL_mpcz00_10475, obj_t BgL_sz00_10476)
{
{ /* Llib/mpc.scm 342 */
{ 

{ /* Llib/mpc.scm 342 */
 obj_t BgL_nextzd2method1620zd2_12149;
BgL_nextzd2method1620zd2_12149 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10475)), BGl_musiczd2playlistzd2addz12zd2envzc0zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1620zd2_12149))(BgL_nextzd2method1620zd2_12149, 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10475)), BgL_sz00_10476, BEOA); } 
{ /* Llib/mpc.scm 345 */
 obj_t BgL_arg4213z00_12150;
BgL_arg4213z00_12150 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10475))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 347 */
 obj_t BgL_zc3z04anonymousza34215ze3z87_12151;
BgL_zc3z04anonymousza34215ze3z87_12151 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza34215ze3ze5zz__multimediazd2mpczd2, 
(int)(0L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza34215ze3z87_12151, 
(int)(0L), BgL_sz00_10476); 
PROCEDURE_SET(BgL_zc3z04anonymousza34215ze3z87_12151, 
(int)(1L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10475))); 
PROCEDURE_SET(BgL_zc3z04anonymousza34215ze3z87_12151, 
(int)(2L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10475))); 
return 
BGl_withzd2timedzd2lockz00zz__threadz00(BgL_arg4213z00_12150, 
(int)(1000L), BgL_zc3z04anonymousza34215ze3z87_12151);} } } } 

}



/* &<@anonymous:4215> */
obj_t BGl_z62zc3z04anonymousza34215ze3ze5zz__multimediazd2mpczd2(obj_t BgL_envz00_10477)
{
{ /* Llib/mpc.scm 346 */
{ /* Llib/mpc.scm 347 */
 obj_t BgL_sz00_10478; BgL_mpcz00_bglt BgL_i1240z00_10479; BgL_mpcz00_bglt BgL_mpcz00_10480;
BgL_sz00_10478 = 
PROCEDURE_REF(BgL_envz00_10477, 
(int)(0L)); 
BgL_i1240z00_10479 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10477, 
(int)(1L))); 
BgL_mpcz00_10480 = 
((BgL_mpcz00_bglt)
PROCEDURE_REF(BgL_envz00_10477, 
(int)(2L))); 
{ /* Llib/mpc.scm 347 */
 obj_t BgL_sz00_12152;
{ /* Llib/mpc.scm 347 */
 bool_t BgL_test6454z00_17951;
{ /* Llib/mpc.scm 347 */
 bool_t BgL_test6455z00_17952;
{ /* Llib/mpc.scm 347 */
 obj_t BgL_tmpz00_17953;
BgL_tmpz00_17953 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_i1240z00_10479))->BgL_prefixz00); 
BgL_test6455z00_17952 = 
STRINGP(BgL_tmpz00_17953); } 
if(BgL_test6455z00_17952)
{ /* Llib/mpc.scm 347 */
BgL_test6454z00_17951 = 
bigloo_strcmp_at(BgL_sz00_10478, 
(((BgL_mpcz00_bglt)COBJECT(BgL_i1240z00_10479))->BgL_prefixz00), 0L)
; }  else 
{ /* Llib/mpc.scm 347 */
BgL_test6454z00_17951 = ((bool_t)0)
; } } 
if(BgL_test6454z00_17951)
{ /* Llib/mpc.scm 348 */
 long BgL_arg4222z00_12153; long BgL_arg4223z00_12154;
BgL_arg4222z00_12153 = 
STRING_LENGTH(
(((BgL_mpcz00_bglt)COBJECT(BgL_i1240z00_10479))->BgL_prefixz00)); 
BgL_arg4223z00_12154 = 
STRING_LENGTH(
((obj_t)BgL_sz00_10478)); 
BgL_sz00_12152 = 
c_substring(
((obj_t)BgL_sz00_10478), BgL_arg4222z00_12153, BgL_arg4223z00_12154); }  else 
{ /* Llib/mpc.scm 347 */
BgL_sz00_12152 = BgL_sz00_10478; } } 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10480, 
string_append_3(BGl_string5428z00zz__multimediazd2mpczd2, BgL_sz00_12152, BGl_string5429z00zz__multimediazd2mpczd2), BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } } 

}



/* &music-playlist-get-m1619 */
obj_t BGl_z62musiczd2playlistzd2getzd2m1619zb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10481, obj_t BgL_mpcz00_10482)
{
{ /* Llib/mpc.scm 294 */
{ /* Llib/mpc.scm 323 */
 obj_t BgL_playlistzd2parserzd2_12156;
{ /* Llib/mpc.scm 297 */
 int BgL_tmpz00_17966;
BgL_tmpz00_17966 = 
(int)(1L); 
BgL_playlistzd2parserzd2_12156 = 
MAKE_L_PROCEDURE(BGl_z62playlistzd2parserzb0zz__multimediazd2mpczd2, BgL_tmpz00_17966); } 
PROCEDURE_L_SET(BgL_playlistzd2parserzd2_12156, 
(int)(0L), 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10482))); 
{ /* Llib/mpc.scm 332 */
 obj_t BgL_mutex4003z00_12157;
BgL_mutex4003z00_12157 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10482))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 332 */
 obj_t BgL_top6457z00_17977;
BgL_top6457z00_17977 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex4003z00_12157); 
BGL_EXITD_PUSH_PROTECT(BgL_top6457z00_17977, BgL_mutex4003z00_12157); BUNSPEC; 
{ /* Llib/mpc.scm 332 */
 obj_t BgL_tmp6456z00_17976;
{ /* Llib/mpc.scm 333 */
 obj_t BgL_env1231z00_12158;
BgL_env1231z00_12158 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_cell1226z00_12159;
BgL_cell1226z00_12159 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_val1230z00_12160;
BgL_val1230z00_12160 = 
BGl_zc3z04exitza34005ze3ze70z60zz__multimediazd2mpczd2(BgL_playlistzd2parserzd2_12156, 
((BgL_mpcz00_bglt)BgL_mpcz00_10482), BgL_cell1226z00_12159, BgL_env1231z00_12158); 
if(
(BgL_val1230z00_12160==BgL_cell1226z00_12159))
{ /* Llib/mpc.scm 333 */
{ /* Llib/mpc.scm 333 */
 int BgL_tmpz00_17987;
BgL_tmpz00_17987 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_17987); } 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_arg4004z00_12161;
BgL_arg4004z00_12161 = 
CELL_REF(
((obj_t)BgL_val1230z00_12160)); 
{ /* Llib/mpc.scm 335 */
 BgL_musicstatusz00_bglt BgL_arg4008z00_12162;
BgL_arg4008z00_12162 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10482))))->BgL_z52statusz52); 
BGl_setzd2errorz12zc0zz__multimediazd2mpczd2(
((BgL_mpcz00_bglt)BgL_mpcz00_10482), BgL_arg4008z00_12162, BgL_arg4004z00_12161); } 
BgL_tmp6456z00_17976 = BNIL; } }  else 
{ /* Llib/mpc.scm 333 */
BgL_tmp6456z00_17976 = BgL_val1230z00_12160; } } } } 
BGL_EXITD_POP_PROTECT(BgL_top6457z00_17977); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex4003z00_12157); 
return BgL_tmp6456z00_17976;} } } } } 

}



/* <@exit:4005>~0 */
obj_t BGl_zc3z04exitza34005ze3ze70z60zz__multimediazd2mpczd2(obj_t BgL_playlistzd2parserzd2_10550, BgL_mpcz00_bglt BgL_mpcz00_10549, obj_t BgL_cell1226z00_10548, obj_t BgL_env1231z00_10547)
{
{ /* Llib/mpc.scm 333 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1235z00_4707;
if( SET_EXIT(BgL_an_exit1235z00_4707 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1235z00_4707 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1231z00_10547, BgL_an_exit1235z00_4707, 1L); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_escape1227z00_4708;
BgL_escape1227z00_4708 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1231z00_10547); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_res1238z00_4709;
{ /* Llib/mpc.scm 333 */
 obj_t BgL_ohs1223z00_4710;
BgL_ohs1223z00_4710 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1231z00_10547); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_hds1224z00_4711;
BgL_hds1224z00_4711 = 
MAKE_STACK_PAIR(BgL_escape1227z00_4708, BgL_cell1226z00_10548); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1231z00_10547, BgL_hds1224z00_4711); BUNSPEC; 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_exitd1232z00_4712;
BgL_exitd1232z00_4712 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1231z00_10547); 
{ /* Llib/mpc.scm 333 */
 obj_t BgL_tmp1234z00_4713;
{ /* Llib/mpc.scm 333 */
 obj_t BgL_arg4006z00_4715;
BgL_arg4006z00_4715 = 
BGL_EXITD_PROTECT(BgL_exitd1232z00_4712); 
BgL_tmp1234z00_4713 = 
MAKE_YOUNG_PAIR(BgL_ohs1223z00_4710, BgL_arg4006z00_4715); } 
{ /* Llib/mpc.scm 333 */

BGL_EXITD_PROTECT_SET(BgL_exitd1232z00_4712, BgL_tmp1234z00_4713); BUNSPEC; 
{ /* Llib/mpc.scm 337 */
 obj_t BgL_tmp1233z00_4714;
BgL_tmp1233z00_4714 = 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(BgL_mpcz00_10549, BGl_string5430z00zz__multimediazd2mpczd2, BgL_playlistzd2parserzd2_10550); 
{ /* Llib/mpc.scm 333 */
 bool_t BgL_test6459z00_18011;
{ /* Llib/mpc.scm 333 */
 obj_t BgL_arg1796z00_9407;
BgL_arg1796z00_9407 = 
BGL_EXITD_PROTECT(BgL_exitd1232z00_4712); 
BgL_test6459z00_18011 = 
PAIRP(BgL_arg1796z00_9407); } 
if(BgL_test6459z00_18011)
{ /* Llib/mpc.scm 333 */
 obj_t BgL_arg1794z00_9408;
{ /* Llib/mpc.scm 333 */
 obj_t BgL_arg1795z00_9409;
BgL_arg1795z00_9409 = 
BGL_EXITD_PROTECT(BgL_exitd1232z00_4712); 
BgL_arg1794z00_9408 = 
CDR(
((obj_t)BgL_arg1795z00_9409)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1232z00_4712, BgL_arg1794z00_9408); BUNSPEC; }  else 
{ /* Llib/mpc.scm 333 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1231z00_10547, BgL_ohs1223z00_4710); BUNSPEC; 
BgL_res1238z00_4709 = BgL_tmp1233z00_4714; } } } } } } 
POP_ENV_EXIT(BgL_env1231z00_10547); 
return BgL_res1238z00_4709;} } 
}} 

}



/* &playlist-parser */
obj_t BGl_z62playlistzd2parserzb0zz__multimediazd2mpczd2(obj_t BgL_envz00_10483, BgL_mpcz00_bglt BgL_mpcz00_10485)
{
{ /* Llib/mpc.scm 329 */
{ /* Llib/mpc.scm 323 */
 BgL_mpcz00_bglt BgL_mpcz00_10484;
BgL_mpcz00_10484 = 
((BgL_mpcz00_bglt)
PROCEDURE_L_REF(BgL_envz00_10483, 
(int)(0L))); 
{ 
 obj_t BgL_iportz00_12167; obj_t BgL_sz00_12166;
{ /* Llib/mpc.scm 324 */
 obj_t BgL_ipz00_12281;
{ /* Llib/mpc.scm 324 */
 obj_t BgL_arg4017z00_12282;
BgL_arg4017z00_12282 = 
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10485))->BgL_z52socketz52); 
{ /* Llib/mpc.scm 324 */
 obj_t BgL_tmpz00_18024;
BgL_tmpz00_18024 = 
((obj_t)BgL_arg4017z00_12282); 
BgL_ipz00_12281 = 
SOCKET_INPUT(BgL_tmpz00_18024); } } 
{ 
 obj_t BgL_serz00_12284;
BgL_serz00_12284 = BNIL; 
BgL_loopz00_12283:
{ /* Llib/mpc.scm 326 */
 obj_t BgL_lz00_12285;
BgL_iportz00_12167 = BgL_ipz00_12281; 
{ 
 obj_t BgL_iportz00_12272; long BgL_lastzd2matchzd2_12273; long BgL_forwardz00_12274; long BgL_bufposz00_12275; obj_t BgL_iportz00_12264; long BgL_lastzd2matchzd2_12265; long BgL_forwardz00_12266; long BgL_bufposz00_12267; obj_t BgL_iportz00_12256; long BgL_lastzd2matchzd2_12257; long BgL_forwardz00_12258; long BgL_bufposz00_12259; obj_t BgL_iportz00_12249; long BgL_lastzd2matchzd2_12250; long BgL_forwardz00_12251; long BgL_bufposz00_12252; obj_t BgL_iportz00_12241; long BgL_lastzd2matchzd2_12242; long BgL_forwardz00_12243; long BgL_bufposz00_12244; obj_t BgL_iportz00_12232; long BgL_lastzd2matchzd2_12233; long BgL_forwardz00_12234; long BgL_bufposz00_12235; obj_t BgL_iportz00_12225; long BgL_lastzd2matchzd2_12226; long BgL_forwardz00_12227; long BgL_bufposz00_12228; obj_t BgL_iportz00_12218; long BgL_lastzd2matchzd2_12219; long BgL_forwardz00_12220; long BgL_bufposz00_12221; obj_t BgL_iportz00_12211; long BgL_lastzd2matchzd2_12212; long BgL_forwardz00_12213; long BgL_bufposz00_12214; obj_t BgL_iportz00_12204; long BgL_lastzd2matchzd2_12205; long BgL_forwardz00_12206; long BgL_bufposz00_12207; obj_t BgL_iportz00_12195; long BgL_lastzd2matchzd2_12196; long BgL_forwardz00_12197; long BgL_bufposz00_12198;
RGC_START_MATCH(BgL_iportz00_12167); 
{ /* Llib/mpc.scm 303 */
 long BgL_matchz00_12181;
{ /* Llib/mpc.scm 303 */
 long BgL_arg4207z00_12182; long BgL_arg4208z00_12183;
BgL_arg4207z00_12182 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12167); 
BgL_arg4208z00_12183 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12167); 
BgL_iportz00_12272 = BgL_iportz00_12167; 
BgL_lastzd2matchzd2_12273 = 3L; 
BgL_forwardz00_12274 = BgL_arg4207z00_12182; 
BgL_bufposz00_12275 = BgL_arg4208z00_12183; 
BgL_statezd20zd21201z00_12180:
if(
(BgL_forwardz00_12274==BgL_bufposz00_12275))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12272))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4022z00_12276; long BgL_arg4023z00_12277;
BgL_arg4022z00_12276 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12272); 
BgL_arg4023z00_12277 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12272); 
{ 
 long BgL_bufposz00_18037; long BgL_forwardz00_18036;
BgL_forwardz00_18036 = BgL_arg4022z00_12276; 
BgL_bufposz00_18037 = BgL_arg4023z00_12277; 
BgL_bufposz00_12275 = BgL_bufposz00_18037; 
BgL_forwardz00_12274 = BgL_forwardz00_18036; 
goto BgL_statezd20zd21201z00_12180;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12273; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12278;
BgL_curz00_12278 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12272, BgL_forwardz00_12274); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12278)==79L))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12241 = BgL_iportz00_12272; 
BgL_lastzd2matchzd2_12242 = BgL_lastzd2matchzd2_12273; 
BgL_forwardz00_12243 = 
(1L+BgL_forwardz00_12274); 
BgL_bufposz00_12244 = BgL_bufposz00_12275; 
BgL_statezd23zd21204z00_12176:
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12245;
RGC_STOP_MATCH(BgL_iportz00_12241, BgL_forwardz00_12243); 
BgL_newzd2matchzd2_12245 = 3L; 
if(
(BgL_forwardz00_12243==BgL_bufposz00_12244))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12241))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4061z00_12246; long BgL_arg4062z00_12247;
BgL_arg4061z00_12246 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12241); 
BgL_arg4062z00_12247 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12241); 
{ 
 long BgL_bufposz00_18050; long BgL_forwardz00_18049;
BgL_forwardz00_18049 = BgL_arg4061z00_12246; 
BgL_bufposz00_18050 = BgL_arg4062z00_12247; 
BgL_bufposz00_12244 = BgL_bufposz00_18050; 
BgL_forwardz00_12243 = BgL_forwardz00_18049; 
goto BgL_statezd23zd21204z00_12176;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_newzd2matchzd2_12245; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12248;
BgL_curz00_12248 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12241, BgL_forwardz00_12243); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12248)==75L))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12232 = BgL_iportz00_12241; 
BgL_lastzd2matchzd2_12233 = BgL_newzd2matchzd2_12245; 
BgL_forwardz00_12234 = 
(1L+BgL_forwardz00_12243); 
BgL_bufposz00_12235 = BgL_bufposz00_12244; 
BgL_statezd24zd21205z00_12175:
if(
(BgL_forwardz00_12234==BgL_bufposz00_12235))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12232))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4068z00_12236; long BgL_arg4069z00_12237;
BgL_arg4068z00_12236 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12232); 
BgL_arg4069z00_12237 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12232); 
{ 
 long BgL_bufposz00_18062; long BgL_forwardz00_18061;
BgL_forwardz00_18061 = BgL_arg4068z00_12236; 
BgL_bufposz00_18062 = BgL_arg4069z00_12237; 
BgL_bufposz00_12235 = BgL_bufposz00_18062; 
BgL_forwardz00_12234 = BgL_forwardz00_18061; 
goto BgL_statezd24zd21205z00_12175;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12233; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12238;
BgL_curz00_12238 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12232, BgL_forwardz00_12234); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12238)==10L))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4071z00_12239;
BgL_arg4071z00_12239 = 
(1L+BgL_forwardz00_12234); 
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12240;
RGC_STOP_MATCH(BgL_iportz00_12232, BgL_arg4071z00_12239); 
BgL_newzd2matchzd2_12240 = 2L; 
BgL_matchz00_12181 = BgL_newzd2matchzd2_12240; } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12233; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_newzd2matchzd2_12245; } } } } }  else 
{ /* Llib/mpc.scm 303 */
 bool_t BgL_test6469z00_18071;
if(
(
(long)(BgL_curz00_12278)>=48L))
{ /* Llib/mpc.scm 303 */
BgL_test6469z00_18071 = 
(
(long)(BgL_curz00_12278)<58L)
; }  else 
{ /* Llib/mpc.scm 303 */
BgL_test6469z00_18071 = ((bool_t)0)
; } 
if(BgL_test6469z00_18071)
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12256 = BgL_iportz00_12272; 
BgL_lastzd2matchzd2_12257 = BgL_lastzd2matchzd2_12273; 
BgL_forwardz00_12258 = 
(1L+BgL_forwardz00_12274); 
BgL_bufposz00_12259 = BgL_bufposz00_12275; 
BgL_statezd22zd21203z00_12178:
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12260;
RGC_STOP_MATCH(BgL_iportz00_12256, BgL_forwardz00_12258); 
BgL_newzd2matchzd2_12260 = 3L; 
if(
(BgL_forwardz00_12258==BgL_bufposz00_12259))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12256))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4040z00_12261; long BgL_arg4041z00_12262;
BgL_arg4040z00_12261 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12256); 
BgL_arg4041z00_12262 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12256); 
{ 
 long BgL_bufposz00_18085; long BgL_forwardz00_18084;
BgL_forwardz00_18084 = BgL_arg4040z00_12261; 
BgL_bufposz00_18085 = BgL_arg4041z00_12262; 
BgL_bufposz00_12259 = BgL_bufposz00_18085; 
BgL_forwardz00_12258 = BgL_forwardz00_18084; 
goto BgL_statezd22zd21203z00_12178;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_newzd2matchzd2_12260; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12263;
BgL_curz00_12263 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12256, BgL_forwardz00_12258); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12263)==58L))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12264 = BgL_iportz00_12256; 
BgL_lastzd2matchzd2_12265 = BgL_newzd2matchzd2_12260; 
BgL_forwardz00_12266 = 
(1L+BgL_forwardz00_12258); 
BgL_bufposz00_12267 = BgL_bufposz00_12259; 
BgL_statezd28zd21209z00_12179:
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12268;
RGC_STOP_MATCH(BgL_iportz00_12264, BgL_forwardz00_12266); 
BgL_newzd2matchzd2_12268 = 0L; 
if(
(BgL_forwardz00_12266==BgL_bufposz00_12267))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12264))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4033z00_12269; long BgL_arg4034z00_12270;
BgL_arg4033z00_12269 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12264); 
BgL_arg4034z00_12270 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12264); 
{ 
 long BgL_bufposz00_18098; long BgL_forwardz00_18097;
BgL_forwardz00_18097 = BgL_arg4033z00_12269; 
BgL_bufposz00_18098 = BgL_arg4034z00_12270; 
BgL_bufposz00_12267 = BgL_bufposz00_18098; 
BgL_forwardz00_12266 = BgL_forwardz00_18097; 
goto BgL_statezd28zd21209z00_12179;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_newzd2matchzd2_12268; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12271;
BgL_curz00_12271 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12264, BgL_forwardz00_12266); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12271)==102L))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12225 = BgL_iportz00_12264; 
BgL_lastzd2matchzd2_12226 = BgL_newzd2matchzd2_12268; 
BgL_forwardz00_12227 = 
(1L+BgL_forwardz00_12266); 
BgL_bufposz00_12228 = BgL_bufposz00_12267; 
BgL_statezd29zd21210z00_12174:
if(
(BgL_forwardz00_12227==BgL_bufposz00_12228))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12225))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4076z00_12229; long BgL_arg4077z00_12230;
BgL_arg4076z00_12229 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12225); 
BgL_arg4077z00_12230 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12225); 
{ 
 long BgL_bufposz00_18110; long BgL_forwardz00_18109;
BgL_forwardz00_18109 = BgL_arg4076z00_12229; 
BgL_bufposz00_18110 = BgL_arg4077z00_12230; 
BgL_bufposz00_12228 = BgL_bufposz00_18110; 
BgL_forwardz00_12227 = BgL_forwardz00_18109; 
goto BgL_statezd29zd21210z00_12174;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12226; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12231;
BgL_curz00_12231 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12225, BgL_forwardz00_12227); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12231)==105L))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12218 = BgL_iportz00_12225; 
BgL_lastzd2matchzd2_12219 = BgL_lastzd2matchzd2_12226; 
BgL_forwardz00_12220 = 
(1L+BgL_forwardz00_12227); 
BgL_bufposz00_12221 = BgL_bufposz00_12228; 
BgL_statezd210zd21211z00_12173:
if(
(BgL_forwardz00_12220==BgL_bufposz00_12221))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12218))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4083z00_12222; long BgL_arg4084z00_12223;
BgL_arg4083z00_12222 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12218); 
BgL_arg4084z00_12223 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12218); 
{ 
 long BgL_bufposz00_18122; long BgL_forwardz00_18121;
BgL_forwardz00_18121 = BgL_arg4083z00_12222; 
BgL_bufposz00_18122 = BgL_arg4084z00_12223; 
BgL_bufposz00_12221 = BgL_bufposz00_18122; 
BgL_forwardz00_12220 = BgL_forwardz00_18121; 
goto BgL_statezd210zd21211z00_12173;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12219; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12224;
BgL_curz00_12224 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12218, BgL_forwardz00_12220); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12224)==108L))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12211 = BgL_iportz00_12218; 
BgL_lastzd2matchzd2_12212 = BgL_lastzd2matchzd2_12219; 
BgL_forwardz00_12213 = 
(1L+BgL_forwardz00_12220); 
BgL_bufposz00_12214 = BgL_bufposz00_12221; 
BgL_statezd211zd21212z00_12172:
if(
(BgL_forwardz00_12213==BgL_bufposz00_12214))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12211))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4090z00_12215; long BgL_arg4091z00_12216;
BgL_arg4090z00_12215 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12211); 
BgL_arg4091z00_12216 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12211); 
{ 
 long BgL_bufposz00_18134; long BgL_forwardz00_18133;
BgL_forwardz00_18133 = BgL_arg4090z00_12215; 
BgL_bufposz00_18134 = BgL_arg4091z00_12216; 
BgL_bufposz00_12214 = BgL_bufposz00_18134; 
BgL_forwardz00_12213 = BgL_forwardz00_18133; 
goto BgL_statezd211zd21212z00_12172;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12212; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12217;
BgL_curz00_12217 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12211, BgL_forwardz00_12213); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12217)==101L))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12204 = BgL_iportz00_12211; 
BgL_lastzd2matchzd2_12205 = BgL_lastzd2matchzd2_12212; 
BgL_forwardz00_12206 = 
(1L+BgL_forwardz00_12213); 
BgL_bufposz00_12207 = BgL_bufposz00_12214; 
BgL_statezd212zd21213z00_12171:
if(
(BgL_forwardz00_12206==BgL_bufposz00_12207))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12204))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4097z00_12208; long BgL_arg4098z00_12209;
BgL_arg4097z00_12208 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12204); 
BgL_arg4098z00_12209 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12204); 
{ 
 long BgL_bufposz00_18146; long BgL_forwardz00_18145;
BgL_forwardz00_18145 = BgL_arg4097z00_12208; 
BgL_bufposz00_18146 = BgL_arg4098z00_12209; 
BgL_bufposz00_12207 = BgL_bufposz00_18146; 
BgL_forwardz00_12206 = BgL_forwardz00_18145; 
goto BgL_statezd212zd21213z00_12171;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12205; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12210;
BgL_curz00_12210 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12204, BgL_forwardz00_12206); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12210)==58L))
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12195 = BgL_iportz00_12204; 
BgL_lastzd2matchzd2_12196 = BgL_lastzd2matchzd2_12205; 
BgL_forwardz00_12197 = 
(1L+BgL_forwardz00_12206); 
BgL_bufposz00_12198 = BgL_bufposz00_12207; 
BgL_statezd213zd21214z00_12170:
if(
(BgL_forwardz00_12197==BgL_bufposz00_12198))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12195))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4104z00_12199; long BgL_arg4105z00_12200;
BgL_arg4104z00_12199 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12195); 
BgL_arg4105z00_12200 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12195); 
{ 
 long BgL_bufposz00_18158; long BgL_forwardz00_18157;
BgL_forwardz00_18157 = BgL_arg4104z00_12199; 
BgL_bufposz00_18158 = BgL_arg4105z00_12200; 
BgL_bufposz00_12198 = BgL_bufposz00_18158; 
BgL_forwardz00_12197 = BgL_forwardz00_18157; 
goto BgL_statezd213zd21214z00_12170;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12196; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12201;
BgL_curz00_12201 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12195, BgL_forwardz00_12197); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12201)==32L))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4107z00_12202;
BgL_arg4107z00_12202 = 
(1L+BgL_forwardz00_12197); 
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12203;
RGC_STOP_MATCH(BgL_iportz00_12195, BgL_arg4107z00_12202); 
BgL_newzd2matchzd2_12203 = 1L; 
BgL_matchz00_12181 = BgL_newzd2matchzd2_12203; } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12196; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12205; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12212; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12219; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12226; } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_newzd2matchzd2_12268; } } } } }  else 
{ /* Llib/mpc.scm 303 */
 bool_t BgL_test6492z00_18171;
if(
(
(long)(BgL_curz00_12263)>=48L))
{ /* Llib/mpc.scm 303 */
BgL_test6492z00_18171 = 
(
(long)(BgL_curz00_12263)<58L)
; }  else 
{ /* Llib/mpc.scm 303 */
BgL_test6492z00_18171 = ((bool_t)0)
; } 
if(BgL_test6492z00_18171)
{ /* Llib/mpc.scm 303 */
BgL_iportz00_12249 = BgL_iportz00_12256; 
BgL_lastzd2matchzd2_12250 = BgL_newzd2matchzd2_12260; 
BgL_forwardz00_12251 = 
(1L+BgL_forwardz00_12258); 
BgL_bufposz00_12252 = BgL_bufposz00_12259; 
BgL_statezd27zd21208z00_12177:
if(
(BgL_forwardz00_12251==BgL_bufposz00_12252))
{ /* Llib/mpc.scm 303 */
if(
rgc_fill_buffer(BgL_iportz00_12249))
{ /* Llib/mpc.scm 303 */
 long BgL_arg4050z00_12253; long BgL_arg4051z00_12254;
BgL_arg4050z00_12253 = 
RGC_BUFFER_FORWARD(BgL_iportz00_12249); 
BgL_arg4051z00_12254 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_12249); 
{ 
 long BgL_bufposz00_18184; long BgL_forwardz00_18183;
BgL_forwardz00_18183 = BgL_arg4050z00_12253; 
BgL_bufposz00_18184 = BgL_arg4051z00_12254; 
BgL_bufposz00_12252 = BgL_bufposz00_18184; 
BgL_forwardz00_12251 = BgL_forwardz00_18183; 
goto BgL_statezd27zd21208z00_12177;} }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12250; } }  else 
{ /* Llib/mpc.scm 303 */
 int BgL_curz00_12255;
BgL_curz00_12255 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_12249, BgL_forwardz00_12251); 
{ /* Llib/mpc.scm 303 */

if(
(
(long)(BgL_curz00_12255)==58L))
{ 
 long BgL_bufposz00_18193; long BgL_forwardz00_18191; long BgL_lastzd2matchzd2_18190; obj_t BgL_iportz00_18189;
BgL_iportz00_18189 = BgL_iportz00_12249; 
BgL_lastzd2matchzd2_18190 = BgL_lastzd2matchzd2_12250; 
BgL_forwardz00_18191 = 
(1L+BgL_forwardz00_12251); 
BgL_bufposz00_18193 = BgL_bufposz00_12252; 
BgL_bufposz00_12267 = BgL_bufposz00_18193; 
BgL_forwardz00_12266 = BgL_forwardz00_18191; 
BgL_lastzd2matchzd2_12265 = BgL_lastzd2matchzd2_18190; 
BgL_iportz00_12264 = BgL_iportz00_18189; 
goto BgL_statezd28zd21209z00_12179;}  else 
{ /* Llib/mpc.scm 303 */
 bool_t BgL_test6497z00_18194;
if(
(
(long)(BgL_curz00_12255)>=48L))
{ /* Llib/mpc.scm 303 */
BgL_test6497z00_18194 = 
(
(long)(BgL_curz00_12255)<58L)
; }  else 
{ /* Llib/mpc.scm 303 */
BgL_test6497z00_18194 = ((bool_t)0)
; } 
if(BgL_test6497z00_18194)
{ 
 long BgL_forwardz00_18200;
BgL_forwardz00_18200 = 
(1L+BgL_forwardz00_12251); 
BgL_forwardz00_12251 = BgL_forwardz00_18200; 
goto BgL_statezd27zd21208z00_12177;}  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_lastzd2matchzd2_12250; } } } } }  else 
{ /* Llib/mpc.scm 303 */
BgL_matchz00_12181 = BgL_newzd2matchzd2_12260; } } } } } }  else 
{ /* Llib/mpc.scm 303 */
 long BgL_arg4029z00_12279;
BgL_arg4029z00_12279 = 
(1L+BgL_forwardz00_12274); 
{ /* Llib/mpc.scm 303 */
 long BgL_newzd2matchzd2_12280;
RGC_STOP_MATCH(BgL_iportz00_12272, BgL_arg4029z00_12279); 
BgL_newzd2matchzd2_12280 = 3L; 
BgL_matchz00_12181 = BgL_newzd2matchzd2_12280; } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_12167); 
switch( BgL_matchz00_12181) { case 3L : 

{ /* Llib/mpc.scm 312 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_excz00_12184;
{ /* Llib/mpc.scm 312 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1219z00_12185;
{ /* Llib/mpc.scm 312 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1218z00_12186;
BgL_new1218z00_12186 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/mpc.scm 312 */
 long BgL_arg4204z00_12187;
BgL_arg4204z00_12187 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1218z00_12186), BgL_arg4204z00_12187); } 
BgL_new1219z00_12185 = BgL_new1218z00_12186; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1219z00_12185)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1219z00_12185)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_18215;
{ /* Llib/mpc.scm 312 */
 obj_t BgL_arg4200z00_12188;
{ /* Llib/mpc.scm 312 */
 obj_t BgL_arg4201z00_12189;
{ /* Llib/mpc.scm 312 */
 obj_t BgL_classz00_12190;
BgL_classz00_12190 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg4201z00_12189 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_12190); } 
BgL_arg4200z00_12188 = 
VECTOR_REF(BgL_arg4201z00_12189,2L); } 
BgL_auxz00_18215 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg4200z00_12188); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1219z00_12185)))->BgL_stackz00)=((obj_t)BgL_auxz00_18215),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1219z00_12185)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(53L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1219z00_12185)))->BgL_msgz00)=((obj_t)BGl_string5433z00zz__multimediazd2mpczd2),BUNSPEC); 
{ 
 obj_t BgL_auxz00_18226;
{ /* Llib/mpc.scm 315 */
 obj_t BgL_arg4202z00_12191;
{ /* Llib/mpc.scm 303 */
 bool_t BgL_test6499z00_18228;
{ /* Llib/mpc.scm 303 */
 long BgL_arg4189z00_12194;
BgL_arg4189z00_12194 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_12167); 
BgL_test6499z00_18228 = 
(BgL_arg4189z00_12194==0L); } 
if(BgL_test6499z00_18228)
{ /* Llib/mpc.scm 303 */
BgL_arg4202z00_12191 = BEOF; }  else 
{ /* Llib/mpc.scm 303 */
BgL_arg4202z00_12191 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_12167)); } } 
BgL_auxz00_18226 = 
BGl_parsezd2errorzd2msgz00zz__multimediazd2mpczd2(BgL_arg4202z00_12191, BgL_iportz00_12167); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1219z00_12185)))->BgL_objz00)=((obj_t)BgL_auxz00_18226),BUNSPEC); } 
BgL_excz00_12184 = BgL_new1219z00_12185; } 
{ 

BgL_loopz00_12192:
{ /* Llib/mpc.scm 317 */
 obj_t BgL_lz00_12193;
BgL_lz00_12193 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_iportz00_12167); 
{ /* Llib/mpc.scm 318 */
 bool_t BgL_test6500z00_18236;
{ /* Llib/mpc.scm 318 */
 bool_t BgL_test6501z00_18237;
{ /* Llib/mpc.scm 318 */

BgL_test6501z00_18237 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(BGl_string5315z00zz__multimediazd2mpczd2, BgL_lz00_12193, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL_test6501z00_18237)
{ /* Llib/mpc.scm 318 */
BgL_test6500z00_18236 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 318 */

BgL_test6500z00_18236 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(BGl_string5434z00zz__multimediazd2mpczd2, BgL_lz00_12193, BFALSE, BFALSE, BFALSE, BFALSE); } } 
if(BgL_test6500z00_18236)
{ /* Llib/mpc.scm 318 */
BgL_lz00_12285 = 
BGl_raisez00zz__errorz00(
((obj_t)BgL_excz00_12184)); }  else 
{ /* Llib/mpc.scm 318 */
goto BgL_loopz00_12192;} } } } } break;case 2L : 

BgL_lz00_12285 = 
CNST_TABLE_REF(35L); break;case 1L : 

BgL_lz00_12285 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12167); break;case 0L : 

BgL_lz00_12285 = 
BGl_z62zc3z04anonymousza31658ze3ze5zz__multimediazd2mpczd2(BGl_za2mpczd2stringzd2grammarza2z00zz__multimediazd2mpczd2, BgL_iportz00_12167); break;
default: 
BgL_lz00_12285 = 
BGl_errorz00zz__errorz00(BGl_string5296z00zz__multimediazd2mpczd2, BGl_string5297z00zz__multimediazd2mpczd2, 
BINT(BgL_matchz00_12181)); } } } 
if(
(BgL_lz00_12285==
CNST_TABLE_REF(35L)))
{ /* Llib/mpc.scm 328 */
 obj_t BgL_l01605z00_12286;
BgL_l01605z00_12286 = 
bgl_reverse_bang(BgL_serz00_12284); 
{ 
 obj_t BgL_l1604z00_12288;
BgL_l1604z00_12288 = BgL_l01605z00_12286; 
BgL_zc3z04anonymousza34011ze3z87_12287:
if(
NULLP(BgL_l1604z00_12288))
{ /* Llib/mpc.scm 328 */
return BgL_l01605z00_12286;}  else 
{ /* Llib/mpc.scm 328 */
{ /* Llib/mpc.scm 328 */
 obj_t BgL_arg4013z00_12289;
{ /* Llib/mpc.scm 328 */
 obj_t BgL_arg4014z00_12290;
BgL_arg4014z00_12290 = 
CAR(
((obj_t)BgL_l1604z00_12288)); 
BgL_sz00_12166 = BgL_arg4014z00_12290; 
{ /* Llib/mpc.scm 298 */
 bool_t BgL_test6504z00_18262;
if(
bigloo_strcmp_at(BgL_sz00_12166, BGl_string5431z00zz__multimediazd2mpczd2, 0L))
{ /* Llib/mpc.scm 298 */
BgL_test6504z00_18262 = ((bool_t)1)
; }  else 
{ /* Llib/mpc.scm 298 */
BgL_test6504z00_18262 = 
bigloo_strcmp_at(BgL_sz00_12166, BGl_string5432z00zz__multimediazd2mpczd2, 0L)
; } 
if(BgL_test6504z00_18262)
{ /* Llib/mpc.scm 298 */
BgL_arg4013z00_12289 = BgL_sz00_12166; }  else 
{ /* Llib/mpc.scm 298 */
BgL_arg4013z00_12289 = 
string_append(
(((BgL_mpcz00_bglt)COBJECT(BgL_mpcz00_10484))->BgL_prefixz00), BgL_sz00_12166); } } } 
{ /* Llib/mpc.scm 328 */
 obj_t BgL_tmpz00_18268;
BgL_tmpz00_18268 = 
((obj_t)BgL_l1604z00_12288); 
SET_CAR(BgL_tmpz00_18268, BgL_arg4013z00_12289); } } 
{ /* Llib/mpc.scm 328 */
 obj_t BgL_arg4015z00_12291;
BgL_arg4015z00_12291 = 
CDR(
((obj_t)BgL_l1604z00_12288)); 
{ 
 obj_t BgL_l1604z00_18273;
BgL_l1604z00_18273 = BgL_arg4015z00_12291; 
BgL_l1604z00_12288 = BgL_l1604z00_18273; 
goto BgL_zc3z04anonymousza34011ze3z87_12287;} } } } }  else 
{ /* Llib/mpc.scm 329 */
 obj_t BgL_arg4016z00_12292;
BgL_arg4016z00_12292 = 
MAKE_YOUNG_PAIR(BgL_lz00_12285, BgL_serz00_12284); 
{ 
 obj_t BgL_serz00_18275;
BgL_serz00_18275 = BgL_arg4016z00_12292; 
BgL_serz00_12284 = BgL_serz00_18275; 
goto BgL_loopz00_12283;} } } } } } } } 

}



/* &music-reset!-mpc1617 */
obj_t BGl_z62musiczd2resetz12zd2mpc1617z70zz__multimediazd2mpczd2(obj_t BgL_envz00_10486, obj_t BgL_mpcz00_10487)
{
{ /* Llib/mpc.scm 284 */
{ /* Llib/mpc.scm 286 */
 obj_t BgL_mutex3998z00_12294;
BgL_mutex3998z00_12294 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10487))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 286 */
 obj_t BgL_top6507z00_18280;
BgL_top6507z00_18280 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex3998z00_12294); 
BGL_EXITD_PUSH_PROTECT(BgL_top6507z00_18280, BgL_mutex3998z00_12294); BUNSPEC; 
{ /* Llib/mpc.scm 286 */
 obj_t BgL_tmp6506z00_18279;
{ /* Llib/mpc.scm 287 */
 bool_t BgL_test6508z00_18284;
{ /* Llib/mpc.scm 287 */
 obj_t BgL_tmpz00_18285;
BgL_tmpz00_18285 = 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10487)))->BgL_z52socketz52); 
BgL_test6508z00_18284 = 
SOCKETP(BgL_tmpz00_18285); } 
if(BgL_test6508z00_18284)
{ /* Llib/mpc.scm 287 */
{ /* Llib/mpc.scm 288 */
 obj_t BgL_arg4001z00_12295;
BgL_arg4001z00_12295 = 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10487)))->BgL_z52socketz52); 
socket_close(
((obj_t)BgL_arg4001z00_12295)); } 
BgL_tmp6506z00_18279 = 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10487)))->BgL_z52socketz52)=((obj_t)BFALSE),BUNSPEC); }  else 
{ /* Llib/mpc.scm 287 */
BgL_tmp6506z00_18279 = BFALSE; } } 
BGL_EXITD_POP_PROTECT(BgL_top6507z00_18280); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex3998z00_12294); 
return BgL_tmp6506z00_18279;} } } } 

}



/* &music-closed?-mpc1615 */
obj_t BGl_z62musiczd2closedzf3zd2mpc1615z91zz__multimediazd2mpczd2(obj_t BgL_envz00_10488, obj_t BgL_mpcz00_10489)
{
{ /* Llib/mpc.scm 277 */
return 
BBOOL(
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10489)))->BgL_z52closedz52));} 

}



/* &music-close-mpc1613 */
obj_t BGl_z62musiczd2closezd2mpc1613z62zz__multimediazd2mpczd2(obj_t BgL_envz00_10490, obj_t BgL_mpcz00_10491)
{
{ /* Llib/mpc.scm 256 */
{ 

{ /* Llib/mpc.scm 264 */
 bool_t BgL_test6509z00_18300;
{ /* Llib/mpc.scm 259 */
 obj_t BgL_mutex3996z00_12300;
BgL_mutex3996z00_12300 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10491))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 259 */
 obj_t BgL_top6511z00_18305;
BgL_top6511z00_18305 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex3996z00_12300); 
BGL_EXITD_PUSH_PROTECT(BgL_top6511z00_18305, BgL_mutex3996z00_12300); BUNSPEC; 
{ /* Llib/mpc.scm 259 */
 bool_t BgL_tmp6510z00_18304;
if(
BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10491))))
{ /* Llib/mpc.scm 260 */
BgL_tmp6510z00_18304 = ((bool_t)0); }  else 
{ /* Llib/mpc.scm 260 */
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10491)))->BgL_z52closedz52)=((bool_t)((bool_t)1)),BUNSPEC); 
BgL_tmp6510z00_18304 = ((bool_t)1); } 
BGL_EXITD_POP_PROTECT(BgL_top6511z00_18305); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex3996z00_12300); 
BgL_test6509z00_18300 = BgL_tmp6510z00_18304; } } } 
if(BgL_test6509z00_18300)
{ /* Llib/mpc.scm 264 */
{ /* Llib/mpc.scm 256 */
 obj_t BgL_nextzd2method1612zd2_12299;
BgL_nextzd2method1612zd2_12299 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10491)), BGl_musiczd2closezd2envz00zz__multimediazd2musiczd2, BGl_mpcz00zz__multimediazd2mpczd2); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1612zd2_12299))(BgL_nextzd2method1612zd2_12299, 
((obj_t)
((BgL_mpcz00_bglt)BgL_mpcz00_10491)), BEOA); } 
{ /* Llib/mpc.scm 266 */
 obj_t BgL_mutex3991z00_12301;
BgL_mutex3991z00_12301 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_mpcz00_bglt)BgL_mpcz00_10491))))->BgL_z52mutexz52); 
{ /* Llib/mpc.scm 266 */
 obj_t BgL_top6514z00_18330;
BgL_top6514z00_18330 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex3991z00_12301); 
BGL_EXITD_PUSH_PROTECT(BgL_top6514z00_18330, BgL_mutex3991z00_12301); BUNSPEC; 
{ /* Llib/mpc.scm 266 */
 obj_t BgL_tmp6513z00_18329;
{ /* Llib/mpc.scm 267 */
 bool_t BgL_test6515z00_18334;
{ /* Llib/mpc.scm 267 */
 obj_t BgL_tmpz00_18335;
BgL_tmpz00_18335 = 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10491)))->BgL_z52socketz52); 
BgL_test6515z00_18334 = 
SOCKETP(BgL_tmpz00_18335); } 
if(BgL_test6515z00_18334)
{ /* Llib/mpc.scm 267 */
BGl_execz00zz__multimediazd2mpczd2(
((BgL_mpcz00_bglt)BgL_mpcz00_10491), BGl_string5435z00zz__multimediazd2mpczd2); 
{ /* Llib/mpc.scm 271 */
 obj_t BgL_arg3994z00_12302;
BgL_arg3994z00_12302 = 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10491)))->BgL_z52socketz52); 
socket_close(
((obj_t)BgL_arg3994z00_12302)); } 
BgL_tmp6513z00_18329 = 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10491)))->BgL_z52socketz52)=((obj_t)BFALSE),BUNSPEC); }  else 
{ /* Llib/mpc.scm 267 */
BgL_tmp6513z00_18329 = BFALSE; } } 
BGL_EXITD_POP_PROTECT(BgL_top6514z00_18330); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex3991z00_12301); 
return BgL_tmp6513z00_18329;} } } }  else 
{ /* Llib/mpc.scm 264 */
return BFALSE;} } } } 

}



/* &music-reset-error!-m1611 */
obj_t BGl_z62musiczd2resetzd2errorz12zd2m1611za2zz__multimediazd2mpczd2(obj_t BgL_envz00_10492, obj_t BgL_mpcz00_10493)
{
{ /* Llib/mpc.scm 62 */
if(
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10493)))->BgL_z52closedz52))
{ /* Llib/mpc.scm 64 */
return BFALSE;}  else 
{ /* Llib/mpc.scm 64 */
{ /* Llib/mpc.scm 67 */
 obj_t BgL_arg3990z00_12304;
BgL_arg3990z00_12304 = 
(((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10493)))->BgL_z52socketz52); 
socket_close(
((obj_t)BgL_arg3990z00_12304)); } 
((((BgL_mpcz00_bglt)COBJECT(
((BgL_mpcz00_bglt)BgL_mpcz00_10493)))->BgL_z52socketz52)=((obj_t)BFALSE),BUNSPEC); 
return 
BGl_mpczd2cmdzd2zz__multimediazd2mpczd2(
((BgL_mpcz00_bglt)BgL_mpcz00_10493), BGl_string5417z00zz__multimediazd2mpczd2, BGl_okzd2parserzd2envz00zz__multimediazd2mpczd2);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2mpczd2(void)
{
{ /* Llib/mpc.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(95358739L, 
BSTRING_TO_STRING(BGl_string5436z00zz__multimediazd2mpczd2));} 

}

#ifdef __cplusplus
}
#endif
