/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Dataflow/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_DATAFLOW_WALK_TYPE_DEFINITIONS
#define BGL_DATAFLOW_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


#endif													// BGL_DATAFLOW_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62dataflowzd2testzd2envzd2va1433zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31870ze3ze5zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sync1447z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2setq1400z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2fail1404z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62dataflowzd2nodez12zd2condi1402z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00(void);
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l1394za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00(void);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2exter1398z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2funca1396z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f1408za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r1420za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2sync1390z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v1410za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00(void);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd21416za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2var1383z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t
		BGl_removezd2variablezd2fromzd2envze70z35zzdataflow_walkz00
		(BgL_variablez00_bglt, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s1422za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_z62abortzf3zd2letzd2fun1451z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez121377za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2app1392z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap1426zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf31440z91zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2in1428zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31614ze3ze5zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd21418za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00(void);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00(void);
	static obj_t BGl_z62dataflowzd2nodez12zd2switc1406z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00(void);
	static obj_t BGl_z62dataflowzd2nodez12zd2closu1385z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2testzd2env1423z62zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	static BgL_localz00_bglt BGl_z62lambda1609z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62abortzf3zd2app1455z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1615z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2co1431zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2var1449z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21436zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21439zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sequence1445z43zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1631z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1632z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62abortzf3zd2funcall1457z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque1388z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62lambda1659z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static obj_t BGl_z62abortzf3zd2conditional1453z43zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1660z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e1412za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2le1435zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2appzd2ly1459z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1598z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2fail1443z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STRING(BGl_string2307z00zzdataflow_walkz00,
		BgL_bgl_string2307za700za7za7d2314za7, "dataflow_walk", 13);
	      DEFINE_STRING(BGl_string2308z00zzdataflow_walkz00,
		BgL_bgl_string2308za700za7za7d2315za7,
		"read _ dataflow_walk local/value node int stamp $epair? $pair? foreign $null? pass-started ",
		91);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2sy2316za7,
		BGl_z62abortzf3zd2sync1447z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2317za7,
		BGl_z62abortzf3zd2letzd2var1449z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2302z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2318za7,
		BGl_z62abortzf3zd2letzd2fun1451z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2319za7,
		BGl_z62abortzf3zd2conditional1453z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2304z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2320za7,
		BGl_z62abortzf3zd2app1455z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2305z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2321za7,
		BGl_z62abortzf3zd2funcall1457z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2322za7,
		BGl_z62abortzf3zd2appzd2ly1459z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2246z00zzdataflow_walkz00,
		BgL_bgl_string2246za700za7za7d2323za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2247z00zzdataflow_walkz00,
		BgL_bgl_string2247za700za7za7d2324za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2248z00zzdataflow_walkz00,
		BgL_bgl_string2248za700za7za7d2325za7, " error", 6);
	      DEFINE_STRING(BGl_string2249z00zzdataflow_walkz00,
		BgL_bgl_string2249za700za7za7d2326za7, "s", 1);
	      DEFINE_STRING(BGl_string2250z00zzdataflow_walkz00,
		BgL_bgl_string2250za700za7za7d2327za7, "", 0);
	      DEFINE_STRING(BGl_string2251z00zzdataflow_walkz00,
		BgL_bgl_string2251za700za7za7d2328za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2252z00zzdataflow_walkz00,
		BgL_bgl_string2252za700za7za7d2329za7, "failure during postlude hook", 28);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2330z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72331za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1632za7622332z00, BGl_z62lambda1632z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1631za7622333z00, BGl_z62lambda1631z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1660za7622334z00, BGl_z62lambda1660z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2262z00zzdataflow_walkz00,
		BgL_bgl_string2262za700za7za7d2335za7, "dataflow-node!1377", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1659za7622336z00, BGl_z62lambda1659z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1615za7622337z00, BGl_z62lambda1615z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2264z00zzdataflow_walkz00,
		BgL_bgl_string2264za700za7za7d2338za7, "dataflow-test-env1423", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3za704anonymo2339za7,
		BGl_z62zc3z04anonymousza31614ze3ze5zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1609za7622340z00, BGl_z62lambda1609z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2266z00zzdataflow_walkz00,
		BgL_bgl_string2266za700za7za7d2341za7, "dataflow-test-false-1436", 24);
	      DEFINE_STRING(BGl_string2268z00zzdataflow_walkz00,
		BgL_bgl_string2268za700za7za7d2342za7, "abort?1440", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1598za7622343z00, BGl_z62lambda1598z62zzdataflow_walkz00,
		0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2344z00,
		BGl_z62dataflowzd2nodez121377za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2345z00,
		BGl_z62dataflowzd2testzd2env1423z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2270z00zzdataflow_walkz00,
		BgL_bgl_string2270za700za7za7d2346za7, "dataflow-node!", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2347z00,
		BGl_z62dataflowzd2testzd2falsezd21436zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f31440za72348za7,
		BGl_z62abortzf31440z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2349z00,
		BGl_z62dataflowzd2nodez12zd2var1383z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2350z00,
		BGl_z62dataflowzd2nodez12zd2closu1385z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2351z00,
		BGl_z62dataflowzd2nodez12zd2seque1388z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2352z00,
		BGl_z62dataflowzd2nodez12zd2sync1390z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2353z00,
		BGl_z62dataflowzd2nodez12zd2app1392z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2354z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l1394za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2355z00,
		BGl_z62dataflowzd2nodez12zd2funca1396z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2356z00,
		BGl_z62dataflowzd2nodez12zd2exter1398z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2357z00,
		BGl_z62dataflowzd2nodez12zd2setq1400z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2358z00,
		BGl_z62dataflowzd2nodez12zd2condi1402z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2359z00,
		BGl_z62dataflowzd2nodez12zd2fail1404z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2360z00,
		BGl_z62dataflowzd2nodez12zd2switc1406z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2361z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f1408za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2283z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2362z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v1410za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2290z00zzdataflow_walkz00,
		BgL_bgl_string2290za700za7za7d2363za7, "dataflow-test-env", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2284z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2364z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e1412za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2285z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2365z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd21416za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2286z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2366z00,
		BGl_z62dataflowzd2nodez12zd2makezd21418za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2287z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2367z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r1420za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2288z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2368z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s1422za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2289z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2369z00,
		BGl_z62dataflowzd2testzd2envzd2ap1426zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2296z00zzdataflow_walkz00,
		BgL_bgl_string2296za700za7za7d2370za7, "dataflow-test-false-env", 23);
	      DEFINE_STRING(BGl_string2298z00zzdataflow_walkz00,
		BgL_bgl_string2298za700za7za7d2371za7, "abort?", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2372z00,
		BGl_z62dataflowzd2testzd2envzd2in1428zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2292z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2373z00,
		BGl_z62dataflowzd2testzd2envzd2co1431zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2293z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2374z00,
		BGl_z62dataflowzd2testzd2envzd2va1433zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2294z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2375z00,
		BGl_z62dataflowzd2testzd2envzd2le1435zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2295z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2376z00,
		BGl_z62dataflowzd2testzd2falsezd21439zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2297z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2377za7,
		BGl_z62abortzf3zd2fail1443z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2299z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2378za7,
		BGl_z62abortzf3zd2sequence1445z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2379z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2380z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2381z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42epairzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42pairzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42nullzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2valuezf2zzdataflow_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_4495, char *BgL_fromz00_4496)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzdataflow_walkz00();
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					return BGl_toplevelzd2initzd2zzdataflow_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"dataflow_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_4049;

				{	/* Dataflow/walk.scm 17 */
					obj_t BgL_stringz00_4056;

					BgL_stringz00_4056 = BGl_string2308z00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 17 */
						obj_t BgL_startz00_4057;

						BgL_startz00_4057 = BINT(0L);
						{	/* Dataflow/walk.scm 17 */
							obj_t BgL_endz00_4058;

							BgL_endz00_4058 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4056)));
							{	/* Dataflow/walk.scm 17 */

								BgL_cportz00_4049 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4056, BgL_startz00_4057, BgL_endz00_4058);
				}}}}
				{
					long BgL_iz00_4050;

					BgL_iz00_4050 = 11L;
				BgL_loopz00_4051:
					if ((BgL_iz00_4050 == -1L))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2309z00_4052;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_4054;

										BgL_locationz00_4054 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2309z00_4052 =
												BGl_readz00zz__readerz00(BgL_cportz00_4049,
												BgL_locationz00_4054);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_tmpz00_4530;

									BgL_tmpz00_4530 = (int) (BgL_iz00_4050);
									CNST_TABLE_SET(BgL_tmpz00_4530, BgL_arg2309z00_4052);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_4055;

								BgL_auxz00_4055 = (int) ((BgL_iz00_4050 - 1L));
								{
									long BgL_iz00_4535;

									BgL_iz00_4535 = (long) (BgL_auxz00_4055);
									BgL_iz00_4050 = BgL_iz00_4535;
									goto BgL_loopz00_4051;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = 0L;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1813;

				BgL_headz00_1813 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1814;
					obj_t BgL_tailz00_1815;

					BgL_prevz00_1814 = BgL_headz00_1813;
					BgL_tailz00_1815 = BgL_l1z00_1;
				BgL_loopz00_1816:
					if (PAIRP(BgL_tailz00_1815))
						{
							obj_t BgL_newzd2prevzd2_1818;

							BgL_newzd2prevzd2_1818 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1815), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1814, BgL_newzd2prevzd2_1818);
							{
								obj_t BgL_tailz00_4545;
								obj_t BgL_prevz00_4544;

								BgL_prevz00_4544 = BgL_newzd2prevzd2_1818;
								BgL_tailz00_4545 = CDR(BgL_tailz00_1815);
								BgL_tailz00_1815 = BgL_tailz00_4545;
								BgL_prevz00_1814 = BgL_prevz00_4544;
								goto BgL_loopz00_1816;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1813);
				}
			}
		}

	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		{	/* Dataflow/walk.scm 45 */
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_list1495z00_1827;

				{	/* Dataflow/walk.scm 46 */
					obj_t BgL_arg1496z00_1828;

					{	/* Dataflow/walk.scm 46 */
						obj_t BgL_arg1497z00_1829;

						BgL_arg1497z00_1829 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1496z00_1828 =
							MAKE_YOUNG_PAIR(BgL_namez00_57, BgL_arg1497z00_1829);
					}
					BgL_list1495z00_1827 =
						MAKE_YOUNG_PAIR(BGl_string2246z00zzdataflow_walkz00,
						BgL_arg1496z00_1828);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1495z00_1827);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_g1141z00_1830;

				BgL_g1141z00_1830 = BNIL;
				{
					obj_t BgL_hooksz00_1833;
					obj_t BgL_hnamesz00_1834;

					BgL_hooksz00_1833 = BgL_g1141z00_1830;
					BgL_hnamesz00_1834 = BNIL;
				BgL_zc3z04anonymousza31498ze3z87_1835:
					if (NULLP(BgL_hooksz00_1833))
						{	/* Dataflow/walk.scm 46 */
							CNST_TABLE_REF(0L);
						}
					else
						{	/* Dataflow/walk.scm 46 */
							bool_t BgL_test2386z00_4558;

							{	/* Dataflow/walk.scm 46 */
								obj_t BgL_fun1533z00_1842;

								BgL_fun1533z00_1842 = CAR(((obj_t) BgL_hooksz00_1833));
								BgL_test2386z00_4558 =
									CBOOL(
									(VA_PROCEDUREP(BgL_fun1533z00_1842) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_fun1533z00_1842))
										(BgL_fun1533z00_1842,
											BEOA) : ((obj_t(*)(obj_t))
											PROCEDURE_ENTRY(BgL_fun1533z00_1842))
										(BgL_fun1533z00_1842)));
							}
							if (BgL_test2386z00_4558)
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1519z00_1839;
									obj_t BgL_arg1528z00_1840;

									BgL_arg1519z00_1839 = CDR(((obj_t) BgL_hooksz00_1833));
									BgL_arg1528z00_1840 = CDR(((obj_t) BgL_hnamesz00_1834));
									{
										obj_t BgL_hnamesz00_4570;
										obj_t BgL_hooksz00_4569;

										BgL_hooksz00_4569 = BgL_arg1519z00_1839;
										BgL_hnamesz00_4570 = BgL_arg1528z00_1840;
										BgL_hnamesz00_1834 = BgL_hnamesz00_4570;
										BgL_hooksz00_1833 = BgL_hooksz00_4569;
										goto BgL_zc3z04anonymousza31498ze3z87_1835;
									}
								}
							else
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1532z00_1841;

									BgL_arg1532z00_1841 = CAR(((obj_t) BgL_hnamesz00_1834));
									BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
										BGl_string2247z00zzdataflow_walkz00, BgL_arg1532z00_1841);
								}
						}
				}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(1L),
				CNST_TABLE_REF(2L));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(3L),
				CNST_TABLE_REF(2L));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(4L),
				CNST_TABLE_REF(2L));
			{
				obj_t BgL_l1333z00_1846;

				BgL_l1333z00_1846 = BgL_globalsz00_56;
			BgL_zc3z04anonymousza31536ze3z87_1847:
				if (PAIRP(BgL_l1333z00_1846))
					{	/* Dataflow/walk.scm 50 */
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg1541z00_1849;

							BgL_arg1541z00_1849 = CAR(BgL_l1333z00_1846);
							{	/* Dataflow/walk.scm 64 */
								obj_t BgL_arg1575z00_2852;

								BgL_arg1575z00_2852 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg1541z00_1849))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg1575z00_2852), BNIL);
							}
						}
						{
							obj_t BgL_l1333z00_4593;

							BgL_l1333z00_4593 = CDR(BgL_l1333z00_1846);
							BgL_l1333z00_1846 = BgL_l1333z00_4593;
							goto BgL_zc3z04anonymousza31536ze3z87_1847;
						}
					}
				else
					{	/* Dataflow/walk.scm 50 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Dataflow/walk.scm 51 */
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_port1335z00_1854;

						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_tmpz00_4598;

							BgL_tmpz00_4598 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1335z00_1854 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4598);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1335z00_1854);
						bgl_display_string(BGl_string2248z00zzdataflow_walkz00,
							BgL_port1335z00_1854);
						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_arg1550z00_1855;

							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_test2389z00_4603;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 51 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 51 */
												BgL_test2389z00_4603 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Dataflow/walk.scm 51 */
												BgL_test2389z00_4603 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_test2389z00_4603 = ((bool_t) 0);
									}
								if (BgL_test2389z00_4603)
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1550z00_1855 = BGl_string2249z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1550z00_1855 = BGl_string2250z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1550z00_1855, BgL_port1335z00_1854);
						}
						bgl_display_string(BGl_string2251z00zzdataflow_walkz00,
							BgL_port1335z00_1854);
						bgl_display_char(((unsigned char) 10), BgL_port1335z00_1854);
					}
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_list1553z00_1859;

						BgL_list1553z00_1859 = MAKE_YOUNG_PAIR(BINT(-1L), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1553z00_1859);
					}
				}
			else
				{	/* Dataflow/walk.scm 51 */
					obj_t BgL_g1143z00_1860;

					BgL_g1143z00_1860 = BNIL;
					{
						obj_t BgL_hooksz00_1863;
						obj_t BgL_hnamesz00_1864;

						BgL_hooksz00_1863 = BgL_g1143z00_1860;
						BgL_hnamesz00_1864 = BNIL;
					BgL_zc3z04anonymousza31554ze3z87_1865:
						if (NULLP(BgL_hooksz00_1863))
							{	/* Dataflow/walk.scm 51 */
								return BgL_globalsz00_56;
							}
						else
							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_test2393z00_4620;

								{	/* Dataflow/walk.scm 51 */
									obj_t BgL_fun1566z00_1872;

									BgL_fun1566z00_1872 = CAR(((obj_t) BgL_hooksz00_1863));
									BgL_test2393z00_4620 =
										CBOOL(
										(VA_PROCEDUREP(BgL_fun1566z00_1872) ? ((obj_t(*)(obj_t,
														...))
												PROCEDURE_ENTRY(BgL_fun1566z00_1872))
											(BgL_fun1566z00_1872,
												BEOA) : ((obj_t(*)(obj_t))
												PROCEDURE_ENTRY(BgL_fun1566z00_1872))
											(BgL_fun1566z00_1872)));
								}
								if (BgL_test2393z00_4620)
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1560z00_1869;
										obj_t BgL_arg1563z00_1870;

										BgL_arg1560z00_1869 = CDR(((obj_t) BgL_hooksz00_1863));
										BgL_arg1563z00_1870 = CDR(((obj_t) BgL_hnamesz00_1864));
										{
											obj_t BgL_hnamesz00_4632;
											obj_t BgL_hooksz00_4631;

											BgL_hooksz00_4631 = BgL_arg1560z00_1869;
											BgL_hnamesz00_4632 = BgL_arg1563z00_1870;
											BgL_hnamesz00_1864 = BgL_hnamesz00_4632;
											BgL_hooksz00_1863 = BgL_hooksz00_4631;
											goto BgL_zc3z04anonymousza31554ze3z87_1865;
										}
									}
								else
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1564z00_1871;

										BgL_arg1564z00_1871 = CAR(((obj_t) BgL_hnamesz00_1864));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2252z00zzdataflow_walkz00, BgL_arg1564z00_1871);
									}
							}
					}
				}
		}

	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3859,
		obj_t BgL_globalsz00_3860, obj_t BgL_namez00_3861)
	{
		{	/* Dataflow/walk.scm 45 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3860,
				BgL_namez00_3861);
		}

	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_99,
		obj_t BgL_envz00_100)
	{
		{	/* Dataflow/walk.scm 309 */
			{
				obj_t BgL_l1357z00_1878;

				BgL_l1357z00_1878 = BgL_nodeza2za2_99;
			BgL_zc3z04anonymousza31577ze3z87_1879:
				if (PAIRP(BgL_l1357z00_1878))
					{	/* Dataflow/walk.scm 310 */
						{	/* Dataflow/walk.scm 310 */
							obj_t BgL_nz00_1881;

							BgL_nz00_1881 = CAR(BgL_l1357z00_1878);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1881), BgL_envz00_100);
						}
						{
							obj_t BgL_l1357z00_4642;

							BgL_l1357z00_4642 = CDR(BgL_l1357z00_1878);
							BgL_l1357z00_1878 = BgL_l1357z00_4642;
							goto BgL_zc3z04anonymousza31577ze3z87_1879;
						}
					}
				else
					{	/* Dataflow/walk.scm 310 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_100;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 37 */
				obj_t BgL_arg1595z00_1888;
				obj_t BgL_arg1597z00_1889;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1375z00_1925;

					BgL_v1375z00_1925 = create_vector(2L);
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1628z00_1926;

						BgL_arg1628z00_1926 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(5L),
							BGl_proc2254z00zzdataflow_walkz00,
							BGl_proc2253z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(6L));
						VECTOR_SET(BgL_v1375z00_1925, 0L, BgL_arg1628z00_1926);
					}
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1639z00_1936;

						BgL_arg1639z00_1936 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(7L),
							BGl_proc2256z00zzdataflow_walkz00,
							BGl_proc2255z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1375z00_1925, 1L, BgL_arg1639z00_1936);
					}
					BgL_arg1595z00_1888 = BgL_v1375z00_1925;
				}
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1376z00_1946;

					BgL_v1376z00_1946 = create_vector(0L);
					BgL_arg1597z00_1889 = BgL_v1376z00_1946;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(8L),
						CNST_TABLE_REF(9L), BGl_localz00zzast_varz00, 51723L,
						BGl_proc2260z00zzdataflow_walkz00,
						BGl_proc2259z00zzdataflow_walkz00, BFALSE,
						BGl_proc2258z00zzdataflow_walkz00,
						BGl_proc2257z00zzdataflow_walkz00, BgL_arg1595z00_1888,
						BgL_arg1597z00_1889), BUNSPEC);
			}
		}

	}



/* &lambda1615 */
	BgL_localz00_bglt BGl_z62lambda1615z62zzdataflow_walkz00(obj_t
		BgL_envz00_3870, obj_t BgL_o1128z00_3871)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_arg1616z00_4061;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_arg1620z00_4062;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1621z00_4063;

						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1808z00_4064;

							{	/* Dataflow/walk.scm 37 */
								long BgL_arg1809z00_4065;

								BgL_arg1809z00_4065 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1128z00_3871)));
								BgL_arg1808z00_4064 = (BgL_arg1809z00_4065 - OBJECT_TYPE);
							}
							BgL_arg1621z00_4063 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1808z00_4064);
						}
						BgL_arg1620z00_4062 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1621z00_4063);
					}
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_tmpz00_4662;

						BgL_tmpz00_4662 = ((obj_t) BgL_arg1620z00_4062);
						BgL_arg1616z00_4061 = BGL_CLASS_NUM(BgL_tmpz00_4662);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1128z00_3871)), BgL_arg1616z00_4061);
			}
			{	/* Dataflow/walk.scm 37 */
				BgL_objectz00_bglt BgL_tmpz00_4668;

				BgL_tmpz00_4668 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1128z00_3871));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4668, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1128z00_3871));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1128z00_3871));
		}

	}



/* &<@anonymous:1614> */
	obj_t BGl_z62zc3z04anonymousza31614ze3ze5zzdataflow_walkz00(obj_t
		BgL_envz00_3872, obj_t BgL_new1127z00_3873)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localz00_bglt BgL_auxz00_4676;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1127z00_3873))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(10L)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3873))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4684;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4067;

						BgL_classz00_4067 = BGl_typez00zztype_typez00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1117z00_4068;

							BgL__ortest_1117z00_4068 = BGL_CLASS_NIL(BgL_classz00_4067);
							if (CBOOL(BgL__ortest_1117z00_4068))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4684 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4068);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4684 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4067));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1127z00_3873))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4684), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4694;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4069;

						BgL_classz00_4069 = BGl_valuez00zzast_varz00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1117z00_4070;

							BgL__ortest_1117z00_4070 = BGL_CLASS_NIL(BgL_classz00_4069);
							if (CBOOL(BgL__ortest_1117z00_4070))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4694 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_4070);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4694 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4069));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1127z00_3873))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4694), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1127z00_3873))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3873))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3873))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3873))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3873))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3873))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3873))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3873))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3873))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4731;

					{
						obj_t BgL_auxz00_4732;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4733;

							BgL_tmpz00_4733 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1127z00_3873));
							BgL_auxz00_4732 = BGL_OBJECT_WIDENING(BgL_tmpz00_4733);
						}
						BgL_auxz00_4731 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4732);
					}
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4731))->
							BgL_stampz00) = ((int) (int) (0L)), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4747;
					BgL_localzf2valuezf2_bglt BgL_auxz00_4740;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4071;

						BgL_classz00_4071 = BGl_nodez00zzast_nodez00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1117z00_4072;

							BgL__ortest_1117z00_4072 = BGL_CLASS_NIL(BgL_classz00_4071);
							if (CBOOL(BgL__ortest_1117z00_4072))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4747 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_4072);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4747 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4071));
								}
						}
					}
					{
						obj_t BgL_auxz00_4741;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4742;

							BgL_tmpz00_4742 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1127z00_3873));
							BgL_auxz00_4741 = BGL_OBJECT_WIDENING(BgL_tmpz00_4742);
						}
						BgL_auxz00_4740 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4741);
					}
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4740))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_auxz00_4747), BUNSPEC);
				}
				BgL_auxz00_4676 = ((BgL_localz00_bglt) BgL_new1127z00_3873);
				return ((obj_t) BgL_auxz00_4676);
			}
		}

	}



/* &lambda1609 */
	BgL_localz00_bglt BGl_z62lambda1609z62zzdataflow_walkz00(obj_t
		BgL_envz00_3874, obj_t BgL_o1123z00_3875)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				BgL_localzf2valuezf2_bglt BgL_wide1125z00_4074;

				BgL_wide1125z00_4074 =
					((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2valuezf2_bgl))));
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_auxz00_4762;
					BgL_objectz00_bglt BgL_tmpz00_4758;

					BgL_auxz00_4762 = ((obj_t) BgL_wide1125z00_4074);
					BgL_tmpz00_4758 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_3875)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4758, BgL_auxz00_4762);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_3875)));
				{	/* Dataflow/walk.scm 37 */
					long BgL_arg1613z00_4075;

					BgL_arg1613z00_4075 =
						BGL_CLASS_NUM(BGl_localzf2valuezf2zzdataflow_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1123z00_3875))), BgL_arg1613z00_4075);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_3875)));
			}
		}

	}



/* &lambda1598 */
	BgL_localz00_bglt BGl_z62lambda1598z62zzdataflow_walkz00(obj_t
		BgL_envz00_3876, obj_t BgL_id1108z00_3877, obj_t BgL_name1109z00_3878,
		obj_t BgL_type1110z00_3879, obj_t BgL_value1111z00_3880,
		obj_t BgL_access1112z00_3881, obj_t BgL_fastzd2alpha1113zd2_3882,
		obj_t BgL_removable1114z00_3883, obj_t BgL_occurrence1115z00_3884,
		obj_t BgL_occurrencew1116z00_3885, obj_t BgL_userzf31117zf3_3886,
		obj_t BgL_key1118z00_3887, obj_t BgL_valzd2noescape1119zd2_3888,
		obj_t BgL_volatile1120z00_3889, obj_t BgL_stamp1121z00_3890,
		obj_t BgL_node1122z00_3891)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_occurrence1115z00_4079;
				long BgL_occurrencew1116z00_4080;
				bool_t BgL_userzf31117zf3_4081;
				long BgL_key1118z00_4082;
				bool_t BgL_volatile1120z00_4083;
				int BgL_stamp1121z00_4084;

				BgL_occurrence1115z00_4079 = (long) CINT(BgL_occurrence1115z00_3884);
				BgL_occurrencew1116z00_4080 = (long) CINT(BgL_occurrencew1116z00_3885);
				BgL_userzf31117zf3_4081 = CBOOL(BgL_userzf31117zf3_3886);
				BgL_key1118z00_4082 = (long) CINT(BgL_key1118z00_3887);
				BgL_volatile1120z00_4083 = CBOOL(BgL_volatile1120z00_3889);
				BgL_stamp1121z00_4084 = CINT(BgL_stamp1121z00_3890);
				{	/* Dataflow/walk.scm 37 */
					BgL_localz00_bglt BgL_new1195z00_4086;

					{	/* Dataflow/walk.scm 37 */
						BgL_localz00_bglt BgL_tmp1193z00_4087;
						BgL_localzf2valuezf2_bglt BgL_wide1194z00_4088;

						{
							BgL_localz00_bglt BgL_auxz00_4782;

							{	/* Dataflow/walk.scm 37 */
								BgL_localz00_bglt BgL_new1192z00_4089;

								BgL_new1192z00_4089 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 37 */
									long BgL_arg1608z00_4090;

									BgL_arg1608z00_4090 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1192z00_4089),
										BgL_arg1608z00_4090);
								}
								{	/* Dataflow/walk.scm 37 */
									BgL_objectz00_bglt BgL_tmpz00_4787;

									BgL_tmpz00_4787 = ((BgL_objectz00_bglt) BgL_new1192z00_4089);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4787, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1192z00_4089);
								BgL_auxz00_4782 = BgL_new1192z00_4089;
							}
							BgL_tmp1193z00_4087 = ((BgL_localz00_bglt) BgL_auxz00_4782);
						}
						BgL_wide1194z00_4088 =
							((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_auxz00_4795;
							BgL_objectz00_bglt BgL_tmpz00_4793;

							BgL_auxz00_4795 = ((obj_t) BgL_wide1194z00_4088);
							BgL_tmpz00_4793 = ((BgL_objectz00_bglt) BgL_tmp1193z00_4087);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4793, BgL_auxz00_4795);
						}
						((BgL_objectz00_bglt) BgL_tmp1193z00_4087);
						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1606z00_4091;

							BgL_arg1606z00_4091 =
								BGL_CLASS_NUM(BGl_localzf2valuezf2zzdataflow_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1193z00_4087),
								BgL_arg1606z00_4091);
						}
						BgL_new1195z00_4086 = ((BgL_localz00_bglt) BgL_tmp1193z00_4087);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1195z00_4086)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1108z00_3877)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4086)))->BgL_namez00) =
						((obj_t) BgL_name1109z00_3878), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4086)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1110z00_3879)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4086)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1111z00_3880)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4086)))->BgL_accessz00) =
						((obj_t) BgL_access1112z00_3881), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4086)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1113zd2_3882), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4086)))->BgL_removablez00) =
						((obj_t) BgL_removable1114z00_3883), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4086)))->BgL_occurrencez00) =
						((long) BgL_occurrence1115z00_4079), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4086)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1116z00_4080), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4086)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31117zf3_4081), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1195z00_4086)))->BgL_keyz00) =
						((long) BgL_key1118z00_4082), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1195z00_4086)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1119zd2_3888), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1195z00_4086)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1120z00_4083), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4832;

						{
							obj_t BgL_auxz00_4833;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_4834;

								BgL_tmpz00_4834 = ((BgL_objectz00_bglt) BgL_new1195z00_4086);
								BgL_auxz00_4833 = BGL_OBJECT_WIDENING(BgL_tmpz00_4834);
							}
							BgL_auxz00_4832 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4833);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4832))->
								BgL_stampz00) = ((int) BgL_stamp1121z00_4084), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4839;

						{
							obj_t BgL_auxz00_4840;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_4841;

								BgL_tmpz00_4841 = ((BgL_objectz00_bglt) BgL_new1195z00_4086);
								BgL_auxz00_4840 = BGL_OBJECT_WIDENING(BgL_tmpz00_4841);
							}
							BgL_auxz00_4839 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4840);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4839))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_node1122z00_3891)),
							BUNSPEC);
					}
					return BgL_new1195z00_4086;
				}
			}
		}

	}



/* &lambda1660 */
	obj_t BGl_z62lambda1660z62zzdataflow_walkz00(obj_t BgL_envz00_3892,
		obj_t BgL_oz00_3893, obj_t BgL_vz00_3894)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_4847;

				{
					obj_t BgL_auxz00_4848;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_4849;

						BgL_tmpz00_4849 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3893));
						BgL_auxz00_4848 = BGL_OBJECT_WIDENING(BgL_tmpz00_4849);
					}
					BgL_auxz00_4847 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4848);
				}
				return
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4847))->
						BgL_nodez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_3894)), BUNSPEC);
			}
		}

	}



/* &lambda1659 */
	BgL_nodez00_bglt BGl_z62lambda1659z62zzdataflow_walkz00(obj_t BgL_envz00_3895,
		obj_t BgL_oz00_3896)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_4856;

				{
					obj_t BgL_auxz00_4857;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_4858;

						BgL_tmpz00_4858 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3896));
						BgL_auxz00_4857 = BGL_OBJECT_WIDENING(BgL_tmpz00_4858);
					}
					BgL_auxz00_4856 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4857);
				}
				return
					(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4856))->BgL_nodez00);
			}
		}

	}



/* &lambda1632 */
	obj_t BGl_z62lambda1632z62zzdataflow_walkz00(obj_t BgL_envz00_3897,
		obj_t BgL_oz00_3898, obj_t BgL_vz00_3899)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_vz00_4096;

				BgL_vz00_4096 = CINT(BgL_vz00_3899);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4865;

					{
						obj_t BgL_auxz00_4866;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4867;

							BgL_tmpz00_4867 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3898));
							BgL_auxz00_4866 = BGL_OBJECT_WIDENING(BgL_tmpz00_4867);
						}
						BgL_auxz00_4865 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4866);
					}
					return
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4865))->
							BgL_stampz00) = ((int) BgL_vz00_4096), BUNSPEC);
		}}}

	}



/* &lambda1631 */
	obj_t BGl_z62lambda1631z62zzdataflow_walkz00(obj_t BgL_envz00_3900,
		obj_t BgL_oz00_3901)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_tmpz00_4873;

				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4874;

					{
						obj_t BgL_auxz00_4875;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4876;

							BgL_tmpz00_4876 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3901));
							BgL_auxz00_4875 = BGL_OBJECT_WIDENING(BgL_tmpz00_4876);
						}
						BgL_auxz00_4874 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4875);
					}
					BgL_tmpz00_4873 =
						(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4874))->
						BgL_stampz00);
				}
				return BINT(BgL_tmpz00_4873);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2261z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2262z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2263z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2264z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2265z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2266z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2267z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2268z00zzdataflow_walkz00);
		}

	}



/* &abort?1440 */
	obj_t BGl_z62abortzf31440z91zzdataflow_walkz00(obj_t BgL_envz00_3906,
		obj_t BgL_nodez00_3907)
	{
		{	/* Dataflow/walk.scm 430 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &dataflow-test-false-1436 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21436zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3908, obj_t BgL_nodez00_3909)
	{
		{	/* Dataflow/walk.scm 402 */
			return BNIL;
		}

	}



/* &dataflow-test-env1423 */
	obj_t BGl_z62dataflowzd2testzd2env1423z62zzdataflow_walkz00(obj_t
		BgL_envz00_3910, obj_t BgL_nodez00_3911)
	{
		{	/* Dataflow/walk.scm 316 */
			return BNIL;
		}

	}



/* &dataflow-node!1377 */
	obj_t BGl_z62dataflowzd2nodez121377za2zzdataflow_walkz00(obj_t
		BgL_envz00_3912, obj_t BgL_nodez00_3913, obj_t BgL_envz00_3914)
	{
		{	/* Dataflow/walk.scm 69 */
			return ((obj_t) BgL_envz00_3914);
		}

	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		{	/* Dataflow/walk.scm 69 */
			{	/* Dataflow/walk.scm 69 */
				obj_t BgL_method1381z00_1968;

				{	/* Dataflow/walk.scm 69 */
					obj_t BgL_res2204z00_2946;

					{	/* Dataflow/walk.scm 69 */
						long BgL_objzd2classzd2numz00_2917;

						BgL_objzd2classzd2numz00_2917 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_59));
						{	/* Dataflow/walk.scm 69 */
							obj_t BgL_arg1805z00_2918;

							BgL_arg1805z00_2918 =
								PROCEDURE_REF(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
								(int) (1L));
							{	/* Dataflow/walk.scm 69 */
								int BgL_offsetz00_2921;

								BgL_offsetz00_2921 = (int) (BgL_objzd2classzd2numz00_2917);
								{	/* Dataflow/walk.scm 69 */
									long BgL_offsetz00_2922;

									BgL_offsetz00_2922 =
										((long) (BgL_offsetz00_2921) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 69 */
										long BgL_modz00_2923;

										BgL_modz00_2923 =
											(BgL_offsetz00_2922 >> (int) ((long) ((int) (4L))));
										{	/* Dataflow/walk.scm 69 */
											long BgL_restz00_2925;

											BgL_restz00_2925 =
												(BgL_offsetz00_2922 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Dataflow/walk.scm 69 */

												{	/* Dataflow/walk.scm 69 */
													obj_t BgL_bucketz00_2927;

													BgL_bucketz00_2927 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_2918), BgL_modz00_2923);
													BgL_res2204z00_2946 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2927), BgL_restz00_2925);
					}}}}}}}}
					BgL_method1381z00_1968 = BgL_res2204z00_2946;
				}
				return
					(VA_PROCEDUREP(BgL_method1381z00_1968) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1381z00_1968)) (BgL_method1381z00_1968,
						((obj_t) BgL_nodez00_59), BgL_envz00_60, BEOA) : ((obj_t(*)(obj_t,
								obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1381z00_1968)) (BgL_method1381z00_1968,
						((obj_t) BgL_nodez00_59), BgL_envz00_60));
			}
		}

	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3915,
		obj_t BgL_nodez00_3916, obj_t BgL_envz00_3917)
	{
		{	/* Dataflow/walk.scm 69 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3916), BgL_envz00_3917);
		}

	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_101)
	{
		{	/* Dataflow/walk.scm 316 */
			{	/* Dataflow/walk.scm 316 */
				obj_t BgL_method1424z00_1969;

				{	/* Dataflow/walk.scm 316 */
					obj_t BgL_res2209z00_2977;

					{	/* Dataflow/walk.scm 316 */
						long BgL_objzd2classzd2numz00_2948;

						BgL_objzd2classzd2numz00_2948 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_101));
						{	/* Dataflow/walk.scm 316 */
							obj_t BgL_arg1805z00_2949;

							BgL_arg1805z00_2949 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
								(int) (1L));
							{	/* Dataflow/walk.scm 316 */
								int BgL_offsetz00_2952;

								BgL_offsetz00_2952 = (int) (BgL_objzd2classzd2numz00_2948);
								{	/* Dataflow/walk.scm 316 */
									long BgL_offsetz00_2953;

									BgL_offsetz00_2953 =
										((long) (BgL_offsetz00_2952) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 316 */
										long BgL_modz00_2954;

										BgL_modz00_2954 =
											(BgL_offsetz00_2953 >> (int) ((long) ((int) (4L))));
										{	/* Dataflow/walk.scm 316 */
											long BgL_restz00_2956;

											BgL_restz00_2956 =
												(BgL_offsetz00_2953 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Dataflow/walk.scm 316 */

												{	/* Dataflow/walk.scm 316 */
													obj_t BgL_bucketz00_2958;

													BgL_bucketz00_2958 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_2949), BgL_modz00_2954);
													BgL_res2209z00_2977 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2958), BgL_restz00_2956);
					}}}}}}}}
					BgL_method1424z00_1969 = BgL_res2209z00_2977;
				}
				return
					(VA_PROCEDUREP(BgL_method1424z00_1969) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1424z00_1969)) (BgL_method1424z00_1969,
						((obj_t) BgL_nodez00_101), BEOA) : ((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1424z00_1969)) (BgL_method1424z00_1969,
						((obj_t) BgL_nodez00_101)));
			}
		}

	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3918,
		obj_t BgL_nodez00_3919)
	{
		{	/* Dataflow/walk.scm 316 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3919));
		}

	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_107)
	{
		{	/* Dataflow/walk.scm 402 */
			{	/* Dataflow/walk.scm 402 */
				obj_t BgL_method1437z00_1970;

				{	/* Dataflow/walk.scm 402 */
					obj_t BgL_res2214z00_3008;

					{	/* Dataflow/walk.scm 402 */
						long BgL_objzd2classzd2numz00_2979;

						BgL_objzd2classzd2numz00_2979 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_107));
						{	/* Dataflow/walk.scm 402 */
							obj_t BgL_arg1805z00_2980;

							BgL_arg1805z00_2980 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
								(int) (1L));
							{	/* Dataflow/walk.scm 402 */
								int BgL_offsetz00_2983;

								BgL_offsetz00_2983 = (int) (BgL_objzd2classzd2numz00_2979);
								{	/* Dataflow/walk.scm 402 */
									long BgL_offsetz00_2984;

									BgL_offsetz00_2984 =
										((long) (BgL_offsetz00_2983) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 402 */
										long BgL_modz00_2985;

										BgL_modz00_2985 =
											(BgL_offsetz00_2984 >> (int) ((long) ((int) (4L))));
										{	/* Dataflow/walk.scm 402 */
											long BgL_restz00_2987;

											BgL_restz00_2987 =
												(BgL_offsetz00_2984 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Dataflow/walk.scm 402 */

												{	/* Dataflow/walk.scm 402 */
													obj_t BgL_bucketz00_2989;

													BgL_bucketz00_2989 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_2980), BgL_modz00_2985);
													BgL_res2214z00_3008 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2989), BgL_restz00_2987);
					}}}}}}}}
					BgL_method1437z00_1970 = BgL_res2214z00_3008;
				}
				return
					(VA_PROCEDUREP(BgL_method1437z00_1970) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1437z00_1970)) (BgL_method1437z00_1970,
						((obj_t) BgL_nodez00_107), BEOA) : ((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1437z00_1970)) (BgL_method1437z00_1970,
						((obj_t) BgL_nodez00_107)));
			}
		}

	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3920, obj_t BgL_nodez00_3921)
	{
		{	/* Dataflow/walk.scm 402 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3921));
		}

	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_109)
	{
		{	/* Dataflow/walk.scm 430 */
			{	/* Dataflow/walk.scm 430 */
				obj_t BgL_method1441z00_1971;

				{	/* Dataflow/walk.scm 430 */
					obj_t BgL_res2219z00_3039;

					{	/* Dataflow/walk.scm 430 */
						long BgL_objzd2classzd2numz00_3010;

						BgL_objzd2classzd2numz00_3010 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_109));
						{	/* Dataflow/walk.scm 430 */
							obj_t BgL_arg1805z00_3011;

							BgL_arg1805z00_3011 =
								PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
								(int) (1L));
							{	/* Dataflow/walk.scm 430 */
								int BgL_offsetz00_3014;

								BgL_offsetz00_3014 = (int) (BgL_objzd2classzd2numz00_3010);
								{	/* Dataflow/walk.scm 430 */
									long BgL_offsetz00_3015;

									BgL_offsetz00_3015 =
										((long) (BgL_offsetz00_3014) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 430 */
										long BgL_modz00_3016;

										BgL_modz00_3016 =
											(BgL_offsetz00_3015 >> (int) ((long) ((int) (4L))));
										{	/* Dataflow/walk.scm 430 */
											long BgL_restz00_3018;

											BgL_restz00_3018 =
												(BgL_offsetz00_3015 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Dataflow/walk.scm 430 */

												{	/* Dataflow/walk.scm 430 */
													obj_t BgL_bucketz00_3020;

													BgL_bucketz00_3020 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_3011), BgL_modz00_3016);
													BgL_res2219z00_3039 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3020), BgL_restz00_3018);
					}}}}}}}}
					BgL_method1441z00_1971 = BgL_res2219z00_3039;
				}
				return
					(VA_PROCEDUREP(BgL_method1441z00_1971) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1441z00_1971)) (BgL_method1441z00_1971,
						((obj_t) BgL_nodez00_109), BEOA) : ((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1441z00_1971)) (BgL_method1441z00_1971,
						((obj_t) BgL_nodez00_109)));
			}
		}

	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3922,
		obj_t BgL_nodez00_3923)
	{
		{	/* Dataflow/walk.scm 430 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3923));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2269z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2271z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2272z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2273z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2274z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2275z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2276z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2277z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2278z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2279z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2280z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2281z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2282z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2283z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2284z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2285z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2286z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2287z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2288z00zzdataflow_walkz00,
				BGl_string2270z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2289z00zzdataflow_walkz00,
				BGl_string2290z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2291z00zzdataflow_walkz00,
				BGl_string2290z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2292z00zzdataflow_walkz00,
				BGl_string2290z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2293z00zzdataflow_walkz00,
				BGl_string2290z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2294z00zzdataflow_walkz00,
				BGl_string2290z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2295z00zzdataflow_walkz00,
				BGl_string2296z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2297z00zzdataflow_walkz00, BGl_string2298z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2299z00zzdataflow_walkz00, BGl_string2298z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2300z00zzdataflow_walkz00, BGl_string2298z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2301z00zzdataflow_walkz00, BGl_string2298z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2302z00zzdataflow_walkz00, BGl_string2298z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2303z00zzdataflow_walkz00,
				BGl_string2298z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2304z00zzdataflow_walkz00, BGl_string2298z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2305z00zzdataflow_walkz00, BGl_string2298z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2306z00zzdataflow_walkz00, BGl_string2298z00zzdataflow_walkz00);
		}

	}



/* &abort?-app-ly1459 */
	obj_t BGl_z62abortzf3zd2appzd2ly1459z91zzdataflow_walkz00(obj_t
		BgL_envz00_3959, obj_t BgL_nodez00_3960)
	{
		{	/* Dataflow/walk.scm 491 */
			{	/* Dataflow/walk.scm 493 */
				obj_t BgL__ortest_1191z00_4104;

				BgL__ortest_1191z00_4104 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3960)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1191z00_4104))
					{	/* Dataflow/walk.scm 493 */
						return BgL__ortest_1191z00_4104;
					}
				else
					{	/* Dataflow/walk.scm 493 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_3960)))->BgL_argz00));
					}
			}
		}

	}



/* &abort?-funcall1457 */
	obj_t BGl_z62abortzf3zd2funcall1457z43zzdataflow_walkz00(obj_t
		BgL_envz00_3961, obj_t BgL_nodez00_3962)
	{
		{	/* Dataflow/walk.scm 484 */
			{	/* Dataflow/walk.scm 486 */
				obj_t BgL__ortest_1189z00_4106;

				BgL__ortest_1189z00_4106 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3962)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1189z00_4106))
					{	/* Dataflow/walk.scm 486 */
						return BgL__ortest_1189z00_4106;
					}
				else
					{	/* Dataflow/walk.scm 486 */
						obj_t BgL_g1373z00_4107;

						BgL_g1373z00_4107 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_3962)))->BgL_argsz00);
						{
							obj_t BgL_l1371z00_4109;

							BgL_l1371z00_4109 = BgL_g1373z00_4107;
						BgL_zc3z04anonymousza32126ze3z87_4108:
							if (NULLP(BgL_l1371z00_4109))
								{	/* Dataflow/walk.scm 486 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 486 */
									obj_t BgL__ortest_1374z00_4110;

									{	/* Dataflow/walk.scm 486 */
										obj_t BgL_arg2129z00_4111;

										BgL_arg2129z00_4111 = CAR(((obj_t) BgL_l1371z00_4109));
										BgL__ortest_1374z00_4110 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2129z00_4111));
									}
									if (CBOOL(BgL__ortest_1374z00_4110))
										{	/* Dataflow/walk.scm 486 */
											return BgL__ortest_1374z00_4110;
										}
									else
										{	/* Dataflow/walk.scm 486 */
											obj_t BgL_arg2128z00_4112;

											BgL_arg2128z00_4112 = CDR(((obj_t) BgL_l1371z00_4109));
											{
												obj_t BgL_l1371z00_5077;

												BgL_l1371z00_5077 = BgL_arg2128z00_4112;
												BgL_l1371z00_4109 = BgL_l1371z00_5077;
												goto BgL_zc3z04anonymousza32126ze3z87_4108;
											}
										}
								}
						}
					}
			}
		}

	}



/* &abort?-app1455 */
	obj_t BGl_z62abortzf3zd2app1455z43zzdataflow_walkz00(obj_t BgL_envz00_3963,
		obj_t BgL_nodez00_3964)
	{
		{	/* Dataflow/walk.scm 477 */
			{	/* Dataflow/walk.scm 479 */
				obj_t BgL__ortest_1187z00_4114;

				{	/* Dataflow/walk.scm 479 */
					BgL_varz00_bglt BgL_arg2125z00_4115;

					BgL_arg2125z00_4115 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3964)))->BgL_funz00);
					BgL__ortest_1187z00_4114 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						((BgL_nodez00_bglt) BgL_arg2125z00_4115));
				}
				if (CBOOL(BgL__ortest_1187z00_4114))
					{	/* Dataflow/walk.scm 479 */
						return BgL__ortest_1187z00_4114;
					}
				else
					{	/* Dataflow/walk.scm 479 */
						obj_t BgL_g1369z00_4116;

						BgL_g1369z00_4116 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_3964)))->BgL_argsz00);
						{
							obj_t BgL_l1367z00_4118;

							BgL_l1367z00_4118 = BgL_g1369z00_4116;
						BgL_zc3z04anonymousza32121ze3z87_4117:
							if (NULLP(BgL_l1367z00_4118))
								{	/* Dataflow/walk.scm 479 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 479 */
									obj_t BgL__ortest_1370z00_4119;

									{	/* Dataflow/walk.scm 479 */
										obj_t BgL_arg2124z00_4120;

										BgL_arg2124z00_4120 = CAR(((obj_t) BgL_l1367z00_4118));
										BgL__ortest_1370z00_4119 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2124z00_4120));
									}
									if (CBOOL(BgL__ortest_1370z00_4119))
										{	/* Dataflow/walk.scm 479 */
											return BgL__ortest_1370z00_4119;
										}
									else
										{	/* Dataflow/walk.scm 479 */
											obj_t BgL_arg2123z00_4121;

											BgL_arg2123z00_4121 = CDR(((obj_t) BgL_l1367z00_4118));
											{
												obj_t BgL_l1367z00_5096;

												BgL_l1367z00_5096 = BgL_arg2123z00_4121;
												BgL_l1367z00_4118 = BgL_l1367z00_5096;
												goto BgL_zc3z04anonymousza32121ze3z87_4117;
											}
										}
								}
						}
					}
			}
		}

	}



/* &abort?-conditional1453 */
	obj_t BGl_z62abortzf3zd2conditional1453z43zzdataflow_walkz00(obj_t
		BgL_envz00_3965, obj_t BgL_nodez00_3966)
	{
		{	/* Dataflow/walk.scm 470 */
			{	/* Dataflow/walk.scm 472 */
				obj_t BgL__ortest_1184z00_4123;

				BgL__ortest_1184z00_4123 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3966)))->BgL_testz00));
				if (CBOOL(BgL__ortest_1184z00_4123))
					{	/* Dataflow/walk.scm 472 */
						return BgL__ortest_1184z00_4123;
					}
				else
					{	/* Dataflow/walk.scm 472 */
						obj_t BgL__andtest_1185z00_4124;

						BgL__andtest_1185z00_4124 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_3966)))->
								BgL_truez00));
						if (CBOOL(BgL__andtest_1185z00_4124))
							{	/* Dataflow/walk.scm 472 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_3966)))->
										BgL_falsez00));
							}
						else
							{	/* Dataflow/walk.scm 472 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &abort?-let-fun1451 */
	obj_t BGl_z62abortzf3zd2letzd2fun1451z91zzdataflow_walkz00(obj_t
		BgL_envz00_3967, obj_t BgL_nodez00_3968)
	{
		{	/* Dataflow/walk.scm 463 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3968)))->BgL_bodyz00));
		}

	}



/* &abort?-let-var1449 */
	obj_t BGl_z62abortzf3zd2letzd2var1449z91zzdataflow_walkz00(obj_t
		BgL_envz00_3969, obj_t BgL_nodez00_3970)
	{
		{	/* Dataflow/walk.scm 456 */
			{	/* Dataflow/walk.scm 458 */
				obj_t BgL__ortest_1181z00_4127;

				{	/* Dataflow/walk.scm 458 */
					obj_t BgL_g1365z00_4128;

					BgL_g1365z00_4128 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3970)))->BgL_bindingsz00);
					{
						obj_t BgL_l1363z00_4130;

						BgL_l1363z00_4130 = BgL_g1365z00_4128;
					BgL_zc3z04anonymousza32113ze3z87_4129:
						if (NULLP(BgL_l1363z00_4130))
							{	/* Dataflow/walk.scm 458 */
								BgL__ortest_1181z00_4127 = BFALSE;
							}
						else
							{	/* Dataflow/walk.scm 458 */
								obj_t BgL__ortest_1366z00_4131;

								{	/* Dataflow/walk.scm 458 */
									obj_t BgL_bz00_4132;

									BgL_bz00_4132 = CAR(((obj_t) BgL_l1363z00_4130));
									{	/* Dataflow/walk.scm 458 */
										obj_t BgL_arg2116z00_4133;

										BgL_arg2116z00_4133 = CDR(((obj_t) BgL_bz00_4132));
										BgL__ortest_1366z00_4131 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2116z00_4133));
									}
								}
								if (CBOOL(BgL__ortest_1366z00_4131))
									{	/* Dataflow/walk.scm 458 */
										BgL__ortest_1181z00_4127 = BgL__ortest_1366z00_4131;
									}
								else
									{	/* Dataflow/walk.scm 458 */
										obj_t BgL_arg2115z00_4134;

										BgL_arg2115z00_4134 = CDR(((obj_t) BgL_l1363z00_4130));
										{
											obj_t BgL_l1363z00_5127;

											BgL_l1363z00_5127 = BgL_arg2115z00_4134;
											BgL_l1363z00_4130 = BgL_l1363z00_5127;
											goto BgL_zc3z04anonymousza32113ze3z87_4129;
										}
									}
							}
					}
				}
				if (CBOOL(BgL__ortest_1181z00_4127))
					{	/* Dataflow/walk.scm 458 */
						return BgL__ortest_1181z00_4127;
					}
				else
					{	/* Dataflow/walk.scm 458 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_3970)))->BgL_bodyz00));
					}
			}
		}

	}



/* &abort?-sync1447 */
	obj_t BGl_z62abortzf3zd2sync1447z43zzdataflow_walkz00(obj_t BgL_envz00_3971,
		obj_t BgL_nodez00_3972)
	{
		{	/* Dataflow/walk.scm 448 */
			{	/* Dataflow/walk.scm 449 */
				obj_t BgL__ortest_1178z00_4136;

				BgL__ortest_1178z00_4136 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3972)))->BgL_mutexz00));
				if (CBOOL(BgL__ortest_1178z00_4136))
					{	/* Dataflow/walk.scm 449 */
						return BgL__ortest_1178z00_4136;
					}
				else
					{	/* Dataflow/walk.scm 450 */
						obj_t BgL__ortest_1179z00_4137;

						BgL__ortest_1179z00_4137 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_3972)))->BgL_prelockz00));
						if (CBOOL(BgL__ortest_1179z00_4137))
							{	/* Dataflow/walk.scm 450 */
								return BgL__ortest_1179z00_4137;
							}
						else
							{	/* Dataflow/walk.scm 450 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_3972)))->BgL_bodyz00));
							}
					}
			}
		}

	}



/* &abort?-sequence1445 */
	obj_t BGl_z62abortzf3zd2sequence1445z43zzdataflow_walkz00(obj_t
		BgL_envz00_3973, obj_t BgL_nodez00_3974)
	{
		{	/* Dataflow/walk.scm 442 */
			{	/* Dataflow/walk.scm 443 */
				obj_t BgL_g1361z00_4139;

				BgL_g1361z00_4139 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3974)))->BgL_nodesz00);
				{
					obj_t BgL_l1359z00_4141;

					BgL_l1359z00_4141 = BgL_g1361z00_4139;
				BgL_zc3z04anonymousza32105ze3z87_4140:
					if (NULLP(BgL_l1359z00_4141))
						{	/* Dataflow/walk.scm 443 */
							return BFALSE;
						}
					else
						{	/* Dataflow/walk.scm 443 */
							obj_t BgL__ortest_1362z00_4142;

							{	/* Dataflow/walk.scm 443 */
								obj_t BgL_arg2108z00_4143;

								BgL_arg2108z00_4143 = CAR(((obj_t) BgL_l1359z00_4141));
								BgL__ortest_1362z00_4142 =
									BGl_abortzf3zf3zzdataflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg2108z00_4143));
							}
							if (CBOOL(BgL__ortest_1362z00_4142))
								{	/* Dataflow/walk.scm 443 */
									return BgL__ortest_1362z00_4142;
								}
							else
								{	/* Dataflow/walk.scm 443 */
									obj_t BgL_arg2107z00_4144;

									BgL_arg2107z00_4144 = CDR(((obj_t) BgL_l1359z00_4141));
									{
										obj_t BgL_l1359z00_5158;

										BgL_l1359z00_5158 = BgL_arg2107z00_4144;
										BgL_l1359z00_4141 = BgL_l1359z00_5158;
										goto BgL_zc3z04anonymousza32105ze3z87_4140;
									}
								}
						}
				}
			}
		}

	}



/* &abort?-fail1443 */
	obj_t BGl_z62abortzf3zd2fail1443z43zzdataflow_walkz00(obj_t BgL_envz00_3975,
		obj_t BgL_nodez00_3976)
	{
		{	/* Dataflow/walk.scm 436 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &dataflow-test-false-1439 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21439zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3977, obj_t BgL_nodez00_3978)
	{
		{	/* Dataflow/walk.scm 408 */
			{	/* Dataflow/walk.scm 410 */
				BgL_variablez00_bglt BgL_fz00_4147;

				BgL_fz00_4147 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3978)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 411 */

					{	/* Dataflow/walk.scm 412 */
						bool_t BgL_test2414z00_5163;

						{	/* Dataflow/walk.scm 412 */
							bool_t BgL_test2415z00_5164;

							{	/* Dataflow/walk.scm 412 */
								obj_t BgL_tmpz00_5165;

								BgL_tmpz00_5165 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3978)))->BgL_argsz00);
								BgL_test2415z00_5164 = PAIRP(BgL_tmpz00_5165);
							}
							if (BgL_test2415z00_5164)
								{	/* Dataflow/walk.scm 412 */
									if (NULLP(CDR(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3978)))->
													BgL_argsz00))))
										{	/* Dataflow/walk.scm 413 */
											bool_t BgL_test2417z00_5174;

											{	/* Dataflow/walk.scm 413 */
												obj_t BgL_arg2099z00_4148;

												BgL_arg2099z00_4148 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3978)))->
														BgL_argsz00));
												{	/* Dataflow/walk.scm 413 */
													obj_t BgL_classz00_4149;

													BgL_classz00_4149 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_arg2099z00_4148))
														{	/* Dataflow/walk.scm 413 */
															BgL_objectz00_bglt BgL_arg1801z00_4150;

															BgL_arg1801z00_4150 =
																(BgL_objectz00_bglt) (BgL_arg2099z00_4148);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Dataflow/walk.scm 413 */
																	long BgL_idxz00_4151;

																	BgL_idxz00_4151 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1801z00_4150);
																	BgL_test2417z00_5174 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4151 + 2L)) ==
																		BgL_classz00_4149);
																}
															else
																{	/* Dataflow/walk.scm 413 */
																	bool_t BgL_res2237z00_4154;

																	{	/* Dataflow/walk.scm 413 */
																		obj_t BgL_oclassz00_4155;

																		{	/* Dataflow/walk.scm 413 */
																			long BgL_arg1808z00_4156;

																			{	/* Dataflow/walk.scm 413 */
																				long BgL_arg1809z00_4157;

																				BgL_arg1809z00_4157 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1801z00_4150);
																				BgL_arg1808z00_4156 =
																					(BgL_arg1809z00_4157 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4155 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1808z00_4156);
																		}
																		{	/* Dataflow/walk.scm 413 */
																			bool_t BgL__ortest_1115z00_4158;

																			BgL__ortest_1115z00_4158 =
																				(BgL_classz00_4149 ==
																				BgL_oclassz00_4155);
																			if (BgL__ortest_1115z00_4158)
																				{	/* Dataflow/walk.scm 413 */
																					BgL_res2237z00_4154 =
																						BgL__ortest_1115z00_4158;
																				}
																			else
																				{	/* Dataflow/walk.scm 413 */
																					long BgL_odepthz00_4159;

																					BgL_odepthz00_4159 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4155);
																					if ((2L < BgL_odepthz00_4159))
																						{	/* Dataflow/walk.scm 413 */
																							obj_t BgL_arg1797z00_4160;

																							BgL_arg1797z00_4160 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4155, 2L);
																							BgL_res2237z00_4154 =
																								(BgL_arg1797z00_4160 ==
																								BgL_classz00_4149);
																						}
																					else
																						{	/* Dataflow/walk.scm 413 */
																							BgL_res2237z00_4154 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2417z00_5174 = BgL_res2237z00_4154;
																}
														}
													else
														{	/* Dataflow/walk.scm 413 */
															BgL_test2417z00_5174 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test2417z00_5174)
												{	/* Dataflow/walk.scm 414 */
													BgL_typez00_bglt BgL_arg2095z00_4161;

													{
														BgL_variablez00_bglt BgL_auxz00_5197;

														{
															BgL_varz00_bglt BgL_auxz00_5198;

															{	/* Dataflow/walk.scm 414 */
																obj_t BgL_pairz00_4162;

																BgL_pairz00_4162 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_3978)))->
																	BgL_argsz00);
																BgL_auxz00_5198 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_4162));
															}
															BgL_auxz00_5197 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5198))->
																BgL_variablez00);
														}
														BgL_arg2095z00_4161 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_5197))->BgL_typez00);
													}
													BgL_test2414z00_5163 =
														(
														((obj_t) BgL_arg2095z00_4161) ==
														BGl_za2pairzd2nilza2zd2zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 413 */
													BgL_test2414z00_5163 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 412 */
											BgL_test2414z00_5163 = ((bool_t) 0);
										}
								}
							else
								{	/* Dataflow/walk.scm 412 */
									BgL_test2414z00_5163 = ((bool_t) 0);
								}
						}
						if (BgL_test2414z00_5163)
							{	/* Dataflow/walk.scm 412 */
								if (
									(((obj_t) BgL_fz00_4147) ==
										BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
									{	/* Dataflow/walk.scm 417 */
										obj_t BgL_arg2083z00_4163;

										{	/* Dataflow/walk.scm 417 */
											BgL_variablez00_bglt BgL_arg2085z00_4164;

											{
												BgL_varz00_bglt BgL_auxz00_5210;

												{	/* Dataflow/walk.scm 417 */
													obj_t BgL_pairz00_4165;

													BgL_pairz00_4165 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3978)))->
														BgL_argsz00);
													BgL_auxz00_5210 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4165));
												}
												BgL_arg2085z00_4164 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5210))->
													BgL_variablez00);
											}
											BgL_arg2083z00_4163 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg2085z00_4164),
												BGl_za2pairza2z00zztype_cachez00);
										}
										{	/* Dataflow/walk.scm 417 */
											obj_t BgL_list2084z00_4166;

											BgL_list2084z00_4166 =
												MAKE_YOUNG_PAIR(BgL_arg2083z00_4163, BNIL);
											return BgL_list2084z00_4166;
										}
									}
								else
									{	/* Dataflow/walk.scm 418 */
										bool_t BgL_test2423z00_5219;

										if (
											(((obj_t) BgL_fz00_4147) ==
												BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
											{	/* Dataflow/walk.scm 418 */
												BgL_test2423z00_5219 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 418 */
												BgL_test2423z00_5219 =
													(
													((obj_t) BgL_fz00_4147) ==
													BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
											}
										if (BgL_test2423z00_5219)
											{	/* Dataflow/walk.scm 419 */
												obj_t BgL_arg2089z00_4167;

												{	/* Dataflow/walk.scm 419 */
													BgL_variablez00_bglt BgL_arg2091z00_4168;

													{
														BgL_varz00_bglt BgL_auxz00_5225;

														{	/* Dataflow/walk.scm 419 */
															obj_t BgL_pairz00_4169;

															BgL_pairz00_4169 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3978)))->
																BgL_argsz00);
															BgL_auxz00_5225 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_4169));
														}
														BgL_arg2091z00_4168 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5225))->
															BgL_variablez00);
													}
													BgL_arg2089z00_4167 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2091z00_4168),
														BGl_za2bnilza2z00zztype_cachez00);
												}
												{	/* Dataflow/walk.scm 419 */
													obj_t BgL_list2090z00_4170;

													BgL_list2090z00_4170 =
														MAKE_YOUNG_PAIR(BgL_arg2089z00_4167, BNIL);
													return BgL_list2090z00_4170;
												}
											}
										else
											{	/* Dataflow/walk.scm 418 */
												return BNIL;
											}
									}
							}
						else
							{	/* Dataflow/walk.scm 412 */
								return BNIL;
							}
					}
				}
			}
		}

	}



/* &dataflow-test-env-le1435 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le1435zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3979, obj_t BgL_nodez00_3980)
	{
		{	/* Dataflow/walk.scm 380 */
			{	/* Dataflow/walk.scm 382 */
				bool_t BgL_test2425z00_5234;

				{	/* Dataflow/walk.scm 382 */
					bool_t BgL_test2426z00_5235;

					{	/* Dataflow/walk.scm 382 */
						obj_t BgL_tmpz00_5236;

						BgL_tmpz00_5236 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3980)))->
							BgL_bindingsz00);
						BgL_test2426z00_5235 = PAIRP(BgL_tmpz00_5236);
					}
					if (BgL_test2426z00_5235)
						{	/* Dataflow/walk.scm 382 */
							BgL_test2425z00_5234 =
								NULLP(CDR(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3980)))->
										BgL_bindingsz00)));
						}
					else
						{	/* Dataflow/walk.scm 382 */
							BgL_test2425z00_5234 = ((bool_t) 0);
						}
				}
				if (BgL_test2425z00_5234)
					{	/* Dataflow/walk.scm 384 */
						bool_t BgL_test2427z00_5244;

						{	/* Dataflow/walk.scm 384 */
							obj_t BgL_arg2056z00_4172;

							{	/* Dataflow/walk.scm 384 */
								obj_t BgL_pairz00_4173;

								BgL_pairz00_4173 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3980)))->
									BgL_bindingsz00);
								BgL_arg2056z00_4172 = CDR(CAR(BgL_pairz00_4173));
							}
							{	/* Dataflow/walk.scm 384 */
								obj_t BgL_classz00_4174;

								BgL_classz00_4174 = BGl_varz00zzast_nodez00;
								if (BGL_OBJECTP(BgL_arg2056z00_4172))
									{	/* Dataflow/walk.scm 384 */
										BgL_objectz00_bglt BgL_arg1801z00_4175;

										BgL_arg1801z00_4175 =
											(BgL_objectz00_bglt) (BgL_arg2056z00_4172);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Dataflow/walk.scm 384 */
												long BgL_idxz00_4176;

												BgL_idxz00_4176 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4175);
												BgL_test2427z00_5244 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4176 + 2L)) == BgL_classz00_4174);
											}
										else
											{	/* Dataflow/walk.scm 384 */
												bool_t BgL_res2234z00_4179;

												{	/* Dataflow/walk.scm 384 */
													obj_t BgL_oclassz00_4180;

													{	/* Dataflow/walk.scm 384 */
														long BgL_arg1808z00_4181;

														{	/* Dataflow/walk.scm 384 */
															long BgL_arg1809z00_4182;

															BgL_arg1809z00_4182 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4175);
															BgL_arg1808z00_4181 =
																(BgL_arg1809z00_4182 - OBJECT_TYPE);
														}
														BgL_oclassz00_4180 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1808z00_4181);
													}
													{	/* Dataflow/walk.scm 384 */
														bool_t BgL__ortest_1115z00_4183;

														BgL__ortest_1115z00_4183 =
															(BgL_classz00_4174 == BgL_oclassz00_4180);
														if (BgL__ortest_1115z00_4183)
															{	/* Dataflow/walk.scm 384 */
																BgL_res2234z00_4179 = BgL__ortest_1115z00_4183;
															}
														else
															{	/* Dataflow/walk.scm 384 */
																long BgL_odepthz00_4184;

																BgL_odepthz00_4184 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4180);
																if ((2L < BgL_odepthz00_4184))
																	{	/* Dataflow/walk.scm 384 */
																		obj_t BgL_arg1797z00_4185;

																		BgL_arg1797z00_4185 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4180, 2L);
																		BgL_res2234z00_4179 =
																			(BgL_arg1797z00_4185 ==
																			BgL_classz00_4174);
																	}
																else
																	{	/* Dataflow/walk.scm 384 */
																		BgL_res2234z00_4179 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2427z00_5244 = BgL_res2234z00_4179;
											}
									}
								else
									{	/* Dataflow/walk.scm 384 */
										BgL_test2427z00_5244 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test2427z00_5244)
							{	/* Dataflow/walk.scm 385 */
								obj_t BgL_envz00_4186;

								BgL_envz00_4186 =
									BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3980)))->
										BgL_bodyz00));
								{	/* Dataflow/walk.scm 386 */
									bool_t BgL_test2432z00_5271;

									if (NULLP(BgL_envz00_4186))
										{	/* Dataflow/walk.scm 386 */
											BgL_test2432z00_5271 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 386 */
											if (NULLP(CDR(BgL_envz00_4186)))
												{	/* Dataflow/walk.scm 388 */
													obj_t BgL_tmpz00_5277;

													{	/* Dataflow/walk.scm 388 */
														obj_t BgL_pairz00_4187;

														BgL_pairz00_4187 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_3980)))->
															BgL_bindingsz00);
														BgL_tmpz00_5277 = CAR(CAR(BgL_pairz00_4187));
													}
													BgL_test2432z00_5271 =
														(CAR(CAR(BgL_envz00_4186)) == BgL_tmpz00_5277);
												}
											else
												{	/* Dataflow/walk.scm 387 */
													BgL_test2432z00_5271 = ((bool_t) 0);
												}
										}
									if (BgL_test2432z00_5271)
										{	/* Dataflow/walk.scm 389 */
											obj_t BgL_arg2011z00_4188;

											{	/* Dataflow/walk.scm 389 */
												BgL_variablez00_bglt BgL_arg2013z00_4189;
												obj_t BgL_arg2014z00_4190;

												{
													BgL_varz00_bglt BgL_auxz00_5285;

													{
														obj_t BgL_auxz00_5286;

														{	/* Dataflow/walk.scm 389 */
															obj_t BgL_pairz00_4191;

															BgL_pairz00_4191 =
																(((BgL_letzd2varzd2_bglt) COBJECT(
																		((BgL_letzd2varzd2_bglt)
																			BgL_nodez00_3980)))->BgL_bindingsz00);
															{	/* Dataflow/walk.scm 389 */
																obj_t BgL_pairz00_4192;

																BgL_pairz00_4192 = CAR(BgL_pairz00_4191);
																BgL_auxz00_5286 = CDR(BgL_pairz00_4192);
															}
														}
														BgL_auxz00_5285 =
															((BgL_varz00_bglt) BgL_auxz00_5286);
													}
													BgL_arg2013z00_4189 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5285))->
														BgL_variablez00);
												}
												BgL_arg2014z00_4190 = CDR(CAR(BgL_envz00_4186));
												BgL_arg2011z00_4188 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg2013z00_4189), BgL_arg2014z00_4190);
											}
											{	/* Dataflow/walk.scm 389 */
												obj_t BgL_list2012z00_4193;

												BgL_list2012z00_4193 =
													MAKE_YOUNG_PAIR(BgL_arg2011z00_4188, BNIL);
												return BgL_list2012z00_4193;
											}
										}
									else
										{	/* Dataflow/walk.scm 386 */
											return BNIL;
										}
								}
							}
						else
							{	/* Dataflow/walk.scm 391 */
								bool_t BgL_test2435z00_5298;

								{	/* Dataflow/walk.scm 391 */
									bool_t BgL_test2436z00_5299;

									{	/* Dataflow/walk.scm 391 */
										BgL_nodez00_bglt BgL_arg2055z00_4194;

										BgL_arg2055z00_4194 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_3980)))->
											BgL_bodyz00);
										{	/* Dataflow/walk.scm 391 */
											obj_t BgL_classz00_4195;

											BgL_classz00_4195 = BGl_varz00zzast_nodez00;
											{	/* Dataflow/walk.scm 391 */
												BgL_objectz00_bglt BgL_arg1801z00_4196;

												{	/* Dataflow/walk.scm 391 */
													obj_t BgL_tmpz00_5302;

													BgL_tmpz00_5302 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2055z00_4194));
													BgL_arg1801z00_4196 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5302);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Dataflow/walk.scm 391 */
														long BgL_idxz00_4197;

														BgL_idxz00_4197 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4196);
														BgL_test2436z00_5299 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4197 + 2L)) == BgL_classz00_4195);
													}
												else
													{	/* Dataflow/walk.scm 391 */
														bool_t BgL_res2236z00_4200;

														{	/* Dataflow/walk.scm 391 */
															obj_t BgL_oclassz00_4201;

															{	/* Dataflow/walk.scm 391 */
																long BgL_arg1808z00_4202;

																{	/* Dataflow/walk.scm 391 */
																	long BgL_arg1809z00_4203;

																	BgL_arg1809z00_4203 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4196);
																	BgL_arg1808z00_4202 =
																		(BgL_arg1809z00_4203 - OBJECT_TYPE);
																}
																BgL_oclassz00_4201 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1808z00_4202);
															}
															{	/* Dataflow/walk.scm 391 */
																bool_t BgL__ortest_1115z00_4204;

																BgL__ortest_1115z00_4204 =
																	(BgL_classz00_4195 == BgL_oclassz00_4201);
																if (BgL__ortest_1115z00_4204)
																	{	/* Dataflow/walk.scm 391 */
																		BgL_res2236z00_4200 =
																			BgL__ortest_1115z00_4204;
																	}
																else
																	{	/* Dataflow/walk.scm 391 */
																		long BgL_odepthz00_4205;

																		BgL_odepthz00_4205 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4201);
																		if ((2L < BgL_odepthz00_4205))
																			{	/* Dataflow/walk.scm 391 */
																				obj_t BgL_arg1797z00_4206;

																				BgL_arg1797z00_4206 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4201, 2L);
																				BgL_res2236z00_4200 =
																					(BgL_arg1797z00_4206 ==
																					BgL_classz00_4195);
																			}
																		else
																			{	/* Dataflow/walk.scm 391 */
																				BgL_res2236z00_4200 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2436z00_5299 = BgL_res2236z00_4200;
													}
											}
										}
									}
									if (BgL_test2436z00_5299)
										{	/* Dataflow/walk.scm 392 */
											bool_t BgL_test2440z00_5322;

											{	/* Dataflow/walk.scm 392 */
												obj_t BgL_tmpz00_5323;

												{	/* Dataflow/walk.scm 392 */
													obj_t BgL_pairz00_4207;

													BgL_pairz00_4207 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_3980)))->
														BgL_bindingsz00);
													BgL_tmpz00_5323 = CAR(CAR(BgL_pairz00_4207));
												}
												BgL_test2440z00_5322 =
													(
													((obj_t)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_3980)))->
																			BgL_bodyz00))))->BgL_variablez00)) ==
													BgL_tmpz00_5323);
											}
											if (BgL_test2440z00_5322)
												{	/* Dataflow/walk.scm 393 */
													BgL_typez00_bglt BgL_arg2047z00_4208;

													{
														BgL_variablez00_bglt BgL_auxz00_5334;

														{
															obj_t BgL_auxz00_5335;

															{	/* Dataflow/walk.scm 393 */
																obj_t BgL_pairz00_4209;

																BgL_pairz00_4209 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3980)))->BgL_bindingsz00);
																{	/* Dataflow/walk.scm 393 */
																	obj_t BgL_pairz00_4210;

																	BgL_pairz00_4210 = CAR(BgL_pairz00_4209);
																	BgL_auxz00_5335 = CAR(BgL_pairz00_4210);
																}
															}
															BgL_auxz00_5334 =
																((BgL_variablez00_bglt) BgL_auxz00_5335);
														}
														BgL_arg2047z00_4208 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_5334))->BgL_typez00);
													}
													BgL_test2435z00_5298 =
														(
														((obj_t) BgL_arg2047z00_4208) ==
														BGl_za2boolza2z00zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 392 */
													BgL_test2435z00_5298 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 391 */
											BgL_test2435z00_5298 = ((bool_t) 0);
										}
								}
								if (BgL_test2435z00_5298)
									{	/* Dataflow/walk.scm 394 */
										obj_t BgL_arg2044z00_4211;

										{	/* Dataflow/walk.scm 394 */
											obj_t BgL_pairz00_4212;

											BgL_pairz00_4212 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3980)))->
												BgL_bindingsz00);
											BgL_arg2044z00_4211 = CDR(CAR(BgL_pairz00_4212));
										}
										return
											BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2044z00_4211));
									}
								else
									{	/* Dataflow/walk.scm 391 */
										return BNIL;
									}
							}
					}
				else
					{	/* Dataflow/walk.scm 382 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-va1433 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va1433zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3981, obj_t BgL_nodez00_3982)
	{
		{	/* Dataflow/walk.scm 363 */
			{	/* Dataflow/walk.scm 365 */
				bool_t BgL_test2441z00_5350;

				{	/* Dataflow/walk.scm 365 */
					BgL_variablez00_bglt BgL_arg1993z00_4214;

					BgL_arg1993z00_4214 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_3982)))->BgL_variablez00);
					{	/* Dataflow/walk.scm 365 */
						obj_t BgL_classz00_4215;

						BgL_classz00_4215 = BGl_localzf2valuezf2zzdataflow_walkz00;
						{	/* Dataflow/walk.scm 365 */
							obj_t BgL_oclassz00_4216;

							{	/* Dataflow/walk.scm 365 */
								long BgL_arg1808z00_4217;

								{	/* Dataflow/walk.scm 365 */
									long BgL_arg1809z00_4218;

									BgL_arg1809z00_4218 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_arg1993z00_4214));
									BgL_arg1808z00_4217 = (BgL_arg1809z00_4218 - OBJECT_TYPE);
								}
								BgL_oclassz00_4216 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1808z00_4217);
							}
							BgL_test2441z00_5350 = (BgL_oclassz00_4216 == BgL_classz00_4215);
				}}}
				if (BgL_test2441z00_5350)
					{	/* Dataflow/walk.scm 366 */
						BgL_nodez00_bglt BgL_arg1991z00_4219;

						{	/* Dataflow/walk.scm 366 */
							BgL_localz00_bglt BgL_oz00_4220;

							BgL_oz00_4220 =
								((BgL_localz00_bglt)
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_3982)))->BgL_variablez00));
							{
								BgL_localzf2valuezf2_bglt BgL_auxz00_5361;

								{
									obj_t BgL_auxz00_5362;

									{	/* Dataflow/walk.scm 366 */
										BgL_objectz00_bglt BgL_tmpz00_5363;

										BgL_tmpz00_5363 = ((BgL_objectz00_bglt) BgL_oz00_4220);
										BgL_auxz00_5362 = BGL_OBJECT_WIDENING(BgL_tmpz00_5363);
									}
									BgL_auxz00_5361 =
										((BgL_localzf2valuezf2_bglt) BgL_auxz00_5362);
								}
								BgL_arg1991z00_4219 =
									(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5361))->
									BgL_nodez00);
							}
						}
						return
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
							(BgL_arg1991z00_4219);
					}
				else
					{	/* Dataflow/walk.scm 365 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-co1431 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co1431zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3983, obj_t BgL_nodez00_3984)
	{
		{	/* Dataflow/walk.scm 354 */
			{	/* Dataflow/walk.scm 356 */
				bool_t BgL_test2442z00_5369;

				{	/* Dataflow/walk.scm 356 */
					bool_t BgL_test2443z00_5370;

					{	/* Dataflow/walk.scm 356 */
						BgL_nodez00_bglt BgL_arg1988z00_4222;

						BgL_arg1988z00_4222 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3984)))->BgL_falsez00);
						{	/* Dataflow/walk.scm 356 */
							obj_t BgL_classz00_4223;

							BgL_classz00_4223 = BGl_atomz00zzast_nodez00;
							{	/* Dataflow/walk.scm 356 */
								BgL_objectz00_bglt BgL_arg1801z00_4224;

								{	/* Dataflow/walk.scm 356 */
									obj_t BgL_tmpz00_5373;

									BgL_tmpz00_5373 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1988z00_4222));
									BgL_arg1801z00_4224 = (BgL_objectz00_bglt) (BgL_tmpz00_5373);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Dataflow/walk.scm 356 */
										long BgL_idxz00_4225;

										BgL_idxz00_4225 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4224);
										BgL_test2443z00_5370 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4225 + 2L)) == BgL_classz00_4223);
									}
								else
									{	/* Dataflow/walk.scm 356 */
										bool_t BgL_res2233z00_4228;

										{	/* Dataflow/walk.scm 356 */
											obj_t BgL_oclassz00_4229;

											{	/* Dataflow/walk.scm 356 */
												long BgL_arg1808z00_4230;

												{	/* Dataflow/walk.scm 356 */
													long BgL_arg1809z00_4231;

													BgL_arg1809z00_4231 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4224);
													BgL_arg1808z00_4230 =
														(BgL_arg1809z00_4231 - OBJECT_TYPE);
												}
												BgL_oclassz00_4229 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1808z00_4230);
											}
											{	/* Dataflow/walk.scm 356 */
												bool_t BgL__ortest_1115z00_4232;

												BgL__ortest_1115z00_4232 =
													(BgL_classz00_4223 == BgL_oclassz00_4229);
												if (BgL__ortest_1115z00_4232)
													{	/* Dataflow/walk.scm 356 */
														BgL_res2233z00_4228 = BgL__ortest_1115z00_4232;
													}
												else
													{	/* Dataflow/walk.scm 356 */
														long BgL_odepthz00_4233;

														BgL_odepthz00_4233 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4229);
														if ((2L < BgL_odepthz00_4233))
															{	/* Dataflow/walk.scm 356 */
																obj_t BgL_arg1797z00_4234;

																BgL_arg1797z00_4234 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4229,
																	2L);
																BgL_res2233z00_4228 =
																	(BgL_arg1797z00_4234 == BgL_classz00_4223);
															}
														else
															{	/* Dataflow/walk.scm 356 */
																BgL_res2233z00_4228 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2443z00_5370 = BgL_res2233z00_4228;
									}
							}
						}
					}
					if (BgL_test2443z00_5370)
						{	/* Dataflow/walk.scm 356 */
							BgL_test2442z00_5369 =
								(
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt)
												(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_3984)))->
													BgL_falsez00))))->BgL_valuez00) == BFALSE);
						}
					else
						{	/* Dataflow/walk.scm 356 */
							BgL_test2442z00_5369 = ((bool_t) 0);
						}
				}
				if (BgL_test2442z00_5369)
					{	/* Dataflow/walk.scm 356 */
						return
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_3984)))->BgL_testz00)),
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_3984)))->BgL_truez00)));
					}
				else
					{	/* Dataflow/walk.scm 356 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-in1428 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in1428zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3985, obj_t BgL_nodez00_3986)
	{
		{	/* Dataflow/walk.scm 345 */
			{	/* Dataflow/walk.scm 347 */
				bool_t BgL_test2447z00_5405;

				{	/* Dataflow/walk.scm 347 */
					obj_t BgL_arg1974z00_4236;

					{	/* Dataflow/walk.scm 347 */
						obj_t BgL_pairz00_4237;

						BgL_pairz00_4237 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nodez00_3986))))->
							BgL_exprza2za2);
						BgL_arg1974z00_4236 = CAR(BgL_pairz00_4237);
					}
					{	/* Dataflow/walk.scm 347 */
						obj_t BgL_classz00_4238;

						BgL_classz00_4238 = BGl_varz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_arg1974z00_4236))
							{	/* Dataflow/walk.scm 347 */
								BgL_objectz00_bglt BgL_arg1801z00_4239;

								BgL_arg1801z00_4239 =
									(BgL_objectz00_bglt) (BgL_arg1974z00_4236);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Dataflow/walk.scm 347 */
										long BgL_idxz00_4240;

										BgL_idxz00_4240 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4239);
										BgL_test2447z00_5405 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4240 + 2L)) == BgL_classz00_4238);
									}
								else
									{	/* Dataflow/walk.scm 347 */
										bool_t BgL_res2231z00_4243;

										{	/* Dataflow/walk.scm 347 */
											obj_t BgL_oclassz00_4244;

											{	/* Dataflow/walk.scm 347 */
												long BgL_arg1808z00_4245;

												{	/* Dataflow/walk.scm 347 */
													long BgL_arg1809z00_4246;

													BgL_arg1809z00_4246 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4239);
													BgL_arg1808z00_4245 =
														(BgL_arg1809z00_4246 - OBJECT_TYPE);
												}
												BgL_oclassz00_4244 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1808z00_4245);
											}
											{	/* Dataflow/walk.scm 347 */
												bool_t BgL__ortest_1115z00_4247;

												BgL__ortest_1115z00_4247 =
													(BgL_classz00_4238 == BgL_oclassz00_4244);
												if (BgL__ortest_1115z00_4247)
													{	/* Dataflow/walk.scm 347 */
														BgL_res2231z00_4243 = BgL__ortest_1115z00_4247;
													}
												else
													{	/* Dataflow/walk.scm 347 */
														long BgL_odepthz00_4248;

														BgL_odepthz00_4248 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4244);
														if ((2L < BgL_odepthz00_4248))
															{	/* Dataflow/walk.scm 347 */
																obj_t BgL_arg1797z00_4249;

																BgL_arg1797z00_4249 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4244,
																	2L);
																BgL_res2231z00_4243 =
																	(BgL_arg1797z00_4249 == BgL_classz00_4238);
															}
														else
															{	/* Dataflow/walk.scm 347 */
																BgL_res2231z00_4243 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2447z00_5405 = BgL_res2231z00_4243;
									}
							}
						else
							{	/* Dataflow/walk.scm 347 */
								BgL_test2447z00_5405 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2447z00_5405)
					{	/* Dataflow/walk.scm 348 */
						obj_t BgL_arg1968z00_4250;

						{	/* Dataflow/walk.scm 348 */
							BgL_variablez00_bglt BgL_arg1970z00_4251;
							BgL_typez00_bglt BgL_arg1971z00_4252;

							{
								BgL_varz00_bglt BgL_auxz00_5429;

								{	/* Dataflow/walk.scm 348 */
									obj_t BgL_pairz00_4253;

									BgL_pairz00_4253 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_instanceofz00_bglt) BgL_nodez00_3986))))->
										BgL_exprza2za2);
									BgL_auxz00_5429 = ((BgL_varz00_bglt) CAR(BgL_pairz00_4253));
								}
								BgL_arg1970z00_4251 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5429))->
									BgL_variablez00);
							}
							BgL_arg1971z00_4252 =
								(((BgL_instanceofz00_bglt) COBJECT(
										((BgL_instanceofz00_bglt) BgL_nodez00_3986)))->
								BgL_classz00);
							BgL_arg1968z00_4250 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1970z00_4251),
								((obj_t) BgL_arg1971z00_4252));
						}
						{	/* Dataflow/walk.scm 348 */
							obj_t BgL_list1969z00_4254;

							BgL_list1969z00_4254 = MAKE_YOUNG_PAIR(BgL_arg1968z00_4250, BNIL);
							return BgL_list1969z00_4254;
						}
					}
				else
					{	/* Dataflow/walk.scm 347 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-ap1426 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap1426zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3987, obj_t BgL_nodez00_3988)
	{
		{	/* Dataflow/walk.scm 322 */
			{	/* Dataflow/walk.scm 324 */
				BgL_variablez00_bglt BgL_fz00_4256;

				BgL_fz00_4256 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3988)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 324 */
					BgL_valuez00_bglt BgL_funvz00_4257;

					BgL_funvz00_4257 =
						(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4256))->BgL_valuez00);
					{	/* Dataflow/walk.scm 325 */

						{	/* Dataflow/walk.scm 327 */
							obj_t BgL_g1171z00_4258;

							BgL_g1171z00_4258 =
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3988)));
							if (CBOOL(BgL_g1171z00_4258))
								{	/* Dataflow/walk.scm 330 */
									bool_t BgL_test2453z00_5451;

									{	/* Dataflow/walk.scm 330 */
										obj_t BgL_arg1927z00_4259;

										BgL_arg1927z00_4259 =
											CAR(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3988)))->
												BgL_argsz00));
										{	/* Dataflow/walk.scm 330 */
											obj_t BgL_classz00_4260;

											BgL_classz00_4260 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg1927z00_4259))
												{	/* Dataflow/walk.scm 330 */
													BgL_objectz00_bglt BgL_arg1801z00_4261;

													BgL_arg1801z00_4261 =
														(BgL_objectz00_bglt) (BgL_arg1927z00_4259);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Dataflow/walk.scm 330 */
															long BgL_idxz00_4262;

															BgL_idxz00_4262 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4261);
															BgL_test2453z00_5451 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4262 + 2L)) == BgL_classz00_4260);
														}
													else
														{	/* Dataflow/walk.scm 330 */
															bool_t BgL_res2226z00_4265;

															{	/* Dataflow/walk.scm 330 */
																obj_t BgL_oclassz00_4266;

																{	/* Dataflow/walk.scm 330 */
																	long BgL_arg1808z00_4267;

																	{	/* Dataflow/walk.scm 330 */
																		long BgL_arg1809z00_4268;

																		BgL_arg1809z00_4268 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4261);
																		BgL_arg1808z00_4267 =
																			(BgL_arg1809z00_4268 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4266 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1808z00_4267);
																}
																{	/* Dataflow/walk.scm 330 */
																	bool_t BgL__ortest_1115z00_4269;

																	BgL__ortest_1115z00_4269 =
																		(BgL_classz00_4260 == BgL_oclassz00_4266);
																	if (BgL__ortest_1115z00_4269)
																		{	/* Dataflow/walk.scm 330 */
																			BgL_res2226z00_4265 =
																				BgL__ortest_1115z00_4269;
																		}
																	else
																		{	/* Dataflow/walk.scm 330 */
																			long BgL_odepthz00_4270;

																			BgL_odepthz00_4270 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4266);
																			if ((2L < BgL_odepthz00_4270))
																				{	/* Dataflow/walk.scm 330 */
																					obj_t BgL_arg1797z00_4271;

																					BgL_arg1797z00_4271 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4266, 2L);
																					BgL_res2226z00_4265 =
																						(BgL_arg1797z00_4271 ==
																						BgL_classz00_4260);
																				}
																			else
																				{	/* Dataflow/walk.scm 330 */
																					BgL_res2226z00_4265 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2453z00_5451 = BgL_res2226z00_4265;
														}
												}
											else
												{	/* Dataflow/walk.scm 330 */
													BgL_test2453z00_5451 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2453z00_5451)
										{	/* Dataflow/walk.scm 331 */
											obj_t BgL_arg1922z00_4272;

											{	/* Dataflow/walk.scm 331 */
												BgL_variablez00_bglt BgL_arg1924z00_4273;

												{
													BgL_varz00_bglt BgL_auxz00_5474;

													{	/* Dataflow/walk.scm 331 */
														obj_t BgL_pairz00_4274;

														BgL_pairz00_4274 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3988)))->
															BgL_argsz00);
														BgL_auxz00_5474 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4274));
													}
													BgL_arg1924z00_4273 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5474))->
														BgL_variablez00);
												}
												BgL_arg1922z00_4272 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1924z00_4273), BgL_g1171z00_4258);
											}
											{	/* Dataflow/walk.scm 331 */
												obj_t BgL_list1923z00_4275;

												BgL_list1923z00_4275 =
													MAKE_YOUNG_PAIR(BgL_arg1922z00_4272, BNIL);
												return BgL_list1923z00_4275;
											}
										}
									else
										{	/* Dataflow/walk.scm 330 */
											return BNIL;
										}
								}
							else
								{	/* Dataflow/walk.scm 333 */
									bool_t BgL_test2458z00_5483;

									{	/* Dataflow/walk.scm 333 */
										bool_t BgL_test2459z00_5484;

										{	/* Dataflow/walk.scm 333 */
											obj_t BgL_classz00_4276;

											BgL_classz00_4276 = BGl_funz00zzast_varz00;
											{	/* Dataflow/walk.scm 333 */
												BgL_objectz00_bglt BgL_arg1801z00_4277;

												{	/* Dataflow/walk.scm 333 */
													obj_t BgL_tmpz00_5485;

													BgL_tmpz00_5485 =
														((obj_t) ((BgL_objectz00_bglt) BgL_funvz00_4257));
													BgL_arg1801z00_4277 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5485);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Dataflow/walk.scm 333 */
														long BgL_idxz00_4278;

														BgL_idxz00_4278 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4277);
														BgL_test2459z00_5484 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4278 + 2L)) == BgL_classz00_4276);
													}
												else
													{	/* Dataflow/walk.scm 333 */
														bool_t BgL_res2228z00_4281;

														{	/* Dataflow/walk.scm 333 */
															obj_t BgL_oclassz00_4282;

															{	/* Dataflow/walk.scm 333 */
																long BgL_arg1808z00_4283;

																{	/* Dataflow/walk.scm 333 */
																	long BgL_arg1809z00_4284;

																	BgL_arg1809z00_4284 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4277);
																	BgL_arg1808z00_4283 =
																		(BgL_arg1809z00_4284 - OBJECT_TYPE);
																}
																BgL_oclassz00_4282 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1808z00_4283);
															}
															{	/* Dataflow/walk.scm 333 */
																bool_t BgL__ortest_1115z00_4285;

																BgL__ortest_1115z00_4285 =
																	(BgL_classz00_4276 == BgL_oclassz00_4282);
																if (BgL__ortest_1115z00_4285)
																	{	/* Dataflow/walk.scm 333 */
																		BgL_res2228z00_4281 =
																			BgL__ortest_1115z00_4285;
																	}
																else
																	{	/* Dataflow/walk.scm 333 */
																		long BgL_odepthz00_4286;

																		BgL_odepthz00_4286 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4282);
																		if ((2L < BgL_odepthz00_4286))
																			{	/* Dataflow/walk.scm 333 */
																				obj_t BgL_arg1797z00_4287;

																				BgL_arg1797z00_4287 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4282, 2L);
																				BgL_res2228z00_4281 =
																					(BgL_arg1797z00_4287 ==
																					BgL_classz00_4276);
																			}
																		else
																			{	/* Dataflow/walk.scm 333 */
																				BgL_res2228z00_4281 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2459z00_5484 = BgL_res2228z00_4281;
													}
											}
										}
										if (BgL_test2459z00_5484)
											{	/* Dataflow/walk.scm 333 */
												if (CBOOL(
														(((BgL_funz00_bglt) COBJECT(
																	((BgL_funz00_bglt) BgL_funvz00_4257)))->
															BgL_predicatezd2ofzd2)))
													{	/* Dataflow/walk.scm 335 */
														bool_t BgL_test2464z00_5509;

														{	/* Dataflow/walk.scm 335 */
															obj_t BgL_tmpz00_5510;

															BgL_tmpz00_5510 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3988)))->
																BgL_argsz00);
															BgL_test2464z00_5509 = PAIRP(BgL_tmpz00_5510);
														}
														if (BgL_test2464z00_5509)
															{	/* Dataflow/walk.scm 335 */
																if (NULLP(CDR(
																			(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_3988)))->
																				BgL_argsz00))))
																	{	/* Dataflow/walk.scm 336 */
																		bool_t BgL_test2466z00_5519;

																		{	/* Dataflow/walk.scm 336 */
																			obj_t BgL_arg1959z00_4288;

																			BgL_arg1959z00_4288 =
																				CAR(
																				(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_3988)))->
																					BgL_argsz00));
																			{	/* Dataflow/walk.scm 336 */
																				obj_t BgL_classz00_4289;

																				BgL_classz00_4289 =
																					BGl_varz00zzast_nodez00;
																				if (BGL_OBJECTP(BgL_arg1959z00_4288))
																					{	/* Dataflow/walk.scm 336 */
																						BgL_objectz00_bglt
																							BgL_arg1801z00_4290;
																						BgL_arg1801z00_4290 =
																							(BgL_objectz00_bglt)
																							(BgL_arg1959z00_4288);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Dataflow/walk.scm 336 */
																								long BgL_idxz00_4291;

																								BgL_idxz00_4291 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1801z00_4290);
																								BgL_test2466z00_5519 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_4291 + 2L)) ==
																									BgL_classz00_4289);
																							}
																						else
																							{	/* Dataflow/walk.scm 336 */
																								bool_t BgL_res2229z00_4294;

																								{	/* Dataflow/walk.scm 336 */
																									obj_t BgL_oclassz00_4295;

																									{	/* Dataflow/walk.scm 336 */
																										long BgL_arg1808z00_4296;

																										{	/* Dataflow/walk.scm 336 */
																											long BgL_arg1809z00_4297;

																											BgL_arg1809z00_4297 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1801z00_4290);
																											BgL_arg1808z00_4296 =
																												(BgL_arg1809z00_4297 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_4295 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1808z00_4296);
																									}
																									{	/* Dataflow/walk.scm 336 */
																										bool_t
																											BgL__ortest_1115z00_4298;
																										BgL__ortest_1115z00_4298 =
																											(BgL_classz00_4289 ==
																											BgL_oclassz00_4295);
																										if (BgL__ortest_1115z00_4298)
																											{	/* Dataflow/walk.scm 336 */
																												BgL_res2229z00_4294 =
																													BgL__ortest_1115z00_4298;
																											}
																										else
																											{	/* Dataflow/walk.scm 336 */
																												long BgL_odepthz00_4299;

																												BgL_odepthz00_4299 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_4295);
																												if ((2L <
																														BgL_odepthz00_4299))
																													{	/* Dataflow/walk.scm 336 */
																														obj_t
																															BgL_arg1797z00_4300;
																														BgL_arg1797z00_4300
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_4295,
																															2L);
																														BgL_res2229z00_4294
																															=
																															(BgL_arg1797z00_4300
																															==
																															BgL_classz00_4289);
																													}
																												else
																													{	/* Dataflow/walk.scm 336 */
																														BgL_res2229z00_4294
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2466z00_5519 =
																									BgL_res2229z00_4294;
																							}
																					}
																				else
																					{	/* Dataflow/walk.scm 336 */
																						BgL_test2466z00_5519 = ((bool_t) 0);
																					}
																			}
																		}
																		if (BgL_test2466z00_5519)
																			{	/* Dataflow/walk.scm 337 */
																				BgL_typez00_bglt BgL_arg1955z00_4301;

																				{
																					BgL_variablez00_bglt BgL_auxz00_5542;

																					{
																						BgL_varz00_bglt BgL_auxz00_5543;

																						{	/* Dataflow/walk.scm 337 */
																							obj_t BgL_pairz00_4302;

																							BgL_pairz00_4302 =
																								(((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											BgL_nodez00_3988)))->
																								BgL_argsz00);
																							BgL_auxz00_5543 =
																								((BgL_varz00_bglt)
																								CAR(BgL_pairz00_4302));
																						}
																						BgL_auxz00_5542 =
																							(((BgL_varz00_bglt)
																								COBJECT(BgL_auxz00_5543))->
																							BgL_variablez00);
																					}
																					BgL_arg1955z00_4301 =
																						(((BgL_variablez00_bglt)
																							COBJECT(BgL_auxz00_5542))->
																						BgL_typez00);
																				}
																				BgL_test2458z00_5483 =
																					BGl_bigloozd2typezf3z21zztype_typez00
																					(BgL_arg1955z00_4301);
																			}
																		else
																			{	/* Dataflow/walk.scm 336 */
																				BgL_test2458z00_5483 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Dataflow/walk.scm 335 */
																		BgL_test2458z00_5483 = ((bool_t) 0);
																	}
															}
														else
															{	/* Dataflow/walk.scm 335 */
																BgL_test2458z00_5483 = ((bool_t) 0);
															}
													}
												else
													{	/* Dataflow/walk.scm 334 */
														BgL_test2458z00_5483 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 333 */
												BgL_test2458z00_5483 = ((bool_t) 0);
											}
									}
									if (BgL_test2458z00_5483)
										{	/* Dataflow/walk.scm 338 */
											obj_t BgL_arg1949z00_4303;

											{	/* Dataflow/walk.scm 338 */
												BgL_variablez00_bglt BgL_arg1951z00_4304;
												obj_t BgL_arg1952z00_4305;

												{
													BgL_varz00_bglt BgL_auxz00_5551;

													{	/* Dataflow/walk.scm 338 */
														obj_t BgL_pairz00_4306;

														BgL_pairz00_4306 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3988)))->
															BgL_argsz00);
														BgL_auxz00_5551 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4306));
													}
													BgL_arg1951z00_4304 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5551))->
														BgL_variablez00);
												}
												BgL_arg1952z00_4305 =
													(((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_funvz00_4257)))->
													BgL_predicatezd2ofzd2);
												BgL_arg1949z00_4303 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1951z00_4304),
													BgL_arg1952z00_4305);
											}
											{	/* Dataflow/walk.scm 338 */
												obj_t BgL_list1950z00_4307;

												BgL_list1950z00_4307 =
													MAKE_YOUNG_PAIR(BgL_arg1949z00_4303, BNIL);
												return BgL_list1950z00_4307;
											}
										}
									else
										{	/* Dataflow/walk.scm 333 */
											return BNIL;
										}
								}
						}
					}
				}
			}
		}

	}



/* &dataflow-node!-box-s1422 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s1422za2zzdataflow_walkz00(obj_t
		BgL_envz00_3989, obj_t BgL_nodez00_3990, obj_t BgL_envz00_3991)
	{
		{	/* Dataflow/walk.scm 302 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3990)))->BgL_valuez00),
				BgL_envz00_3991);
		}

	}



/* &dataflow-node!-box-r1420 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r1420za2zzdataflow_walkz00(obj_t
		BgL_envz00_3992, obj_t BgL_nodez00_3993, obj_t BgL_envz00_3994)
	{
		{	/* Dataflow/walk.scm 295 */
			return ((obj_t) BgL_envz00_3994);
		}

	}



/* &dataflow-node!-make-1418 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd21418za2zzdataflow_walkz00(obj_t
		BgL_envz00_3995, obj_t BgL_nodez00_3996, obj_t BgL_envz00_3997)
	{
		{	/* Dataflow/walk.scm 289 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3996)))->BgL_valuez00),
				BgL_envz00_3997);
		}

	}



/* &dataflow-node!-jump-1416 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd21416za2zzdataflow_walkz00(obj_t
		BgL_envz00_3998, obj_t BgL_nodez00_3999, obj_t BgL_envz00_4000)
	{
		{	/* Dataflow/walk.scm 280 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3999)))->BgL_exitz00),
				BgL_envz00_4000);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
						COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3999)))->
					BgL_valuez00), BgL_envz00_4000);
			return BNIL;
		}

	}



/* &dataflow-node!-set-e1412 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e1412za2zzdataflow_walkz00(obj_t
		BgL_envz00_4001, obj_t BgL_nodez00_4002, obj_t BgL_envz00_4003)
	{
		{	/* Dataflow/walk.scm 271 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4002)))->BgL_bodyz00),
				BgL_envz00_4003);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_setzd2exzd2itz00_bglt)
						COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4002)))->
					BgL_onexitz00), BgL_envz00_4003);
			return BNIL;
		}

	}



/* &dataflow-node!-let-v1410 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v1410za2zzdataflow_walkz00(obj_t
		BgL_envz00_4004, obj_t BgL_nodez00_4005, obj_t BgL_envz00_4006)
	{
		{	/* Dataflow/walk.scm 239 */
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
				(1L + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
			{	/* Dataflow/walk.scm 242 */
				long BgL_stampz00_4315;

				BgL_stampz00_4315 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
				{	/* Dataflow/walk.scm 242 */
					obj_t BgL_envz00_4316;

					{
						obj_t BgL_bindingsz00_4318;
						obj_t BgL_envz00_4319;

						BgL_bindingsz00_4318 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_4005)))->
							BgL_bindingsz00);
						BgL_envz00_4319 = BgL_envz00_4006;
					BgL_loopz00_4317:
						if (NULLP(BgL_bindingsz00_4318))
							{	/* Dataflow/walk.scm 245 */
								BgL_envz00_4316 = BgL_envz00_4319;
							}
						else
							{	/* Dataflow/walk.scm 247 */
								obj_t BgL_nodez00_4320;

								{	/* Dataflow/walk.scm 247 */
									obj_t BgL_pairz00_4321;

									BgL_pairz00_4321 = CAR(((obj_t) BgL_bindingsz00_4318));
									BgL_nodez00_4320 = CDR(BgL_pairz00_4321);
								}
								{	/* Dataflow/walk.scm 247 */
									obj_t BgL_envz00_4322;

									BgL_envz00_4322 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_nodez00_4320), BgL_envz00_4319);
									{	/* Dataflow/walk.scm 248 */

										{	/* Dataflow/walk.scm 249 */
											obj_t BgL_lz00_4323;

											{	/* Dataflow/walk.scm 249 */
												obj_t BgL_pairz00_4324;

												BgL_pairz00_4324 = CAR(((obj_t) BgL_bindingsz00_4318));
												BgL_lz00_4323 = CAR(BgL_pairz00_4324);
											}
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_lz00_4323)))->
														BgL_accessz00) == CNST_TABLE_REF(11L)))
												{	/* Dataflow/walk.scm 250 */
													{	/* Dataflow/walk.scm 251 */
														BgL_localzf2valuezf2_bglt BgL_wide1163z00_4325;

														BgL_wide1163z00_4325 =
															((BgL_localzf2valuezf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_localzf2valuezf2_bgl))));
														{	/* Dataflow/walk.scm 251 */
															obj_t BgL_auxz00_5602;
															BgL_objectz00_bglt BgL_tmpz00_5598;

															BgL_auxz00_5602 = ((obj_t) BgL_wide1163z00_4325);
															BgL_tmpz00_5598 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_lz00_4323)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5598,
																BgL_auxz00_5602);
														}
														((BgL_objectz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_4323)));
														{	/* Dataflow/walk.scm 251 */
															long BgL_arg1901z00_4326;

															BgL_arg1901z00_4326 =
																BGL_CLASS_NUM
																(BGl_localzf2valuezf2zzdataflow_walkz00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_localz00_bglt) ((BgL_localz00_bglt)
																			BgL_lz00_4323))), BgL_arg1901z00_4326);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_4323)));
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_5616;

														{
															obj_t BgL_auxz00_5617;

															{	/* Dataflow/walk.scm 252 */
																BgL_objectz00_bglt BgL_tmpz00_5618;

																BgL_tmpz00_5618 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_4323)));
																BgL_auxz00_5617 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5618);
															}
															BgL_auxz00_5616 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_5617);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_5616))->BgL_stampz00) =
															((int) (int) (BgL_stampz00_4315)), BUNSPEC);
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_5626;

														{
															obj_t BgL_auxz00_5627;

															{	/* Dataflow/walk.scm 253 */
																BgL_objectz00_bglt BgL_tmpz00_5628;

																BgL_tmpz00_5628 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_4323)));
																BgL_auxz00_5627 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5628);
															}
															BgL_auxz00_5626 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_5627);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_5626))->BgL_nodez00) =
															((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																	BgL_nodez00_4320)), BUNSPEC);
													}
													((obj_t)
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_lz00_4323)));
												}
											else
												{	/* Dataflow/walk.scm 250 */
													BFALSE;
												}
										}
										{	/* Dataflow/walk.scm 254 */
											obj_t BgL_arg1908z00_4327;

											BgL_arg1908z00_4327 = CDR(((obj_t) BgL_bindingsz00_4318));
											{
												obj_t BgL_envz00_5642;
												obj_t BgL_bindingsz00_5641;

												BgL_bindingsz00_5641 = BgL_arg1908z00_4327;
												BgL_envz00_5642 = BgL_envz00_4322;
												BgL_envz00_4319 = BgL_envz00_5642;
												BgL_bindingsz00_4318 = BgL_bindingsz00_5641;
												goto BgL_loopz00_4317;
											}
										}
									}
								}
							}
					}
					{	/* Dataflow/walk.scm 243 */

						{	/* Dataflow/walk.scm 255 */
							obj_t BgL_arg1868z00_4328;

							BgL_arg1868z00_4328 =
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4005)))->
									BgL_bodyz00), BgL_envz00_4316);
							{	/* Dataflow/walk.scm 257 */
								obj_t BgL_zc3z04anonymousza31870ze3z87_4329;

								BgL_zc3z04anonymousza31870ze3z87_4329 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31870ze3ze5zzdataflow_walkz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31870ze3z87_4329, (int) (0L),
									BINT(BgL_stampz00_4315));
								{	/* Dataflow/walk.scm 255 */
									obj_t BgL_list1869z00_4330;

									BgL_list1869z00_4330 =
										MAKE_YOUNG_PAIR(BgL_arg1868z00_4328, BNIL);
									return
										BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
										(BgL_zc3z04anonymousza31870ze3z87_4329,
										BgL_list1869z00_4330);
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1870> */
	obj_t BGl_z62zc3z04anonymousza31870ze3ze5zzdataflow_walkz00(obj_t
		BgL_envz00_4007, obj_t BgL_bz00_4009)
	{
		{	/* Dataflow/walk.scm 255 */
			{	/* Dataflow/walk.scm 257 */
				long BgL_stampz00_4008;

				BgL_stampz00_4008 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_4007, (int) (0L)));
				{	/* Dataflow/walk.scm 257 */
					bool_t BgL_test2473z00_5659;

					{	/* Dataflow/walk.scm 257 */
						bool_t BgL_test2474z00_5660;

						{	/* Dataflow/walk.scm 257 */
							obj_t BgL_arg1894z00_4331;

							BgL_arg1894z00_4331 = CAR(((obj_t) BgL_bz00_4009));
							{	/* Dataflow/walk.scm 257 */
								obj_t BgL_classz00_4332;

								BgL_classz00_4332 = BGl_localzf2valuezf2zzdataflow_walkz00;
								if (BGL_OBJECTP(BgL_arg1894z00_4331))
									{	/* Dataflow/walk.scm 257 */
										obj_t BgL_oclassz00_4333;

										{	/* Dataflow/walk.scm 257 */
											long BgL_arg1808z00_4334;

											{	/* Dataflow/walk.scm 257 */
												long BgL_arg1809z00_4335;

												BgL_arg1809z00_4335 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_arg1894z00_4331));
												BgL_arg1808z00_4334 =
													(BgL_arg1809z00_4335 - OBJECT_TYPE);
											}
											BgL_oclassz00_4333 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_4334);
										}
										BgL_test2474z00_5660 =
											(BgL_oclassz00_4333 == BgL_classz00_4332);
									}
								else
									{	/* Dataflow/walk.scm 257 */
										BgL_test2474z00_5660 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test2474z00_5660)
							{	/* Dataflow/walk.scm 258 */
								int BgL_arg1892z00_4336;

								{	/* Dataflow/walk.scm 258 */
									BgL_localz00_bglt BgL_oz00_4337;

									BgL_oz00_4337 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4009)));
									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_5673;

										{
											obj_t BgL_auxz00_5674;

											{	/* Dataflow/walk.scm 258 */
												BgL_objectz00_bglt BgL_tmpz00_5675;

												BgL_tmpz00_5675 = ((BgL_objectz00_bglt) BgL_oz00_4337);
												BgL_auxz00_5674 = BGL_OBJECT_WIDENING(BgL_tmpz00_5675);
											}
											BgL_auxz00_5673 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_5674);
										}
										BgL_arg1892z00_4336 =
											(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5673))->
											BgL_stampz00);
								}}
								BgL_test2473z00_5659 =
									((long) (BgL_arg1892z00_4336) < BgL_stampz00_4008);
							}
						else
							{	/* Dataflow/walk.scm 257 */
								BgL_test2473z00_5659 = ((bool_t) 1);
							}
					}
					if (BgL_test2473z00_5659)
						{	/* Dataflow/walk.scm 257 */
							return BgL_bz00_4009;
						}
					else
						{	/* Dataflow/walk.scm 260 */
							bool_t BgL_test2476z00_5682;

							{	/* Dataflow/walk.scm 260 */
								BgL_nodez00_bglt BgL_arg1889z00_4338;

								{	/* Dataflow/walk.scm 260 */
									BgL_localz00_bglt BgL_oz00_4339;

									BgL_oz00_4339 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4009)));
									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_5686;

										{
											obj_t BgL_auxz00_5687;

											{	/* Dataflow/walk.scm 260 */
												BgL_objectz00_bglt BgL_tmpz00_5688;

												BgL_tmpz00_5688 = ((BgL_objectz00_bglt) BgL_oz00_4339);
												BgL_auxz00_5687 = BGL_OBJECT_WIDENING(BgL_tmpz00_5688);
											}
											BgL_auxz00_5686 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_5687);
										}
										BgL_arg1889z00_4338 =
											(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5686))->
											BgL_nodez00);
									}
								}
								{	/* Dataflow/walk.scm 260 */
									obj_t BgL_classz00_4340;

									BgL_classz00_4340 = BGl_varz00zzast_nodez00;
									{	/* Dataflow/walk.scm 260 */
										BgL_objectz00_bglt BgL_arg1801z00_4341;

										{	/* Dataflow/walk.scm 260 */
											obj_t BgL_tmpz00_5693;

											BgL_tmpz00_5693 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1889z00_4338));
											BgL_arg1801z00_4341 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5693);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Dataflow/walk.scm 260 */
												long BgL_idxz00_4342;

												BgL_idxz00_4342 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4341);
												BgL_test2476z00_5682 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4342 + 2L)) == BgL_classz00_4340);
											}
										else
											{	/* Dataflow/walk.scm 260 */
												bool_t BgL_res2225z00_4345;

												{	/* Dataflow/walk.scm 260 */
													obj_t BgL_oclassz00_4346;

													{	/* Dataflow/walk.scm 260 */
														long BgL_arg1808z00_4347;

														{	/* Dataflow/walk.scm 260 */
															long BgL_arg1809z00_4348;

															BgL_arg1809z00_4348 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4341);
															BgL_arg1808z00_4347 =
																(BgL_arg1809z00_4348 - OBJECT_TYPE);
														}
														BgL_oclassz00_4346 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1808z00_4347);
													}
													{	/* Dataflow/walk.scm 260 */
														bool_t BgL__ortest_1115z00_4349;

														BgL__ortest_1115z00_4349 =
															(BgL_classz00_4340 == BgL_oclassz00_4346);
														if (BgL__ortest_1115z00_4349)
															{	/* Dataflow/walk.scm 260 */
																BgL_res2225z00_4345 = BgL__ortest_1115z00_4349;
															}
														else
															{	/* Dataflow/walk.scm 260 */
																long BgL_odepthz00_4350;

																BgL_odepthz00_4350 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4346);
																if ((2L < BgL_odepthz00_4350))
																	{	/* Dataflow/walk.scm 260 */
																		obj_t BgL_arg1797z00_4351;

																		BgL_arg1797z00_4351 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4346, 2L);
																		BgL_res2225z00_4345 =
																			(BgL_arg1797z00_4351 ==
																			BgL_classz00_4340);
																	}
																else
																	{	/* Dataflow/walk.scm 260 */
																		BgL_res2225z00_4345 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2476z00_5682 = BgL_res2225z00_4345;
											}
									}
								}
							}
							if (BgL_test2476z00_5682)
								{	/* Dataflow/walk.scm 261 */
									BgL_variablez00_bglt BgL_vz00_4352;

									{	/* Dataflow/walk.scm 261 */
										BgL_nodez00_bglt BgL_arg1886z00_4353;

										{	/* Dataflow/walk.scm 261 */
											BgL_localz00_bglt BgL_oz00_4354;

											BgL_oz00_4354 =
												((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4009)));
											{
												BgL_localzf2valuezf2_bglt BgL_auxz00_5716;

												{
													obj_t BgL_auxz00_5717;

													{	/* Dataflow/walk.scm 261 */
														BgL_objectz00_bglt BgL_tmpz00_5718;

														BgL_tmpz00_5718 =
															((BgL_objectz00_bglt) BgL_oz00_4354);
														BgL_auxz00_5717 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5718);
													}
													BgL_auxz00_5716 =
														((BgL_localzf2valuezf2_bglt) BgL_auxz00_5717);
												}
												BgL_arg1886z00_4353 =
													(((BgL_localzf2valuezf2_bglt)
														COBJECT(BgL_auxz00_5716))->BgL_nodez00);
											}
										}
										BgL_vz00_4352 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_arg1886z00_4353)))->
											BgL_variablez00);
									}
									if (
										((((BgL_variablez00_bglt) COBJECT(BgL_vz00_4352))->
												BgL_accessz00) == CNST_TABLE_REF(11L)))
										{	/* Dataflow/walk.scm 263 */
											obj_t BgL_arg1884z00_4355;

											BgL_arg1884z00_4355 = CDR(((obj_t) BgL_bz00_4009));
											return
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_vz00_4352), BgL_arg1884z00_4355);
										}
									else
										{	/* Dataflow/walk.scm 262 */
											return BFALSE;
										}
								}
							else
								{	/* Dataflow/walk.scm 260 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &dataflow-node!-let-f1408 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f1408za2zzdataflow_walkz00(obj_t
		BgL_envz00_4010, obj_t BgL_nodez00_4011, obj_t BgL_envz00_4012)
	{
		{	/* Dataflow/walk.scm 224 */
			{	/* Dataflow/walk.scm 226 */
				obj_t BgL_g1356z00_4357;

				BgL_g1356z00_4357 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4011)))->BgL_localsz00);
				{
					obj_t BgL_l1354z00_4359;

					BgL_l1354z00_4359 = BgL_g1356z00_4357;
				BgL_zc3z04anonymousza31857ze3z87_4358:
					if (PAIRP(BgL_l1354z00_4359))
						{	/* Dataflow/walk.scm 226 */
							{	/* Dataflow/walk.scm 227 */
								obj_t BgL_localz00_4360;

								BgL_localz00_4360 = CAR(BgL_l1354z00_4359);
								{	/* Dataflow/walk.scm 227 */
									obj_t BgL_arg1860z00_4361;

									BgL_arg1860z00_4361 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_4360))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
											(BgL_nodez00_bglt) BgL_arg1860z00_4361), BNIL);
								}
							}
							{
								obj_t BgL_l1354z00_5745;

								BgL_l1354z00_5745 = CDR(BgL_l1354z00_4359);
								BgL_l1354z00_4359 = BgL_l1354z00_5745;
								goto BgL_zc3z04anonymousza31857ze3z87_4358;
							}
						}
					else
						{	/* Dataflow/walk.scm 226 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4011)))->BgL_bodyz00),
				BgL_envz00_4012);
		}

	}



/* &dataflow-node!-switc1406 */
	obj_t BGl_z62dataflowzd2nodez12zd2switc1406z70zzdataflow_walkz00(obj_t
		BgL_envz00_4013, obj_t BgL_nodez00_4014, obj_t BgL_envz00_4015)
	{
		{	/* Dataflow/walk.scm 213 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_4014)))->BgL_testz00),
				BgL_envz00_4015);
			{	/* Dataflow/walk.scm 216 */
				obj_t BgL_g1353z00_4363;

				BgL_g1353z00_4363 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_4014)))->BgL_clausesz00);
				{
					obj_t BgL_l1351z00_4365;

					BgL_l1351z00_4365 = BgL_g1353z00_4363;
				BgL_zc3z04anonymousza31853ze3z87_4364:
					if (PAIRP(BgL_l1351z00_4365))
						{	/* Dataflow/walk.scm 216 */
							{	/* Dataflow/walk.scm 217 */
								obj_t BgL_clausez00_4366;

								BgL_clausez00_4366 = CAR(BgL_l1351z00_4365);
								{	/* Dataflow/walk.scm 217 */
									obj_t BgL_arg1855z00_4367;

									BgL_arg1855z00_4367 = CDR(((obj_t) BgL_clausez00_4366));
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1855z00_4367), BgL_envz00_4015);
								}
							}
							{
								obj_t BgL_l1351z00_5762;

								BgL_l1351z00_5762 = CDR(BgL_l1351z00_4365);
								BgL_l1351z00_4365 = BgL_l1351z00_5762;
								goto BgL_zc3z04anonymousza31853ze3z87_4364;
							}
						}
					else
						{	/* Dataflow/walk.scm 216 */
							((bool_t) 1);
						}
				}
			}
			return BgL_envz00_4015;
		}

	}



/* &dataflow-node!-fail1404 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail1404z70zzdataflow_walkz00(obj_t
		BgL_envz00_4016, obj_t BgL_nodez00_4017, obj_t BgL_envz00_4018)
	{
		{	/* Dataflow/walk.scm 203 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4017)))->BgL_procz00),
				BgL_envz00_4018);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_4017)))->BgL_msgz00),
				BgL_envz00_4018);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_4017)))->BgL_objz00),
				BgL_envz00_4018);
			return BgL_envz00_4018;
		}

	}



/* &dataflow-node!-condi1402 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi1402z70zzdataflow_walkz00(obj_t
		BgL_envz00_4019, obj_t BgL_nodez00_4020, obj_t BgL_envz00_4021)
	{
		{	/* Dataflow/walk.scm 180 */
			{
				obj_t BgL_env1z00_4371;
				obj_t BgL_env2z00_4372;

				{	/* Dataflow/walk.scm 191 */
					obj_t BgL_tenvz00_4383;

					BgL_tenvz00_4383 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_4020)))->BgL_testz00),
						BgL_envz00_4021);
					{	/* Dataflow/walk.scm 191 */
						obj_t BgL_truezd2envzd2_4384;

						BgL_truezd2envzd2_4384 =
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_4020)))->BgL_testz00)), BgL_tenvz00_4383);
						{	/* Dataflow/walk.scm 192 */
							obj_t BgL_falsezd2envzd2_4385;

							BgL_falsezd2envzd2_4385 =
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt)
											COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4020)))->
										BgL_testz00)), BgL_tenvz00_4383);
							{	/* Dataflow/walk.scm 193 */

								{	/* Dataflow/walk.scm 194 */
									obj_t BgL_tenvz00_4386;
									obj_t BgL_fenvz00_4387;

									BgL_tenvz00_4386 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_4020)))->
											BgL_falsez00), BgL_falsezd2envzd2_4385);
									BgL_fenvz00_4387 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
												(BgL_conditionalz00_bglt)
												COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4020)))->
											BgL_truez00), BgL_truezd2envzd2_4384);
									{	/* Dataflow/walk.scm 196 */
										bool_t BgL_test2483z00_5790;

										{	/* Dataflow/walk.scm 196 */
											BgL_nodez00_bglt BgL_arg1830z00_4388;

											BgL_arg1830z00_4388 =
												(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_4020)))->
												BgL_falsez00);
											BgL_test2483z00_5790 =
												CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
												(BgL_arg1830z00_4388));
										}
										if (BgL_test2483z00_5790)
											{	/* Dataflow/walk.scm 196 */
												return BgL_tenvz00_4386;
											}
										else
											{	/* Dataflow/walk.scm 196 */
												BgL_env1z00_4371 = BgL_tenvz00_4386;
												BgL_env2z00_4372 = BgL_fenvz00_4387;
												{	/* Dataflow/walk.scm 183 */
													obj_t BgL_hook1350z00_4373;

													BgL_hook1350z00_4373 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													{
														obj_t BgL_l1347z00_4375;
														obj_t BgL_h1348z00_4376;

														BgL_l1347z00_4375 = BgL_env1z00_4371;
														BgL_h1348z00_4376 = BgL_hook1350z00_4373;
													BgL_zc3z04anonymousza31839ze3z87_4374:
														if (NULLP(BgL_l1347z00_4375))
															{	/* Dataflow/walk.scm 183 */
																return CDR(BgL_hook1350z00_4373);
															}
														else
															{	/* Dataflow/walk.scm 183 */
																bool_t BgL_test2485z00_5799;

																{	/* Dataflow/walk.scm 184 */
																	obj_t BgL_cz00_4377;

																	BgL_cz00_4377 =
																		CAR(((obj_t) BgL_l1347z00_4375));
																	{	/* Dataflow/walk.scm 185 */
																		obj_t BgL_c2z00_4378;

																		BgL_c2z00_4378 =
																			BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																			(CAR(((obj_t) BgL_cz00_4377)),
																			BgL_env2z00_4372);
																		{	/* Dataflow/walk.scm 186 */

																			if (PAIRP(BgL_c2z00_4378))
																				{	/* Dataflow/walk.scm 187 */
																					BgL_test2485z00_5799 =
																						(CDR(BgL_c2z00_4378) ==
																						CDR(((obj_t) BgL_cz00_4377)));
																				}
																			else
																				{	/* Dataflow/walk.scm 187 */
																					BgL_test2485z00_5799 = ((bool_t) 0);
																				}
																		}
																	}
																}
																if (BgL_test2485z00_5799)
																	{	/* Dataflow/walk.scm 183 */
																		obj_t BgL_nh1349z00_4379;

																		{	/* Dataflow/walk.scm 183 */
																			obj_t BgL_arg1844z00_4380;

																			BgL_arg1844z00_4380 =
																				CAR(((obj_t) BgL_l1347z00_4375));
																			BgL_nh1349z00_4379 =
																				MAKE_YOUNG_PAIR(BgL_arg1844z00_4380,
																				BNIL);
																		}
																		SET_CDR(BgL_h1348z00_4376,
																			BgL_nh1349z00_4379);
																		{	/* Dataflow/walk.scm 183 */
																			obj_t BgL_arg1843z00_4381;

																			BgL_arg1843z00_4381 =
																				CDR(((obj_t) BgL_l1347z00_4375));
																			{
																				obj_t BgL_h1348z00_5818;
																				obj_t BgL_l1347z00_5817;

																				BgL_l1347z00_5817 = BgL_arg1843z00_4381;
																				BgL_h1348z00_5818 = BgL_nh1349z00_4379;
																				BgL_h1348z00_4376 = BgL_h1348z00_5818;
																				BgL_l1347z00_4375 = BgL_l1347z00_5817;
																				goto
																					BgL_zc3z04anonymousza31839ze3z87_4374;
																			}
																		}
																	}
																else
																	{	/* Dataflow/walk.scm 183 */
																		obj_t BgL_arg1845z00_4382;

																		BgL_arg1845z00_4382 =
																			CDR(((obj_t) BgL_l1347z00_4375));
																		{
																			obj_t BgL_l1347z00_5821;

																			BgL_l1347z00_5821 = BgL_arg1845z00_4382;
																			BgL_l1347z00_4375 = BgL_l1347z00_5821;
																			goto
																				BgL_zc3z04anonymousza31839ze3z87_4374;
																		}
																	}
															}
													}
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &dataflow-node!-setq1400 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq1400z70zzdataflow_walkz00(obj_t
		BgL_envz00_4022, obj_t BgL_nodez00_4023, obj_t BgL_envz00_4024)
	{
		{	/* Dataflow/walk.scm 159 */
			{	/* Dataflow/walk.scm 167 */
				obj_t BgL_nenvz00_4390;

				BgL_nenvz00_4390 =
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_4023)))->BgL_valuez00),
					BgL_envz00_4024);
				{	/* Dataflow/walk.scm 168 */
					BgL_varz00_bglt BgL_i1154z00_4391;

					BgL_i1154z00_4391 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_4023)))->BgL_varz00);
					{	/* Dataflow/walk.scm 169 */
						bool_t BgL_test2487z00_5827;

						{	/* Dataflow/walk.scm 169 */
							BgL_variablez00_bglt BgL_arg1799z00_4392;

							BgL_arg1799z00_4392 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4391))->
								BgL_variablez00);
							{	/* Dataflow/walk.scm 169 */
								obj_t BgL_classz00_4393;

								BgL_classz00_4393 = BGl_globalz00zzast_varz00;
								{	/* Dataflow/walk.scm 169 */
									BgL_objectz00_bglt BgL_arg1801z00_4394;

									{	/* Dataflow/walk.scm 169 */
										obj_t BgL_tmpz00_5829;

										BgL_tmpz00_5829 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1799z00_4392));
										BgL_arg1801z00_4394 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5829);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Dataflow/walk.scm 169 */
											long BgL_idxz00_4395;

											BgL_idxz00_4395 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4394);
											BgL_test2487z00_5827 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4395 + 2L)) == BgL_classz00_4393);
										}
									else
										{	/* Dataflow/walk.scm 169 */
											bool_t BgL_res2224z00_4398;

											{	/* Dataflow/walk.scm 169 */
												obj_t BgL_oclassz00_4399;

												{	/* Dataflow/walk.scm 169 */
													long BgL_arg1808z00_4400;

													{	/* Dataflow/walk.scm 169 */
														long BgL_arg1809z00_4401;

														BgL_arg1809z00_4401 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4394);
														BgL_arg1808z00_4400 =
															(BgL_arg1809z00_4401 - OBJECT_TYPE);
													}
													BgL_oclassz00_4399 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_4400);
												}
												{	/* Dataflow/walk.scm 169 */
													bool_t BgL__ortest_1115z00_4402;

													BgL__ortest_1115z00_4402 =
														(BgL_classz00_4393 == BgL_oclassz00_4399);
													if (BgL__ortest_1115z00_4402)
														{	/* Dataflow/walk.scm 169 */
															BgL_res2224z00_4398 = BgL__ortest_1115z00_4402;
														}
													else
														{	/* Dataflow/walk.scm 169 */
															long BgL_odepthz00_4403;

															BgL_odepthz00_4403 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4399);
															if ((2L < BgL_odepthz00_4403))
																{	/* Dataflow/walk.scm 169 */
																	obj_t BgL_arg1797z00_4404;

																	BgL_arg1797z00_4404 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4399,
																		2L);
																	BgL_res2224z00_4398 =
																		(BgL_arg1797z00_4404 == BgL_classz00_4393);
																}
															else
																{	/* Dataflow/walk.scm 169 */
																	BgL_res2224z00_4398 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2487z00_5827 = BgL_res2224z00_4398;
										}
								}
							}
						}
						if (BgL_test2487z00_5827)
							{	/* Dataflow/walk.scm 169 */
								return
									BGl_removezd2variablezd2fromzd2envze70z35zzdataflow_walkz00(
									(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4391))->
										BgL_variablez00), BgL_nenvz00_4390);
							}
						else
							{	/* Dataflow/walk.scm 171 */
								BgL_typez00_bglt BgL_typz00_4405;

								BgL_typz00_4405 =
									BGl_getzd2typezd2zztype_typeofz00(
									(((BgL_setqz00_bglt) COBJECT(
												((BgL_setqz00_bglt) BgL_nodez00_4023)))->BgL_valuez00),
									((bool_t) 1));
								{	/* Dataflow/walk.scm 172 */
									bool_t BgL_test2491z00_5854;

									if (
										(((obj_t) BgL_typz00_4405) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Dataflow/walk.scm 172 */
											BgL_test2491z00_5854 = ((bool_t) 1);
										}
									else
										{	/* Dataflow/walk.scm 172 */
											BgL_test2491z00_5854 =
												(
												((obj_t) BgL_typz00_4405) ==
												BGl_za2objza2z00zztype_cachez00);
										}
									if (BgL_test2491z00_5854)
										{	/* Dataflow/walk.scm 172 */
											return
												BGl_removezd2variablezd2fromzd2envze70z35zzdataflow_walkz00
												((((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4391))->
													BgL_variablez00), BgL_nenvz00_4390);
										}
									else
										{	/* Dataflow/walk.scm 174 */
											obj_t BgL_arg1773z00_4406;
											obj_t BgL_arg1776z00_4407;

											{	/* Dataflow/walk.scm 174 */
												BgL_variablez00_bglt BgL_arg1793z00_4408;

												BgL_arg1793z00_4408 =
													(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4391))->
													BgL_variablez00);
												BgL_arg1773z00_4406 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1793z00_4408),
													((obj_t) BgL_typz00_4405));
											}
											BgL_arg1776z00_4407 =
												BGl_removezd2variablezd2fromzd2envze70z35zzdataflow_walkz00
												((((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4391))->
													BgL_variablez00), BgL_nenvz00_4390);
											return MAKE_YOUNG_PAIR(BgL_arg1773z00_4406,
												BgL_arg1776z00_4407);
										}
								}
							}
					}
				}
			}
		}

	}



/* remove-variable-from-env~0 */
	obj_t
		BGl_removezd2variablezd2fromzd2envze70z35zzdataflow_walkz00
		(BgL_variablez00_bglt BgL_variablez00_2109, obj_t BgL_envz00_2110)
	{
		{	/* Dataflow/walk.scm 164 */
			{	/* Dataflow/walk.scm 162 */
				obj_t BgL_hook1345z00_2112;

				BgL_hook1345z00_2112 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{
					obj_t BgL_l1342z00_2114;
					obj_t BgL_h1343z00_2115;

					BgL_l1342z00_2114 = BgL_envz00_2110;
					BgL_h1343z00_2115 = BgL_hook1345z00_2112;
				BgL_zc3z04anonymousza31802ze3z87_2116:
					if (NULLP(BgL_l1342z00_2114))
						{	/* Dataflow/walk.scm 162 */
							return CDR(BgL_hook1345z00_2112);
						}
					else
						{	/* Dataflow/walk.scm 162 */
							bool_t BgL_test2494z00_5873;

							{	/* Dataflow/walk.scm 163 */
								bool_t BgL_test2495z00_5874;

								{	/* Dataflow/walk.scm 163 */
									obj_t BgL_tmpz00_5875;

									{	/* Dataflow/walk.scm 163 */
										obj_t BgL_pairz00_3191;

										BgL_pairz00_3191 = CAR(((obj_t) BgL_l1342z00_2114));
										BgL_tmpz00_5875 = CAR(BgL_pairz00_3191);
									}
									BgL_test2495z00_5874 =
										(BgL_tmpz00_5875 == ((obj_t) BgL_variablez00_2109));
								}
								if (BgL_test2495z00_5874)
									{	/* Dataflow/walk.scm 163 */
										BgL_test2494z00_5873 = ((bool_t) 0);
									}
								else
									{	/* Dataflow/walk.scm 163 */
										BgL_test2494z00_5873 = ((bool_t) 1);
									}
							}
							if (BgL_test2494z00_5873)
								{	/* Dataflow/walk.scm 162 */
									obj_t BgL_nh1344z00_2123;

									{	/* Dataflow/walk.scm 162 */
										obj_t BgL_arg1825z00_2125;

										BgL_arg1825z00_2125 = CAR(((obj_t) BgL_l1342z00_2114));
										BgL_nh1344z00_2123 =
											MAKE_YOUNG_PAIR(BgL_arg1825z00_2125, BNIL);
									}
									SET_CDR(BgL_h1343z00_2115, BgL_nh1344z00_2123);
									{	/* Dataflow/walk.scm 162 */
										obj_t BgL_arg1824z00_2124;

										BgL_arg1824z00_2124 = CDR(((obj_t) BgL_l1342z00_2114));
										{
											obj_t BgL_h1343z00_5888;
											obj_t BgL_l1342z00_5887;

											BgL_l1342z00_5887 = BgL_arg1824z00_2124;
											BgL_h1343z00_5888 = BgL_nh1344z00_2123;
											BgL_h1343z00_2115 = BgL_h1343z00_5888;
											BgL_l1342z00_2114 = BgL_l1342z00_5887;
											goto BgL_zc3z04anonymousza31802ze3z87_2116;
										}
									}
								}
							else
								{	/* Dataflow/walk.scm 162 */
									obj_t BgL_arg1826z00_2126;

									BgL_arg1826z00_2126 = CDR(((obj_t) BgL_l1342z00_2114));
									{
										obj_t BgL_l1342z00_5891;

										BgL_l1342z00_5891 = BgL_arg1826z00_2126;
										BgL_l1342z00_2114 = BgL_l1342z00_5891;
										goto BgL_zc3z04anonymousza31802ze3z87_2116;
									}
								}
						}
				}
			}
		}

	}



/* &dataflow-node!-exter1398 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter1398z70zzdataflow_walkz00(obj_t
		BgL_envz00_4025, obj_t BgL_nodez00_4026, obj_t BgL_envz00_4027)
	{
		{	/* Dataflow/walk.scm 152 */
			{	/* Dataflow/walk.scm 153 */
				obj_t BgL_res2311z00_4410;

				BgL_res2311z00_4410 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_4026)))->BgL_exprza2za2),
					BgL_envz00_4027);
				return BgL_res2311z00_4410;
			}
		}

	}



/* &dataflow-node!-funca1396 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca1396z70zzdataflow_walkz00(obj_t
		BgL_envz00_4028, obj_t BgL_nodez00_4029, obj_t BgL_envz00_4030)
	{
		{	/* Dataflow/walk.scm 144 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_4029)))->BgL_funz00),
				BgL_envz00_4030);
			return
				BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
						COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_4029)))->BgL_argsz00),
				BgL_envz00_4030);
		}

	}



/* &dataflow-node!-app-l1394 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l1394za2zzdataflow_walkz00(obj_t
		BgL_envz00_4031, obj_t BgL_nodez00_4032, obj_t BgL_envz00_4033)
	{
		{	/* Dataflow/walk.scm 136 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4032)))->BgL_funz00),
				BgL_envz00_4033);
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
						COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_4032)))->BgL_argz00),
				BgL_envz00_4033);
		}

	}



/* &dataflow-node!-app1392 */
	obj_t BGl_z62dataflowzd2nodez12zd2app1392z70zzdataflow_walkz00(obj_t
		BgL_envz00_4034, obj_t BgL_nodez00_4035, obj_t BgL_envz00_4036)
	{
		{	/* Dataflow/walk.scm 120 */
			{	/* Dataflow/walk.scm 122 */
				obj_t BgL_aenvz00_4414;

				BgL_aenvz00_4414 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4035)))->BgL_argsz00),
					BgL_envz00_4036);
				{	/* Dataflow/walk.scm 123 */
					bool_t BgL_test2496z00_5910;

					{	/* Dataflow/walk.scm 123 */
						bool_t BgL_test2497z00_5911;

						{	/* Dataflow/walk.scm 123 */
							BgL_varz00_bglt BgL_arg1750z00_4415;

							BgL_arg1750z00_4415 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_4035)))->BgL_funz00);
							{	/* Dataflow/walk.scm 123 */
								obj_t BgL_classz00_4416;

								BgL_classz00_4416 = BGl_varz00zzast_nodez00;
								{	/* Dataflow/walk.scm 123 */
									BgL_objectz00_bglt BgL_arg1801z00_4417;

									{	/* Dataflow/walk.scm 123 */
										obj_t BgL_tmpz00_5914;

										BgL_tmpz00_5914 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1750z00_4415));
										BgL_arg1801z00_4417 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5914);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Dataflow/walk.scm 123 */
											long BgL_idxz00_4418;

											BgL_idxz00_4418 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4417);
											BgL_test2497z00_5911 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4418 + 2L)) == BgL_classz00_4416);
										}
									else
										{	/* Dataflow/walk.scm 123 */
											bool_t BgL_res2221z00_4421;

											{	/* Dataflow/walk.scm 123 */
												obj_t BgL_oclassz00_4422;

												{	/* Dataflow/walk.scm 123 */
													long BgL_arg1808z00_4423;

													{	/* Dataflow/walk.scm 123 */
														long BgL_arg1809z00_4424;

														BgL_arg1809z00_4424 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4417);
														BgL_arg1808z00_4423 =
															(BgL_arg1809z00_4424 - OBJECT_TYPE);
													}
													BgL_oclassz00_4422 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_4423);
												}
												{	/* Dataflow/walk.scm 123 */
													bool_t BgL__ortest_1115z00_4425;

													BgL__ortest_1115z00_4425 =
														(BgL_classz00_4416 == BgL_oclassz00_4422);
													if (BgL__ortest_1115z00_4425)
														{	/* Dataflow/walk.scm 123 */
															BgL_res2221z00_4421 = BgL__ortest_1115z00_4425;
														}
													else
														{	/* Dataflow/walk.scm 123 */
															long BgL_odepthz00_4426;

															BgL_odepthz00_4426 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4422);
															if ((2L < BgL_odepthz00_4426))
																{	/* Dataflow/walk.scm 123 */
																	obj_t BgL_arg1797z00_4427;

																	BgL_arg1797z00_4427 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4422,
																		2L);
																	BgL_res2221z00_4421 =
																		(BgL_arg1797z00_4427 == BgL_classz00_4416);
																}
															else
																{	/* Dataflow/walk.scm 123 */
																	BgL_res2221z00_4421 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2497z00_5911 = BgL_res2221z00_4421;
										}
								}
							}
						}
						if (BgL_test2497z00_5911)
							{	/* Dataflow/walk.scm 123 */
								BgL_variablez00_bglt BgL_arg1748z00_4428;

								BgL_arg1748z00_4428 =
									(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_4035)))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Dataflow/walk.scm 123 */
									obj_t BgL_classz00_4429;

									BgL_classz00_4429 = BGl_localz00zzast_varz00;
									{	/* Dataflow/walk.scm 123 */
										BgL_objectz00_bglt BgL_arg1801z00_4430;

										{	/* Dataflow/walk.scm 123 */
											obj_t BgL_tmpz00_5937;

											BgL_tmpz00_5937 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1748z00_4428));
											BgL_arg1801z00_4430 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5937);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Dataflow/walk.scm 123 */
												long BgL_idxz00_4431;

												BgL_idxz00_4431 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4430);
												BgL_test2496z00_5910 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4431 + 2L)) == BgL_classz00_4429);
											}
										else
											{	/* Dataflow/walk.scm 123 */
												bool_t BgL_res2222z00_4434;

												{	/* Dataflow/walk.scm 123 */
													obj_t BgL_oclassz00_4435;

													{	/* Dataflow/walk.scm 123 */
														long BgL_arg1808z00_4436;

														{	/* Dataflow/walk.scm 123 */
															long BgL_arg1809z00_4437;

															BgL_arg1809z00_4437 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4430);
															BgL_arg1808z00_4436 =
																(BgL_arg1809z00_4437 - OBJECT_TYPE);
														}
														BgL_oclassz00_4435 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1808z00_4436);
													}
													{	/* Dataflow/walk.scm 123 */
														bool_t BgL__ortest_1115z00_4438;

														BgL__ortest_1115z00_4438 =
															(BgL_classz00_4429 == BgL_oclassz00_4435);
														if (BgL__ortest_1115z00_4438)
															{	/* Dataflow/walk.scm 123 */
																BgL_res2222z00_4434 = BgL__ortest_1115z00_4438;
															}
														else
															{	/* Dataflow/walk.scm 123 */
																long BgL_odepthz00_4439;

																BgL_odepthz00_4439 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4435);
																if ((2L < BgL_odepthz00_4439))
																	{	/* Dataflow/walk.scm 123 */
																		obj_t BgL_arg1797z00_4440;

																		BgL_arg1797z00_4440 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4435, 2L);
																		BgL_res2222z00_4434 =
																			(BgL_arg1797z00_4440 ==
																			BgL_classz00_4429);
																	}
																else
																	{	/* Dataflow/walk.scm 123 */
																		BgL_res2222z00_4434 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2496z00_5910 = BgL_res2222z00_4434;
											}
									}
								}
							}
						else
							{	/* Dataflow/walk.scm 123 */
								BgL_test2496z00_5910 = ((bool_t) 0);
							}
					}
					if (BgL_test2496z00_5910)
						{	/* Dataflow/walk.scm 127 */
							obj_t BgL_hook1340z00_4441;

							BgL_hook1340z00_4441 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1337z00_4443;
								obj_t BgL_h1338z00_4444;

								BgL_l1337z00_4443 = BgL_aenvz00_4414;
								BgL_h1338z00_4444 = BgL_hook1340z00_4441;
							BgL_zc3z04anonymousza31737ze3z87_4442:
								if (NULLP(BgL_l1337z00_4443))
									{	/* Dataflow/walk.scm 127 */
										return CDR(BgL_hook1340z00_4441);
									}
								else
									{	/* Dataflow/walk.scm 127 */
										bool_t BgL_test2505z00_5961;

										{	/* Dataflow/walk.scm 128 */
											obj_t BgL_vz00_4445;

											{	/* Dataflow/walk.scm 128 */
												obj_t BgL_pairz00_4446;

												BgL_pairz00_4446 = CAR(((obj_t) BgL_l1337z00_4443));
												BgL_vz00_4445 = CAR(BgL_pairz00_4446);
											}
											{	/* Dataflow/walk.scm 129 */
												bool_t BgL__ortest_1150z00_4447;

												{	/* Dataflow/walk.scm 129 */
													obj_t BgL_classz00_4448;

													BgL_classz00_4448 = BGl_globalz00zzast_varz00;
													if (BGL_OBJECTP(BgL_vz00_4445))
														{	/* Dataflow/walk.scm 129 */
															BgL_objectz00_bglt BgL_arg1801z00_4449;

															BgL_arg1801z00_4449 =
																(BgL_objectz00_bglt) (BgL_vz00_4445);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Dataflow/walk.scm 129 */
																	long BgL_idxz00_4450;

																	BgL_idxz00_4450 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1801z00_4449);
																	BgL__ortest_1150z00_4447 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4450 + 2L)) ==
																		BgL_classz00_4448);
																}
															else
																{	/* Dataflow/walk.scm 129 */
																	bool_t BgL_res2223z00_4453;

																	{	/* Dataflow/walk.scm 129 */
																		obj_t BgL_oclassz00_4454;

																		{	/* Dataflow/walk.scm 129 */
																			long BgL_arg1808z00_4455;

																			{	/* Dataflow/walk.scm 129 */
																				long BgL_arg1809z00_4456;

																				BgL_arg1809z00_4456 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1801z00_4449);
																				BgL_arg1808z00_4455 =
																					(BgL_arg1809z00_4456 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4454 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1808z00_4455);
																		}
																		{	/* Dataflow/walk.scm 129 */
																			bool_t BgL__ortest_1115z00_4457;

																			BgL__ortest_1115z00_4457 =
																				(BgL_classz00_4448 ==
																				BgL_oclassz00_4454);
																			if (BgL__ortest_1115z00_4457)
																				{	/* Dataflow/walk.scm 129 */
																					BgL_res2223z00_4453 =
																						BgL__ortest_1115z00_4457;
																				}
																			else
																				{	/* Dataflow/walk.scm 129 */
																					long BgL_odepthz00_4458;

																					BgL_odepthz00_4458 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4454);
																					if ((2L < BgL_odepthz00_4458))
																						{	/* Dataflow/walk.scm 129 */
																							obj_t BgL_arg1797z00_4459;

																							BgL_arg1797z00_4459 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4454, 2L);
																							BgL_res2223z00_4453 =
																								(BgL_arg1797z00_4459 ==
																								BgL_classz00_4448);
																						}
																					else
																						{	/* Dataflow/walk.scm 129 */
																							BgL_res2223z00_4453 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL__ortest_1150z00_4447 =
																		BgL_res2223z00_4453;
																}
														}
													else
														{	/* Dataflow/walk.scm 129 */
															BgL__ortest_1150z00_4447 = ((bool_t) 0);
														}
												}
												if (BgL__ortest_1150z00_4447)
													{	/* Dataflow/walk.scm 129 */
														BgL_test2505z00_5961 = BgL__ortest_1150z00_4447;
													}
												else
													{	/* Dataflow/walk.scm 129 */
														BgL_test2505z00_5961 =
															(
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_vz00_4445)))->
																BgL_accessz00) == CNST_TABLE_REF(11L));
													}
											}
										}
										if (BgL_test2505z00_5961)
											{	/* Dataflow/walk.scm 127 */
												obj_t BgL_nh1339z00_4460;

												{	/* Dataflow/walk.scm 127 */
													obj_t BgL_arg1745z00_4461;

													BgL_arg1745z00_4461 =
														CAR(((obj_t) BgL_l1337z00_4443));
													BgL_nh1339z00_4460 =
														MAKE_YOUNG_PAIR(BgL_arg1745z00_4461, BNIL);
												}
												SET_CDR(BgL_h1338z00_4444, BgL_nh1339z00_4460);
												{	/* Dataflow/walk.scm 127 */
													obj_t BgL_arg1741z00_4462;

													BgL_arg1741z00_4462 =
														CDR(((obj_t) BgL_l1337z00_4443));
													{
														obj_t BgL_h1338z00_5996;
														obj_t BgL_l1337z00_5995;

														BgL_l1337z00_5995 = BgL_arg1741z00_4462;
														BgL_h1338z00_5996 = BgL_nh1339z00_4460;
														BgL_h1338z00_4444 = BgL_h1338z00_5996;
														BgL_l1337z00_4443 = BgL_l1337z00_5995;
														goto BgL_zc3z04anonymousza31737ze3z87_4442;
													}
												}
											}
										else
											{	/* Dataflow/walk.scm 127 */
												obj_t BgL_arg1746z00_4463;

												BgL_arg1746z00_4463 = CDR(((obj_t) BgL_l1337z00_4443));
												{
													obj_t BgL_l1337z00_5999;

													BgL_l1337z00_5999 = BgL_arg1746z00_4463;
													BgL_l1337z00_4443 = BgL_l1337z00_5999;
													goto BgL_zc3z04anonymousza31737ze3z87_4442;
												}
											}
									}
							}
						}
					else
						{	/* Dataflow/walk.scm 123 */
							return BgL_aenvz00_4414;
						}
				}
			}
		}

	}



/* &dataflow-node!-sync1390 */
	obj_t BGl_z62dataflowzd2nodez12zd2sync1390z70zzdataflow_walkz00(obj_t
		BgL_envz00_4037, obj_t BgL_nodez00_4038, obj_t BgL_envz00_4039)
	{
		{	/* Dataflow/walk.scm 111 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4038)))->BgL_mutexz00),
				BgL_envz00_4039);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_4038)))->BgL_prelockz00),
				BgL_envz00_4039);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_4038)))->BgL_bodyz00),
				BgL_envz00_4039);
			return BgL_envz00_4039;
		}

	}



/* &dataflow-node!-seque1388 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque1388z70zzdataflow_walkz00(obj_t
		BgL_envz00_4040, obj_t BgL_nodez00_4041, obj_t BgL_envz00_4042)
	{
		{	/* Dataflow/walk.scm 101 */
			{	/* Dataflow/walk.scm 102 */
				obj_t BgL_res2312z00_4473;

				{	/* Dataflow/walk.scm 102 */
					obj_t BgL_g1148z00_4466;

					BgL_g1148z00_4466 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4041)))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_4468;
						obj_t BgL_envz00_4469;

						BgL_nodeza2za2_4468 = BgL_g1148z00_4466;
						BgL_envz00_4469 = BgL_envz00_4042;
					BgL_loopz00_4467:
						if (NULLP(BgL_nodeza2za2_4468))
							{	/* Dataflow/walk.scm 104 */
								BgL_res2312z00_4473 = BgL_envz00_4469;
							}
						else
							{	/* Dataflow/walk.scm 106 */
								obj_t BgL_arg1712z00_4470;
								obj_t BgL_arg1714z00_4471;

								BgL_arg1712z00_4470 = CDR(((obj_t) BgL_nodeza2za2_4468));
								{	/* Dataflow/walk.scm 106 */
									obj_t BgL_arg1715z00_4472;

									BgL_arg1715z00_4472 = CAR(((obj_t) BgL_nodeza2za2_4468));
									BgL_arg1714z00_4471 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1715z00_4472), BgL_envz00_4469);
								}
								{
									obj_t BgL_envz00_6020;
									obj_t BgL_nodeza2za2_6019;

									BgL_nodeza2za2_6019 = BgL_arg1712z00_4470;
									BgL_envz00_6020 = BgL_arg1714z00_4471;
									BgL_envz00_4469 = BgL_envz00_6020;
									BgL_nodeza2za2_4468 = BgL_nodeza2za2_6019;
									goto BgL_loopz00_4467;
								}
							}
					}
				}
				return BgL_res2312z00_4473;
			}
		}

	}



/* &dataflow-node!-closu1385 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu1385z70zzdataflow_walkz00(obj_t
		BgL_envz00_4043, obj_t BgL_nodez00_4044, obj_t BgL_envz00_4045)
	{
		{	/* Dataflow/walk.scm 95 */
			return ((obj_t) BgL_envz00_4045);
		}

	}



/* &dataflow-node!-var1383 */
	obj_t BGl_z62dataflowzd2nodez12zd2var1383z70zzdataflow_walkz00(obj_t
		BgL_envz00_4046, obj_t BgL_nodez00_4047, obj_t BgL_envz00_4048)
	{
		{	/* Dataflow/walk.scm 81 */
			{	/* Dataflow/walk.scm 83 */
				BgL_variablez00_bglt BgL_i1146z00_4477;

				BgL_i1146z00_4477 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_4047)))->BgL_variablez00);
				{	/* Dataflow/walk.scm 84 */
					bool_t BgL_test2512z00_6024;

					if (BGl_bigloozd2typezf3z21zztype_typez00(
							(((BgL_variablez00_bglt) COBJECT(BgL_i1146z00_4477))->
								BgL_typez00)))
						{	/* Dataflow/walk.scm 85 */
							bool_t BgL__ortest_1147z00_4478;

							{	/* Dataflow/walk.scm 85 */
								bool_t BgL_test2514z00_6028;

								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1708z00_4479;

									BgL_arg1708z00_4479 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1146z00_4477))->
										BgL_typez00);
									{	/* Dataflow/walk.scm 85 */
										obj_t BgL_classz00_4480;

										BgL_classz00_4480 = BGl_tclassz00zzobject_classz00;
										{	/* Dataflow/walk.scm 85 */
											BgL_objectz00_bglt BgL_arg1801z00_4481;

											{	/* Dataflow/walk.scm 85 */
												obj_t BgL_tmpz00_6030;

												BgL_tmpz00_6030 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1708z00_4479));
												BgL_arg1801z00_4481 =
													(BgL_objectz00_bglt) (BgL_tmpz00_6030);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Dataflow/walk.scm 85 */
													long BgL_idxz00_4482;

													BgL_idxz00_4482 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4481);
													BgL_test2514z00_6028 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4482 + 2L)) == BgL_classz00_4480);
												}
											else
												{	/* Dataflow/walk.scm 85 */
													bool_t BgL_res2220z00_4485;

													{	/* Dataflow/walk.scm 85 */
														obj_t BgL_oclassz00_4486;

														{	/* Dataflow/walk.scm 85 */
															long BgL_arg1808z00_4487;

															{	/* Dataflow/walk.scm 85 */
																long BgL_arg1809z00_4488;

																BgL_arg1809z00_4488 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4481);
																BgL_arg1808z00_4487 =
																	(BgL_arg1809z00_4488 - OBJECT_TYPE);
															}
															BgL_oclassz00_4486 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1808z00_4487);
														}
														{	/* Dataflow/walk.scm 85 */
															bool_t BgL__ortest_1115z00_4489;

															BgL__ortest_1115z00_4489 =
																(BgL_classz00_4480 == BgL_oclassz00_4486);
															if (BgL__ortest_1115z00_4489)
																{	/* Dataflow/walk.scm 85 */
																	BgL_res2220z00_4485 =
																		BgL__ortest_1115z00_4489;
																}
															else
																{	/* Dataflow/walk.scm 85 */
																	long BgL_odepthz00_4490;

																	BgL_odepthz00_4490 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4486);
																	if ((2L < BgL_odepthz00_4490))
																		{	/* Dataflow/walk.scm 85 */
																			obj_t BgL_arg1797z00_4491;

																			BgL_arg1797z00_4491 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4486, 2L);
																			BgL_res2220z00_4485 =
																				(BgL_arg1797z00_4491 ==
																				BgL_classz00_4480);
																		}
																	else
																		{	/* Dataflow/walk.scm 85 */
																			BgL_res2220z00_4485 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2514z00_6028 = BgL_res2220z00_4485;
												}
										}
									}
								}
								if (BgL_test2514z00_6028)
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1147z00_4478 = ((bool_t) 0);
									}
								else
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1147z00_4478 = ((bool_t) 1);
									}
							}
							if (BgL__ortest_1147z00_4478)
								{	/* Dataflow/walk.scm 85 */
									BgL_test2512z00_6024 = BgL__ortest_1147z00_4478;
								}
							else
								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1706z00_4492;
									BgL_typez00_bglt BgL_arg1707z00_4493;

									BgL_arg1706z00_4492 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1146z00_4477))->
										BgL_typez00);
									BgL_arg1707z00_4493 =
										(((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
														BgL_nodez00_4047))))->BgL_typez00);
									BgL_test2512z00_6024 =
										BGl_typezd2subclasszf3z21zzobject_classz00
										(BgL_arg1706z00_4492, BgL_arg1707z00_4493);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BgL_test2512z00_6024 = ((bool_t) 0);
						}
					if (BgL_test2512z00_6024)
						{	/* Dataflow/walk.scm 86 */
							obj_t BgL_bz00_4494;

							BgL_bz00_4494 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_4047)))->
										BgL_variablez00)), BgL_envz00_4048);
							if (PAIRP(BgL_bz00_4494))
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_4047))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												CDR(BgL_bz00_4494))), BUNSPEC);
								}
							else
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_4047))))->
											BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_nodez00_4047)))->BgL_variablez00)))->
												BgL_typez00)), BUNSPEC);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BFALSE;
						}
				}
			}
			return BgL_envz00_4048;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(346491734L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(49975086L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(271385047L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(348216764L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(516374368L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string2307z00zzdataflow_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
