/*===========================================================================*/
/*   (SawBbv/bbv-utils.scm)                                                  */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawBbv/bbv-utils.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_SAW_BBVzd2UTILSzd2_TYPE_DEFINITIONS
#define BGL_BgL_SAW_BBVzd2UTILSzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		obj_t BgL_genericz00;
		long BgL_z52markz52;
		obj_t BgL_mergez00;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		long BgL_z52markz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
		obj_t BgL_z52mergezd2infoz80;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		struct BgL_blockz00_bgl *BgL_parentz00;
		long BgL_cntz00;
		obj_t BgL_mblockz00;
		bool_t BgL_collapsedz00;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_bbvzd2ctxzd2_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_idz00;
		obj_t BgL_entriesz00;
	}                   *BgL_bbvzd2ctxzd2_bglt;

	typedef struct BgL_bbvzd2ctxentryzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_rtl_regz00_bgl *BgL_regz00;
		obj_t BgL_typesz00;
		bool_t BgL_polarityz00;
		obj_t BgL_valuez00;
		obj_t BgL_aliasesz00;
		obj_t BgL_initvalz00;
	}                        *BgL_bbvzd2ctxentryzd2_bglt;

	typedef struct BgL_bbvzd2rangezd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_loz00;
		obj_t BgL_upz00;
	}                     *BgL_bbvzd2rangezd2_bglt;


#endif													// BGL_BgL_SAW_BBVzd2UTILSzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62replacez62zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
	extern obj_t BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2filterzd2livezd2inzd2regszb0zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2 = BUNSPEC;
	extern obj_t BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	extern bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(int, int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern obj_t
		BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2(obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31981ze3ze5zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_z62zc3z04anonymousza31876ze3ze5zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt,
		obj_t);
	extern BgL_bbvzd2ctxzd2_bglt
		BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt, obj_t, bool_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2extendzd2livezd2outzd2regszb0zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl__replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2;
	extern obj_t BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_blockz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_z62typezd2inzf3z43zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2(void);
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern obj_t
		BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	extern bool_t BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_regsetzd2memberzf3z21zzsaw_regsetz00(BgL_rtl_regz00_bglt,
		BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, obj_t);
	extern obj_t BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
	BGL_EXPORTED_DECL obj_t BGl_replacez00zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62genlabelz62zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t
		BGl_deletezd2duplicatesz12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	extern obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_typezd2inzf3z21zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static long BGl_za2labelza2z00zzsaw_bbvzd2utilszd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static bool_t BGl_ctxze3zd3zf3zc3zzsaw_bbvzd2utilszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2(void);
	extern obj_t BGl_regsetzd2forzd2eachz00zzsaw_regsetz00(obj_t,
		BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, int);
	static obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt, BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt, BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_genlabelz00zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	extern obj_t BGl_iszd2subtypezf3z21zztype_typeofz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_loopze70ze7zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(obj_t,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt,
		int);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72152za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2135z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2135za700za7za7s2153za7, "replace-block.old!", 18);
	      DEFINE_STRING(BGl_string2136z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2136za700za7za7s2154za7, "replace-block.new!", 18);
	      DEFINE_STRING(BGl_string2137z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2137za700za7za7s2155za7, " -> ", 4);
	      DEFINE_STRING(BGl_string2138z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2138za700za7za7s2156za7, "REPLACE-BLOCK-ERROR! ", 21);
	      DEFINE_STRING(BGl_string2139z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2139za700za7za7s2157za7, ":", 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genlabelzd2envzd2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762genlabelza762za7za72158z00,
		BGl_z62genlabelz62zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2140z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2140za700za7za7s2159za7, ",", 1);
	      DEFINE_STRING(BGl_string2141z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2141za700za7za7s2160za7, "SawBbv/bbv-utils.scm", 20);
	      DEFINE_STRING(BGl_string2142z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2142za700za7za7s2161za7, " octx=", 6);
	      DEFINE_STRING(BGl_string2143z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2143za700za7za7s2162za7, " nctx=", 6);
	      DEFINE_STRING(BGl_string2144z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2144za700za7za7s2163za7, "Wrong block replacement ~a", 26);
	      DEFINE_STRING(BGl_string2145z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2145za700za7za7s2164za7, "replace-block!", 14);
	      DEFINE_STRING(BGl_string2146z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2146za700za7za7s2165za7, "replace-block!.replaced", 23);
	      DEFINE_STRING(BGl_string2147z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2147za700za7za7s2166za7, " ", 1);
	      DEFINE_STRING(BGl_string2148z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2148za700za7za7s2167za7, "ERROR ctx>=? ", 13);
	      DEFINE_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2149za700za7za7s2168za7, "saw_bbv-utils", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_replacezd2blockz12zd2envz12zzsaw_bbvzd2utilszd2,
		BgL_bgl__replaceza7d2block2169za7, opt_generic_entry,
		BGl__replacezd2blockz12zc0zzsaw_bbvzd2utilszd2, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2nilza72170za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2150z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2150za700za7za7s2171za7, "_ :debug number bbset ", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72172za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2ze3blockzd2listzd2envz31zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762blockza7d2za7e3bl2173za7,
		BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72174za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2e2175za7,
		BGl_z62bbvzd2ctxzd2extendzd2livezd2outzd2regszb0zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_redirectzd2blockz12zd2envz12zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762redirectza7d2bl2176z00,
		BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72177za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72178za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72179za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72180za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2inzf3zd2envzf3zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762typeza7d2inza7f3za72181z00,
		BGl_z62typezd2inzf3z43zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2regv2182z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2maxzd2labelz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762setza7d2maxza7d2l2183za7,
		BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2leng2184z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2msiza72185za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72186za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72187za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72188za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72189za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72190za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72191za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2stri2192z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72193za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72194za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2stri2195z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72196za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762makeza7d2rtl_re2197z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72198za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2leng2199z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72200za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72201za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72202za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762makeza7d2regset2203z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2f2204za7,
		BGl_z62bbvzd2ctxzd2filterzd2livezd2inzd2regszb0zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7f3za791za72205z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72206za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72207za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_replacezd2envzd2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762replaceza762za7za7s2208z00,
		BGl_z62replacez62zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2regl2209z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long
		BgL_checksumz00_3535, char *BgL_fromz00_3536)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2();
					BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_bbv-utils");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			{	/* SawBbv/bbv-utils.scm 15 */
				obj_t BgL_cportz00_3443;

				{	/* SawBbv/bbv-utils.scm 15 */
					obj_t BgL_stringz00_3450;

					BgL_stringz00_3450 = BGl_string2150z00zzsaw_bbvzd2utilszd2;
					{	/* SawBbv/bbv-utils.scm 15 */
						obj_t BgL_startz00_3451;

						BgL_startz00_3451 = BINT(0L);
						{	/* SawBbv/bbv-utils.scm 15 */
							obj_t BgL_endz00_3452;

							BgL_endz00_3452 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3450)));
							{	/* SawBbv/bbv-utils.scm 15 */

								BgL_cportz00_3443 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3450, BgL_startz00_3451, BgL_endz00_3452);
				}}}}
				{
					long BgL_iz00_3444;

					BgL_iz00_3444 = 3L;
				BgL_loopz00_3445:
					if ((BgL_iz00_3444 == -1L))
						{	/* SawBbv/bbv-utils.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-utils.scm 15 */
							{	/* SawBbv/bbv-utils.scm 15 */
								obj_t BgL_arg2151z00_3446;

								{	/* SawBbv/bbv-utils.scm 15 */

									{	/* SawBbv/bbv-utils.scm 15 */
										obj_t BgL_locationz00_3448;

										BgL_locationz00_3448 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv-utils.scm 15 */

											BgL_arg2151z00_3446 =
												BGl_readz00zz__readerz00(BgL_cportz00_3443,
												BgL_locationz00_3448);
										}
									}
								}
								{	/* SawBbv/bbv-utils.scm 15 */
									int BgL_tmpz00_3568;

									BgL_tmpz00_3568 = (int) (BgL_iz00_3444);
									CNST_TABLE_SET(BgL_tmpz00_3568, BgL_arg2151z00_3446);
							}}
							{	/* SawBbv/bbv-utils.scm 15 */
								int BgL_auxz00_3449;

								BgL_auxz00_3449 = (int) ((BgL_iz00_3444 - 1L));
								{
									long BgL_iz00_3573;

									BgL_iz00_3573 = (long) (BgL_auxz00_3449);
									BgL_iz00_3444 = BgL_iz00_3573;
									goto BgL_loopz00_3445;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return (BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 = 0L, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2140;

				BgL_headz00_2140 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2141;
					obj_t BgL_tailz00_2142;

					BgL_prevz00_2141 = BgL_headz00_2140;
					BgL_tailz00_2142 = BgL_l1z00_1;
				BgL_loopz00_2143:
					if (PAIRP(BgL_tailz00_2142))
						{
							obj_t BgL_newzd2prevzd2_2145;

							BgL_newzd2prevzd2_2145 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2142), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2141, BgL_newzd2prevzd2_2145);
							{
								obj_t BgL_tailz00_3583;
								obj_t BgL_prevz00_3582;

								BgL_prevz00_3582 = BgL_newzd2prevzd2_2145;
								BgL_tailz00_3583 = CDR(BgL_tailz00_2142);
								BgL_tailz00_2142 = BgL_tailz00_3583;
								BgL_prevz00_2141 = BgL_prevz00_3582;
								goto BgL_loopz00_2143;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2140);
				}
			}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1166z00_3454;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1164z00_3455;
					BgL_rtl_regzf2razf2_bglt BgL_wide1165z00_3456;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_3586;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1163z00_3457;

							BgL_new1163z00_3457 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1578z00_3458;

								BgL_arg1578z00_3458 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1163z00_3457),
									BgL_arg1578z00_3458);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_3591;

								BgL_tmpz00_3591 = ((BgL_objectz00_bglt) BgL_new1163z00_3457);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3591, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1163z00_3457);
							BgL_auxz00_3586 = BgL_new1163z00_3457;
						}
						BgL_tmp1164z00_3455 = ((BgL_rtl_regz00_bglt) BgL_auxz00_3586);
					}
					BgL_wide1165z00_3456 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_3599;
						BgL_objectz00_bglt BgL_tmpz00_3597;

						BgL_auxz00_3599 = ((obj_t) BgL_wide1165z00_3456);
						BgL_tmpz00_3597 = ((BgL_objectz00_bglt) BgL_tmp1164z00_3455);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3597, BgL_auxz00_3599);
					}
					((BgL_objectz00_bglt) BgL_tmp1164z00_3455);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1576z00_3459;

						BgL_arg1576z00_3459 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1164z00_3455), BgL_arg1576z00_3459);
					}
					BgL_new1166z00_3454 = ((BgL_rtl_regz00_bglt) BgL_tmp1164z00_3455);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1166z00_3454)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3454)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3454)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3454)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3454)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3454)))->BgL_debugnamez00) =
					((obj_t) BFALSE), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3454)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3621;

					{
						obj_t BgL_auxz00_3622;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3623;

							BgL_tmpz00_3623 = ((BgL_objectz00_bglt) BgL_new1166z00_3454);
							BgL_auxz00_3622 = BGL_OBJECT_WIDENING(BgL_tmpz00_3623);
						}
						BgL_auxz00_3621 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3622);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3621))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3628;

					{
						obj_t BgL_auxz00_3629;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3630;

							BgL_tmpz00_3630 = ((BgL_objectz00_bglt) BgL_new1166z00_3454);
							BgL_auxz00_3629 = BGL_OBJECT_WIDENING(BgL_tmpz00_3630);
						}
						BgL_auxz00_3628 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3629);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3628))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3635;

					{
						obj_t BgL_auxz00_3636;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3637;

							BgL_tmpz00_3637 = ((BgL_objectz00_bglt) BgL_new1166z00_3454);
							BgL_auxz00_3636 = BGL_OBJECT_WIDENING(BgL_tmpz00_3637);
						}
						BgL_auxz00_3635 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3636);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3635))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3642;

					{
						obj_t BgL_auxz00_3643;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3644;

							BgL_tmpz00_3644 = ((BgL_objectz00_bglt) BgL_new1166z00_3454);
							BgL_auxz00_3643 = BGL_OBJECT_WIDENING(BgL_tmpz00_3644);
						}
						BgL_auxz00_3642 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3643);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3642))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3649;

					{
						obj_t BgL_auxz00_3650;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3651;

							BgL_tmpz00_3651 = ((BgL_objectz00_bglt) BgL_new1166z00_3454);
							BgL_auxz00_3650 = BGL_OBJECT_WIDENING(BgL_tmpz00_3651);
						}
						BgL_auxz00_3649 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3650);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3649))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3656;

					{
						obj_t BgL_auxz00_3657;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3658;

							BgL_tmpz00_3658 = ((BgL_objectz00_bglt) BgL_new1166z00_3454);
							BgL_auxz00_3657 = BGL_OBJECT_WIDENING(BgL_tmpz00_3658);
						}
						BgL_auxz00_3656 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3657);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3656))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1166z00_3454;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3305, obj_t BgL_type1179z00_3306, obj_t BgL_var1180z00_3307,
		obj_t BgL_onexprzf31181zf3_3308, obj_t BgL_name1182z00_3309,
		obj_t BgL_key1183z00_3310, obj_t BgL_hardware1184z00_3311,
		obj_t BgL_num1185z00_3312, obj_t BgL_color1186z00_3313,
		obj_t BgL_coalesce1187z00_3314, obj_t BgL_occurrences1188z00_3315,
		obj_t BgL_interfere1189z00_3316, obj_t BgL_interfere21190z00_3317)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(
				((BgL_typez00_bglt) BgL_type1179z00_3306), BgL_var1180z00_3307,
				BgL_onexprzf31181zf3_3308, BgL_name1182z00_3309, BgL_key1183z00_3310,
				BgL_hardware1184z00_3311, CINT(BgL_num1185z00_3312),
				BgL_color1186z00_3313, BgL_coalesce1187z00_3314,
				CINT(BgL_occurrences1188z00_3315), BgL_interfere1189z00_3316,
				BgL_interfere21190z00_3317);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_3460;

				BgL_classz00_3460 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1801z00_3461;

						BgL_arg1801z00_3461 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_3462;

								BgL_idxz00_3462 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3461);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3462 + 2L)) == BgL_classz00_3460);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res2128z00_3465;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_3466;

									{	/* SawMill/regset.sch 56 */
										long BgL_arg1808z00_3467;

										{	/* SawMill/regset.sch 56 */
											long BgL_arg1809z00_3468;

											BgL_arg1809z00_3468 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3461);
											BgL_arg1808z00_3467 = (BgL_arg1809z00_3468 - OBJECT_TYPE);
										}
										BgL_oclassz00_3466 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_3467);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1115z00_3469;

										BgL__ortest_1115z00_3469 =
											(BgL_classz00_3460 == BgL_oclassz00_3466);
										if (BgL__ortest_1115z00_3469)
											{	/* SawMill/regset.sch 56 */
												BgL_res2128z00_3465 = BgL__ortest_1115z00_3469;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_3470;

												BgL_odepthz00_3470 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3466);
												if ((2L < BgL_odepthz00_3470))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1797z00_3471;

														BgL_arg1797z00_3471 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3466, 2L);
														BgL_res2128z00_3465 =
															(BgL_arg1797z00_3471 == BgL_classz00_3460);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res2128z00_3465 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2128z00_3465;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3318,
		obj_t BgL_objz00_3319)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(BgL_objz00_3319));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_3042;

				BgL_classz00_3042 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1117z00_3043;

					BgL__ortest_1117z00_3043 = BGL_CLASS_NIL(BgL_classz00_3042);
					if (CBOOL(BgL__ortest_1117z00_3043))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_3043);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3042));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3320)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3695;

				{
					obj_t BgL_auxz00_3696;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_3697;

						BgL_tmpz00_3697 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3696 = BGL_OBJECT_WIDENING(BgL_tmpz00_3697);
					}
					BgL_auxz00_3695 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3696);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3695))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3321, obj_t BgL_oz00_3322)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3322));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3704;

				{
					obj_t BgL_auxz00_3705;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_3706;

						BgL_tmpz00_3706 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3705 = BGL_OBJECT_WIDENING(BgL_tmpz00_3706);
					}
					BgL_auxz00_3704 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3705);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3704))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3323, obj_t BgL_oz00_3324, obj_t BgL_vz00_3325)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3324), BgL_vz00_3325);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3713;

				{
					obj_t BgL_auxz00_3714;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_3715;

						BgL_tmpz00_3715 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_3714 = BGL_OBJECT_WIDENING(BgL_tmpz00_3715);
					}
					BgL_auxz00_3713 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3714);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3713))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3326, obj_t BgL_oz00_3327)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3327));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3722;

				{
					obj_t BgL_auxz00_3723;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_3724;

						BgL_tmpz00_3724 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_3723 = BGL_OBJECT_WIDENING(BgL_tmpz00_3724);
					}
					BgL_auxz00_3722 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3723);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3722))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3328, obj_t BgL_oz00_3329, obj_t BgL_vz00_3330)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3329), BgL_vz00_3330);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3731;

				{
					obj_t BgL_auxz00_3732;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_3733;

						BgL_tmpz00_3733 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_3732 = BGL_OBJECT_WIDENING(BgL_tmpz00_3733);
					}
					BgL_auxz00_3731 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3732);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3731))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3331, obj_t BgL_oz00_3332)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3332)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3741;

				{
					obj_t BgL_auxz00_3742;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_3743;

						BgL_tmpz00_3743 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_3742 = BGL_OBJECT_WIDENING(BgL_tmpz00_3743);
					}
					BgL_auxz00_3741 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3742);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3741))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3333, obj_t BgL_oz00_3334, obj_t BgL_vz00_3335)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3334), CINT(BgL_vz00_3335));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3751;

				{
					obj_t BgL_auxz00_3752;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_3753;

						BgL_tmpz00_3753 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_3752 = BGL_OBJECT_WIDENING(BgL_tmpz00_3753);
					}
					BgL_auxz00_3751 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3752);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3751))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3336, obj_t BgL_oz00_3337)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3337));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3760;

				{
					obj_t BgL_auxz00_3761;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_3762;

						BgL_tmpz00_3762 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_3761 = BGL_OBJECT_WIDENING(BgL_tmpz00_3762);
					}
					BgL_auxz00_3760 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3761);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3760))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3338, obj_t BgL_oz00_3339, obj_t BgL_vz00_3340)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3339), BgL_vz00_3340);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3769;

				{
					obj_t BgL_auxz00_3770;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_3771;

						BgL_tmpz00_3771 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_3770 = BGL_OBJECT_WIDENING(BgL_tmpz00_3771);
					}
					BgL_auxz00_3769 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3770);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3769))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3341, obj_t BgL_oz00_3342)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3342));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3778;

				{
					obj_t BgL_auxz00_3779;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_3780;

						BgL_tmpz00_3780 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_3779 = BGL_OBJECT_WIDENING(BgL_tmpz00_3780);
					}
					BgL_auxz00_3778 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3779);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3778))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3343, obj_t BgL_oz00_3344, obj_t BgL_vz00_3345)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3344), BgL_vz00_3345);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3787;

				{
					obj_t BgL_auxz00_3788;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_3789;

						BgL_tmpz00_3789 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_3788 = BGL_OBJECT_WIDENING(BgL_tmpz00_3789);
					}
					BgL_auxz00_3787 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3788);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3787))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3346,
		obj_t BgL_oz00_3347)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3347)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3348, obj_t BgL_oz00_3349)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3349));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3350,
		obj_t BgL_oz00_3351)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3351));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3352,
		obj_t BgL_oz00_3353)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3353));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3354, obj_t BgL_oz00_3355)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3355));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3356, obj_t BgL_oz00_3357, obj_t BgL_vz00_3358)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3357), BgL_vz00_3358);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3359,
		obj_t BgL_oz00_3360)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3360));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3361, obj_t BgL_oz00_3362, obj_t BgL_vz00_3363)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3362), BgL_vz00_3363);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3364, obj_t BgL_oz00_3365)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3365));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3366, obj_t BgL_oz00_3367, obj_t BgL_vz00_3368)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3367),
				((BgL_typez00_bglt) BgL_vz00_3368));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1168z00_3472;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1167z00_3473;

					BgL_new1167z00_3473 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1579z00_3474;

						BgL_arg1579z00_3474 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1167z00_3473), BgL_arg1579z00_3474);
					}
					BgL_new1168z00_3472 = BgL_new1167z00_3473;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3472))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3472))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3472))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3472))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3472))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1168z00_3472;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3369, obj_t BgL_length1172z00_3370,
		obj_t BgL_msiza7e1173za7_3371, obj_t BgL_regv1174z00_3372,
		obj_t BgL_regl1175z00_3373, obj_t BgL_string1176z00_3374)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(CINT(BgL_length1172z00_3370),
				CINT(BgL_msiza7e1173za7_3371), BgL_regv1174z00_3372,
				BgL_regl1175z00_3373, BgL_string1176z00_3374);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_3475;

				BgL_classz00_3475 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1801z00_3476;

						BgL_arg1801z00_3476 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_3477;

								BgL_idxz00_3477 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3476);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3477 + 1L)) == BgL_classz00_3475);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res2129z00_3480;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_3481;

									{	/* SawMill/regset.sch 85 */
										long BgL_arg1808z00_3482;

										{	/* SawMill/regset.sch 85 */
											long BgL_arg1809z00_3483;

											BgL_arg1809z00_3483 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3476);
											BgL_arg1808z00_3482 = (BgL_arg1809z00_3483 - OBJECT_TYPE);
										}
										BgL_oclassz00_3481 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_3482);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1115z00_3484;

										BgL__ortest_1115z00_3484 =
											(BgL_classz00_3475 == BgL_oclassz00_3481);
										if (BgL__ortest_1115z00_3484)
											{	/* SawMill/regset.sch 85 */
												BgL_res2129z00_3480 = BgL__ortest_1115z00_3484;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_3485;

												BgL_odepthz00_3485 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3481);
												if ((1L < BgL_odepthz00_3485))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1797z00_3486;

														BgL_arg1797z00_3486 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3481, 1L);
														BgL_res2129z00_3480 =
															(BgL_arg1797z00_3486 == BgL_classz00_3475);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res2129z00_3480 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2129z00_3480;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3375,
		obj_t BgL_objz00_3376)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(BgL_objz00_3376));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_3092;

				BgL_classz00_3092 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1117z00_3093;

					BgL__ortest_1117z00_3093 = BGL_CLASS_NIL(BgL_classz00_3092);
					if (CBOOL(BgL__ortest_1117z00_3093))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1117z00_3093);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3092));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3377)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3378,
		obj_t BgL_oz00_3379)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3379));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3380, obj_t BgL_oz00_3381, obj_t BgL_vz00_3382)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3381), BgL_vz00_3382);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3383,
		obj_t BgL_oz00_3384)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3384));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3385,
		obj_t BgL_oz00_3386)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3386));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3387,
		obj_t BgL_oz00_3388)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(
					((BgL_regsetz00_bglt) BgL_oz00_3388)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3389,
		obj_t BgL_oz00_3390)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(
					((BgL_regsetz00_bglt) BgL_oz00_3390)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3391, obj_t BgL_oz00_3392, obj_t BgL_vz00_3393)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3392), CINT(BgL_vz00_3393));
		}

	}



/* make-empty-bbset */
	obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawMill/bbset.sch 20 */
			{	/* SawMill/bbset.sch 21 */
				obj_t BgL_arg1595z00_2168;

				BgL_arg1595z00_2168 = BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2();
				{	/* SawMill/bbset.sch 15 */
					obj_t BgL_newz00_3101;

					BgL_newz00_3101 = create_struct(CNST_TABLE_REF(0L), (int) (2L));
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_3902;

						BgL_tmpz00_3902 = (int) (1L);
						STRUCT_SET(BgL_newz00_3101, BgL_tmpz00_3902, BNIL);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_3905;

						BgL_tmpz00_3905 = (int) (0L);
						STRUCT_SET(BgL_newz00_3101, BgL_tmpz00_3905, BgL_arg1595z00_2168);
					}
					return BgL_newz00_3101;
				}
			}
		}

	}



/* bbset-cons */
	obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt BgL_bz00_85,
		obj_t BgL_setz00_86)
	{
		{	/* SawMill/bbset.sch 33 */
			{	/* SawMill/bbset.sch 34 */
				obj_t BgL_mz00_2172;

				BgL_mz00_2172 = STRUCT_REF(BgL_setz00_86, (int) (0L));
				{
					BgL_blocksz00_bglt BgL_auxz00_3910;

					{
						obj_t BgL_auxz00_3911;

						{	/* SawMill/bbset.sch 36 */
							BgL_objectz00_bglt BgL_tmpz00_3912;

							BgL_tmpz00_3912 = ((BgL_objectz00_bglt) BgL_bz00_85);
							BgL_auxz00_3911 = BGL_OBJECT_WIDENING(BgL_tmpz00_3912);
						}
						BgL_auxz00_3910 = ((BgL_blocksz00_bglt) BgL_auxz00_3911);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_3910))->BgL_z52markz52) =
						((long) (long) CINT(BgL_mz00_2172)), BUNSPEC);
				}
				{	/* SawMill/bbset.sch 37 */
					obj_t BgL_arg1606z00_2174;

					{	/* SawMill/bbset.sch 37 */
						obj_t BgL_arg1608z00_2175;

						BgL_arg1608z00_2175 = STRUCT_REF(BgL_setz00_86, (int) (1L));
						BgL_arg1606z00_2174 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_85), BgL_arg1608z00_2175);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_3922;

						BgL_tmpz00_3922 = (int) (1L);
						STRUCT_SET(BgL_setz00_86, BgL_tmpz00_3922, BgL_arg1606z00_2174);
				}}
				return BgL_setz00_86;
			}
		}

	}



/* type-in? */
	BGL_EXPORTED_DEF bool_t BGl_typezd2inzf3z21zzsaw_bbvzd2utilszd2(obj_t
		BgL_typez00_91, obj_t BgL_typesz00_92)
	{
		{	/* SawBbv/bbv-utils.scm 54 */
			{
				obj_t BgL_xz00_2209;
				obj_t BgL_yz00_2210;

				{
					obj_t BgL_l1515z00_2202;

					{	/* SawBbv/bbv-utils.scm 64 */
						obj_t BgL_tmpz00_3925;

						BgL_l1515z00_2202 = BgL_typesz00_92;
					BgL_zc3z04anonymousza31670ze3z87_2203:
						if (NULLP(BgL_l1515z00_2202))
							{	/* SawBbv/bbv-utils.scm 64 */
								BgL_tmpz00_3925 = BFALSE;
							}
						else
							{	/* SawBbv/bbv-utils.scm 64 */
								obj_t BgL__ortest_1517z00_2205;

								{	/* SawBbv/bbv-utils.scm 64 */
									obj_t BgL_tz00_2207;

									BgL_tz00_2207 = CAR(((obj_t) BgL_l1515z00_2202));
									BgL_xz00_2209 = BgL_tz00_2207;
									BgL_yz00_2210 = BgL_typez00_91;
									if ((BgL_xz00_2209 == BgL_yz00_2210))
										{	/* SawBbv/bbv-utils.scm 58 */
											BgL__ortest_1517z00_2205 = BTRUE;
										}
									else
										{	/* SawBbv/bbv-utils.scm 58 */
											if ((BgL_xz00_2209 == BGl_za2bintza2z00zztype_cachez00))
												{	/* SawBbv/bbv-utils.scm 59 */
													bool_t BgL__ortest_1172z00_2212;

													BgL__ortest_1172z00_2212 =
														(BgL_yz00_2210 == BGl_za2longza2z00zztype_cachez00);
													if (BgL__ortest_1172z00_2212)
														{	/* SawBbv/bbv-utils.scm 59 */
															BgL__ortest_1517z00_2205 =
																BBOOL(BgL__ortest_1172z00_2212);
														}
													else
														{	/* SawBbv/bbv-utils.scm 59 */
															BgL__ortest_1517z00_2205 =
																BBOOL((BgL_yz00_2210 == CNST_TABLE_REF(1L)));
														}
												}
											else
												{	/* SawBbv/bbv-utils.scm 59 */
													if (
														(BgL_xz00_2209 == BGl_za2longza2z00zztype_cachez00))
														{	/* SawBbv/bbv-utils.scm 60 */
															bool_t BgL__ortest_1173z00_2213;

															BgL__ortest_1173z00_2213 =
																(BgL_yz00_2210 ==
																BGl_za2bintza2z00zztype_cachez00);
															if (BgL__ortest_1173z00_2213)
																{	/* SawBbv/bbv-utils.scm 60 */
																	BgL__ortest_1517z00_2205 =
																		BBOOL(BgL__ortest_1173z00_2213);
																}
															else
																{	/* SawBbv/bbv-utils.scm 60 */
																	BgL__ortest_1517z00_2205 =
																		BBOOL(
																		(BgL_yz00_2210 == CNST_TABLE_REF(1L)));
																}
														}
													else
														{	/* SawBbv/bbv-utils.scm 61 */
															bool_t BgL_test2229z00_3948;

															if ((BgL_xz00_2209 == CNST_TABLE_REF(1L)))
																{	/* SawBbv/bbv-utils.scm 61 */
																	BgL_test2229z00_3948 = ((bool_t) 1);
																}
															else
																{	/* SawBbv/bbv-utils.scm 61 */
																	BgL_test2229z00_3948 =
																		(BgL_yz00_2210 == CNST_TABLE_REF(1L));
																}
															if (BgL_test2229z00_3948)
																{	/* SawBbv/bbv-utils.scm 61 */
																	BgL__ortest_1517z00_2205 = BFALSE;
																}
															else
																{	/* SawBbv/bbv-utils.scm 61 */
																	BgL__ortest_1517z00_2205 =
																		BGl_iszd2subtypezf3z21zztype_typeofz00
																		(BgL_xz00_2209, BgL_yz00_2210);
																}
														}
												}
										}
								}
								if (CBOOL(BgL__ortest_1517z00_2205))
									{	/* SawBbv/bbv-utils.scm 64 */
										BgL_tmpz00_3925 = BgL__ortest_1517z00_2205;
									}
								else
									{	/* SawBbv/bbv-utils.scm 64 */
										obj_t BgL_arg1673z00_2206;

										BgL_arg1673z00_2206 = CDR(((obj_t) BgL_l1515z00_2202));
										{
											obj_t BgL_l1515z00_3959;

											BgL_l1515z00_3959 = BgL_arg1673z00_2206;
											BgL_l1515z00_2202 = BgL_l1515z00_3959;
											goto BgL_zc3z04anonymousza31670ze3z87_2203;
										}
									}
							}
						return CBOOL(BgL_tmpz00_3925);
					}
				}
			}
		}

	}



/* &type-in? */
	obj_t BGl_z62typezd2inzf3z43zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3394,
		obj_t BgL_typez00_3395, obj_t BgL_typesz00_3396)
	{
		{	/* SawBbv/bbv-utils.scm 54 */
			return
				BBOOL(BGl_typezd2inzf3z21zzsaw_bbvzd2utilszd2(BgL_typez00_3395,
					BgL_typesz00_3396));
		}

	}



/* genlabel */
	BGL_EXPORTED_DEF obj_t BGl_genlabelz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 70 */
			BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 =
				(1L + BGl_za2labelza2z00zzsaw_bbvzd2utilszd2);
			return BINT(BGl_za2labelza2z00zzsaw_bbvzd2utilszd2);
		}

	}



/* &genlabel */
	obj_t BGl_z62genlabelz62zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3397)
	{
		{	/* SawBbv/bbv-utils.scm 70 */
			return BGl_genlabelz00zzsaw_bbvzd2utilszd2();
		}

	}



/* set-max-label! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(obj_t
		BgL_blocksz00_93)
	{
		{	/* SawBbv/bbv-utils.scm 77 */
			BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 = 0L;
			{
				obj_t BgL_l1518z00_2217;

				{	/* SawBbv/bbv-utils.scm 79 */
					bool_t BgL_tmpz00_3966;

					BgL_l1518z00_2217 = BgL_blocksz00_93;
				BgL_zc3z04anonymousza31676ze3z87_2218:
					if (PAIRP(BgL_l1518z00_2217))
						{	/* SawBbv/bbv-utils.scm 79 */
							{	/* SawBbv/bbv-utils.scm 80 */
								obj_t BgL_bz00_2220;

								BgL_bz00_2220 = CAR(BgL_l1518z00_2217);
								{	/* SawBbv/bbv-utils.scm 81 */
									bool_t BgL_test2233z00_3970;

									{	/* SawBbv/bbv-utils.scm 81 */
										long BgL_n2z00_3118;

										BgL_n2z00_3118 = BGl_za2labelza2z00zzsaw_bbvzd2utilszd2;
										BgL_test2233z00_3970 =
											(
											(long) (
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_bz00_2220)))->
													BgL_labelz00)) > BgL_n2z00_3118);
									}
									if (BgL_test2233z00_3970)
										{	/* SawBbv/bbv-utils.scm 81 */
											BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 =
												(long) (
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_bz00_2220)))->
													BgL_labelz00));
										}
									else
										{	/* SawBbv/bbv-utils.scm 81 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1518z00_3978;

								BgL_l1518z00_3978 = CDR(BgL_l1518z00_2217);
								BgL_l1518z00_2217 = BgL_l1518z00_3978;
								goto BgL_zc3z04anonymousza31676ze3z87_2218;
							}
						}
					else
						{	/* SawBbv/bbv-utils.scm 79 */
							BgL_tmpz00_3966 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_3966);
				}
			}
		}

	}



/* &set-max-label! */
	obj_t BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3398, obj_t BgL_blocksz00_3399)
	{
		{	/* SawBbv/bbv-utils.scm 77 */
			return
				BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(BgL_blocksz00_3399);
		}

	}



/* replace */
	BGL_EXPORTED_DEF obj_t BGl_replacez00zzsaw_bbvzd2utilszd2(obj_t BgL_lstz00_94,
		obj_t BgL_oldz00_95, obj_t BgL_newz00_96)
	{
		{	/* SawBbv/bbv-utils.scm 88 */
			return
				BGl_loopze70ze7zzsaw_bbvzd2utilszd2(BgL_oldz00_95, BgL_newz00_96,
				BgL_lstz00_94);
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzsaw_bbvzd2utilszd2(obj_t BgL_oldz00_3441,
		obj_t BgL_newz00_3440, obj_t BgL_lz00_2228)
	{
		{	/* SawBbv/bbv-utils.scm 89 */
			if (NULLP(BgL_lz00_2228))
				{	/* SawBbv/bbv-utils.scm 91 */
					return BgL_lz00_2228;
				}
			else
				{	/* SawBbv/bbv-utils.scm 91 */
					if ((CAR(((obj_t) BgL_lz00_2228)) == BgL_oldz00_3441))
						{	/* SawBbv/bbv-utils.scm 92 */
							obj_t BgL_arg1693z00_2233;

							BgL_arg1693z00_2233 = CDR(((obj_t) BgL_lz00_2228));
							return MAKE_YOUNG_PAIR(BgL_newz00_3440, BgL_arg1693z00_2233);
						}
					else
						{	/* SawBbv/bbv-utils.scm 93 */
							obj_t BgL_arg1695z00_2234;
							obj_t BgL_arg1696z00_2235;

							BgL_arg1695z00_2234 = CAR(((obj_t) BgL_lz00_2228));
							{	/* SawBbv/bbv-utils.scm 93 */
								obj_t BgL_arg1698z00_2236;

								BgL_arg1698z00_2236 = CDR(((obj_t) BgL_lz00_2228));
								BgL_arg1696z00_2235 =
									BGl_loopze70ze7zzsaw_bbvzd2utilszd2(BgL_oldz00_3441,
									BgL_newz00_3440, BgL_arg1698z00_2236);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1695z00_2234, BgL_arg1696z00_2235);
						}
				}
		}

	}



/* &replace */
	obj_t BGl_z62replacez62zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3400,
		obj_t BgL_lstz00_3401, obj_t BgL_oldz00_3402, obj_t BgL_newz00_3403)
	{
		{	/* SawBbv/bbv-utils.scm 88 */
			return
				BGl_replacez00zzsaw_bbvzd2utilszd2(BgL_lstz00_3401, BgL_oldz00_3402,
				BgL_newz00_3403);
		}

	}



/* block->block-list */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(obj_t BgL_regsz00_97,
		BgL_blockz00_bglt BgL_bz00_98)
	{
		{	/* SawBbv/bbv-utils.scm 98 */
			{	/* SawBbv/bbv-utils.scm 99 */
				obj_t BgL_g1177z00_2239;
				obj_t BgL_g1178z00_2240;

				{	/* SawBbv/bbv-utils.scm 99 */
					obj_t BgL_list1737z00_2264;

					BgL_list1737z00_2264 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_98), BNIL);
					BgL_g1177z00_2239 = BgL_list1737z00_2264;
				}
				BgL_g1178z00_2240 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2();
				{
					obj_t BgL_bsz00_2242;
					obj_t BgL_accz00_2243;

					BgL_bsz00_2242 = BgL_g1177z00_2239;
					BgL_accz00_2243 = BgL_g1178z00_2240;
				BgL_zc3z04anonymousza31707ze3z87_2244:
					if (NULLP(BgL_bsz00_2242))
						{	/* SawBbv/bbv-utils.scm 102 */
							return bgl_reverse_bang(STRUCT_REF(BgL_accz00_2243, (int) (1L)));
						}
					else
						{	/* SawBbv/bbv-utils.scm 104 */
							bool_t BgL_test2237z00_4007;

							{	/* SawBbv/bbv-utils.scm 104 */
								BgL_blockz00_bglt BgL_blockz00_3127;

								BgL_blockz00_3127 =
									((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2242)));
								{	/* SawBbv/bbv-utils.scm 104 */
									long BgL_arg1597z00_3130;
									obj_t BgL_arg1598z00_3131;

									{
										BgL_blocksz00_bglt BgL_auxz00_4011;

										{
											obj_t BgL_auxz00_4012;

											{	/* SawBbv/bbv-utils.scm 104 */
												BgL_objectz00_bglt BgL_tmpz00_4013;

												BgL_tmpz00_4013 =
													((BgL_objectz00_bglt) BgL_blockz00_3127);
												BgL_auxz00_4012 = BGL_OBJECT_WIDENING(BgL_tmpz00_4013);
											}
											BgL_auxz00_4011 = ((BgL_blocksz00_bglt) BgL_auxz00_4012);
										}
										BgL_arg1597z00_3130 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4011))->
											BgL_z52markz52);
									}
									BgL_arg1598z00_3131 = STRUCT_REF(BgL_accz00_2243, (int) (0L));
									BgL_test2237z00_4007 =
										(BINT(BgL_arg1597z00_3130) == BgL_arg1598z00_3131);
							}}
							if (BgL_test2237z00_4007)
								{	/* SawBbv/bbv-utils.scm 105 */
									obj_t BgL_arg1714z00_2249;

									BgL_arg1714z00_2249 = CDR(((obj_t) BgL_bsz00_2242));
									{
										obj_t BgL_bsz00_4024;

										BgL_bsz00_4024 = BgL_arg1714z00_2249;
										BgL_bsz00_2242 = BgL_bsz00_4024;
										goto BgL_zc3z04anonymousza31707ze3z87_2244;
									}
								}
							else
								{	/* SawBbv/bbv-utils.scm 107 */
									BgL_blockz00_bglt BgL_i1179z00_2250;

									BgL_i1179z00_2250 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2242)));
									if (NULLP(
											(((BgL_blockz00_bglt) COBJECT(BgL_i1179z00_2250))->
												BgL_succsz00)))
										{	/* SawBbv/bbv-utils.scm 110 */
											obj_t BgL_arg1717z00_2253;
											obj_t BgL_arg1718z00_2254;

											BgL_arg1717z00_2253 = CDR(((obj_t) BgL_bsz00_2242));
											{	/* SawBbv/bbv-utils.scm 110 */
												obj_t BgL_arg1729z00_2255;

												BgL_arg1729z00_2255 = CAR(((obj_t) BgL_bsz00_2242));
												BgL_arg1718z00_2254 =
													BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
													((BgL_blockz00_bglt) BgL_arg1729z00_2255),
													BgL_accz00_2243);
											}
											{
												obj_t BgL_accz00_4038;
												obj_t BgL_bsz00_4037;

												BgL_bsz00_4037 = BgL_arg1717z00_2253;
												BgL_accz00_4038 = BgL_arg1718z00_2254;
												BgL_accz00_2243 = BgL_accz00_4038;
												BgL_bsz00_2242 = BgL_bsz00_4037;
												goto BgL_zc3z04anonymousza31707ze3z87_2244;
											}
										}
									else
										{	/* SawBbv/bbv-utils.scm 112 */
											obj_t BgL_arg1730z00_2256;
											obj_t BgL_arg1731z00_2257;

											{	/* SawBbv/bbv-utils.scm 112 */
												obj_t BgL_arg1732z00_2258;
												obj_t BgL_arg1733z00_2259;

												BgL_arg1732z00_2258 =
													(((BgL_blockz00_bglt) COBJECT(BgL_i1179z00_2250))->
													BgL_succsz00);
												BgL_arg1733z00_2259 = CDR(((obj_t) BgL_bsz00_2242));
												BgL_arg1730z00_2256 =
													BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
													(BgL_arg1732z00_2258, BgL_arg1733z00_2259);
											}
											{	/* SawBbv/bbv-utils.scm 113 */
												obj_t BgL_arg1734z00_2260;

												BgL_arg1734z00_2260 = CAR(((obj_t) BgL_bsz00_2242));
												BgL_arg1731z00_2257 =
													BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
													((BgL_blockz00_bglt) BgL_arg1734z00_2260),
													BgL_accz00_2243);
											}
											{
												obj_t BgL_accz00_4048;
												obj_t BgL_bsz00_4047;

												BgL_bsz00_4047 = BgL_arg1730z00_2256;
												BgL_accz00_4048 = BgL_arg1731z00_2257;
												BgL_accz00_2243 = BgL_accz00_4048;
												BgL_bsz00_2242 = BgL_bsz00_4047;
												goto BgL_zc3z04anonymousza31707ze3z87_2244;
											}
										}
								}
						}
				}
			}
		}

	}



/* &block->block-list */
	obj_t BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3404, obj_t BgL_regsz00_3405, obj_t BgL_bz00_3406)
	{
		{	/* SawBbv/bbv-utils.scm 98 */
			return
				BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(BgL_regsz00_3405,
				((BgL_blockz00_bglt) BgL_bz00_3406));
		}

	}



/* redirect-block! */
	BGL_EXPORTED_DEF obj_t
		BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt
		BgL_bz00_99, BgL_blockz00_bglt BgL_oldz00_100,
		BgL_blockz00_bglt BgL_newz00_101)
	{
		{	/* SawBbv/bbv-utils.scm 118 */
			{
				obj_t BgL_auxz00_4051;

				{	/* SawBbv/bbv-utils.scm 126 */
					obj_t BgL_arg1739z00_2266;

					BgL_arg1739z00_2266 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_99)))->BgL_succsz00);
					BgL_auxz00_4051 =
						BGl_loopze70ze7zzsaw_bbvzd2utilszd2(
						((obj_t) BgL_oldz00_100),
						((obj_t) BgL_newz00_101), BgL_arg1739z00_2266);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_99)))->BgL_succsz00) =
					((obj_t) BgL_auxz00_4051), BUNSPEC);
			}
			{	/* SawBbv/bbv-utils.scm 128 */
				obj_t BgL_arg1741z00_2268;

				{	/* SawBbv/bbv-utils.scm 128 */
					obj_t BgL_arg1745z00_2269;

					BgL_arg1745z00_2269 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oldz00_100)))->BgL_predsz00);
					BgL_arg1741z00_2268 =
						bgl_remq_bang(((obj_t) BgL_bz00_99), BgL_arg1745z00_2269);
				}
				BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(
					((BgL_blockz00_bglt) BgL_oldz00_100), BgL_arg1741z00_2268);
			}
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_bz00_99),
						(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_newz00_101)))->BgL_predsz00))))
				{	/* SawBbv/bbv-utils.scm 130 */
					BFALSE;
				}
			else
				{	/* SawBbv/bbv-utils.scm 131 */
					obj_t BgL_arg1748z00_2273;

					{	/* SawBbv/bbv-utils.scm 131 */
						obj_t BgL_arg1749z00_2274;

						BgL_arg1749z00_2274 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_newz00_101)))->BgL_predsz00);
						BgL_arg1748z00_2273 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_99), BgL_arg1749z00_2274);
					}
					BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(
						((BgL_blockz00_bglt) BgL_newz00_101), BgL_arg1748z00_2273);
				}
			{	/* SawBbv/bbv-utils.scm 132 */
				obj_t BgL_g1522z00_2276;

				BgL_g1522z00_2276 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_bz00_99)))->BgL_firstz00);
				{
					obj_t BgL_l1520z00_2278;

					BgL_l1520z00_2278 = BgL_g1522z00_2276;
				BgL_zc3z04anonymousza31751ze3z87_2279:
					if (PAIRP(BgL_l1520z00_2278))
						{	/* SawBbv/bbv-utils.scm 132 */
							{	/* SawBbv/bbv-utils.scm 134 */
								obj_t BgL_insz00_2281;

								BgL_insz00_2281 = CAR(BgL_l1520z00_2278);
								if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
										((BgL_rtl_insz00_bglt) BgL_insz00_2281)))
									{	/* SawBbv/bbv-utils.scm 136 */
										BgL_rtl_ifeqz00_bglt BgL_i1184z00_2284;

										BgL_i1184z00_2284 =
											((BgL_rtl_ifeqz00_bglt)
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_insz00_2281)))->
												BgL_funz00));
										if ((((obj_t) (((BgL_rtl_ifeqz00_bglt)
															COBJECT(BgL_i1184z00_2284))->BgL_thenz00)) ==
												((obj_t) BgL_oldz00_100)))
											{	/* SawBbv/bbv-utils.scm 137 */
												((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_i1184z00_2284))->
														BgL_thenz00) =
													((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
															BgL_newz00_101)), BUNSPEC);
											}
										else
											{	/* SawBbv/bbv-utils.scm 137 */
												BFALSE;
											}
									}
								else
									{	/* SawBbv/bbv-utils.scm 134 */
										if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
												((BgL_rtl_insz00_bglt) BgL_insz00_2281)))
											{	/* SawBbv/bbv-utils.scm 141 */
												BgL_rtl_ifnez00_bglt BgL_i1186z00_2290;

												BgL_i1186z00_2290 =
													((BgL_rtl_ifnez00_bglt)
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_2281)))->
														BgL_funz00));
												if ((((obj_t) (((BgL_rtl_ifnez00_bglt)
																	COBJECT(BgL_i1186z00_2290))->BgL_thenz00)) ==
														((obj_t) BgL_oldz00_100)))
													{	/* SawBbv/bbv-utils.scm 142 */
														((((BgL_rtl_ifnez00_bglt)
																	COBJECT(BgL_i1186z00_2290))->BgL_thenz00) =
															((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
																	BgL_newz00_101)), BUNSPEC);
													}
												else
													{	/* SawBbv/bbv-utils.scm 142 */
														BFALSE;
													}
											}
										else
											{	/* SawBbv/bbv-utils.scm 139 */
												if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
														((BgL_rtl_insz00_bglt) BgL_insz00_2281)))
													{	/* SawBbv/bbv-utils.scm 146 */
														BgL_rtl_goz00_bglt BgL_i1188z00_2296;

														BgL_i1188z00_2296 =
															((BgL_rtl_goz00_bglt)
															(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2281)))->
																BgL_funz00));
														if ((((obj_t) (((BgL_rtl_goz00_bglt)
																			COBJECT(BgL_i1188z00_2296))->
																		BgL_toz00)) == ((obj_t) BgL_oldz00_100)))
															{	/* SawBbv/bbv-utils.scm 147 */
																((((BgL_rtl_goz00_bglt)
																			COBJECT(BgL_i1188z00_2296))->BgL_toz00) =
																	((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
																			BgL_newz00_101)), BUNSPEC);
															}
														else
															{	/* SawBbv/bbv-utils.scm 147 */
																BFALSE;
															}
													}
												else
													{	/* SawBbv/bbv-utils.scm 144 */
														if (CBOOL
															(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2((
																		(BgL_rtl_insz00_bglt) BgL_insz00_2281))))
															{	/* SawBbv/bbv-utils.scm 151 */
																BgL_rtl_switchz00_bglt BgL_i1190z00_2302;

																BgL_i1190z00_2302 =
																	((BgL_rtl_switchz00_bglt)
																	(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_insz00_2281)))->BgL_funz00));
																{
																	obj_t BgL_auxz00_4128;

																	{	/* SawBbv/bbv-utils.scm 152 */
																		obj_t BgL_arg1798z00_2303;

																		BgL_arg1798z00_2303 =
																			(((BgL_rtl_switchz00_bglt)
																				COBJECT(BgL_i1190z00_2302))->
																			BgL_labelsz00);
																		BgL_auxz00_4128 =
																			BGl_loopze70ze7zzsaw_bbvzd2utilszd2((
																				(obj_t) BgL_oldz00_100),
																			((obj_t) BgL_newz00_101),
																			((obj_t) BgL_arg1798z00_2303));
																	}
																	((((BgL_rtl_switchz00_bglt)
																				COBJECT(BgL_i1190z00_2302))->
																			BgL_labelsz00) =
																		((obj_t) BgL_auxz00_4128), BUNSPEC);
																}
															}
														else
															{	/* SawBbv/bbv-utils.scm 149 */
																BFALSE;
															}
													}
											}
									}
							}
							{
								obj_t BgL_l1520z00_4135;

								BgL_l1520z00_4135 = CDR(BgL_l1520z00_2278);
								BgL_l1520z00_2278 = BgL_l1520z00_4135;
								goto BgL_zc3z04anonymousza31751ze3z87_2279;
							}
						}
					else
						{	/* SawBbv/bbv-utils.scm 132 */
							((bool_t) 1);
						}
				}
			}
			return ((obj_t) BgL_bz00_99);
		}

	}



/* &redirect-block! */
	obj_t BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3407,
		obj_t BgL_bz00_3408, obj_t BgL_oldz00_3409, obj_t BgL_newz00_3410)
	{
		{	/* SawBbv/bbv-utils.scm 118 */
			return
				BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(
				((BgL_blockz00_bglt) BgL_bz00_3408),
				((BgL_blockz00_bglt) BgL_oldz00_3409),
				((BgL_blockz00_bglt) BgL_newz00_3410));
		}

	}



/* _replace-block! */
	obj_t BGl__replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(obj_t BgL_env1556z00_106,
		obj_t BgL_opt1555z00_105)
	{
		{	/* SawBbv/bbv-utils.scm 162 */
			{
				obj_t BgL_k1z00_2307;
				long BgL_iz00_2308;

				{	/* SawBbv/bbv-utils.scm 162 */
					obj_t BgL_g1562z00_2310;
					obj_t BgL_g1563z00_2311;

					BgL_g1562z00_2310 = VECTOR_REF(BgL_opt1555z00_105, 0L);
					BgL_g1563z00_2311 = VECTOR_REF(BgL_opt1555z00_105, 1L);
					{	/* SawBbv/bbv-utils.scm 162 */
						obj_t BgL_debugz00_2312;

						BgL_debugz00_2312 = BFALSE;
						{	/* SawBbv/bbv-utils.scm 162 */

							{	/* SawBbv/bbv-utils.scm 162 */
								long BgL_index1561z00_2313;

								BgL_k1z00_2307 = CNST_TABLE_REF(2L);
								BgL_iz00_2308 = 2L;
							BgL_search1558z00_2309:
								if ((BgL_iz00_2308 == VECTOR_LENGTH(BgL_opt1555z00_105)))
									{	/* SawBbv/bbv-utils.scm 162 */
										BgL_index1561z00_2313 = -1L;
									}
								else
									{	/* SawBbv/bbv-utils.scm 162 */
										obj_t BgL_vz00_2319;

										BgL_vz00_2319 =
											VECTOR_REF(BgL_opt1555z00_105, BgL_iz00_2308);
										if ((BgL_vz00_2319 == BgL_k1z00_2307))
											{	/* SawBbv/bbv-utils.scm 162 */
												BgL_index1561z00_2313 = (BgL_iz00_2308 + 1L);
											}
										else
											{
												long BgL_iz00_4151;

												BgL_iz00_4151 = (BgL_iz00_2308 + 2L);
												BgL_iz00_2308 = BgL_iz00_4151;
												goto BgL_search1558z00_2309;
											}
									}
								if ((BgL_index1561z00_2313 >= 0L))
									{	/* SawBbv/bbv-utils.scm 162 */
										BgL_debugz00_2312 =
											VECTOR_REF(BgL_opt1555z00_105, BgL_index1561z00_2313);
									}
								else
									{	/* SawBbv/bbv-utils.scm 162 */
										BFALSE;
									}
							}
							{	/* SawBbv/bbv-utils.scm 162 */
								obj_t BgL_arg1802z00_2315;
								obj_t BgL_arg1816z00_2316;

								BgL_arg1802z00_2315 = VECTOR_REF(BgL_opt1555z00_105, 0L);
								BgL_arg1816z00_2316 = VECTOR_REF(BgL_opt1555z00_105, 1L);
								{	/* SawBbv/bbv-utils.scm 162 */
									obj_t BgL_debugz00_2317;

									BgL_debugz00_2317 = BgL_debugz00_2312;
									return
										BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(
										((BgL_blockz00_bglt) BgL_arg1802z00_2315),
										((BgL_blockz00_bglt) BgL_arg1816z00_2316),
										BgL_debugz00_2317);
								}
							}
						}
					}
				}
			}
		}

	}



/* replace-block! */
	BGL_EXPORTED_DEF obj_t
		BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt
		BgL_oldz00_102, BgL_blockz00_bglt BgL_newz00_103, obj_t BgL_debugz00_104)
	{
		{	/* SawBbv/bbv-utils.scm 162 */
			if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
				{	/* SawBbv/bbv-utils.scm 168 */
					BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_oldz00_102,
						BGl_string2135z00zzsaw_bbvzd2utilszd2);
					BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_newz00_103,
						BGl_string2136z00zzsaw_bbvzd2utilszd2);
				}
			else
				{	/* SawBbv/bbv-utils.scm 168 */
					BFALSE;
				}
			if ((((obj_t) BgL_oldz00_102) == ((obj_t) BgL_newz00_103)))
				{	/* SawBbv/bbv-utils.scm 171 */
					return BFALSE;
				}
			else
				{	/* SawBbv/bbv-utils.scm 171 */
					{	/* SawBbv/bbv-utils.scm 173 */
						bool_t BgL_test2253z00_4170;

						if (CBOOL(BgL_debugz00_104))
							{	/* SawBbv/bbv-utils.scm 173 */
								BgL_test2253z00_4170 =
									CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2);
							}
						else
							{	/* SawBbv/bbv-utils.scm 173 */
								BgL_test2253z00_4170 = ((bool_t) 0);
							}
						if (BgL_test2253z00_4170)
							{	/* SawBbv/bbv-utils.scm 176 */
								bool_t BgL_test2255z00_4174;

								{	/* SawBbv/bbv-utils.scm 176 */
									BgL_bbvzd2ctxzd2_bglt BgL_arg1866z00_2360;
									BgL_bbvzd2ctxzd2_bglt BgL_arg1867z00_2361;

									{
										BgL_blocksz00_bglt BgL_auxz00_4175;

										{
											obj_t BgL_auxz00_4176;

											{	/* SawBbv/bbv-utils.scm 176 */
												BgL_objectz00_bglt BgL_tmpz00_4177;

												BgL_tmpz00_4177 = ((BgL_objectz00_bglt) BgL_newz00_103);
												BgL_auxz00_4176 = BGL_OBJECT_WIDENING(BgL_tmpz00_4177);
											}
											BgL_auxz00_4175 = ((BgL_blocksz00_bglt) BgL_auxz00_4176);
										}
										BgL_arg1866z00_2360 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4175))->
											BgL_ctxz00);
									}
									{
										BgL_blocksz00_bglt BgL_auxz00_4182;

										{
											obj_t BgL_auxz00_4183;

											{	/* SawBbv/bbv-utils.scm 176 */
												BgL_objectz00_bglt BgL_tmpz00_4184;

												BgL_tmpz00_4184 = ((BgL_objectz00_bglt) BgL_oldz00_102);
												BgL_auxz00_4183 = BGL_OBJECT_WIDENING(BgL_tmpz00_4184);
											}
											BgL_auxz00_4182 = ((BgL_blocksz00_bglt) BgL_auxz00_4183);
										}
										BgL_arg1867z00_2361 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4182))->
											BgL_ctxz00);
									}
									BgL_test2255z00_4174 =
										BGl_ctxze3zd3zf3zc3zzsaw_bbvzd2utilszd2(BgL_arg1866z00_2360,
										BgL_arg1867z00_2361);
								}
								if (BgL_test2255z00_4174)
									{	/* SawBbv/bbv-utils.scm 176 */
										BFALSE;
									}
								else
									{	/* SawBbv/bbv-utils.scm 176 */
										{	/* SawBbv/bbv-utils.scm 177 */
											obj_t BgL_arg1827z00_2327;
											int BgL_arg1828z00_2328;
											int BgL_arg1829z00_2329;

											{	/* SawBbv/bbv-utils.scm 177 */
												obj_t BgL_tmpz00_4190;

												BgL_tmpz00_4190 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg1827z00_2327 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4190);
											}
											BgL_arg1828z00_2328 =
												(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_oldz00_102)))->
												BgL_labelz00);
											BgL_arg1829z00_2329 =
												(((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
															BgL_newz00_103)))->BgL_labelz00);
											{	/* SawBbv/bbv-utils.scm 177 */
												obj_t BgL_list1830z00_2330;

												{	/* SawBbv/bbv-utils.scm 177 */
													obj_t BgL_arg1831z00_2331;

													{	/* SawBbv/bbv-utils.scm 177 */
														obj_t BgL_arg1832z00_2332;

														{	/* SawBbv/bbv-utils.scm 177 */
															obj_t BgL_arg1833z00_2333;

															{	/* SawBbv/bbv-utils.scm 177 */
																obj_t BgL_arg1834z00_2334;

																{	/* SawBbv/bbv-utils.scm 177 */
																	obj_t BgL_arg1835z00_2335;

																	{	/* SawBbv/bbv-utils.scm 177 */
																		obj_t BgL_arg1836z00_2336;

																		{	/* SawBbv/bbv-utils.scm 177 */
																			obj_t BgL_arg1837z00_2337;

																			BgL_arg1837z00_2337 =
																				MAKE_YOUNG_PAIR(BINT
																				(BgL_arg1829z00_2329), BNIL);
																			BgL_arg1836z00_2336 =
																				MAKE_YOUNG_PAIR
																				(BGl_string2137z00zzsaw_bbvzd2utilszd2,
																				BgL_arg1837z00_2337);
																		}
																		BgL_arg1835z00_2335 =
																			MAKE_YOUNG_PAIR(BINT(BgL_arg1828z00_2328),
																			BgL_arg1836z00_2336);
																	}
																	BgL_arg1834z00_2334 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2138z00zzsaw_bbvzd2utilszd2,
																		BgL_arg1835z00_2335);
																}
																BgL_arg1833z00_2333 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2139z00zzsaw_bbvzd2utilszd2,
																	BgL_arg1834z00_2334);
															}
															BgL_arg1832z00_2332 =
																MAKE_YOUNG_PAIR(BINT(177L),
																BgL_arg1833z00_2333);
														}
														BgL_arg1831z00_2331 =
															MAKE_YOUNG_PAIR
															(BGl_string2140z00zzsaw_bbvzd2utilszd2,
															BgL_arg1832z00_2332);
													}
													BgL_list1830z00_2330 =
														MAKE_YOUNG_PAIR
														(BGl_string2141z00zzsaw_bbvzd2utilszd2,
														BgL_arg1831z00_2331);
												}
												BGl_tprintz00zz__r4_output_6_10_3z00
													(BgL_arg1827z00_2327, BgL_list1830z00_2330);
										}}
										{	/* SawBbv/bbv-utils.scm 179 */
											obj_t BgL_arg1838z00_2338;
											obj_t BgL_arg1839z00_2339;

											{	/* SawBbv/bbv-utils.scm 179 */
												obj_t BgL_tmpz00_4209;

												BgL_tmpz00_4209 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg1838z00_2338 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4209);
											}
											{	/* SawBbv/bbv-utils.scm 179 */
												BgL_bbvzd2ctxzd2_bglt BgL_arg1846z00_2346;

												{
													BgL_blocksz00_bglt BgL_auxz00_4212;

													{
														obj_t BgL_auxz00_4213;

														{	/* SawBbv/bbv-utils.scm 179 */
															BgL_objectz00_bglt BgL_tmpz00_4214;

															BgL_tmpz00_4214 =
																((BgL_objectz00_bglt) BgL_oldz00_102);
															BgL_auxz00_4213 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4214);
														}
														BgL_auxz00_4212 =
															((BgL_blocksz00_bglt) BgL_auxz00_4213);
													}
													BgL_arg1846z00_2346 =
														(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4212))->
														BgL_ctxz00);
												}
												BgL_arg1839z00_2339 =
													BGl_shapez00zztools_shapez00(
													((obj_t) BgL_arg1846z00_2346));
											}
											{	/* SawBbv/bbv-utils.scm 179 */
												obj_t BgL_list1840z00_2340;

												{	/* SawBbv/bbv-utils.scm 179 */
													obj_t BgL_arg1841z00_2341;

													{	/* SawBbv/bbv-utils.scm 179 */
														obj_t BgL_arg1842z00_2342;

														{	/* SawBbv/bbv-utils.scm 179 */
															obj_t BgL_arg1843z00_2343;

															{	/* SawBbv/bbv-utils.scm 179 */
																obj_t BgL_arg1844z00_2344;

																{	/* SawBbv/bbv-utils.scm 179 */
																	obj_t BgL_arg1845z00_2345;

																	BgL_arg1845z00_2345 =
																		MAKE_YOUNG_PAIR(BgL_arg1839z00_2339, BNIL);
																	BgL_arg1844z00_2344 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2142z00zzsaw_bbvzd2utilszd2,
																		BgL_arg1845z00_2345);
																}
																BgL_arg1843z00_2343 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2139z00zzsaw_bbvzd2utilszd2,
																	BgL_arg1844z00_2344);
															}
															BgL_arg1842z00_2342 =
																MAKE_YOUNG_PAIR(BINT(179L),
																BgL_arg1843z00_2343);
														}
														BgL_arg1841z00_2341 =
															MAKE_YOUNG_PAIR
															(BGl_string2140z00zzsaw_bbvzd2utilszd2,
															BgL_arg1842z00_2342);
													}
													BgL_list1840z00_2340 =
														MAKE_YOUNG_PAIR
														(BGl_string2141z00zzsaw_bbvzd2utilszd2,
														BgL_arg1841z00_2341);
												}
												BGl_tprintz00zz__r4_output_6_10_3z00
													(BgL_arg1838z00_2338, BgL_list1840z00_2340);
										}}
										{	/* SawBbv/bbv-utils.scm 180 */
											obj_t BgL_arg1848z00_2347;
											obj_t BgL_arg1850z00_2348;

											{	/* SawBbv/bbv-utils.scm 180 */
												obj_t BgL_tmpz00_4229;

												BgL_tmpz00_4229 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg1848z00_2347 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4229);
											}
											{	/* SawBbv/bbv-utils.scm 180 */
												BgL_bbvzd2ctxzd2_bglt BgL_arg1857z00_2355;

												{
													BgL_blocksz00_bglt BgL_auxz00_4232;

													{
														obj_t BgL_auxz00_4233;

														{	/* SawBbv/bbv-utils.scm 180 */
															BgL_objectz00_bglt BgL_tmpz00_4234;

															BgL_tmpz00_4234 =
																((BgL_objectz00_bglt) BgL_newz00_103);
															BgL_auxz00_4233 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4234);
														}
														BgL_auxz00_4232 =
															((BgL_blocksz00_bglt) BgL_auxz00_4233);
													}
													BgL_arg1857z00_2355 =
														(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4232))->
														BgL_ctxz00);
												}
												BgL_arg1850z00_2348 =
													BGl_shapez00zztools_shapez00(
													((obj_t) BgL_arg1857z00_2355));
											}
											{	/* SawBbv/bbv-utils.scm 180 */
												obj_t BgL_list1851z00_2349;

												{	/* SawBbv/bbv-utils.scm 180 */
													obj_t BgL_arg1852z00_2350;

													{	/* SawBbv/bbv-utils.scm 180 */
														obj_t BgL_arg1853z00_2351;

														{	/* SawBbv/bbv-utils.scm 180 */
															obj_t BgL_arg1854z00_2352;

															{	/* SawBbv/bbv-utils.scm 180 */
																obj_t BgL_arg1855z00_2353;

																{	/* SawBbv/bbv-utils.scm 180 */
																	obj_t BgL_arg1856z00_2354;

																	BgL_arg1856z00_2354 =
																		MAKE_YOUNG_PAIR(BgL_arg1850z00_2348, BNIL);
																	BgL_arg1855z00_2353 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2143z00zzsaw_bbvzd2utilszd2,
																		BgL_arg1856z00_2354);
																}
																BgL_arg1854z00_2352 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2139z00zzsaw_bbvzd2utilszd2,
																	BgL_arg1855z00_2353);
															}
															BgL_arg1853z00_2351 =
																MAKE_YOUNG_PAIR(BINT(180L),
																BgL_arg1854z00_2352);
														}
														BgL_arg1852z00_2350 =
															MAKE_YOUNG_PAIR
															(BGl_string2140z00zzsaw_bbvzd2utilszd2,
															BgL_arg1853z00_2351);
													}
													BgL_list1851z00_2349 =
														MAKE_YOUNG_PAIR
														(BGl_string2141z00zzsaw_bbvzd2utilszd2,
														BgL_arg1852z00_2350);
												}
												BGl_tprintz00zz__r4_output_6_10_3z00
													(BgL_arg1848z00_2347, BgL_list1851z00_2349);
										}}
										{	/* SawBbv/bbv-utils.scm 182 */
											obj_t BgL_arg1860z00_2356;
											int BgL_arg1861z00_2357;

											{	/* SawBbv/bbv-utils.scm 182 */
												int BgL_arg1864z00_2358;

												BgL_arg1864z00_2358 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_oldz00_102)))->
													BgL_labelz00);
												{	/* SawBbv/bbv-utils.scm 182 */
													obj_t BgL_list1865z00_2359;

													BgL_list1865z00_2359 =
														MAKE_YOUNG_PAIR(BINT(BgL_arg1864z00_2358), BNIL);
													BgL_arg1860z00_2356 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string2144z00zzsaw_bbvzd2utilszd2,
														BgL_list1865z00_2359);
											}}
											BgL_arg1861z00_2357 =
												(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_newz00_103)))->
												BgL_labelz00);
											BGl_errorz00zz__errorz00
												(BGl_string2145z00zzsaw_bbvzd2utilszd2,
												BgL_arg1860z00_2356, BINT(BgL_arg1861z00_2357));
							}}}
						else
							{	/* SawBbv/bbv-utils.scm 173 */
								BFALSE;
							}
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_4258;

						{
							obj_t BgL_auxz00_4259;

							{	/* SawBbv/bbv-utils.scm 186 */
								BgL_objectz00_bglt BgL_tmpz00_4260;

								BgL_tmpz00_4260 = ((BgL_objectz00_bglt) BgL_oldz00_102);
								BgL_auxz00_4259 = BGL_OBJECT_WIDENING(BgL_tmpz00_4260);
							}
							BgL_auxz00_4258 = ((BgL_blocksz00_bglt) BgL_auxz00_4259);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4258))->BgL_mblockz00) =
							((obj_t) ((obj_t) BgL_newz00_103)), BUNSPEC);
					}
					{	/* SawBbv/bbv-utils.scm 187 */
						obj_t BgL_g1526z00_2363;

						BgL_g1526z00_2363 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_succsz00);
						{
							obj_t BgL_l1524z00_2365;

							BgL_l1524z00_2365 = BgL_g1526z00_2363;
						BgL_zc3z04anonymousza31868ze3z87_2366:
							if (PAIRP(BgL_l1524z00_2365))
								{	/* SawBbv/bbv-utils.scm 187 */
									{	/* SawBbv/bbv-utils.scm 188 */
										obj_t BgL_bz00_2368;

										BgL_bz00_2368 = CAR(BgL_l1524z00_2365);
										{
											long BgL_auxz00_4278;
											BgL_blocksz00_bglt BgL_auxz00_4271;

											{	/* SawBbv/bbv-utils.scm 189 */
												long BgL_arg1870z00_2370;

												{
													BgL_blocksz00_bglt BgL_auxz00_4279;

													{
														obj_t BgL_auxz00_4280;

														{	/* SawBbv/bbv-utils.scm 189 */
															BgL_objectz00_bglt BgL_tmpz00_4281;

															BgL_tmpz00_4281 =
																((BgL_objectz00_bglt)
																((BgL_blockz00_bglt) BgL_bz00_2368));
															BgL_auxz00_4280 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4281);
														}
														BgL_auxz00_4279 =
															((BgL_blocksz00_bglt) BgL_auxz00_4280);
													}
													BgL_arg1870z00_2370 =
														(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4279))->
														BgL_cntz00);
												}
												BgL_auxz00_4278 = (BgL_arg1870z00_2370 - 1L);
											}
											{
												obj_t BgL_auxz00_4272;

												{	/* SawBbv/bbv-utils.scm 189 */
													BgL_objectz00_bglt BgL_tmpz00_4273;

													BgL_tmpz00_4273 =
														((BgL_objectz00_bglt)
														((BgL_blockz00_bglt) BgL_bz00_2368));
													BgL_auxz00_4272 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4273);
												}
												BgL_auxz00_4271 =
													((BgL_blocksz00_bglt) BgL_auxz00_4272);
											}
											((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4271))->
													BgL_cntz00) = ((long) BgL_auxz00_4278), BUNSPEC);
										}
										{	/* SawBbv/bbv-utils.scm 191 */
											obj_t BgL_arg1872z00_2371;

											{	/* SawBbv/bbv-utils.scm 191 */
												obj_t BgL_arg1875z00_2373;

												BgL_arg1875z00_2373 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																((BgL_blockz00_bglt) BgL_bz00_2368))))->
													BgL_predsz00);
												{	/* SawBbv/bbv-utils.scm 191 */
													obj_t BgL_zc3z04anonymousza31876ze3z87_3411;

													BgL_zc3z04anonymousza31876ze3z87_3411 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3z04anonymousza31876ze3ze5zzsaw_bbvzd2utilszd2,
														(int) (1L), (int) (1L));
													PROCEDURE_SET(BgL_zc3z04anonymousza31876ze3z87_3411,
														(int) (0L), ((obj_t) BgL_oldz00_102));
													BgL_arg1872z00_2371 =
														BGl_filterz12z12zz__r4_control_features_6_9z00
														(BgL_zc3z04anonymousza31876ze3z87_3411,
														BgL_arg1875z00_2373);
											}}
											BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(
												((BgL_blockz00_bglt) BgL_bz00_2368),
												BgL_arg1872z00_2371);
									}}
									{
										obj_t BgL_l1524z00_4301;

										BgL_l1524z00_4301 = CDR(BgL_l1524z00_2365);
										BgL_l1524z00_2365 = BgL_l1524z00_4301;
										goto BgL_zc3z04anonymousza31868ze3z87_2366;
									}
								}
							else
								{	/* SawBbv/bbv-utils.scm 187 */
									((bool_t) 1);
								}
						}
					}
					{	/* SawBbv/bbv-utils.scm 193 */
						obj_t BgL_g1532z00_2379;

						BgL_g1532z00_2379 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_predsz00);
						{
							obj_t BgL_l1530z00_2381;

							BgL_l1530z00_2381 = BgL_g1532z00_2379;
						BgL_zc3z04anonymousza31878ze3z87_2382:
							if (PAIRP(BgL_l1530z00_2381))
								{	/* SawBbv/bbv-utils.scm 193 */
									{	/* SawBbv/bbv-utils.scm 194 */
										obj_t BgL_bz00_2384;

										BgL_bz00_2384 = CAR(BgL_l1530z00_2381);
										{
											obj_t BgL_auxz00_4308;

											{	/* SawBbv/bbv-utils.scm 195 */
												obj_t BgL_arg1880z00_2386;

												BgL_arg1880z00_2386 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																((BgL_blockz00_bglt) BgL_bz00_2384))))->
													BgL_succsz00);
												BgL_auxz00_4308 =
													BGl_loopze70ze7zzsaw_bbvzd2utilszd2(((obj_t)
														BgL_oldz00_102), ((obj_t) BgL_newz00_103),
													BgL_arg1880z00_2386);
											}
											((((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																((BgL_blockz00_bglt) BgL_bz00_2384))))->
													BgL_succsz00) = ((obj_t) BgL_auxz00_4308), BUNSPEC);
										}
										{	/* SawBbv/bbv-utils.scm 196 */
											obj_t BgL_g1529z00_2387;

											BgL_g1529z00_2387 =
												(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt)
															((BgL_blockz00_bglt) BgL_bz00_2384))))->
												BgL_firstz00);
											{
												obj_t BgL_l1527z00_2389;

												BgL_l1527z00_2389 = BgL_g1529z00_2387;
											BgL_zc3z04anonymousza31881ze3z87_2390:
												if (PAIRP(BgL_l1527z00_2389))
													{	/* SawBbv/bbv-utils.scm 196 */
														{	/* SawBbv/bbv-utils.scm 198 */
															obj_t BgL_insz00_2392;

															BgL_insz00_2392 = CAR(BgL_l1527z00_2389);
															if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
																	((BgL_rtl_insz00_bglt) BgL_insz00_2392)))
																{	/* SawBbv/bbv-utils.scm 200 */
																	BgL_rtl_ifeqz00_bglt BgL_i1198z00_2395;

																	BgL_i1198z00_2395 =
																		((BgL_rtl_ifeqz00_bglt)
																		(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_insz00_2392)))->BgL_funz00));
																	if ((((obj_t) (((BgL_rtl_ifeqz00_bglt)
																						COBJECT(BgL_i1198z00_2395))->
																					BgL_thenz00)) ==
																			((obj_t) BgL_oldz00_102)))
																		{	/* SawBbv/bbv-utils.scm 201 */
																			((((BgL_rtl_ifeqz00_bglt)
																						COBJECT(BgL_i1198z00_2395))->
																					BgL_thenz00) =
																				((BgL_blockz00_bglt) (
																						(BgL_blockz00_bglt)
																						BgL_newz00_103)), BUNSPEC);
																		}
																	else
																		{	/* SawBbv/bbv-utils.scm 201 */
																			BFALSE;
																		}
																}
															else
																{	/* SawBbv/bbv-utils.scm 198 */
																	if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(((BgL_rtl_insz00_bglt) BgL_insz00_2392)))
																		{	/* SawBbv/bbv-utils.scm 205 */
																			BgL_rtl_ifnez00_bglt BgL_i1200z00_2401;

																			BgL_i1200z00_2401 =
																				((BgL_rtl_ifnez00_bglt)
																				(((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_insz00_2392)))->
																					BgL_funz00));
																			if ((((obj_t) (((BgL_rtl_ifnez00_bglt)
																								COBJECT(BgL_i1200z00_2401))->
																							BgL_thenz00)) ==
																					((obj_t) BgL_oldz00_102)))
																				{	/* SawBbv/bbv-utils.scm 206 */
																					((((BgL_rtl_ifnez00_bglt)
																								COBJECT(BgL_i1200z00_2401))->
																							BgL_thenz00) =
																						((BgL_blockz00_bglt) (
																								(BgL_blockz00_bglt)
																								BgL_newz00_103)), BUNSPEC);
																				}
																			else
																				{	/* SawBbv/bbv-utils.scm 206 */
																					BFALSE;
																				}
																		}
																	else
																		{	/* SawBbv/bbv-utils.scm 203 */
																			if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(((BgL_rtl_insz00_bglt) BgL_insz00_2392)))
																				{	/* SawBbv/bbv-utils.scm 210 */
																					BgL_rtl_goz00_bglt BgL_i1202z00_2407;

																					BgL_i1202z00_2407 =
																						((BgL_rtl_goz00_bglt)
																						(((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_insz00_2392)))->
																							BgL_funz00));
																					if ((((obj_t) (((BgL_rtl_goz00_bglt)
																										COBJECT
																										(BgL_i1202z00_2407))->
																									BgL_toz00)) ==
																							((obj_t) BgL_oldz00_102)))
																						{	/* SawBbv/bbv-utils.scm 211 */
																							((((BgL_rtl_goz00_bglt)
																										COBJECT
																										(BgL_i1202z00_2407))->
																									BgL_toz00) =
																								((BgL_blockz00_bglt) (
																										(BgL_blockz00_bglt)
																										BgL_newz00_103)), BUNSPEC);
																						}
																					else
																						{	/* SawBbv/bbv-utils.scm 211 */
																							BFALSE;
																						}
																				}
																			else
																				{	/* SawBbv/bbv-utils.scm 208 */
																					if (CBOOL
																						(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2
																							(((BgL_rtl_insz00_bglt)
																									BgL_insz00_2392))))
																						{	/* SawBbv/bbv-utils.scm 215 */
																							BgL_rtl_switchz00_bglt
																								BgL_i1204z00_2413;
																							BgL_i1204z00_2413 =
																								((BgL_rtl_switchz00_bglt) ((
																										(BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_insz00_2392)))->
																									BgL_funz00));
																							{
																								obj_t BgL_auxz00_4370;

																								{	/* SawBbv/bbv-utils.scm 216 */
																									obj_t BgL_arg1896z00_2414;

																									BgL_arg1896z00_2414 =
																										(((BgL_rtl_switchz00_bglt)
																											COBJECT
																											(BgL_i1204z00_2413))->
																										BgL_labelsz00);
																									BgL_auxz00_4370 =
																										BGl_loopze70ze7zzsaw_bbvzd2utilszd2
																										(((obj_t) BgL_oldz00_102),
																										((obj_t) BgL_newz00_103),
																										((obj_t)
																											BgL_arg1896z00_2414));
																								}
																								((((BgL_rtl_switchz00_bglt)
																											COBJECT
																											(BgL_i1204z00_2413))->
																										BgL_labelsz00) =
																									((obj_t) BgL_auxz00_4370),
																									BUNSPEC);
																							}
																						}
																					else
																						{	/* SawBbv/bbv-utils.scm 213 */
																							BFALSE;
																						}
																				}
																		}
																}
														}
														{
															obj_t BgL_l1527z00_4377;

															BgL_l1527z00_4377 = CDR(BgL_l1527z00_2389);
															BgL_l1527z00_2389 = BgL_l1527z00_4377;
															goto BgL_zc3z04anonymousza31881ze3z87_2390;
														}
													}
												else
													{	/* SawBbv/bbv-utils.scm 196 */
														((bool_t) 1);
													}
											}
										}
									}
									{
										obj_t BgL_l1530z00_4379;

										BgL_l1530z00_4379 = CDR(BgL_l1530z00_2381);
										BgL_l1530z00_2381 = BgL_l1530z00_4379;
										goto BgL_zc3z04anonymousza31878ze3z87_2382;
									}
								}
							else
								{	/* SawBbv/bbv-utils.scm 193 */
									((bool_t) 1);
								}
						}
					}
					{	/* SawBbv/bbv-utils.scm 221 */
						obj_t BgL_arg1899z00_2420;

						{	/* SawBbv/bbv-utils.scm 221 */
							obj_t BgL_arg1900z00_2421;

							{	/* SawBbv/bbv-utils.scm 221 */
								obj_t BgL_arg1901z00_2422;
								obj_t BgL_arg1905z00_2423;

								BgL_arg1901z00_2422 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_predsz00);
								BgL_arg1905z00_2423 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_newz00_103)))->BgL_predsz00);
								BgL_arg1900z00_2421 =
									BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2(BgL_arg1901z00_2422,
									BgL_arg1905z00_2423);
							}
							BgL_arg1899z00_2420 =
								BGl_deletezd2duplicatesz12zc0zz__r4_pairs_and_lists_6_3z00
								(BgL_arg1900z00_2421,
								BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00);
						}
						BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(
							((BgL_blockz00_bglt) BgL_newz00_103), BgL_arg1899z00_2420);
					}
					if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
						{	/* SawBbv/bbv-utils.scm 222 */
							BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_newz00_103,
								BGl_string2146z00zzsaw_bbvzd2utilszd2);
						}
					else
						{	/* SawBbv/bbv-utils.scm 222 */
							BFALSE;
						}
					return ((obj_t) BgL_newz00_103);
				}
		}

	}



/* &<@anonymous:1876> */
	obj_t BGl_z62zc3z04anonymousza31876ze3ze5zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3412, obj_t BgL_nz00_3414)
	{
		{	/* SawBbv/bbv-utils.scm 191 */
			{	/* SawBbv/bbv-utils.scm 191 */
				bool_t BgL_tmpz00_4393;

				if (
					(BgL_nz00_3414 ==
						((obj_t)
							((BgL_blockz00_bglt)
								PROCEDURE_REF(BgL_envz00_3412, (int) (0L))))))
					{	/* SawBbv/bbv-utils.scm 191 */
						BgL_tmpz00_4393 = ((bool_t) 0);
					}
				else
					{	/* SawBbv/bbv-utils.scm 191 */
						BgL_tmpz00_4393 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_4393);
			}
		}

	}



/* ctx>=? */
	bool_t BGl_ctxze3zd3zf3zc3zzsaw_bbvzd2utilszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_xz00_107, BgL_bbvzd2ctxzd2_bglt BgL_yz00_108)
	{
		{	/* SawBbv/bbv-utils.scm 229 */
			{
				obj_t BgL_xz00_2439;
				obj_t BgL_yz00_2440;

				{	/* SawBbv/bbv-utils.scm 258 */
					obj_t BgL_g1541z00_2426;

					BgL_g1541z00_2426 =
						(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_xz00_107))->BgL_entriesz00);
					{
						obj_t BgL_l1539z00_2428;

						BgL_l1539z00_2428 = BgL_g1541z00_2426;
					BgL_zc3z04anonymousza31906ze3z87_2429:
						if (NULLP(BgL_l1539z00_2428))
							{	/* SawBbv/bbv-utils.scm 258 */
								return ((bool_t) 1);
							}
						else
							{	/* SawBbv/bbv-utils.scm 258 */
								bool_t BgL_test2269z00_4404;

								{	/* SawBbv/bbv-utils.scm 259 */
									obj_t BgL_exz00_2434;

									BgL_exz00_2434 = CAR(((obj_t) BgL_l1539z00_2428));
									{	/* SawBbv/bbv-utils.scm 260 */
										obj_t BgL_eyz00_2436;

										{	/* SawBbv/bbv-utils.scm 260 */
											BgL_rtl_regz00_bglt BgL_arg1909z00_2437;

											BgL_arg1909z00_2437 =
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_exz00_2434)))->
												BgL_regz00);
											BgL_eyz00_2436 =
												BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_yz00_108,
												BgL_arg1909z00_2437);
										}
										BgL_xz00_2439 = BgL_exz00_2434;
										BgL_yz00_2440 = BgL_eyz00_2436;
										{	/* SawBbv/bbv-utils.scm 239 */
											bool_t BgL_test2270z00_4410;

											{	/* SawBbv/bbv-utils.scm 239 */
												obj_t BgL_arg1951z00_2503;

												BgL_arg1951z00_2503 =
													(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
															((BgL_bbvzd2ctxentryzd2_bglt) BgL_xz00_2439)))->
													BgL_typesz00);
												BgL_test2270z00_4410 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BGl_za2objza2z00zztype_cachez00,
														BgL_arg1951z00_2503));
											}
											if (BgL_test2270z00_4410)
												{	/* SawBbv/bbv-utils.scm 239 */
													BgL_test2269z00_4404 = ((bool_t) 1);
												}
											else
												{	/* SawBbv/bbv-utils.scm 241 */
													bool_t BgL_test2271z00_4415;

													{	/* SawBbv/bbv-utils.scm 241 */
														obj_t BgL_arg1950z00_2502;

														BgL_arg1950z00_2502 =
															(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																	((BgL_bbvzd2ctxentryzd2_bglt)
																		BgL_yz00_2440)))->BgL_typesz00);
														BgL_test2271z00_4415 =
															CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BGl_za2objza2z00zztype_cachez00,
																BgL_arg1950z00_2502));
													}
													if (BgL_test2271z00_4415)
														{	/* SawBbv/bbv-utils.scm 241 */
															BgL_test2269z00_4404 = ((bool_t) 0);
														}
													else
														{	/* SawBbv/bbv-utils.scm 241 */
															if (
																(BBOOL(
																		(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																					((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_xz00_2439)))->
																			BgL_polarityz00)) ==
																	BBOOL((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_yz00_2440)))->
																			BgL_polarityz00))))
																{	/* SawBbv/bbv-utils.scm 245 */
																	bool_t BgL_test2273z00_4428;

																	{
																		obj_t BgL_l1533z00_2491;

																		BgL_l1533z00_2491 =
																			(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																					((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_xz00_2439)))->BgL_typesz00);
																	BgL_zc3z04anonymousza31945ze3z87_2492:
																		if (NULLP(BgL_l1533z00_2491))
																			{	/* SawBbv/bbv-utils.scm 245 */
																				BgL_test2273z00_4428 = ((bool_t) 1);
																			}
																		else
																			{	/* SawBbv/bbv-utils.scm 245 */
																				if (CBOOL
																					(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																						(CAR(((obj_t) BgL_l1533z00_2491)),
																							(((BgL_bbvzd2ctxentryzd2_bglt)
																									COBJECT((
																											(BgL_bbvzd2ctxentryzd2_bglt)
																											BgL_yz00_2440)))->
																								BgL_typesz00))))
																					{
																						obj_t BgL_l1533z00_4438;

																						BgL_l1533z00_4438 =
																							CDR(((obj_t) BgL_l1533z00_2491));
																						BgL_l1533z00_2491 =
																							BgL_l1533z00_4438;
																						goto
																							BgL_zc3z04anonymousza31945ze3z87_2492;
																					}
																				else
																					{	/* SawBbv/bbv-utils.scm 245 */
																						BgL_test2273z00_4428 = ((bool_t) 0);
																					}
																			}
																	}
																	if (BgL_test2273z00_4428)
																		{	/* SawBbv/bbv-utils.scm 247 */
																			bool_t BgL_test2276z00_4443;

																			{	/* SawBbv/bbv-utils.scm 247 */
																				obj_t BgL_arg1944z00_2488;

																				BgL_arg1944z00_2488 =
																					(((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT((
																								(BgL_bbvzd2ctxentryzd2_bglt)
																								BgL_xz00_2439)))->BgL_valuez00);
																				{	/* SawBbv/bbv-utils.scm 247 */
																					obj_t BgL_classz00_3171;

																					BgL_classz00_3171 =
																						BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																					if (BGL_OBJECTP(BgL_arg1944z00_2488))
																						{	/* SawBbv/bbv-utils.scm 247 */
																							BgL_objectz00_bglt
																								BgL_arg1801z00_3173;
																							BgL_arg1801z00_3173 =
																								(BgL_objectz00_bglt)
																								(BgL_arg1944z00_2488);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* SawBbv/bbv-utils.scm 247 */
																									long BgL_idxz00_3179;

																									BgL_idxz00_3179 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1801z00_3173);
																									BgL_test2276z00_4443 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_3179 + 1L)) ==
																										BgL_classz00_3171);
																								}
																							else
																								{	/* SawBbv/bbv-utils.scm 247 */
																									bool_t BgL_res2131z00_3201;

																									{	/* SawBbv/bbv-utils.scm 247 */
																										obj_t BgL_oclassz00_3187;

																										{	/* SawBbv/bbv-utils.scm 247 */
																											long BgL_arg1808z00_3193;

																											{	/* SawBbv/bbv-utils.scm 247 */
																												long
																													BgL_arg1809z00_3194;
																												BgL_arg1809z00_3194 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1801z00_3173);
																												BgL_arg1808z00_3193 =
																													(BgL_arg1809z00_3194 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_3187 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1808z00_3193);
																										}
																										{	/* SawBbv/bbv-utils.scm 247 */
																											bool_t
																												BgL__ortest_1115z00_3188;
																											BgL__ortest_1115z00_3188 =
																												(BgL_classz00_3171 ==
																												BgL_oclassz00_3187);
																											if (BgL__ortest_1115z00_3188)
																												{	/* SawBbv/bbv-utils.scm 247 */
																													BgL_res2131z00_3201 =
																														BgL__ortest_1115z00_3188;
																												}
																											else
																												{	/* SawBbv/bbv-utils.scm 247 */
																													long
																														BgL_odepthz00_3189;
																													BgL_odepthz00_3189 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_3187);
																													if ((1L <
																															BgL_odepthz00_3189))
																														{	/* SawBbv/bbv-utils.scm 247 */
																															obj_t
																																BgL_arg1797z00_3191;
																															BgL_arg1797z00_3191
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_3187,
																																1L);
																															BgL_res2131z00_3201
																																=
																																(BgL_arg1797z00_3191
																																==
																																BgL_classz00_3171);
																														}
																													else
																														{	/* SawBbv/bbv-utils.scm 247 */
																															BgL_res2131z00_3201
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test2276z00_4443 =
																										BgL_res2131z00_3201;
																								}
																						}
																					else
																						{	/* SawBbv/bbv-utils.scm 247 */
																							BgL_test2276z00_4443 =
																								((bool_t) 0);
																						}
																				}
																			}
																			if (BgL_test2276z00_4443)
																				{	/* SawBbv/bbv-utils.scm 248 */
																					bool_t BgL_test2281z00_4465;

																					{	/* SawBbv/bbv-utils.scm 248 */
																						obj_t BgL_arg1943z00_2487;

																						BgL_arg1943z00_2487 =
																							(((BgL_bbvzd2ctxentryzd2_bglt)
																								COBJECT((
																										(BgL_bbvzd2ctxentryzd2_bglt)
																										BgL_yz00_2440)))->
																							BgL_valuez00);
																						{	/* SawBbv/bbv-utils.scm 248 */
																							obj_t BgL_classz00_3202;

																							BgL_classz00_3202 =
																								BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																							if (BGL_OBJECTP
																								(BgL_arg1943z00_2487))
																								{	/* SawBbv/bbv-utils.scm 248 */
																									BgL_objectz00_bglt
																										BgL_arg1801z00_3204;
																									BgL_arg1801z00_3204 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1943z00_2487);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* SawBbv/bbv-utils.scm 248 */
																											long BgL_idxz00_3210;

																											BgL_idxz00_3210 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1801z00_3204);
																											BgL_test2281z00_4465 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_3210 +
																														1L)) ==
																												BgL_classz00_3202);
																										}
																									else
																										{	/* SawBbv/bbv-utils.scm 248 */
																											bool_t
																												BgL_res2132z00_3232;
																											{	/* SawBbv/bbv-utils.scm 248 */
																												obj_t
																													BgL_oclassz00_3218;
																												{	/* SawBbv/bbv-utils.scm 248 */
																													long
																														BgL_arg1808z00_3224;
																													{	/* SawBbv/bbv-utils.scm 248 */
																														long
																															BgL_arg1809z00_3225;
																														BgL_arg1809z00_3225
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1801z00_3204);
																														BgL_arg1808z00_3224
																															=
																															(BgL_arg1809z00_3225
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_3218 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1808z00_3224);
																												}
																												{	/* SawBbv/bbv-utils.scm 248 */
																													bool_t
																														BgL__ortest_1115z00_3219;
																													BgL__ortest_1115z00_3219
																														=
																														(BgL_classz00_3202
																														==
																														BgL_oclassz00_3218);
																													if (BgL__ortest_1115z00_3219)
																														{	/* SawBbv/bbv-utils.scm 248 */
																															BgL_res2132z00_3232
																																=
																																BgL__ortest_1115z00_3219;
																														}
																													else
																														{	/* SawBbv/bbv-utils.scm 248 */
																															long
																																BgL_odepthz00_3220;
																															BgL_odepthz00_3220
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_3218);
																															if ((1L <
																																	BgL_odepthz00_3220))
																																{	/* SawBbv/bbv-utils.scm 248 */
																																	obj_t
																																		BgL_arg1797z00_3222;
																																	BgL_arg1797z00_3222
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_3218,
																																		1L);
																																	BgL_res2132z00_3232
																																		=
																																		(BgL_arg1797z00_3222
																																		==
																																		BgL_classz00_3202);
																																}
																															else
																																{	/* SawBbv/bbv-utils.scm 248 */
																																	BgL_res2132z00_3232
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2281z00_4465 =
																												BgL_res2132z00_3232;
																										}
																								}
																							else
																								{	/* SawBbv/bbv-utils.scm 248 */
																									BgL_test2281z00_4465 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2281z00_4465)
																						{	/* SawBbv/bbv-utils.scm 249 */
																							BgL_bbvzd2rangezd2_bglt
																								BgL_i1208z00_2467;
																							BgL_i1208z00_2467 =
																								((BgL_bbvzd2rangezd2_bglt) ((
																										(BgL_bbvzd2ctxentryzd2_bglt)
																										COBJECT((
																												(BgL_bbvzd2ctxentryzd2_bglt)
																												BgL_xz00_2439)))->
																									BgL_valuez00));
																							{	/* SawBbv/bbv-utils.scm 250 */
																								BgL_bbvzd2rangezd2_bglt
																									BgL_i1209z00_2468;
																								BgL_i1209z00_2468 =
																									((BgL_bbvzd2rangezd2_bglt) ((
																											(BgL_bbvzd2ctxentryzd2_bglt)
																											COBJECT((
																													(BgL_bbvzd2ctxentryzd2_bglt)
																													BgL_yz00_2440)))->
																										BgL_valuez00));
																								{	/* SawBbv/bbv-utils.scm 251 */
																									bool_t BgL_rz00_2469;

																									if (
																										((long) CINT(
																												(((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1208z00_2467))->BgL_loz00)) <= (long) CINT((((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1209z00_2468))->BgL_loz00))))
																										{	/* SawBbv/bbv-utils.scm 251 */
																											obj_t BgL_a1537z00_2482;

																											BgL_a1537z00_2482 =
																												(((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1208z00_2467))->BgL_upz00);
																											{	/* SawBbv/bbv-utils.scm 251 */
																												obj_t BgL_b1538z00_2483;

																												BgL_b1538z00_2483 =
																													(((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1209z00_2468))->BgL_upz00);
																												{	/* SawBbv/bbv-utils.scm 251 */

																													{	/* SawBbv/bbv-utils.scm 251 */
																														bool_t
																															BgL_test2287z00_4501;
																														if (INTEGERP
																															(BgL_a1537z00_2482))
																															{	/* SawBbv/bbv-utils.scm 251 */
																																BgL_test2287z00_4501
																																	=
																																	INTEGERP
																																	(BgL_b1538z00_2483);
																															}
																														else
																															{	/* SawBbv/bbv-utils.scm 251 */
																																BgL_test2287z00_4501
																																	=
																																	((bool_t) 0);
																															}
																														if (BgL_test2287z00_4501)
																															{	/* SawBbv/bbv-utils.scm 251 */
																																BgL_rz00_2469 =
																																	(
																																	(long)
																																	CINT
																																	(BgL_a1537z00_2482)
																																	>=
																																	(long)
																																	CINT
																																	(BgL_b1538z00_2483));
																															}
																														else
																															{	/* SawBbv/bbv-utils.scm 251 */
																																BgL_rz00_2469 =
																																	BGl_2ze3zd3z30zz__r4_numbers_6_5z00
																																	(BgL_a1537z00_2482,
																																	BgL_b1538z00_2483);
																															}
																													}
																												}
																											}
																										}
																									else
																										{	/* SawBbv/bbv-utils.scm 251 */
																											BgL_rz00_2469 =
																												((bool_t) 0);
																										}
																									if (BgL_rz00_2469)
																										{	/* SawBbv/bbv-utils.scm 252 */
																											BFALSE;
																										}
																									else
																										{	/* SawBbv/bbv-utils.scm 253 */
																											obj_t BgL_arg1928z00_2470;
																											obj_t BgL_arg1929z00_2471;
																											obj_t BgL_arg1930z00_2472;

																											{	/* SawBbv/bbv-utils.scm 253 */
																												obj_t BgL_tmpz00_4510;

																												BgL_tmpz00_4510 =
																													BGL_CURRENT_DYNAMIC_ENV
																													();
																												BgL_arg1928z00_2470 =
																													BGL_ENV_CURRENT_ERROR_PORT
																													(BgL_tmpz00_4510);
																											}
																											BgL_arg1929z00_2471 =
																												BGl_shapez00zztools_shapez00
																												(BgL_xz00_2439);
																											BgL_arg1930z00_2472 =
																												BGl_shapez00zztools_shapez00
																												(BgL_yz00_2440);
																											{	/* SawBbv/bbv-utils.scm 253 */
																												obj_t
																													BgL_list1931z00_2473;
																												{	/* SawBbv/bbv-utils.scm 253 */
																													obj_t
																														BgL_arg1933z00_2474;
																													{	/* SawBbv/bbv-utils.scm 253 */
																														obj_t
																															BgL_arg1934z00_2475;
																														{	/* SawBbv/bbv-utils.scm 253 */
																															obj_t
																																BgL_arg1935z00_2476;
																															{	/* SawBbv/bbv-utils.scm 253 */
																																obj_t
																																	BgL_arg1936z00_2477;
																																{	/* SawBbv/bbv-utils.scm 253 */
																																	obj_t
																																		BgL_arg1937z00_2478;
																																	{	/* SawBbv/bbv-utils.scm 253 */
																																		obj_t
																																			BgL_arg1938z00_2479;
																																		{	/* SawBbv/bbv-utils.scm 253 */
																																			obj_t
																																				BgL_arg1939z00_2480;
																																			BgL_arg1939z00_2480
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1930z00_2472,
																																				BNIL);
																																			BgL_arg1938z00_2479
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_string2147z00zzsaw_bbvzd2utilszd2,
																																				BgL_arg1939z00_2480);
																																		}
																																		BgL_arg1937z00_2478
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1929z00_2471,
																																			BgL_arg1938z00_2479);
																																	}
																																	BgL_arg1936z00_2477
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string2148z00zzsaw_bbvzd2utilszd2,
																																		BgL_arg1937z00_2478);
																																}
																																BgL_arg1935z00_2476
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string2139z00zzsaw_bbvzd2utilszd2,
																																	BgL_arg1936z00_2477);
																															}
																															BgL_arg1934z00_2475
																																=
																																MAKE_YOUNG_PAIR
																																(BINT(253L),
																																BgL_arg1935z00_2476);
																														}
																														BgL_arg1933z00_2474
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string2140z00zzsaw_bbvzd2utilszd2,
																															BgL_arg1934z00_2475);
																													}
																													BgL_list1931z00_2473 =
																														MAKE_YOUNG_PAIR
																														(BGl_string2141z00zzsaw_bbvzd2utilszd2,
																														BgL_arg1933z00_2474);
																												}
																												BGl_tprintz00zz__r4_output_6_10_3z00
																													(BgL_arg1928z00_2470,
																													BgL_list1931z00_2473);
																											}
																										}
																									BgL_test2269z00_4404 =
																										BgL_rz00_2469;
																								}
																							}
																						}
																					else
																						{	/* SawBbv/bbv-utils.scm 248 */
																							BgL_test2269z00_4404 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* SawBbv/bbv-utils.scm 247 */
																					BgL_test2269z00_4404 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* SawBbv/bbv-utils.scm 245 */
																			BgL_test2269z00_4404 = ((bool_t) 0);
																		}
																}
															else
																{	/* SawBbv/bbv-utils.scm 243 */
																	BgL_test2269z00_4404 = ((bool_t) 0);
																}
														}
												}
										}
									}
								}
								if (BgL_test2269z00_4404)
									{	/* SawBbv/bbv-utils.scm 258 */
										obj_t BgL_arg1908z00_2433;

										BgL_arg1908z00_2433 = CDR(((obj_t) BgL_l1539z00_2428));
										{
											obj_t BgL_l1539z00_4527;

											BgL_l1539z00_4527 = BgL_arg1908z00_2433;
											BgL_l1539z00_2428 = BgL_l1539z00_4527;
											goto BgL_zc3z04anonymousza31906ze3z87_2429;
										}
									}
								else
									{	/* SawBbv/bbv-utils.scm 258 */
										return ((bool_t) 0);
									}
							}
					}
				}
			}
		}

	}



/* bbv-ctx-filter-live-in-regs */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_109, BgL_rtl_insz00_bglt BgL_insz00_110)
	{
		{	/* SawBbv/bbv-utils.scm 269 */
			{	/* SawBbv/bbv-utils.scm 269 */
				obj_t BgL_filteredz00_3428;

				BgL_filteredz00_3428 = MAKE_CELL(BFALSE);
				{
					BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2513;
					BgL_rtl_insz00_bglt BgL_insz00_2514;

					{	/* SawBbv/bbv-utils.scm 294 */
						obj_t BgL_entriesz00_2507;

						BgL_ctxz00_2513 = BgL_ctxz00_109;
						BgL_insz00_2514 = BgL_insz00_110;
						{	/* SawBbv/bbv-utils.scm 275 */
							obj_t BgL_arg1956z00_2518;

							BgL_arg1956z00_2518 =
								(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2513))->
								BgL_entriesz00);
							{	/* SawBbv/bbv-utils.scm 276 */
								obj_t BgL_zc3z04anonymousza31958ze3z87_3418;

								BgL_zc3z04anonymousza31958ze3z87_3418 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_bbvzd2utilszd2,
									(int) (1L), (int) (2L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31958ze3z87_3418, (int) (0L),
									((obj_t) BgL_filteredz00_3428));
								PROCEDURE_SET(BgL_zc3z04anonymousza31958ze3z87_3418, (int) (1L),
									((obj_t) BgL_insz00_2514));
								{	/* SawBbv/bbv-utils.scm 275 */
									obj_t BgL_list1957z00_2519;

									BgL_list1957z00_2519 =
										MAKE_YOUNG_PAIR(BgL_arg1956z00_2518, BNIL);
									BgL_entriesz00_2507 =
										BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
										(BgL_zc3z04anonymousza31958ze3z87_3418,
										BgL_list1957z00_2519);
						}}}
						if (CBOOL(CELL_REF(BgL_filteredz00_3428)))
							{	/* SawBbv/bbv-utils.scm 296 */
								BgL_bbvzd2ctxzd2_bglt BgL_new1218z00_2509;

								{	/* SawBbv/bbv-utils.scm 296 */
									BgL_bbvzd2ctxzd2_bglt BgL_new1221z00_2511;

									BgL_new1221z00_2511 =
										((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_bbvzd2ctxzd2_bgl))));
									{	/* SawBbv/bbv-utils.scm 296 */
										long BgL_arg1953z00_2512;

										BgL_arg1953z00_2512 =
											BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1221z00_2511),
											BgL_arg1953z00_2512);
									}
									BgL_new1218z00_2509 = BgL_new1221z00_2511;
								}
								((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1218z00_2509))->
										BgL_idz00) =
									((long) (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_109))->
											BgL_idz00)), BUNSPEC);
								((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1218z00_2509))->
										BgL_entriesz00) = ((obj_t) BgL_entriesz00_2507), BUNSPEC);
								{	/* SawBbv/bbv-utils.scm 297 */
									obj_t BgL_fun1952z00_2510;

									BgL_fun1952z00_2510 =
										BGl_classzd2constructorzd2zz__objectz00
										(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
									(VA_PROCEDUREP(BgL_fun1952z00_2510) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_fun1952z00_2510))
										(BgL_fun1952z00_2510, ((obj_t) BgL_new1218z00_2509),
											BEOA) : ((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun1952z00_2510))
										(BgL_fun1952z00_2510, ((obj_t) BgL_new1218z00_2509)));
								}
								return BgL_new1218z00_2509;
							}
						else
							{	/* SawBbv/bbv-utils.scm 295 */
								return BgL_ctxz00_109;
							}
					}
				}
			}
		}

	}



/* &bbv-ctx-filter-live-in-regs */
	BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2filterzd2livezd2inzd2regszb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3419, obj_t BgL_ctxz00_3420, obj_t BgL_insz00_3421)
	{
		{	/* SawBbv/bbv-utils.scm 269 */
			return
				BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2zzsaw_bbvzd2utilszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_3420),
				((BgL_rtl_insz00_bglt) BgL_insz00_3421));
		}

	}



/* &<@anonymous:1958> */
	obj_t BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3422, obj_t BgL_ez00_3425)
	{
		{	/* SawBbv/bbv-utils.scm 275 */
			{	/* SawBbv/bbv-utils.scm 276 */
				obj_t BgL_filteredz00_3423;
				BgL_rtl_insz00_bglt BgL_i1213z00_3424;

				BgL_filteredz00_3423 = PROCEDURE_REF(BgL_envz00_3422, (int) (0L));
				BgL_i1213z00_3424 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_3422, (int) (1L)));
				{	/* SawBbv/bbv-utils.scm 276 */
					BgL_rtl_regz00_bglt BgL_regz00_3499;

					BgL_regz00_3499 =
						(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3425)))->BgL_regz00);
					{	/* SawBbv/bbv-utils.scm 277 */
						bool_t BgL_test2291z00_4565;

						{	/* SawBbv/bbv-utils.scm 277 */
							bool_t BgL_test2292z00_4566;

							{	/* SawBbv/bbv-utils.scm 277 */
								obj_t BgL_classz00_3500;

								BgL_classz00_3500 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
								{	/* SawBbv/bbv-utils.scm 277 */
									BgL_objectz00_bglt BgL_arg1801z00_3501;

									{	/* SawBbv/bbv-utils.scm 277 */
										obj_t BgL_tmpz00_4567;

										BgL_tmpz00_4567 =
											((obj_t) ((BgL_objectz00_bglt) BgL_regz00_3499));
										BgL_arg1801z00_3501 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4567);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-utils.scm 277 */
											long BgL_idxz00_3502;

											BgL_idxz00_3502 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3501);
											BgL_test2292z00_4566 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3502 + 2L)) == BgL_classz00_3500);
										}
									else
										{	/* SawBbv/bbv-utils.scm 277 */
											bool_t BgL_res2133z00_3505;

											{	/* SawBbv/bbv-utils.scm 277 */
												obj_t BgL_oclassz00_3506;

												{	/* SawBbv/bbv-utils.scm 277 */
													long BgL_arg1808z00_3507;

													{	/* SawBbv/bbv-utils.scm 277 */
														long BgL_arg1809z00_3508;

														BgL_arg1809z00_3508 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3501);
														BgL_arg1808z00_3507 =
															(BgL_arg1809z00_3508 - OBJECT_TYPE);
													}
													BgL_oclassz00_3506 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_3507);
												}
												{	/* SawBbv/bbv-utils.scm 277 */
													bool_t BgL__ortest_1115z00_3509;

													BgL__ortest_1115z00_3509 =
														(BgL_classz00_3500 == BgL_oclassz00_3506);
													if (BgL__ortest_1115z00_3509)
														{	/* SawBbv/bbv-utils.scm 277 */
															BgL_res2133z00_3505 = BgL__ortest_1115z00_3509;
														}
													else
														{	/* SawBbv/bbv-utils.scm 277 */
															long BgL_odepthz00_3510;

															BgL_odepthz00_3510 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3506);
															if ((2L < BgL_odepthz00_3510))
																{	/* SawBbv/bbv-utils.scm 277 */
																	obj_t BgL_arg1797z00_3511;

																	BgL_arg1797z00_3511 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3506,
																		2L);
																	BgL_res2133z00_3505 =
																		(BgL_arg1797z00_3511 == BgL_classz00_3500);
																}
															else
																{	/* SawBbv/bbv-utils.scm 277 */
																	BgL_res2133z00_3505 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2292z00_4566 = BgL_res2133z00_3505;
										}
								}
							}
							if (BgL_test2292z00_4566)
								{	/* SawBbv/bbv-utils.scm 278 */
									obj_t BgL_arg1978z00_3512;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4587;

										{
											obj_t BgL_auxz00_4588;

											{	/* SawBbv/bbv-utils.scm 278 */
												BgL_objectz00_bglt BgL_tmpz00_4589;

												BgL_tmpz00_4589 =
													((BgL_objectz00_bglt) BgL_i1213z00_3424);
												BgL_auxz00_4588 = BGL_OBJECT_WIDENING(BgL_tmpz00_4589);
											}
											BgL_auxz00_4587 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4588);
										}
										BgL_arg1978z00_3512 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_4587))->
											BgL_inz00);
									}
									BgL_test2291z00_4565 =
										BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
										((BgL_rtl_regz00_bglt) BgL_regz00_3499),
										((BgL_regsetz00_bglt) BgL_arg1978z00_3512));
								}
							else
								{	/* SawBbv/bbv-utils.scm 277 */
									BgL_test2291z00_4565 = ((bool_t) 1);
								}
						}
						if (BgL_test2291z00_4565)
							{	/* SawBbv/bbv-utils.scm 279 */
								obj_t BgL_aliasesz00_3513;

								{	/* SawBbv/bbv-utils.scm 279 */
									obj_t BgL_hook1547z00_3514;

									BgL_hook1547z00_3514 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
									{	/* SawBbv/bbv-utils.scm 281 */
										obj_t BgL_g1548z00_3515;

										BgL_g1548z00_3515 =
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3425)))->
											BgL_aliasesz00);
										{
											obj_t BgL_l1544z00_3517;
											obj_t BgL_h1545z00_3518;

											BgL_l1544z00_3517 = BgL_g1548z00_3515;
											BgL_h1545z00_3518 = BgL_hook1547z00_3514;
										BgL_zc3z04anonymousza31970ze3z87_3516:
											if (NULLP(BgL_l1544z00_3517))
												{	/* SawBbv/bbv-utils.scm 281 */
													BgL_aliasesz00_3513 = CDR(BgL_hook1547z00_3514);
												}
											else
												{	/* SawBbv/bbv-utils.scm 281 */
													bool_t BgL_test2297z00_4603;

													{	/* SawBbv/bbv-utils.scm 280 */
														obj_t BgL_regz00_3519;

														BgL_regz00_3519 = CAR(((obj_t) BgL_l1544z00_3517));
														{	/* SawBbv/bbv-utils.scm 280 */
															obj_t BgL_arg1977z00_3520;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4606;

																{
																	obj_t BgL_auxz00_4607;

																	{	/* SawBbv/bbv-utils.scm 280 */
																		BgL_objectz00_bglt BgL_tmpz00_4608;

																		BgL_tmpz00_4608 =
																			((BgL_objectz00_bglt) BgL_i1213z00_3424);
																		BgL_auxz00_4607 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4608);
																	}
																	BgL_auxz00_4606 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_4607);
																}
																BgL_arg1977z00_3520 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_4606))->BgL_inz00);
															}
															BgL_test2297z00_4603 =
																BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
																((BgL_rtl_regz00_bglt) BgL_regz00_3519),
																((BgL_regsetz00_bglt) BgL_arg1977z00_3520));
														}
													}
													if (BgL_test2297z00_4603)
														{	/* SawBbv/bbv-utils.scm 281 */
															obj_t BgL_nh1546z00_3521;

															{	/* SawBbv/bbv-utils.scm 281 */
																obj_t BgL_arg1975z00_3522;

																BgL_arg1975z00_3522 =
																	CAR(((obj_t) BgL_l1544z00_3517));
																BgL_nh1546z00_3521 =
																	MAKE_YOUNG_PAIR(BgL_arg1975z00_3522, BNIL);
															}
															SET_CDR(BgL_h1545z00_3518, BgL_nh1546z00_3521);
															{	/* SawBbv/bbv-utils.scm 281 */
																obj_t BgL_arg1974z00_3523;

																BgL_arg1974z00_3523 =
																	CDR(((obj_t) BgL_l1544z00_3517));
																{
																	obj_t BgL_h1545z00_4623;
																	obj_t BgL_l1544z00_4622;

																	BgL_l1544z00_4622 = BgL_arg1974z00_3523;
																	BgL_h1545z00_4623 = BgL_nh1546z00_3521;
																	BgL_h1545z00_3518 = BgL_h1545z00_4623;
																	BgL_l1544z00_3517 = BgL_l1544z00_4622;
																	goto BgL_zc3z04anonymousza31970ze3z87_3516;
																}
															}
														}
													else
														{	/* SawBbv/bbv-utils.scm 281 */
															obj_t BgL_arg1976z00_3524;

															BgL_arg1976z00_3524 =
																CDR(((obj_t) BgL_l1544z00_3517));
															{
																obj_t BgL_l1544z00_4626;

																BgL_l1544z00_4626 = BgL_arg1976z00_3524;
																BgL_l1544z00_3517 = BgL_l1544z00_4626;
																goto BgL_zc3z04anonymousza31970ze3z87_3516;
															}
														}
												}
										}
									}
								}
								if (
									(bgl_list_length(BgL_aliasesz00_3513) ==
										bgl_list_length(
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3425)))->
												BgL_aliasesz00))))
									{	/* SawBbv/bbv-utils.scm 282 */
										return BgL_ez00_3425;
									}
								else
									{	/* SawBbv/bbv-utils.scm 282 */
										{	/* SawBbv/bbv-utils.scm 286 */
											obj_t BgL_auxz00_3525;

											BgL_auxz00_3525 = BTRUE;
											CELL_SET(BgL_filteredz00_3423, BgL_auxz00_3525);
										}
										{	/* SawBbv/bbv-utils.scm 287 */
											BgL_bbvzd2ctxentryzd2_bglt BgL_new1214z00_3526;

											{	/* SawBbv/bbv-utils.scm 287 */
												BgL_bbvzd2ctxentryzd2_bglt BgL_new1217z00_3527;

												BgL_new1217z00_3527 =
													((BgL_bbvzd2ctxentryzd2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_bbvzd2ctxentryzd2_bgl))));
												{	/* SawBbv/bbv-utils.scm 287 */
													long BgL_arg1966z00_3528;

													BgL_arg1966z00_3528 =
														BGL_CLASS_NUM
														(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
													BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
															BgL_new1217z00_3527), BgL_arg1966z00_3528);
												}
												BgL_new1214z00_3526 = BgL_new1217z00_3527;
											}
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3526))->BgL_regz00) =
												((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3425)))->BgL_regz00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3526))->BgL_typesz00) =
												((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3425)))->BgL_typesz00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3526))->BgL_polarityz00) =
												((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3425)))->BgL_polarityz00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3526))->BgL_valuez00) =
												((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3425)))->BgL_valuez00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3526))->BgL_aliasesz00) =
												((obj_t) BgL_aliasesz00_3513), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3526))->BgL_initvalz00) =
												((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3425)))->BgL_initvalz00)), BUNSPEC);
											return ((obj_t) BgL_new1214z00_3526);
										}
									}
							}
						else
							{	/* SawBbv/bbv-utils.scm 277 */
								{	/* SawBbv/bbv-utils.scm 290 */
									obj_t BgL_auxz00_3529;

									BgL_auxz00_3529 = BTRUE;
									CELL_SET(BgL_filteredz00_3423, BgL_auxz00_3529);
								}
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* bbv-ctx-extend-live-out-regs */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_111, BgL_rtl_insz00_bglt BgL_insz00_112)
	{
		{	/* SawBbv/bbv-utils.scm 303 */
			{	/* SawBbv/bbv-utils.scm 305 */
				obj_t BgL_entriesz00_2560;

				{	/* SawBbv/bbv-utils.scm 305 */
					obj_t BgL_hook1553z00_2578;

					BgL_hook1553z00_2578 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{	/* SawBbv/bbv-utils.scm 307 */
						obj_t BgL_g1554z00_2579;

						BgL_g1554z00_2579 =
							(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_111))->
							BgL_entriesz00);
						{
							obj_t BgL_l1550z00_2581;
							obj_t BgL_h1551z00_2582;

							BgL_l1550z00_2581 = BgL_g1554z00_2579;
							BgL_h1551z00_2582 = BgL_hook1553z00_2578;
						BgL_zc3z04anonymousza31988ze3z87_2583:
							if (NULLP(BgL_l1550z00_2581))
								{	/* SawBbv/bbv-utils.scm 307 */
									BgL_entriesz00_2560 = CDR(BgL_hook1553z00_2578);
								}
							else
								{	/* SawBbv/bbv-utils.scm 307 */
									bool_t BgL_test2300z00_4659;

									{	/* SawBbv/bbv-utils.scm 306 */
										obj_t BgL_ez00_2593;

										BgL_ez00_2593 = CAR(((obj_t) BgL_l1550z00_2581));
										{	/* SawBbv/bbv-utils.scm 306 */
											BgL_rtl_regz00_bglt BgL_arg1996z00_2594;
											obj_t BgL_arg1997z00_2595;

											BgL_arg1996z00_2594 =
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2593)))->
												BgL_regz00);
											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4664;

												{
													obj_t BgL_auxz00_4665;

													{	/* SawBbv/bbv-utils.scm 306 */
														BgL_objectz00_bglt BgL_tmpz00_4666;

														BgL_tmpz00_4666 =
															((BgL_objectz00_bglt) BgL_insz00_112);
														BgL_auxz00_4665 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4666);
													}
													BgL_auxz00_4664 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4665);
												}
												BgL_arg1997z00_2595 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_4664))->BgL_outz00);
											}
											BgL_test2300z00_4659 =
												BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
												((BgL_rtl_regz00_bglt) BgL_arg1996z00_2594),
												((BgL_regsetz00_bglt) BgL_arg1997z00_2595));
										}
									}
									if (BgL_test2300z00_4659)
										{	/* SawBbv/bbv-utils.scm 307 */
											obj_t BgL_nh1552z00_2589;

											{	/* SawBbv/bbv-utils.scm 307 */
												obj_t BgL_arg1994z00_2591;

												BgL_arg1994z00_2591 = CAR(((obj_t) BgL_l1550z00_2581));
												BgL_nh1552z00_2589 =
													MAKE_YOUNG_PAIR(BgL_arg1994z00_2591, BNIL);
											}
											SET_CDR(BgL_h1551z00_2582, BgL_nh1552z00_2589);
											{	/* SawBbv/bbv-utils.scm 307 */
												obj_t BgL_arg1993z00_2590;

												BgL_arg1993z00_2590 = CDR(((obj_t) BgL_l1550z00_2581));
												{
													obj_t BgL_h1551z00_4681;
													obj_t BgL_l1550z00_4680;

													BgL_l1550z00_4680 = BgL_arg1993z00_2590;
													BgL_h1551z00_4681 = BgL_nh1552z00_2589;
													BgL_h1551z00_2582 = BgL_h1551z00_4681;
													BgL_l1550z00_2581 = BgL_l1550z00_4680;
													goto BgL_zc3z04anonymousza31988ze3z87_2583;
												}
											}
										}
									else
										{	/* SawBbv/bbv-utils.scm 307 */
											obj_t BgL_arg1995z00_2592;

											BgL_arg1995z00_2592 = CDR(((obj_t) BgL_l1550z00_2581));
											{
												obj_t BgL_l1550z00_4684;

												BgL_l1550z00_4684 = BgL_arg1995z00_2592;
												BgL_l1550z00_2581 = BgL_l1550z00_4684;
												goto BgL_zc3z04anonymousza31988ze3z87_2583;
											}
										}
								}
						}
					}
				}
				{	/* SawBbv/bbv-utils.scm 308 */
					obj_t BgL_nctxz00_3438;

					{	/* SawBbv/bbv-utils.scm 310 */
						obj_t BgL_cellvalz00_4685;

						{	/* SawBbv/bbv-utils.scm 310 */
							BgL_bbvzd2ctxzd2_bglt BgL_new1223z00_2574;

							{	/* SawBbv/bbv-utils.scm 310 */
								BgL_bbvzd2ctxzd2_bglt BgL_new1226z00_2576;

								BgL_new1226z00_2576 =
									((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_bbvzd2ctxzd2_bgl))));
								{	/* SawBbv/bbv-utils.scm 310 */
									long BgL_arg1987z00_2577;

									BgL_arg1987z00_2577 =
										BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1226z00_2576),
										BgL_arg1987z00_2577);
								}
								BgL_new1223z00_2574 = BgL_new1226z00_2576;
							}
							((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1223z00_2574))->
									BgL_idz00) =
								((long) (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_111))->
										BgL_idz00)), BUNSPEC);
							((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1223z00_2574))->
									BgL_entriesz00) = ((obj_t) BgL_entriesz00_2560), BUNSPEC);
							{	/* SawBbv/bbv-utils.scm 311 */
								obj_t BgL_fun1986z00_2575;

								BgL_fun1986z00_2575 =
									BGl_classzd2constructorzd2zz__objectz00
									(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
								(VA_PROCEDUREP(BgL_fun1986z00_2575) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_fun1986z00_2575)) (BgL_fun1986z00_2575,
										((obj_t) BgL_new1223z00_2574), BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun1986z00_2575)) (BgL_fun1986z00_2575,
										((obj_t) BgL_new1223z00_2574)));
							}
							BgL_cellvalz00_4685 = ((obj_t) BgL_new1223z00_2574);
						}
						BgL_nctxz00_3438 = MAKE_CELL(BgL_cellvalz00_4685);
					}
					{	/* SawBbv/bbv-utils.scm 312 */
						obj_t BgL_arg1980z00_2563;

						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4700;

							{
								obj_t BgL_auxz00_4701;

								{	/* SawBbv/bbv-utils.scm 312 */
									BgL_objectz00_bglt BgL_tmpz00_4702;

									BgL_tmpz00_4702 = ((BgL_objectz00_bglt) BgL_insz00_112);
									BgL_auxz00_4701 = BGL_OBJECT_WIDENING(BgL_tmpz00_4702);
								}
								BgL_auxz00_4700 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4701);
							}
							BgL_arg1980z00_2563 =
								(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_4700))->
								BgL_outz00);
						}
						{	/* SawBbv/bbv-utils.scm 313 */
							obj_t BgL_zc3z04anonymousza31981ze3z87_3430;

							BgL_zc3z04anonymousza31981ze3z87_3430 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31981ze3ze5zzsaw_bbvzd2utilszd2,
								(int) (1L), (int) (1L));
							PROCEDURE_SET(BgL_zc3z04anonymousza31981ze3z87_3430, (int) (0L),
								((obj_t) BgL_nctxz00_3438));
							BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
								(BgL_zc3z04anonymousza31981ze3z87_3430,
								((BgL_regsetz00_bglt) BgL_arg1980z00_2563));
					}}
					return
						((BgL_bbvzd2ctxzd2_bglt)
						((BgL_bbvzd2ctxzd2_bglt) CELL_REF(BgL_nctxz00_3438)));
				}
			}
		}

	}



/* &bbv-ctx-extend-live-out-regs */
	BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2extendzd2livezd2outzd2regszb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3431, obj_t BgL_ctxz00_3432, obj_t BgL_insz00_3433)
	{
		{	/* SawBbv/bbv-utils.scm 303 */
			return
				BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_3432),
				((BgL_rtl_insz00_bglt) BgL_insz00_3433));
		}

	}



/* &<@anonymous:1981> */
	obj_t BGl_z62zc3z04anonymousza31981ze3ze5zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3434, obj_t BgL_rz00_3436)
	{
		{	/* SawBbv/bbv-utils.scm 312 */
			{	/* SawBbv/bbv-utils.scm 313 */
				obj_t BgL_nctxz00_3435;

				BgL_nctxz00_3435 = PROCEDURE_REF(BgL_envz00_3434, (int) (0L));
				if (CBOOL(BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(
							((BgL_bbvzd2ctxzd2_bglt)
								((BgL_bbvzd2ctxzd2_bglt)
									CELL_REF(BgL_nctxz00_3435))),
							((BgL_rtl_regz00_bglt) BgL_rz00_3436))))
					{	/* SawBbv/bbv-utils.scm 313 */
						return BFALSE;
					}
				else
					{	/* SawBbv/bbv-utils.scm 315 */
						obj_t BgL_auxz00_3530;

						{	/* SawBbv/bbv-utils.scm 316 */
							obj_t BgL_arg1983z00_3531;

							{	/* SawBbv/bbv-utils.scm 316 */
								BgL_typez00_bglt BgL_arg1984z00_3532;

								BgL_arg1984z00_3532 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_rz00_3436)))->BgL_typez00);
								{	/* SawBbv/bbv-utils.scm 316 */
									obj_t BgL_list1985z00_3533;

									BgL_list1985z00_3533 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1984z00_3532), BNIL);
									BgL_arg1983z00_3531 = BgL_list1985z00_3533;
								}
							}
							{	/* SawBbv/bbv-utils.scm 315 */
								obj_t BgL_valuez00_3534;

								BgL_valuez00_3534 = CNST_TABLE_REF(3L);
								BgL_auxz00_3530 =
									((obj_t)
									BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
										((BgL_bbvzd2ctxzd2_bglt)
											((BgL_bbvzd2ctxzd2_bglt)
												CELL_REF(BgL_nctxz00_3435))),
										((BgL_rtl_regz00_bglt) BgL_rz00_3436), BgL_arg1983z00_3531,
										((bool_t) 1), BgL_valuez00_3534));
							}
						}
						return CELL_SET(BgL_nctxz00_3435, BgL_auxz00_3530);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(346491734L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(454038607L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(237915200L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(32101684L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(226177408L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(506937389L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(242097300L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(456933527L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(50428158L,
				BSTRING_TO_STRING(BGl_string2149z00zzsaw_bbvzd2utilszd2));
		}

	}

#ifdef __cplusplus
}
#endif
