/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate.scm -o objs/obj_p/Eval/evaluate.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVALUATE_TYPE_DEFINITIONS
#define BGL___EVALUATE_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


#endif // BGL___EVALUATE_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_symbol2801z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2720z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
static obj_t BGl_symbol2721z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2803z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2723z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2805z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2725z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2807z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2727z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2809z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2729z00zz__evaluatez00 = BUNSPEC;
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2statezd2zz__evaluate_compz00(void);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
static obj_t BGl_symbol2811z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2731z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2813z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2733z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2815z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2734z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
static obj_t BGl_symbol2817z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2736z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_symbol2819z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2738z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
static obj_t BGl_symbol2821z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2740z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2742z00zz__evaluatez00 = BUNSPEC;
extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
static obj_t BGl_symbol2825z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2744z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2746z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2748z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31363ze3ze5zz__evaluatez00(obj_t);
static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_evepairifyz00zz__evaluatez00(obj_t, obj_t);
extern BgL_ev_exprz00_bglt BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_expandz00zz__expandz00(obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_symbol2750z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
static obj_t BGl_symbol2752z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_symbol2754z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2756z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_symbol2758z00zz__evaluatez00 = BUNSPEC;
static BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t, obj_t, obj_t);
extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_symbol2760z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2762z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2764z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
static obj_t BGl_symbol2766z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2768z00zz__evaluatez00 = BUNSPEC;
extern int bgl_debug(void);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2770z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2772z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_symbol2774z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2776z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2778z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluatez00(void);
extern obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluatez00(void);
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_convertz00zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_symbol2780z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2782z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00(void);
static obj_t BGl_symbol2787z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00(void);
extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
static obj_t BGl_objectzd2initzd2zz__evaluatez00(void);
extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_symbol2790z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2792z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2795z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_symbol2797z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2799z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern obj_t BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t, obj_t, bool_t);
static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
static obj_t BGl_appendzd221009zd2zz__evaluatez00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t c_substring(obj_t, long, long);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluatez00(void);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluatez00(void);
static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_keyword2823z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00(void);
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_symbol2708z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
static obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_symbol2716z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2718z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2761z00zz__evaluatez00, BgL_bgl_string2761za700za7za7_2828za7, "o", 1 );
DEFINE_STRING( BGl_string2763z00zz__evaluatez00, BgL_bgl_string2763za700za7za7_2829za7, "quote", 5 );
DEFINE_STRING( BGl_string2765z00zz__evaluatez00, BgL_bgl_string2765za700za7za7_2830za7, "class-exists", 12 );
DEFINE_STRING( BGl_string2767z00zz__evaluatez00, BgL_bgl_string2767za700za7za7_2831za7, "c", 1 );
DEFINE_STRING( BGl_string2769z00zz__evaluatez00, BgL_bgl_string2769za700za7za7_2832za7, "isa?", 4 );
DEFINE_STRING( BGl_string2771z00zz__evaluatez00, BgL_bgl_string2771za700za7za7_2833za7, "if", 2 );
DEFINE_STRING( BGl_string2773z00zz__evaluatez00, BgL_bgl_string2773za700za7za7_2834za7, "let", 3 );
DEFINE_STRING( BGl_string2775z00zz__evaluatez00, BgL_bgl_string2775za700za7za7_2835za7, "lambda", 6 );
DEFINE_STRING( BGl_string2777z00zz__evaluatez00, BgL_bgl_string2777za700za7za7_2836za7, "bigloo-type-error/location", 26 );
DEFINE_STRING( BGl_string2779z00zz__evaluatez00, BgL_bgl_string2779za700za7za7_2837za7, "bigloo-type-error", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r2838z00, BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00, BgL_bgl_za762setza7d2evaluat2839z00, BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2781z00zz__evaluatez00, BgL_bgl_string2781za700za7za7_2840za7, "at", 2 );
DEFINE_STRING( BGl_string2783z00zz__evaluatez00, BgL_bgl_string2783za700za7za7_2841za7, "tmp", 3 );
DEFINE_STRING( BGl_string2784z00zz__evaluatez00, BgL_bgl_string2784za700za7za7_2842za7, "~a::~a", 6 );
DEFINE_STRING( BGl_string2785z00zz__evaluatez00, BgL_bgl_string2785za700za7za7_2843za7, "free-pragma", 11 );
DEFINE_STRING( BGl_string2786z00zz__evaluatez00, BgL_bgl_string2786za700za7za7_2844za7, "not supported in eval", 21 );
DEFINE_STRING( BGl_string2788z00zz__evaluatez00, BgL_bgl_string2788za700za7za7_2845za7, "\\@", 2 );
DEFINE_STRING( BGl_string2789z00zz__evaluatez00, BgL_bgl_string2789za700za7za7_2846za7, "Illegal form", 12 );
DEFINE_STRING( BGl_string2791z00zz__evaluatez00, BgL_bgl_string2791za700za7za7_2847za7, "begin", 5 );
DEFINE_STRING( BGl_string2793z00zz__evaluatez00, BgL_bgl_string2793za700za7za7_2848za7, " ", 1 );
DEFINE_STRING( BGl_string2794z00zz__evaluatez00, BgL_bgl_string2794za700za7za7_2849za7, "Illegal non toplevel module declaration", 39 );
DEFINE_STRING( BGl_string2796z00zz__evaluatez00, BgL_bgl_string2796za700za7za7_2850za7, "module", 6 );
DEFINE_STRING( BGl_string2798z00zz__evaluatez00, BgL_bgl_string2798za700za7za7_2851za7, "@", 1 );
extern obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r2852z00, BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00, BgL_bgl_za762getza7d2evaluat2853z00, BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2702z00zz__evaluatez00, BgL_bgl_string2702za700za7za7_2854za7, "", 0 );
DEFINE_STRING( BGl_string2703z00zz__evaluatez00, BgL_bgl_string2703za700za7za7_2855za7, "/builddir/build/BUILD/bigloo-4.5b/runtime/Eval/evaluate.scm", 59 );
DEFINE_STRING( BGl_string2704z00zz__evaluatez00, BgL_bgl_string2704za700za7za7_2856za7, "&evaluate2-restore-bp!", 22 );
DEFINE_STRING( BGl_string2705z00zz__evaluatez00, BgL_bgl_string2705za700za7za7_2857za7, "bint", 4 );
DEFINE_STRING( BGl_string2706z00zz__evaluatez00, BgL_bgl_string2706za700za7za7_2858za7, "&evaluate2-restore-state!", 25 );
DEFINE_STRING( BGl_string2707z00zz__evaluatez00, BgL_bgl_string2707za700za7za7_2859za7, "vector", 6 );
DEFINE_STRING( BGl_string2709z00zz__evaluatez00, BgL_bgl_string2709za700za7za7_2860za7, "toplevel", 8 );
DEFINE_STRING( BGl_string2710z00zz__evaluatez00, BgL_bgl_string2710za700za7za7_2861za7, "eval", 4 );
DEFINE_STRING( BGl_string2711z00zz__evaluatez00, BgL_bgl_string2711za700za7za7_2862za7, "Bad syntax", 10 );
DEFINE_STRING( BGl_string2712z00zz__evaluatez00, BgL_bgl_string2712za700za7za7_2863za7, "Class \"~a\" has no field \"~a\"", 28 );
DEFINE_STRING( BGl_string2713z00zz__evaluatez00, BgL_bgl_string2713za700za7za7_2864za7, "Static type not a class", 23 );
DEFINE_STRING( BGl_string2714z00zz__evaluatez00, BgL_bgl_string2714za700za7za7_2865za7, "Variable unbound", 16 );
DEFINE_STRING( BGl_string2715z00zz__evaluatez00, BgL_bgl_string2715za700za7za7_2866za7, "Field read-only", 15 );
DEFINE_STRING( BGl_string2717z00zz__evaluatez00, BgL_bgl_string2717za700za7za7_2867za7, "pair", 4 );
DEFINE_STRING( BGl_string2719z00zz__evaluatez00, BgL_bgl_string2719za700za7za7_2868za7, "pair?", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2envzd2zz__evaluatez00, BgL_bgl_za762evaluate2za762za72869za7, BGl_z62evaluate2z62zz__evaluatez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2800z00zz__evaluatez00, BgL_bgl_string2800za700za7za7_2870za7, "->", 2 );
DEFINE_STRING( BGl_string2802z00zz__evaluatez00, BgL_bgl_string2802za700za7za7_2871za7, "trap", 4 );
DEFINE_STRING( BGl_string2722z00zz__evaluatez00, BgL_bgl_string2722za700za7za7_2872za7, "vector?", 7 );
DEFINE_STRING( BGl_string2804z00zz__evaluatez00, BgL_bgl_string2804za700za7za7_2873za7, "or", 2 );
DEFINE_STRING( BGl_string2724z00zz__evaluatez00, BgL_bgl_string2724za700za7za7_2874za7, "symbol", 6 );
DEFINE_STRING( BGl_string2806z00zz__evaluatez00, BgL_bgl_string2806za700za7za7_2875za7, "and", 3 );
DEFINE_STRING( BGl_string2726z00zz__evaluatez00, BgL_bgl_string2726za700za7za7_2876za7, "symbol?", 7 );
DEFINE_STRING( BGl_string2808z00zz__evaluatez00, BgL_bgl_string2808za700za7za7_2877za7, "let*", 4 );
DEFINE_STRING( BGl_string2728z00zz__evaluatez00, BgL_bgl_string2728za700za7za7_2878za7, "char", 4 );
DEFINE_STRING( BGl_string2810z00zz__evaluatez00, BgL_bgl_string2810za700za7za7_2879za7, "letrec", 6 );
DEFINE_STRING( BGl_string2730z00zz__evaluatez00, BgL_bgl_string2730za700za7za7_2880za7, "char?", 5 );
DEFINE_STRING( BGl_string2812z00zz__evaluatez00, BgL_bgl_string2812za700za7za7_2881za7, "set!", 4 );
DEFINE_STRING( BGl_string2732z00zz__evaluatez00, BgL_bgl_string2732za700za7za7_2882za7, "int", 3 );
DEFINE_STRING( BGl_string2814z00zz__evaluatez00, BgL_bgl_string2814za700za7za7_2883za7, "define", 6 );
DEFINE_STRING( BGl_string2816z00zz__evaluatez00, BgL_bgl_string2816za700za7za7_2884za7, "bind-exit", 9 );
DEFINE_STRING( BGl_string2735z00zz__evaluatez00, BgL_bgl_string2735za700za7za7_2885za7, "integer?", 8 );
DEFINE_STRING( BGl_string2818z00zz__evaluatez00, BgL_bgl_string2818za700za7za7_2886za7, "unwind-protect", 14 );
DEFINE_STRING( BGl_string2737z00zz__evaluatez00, BgL_bgl_string2737za700za7za7_2887za7, "real", 4 );
DEFINE_STRING( BGl_string2739z00zz__evaluatez00, BgL_bgl_string2739za700za7za7_2888za7, "breal", 5 );
DEFINE_STRING( BGl_string2820z00zz__evaluatez00, BgL_bgl_string2820za700za7za7_2889za7, "with-handler", 12 );
DEFINE_STRING( BGl_string2822z00zz__evaluatez00, BgL_bgl_string2822za700za7za7_2890za7, "synchronize", 11 );
DEFINE_STRING( BGl_string2741z00zz__evaluatez00, BgL_bgl_string2741za700za7za7_2891za7, "real?", 5 );
DEFINE_STRING( BGl_string2824z00zz__evaluatez00, BgL_bgl_string2824za700za7za7_2892za7, "prelock", 7 );
DEFINE_STRING( BGl_string2743z00zz__evaluatez00, BgL_bgl_string2743za700za7za7_2893za7, "bool", 4 );
DEFINE_STRING( BGl_string2826z00zz__evaluatez00, BgL_bgl_string2826za700za7za7_2894za7, "free-pragma::obj", 16 );
DEFINE_STRING( BGl_string2745z00zz__evaluatez00, BgL_bgl_string2745za700za7za7_2895za7, "boolean?", 8 );
DEFINE_STRING( BGl_string2827z00zz__evaluatez00, BgL_bgl_string2827za700za7za7_2896za7, "__evaluate", 10 );
DEFINE_STRING( BGl_string2747z00zz__evaluatez00, BgL_bgl_string2747za700za7za7_2897za7, "struct", 6 );
DEFINE_STRING( BGl_string2749z00zz__evaluatez00, BgL_bgl_string2749za700za7za7_2898za7, "struct?", 7 );
DEFINE_STRING( BGl_string2751z00zz__evaluatez00, BgL_bgl_string2751za700za7za7_2899za7, "class", 5 );
DEFINE_STRING( BGl_string2753z00zz__evaluatez00, BgL_bgl_string2753za700za7za7_2900za7, "class?", 6 );
DEFINE_STRING( BGl_string2755z00zz__evaluatez00, BgL_bgl_string2755za700za7za7_2901za7, "string", 6 );
DEFINE_STRING( BGl_string2757z00zz__evaluatez00, BgL_bgl_string2757za700za7za7_2902za7, "bstring", 7 );
DEFINE_STRING( BGl_string2759z00zz__evaluatez00, BgL_bgl_string2759za700za7za7_2903za7, "string?", 7 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2801z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2720z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2721z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2803z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2723z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2805z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2725z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2807z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2727z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2809z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2729z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2811z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2731z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2813z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2733z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2815z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2734z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2817z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2736z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2819z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2738z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2821z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2740z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2742z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2825z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2744z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2746z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2748z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2750z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2752z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2754z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2756z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2758z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2760z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2762z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2764z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2766z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2768z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2770z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2772z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2774z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2776z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2778z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2780z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2782z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2787z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2790z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2792z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2795z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2797z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2799z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_keyword2823z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2708z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2716z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2718z00zz__evaluatez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21009\" \"BGl_appendzd221009zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"untype-ident\" \"Eval/evaluate.scm\" 2232) \"BGl_untypezd2identzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_getzd2evaluationzd2contextz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_evaluate2z00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_z62evaluate2z62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1363>\" \"Eval/evaluate.scm\" 4796) \"BGl_z62zc3z04anonymousza31363ze3ze5zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location\" \"Eval/evaluate.scm\" 5084) \"BGl_getzd2locationzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location3\" \"Eval/evaluate.scm\" 5377) \"BGl_getzd2location3zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"convert\" \"Eval/evaluate.scm\" 5715) \"BGl_convertz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-var\" \"Eval/evaluate.scm\" 6016) \"BGl_convzd2varzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-begin\" \"Eval/evaluate.scm\" 6437) \"BGl_convzd2beginzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-global\" \"Eval/evaluate.scm\" 7149) \"BGl_convzd2globalzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-ref\" \"Eval/evaluate.scm\" 7530) \"BGl_convzd2fieldzd2refz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-set\" \"Eval/evaluate.scm\" 8597) \"BGl_convzd2fieldzd2setz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-ref\" \"Eval/evaluate.scm\" 9944) \"BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-set\" \"Eval/evaluate.scm\" 10386) \"BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evepairify\" \"Eval/evaluate.scm\" 10822) \"BGl_evepairifyz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-check\" \"Eval/evaluate.scm\" 11104) \"BGl_typezd2checkzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-checks\" \"Eval/evaluate.scm\" 12230) \"BGl_typezd2checkszd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~1\" \"Eval/evaluate.scm\" 12330) \"BGl_loopze71ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-result\" \"Eval/evaluate.scm\" 12883) \"BGl_typezd2resultzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv\" \"Eval/evaluate.scm\" 13355) \"BGl_convz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~0\" \"Eval/evaluate.scm\" 13921) \"BGl_loopze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"rconv/loc~0\" \"Eval/evaluate.scm\" 13488) \"BGl_rconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv/loc~0\" \"Eval/evaluate.scm\" 13727) \"BGl_uconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-vals~0\" \"Eval/evaluate.scm\" 17675) \"BGl_convzd2valsze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-lambda~0\" \"Eval/evaluate.scm\" 14468) \"BGl_convzd2lambdaze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv~0\" \"Eval/evaluate.scm\" 13794) \"BGl_uconvze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long BgL_checksumz00_4405, char * BgL_fromz00_4406)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluatez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluatez00(); 
BGl_cnstzd2initzd2zz__evaluatez00(); 
BGl_importedzd2moduleszd2initz00zz__evaluatez00(); 
return 
BGl_profzd2initzd2zz__evaluatez00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
BGl_symbol2708z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2709z00zz__evaluatez00); 
BGl_symbol2716z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2717z00zz__evaluatez00); 
BGl_symbol2718z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2719z00zz__evaluatez00); 
BGl_symbol2720z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2707z00zz__evaluatez00); 
BGl_symbol2721z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2722z00zz__evaluatez00); 
BGl_symbol2723z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2724z00zz__evaluatez00); 
BGl_symbol2725z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2726z00zz__evaluatez00); 
BGl_symbol2727z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2728z00zz__evaluatez00); 
BGl_symbol2729z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2730z00zz__evaluatez00); 
BGl_symbol2731z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2732z00zz__evaluatez00); 
BGl_symbol2733z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2705z00zz__evaluatez00); 
BGl_symbol2734z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2735z00zz__evaluatez00); 
BGl_symbol2736z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2737z00zz__evaluatez00); 
BGl_symbol2738z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2739z00zz__evaluatez00); 
BGl_symbol2740z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2741z00zz__evaluatez00); 
BGl_symbol2742z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2743z00zz__evaluatez00); 
BGl_symbol2744z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2745z00zz__evaluatez00); 
BGl_symbol2746z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2747z00zz__evaluatez00); 
BGl_symbol2748z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2749z00zz__evaluatez00); 
BGl_symbol2750z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2751z00zz__evaluatez00); 
BGl_symbol2752z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2753z00zz__evaluatez00); 
BGl_symbol2754z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2755z00zz__evaluatez00); 
BGl_symbol2756z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2757z00zz__evaluatez00); 
BGl_symbol2758z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2759z00zz__evaluatez00); 
BGl_symbol2760z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2761z00zz__evaluatez00); 
BGl_symbol2762z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2763z00zz__evaluatez00); 
BGl_symbol2764z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2765z00zz__evaluatez00); 
BGl_symbol2766z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2767z00zz__evaluatez00); 
BGl_symbol2768z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2769z00zz__evaluatez00); 
BGl_symbol2770z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2771z00zz__evaluatez00); 
BGl_symbol2772z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2773z00zz__evaluatez00); 
BGl_symbol2774z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2775z00zz__evaluatez00); 
BGl_symbol2776z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2777z00zz__evaluatez00); 
BGl_symbol2778z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2779z00zz__evaluatez00); 
BGl_symbol2780z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2781z00zz__evaluatez00); 
BGl_symbol2782z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2783z00zz__evaluatez00); 
BGl_symbol2787z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2788z00zz__evaluatez00); 
BGl_symbol2790z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2791z00zz__evaluatez00); 
BGl_symbol2792z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2793z00zz__evaluatez00); 
BGl_symbol2795z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2796z00zz__evaluatez00); 
BGl_symbol2797z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2798z00zz__evaluatez00); 
BGl_symbol2799z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2800z00zz__evaluatez00); 
BGl_symbol2801z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2802z00zz__evaluatez00); 
BGl_symbol2803z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2804z00zz__evaluatez00); 
BGl_symbol2805z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2806z00zz__evaluatez00); 
BGl_symbol2807z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2808z00zz__evaluatez00); 
BGl_symbol2809z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2810z00zz__evaluatez00); 
BGl_symbol2811z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2812z00zz__evaluatez00); 
BGl_symbol2813z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2814z00zz__evaluatez00); 
BGl_symbol2815z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2816z00zz__evaluatez00); 
BGl_symbol2817z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2818z00zz__evaluatez00); 
BGl_symbol2819z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2820z00zz__evaluatez00); 
BGl_symbol2821z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2822z00zz__evaluatez00); 
BGl_keyword2823z00zz__evaluatez00 = 
bstring_to_keyword(BGl_string2824z00zz__evaluatez00); 
return ( 
BGl_symbol2825z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2826z00zz__evaluatez00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
return 
write_bprof_table();} 

}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__evaluatez00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_1192;
BgL_headz00_1192 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_1193; obj_t BgL_tailz00_1194;
BgL_prevz00_1193 = BgL_headz00_1192; 
BgL_tailz00_1194 = BgL_l1z00_1; 
BgL_loopz00_1195:
if(
PAIRP(BgL_tailz00_1194))
{ 
 obj_t BgL_newzd2prevzd2_1197;
BgL_newzd2prevzd2_1197 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1194), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1193, BgL_newzd2prevzd2_1197); 
{ 
 obj_t BgL_tailz00_4478; obj_t BgL_prevz00_4477;
BgL_prevz00_4477 = BgL_newzd2prevzd2_1197; 
BgL_tailz00_4478 = 
CDR(BgL_tailz00_1194); 
BgL_tailz00_1194 = BgL_tailz00_4478; 
BgL_prevz00_1193 = BgL_prevz00_4477; 
goto BgL_loopz00_1195;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1192);} } } 

}



/* untype-ident */
obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
{
{ /* Eval/evaluate.scm 73 */
{ /* Eval/evaluate.scm 74 */
 obj_t BgL_stringz00_1200;
{ /* Eval/evaluate.scm 74 */
 obj_t BgL_arg2517z00_3200;
BgL_arg2517z00_3200 = 
SYMBOL_TO_STRING(BgL_idz00_3); 
BgL_stringz00_1200 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2517z00_3200); } 
{ /* Eval/evaluate.scm 74 */
 long BgL_lenz00_1201;
BgL_lenz00_1201 = 
STRING_LENGTH(BgL_stringz00_1200); 
{ /* Eval/evaluate.scm 75 */

{ 
 long BgL_walkerz00_1203;
BgL_walkerz00_1203 = 0L; 
BgL_zc3z04anonymousza31330ze3z87_1204:
if(
(BgL_walkerz00_1203==BgL_lenz00_1201))
{ /* Eval/evaluate.scm 78 */
return 
MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);}  else 
{ /* Eval/evaluate.scm 80 */
 bool_t BgL_test2907z00_4487;
if(
(
STRING_REF(BgL_stringz00_1200, BgL_walkerz00_1203)==((unsigned char)':')))
{ /* Eval/evaluate.scm 80 */
if(
(BgL_walkerz00_1203<
(BgL_lenz00_1201-1L)))
{ /* Eval/evaluate.scm 81 */
BgL_test2907z00_4487 = 
(
STRING_REF(BgL_stringz00_1200, 
(BgL_walkerz00_1203+1L))==((unsigned char)':'))
; }  else 
{ /* Eval/evaluate.scm 81 */
BgL_test2907z00_4487 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 80 */
BgL_test2907z00_4487 = ((bool_t)0)
; } 
if(BgL_test2907z00_4487)
{ /* Eval/evaluate.scm 83 */
 obj_t BgL_arg1342z00_1215; obj_t BgL_arg1343z00_1216;
BgL_arg1342z00_1215 = 
bstring_to_symbol(
c_substring(BgL_stringz00_1200, 0L, BgL_walkerz00_1203)); 
{ /* Eval/evaluate.scm 84 */
 obj_t BgL_arg1345z00_1218;
{ /* Eval/evaluate.scm 84 */
 long BgL_arg1346z00_1219;
BgL_arg1346z00_1219 = 
(BgL_walkerz00_1203+2L); 
{ /* Ieee/string.scm 190 */
 long BgL_endz00_1222;
BgL_endz00_1222 = 
STRING_LENGTH(BgL_stringz00_1200); 
{ /* Ieee/string.scm 190 */

BgL_arg1345z00_1218 = 
BGl_substringz00zz__r4_strings_6_7z00(BgL_stringz00_1200, BgL_arg1346z00_1219, BgL_endz00_1222); } } } 
BgL_arg1343z00_1216 = 
bstring_to_symbol(BgL_arg1345z00_1218); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1342z00_1215, BgL_arg1343z00_1216);}  else 
{ 
 long BgL_walkerz00_4504;
BgL_walkerz00_4504 = 
(BgL_walkerz00_1203+1L); 
BgL_walkerz00_1203 = BgL_walkerz00_4504; 
goto BgL_zc3z04anonymousza31330ze3z87_1204;} } } } } } } 

}



/* get-evaluation-context */
BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 91 */
{ /* Eval/evaluate.scm 92 */
 obj_t BgL_sz00_1231;
BgL_sz00_1231 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 93 */
 obj_t BgL_bpz00_1232;
BgL_bpz00_1232 = 
VECTOR_REF(
((obj_t)BgL_sz00_1231),0L); 
{ /* Eval/evaluate.scm 94 */
 obj_t BgL_rz00_1233;
BgL_rz00_1233 = 
make_vector(
(long)CINT(BgL_bpz00_1232), BGl_string2702z00zz__evaluatez00); 
{ 
 long BgL_iz00_1235;
BgL_iz00_1235 = 0L; 
BgL_zc3z04anonymousza31353ze3z87_1236:
if(
(BgL_iz00_1235<
(long)CINT(BgL_bpz00_1232)))
{ /* Eval/evaluate.scm 96 */
{ /* Eval/evaluate.scm 97 */
 obj_t BgL_arg1355z00_1238;
BgL_arg1355z00_1238 = 
VECTOR_REF(
((obj_t)BgL_sz00_1231),BgL_iz00_1235); 
VECTOR_SET(BgL_rz00_1233,BgL_iz00_1235,BgL_arg1355z00_1238); } 
{ 
 long BgL_iz00_4517;
BgL_iz00_4517 = 
(BgL_iz00_1235+1L); 
BgL_iz00_1235 = BgL_iz00_4517; 
goto BgL_zc3z04anonymousza31353ze3z87_1236;} }  else 
{ /* Eval/evaluate.scm 96 */((bool_t)0); } } 
return BgL_rz00_1233;} } } } 

}



/* &get-evaluation-context */
obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t BgL_envz00_4355)
{
{ /* Eval/evaluate.scm 91 */
return 
BGl_getzd2evaluationzd2contextz00zz__evaluatez00();} 

}



/* set-evaluation-context! */
BGL_EXPORTED_DEF obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
{
{ /* Eval/evaluate.scm 104 */
{ /* Eval/evaluate.scm 105 */
 obj_t BgL_sz00_1241;
BgL_sz00_1241 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 106 */
 obj_t BgL_bpz00_1242;
BgL_bpz00_1242 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),0L); 
{ 
 long BgL_iz00_1244;
{ /* Eval/evaluate.scm 107 */
 bool_t BgL_tmpz00_4523;
BgL_iz00_1244 = 0L; 
BgL_zc3z04anonymousza31357ze3z87_1245:
if(
(BgL_iz00_1244<
(long)CINT(BgL_bpz00_1242)))
{ /* Eval/evaluate.scm 108 */
{ /* Eval/evaluate.scm 109 */
 obj_t BgL_arg1359z00_1247;
BgL_arg1359z00_1247 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),BgL_iz00_1244); 
VECTOR_SET(
((obj_t)BgL_sz00_1241),BgL_iz00_1244,BgL_arg1359z00_1247); } 
{ 
 long BgL_iz00_4531;
BgL_iz00_4531 = 
(BgL_iz00_1244+1L); 
BgL_iz00_1244 = BgL_iz00_4531; 
goto BgL_zc3z04anonymousza31357ze3z87_1245;} }  else 
{ /* Eval/evaluate.scm 108 */
BgL_tmpz00_4523 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_4523);} } } } } 

}



/* &set-evaluation-context! */
obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t BgL_envz00_4356, obj_t BgL_vz00_4357)
{
{ /* Eval/evaluate.scm 104 */
return 
BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4357);} 

}



/* evaluate2-restore-bp! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int BgL_bpz00_5)
{
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
 obj_t BgL_sz00_1250;
{ /* Eval/evaluate.scm 116 */
 obj_t BgL_tmpz00_4535;
BgL_tmpz00_4535 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1250 = 
BGL_ENV_EVSTATE(BgL_tmpz00_4535); } 
return 
VECTOR_SET(
((obj_t)BgL_sz00_1250),0L,
BINT(BgL_bpz00_5));} } 

}



/* &evaluate2-restore-bp! */
obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t BgL_envz00_4358, obj_t BgL_bpz00_4359)
{
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
 int BgL_auxz00_4541;
{ /* Eval/evaluate.scm 116 */
 obj_t BgL_tmpz00_4542;
if(
INTEGERP(BgL_bpz00_4359))
{ /* Eval/evaluate.scm 116 */
BgL_tmpz00_4542 = BgL_bpz00_4359
; }  else 
{ 
 obj_t BgL_auxz00_4545;
BgL_auxz00_4545 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2703z00zz__evaluatez00, 
BINT(3890L), BGl_string2704z00zz__evaluatez00, BGl_string2705z00zz__evaluatez00, BgL_bpz00_4359); 
FAILURE(BgL_auxz00_4545,BFALSE,BFALSE);} 
BgL_auxz00_4541 = 
CINT(BgL_tmpz00_4542); } 
return 
BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_4541);} } 

}



/* evaluate2-restore-state! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
{
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 124 */
 obj_t BgL_tmpz00_4551;
BgL_tmpz00_4551 = 
BGL_CURRENT_DYNAMIC_ENV(); 
return 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_4551, BgL_statez00_6);} } 

}



/* &evaluate2-restore-state! */
obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t BgL_envz00_4360, obj_t BgL_statez00_4361)
{
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 123 */
 obj_t BgL_auxz00_4554;
if(
VECTORP(BgL_statez00_4361))
{ /* Eval/evaluate.scm 123 */
BgL_auxz00_4554 = BgL_statez00_4361
; }  else 
{ 
 obj_t BgL_auxz00_4557;
BgL_auxz00_4557 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2703z00zz__evaluatez00, 
BINT(4240L), BGl_string2706z00zz__evaluatez00, BGl_string2707z00zz__evaluatez00, BgL_statez00_4361); 
FAILURE(BgL_auxz00_4557,BFALSE,BFALSE);} 
return 
BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_4554);} } 

}



/* evaluate2 */
BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7, obj_t BgL_envz00_8, obj_t BgL_locz00_9)
{
{ /* Eval/evaluate.scm 129 */
{ /* Eval/evaluate.scm 130 */
 BgL_ev_exprz00_bglt BgL_astz00_1253;
{ /* Eval/evaluate.scm 130 */
 obj_t BgL_arg1364z00_1263;
BgL_arg1364z00_1263 = 
BGl_convertz00zz__evaluatez00(BgL_sexpz00_7, BgL_envz00_8, BgL_locz00_9); 
BgL_astz00_1253 = 
BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1364z00_1263)); } 
BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1253); 
{ /* Eval/evaluate.scm 132 */
 int BgL_nz00_1254;
BgL_nz00_1254 = 
BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1253); 
{ /* Eval/evaluate.scm 133 */
 obj_t BgL_fz00_1255;
BgL_fz00_1255 = 
BGl_compilez00zz__evaluate_compz00(BgL_astz00_1253); 
{ /* Eval/evaluate.scm 134 */
 obj_t BgL_sz00_1256;
BgL_sz00_1256 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 135 */
 obj_t BgL_bpz00_1257;
BgL_bpz00_1257 = 
VECTOR_REF(
((obj_t)BgL_sz00_1256),0L); 
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_exitd1063z00_1258;
BgL_exitd1063z00_1258 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate.scm 138 */
 obj_t BgL_zc3z04anonymousza31363ze3z87_4362;
BgL_zc3z04anonymousza31363ze3z87_4362 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31363ze3ze5zz__evaluatez00, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31363ze3z87_4362, 
(int)(0L), BgL_sz00_1256); 
PROCEDURE_SET(BgL_zc3z04anonymousza31363ze3z87_4362, 
(int)(1L), BgL_bpz00_1257); 
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2684z00_3242;
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2685z00_3243;
BgL_arg2685z00_3243 = 
BGL_EXITD_PROTECT(BgL_exitd1063z00_1258); 
BgL_arg2684z00_3242 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31363ze3z87_4362, BgL_arg2685z00_3243); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1063z00_1258, BgL_arg2684z00_3242); BUNSPEC; } 
{ /* Eval/evaluate.scm 137 */
 obj_t BgL_tmp1065z00_1260;
BgL_tmp1065z00_1260 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_1255))(BgL_fz00_1255, BgL_sz00_1256, BEOA); 
{ /* Eval/evaluate.scm 136 */
 bool_t BgL_test2914z00_4586;
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2683z00_3245;
BgL_arg2683z00_3245 = 
BGL_EXITD_PROTECT(BgL_exitd1063z00_1258); 
BgL_test2914z00_4586 = 
PAIRP(BgL_arg2683z00_3245); } 
if(BgL_test2914z00_4586)
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2681z00_3246;
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2682z00_3247;
BgL_arg2682z00_3247 = 
BGL_EXITD_PROTECT(BgL_exitd1063z00_1258); 
BgL_arg2681z00_3246 = 
CDR(
((obj_t)BgL_arg2682z00_3247)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1063z00_1258, BgL_arg2681z00_3246); BUNSPEC; }  else 
{ /* Eval/evaluate.scm 136 */BFALSE; } } 
BGl_z62zc3z04anonymousza31363ze3ze5zz__evaluatez00(BgL_zc3z04anonymousza31363ze3z87_4362); 
return BgL_tmp1065z00_1260;} } } } } } } } } 

}



/* &evaluate2 */
obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4363, obj_t BgL_sexpz00_4364, obj_t BgL_envz00_4365, obj_t BgL_locz00_4366)
{
{ /* Eval/evaluate.scm 129 */
return 
BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4364, BgL_envz00_4365, BgL_locz00_4366);} 

}



/* &<@anonymous:1363> */
obj_t BGl_z62zc3z04anonymousza31363ze3ze5zz__evaluatez00(obj_t BgL_envz00_4367)
{
{ /* Eval/evaluate.scm 136 */
{ /* Eval/evaluate.scm 138 */
 obj_t BgL_sz00_4368; obj_t BgL_bpz00_4369;
BgL_sz00_4368 = 
PROCEDURE_REF(BgL_envz00_4367, 
(int)(0L)); 
BgL_bpz00_4369 = 
PROCEDURE_REF(BgL_envz00_4367, 
(int)(1L)); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_4368),0L,BgL_bpz00_4369);} } 

}



/* get-location */
obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10, obj_t BgL_locz00_11)
{
{ /* Eval/evaluate.scm 143 */
{ /* Eval/evaluate.scm 144 */
 obj_t BgL__ortest_1067z00_1264;
BgL__ortest_1067z00_1264 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10); 
if(
CBOOL(BgL__ortest_1067z00_1264))
{ /* Eval/evaluate.scm 144 */
return BgL__ortest_1067z00_1264;}  else 
{ /* Eval/evaluate.scm 144 */
return BgL_locz00_11;} } } 

}



/* get-location3 */
obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t BgL_expz00_12, obj_t BgL_lstz00_13, obj_t BgL_locz00_14)
{
{ /* Eval/evaluate.scm 149 */
{ /* Eval/evaluate.scm 150 */
 obj_t BgL__ortest_1068z00_1265;
BgL__ortest_1068z00_1265 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_12); 
if(
CBOOL(BgL__ortest_1068z00_1265))
{ /* Eval/evaluate.scm 150 */
return BgL__ortest_1068z00_1265;}  else 
{ /* Eval/evaluate.scm 151 */
 obj_t BgL__ortest_1069z00_1266;
BgL__ortest_1069z00_1266 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lstz00_13); 
if(
CBOOL(BgL__ortest_1069z00_1266))
{ /* Eval/evaluate.scm 151 */
return BgL__ortest_1069z00_1266;}  else 
{ /* Eval/evaluate.scm 151 */
return BgL_locz00_14;} } } } 

}



/* convert */
obj_t BGl_convertz00zz__evaluatez00(obj_t BgL_ez00_15, obj_t BgL_globalsz00_16, obj_t BgL_locz00_17)
{
{ /* Eval/evaluate.scm 157 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_15, BNIL, BgL_globalsz00_16, BFALSE, BGl_symbol2708z00zz__evaluatez00, BgL_locz00_17, ((bool_t)1));} 

}



/* conv-var */
obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18, obj_t BgL_localsz00_19)
{
{ /* Eval/evaluate.scm 163 */
{ 
 obj_t BgL_lz00_1268;
BgL_lz00_1268 = BgL_localsz00_19; 
BgL_zc3z04anonymousza31365ze3z87_1269:
if(
NULLP(BgL_lz00_1268))
{ /* Eval/evaluate.scm 165 */
return BFALSE;}  else 
{ /* Eval/evaluate.scm 167 */
 obj_t BgL_rvz00_1271;
BgL_rvz00_1271 = 
CAR(
((obj_t)BgL_lz00_1268)); 
if(
(BgL_vz00_18==
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_rvz00_1271)))->BgL_namez00)))
{ /* Eval/evaluate.scm 169 */
return BgL_rvz00_1271;}  else 
{ 
 obj_t BgL_lz00_4619;
BgL_lz00_4619 = 
CDR(
((obj_t)BgL_lz00_1268)); 
BgL_lz00_1268 = BgL_lz00_4619; 
goto BgL_zc3z04anonymousza31365ze3z87_1269;} } } } 

}



/* conv-begin */
obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20, obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23, obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
{
{ /* Eval/evaluate.scm 176 */
{ /* Eval/evaluate.scm 177 */
 obj_t BgL_locz00_1278;
BgL_locz00_1278 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_lz00_20, BgL_locz00_25); 
{ 
 obj_t BgL_e1z00_1282; obj_t BgL_rz00_1283; obj_t BgL_ez00_1280;
if(
NULLP(BgL_lz00_20))
{ 
 BgL_ev_littz00_bglt BgL_auxz00_4625;
{ /* Eval/evaluate.scm 180 */
 BgL_ev_littz00_bglt BgL_new1072z00_1295;
{ /* Eval/evaluate.scm 181 */
 BgL_ev_littz00_bglt BgL_new1071z00_1296;
BgL_new1071z00_1296 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 181 */
 long BgL_arg1379z00_1297;
BgL_arg1379z00_1297 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_1296), BgL_arg1379z00_1297); } 
BgL_new1072z00_1295 = BgL_new1071z00_1296; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1072z00_1295))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4625 = BgL_new1072z00_1295; } 
return 
((obj_t)BgL_auxz00_4625);}  else 
{ /* Eval/evaluate.scm 178 */
if(
PAIRP(BgL_lz00_20))
{ /* Eval/evaluate.scm 178 */
if(
NULLP(
CDR(
((obj_t)BgL_lz00_20))))
{ /* Eval/evaluate.scm 178 */
 obj_t BgL_arg1375z00_1291;
BgL_arg1375z00_1291 = 
CAR(
((obj_t)BgL_lz00_20)); 
BgL_ez00_1280 = BgL_arg1375z00_1291; 
BGL_TAIL return 
BGl_convz00zz__evaluatez00(BgL_ez00_1280, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_1280, BgL_locz00_1278), BgL_topzf3zf3_26);}  else 
{ /* Eval/evaluate.scm 178 */
 obj_t BgL_arg1376z00_1292; obj_t BgL_arg1377z00_1293;
BgL_arg1376z00_1292 = 
CAR(
((obj_t)BgL_lz00_20)); 
BgL_arg1377z00_1293 = 
CDR(
((obj_t)BgL_lz00_20)); 
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_4646;
BgL_e1z00_1282 = BgL_arg1376z00_1292; 
BgL_rz00_1283 = BgL_arg1377z00_1293; 
{ /* Eval/evaluate.scm 185 */
 BgL_ev_prog2z00_bglt BgL_new1074z00_1299;
{ /* Eval/evaluate.scm 186 */
 BgL_ev_prog2z00_bglt BgL_new1073z00_1301;
BgL_new1073z00_1301 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate.scm 186 */
 long BgL_arg1382z00_1302;
BgL_arg1382z00_1302 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_1301), BgL_arg1382z00_1302); } 
BgL_new1074z00_1299 = BgL_new1073z00_1301; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4651;
{ /* Eval/evaluate.scm 186 */
 obj_t BgL_arg1381z00_1300;
BgL_arg1381z00_1300 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_e1z00_1282, BgL_locz00_1278); 
BgL_auxz00_4651 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_e1z00_1282, BgL_localsz00_21, BgL_globalsz00_22, BFALSE, BgL_wherez00_24, BgL_arg1381z00_1300, BgL_topzf3zf3_26)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1074z00_1299))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4651),BUNSPEC); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1074z00_1299))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_1283, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, BgL_locz00_1278, BgL_topzf3zf3_26))),BUNSPEC); 
BgL_auxz00_4646 = BgL_new1074z00_1299; } 
return 
((obj_t)BgL_auxz00_4646);} } }  else 
{ /* Eval/evaluate.scm 178 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1278, BGl_string2710z00zz__evaluatez00, BGl_string2711z00zz__evaluatez00, BgL_lz00_20);} } } } } 

}



/* conv-global */
BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t BgL_locz00_27, obj_t BgL_idz00_28, obj_t BgL_globalsz00_29)
{
{ /* Eval/evaluate.scm 194 */
{ /* Eval/evaluate.scm 195 */
 BgL_ev_globalz00_bglt BgL_new1076z00_1303;
{ /* Eval/evaluate.scm 196 */
 BgL_ev_globalz00_bglt BgL_new1075z00_1305;
BgL_new1075z00_1305 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 196 */
 long BgL_arg1384z00_1306;
BgL_arg1384z00_1306 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_1305), BgL_arg1384z00_1306); } 
BgL_new1076z00_1303 = BgL_new1075z00_1305; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1076z00_1303))->BgL_locz00)=((obj_t)BgL_locz00_27),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1076z00_1303))->BgL_namez00)=((obj_t)BgL_idz00_28),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4667;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_29))
{ /* Eval/evaluate.scm 198 */
BgL_auxz00_4667 = BgL_globalsz00_29
; }  else 
{ /* Eval/evaluate.scm 198 */
BgL_auxz00_4667 = 
BGL_MODULE()
; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1076z00_1303))->BgL_modz00)=((obj_t)BgL_auxz00_4667),BUNSPEC); } 
return BgL_new1076z00_1303;} } 

}



/* conv-field-ref */
obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30, obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33, obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
{
{ /* Eval/evaluate.scm 203 */
{ /* Eval/evaluate.scm 204 */
 obj_t BgL_lz00_1307;
BgL_lz00_1307 = 
CDR(
((obj_t)BgL_ez00_30)); 
{ /* Eval/evaluate.scm 204 */
 obj_t BgL_vz00_1308;
BgL_vz00_1308 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(
((obj_t)BgL_lz00_1307)), BgL_localsz00_31); 
{ /* Eval/evaluate.scm 205 */

{ /* Eval/evaluate.scm 206 */
 bool_t BgL_test2924z00_4677;
{ /* Eval/evaluate.scm 206 */
 obj_t BgL_classz00_3266;
BgL_classz00_3266 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_1308))
{ /* Eval/evaluate.scm 206 */
 BgL_objectz00_bglt BgL_arg2667z00_3268;
BgL_arg2667z00_3268 = 
(BgL_objectz00_bglt)(BgL_vz00_1308); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate.scm 206 */
 long BgL_idxz00_3274;
BgL_idxz00_3274 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2667z00_3268); 
BgL_test2924z00_4677 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3274+2L))==BgL_classz00_3266); }  else 
{ /* Eval/evaluate.scm 206 */
 bool_t BgL_res2686z00_3296;
{ /* Eval/evaluate.scm 206 */
 obj_t BgL_oclassz00_3282;
{ /* Eval/evaluate.scm 206 */
 long BgL_arg2674z00_3288;
{ /* Eval/evaluate.scm 206 */
 long BgL_arg2675z00_3289;
BgL_arg2675z00_3289 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2667z00_3268); 
BgL_arg2674z00_3288 = 
(BgL_arg2675z00_3289-OBJECT_TYPE); } 
BgL_oclassz00_3282 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2674z00_3288); } 
{ /* Eval/evaluate.scm 206 */
 bool_t BgL__ortest_1195z00_3283;
BgL__ortest_1195z00_3283 = 
(BgL_classz00_3266==BgL_oclassz00_3282); 
if(BgL__ortest_1195z00_3283)
{ /* Eval/evaluate.scm 206 */
BgL_res2686z00_3296 = BgL__ortest_1195z00_3283; }  else 
{ /* Eval/evaluate.scm 206 */
 long BgL_odepthz00_3284;
BgL_odepthz00_3284 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3282); 
if(
(2L<BgL_odepthz00_3284))
{ /* Eval/evaluate.scm 206 */
 obj_t BgL_arg2664z00_3286;
BgL_arg2664z00_3286 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3282, 2L); 
BgL_res2686z00_3296 = 
(BgL_arg2664z00_3286==BgL_classz00_3266); }  else 
{ /* Eval/evaluate.scm 206 */
BgL_res2686z00_3296 = ((bool_t)0); } } } } 
BgL_test2924z00_4677 = BgL_res2686z00_3296; } }  else 
{ /* Eval/evaluate.scm 206 */
BgL_test2924z00_4677 = ((bool_t)0)
; } } 
if(BgL_test2924z00_4677)
{ /* Eval/evaluate.scm 208 */
 obj_t BgL_g1078z00_1311; obj_t BgL_g1079z00_1312;
{ /* Eval/evaluate.scm 209 */
 obj_t BgL_arg1401z00_1335;
BgL_arg1401z00_1335 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1308)))->BgL_typez00); 
BgL_g1078z00_1311 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1401z00_1335); } 
BgL_g1079z00_1312 = 
CDR(
((obj_t)BgL_lz00_1307)); 
{ 
 obj_t BgL_nodez00_1314; obj_t BgL_klassz00_1315; obj_t BgL_fieldsz00_1316;
BgL_nodez00_1314 = BgL_vz00_1308; 
BgL_klassz00_1315 = BgL_g1078z00_1311; 
BgL_fieldsz00_1316 = BgL_g1079z00_1312; 
BgL_zc3z04anonymousza31386ze3z87_1317:
if(
NULLP(BgL_fieldsz00_1316))
{ /* Eval/evaluate.scm 212 */
return BgL_nodez00_1314;}  else 
{ /* Eval/evaluate.scm 212 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1315))
{ /* Eval/evaluate.scm 215 */
 obj_t BgL_fieldz00_1320;
{ /* Eval/evaluate.scm 215 */
 obj_t BgL_arg1399z00_1331;
BgL_arg1399z00_1331 = 
CAR(
((obj_t)BgL_fieldsz00_1316)); 
BgL_fieldz00_1320 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1315, BgL_arg1399z00_1331); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1320))
{ /* Eval/evaluate.scm 217 */
 BgL_ev_appz00_bglt BgL_nodez00_1322;
BgL_nodez00_1322 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1320, BgL_nodez00_1314, BgL_locz00_35, BgL_tailzf3zf3_33); 
{ /* Eval/evaluate.scm 220 */
 obj_t BgL_arg1390z00_1323; obj_t BgL_arg1391z00_1324;
BgL_arg1390z00_1323 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1320); 
BgL_arg1391z00_1324 = 
CDR(
((obj_t)BgL_fieldsz00_1316)); 
{ 
 obj_t BgL_fieldsz00_4718; obj_t BgL_klassz00_4717; obj_t BgL_nodez00_4715;
BgL_nodez00_4715 = 
((obj_t)BgL_nodez00_1322); 
BgL_klassz00_4717 = BgL_arg1390z00_1323; 
BgL_fieldsz00_4718 = BgL_arg1391z00_1324; 
BgL_fieldsz00_1316 = BgL_fieldsz00_4718; 
BgL_klassz00_1315 = BgL_klassz00_4717; 
BgL_nodez00_1314 = BgL_nodez00_4715; 
goto BgL_zc3z04anonymousza31386ze3z87_1317;} } }  else 
{ /* Eval/evaluate.scm 222 */
 obj_t BgL_arg1392z00_1325; obj_t BgL_arg1393z00_1326;
BgL_arg1392z00_1325 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1308)))->BgL_typez00); 
{ /* Eval/evaluate.scm 223 */
 obj_t BgL_arg1394z00_1327; obj_t BgL_arg1395z00_1328;
BgL_arg1394z00_1327 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1308)))->BgL_typez00); 
BgL_arg1395z00_1328 = 
CAR(
((obj_t)BgL_fieldsz00_1316)); 
{ /* Eval/evaluate.scm 223 */
 obj_t BgL_list1396z00_1329;
{ /* Eval/evaluate.scm 223 */
 obj_t BgL_arg1397z00_1330;
BgL_arg1397z00_1330 = 
MAKE_YOUNG_PAIR(BgL_arg1395z00_1328, BNIL); 
BgL_list1396z00_1329 = 
MAKE_YOUNG_PAIR(BgL_arg1394z00_1327, BgL_arg1397z00_1330); } 
BgL_arg1393z00_1326 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2712z00zz__evaluatez00, BgL_list1396z00_1329); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1392z00_1325, BgL_arg1393z00_1326, BgL_ez00_30);} }  else 
{ /* Eval/evaluate.scm 226 */
 obj_t BgL_arg1400z00_1332;
{ /* Eval/evaluate.scm 226 */
 obj_t BgL__ortest_1080z00_1333;
BgL__ortest_1080z00_1333 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1308)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1080z00_1333))
{ /* Eval/evaluate.scm 226 */
BgL_arg1400z00_1332 = BgL__ortest_1080z00_1333; }  else 
{ /* Eval/evaluate.scm 226 */
BgL_arg1400z00_1332 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1308)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1400z00_1332, BGl_string2713z00zz__evaluatez00, BgL_ez00_30);} } } }  else 
{ /* Eval/evaluate.scm 228 */
 obj_t BgL_arg1404z00_1336;
{ /* Eval/evaluate.scm 228 */
 obj_t BgL_pairz00_3304;
BgL_pairz00_3304 = 
CDR(
((obj_t)BgL_ez00_30)); 
BgL_arg1404z00_1336 = 
CAR(BgL_pairz00_3304); } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1404z00_1336, BGl_string2714z00zz__evaluatez00, BgL_ez00_30);} } } } } } 

}



/* conv-field-set */
obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37, obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40, obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43, obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
{
{ /* Eval/evaluate.scm 233 */
{ /* Eval/evaluate.scm 234 */
 obj_t BgL_vz00_1338;
BgL_vz00_1338 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(BgL_lz00_37), BgL_localsz00_40); 
{ /* Eval/evaluate.scm 234 */
 obj_t BgL_e2z00_1339;
BgL_e2z00_1339 = 
BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40, BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44, ((bool_t)0)); 
{ /* Eval/evaluate.scm 235 */

{ /* Eval/evaluate.scm 236 */
 bool_t BgL_test2933z00_4743;
{ /* Eval/evaluate.scm 236 */
 obj_t BgL_classz00_3306;
BgL_classz00_3306 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_1338))
{ /* Eval/evaluate.scm 236 */
 BgL_objectz00_bglt BgL_arg2667z00_3308;
BgL_arg2667z00_3308 = 
(BgL_objectz00_bglt)(BgL_vz00_1338); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate.scm 236 */
 long BgL_idxz00_3314;
BgL_idxz00_3314 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2667z00_3308); 
BgL_test2933z00_4743 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3314+2L))==BgL_classz00_3306); }  else 
{ /* Eval/evaluate.scm 236 */
 bool_t BgL_res2687z00_3336;
{ /* Eval/evaluate.scm 236 */
 obj_t BgL_oclassz00_3322;
{ /* Eval/evaluate.scm 236 */
 long BgL_arg2674z00_3328;
{ /* Eval/evaluate.scm 236 */
 long BgL_arg2675z00_3329;
BgL_arg2675z00_3329 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2667z00_3308); 
BgL_arg2674z00_3328 = 
(BgL_arg2675z00_3329-OBJECT_TYPE); } 
BgL_oclassz00_3322 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2674z00_3328); } 
{ /* Eval/evaluate.scm 236 */
 bool_t BgL__ortest_1195z00_3323;
BgL__ortest_1195z00_3323 = 
(BgL_classz00_3306==BgL_oclassz00_3322); 
if(BgL__ortest_1195z00_3323)
{ /* Eval/evaluate.scm 236 */
BgL_res2687z00_3336 = BgL__ortest_1195z00_3323; }  else 
{ /* Eval/evaluate.scm 236 */
 long BgL_odepthz00_3324;
BgL_odepthz00_3324 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3322); 
if(
(2L<BgL_odepthz00_3324))
{ /* Eval/evaluate.scm 236 */
 obj_t BgL_arg2664z00_3326;
BgL_arg2664z00_3326 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3322, 2L); 
BgL_res2687z00_3336 = 
(BgL_arg2664z00_3326==BgL_classz00_3306); }  else 
{ /* Eval/evaluate.scm 236 */
BgL_res2687z00_3336 = ((bool_t)0); } } } } 
BgL_test2933z00_4743 = BgL_res2687z00_3336; } }  else 
{ /* Eval/evaluate.scm 236 */
BgL_test2933z00_4743 = ((bool_t)0)
; } } 
if(BgL_test2933z00_4743)
{ /* Eval/evaluate.scm 238 */
 obj_t BgL_g1082z00_1342; obj_t BgL_g1083z00_1343;
{ /* Eval/evaluate.scm 239 */
 obj_t BgL_arg1431z00_1374;
BgL_arg1431z00_1374 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1338)))->BgL_typez00); 
BgL_g1082z00_1342 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1431z00_1374); } 
BgL_g1083z00_1343 = 
CDR(BgL_lz00_37); 
{ 
 obj_t BgL_nodez00_1345; obj_t BgL_klassz00_1346; obj_t BgL_fieldsz00_1347;
BgL_nodez00_1345 = BgL_vz00_1338; 
BgL_klassz00_1346 = BgL_g1082z00_1342; 
BgL_fieldsz00_1347 = BgL_g1083z00_1343; 
BgL_zc3z04anonymousza31407ze3z87_1348:
if(
NULLP(BgL_fieldsz00_1347))
{ /* Eval/evaluate.scm 242 */
return BgL_nodez00_1345;}  else 
{ /* Eval/evaluate.scm 242 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1346))
{ /* Eval/evaluate.scm 245 */
 obj_t BgL_fieldz00_1351;
{ /* Eval/evaluate.scm 245 */
 obj_t BgL_arg1429z00_1370;
BgL_arg1429z00_1370 = 
CAR(
((obj_t)BgL_fieldsz00_1347)); 
BgL_fieldz00_1351 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1346, BgL_arg1429z00_1370); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1351))
{ /* Eval/evaluate.scm 246 */
if(
NULLP(
CDR(
((obj_t)BgL_fieldsz00_1347))))
{ /* Eval/evaluate.scm 247 */
if(
BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1351))
{ /* Eval/evaluate.scm 250 */
 obj_t BgL_arg1414z00_1356;
{ /* Eval/evaluate.scm 250 */
 obj_t BgL_list1415z00_1357;
{ /* Eval/evaluate.scm 250 */
 obj_t BgL_arg1417z00_1358;
BgL_arg1417z00_1358 = 
MAKE_YOUNG_PAIR(BgL_e2z00_1339, BNIL); 
BgL_list1415z00_1357 = 
MAKE_YOUNG_PAIR(BgL_nodez00_1345, BgL_arg1417z00_1358); } 
BgL_arg1414z00_1356 = BgL_list1415z00_1357; } 
return 
((obj_t)
BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(BgL_fieldz00_1351, BgL_arg1414z00_1356, BgL_locz00_44, BgL_tailzf3zf3_42));}  else 
{ /* Eval/evaluate.scm 251 */
 obj_t BgL_arg1418z00_1359;
BgL_arg1418z00_1359 = 
CAR(
((obj_t)BgL_fieldsz00_1347)); 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1418z00_1359, BGl_string2715z00zz__evaluatez00, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 254 */
 BgL_ev_appz00_bglt BgL_nodez00_1360;
BgL_nodez00_1360 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1351, BgL_nodez00_1345, BgL_locz00_44, BgL_tailzf3zf3_42); 
{ /* Eval/evaluate.scm 257 */
 obj_t BgL_arg1419z00_1361; obj_t BgL_arg1420z00_1362;
BgL_arg1419z00_1361 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1351); 
BgL_arg1420z00_1362 = 
CDR(
((obj_t)BgL_fieldsz00_1347)); 
{ 
 obj_t BgL_fieldsz00_4796; obj_t BgL_klassz00_4795; obj_t BgL_nodez00_4793;
BgL_nodez00_4793 = 
((obj_t)BgL_nodez00_1360); 
BgL_klassz00_4795 = BgL_arg1419z00_1361; 
BgL_fieldsz00_4796 = BgL_arg1420z00_1362; 
BgL_fieldsz00_1347 = BgL_fieldsz00_4796; 
BgL_klassz00_1346 = BgL_klassz00_4795; 
BgL_nodez00_1345 = BgL_nodez00_4793; 
goto BgL_zc3z04anonymousza31407ze3z87_1348;} } } }  else 
{ /* Eval/evaluate.scm 259 */
 obj_t BgL_arg1422z00_1364; obj_t BgL_arg1423z00_1365;
BgL_arg1422z00_1364 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1338)))->BgL_typez00); 
{ /* Eval/evaluate.scm 260 */
 obj_t BgL_arg1424z00_1366; obj_t BgL_arg1425z00_1367;
BgL_arg1424z00_1366 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1338)))->BgL_typez00); 
BgL_arg1425z00_1367 = 
CAR(
((obj_t)BgL_fieldsz00_1347)); 
{ /* Eval/evaluate.scm 260 */
 obj_t BgL_list1426z00_1368;
{ /* Eval/evaluate.scm 260 */
 obj_t BgL_arg1428z00_1369;
BgL_arg1428z00_1369 = 
MAKE_YOUNG_PAIR(BgL_arg1425z00_1367, BNIL); 
BgL_list1426z00_1368 = 
MAKE_YOUNG_PAIR(BgL_arg1424z00_1366, BgL_arg1428z00_1369); } 
BgL_arg1423z00_1365 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2712z00zz__evaluatez00, BgL_list1426z00_1368); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1422z00_1364, BgL_arg1423z00_1365, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 264 */
 obj_t BgL_arg1430z00_1371;
{ /* Eval/evaluate.scm 264 */
 obj_t BgL__ortest_1084z00_1372;
BgL__ortest_1084z00_1372 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1338)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1084z00_1372))
{ /* Eval/evaluate.scm 264 */
BgL_arg1430z00_1371 = BgL__ortest_1084z00_1372; }  else 
{ /* Eval/evaluate.scm 264 */
BgL_arg1430z00_1371 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1338)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1430z00_1371, BGl_string2713z00zz__evaluatez00, BgL_ez00_39);} } } }  else 
{ /* Eval/evaluate.scm 236 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, 
CAR(BgL_lz00_37), BGl_string2714z00zz__evaluatez00, BgL_ez00_39);} } } } } } 

}



/* make-class-field-ref */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t BgL_fieldz00_46, obj_t BgL_argz00_47, obj_t BgL_locz00_48, obj_t BgL_tailzf3zf3_49)
{
{ /* Eval/evaluate.scm 270 */
{ /* Eval/evaluate.scm 271 */
 obj_t BgL_getz00_1377;
BgL_getz00_1377 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_46); 
{ /* Eval/evaluate.scm 272 */
 BgL_ev_appz00_bglt BgL_new1086z00_1378;
{ /* Eval/evaluate.scm 273 */
 BgL_ev_appz00_bglt BgL_new1085z00_1383;
BgL_new1085z00_1383 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 273 */
 long BgL_arg1436z00_1384;
BgL_arg1436z00_1384 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_1383), BgL_arg1436z00_1384); } 
BgL_new1086z00_1378 = BgL_new1085z00_1383; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1378))->BgL_locz00)=((obj_t)BgL_locz00_48),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4822;
{ /* Eval/evaluate.scm 274 */
 BgL_ev_littz00_bglt BgL_new1088z00_1379;
{ /* Eval/evaluate.scm 274 */
 BgL_ev_littz00_bglt BgL_new1087z00_1380;
BgL_new1087z00_1380 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 274 */
 long BgL_arg1434z00_1381;
{ /* Eval/evaluate.scm 274 */
 obj_t BgL_classz00_3348;
BgL_classz00_3348 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_arg1434z00_1381 = 
BGL_CLASS_NUM(BgL_classz00_3348); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_1380), BgL_arg1434z00_1381); } 
BgL_new1088z00_1379 = BgL_new1087z00_1380; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1088z00_1379))->BgL_valuez00)=((obj_t)BgL_getz00_1377),BUNSPEC); 
BgL_auxz00_4822 = 
((BgL_ev_exprz00_bglt)BgL_new1088z00_1379); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1378))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4822),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_4830;
{ /* Eval/evaluate.scm 275 */
 obj_t BgL_list1435z00_1382;
BgL_list1435z00_1382 = 
MAKE_YOUNG_PAIR(BgL_argz00_47, BNIL); 
BgL_auxz00_4830 = BgL_list1435z00_1382; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1378))->BgL_argsz00)=((obj_t)BgL_auxz00_4830),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1378))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_49),BUNSPEC); 
return BgL_new1086z00_1378;} } } 

}



/* make-class-field-set */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t BgL_fieldz00_50, obj_t BgL_argsz00_51, obj_t BgL_locz00_52, obj_t BgL_tailzf3zf3_53)
{
{ /* Eval/evaluate.scm 281 */
{ /* Eval/evaluate.scm 282 */
 obj_t BgL_setz00_1385;
BgL_setz00_1385 = 
BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_50); 
{ /* Eval/evaluate.scm 283 */
 BgL_ev_appz00_bglt BgL_new1090z00_1386;
{ /* Eval/evaluate.scm 284 */
 BgL_ev_appz00_bglt BgL_new1089z00_1390;
BgL_new1089z00_1390 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 284 */
 long BgL_arg1438z00_1391;
BgL_arg1438z00_1391 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_1390), BgL_arg1438z00_1391); } 
BgL_new1090z00_1386 = BgL_new1089z00_1390; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1386))->BgL_locz00)=((obj_t)BgL_locz00_52),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4840;
{ /* Eval/evaluate.scm 285 */
 BgL_ev_littz00_bglt BgL_new1092z00_1387;
{ /* Eval/evaluate.scm 285 */
 BgL_ev_littz00_bglt BgL_new1091z00_1388;
BgL_new1091z00_1388 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 285 */
 long BgL_arg1437z00_1389;
{ /* Eval/evaluate.scm 285 */
 obj_t BgL_classz00_3355;
BgL_classz00_3355 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_arg1437z00_1389 = 
BGL_CLASS_NUM(BgL_classz00_3355); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_1388), BgL_arg1437z00_1389); } 
BgL_new1092z00_1387 = BgL_new1091z00_1388; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1092z00_1387))->BgL_valuez00)=((obj_t)BgL_setz00_1385),BUNSPEC); 
BgL_auxz00_4840 = 
((BgL_ev_exprz00_bglt)BgL_new1092z00_1387); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1386))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4840),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1386))->BgL_argsz00)=((obj_t)BgL_argsz00_51),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1386))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_53),BUNSPEC); 
return BgL_new1090z00_1386;} } } 

}



/* evepairify */
obj_t BGl_evepairifyz00zz__evaluatez00(obj_t BgL_pz00_54, obj_t BgL_locz00_55)
{
{ /* Eval/evaluate.scm 292 */
{ /* Eval/evaluate.scm 293 */
 obj_t BgL_arg1439z00_1392; obj_t BgL_arg1440z00_1393;
BgL_arg1439z00_1392 = 
CAR(BgL_pz00_54); 
BgL_arg1440z00_1393 = 
CDR(BgL_pz00_54); 
{ /* Eval/evaluate.scm 293 */
 obj_t BgL_res2690z00_3360;
BgL_res2690z00_3360 = 
MAKE_YOUNG_EPAIR(BgL_arg1439z00_1392, BgL_arg1440z00_1393, BgL_locz00_55); 
return BgL_res2690z00_3360;} } } 

}



/* type-check */
obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56, obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59, obj_t BgL_bodyz00_60)
{
{ /* Eval/evaluate.scm 298 */
if(
SYMBOLP(BgL_tnamez00_57))
{ /* Eval/evaluate.scm 301 */
 obj_t BgL_predz00_1395;
if(
(BgL_tnamez00_57==BGl_symbol2716z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1395 = BGl_symbol2718z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2720z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1395 = BGl_symbol2721z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2723z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1395 = BGl_symbol2725z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2727z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1395 = BGl_symbol2729z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
 bool_t BgL_test2949z00_4863;
{ /* Eval/evaluate.scm 301 */
 bool_t BgL__ortest_1093z00_1471;
BgL__ortest_1093z00_1471 = 
(BgL_tnamez00_57==BGl_symbol2731z00zz__evaluatez00); 
if(BgL__ortest_1093z00_1471)
{ /* Eval/evaluate.scm 301 */
BgL_test2949z00_4863 = BgL__ortest_1093z00_1471
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2949z00_4863 = 
(BgL_tnamez00_57==BGl_symbol2733z00zz__evaluatez00)
; } } 
if(BgL_test2949z00_4863)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1395 = BGl_symbol2734z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
 bool_t BgL_test2951z00_4867;
{ /* Eval/evaluate.scm 301 */
 bool_t BgL__ortest_1094z00_1470;
BgL__ortest_1094z00_1470 = 
(BgL_tnamez00_57==BGl_symbol2736z00zz__evaluatez00); 
if(BgL__ortest_1094z00_1470)
{ /* Eval/evaluate.scm 301 */
BgL_test2951z00_4867 = BgL__ortest_1094z00_1470
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2951z00_4867 = 
(BgL_tnamez00_57==BGl_symbol2738z00zz__evaluatez00)
; } } 
if(BgL_test2951z00_4867)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1395 = BGl_symbol2740z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2742z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1395 = BGl_symbol2744z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2746z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1395 = BGl_symbol2748z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2750z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1395 = BGl_symbol2752z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
 bool_t BgL_test2956z00_4877;
{ /* Eval/evaluate.scm 301 */
 bool_t BgL__ortest_1095z00_1469;
BgL__ortest_1095z00_1469 = 
(BgL_tnamez00_57==BGl_symbol2754z00zz__evaluatez00); 
if(BgL__ortest_1095z00_1469)
{ /* Eval/evaluate.scm 301 */
BgL_test2956z00_4877 = BgL__ortest_1095z00_1469
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2956z00_4877 = 
(BgL_tnamez00_57==BGl_symbol2756z00zz__evaluatez00)
; } } 
if(BgL_test2956z00_4877)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1395 = BGl_symbol2758z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 312 */
 obj_t BgL_arg1486z00_1449;
{ /* Eval/evaluate.scm 312 */
 obj_t BgL_arg1487z00_1450; obj_t BgL_arg1488z00_1451;
BgL_arg1487z00_1450 = 
MAKE_YOUNG_PAIR(BGl_symbol2760z00zz__evaluatez00, BNIL); 
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1489z00_1452;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1490z00_1453;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1493z00_1454; obj_t BgL_arg1494z00_1455;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1495z00_1456;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1496z00_1457;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1497z00_1458;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1498z00_1459;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1500z00_1460;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1502z00_1461;
BgL_arg1502z00_1461 = 
MAKE_YOUNG_PAIR(BgL_tnamez00_57, BNIL); 
BgL_arg1500z00_1460 = 
MAKE_YOUNG_PAIR(BGl_symbol2762z00zz__evaluatez00, BgL_arg1502z00_1461); } 
BgL_arg1498z00_1459 = 
MAKE_YOUNG_PAIR(BgL_arg1500z00_1460, BNIL); } 
BgL_arg1497z00_1458 = 
MAKE_YOUNG_PAIR(BGl_symbol2764z00zz__evaluatez00, BgL_arg1498z00_1459); } 
BgL_arg1496z00_1457 = 
MAKE_YOUNG_PAIR(BgL_arg1497z00_1458, BNIL); } 
BgL_arg1495z00_1456 = 
MAKE_YOUNG_PAIR(BGl_symbol2766z00zz__evaluatez00, BgL_arg1496z00_1457); } 
BgL_arg1493z00_1454 = 
MAKE_YOUNG_PAIR(BgL_arg1495z00_1456, BNIL); } 
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1503z00_1462;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1504z00_1463;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1505z00_1464;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1506z00_1465; obj_t BgL_arg1507z00_1466;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1508z00_1467;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1509z00_1468;
BgL_arg1509z00_1468 = 
MAKE_YOUNG_PAIR(BGl_symbol2766z00zz__evaluatez00, BNIL); 
BgL_arg1508z00_1467 = 
MAKE_YOUNG_PAIR(BGl_symbol2760z00zz__evaluatez00, BgL_arg1509z00_1468); } 
BgL_arg1506z00_1465 = 
MAKE_YOUNG_PAIR(BGl_symbol2768z00zz__evaluatez00, BgL_arg1508z00_1467); } 
BgL_arg1507z00_1466 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BgL_arg1505z00_1464 = 
MAKE_YOUNG_PAIR(BgL_arg1506z00_1465, BgL_arg1507z00_1466); } 
BgL_arg1504z00_1463 = 
MAKE_YOUNG_PAIR(BGl_symbol2766z00zz__evaluatez00, BgL_arg1505z00_1464); } 
BgL_arg1503z00_1462 = 
MAKE_YOUNG_PAIR(BGl_symbol2770z00zz__evaluatez00, BgL_arg1504z00_1463); } 
BgL_arg1494z00_1455 = 
MAKE_YOUNG_PAIR(BgL_arg1503z00_1462, BNIL); } 
BgL_arg1490z00_1453 = 
MAKE_YOUNG_PAIR(BgL_arg1493z00_1454, BgL_arg1494z00_1455); } 
BgL_arg1489z00_1452 = 
MAKE_YOUNG_PAIR(BGl_symbol2772z00zz__evaluatez00, BgL_arg1490z00_1453); } 
BgL_arg1488z00_1451 = 
MAKE_YOUNG_PAIR(BgL_arg1489z00_1452, BNIL); } 
BgL_arg1486z00_1449 = 
MAKE_YOUNG_PAIR(BgL_arg1487z00_1450, BgL_arg1488z00_1451); } 
BgL_predz00_1395 = 
MAKE_YOUNG_PAIR(BGl_symbol2774z00zz__evaluatez00, BgL_arg1486z00_1449); } } } } } } } } } } 
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1442z00_1396;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1443z00_1397;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1444z00_1398; obj_t BgL_arg1445z00_1399;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1446z00_1400;
BgL_arg1446z00_1400 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1444z00_1398 = 
MAKE_YOUNG_PAIR(BgL_predz00_1395, BgL_arg1446z00_1400); } 
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1447z00_1401;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1448z00_1402;
{ 
 obj_t BgL_fnamez00_1403; obj_t BgL_posz00_1404;
if(
PAIRP(BgL_locz00_58))
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_cdrzd2138zd2_1409;
BgL_cdrzd2138zd2_1409 = 
CDR(
((obj_t)BgL_locz00_58)); 
if(
(
CAR(
((obj_t)BgL_locz00_58))==BGl_symbol2780z00zz__evaluatez00))
{ /* Eval/evaluate.scm 316 */
if(
PAIRP(BgL_cdrzd2138zd2_1409))
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_cdrzd2142zd2_1413;
BgL_cdrzd2142zd2_1413 = 
CDR(BgL_cdrzd2138zd2_1409); 
if(
PAIRP(BgL_cdrzd2142zd2_1413))
{ /* Eval/evaluate.scm 316 */
if(
NULLP(
CDR(BgL_cdrzd2142zd2_1413)))
{ /* Eval/evaluate.scm 316 */
BgL_fnamez00_1403 = 
CAR(BgL_cdrzd2138zd2_1409); 
BgL_posz00_1404 = 
CAR(BgL_cdrzd2142zd2_1413); 
{ /* Eval/evaluate.scm 321 */
 obj_t BgL_arg1462z00_1421;
{ /* Eval/evaluate.scm 321 */
 obj_t BgL_arg1463z00_1422; obj_t BgL_arg1464z00_1423;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 321 */
 obj_t BgL_arg2517z00_3369;
BgL_arg2517z00_3369 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_arg1463z00_1422 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2517z00_3369); }  else 
{ /* Eval/evaluate.scm 321 */
BgL_arg1463z00_1422 = BFALSE; } 
{ /* Eval/evaluate.scm 322 */
 obj_t BgL_arg1466z00_1425; obj_t BgL_arg1467z00_1426;
{ /* Eval/evaluate.scm 322 */
 obj_t BgL_arg2517z00_3371;
BgL_arg2517z00_3371 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_arg1466z00_1425 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2517z00_3371); } 
{ /* Eval/evaluate.scm 320 */
 obj_t BgL_arg1468z00_1427;
{ /* Eval/evaluate.scm 320 */
 obj_t BgL_arg1469z00_1428;
BgL_arg1469z00_1428 = 
MAKE_YOUNG_PAIR(BgL_posz00_1404, BNIL); 
BgL_arg1468z00_1427 = 
MAKE_YOUNG_PAIR(BgL_fnamez00_1403, BgL_arg1469z00_1428); } 
BgL_arg1467z00_1426 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BgL_arg1468z00_1427); } 
BgL_arg1464z00_1423 = 
MAKE_YOUNG_PAIR(BgL_arg1466z00_1425, BgL_arg1467z00_1426); } 
BgL_arg1462z00_1421 = 
MAKE_YOUNG_PAIR(BgL_arg1463z00_1422, BgL_arg1464z00_1423); } 
BgL_arg1448z00_1402 = 
MAKE_YOUNG_PAIR(BGl_symbol2776z00zz__evaluatez00, BgL_arg1462z00_1421); } }  else 
{ /* Eval/evaluate.scm 316 */
BgL_tagzd2131zd2_1406:
{ /* Eval/evaluate.scm 326 */
 obj_t BgL_arg1470z00_1429;
{ /* Eval/evaluate.scm 326 */
 obj_t BgL_arg1471z00_1430; obj_t BgL_arg1472z00_1431;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 326 */
 obj_t BgL_arg2517z00_3373;
BgL_arg2517z00_3373 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_arg1471z00_1430 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2517z00_3373); }  else 
{ /* Eval/evaluate.scm 326 */
BgL_arg1471z00_1430 = BFALSE; } 
{ /* Eval/evaluate.scm 327 */
 obj_t BgL_arg1474z00_1433; obj_t BgL_arg1475z00_1434;
{ /* Eval/evaluate.scm 327 */
 obj_t BgL_arg2517z00_3375;
BgL_arg2517z00_3375 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_arg1474z00_1433 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2517z00_3375); } 
BgL_arg1475z00_1434 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1472z00_1431 = 
MAKE_YOUNG_PAIR(BgL_arg1474z00_1433, BgL_arg1475z00_1434); } 
BgL_arg1470z00_1429 = 
MAKE_YOUNG_PAIR(BgL_arg1471z00_1430, BgL_arg1472z00_1431); } 
BgL_arg1448z00_1402 = 
MAKE_YOUNG_PAIR(BGl_symbol2778z00zz__evaluatez00, BgL_arg1470z00_1429); } } }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1406;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1406;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1406;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1406;} } 
BgL_arg1447z00_1401 = 
MAKE_YOUNG_PAIR(BgL_arg1448z00_1402, BNIL); } 
BgL_arg1445z00_1399 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1447z00_1401); } 
BgL_arg1443z00_1397 = 
MAKE_YOUNG_PAIR(BgL_arg1444z00_1398, BgL_arg1445z00_1399); } 
BgL_arg1442z00_1396 = 
MAKE_YOUNG_PAIR(BGl_symbol2770z00zz__evaluatez00, BgL_arg1443z00_1397); } 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1442z00_1396, BgL_locz00_58);} }  else 
{ /* Eval/evaluate.scm 300 */
return BgL_bodyz00_60;} } 

}



/* type-checks */
obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61, obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64, obj_t BgL_procnamez00_65)
{
{ /* Eval/evaluate.scm 334 */
{ /* Eval/evaluate.scm 335 */
 bool_t BgL_test2965z00_4951;
{ /* Eval/evaluate.scm 335 */
 int BgL_arg1521z00_1490;
BgL_arg1521z00_1490 = 
bgl_debug(); 
BgL_test2965z00_4951 = 
(
(long)(BgL_arg1521z00_1490)<=0L); } 
if(BgL_test2965z00_4951)
{ /* Eval/evaluate.scm 335 */
return BgL_bodyz00_63;}  else 
{ /* Eval/evaluate.scm 335 */
BGL_TAIL return 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65, BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);} } } 

}



/* loop~1 */
obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4401, obj_t BgL_procnamez00_4400, obj_t BgL_locz00_4399, obj_t BgL_varsz00_1475, obj_t BgL_srcsz00_1476)
{
{ /* Eval/evaluate.scm 337 */
BGl_loopze71ze7zz__evaluatez00:
if(
NULLP(BgL_varsz00_1475))
{ /* Eval/evaluate.scm 339 */
return BgL_bodyz00_4401;}  else 
{ /* Eval/evaluate.scm 341 */
 obj_t BgL_vz00_1479;
BgL_vz00_1479 = 
CAR(
((obj_t)BgL_varsz00_1475)); 
{ /* Eval/evaluate.scm 341 */
 obj_t BgL_idz00_1480;
BgL_idz00_1480 = 
CAR(
((obj_t)BgL_vz00_1479)); 
{ /* Eval/evaluate.scm 342 */
 obj_t BgL_tnamez00_1481;
BgL_tnamez00_1481 = 
CDR(
((obj_t)BgL_vz00_1479)); 
{ /* Eval/evaluate.scm 343 */

if(
CBOOL(BgL_tnamez00_1481))
{ /* Eval/evaluate.scm 345 */
 obj_t BgL_locz00_1482;
{ /* Eval/evaluate.scm 345 */
 obj_t BgL_arg1517z00_1486;
BgL_arg1517z00_1486 = 
CAR(
((obj_t)BgL_srcsz00_1476)); 
BgL_locz00_1482 = 
BGl_getzd2location3zd2zz__evaluatez00(BgL_arg1517z00_1486, BgL_srcsz00_1476, BgL_locz00_4399); } 
{ /* Eval/evaluate.scm 347 */
 obj_t BgL_arg1514z00_1483;
{ /* Eval/evaluate.scm 347 */
 obj_t BgL_arg1515z00_1484; obj_t BgL_arg1516z00_1485;
BgL_arg1515z00_1484 = 
CDR(
((obj_t)BgL_varsz00_1475)); 
BgL_arg1516z00_1485 = 
CDR(
((obj_t)BgL_srcsz00_1476)); 
BgL_arg1514z00_1483 = 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4401, BgL_procnamez00_4400, BgL_locz00_4399, BgL_arg1515z00_1484, BgL_arg1516z00_1485); } 
BGL_TAIL return 
BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1480, BgL_tnamez00_1481, BgL_locz00_1482, BgL_procnamez00_4400, BgL_arg1514z00_1483);} }  else 
{ /* Eval/evaluate.scm 348 */
 obj_t BgL_arg1518z00_1487; obj_t BgL_arg1520z00_1488;
BgL_arg1518z00_1487 = 
CDR(
((obj_t)BgL_varsz00_1475)); 
BgL_arg1520z00_1488 = 
CDR(
((obj_t)BgL_srcsz00_1476)); 
{ 
 obj_t BgL_srcsz00_4980; obj_t BgL_varsz00_4979;
BgL_varsz00_4979 = BgL_arg1518z00_1487; 
BgL_srcsz00_4980 = BgL_arg1520z00_1488; 
BgL_srcsz00_1476 = BgL_srcsz00_4980; 
BgL_varsz00_1475 = BgL_varsz00_4979; 
goto BGl_loopze71ze7zz__evaluatez00;} } } } } } } 

}



/* type-result */
obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66, obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
{
{ /* Eval/evaluate.scm 353 */
{ /* Eval/evaluate.scm 354 */
 bool_t BgL_test2968z00_4981;
if(
CBOOL(BgL_typez00_66))
{ /* Eval/evaluate.scm 354 */
 int BgL_arg1538z00_1505;
BgL_arg1538z00_1505 = 
bgl_debug(); 
BgL_test2968z00_4981 = 
(
(long)(BgL_arg1538z00_1505)>=1L); }  else 
{ /* Eval/evaluate.scm 354 */
BgL_test2968z00_4981 = ((bool_t)0)
; } 
if(BgL_test2968z00_4981)
{ /* Eval/evaluate.scm 355 */
 obj_t BgL_tmpz00_1493;
BgL_tmpz00_1493 = 
BGl_gensymz00zz__r4_symbols_6_4z00(BGl_symbol2782z00zz__evaluatez00); 
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1525z00_1494; obj_t BgL_arg1526z00_1495;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1527z00_1496;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1528z00_1497; obj_t BgL_arg1529z00_1498;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1530z00_1499;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1531z00_1500; obj_t BgL_arg1532z00_1501;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1533z00_1502;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_list1534z00_1503;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1537z00_1504;
BgL_arg1537z00_1504 = 
MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL); 
BgL_list1534z00_1503 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1493, BgL_arg1537z00_1504); } 
BgL_arg1533z00_1502 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2784z00zz__evaluatez00, BgL_list1534z00_1503); } 
BgL_arg1531z00_1500 = 
bstring_to_symbol(BgL_arg1533z00_1502); } 
BgL_arg1532z00_1501 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL); 
BgL_arg1530z00_1499 = 
MAKE_YOUNG_PAIR(BgL_arg1531z00_1500, BgL_arg1532z00_1501); } 
BgL_arg1528z00_1497 = 
MAKE_YOUNG_PAIR(BgL_arg1530z00_1499, BNIL); } 
BgL_arg1529z00_1498 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1493, BNIL); 
BgL_arg1527z00_1496 = 
MAKE_YOUNG_PAIR(BgL_arg1528z00_1497, BgL_arg1529z00_1498); } 
BgL_arg1525z00_1494 = 
MAKE_YOUNG_PAIR(BGl_symbol2772z00zz__evaluatez00, BgL_arg1527z00_1496); } 
BgL_arg1526z00_1495 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_67, BgL_locz00_68); 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1525z00_1494, BgL_arg1526z00_1495);} }  else 
{ /* Eval/evaluate.scm 354 */
return BgL_bodyz00_67;} } } 

}



/* conv */
obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70, obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73, obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
{
{ /* Eval/evaluate.scm 365 */
BGl_convz00zz__evaluatez00:
{ 
 obj_t BgL_ez00_2691; obj_t BgL_locz00_2692; obj_t BgL_wherez00_2693; obj_t BgL_ez00_2701; obj_t BgL_wherez00_2702;
{ 
 obj_t BgL_xz00_1514; obj_t BgL_bahz00_1516; obj_t BgL_idz00_1518; obj_t BgL_modnamez00_1519; obj_t BgL_lz00_1521; obj_t BgL_funz00_1523; obj_t BgL_argsz00_1524; obj_t BgL_ez00_1526; obj_t BgL_vz00_1528; obj_t BgL_pz00_1530; obj_t BgL_tz00_1531; obj_t BgL_oz00_1532; obj_t BgL_pz00_1534; obj_t BgL_tz00_1535; obj_t BgL_argsz00_1537; obj_t BgL_argsz00_1539; obj_t BgL_lz00_1541; obj_t BgL_bindsz00_1543; obj_t BgL_bodyz00_1544; obj_t BgL_bindsz00_1546; obj_t BgL_bodyz00_1547; obj_t BgL_bindsz00_1549; obj_t BgL_bodyz00_1550; obj_t BgL_idz00_1552; obj_t BgL_modnamez00_1553; obj_t BgL_ez00_1554; obj_t BgL_lz00_1556; obj_t BgL_e2z00_1557; obj_t BgL_vz00_1559; obj_t BgL_ez00_1560; obj_t BgL_gvz00_1563; obj_t BgL_formalsz00_1564; obj_t BgL_bodyz00_1565; obj_t BgL_gvz00_1567; obj_t BgL_gez00_1568; obj_t BgL_vz00_1570; obj_t BgL_bodyz00_1571; obj_t BgL_ez00_1573; obj_t BgL_bodyz00_1574; obj_t BgL_hz00_1576; obj_t BgL_bodyz00_1577; obj_t BgL_mz00_1579; obj_t BgL_pz00_1580; obj_t BgL_bodyz00_1581; obj_t BgL_mz00_1583; obj_t BgL_bodyz00_1584; obj_t BgL_formalsz00_1586; obj_t BgL_bodyz00_1587; obj_t BgL_fz00_1590; obj_t BgL_argsz00_1591;
if(
PAIRP(BgL_ez00_69))
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2795z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1543z00_1598;
BgL_arg1543z00_1598 = 
CDR(
((obj_t)BgL_ez00_69)); 
BgL_bahz00_1516 = BgL_arg1543z00_1598; 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 432 */
 obj_t BgL_formsz00_2381;
BgL_formsz00_2381 = 
BGl_evmodulez00zz__evmodulez00(BgL_ez00_69, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_69, BgL_locz00_74)); 
{ /* Eval/evaluate.scm 433 */
 obj_t BgL_arg2216z00_2382; obj_t BgL_arg2217z00_2383;
BgL_arg2216z00_2382 = 
BGl_expandz00zz__expandz00(BgL_formsz00_2381); 
BgL_arg2217z00_2383 = 
BGL_MODULE(); 
{ 
 bool_t BgL_topzf3zf3_5017; obj_t BgL_wherez00_5016; obj_t BgL_tailzf3zf3_5015; obj_t BgL_globalsz00_5014; obj_t BgL_ez00_5013;
BgL_ez00_5013 = BgL_arg2216z00_2382; 
BgL_globalsz00_5014 = BgL_arg2217z00_2383; 
BgL_tailzf3zf3_5015 = BgL_wherez00_73; 
BgL_wherez00_5016 = BFALSE; 
BgL_topzf3zf3_5017 = ((bool_t)1); 
BgL_topzf3zf3_75 = BgL_topzf3zf3_5017; 
BgL_wherez00_73 = BgL_wherez00_5016; 
BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5015; 
BgL_globalsz00_71 = BgL_globalsz00_5014; 
BgL_ez00_69 = BgL_ez00_5013; 
goto BGl_convz00zz__evaluatez00;} } }  else 
{ /* Eval/evaluate.scm 431 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2710z00zz__evaluatez00, BGl_string2794z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd2250zd2_1599;
BgL_cdrzd2250zd2_1599 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2797z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1599))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd2253zd2_1603; obj_t BgL_cdrzd2254zd2_1604;
BgL_carzd2253zd2_1603 = 
CAR(BgL_cdrzd2250zd2_1599); 
BgL_cdrzd2254zd2_1604 = 
CDR(BgL_cdrzd2250zd2_1599); 
if(
SYMBOLP(BgL_carzd2253zd2_1603))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2254zd2_1604))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd2258zd2_1607;
BgL_carzd2258zd2_1607 = 
CAR(BgL_cdrzd2254zd2_1604); 
if(
SYMBOLP(BgL_carzd2258zd2_1607))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2254zd2_1604)))
{ 
 BgL_ev_globalz00_bglt BgL_auxz00_5039;
BgL_idz00_1518 = BgL_carzd2253zd2_1603; 
BgL_modnamez00_1519 = BgL_carzd2258zd2_1607; 
{ /* Eval/evaluate.scm 437 */
 BgL_ev_globalz00_bglt BgL_new1105z00_2385;
{ /* Eval/evaluate.scm 438 */
 BgL_ev_globalz00_bglt BgL_new1104z00_2386;
BgL_new1104z00_2386 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 438 */
 long BgL_arg2219z00_2387;
BgL_arg2219z00_2387 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_2386), BgL_arg2219z00_2387); } 
BgL_new1105z00_2385 = BgL_new1104z00_2386; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2385))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2385))->BgL_namez00)=((obj_t)BgL_idz00_1518),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2385))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1519)),BUNSPEC); 
BgL_auxz00_5039 = BgL_new1105z00_2385; } 
return 
((obj_t)BgL_auxz00_5039);}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd2303zd2_1611;
BgL_carzd2303zd2_1611 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd2303zd2_1611))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd2303zd2_1611, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5056;
BgL_funz00_1523 = BgL_carzd2303zd2_1611; 
BgL_argsz00_1524 = BgL_cdrzd2250zd2_1599; 
BgL_tagzd2152zd2_1525:
{ /* Eval/evaluate.scm 449 */
 obj_t BgL_funz00_2414; obj_t BgL_argsz00_2415;
BgL_funz00_2414 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_funz00_1523); 
BgL_argsz00_2415 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1524); 
{ /* Eval/evaluate.scm 450 */
 BgL_ev_appz00_bglt BgL_new1107z00_2416;
{ /* Eval/evaluate.scm 451 */
 BgL_ev_appz00_bglt BgL_new1106z00_2417;
BgL_new1106z00_2417 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 451 */
 long BgL_arg2233z00_2418;
BgL_arg2233z00_2418 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_2417), BgL_arg2233z00_2418); } 
BgL_new1107z00_2416 = BgL_new1106z00_2417; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2416))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2416))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2414)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2416))->BgL_argsz00)=((obj_t)BgL_argsz00_2415),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2416))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5056 = BgL_new1107z00_2416; } } 
return 
((obj_t)BgL_auxz00_5056);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5069;
BgL_fz00_1590 = BgL_carzd2303zd2_1611; 
BgL_argsz00_1591 = BgL_cdrzd2250zd2_1599; 
BgL_tagzd2176zd2_1592:
{ /* Eval/evaluate.scm 599 */
 obj_t BgL_funz00_2680; obj_t BgL_argsz00_2681;
BgL_funz00_2680 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_fz00_1590); 
BgL_argsz00_2681 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1591); 
{ /* Eval/evaluate.scm 600 */
 BgL_ev_appz00_bglt BgL_new1156z00_2682;
{ /* Eval/evaluate.scm 601 */
 BgL_ev_appz00_bglt BgL_new1155z00_2683;
BgL_new1155z00_2683 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 601 */
 long BgL_arg2353z00_2684;
BgL_arg2353z00_2684 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1155z00_2683), BgL_arg2353z00_2684); } 
BgL_new1156z00_2682 = BgL_new1155z00_2683; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2682))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2682))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2680)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2682))->BgL_argsz00)=((obj_t)BgL_argsz00_2681),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2682))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5069 = BgL_new1156z00_2682; } } 
return 
((obj_t)BgL_auxz00_5069);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5082;
{ 
 obj_t BgL_argsz00_5084; obj_t BgL_fz00_5083;
BgL_fz00_5083 = BgL_carzd2303zd2_1611; 
BgL_argsz00_5084 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1591 = BgL_argsz00_5084; 
BgL_fz00_1590 = BgL_fz00_5083; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5082);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd21010zd2_1622;
BgL_carzd21010zd2_1622 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd21010zd2_1622))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21010zd2_1622, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5093;
{ 
 obj_t BgL_argsz00_5095; obj_t BgL_funz00_5094;
BgL_funz00_5094 = BgL_carzd21010zd2_1622; 
BgL_argsz00_5095 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1524 = BgL_argsz00_5095; 
BgL_funz00_1523 = BgL_funz00_5094; 
goto BgL_tagzd2152zd2_1525;} 
return 
((obj_t)BgL_auxz00_5093);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5097;
{ 
 obj_t BgL_argsz00_5099; obj_t BgL_fz00_5098;
BgL_fz00_5098 = BgL_carzd21010zd2_1622; 
BgL_argsz00_5099 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1591 = BgL_argsz00_5099; 
BgL_fz00_1590 = BgL_fz00_5098; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5097);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5101;
{ 
 obj_t BgL_argsz00_5103; obj_t BgL_fz00_5102;
BgL_fz00_5102 = BgL_carzd21010zd2_1622; 
BgL_argsz00_5103 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1591 = BgL_argsz00_5103; 
BgL_fz00_1590 = BgL_fz00_5102; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5101);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd21717zd2_1632;
BgL_carzd21717zd2_1632 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd21717zd2_1632))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21717zd2_1632, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5112;
{ 
 obj_t BgL_argsz00_5114; obj_t BgL_funz00_5113;
BgL_funz00_5113 = BgL_carzd21717zd2_1632; 
BgL_argsz00_5114 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1524 = BgL_argsz00_5114; 
BgL_funz00_1523 = BgL_funz00_5113; 
goto BgL_tagzd2152zd2_1525;} 
return 
((obj_t)BgL_auxz00_5112);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5116;
{ 
 obj_t BgL_argsz00_5118; obj_t BgL_fz00_5117;
BgL_fz00_5117 = BgL_carzd21717zd2_1632; 
BgL_argsz00_5118 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1591 = BgL_argsz00_5118; 
BgL_fz00_1590 = BgL_fz00_5117; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5116);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5120;
{ 
 obj_t BgL_argsz00_5122; obj_t BgL_fz00_5121;
BgL_fz00_5121 = BgL_carzd21717zd2_1632; 
BgL_argsz00_5122 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1591 = BgL_argsz00_5122; 
BgL_fz00_1590 = BgL_fz00_5121; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5120);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd22424zd2_1642;
BgL_carzd22424zd2_1642 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd22424zd2_1642))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd22424zd2_1642, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5131;
{ 
 obj_t BgL_argsz00_5133; obj_t BgL_funz00_5132;
BgL_funz00_5132 = BgL_carzd22424zd2_1642; 
BgL_argsz00_5133 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1524 = BgL_argsz00_5133; 
BgL_funz00_1523 = BgL_funz00_5132; 
goto BgL_tagzd2152zd2_1525;} 
return 
((obj_t)BgL_auxz00_5131);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5135;
{ 
 obj_t BgL_argsz00_5137; obj_t BgL_fz00_5136;
BgL_fz00_5136 = BgL_carzd22424zd2_1642; 
BgL_argsz00_5137 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1591 = BgL_argsz00_5137; 
BgL_fz00_1590 = BgL_fz00_5136; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5135);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5139;
{ 
 obj_t BgL_argsz00_5141; obj_t BgL_fz00_5140;
BgL_fz00_5140 = BgL_carzd22424zd2_1642; 
BgL_argsz00_5141 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1591 = BgL_argsz00_5141; 
BgL_fz00_1590 = BgL_fz00_5140; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5139);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd23131zd2_1652;
BgL_carzd23131zd2_1652 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd23131zd2_1652))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23131zd2_1652, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5150;
{ 
 obj_t BgL_argsz00_5152; obj_t BgL_funz00_5151;
BgL_funz00_5151 = BgL_carzd23131zd2_1652; 
BgL_argsz00_5152 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1524 = BgL_argsz00_5152; 
BgL_funz00_1523 = BgL_funz00_5151; 
goto BgL_tagzd2152zd2_1525;} 
return 
((obj_t)BgL_auxz00_5150);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5154;
{ 
 obj_t BgL_argsz00_5156; obj_t BgL_fz00_5155;
BgL_fz00_5155 = BgL_carzd23131zd2_1652; 
BgL_argsz00_5156 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1591 = BgL_argsz00_5156; 
BgL_fz00_1590 = BgL_fz00_5155; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5154);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5158;
{ 
 obj_t BgL_argsz00_5160; obj_t BgL_fz00_5159;
BgL_fz00_5159 = BgL_carzd23131zd2_1652; 
BgL_argsz00_5160 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1591 = BgL_argsz00_5160; 
BgL_fz00_1590 = BgL_fz00_5159; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5158);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2799z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_lz00_1521 = BgL_cdrzd2250zd2_1599; 
{ /* Eval/evaluate.scm 442 */
 bool_t BgL_test2990z00_5166;
if(
PAIRP(BgL_lz00_1521))
{ /* Eval/evaluate.scm 442 */
 bool_t BgL_test2992z00_5169;
{ /* Eval/evaluate.scm 442 */
 obj_t BgL_tmpz00_5170;
BgL_tmpz00_5170 = 
CDR(BgL_lz00_1521); 
BgL_test2992z00_5169 = 
PAIRP(BgL_tmpz00_5170); } 
if(BgL_test2992z00_5169)
{ 
 obj_t BgL_l1207z00_2405;
BgL_l1207z00_2405 = BgL_lz00_1521; 
BgL_zc3z04anonymousza32229ze3z87_2406:
if(
NULLP(BgL_l1207z00_2405))
{ /* Eval/evaluate.scm 442 */
BgL_test2990z00_5166 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 442 */
 bool_t BgL_test2994z00_5175;
{ /* Eval/evaluate.scm 442 */
 obj_t BgL_tmpz00_5176;
BgL_tmpz00_5176 = 
CAR(
((obj_t)BgL_l1207z00_2405)); 
BgL_test2994z00_5175 = 
SYMBOLP(BgL_tmpz00_5176); } 
if(BgL_test2994z00_5175)
{ 
 obj_t BgL_l1207z00_5180;
BgL_l1207z00_5180 = 
CDR(
((obj_t)BgL_l1207z00_2405)); 
BgL_l1207z00_2405 = BgL_l1207z00_5180; 
goto BgL_zc3z04anonymousza32229ze3z87_2406;}  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2990z00_5166 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2990z00_5166 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2990z00_5166 = ((bool_t)0)
; } 
if(BgL_test2990z00_5166)
{ /* Eval/evaluate.scm 442 */
BGL_TAIL return 
BGl_convzd2fieldzd2refz00zz__evaluatez00(BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 442 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2710z00zz__evaluatez00, BGl_string2789z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd23841zd2_1665;
BgL_carzd23841zd2_1665 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd23841zd2_1665))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23841zd2_1665, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5192;
{ 
 obj_t BgL_argsz00_5194; obj_t BgL_funz00_5193;
BgL_funz00_5193 = BgL_carzd23841zd2_1665; 
BgL_argsz00_5194 = BgL_cdrzd2250zd2_1599; 
BgL_argsz00_1524 = BgL_argsz00_5194; 
BgL_funz00_1523 = BgL_funz00_5193; 
goto BgL_tagzd2152zd2_1525;} 
return 
((obj_t)BgL_auxz00_5192);}  else 
{ /* Eval/evaluate.scm 424 */
if(
(BgL_carzd23841zd2_1665==BGl_symbol2801z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1599))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2250zd2_1599)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1608z00_1676;
BgL_arg1608z00_1676 = 
CAR(BgL_cdrzd2250zd2_1599); 
{ 
 BgL_ev_trapz00_bglt BgL_auxz00_5204;
BgL_ez00_1526 = BgL_arg1608z00_1676; 
BgL_tagzd2153zd2_1527:
{ /* Eval/evaluate.scm 456 */
 BgL_ev_trapz00_bglt BgL_new1109z00_2419;
{ /* Eval/evaluate.scm 457 */
 BgL_ev_trapz00_bglt BgL_new1108z00_2420;
BgL_new1108z00_2420 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate.scm 457 */
 long BgL_arg2234z00_2421;
BgL_arg2234z00_2421 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_2420), BgL_arg2234z00_2421); } 
BgL_new1109z00_2419 = BgL_new1108z00_2420; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1109z00_2419)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1526))),BUNSPEC); 
BgL_auxz00_5204 = BgL_new1109z00_2419; } 
return 
((obj_t)BgL_auxz00_5204);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1609z00_1677; obj_t BgL_arg1610z00_1678;
BgL_arg1609z00_1677 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1610z00_1678 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5218;
{ 
 obj_t BgL_argsz00_5220; obj_t BgL_fz00_5219;
BgL_fz00_5219 = BgL_arg1609z00_1677; 
BgL_argsz00_5220 = BgL_arg1610z00_1678; 
BgL_argsz00_1591 = BgL_argsz00_5220; 
BgL_fz00_1590 = BgL_fz00_5219; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5218);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1612z00_1680; obj_t BgL_arg1615z00_1681;
BgL_arg1612z00_1680 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1615z00_1681 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5226;
{ 
 obj_t BgL_argsz00_5228; obj_t BgL_fz00_5227;
BgL_fz00_5227 = BgL_arg1612z00_1680; 
BgL_argsz00_5228 = BgL_arg1615z00_1681; 
BgL_argsz00_1591 = BgL_argsz00_5228; 
BgL_fz00_1590 = BgL_fz00_5227; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5226);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd24514zd2_1682;
BgL_cdrzd24514zd2_1682 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2762z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd24514zd2_1682))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd24514zd2_1682)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1622z00_1688;
BgL_arg1622z00_1688 = 
CAR(BgL_cdrzd24514zd2_1682); 
{ 
 BgL_ev_littz00_bglt BgL_auxz00_5242;
BgL_vz00_1528 = BgL_arg1622z00_1688; 
BgL_tagzd2154zd2_1529:
{ /* Eval/evaluate.scm 459 */
 BgL_ev_littz00_bglt BgL_new1111z00_2422;
{ /* Eval/evaluate.scm 460 */
 BgL_ev_littz00_bglt BgL_new1110z00_2423;
BgL_new1110z00_2423 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 460 */
 long BgL_arg2235z00_2424;
BgL_arg2235z00_2424 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_2423), BgL_arg2235z00_2424); } 
BgL_new1111z00_2422 = BgL_new1110z00_2423; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1111z00_2422))->BgL_valuez00)=((obj_t)BgL_vz00_1528),BUNSPEC); 
BgL_auxz00_5242 = BgL_new1111z00_2422; } 
return 
((obj_t)BgL_auxz00_5242);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1624z00_1689;
BgL_arg1624z00_1689 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5251;
{ 
 obj_t BgL_argsz00_5253; obj_t BgL_fz00_5252;
BgL_fz00_5252 = BgL_arg1624z00_1689; 
BgL_argsz00_5253 = BgL_cdrzd24514zd2_1682; 
BgL_argsz00_1591 = BgL_argsz00_5253; 
BgL_fz00_1590 = BgL_fz00_5252; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5251);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1627z00_1692;
BgL_arg1627z00_1692 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5257;
{ 
 obj_t BgL_argsz00_5259; obj_t BgL_fz00_5258;
BgL_fz00_5258 = BgL_arg1627z00_1692; 
BgL_argsz00_5259 = BgL_cdrzd24514zd2_1682; 
BgL_argsz00_1591 = BgL_argsz00_5259; 
BgL_fz00_1590 = BgL_fz00_5258; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5257);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2770z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd24514zd2_1682))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25128zd2_1698;
BgL_cdrzd25128zd2_1698 = 
CDR(BgL_cdrzd24514zd2_1682); 
if(
PAIRP(BgL_cdrzd25128zd2_1698))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25133zd2_1700;
BgL_cdrzd25133zd2_1700 = 
CDR(BgL_cdrzd25128zd2_1698); 
if(
PAIRP(BgL_cdrzd25133zd2_1700))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd25133zd2_1700)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1637z00_1704; obj_t BgL_arg1638z00_1705; obj_t BgL_arg1639z00_1706;
BgL_arg1637z00_1704 = 
CAR(BgL_cdrzd24514zd2_1682); 
BgL_arg1638z00_1705 = 
CAR(BgL_cdrzd25128zd2_1698); 
BgL_arg1639z00_1706 = 
CAR(BgL_cdrzd25133zd2_1700); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5279;
BgL_pz00_1530 = BgL_arg1637z00_1704; 
BgL_tz00_1531 = BgL_arg1638z00_1705; 
BgL_oz00_1532 = BgL_arg1639z00_1706; 
BgL_tagzd2155zd2_1533:
{ /* Eval/evaluate.scm 462 */
 BgL_ev_ifz00_bglt BgL_new1113z00_2425;
{ /* Eval/evaluate.scm 463 */
 BgL_ev_ifz00_bglt BgL_new1112z00_2429;
BgL_new1112z00_2429 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 463 */
 long BgL_arg2239z00_2430;
BgL_arg2239z00_2430 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_2429), BgL_arg2239z00_2430); } 
BgL_new1113z00_2425 = BgL_new1112z00_2429; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5284;
{ /* Eval/evaluate.scm 463 */
 obj_t BgL_arg2236z00_2426;
BgL_arg2236z00_2426 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1530, BgL_locz00_74); 
BgL_auxz00_5284 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1530, BgL_arg2236z00_2426)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1113z00_2425))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5284),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5289;
{ /* Eval/evaluate.scm 464 */
 obj_t BgL_arg2237z00_2427;
BgL_arg2237z00_2427 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1531, BgL_locz00_74); 
BgL_auxz00_5289 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1531, BgL_arg2237z00_2427)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1113z00_2425))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5289),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5294;
{ /* Eval/evaluate.scm 465 */
 obj_t BgL_arg2238z00_2428;
BgL_arg2238z00_2428 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_oz00_1532, BgL_locz00_74); 
BgL_auxz00_5294 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_oz00_1532, BgL_arg2238z00_2428)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1113z00_2425))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5294),BUNSPEC); } 
BgL_auxz00_5279 = BgL_new1113z00_2425; } 
return 
((obj_t)BgL_auxz00_5279);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1640z00_1707; obj_t BgL_arg1641z00_1708;
BgL_arg1640z00_1707 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1641z00_1708 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5304;
{ 
 obj_t BgL_argsz00_5306; obj_t BgL_fz00_5305;
BgL_fz00_5305 = BgL_arg1640z00_1707; 
BgL_argsz00_5306 = BgL_arg1641z00_1708; 
BgL_argsz00_1591 = BgL_argsz00_5306; 
BgL_fz00_1590 = BgL_fz00_5305; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5304);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25433zd2_1710;
BgL_cdrzd25433zd2_1710 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25439zd2_1711;
BgL_cdrzd25439zd2_1711 = 
CDR(
((obj_t)BgL_cdrzd25433zd2_1710)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd25439zd2_1711))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1645z00_1714; obj_t BgL_arg1646z00_1715;
BgL_arg1645z00_1714 = 
CAR(
((obj_t)BgL_cdrzd25433zd2_1710)); 
BgL_arg1646z00_1715 = 
CAR(
((obj_t)BgL_cdrzd25439zd2_1711)); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5320;
BgL_pz00_1534 = BgL_arg1645z00_1714; 
BgL_tz00_1535 = BgL_arg1646z00_1715; 
BgL_tagzd2156zd2_1536:
{ /* Eval/evaluate.scm 467 */
 BgL_ev_ifz00_bglt BgL_new1115z00_2431;
{ /* Eval/evaluate.scm 468 */
 BgL_ev_ifz00_bglt BgL_new1114z00_2435;
BgL_new1114z00_2435 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 468 */
 long BgL_arg2243z00_2436;
BgL_arg2243z00_2436 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_2435), BgL_arg2243z00_2436); } 
BgL_new1115z00_2431 = BgL_new1114z00_2435; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5325;
{ /* Eval/evaluate.scm 468 */
 obj_t BgL_arg2240z00_2432;
BgL_arg2240z00_2432 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1534, BgL_locz00_74); 
BgL_auxz00_5325 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1534, BgL_arg2240z00_2432)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2431))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5325),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5330;
{ /* Eval/evaluate.scm 469 */
 obj_t BgL_arg2241z00_2433;
BgL_arg2241z00_2433 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1535, BgL_locz00_74); 
BgL_auxz00_5330 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1535, BgL_arg2241z00_2433)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2431))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5330),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5335;
{ /* Eval/evaluate.scm 470 */
 obj_t BgL_arg2242z00_2434;
BgL_arg2242z00_2434 = 
BGl_getzd2locationzd2zz__evaluatez00(BFALSE, BgL_locz00_74); 
BgL_auxz00_5335 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_arg2242z00_2434)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2431))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5335),BUNSPEC); } 
BgL_auxz00_5320 = BgL_new1115z00_2431; } 
return 
((obj_t)BgL_auxz00_5320);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1647z00_1716;
BgL_arg1647z00_1716 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5343;
{ 
 obj_t BgL_argsz00_5345; obj_t BgL_fz00_5344;
BgL_fz00_5344 = BgL_arg1647z00_1716; 
BgL_argsz00_5345 = BgL_cdrzd25433zd2_1710; 
BgL_argsz00_1591 = BgL_argsz00_5345; 
BgL_fz00_1590 = BgL_fz00_5344; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5343);} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1651z00_1719; obj_t BgL_arg1652z00_1720;
BgL_arg1651z00_1719 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1652z00_1720 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5351;
{ 
 obj_t BgL_argsz00_5353; obj_t BgL_fz00_5352;
BgL_fz00_5352 = BgL_arg1651z00_1719; 
BgL_argsz00_5353 = BgL_arg1652z00_1720; 
BgL_argsz00_1591 = BgL_argsz00_5353; 
BgL_fz00_1590 = BgL_fz00_5352; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5351);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1653z00_1721; obj_t BgL_arg1654z00_1722;
BgL_arg1653z00_1721 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1654z00_1722 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5359;
{ 
 obj_t BgL_argsz00_5361; obj_t BgL_fz00_5360;
BgL_fz00_5360 = BgL_arg1653z00_1721; 
BgL_argsz00_5361 = BgL_arg1654z00_1722; 
BgL_argsz00_1591 = BgL_argsz00_5361; 
BgL_fz00_1590 = BgL_fz00_5360; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5359);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2803z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1657z00_1725;
BgL_arg1657z00_1725 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_orz00_bglt BgL_auxz00_5369;
BgL_argsz00_1537 = BgL_arg1657z00_1725; 
BgL_tagzd2157zd2_1538:
{ /* Eval/evaluate.scm 472 */
 BgL_ev_orz00_bglt BgL_new1118z00_2437;
{ /* Eval/evaluate.scm 473 */
 BgL_ev_orz00_bglt BgL_new1117z00_2438;
BgL_new1117z00_2438 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate.scm 473 */
 long BgL_arg2244z00_2439;
BgL_arg2244z00_2439 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_2438), BgL_arg2244z00_2439); } 
BgL_new1118z00_2437 = BgL_new1117z00_2438; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1118z00_2437)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1537)),BUNSPEC); 
BgL_auxz00_5369 = BgL_new1118z00_2437; } 
return 
((obj_t)BgL_auxz00_5369);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2805z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1660z00_1728;
BgL_arg1660z00_1728 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_andz00_bglt BgL_auxz00_5384;
BgL_argsz00_1539 = BgL_arg1660z00_1728; 
BgL_tagzd2158zd2_1540:
{ /* Eval/evaluate.scm 475 */
 BgL_ev_andz00_bglt BgL_new1120z00_2440;
{ /* Eval/evaluate.scm 476 */
 BgL_ev_andz00_bglt BgL_new1119z00_2441;
BgL_new1119z00_2441 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate.scm 476 */
 long BgL_arg2245z00_2442;
BgL_arg2245z00_2442 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_2441), BgL_arg2245z00_2442); } 
BgL_new1120z00_2440 = BgL_new1119z00_2441; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1120z00_2440)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1539)),BUNSPEC); 
BgL_auxz00_5384 = BgL_new1120z00_2440; } 
return 
((obj_t)BgL_auxz00_5384);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2790z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1663z00_1731;
BgL_arg1663z00_1731 = 
CDR(
((obj_t)BgL_ez00_69)); 
BgL_lz00_1541 = BgL_arg1663z00_1731; 
BgL_tagzd2159zd2_1542:
BGL_TAIL return 
BGl_convzd2beginzd2zz__evaluatez00(BgL_lz00_1541, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd26338zd2_1732;
BgL_cdrzd26338zd2_1732 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2772z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26338zd2_1732))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1667z00_1736; obj_t BgL_arg1668z00_1737;
BgL_arg1667z00_1736 = 
CAR(BgL_cdrzd26338zd2_1732); 
BgL_arg1668z00_1737 = 
CDR(BgL_cdrzd26338zd2_1732); 
{ 
 BgL_ev_letz00_bglt BgL_auxz00_5410;
BgL_bindsz00_1543 = BgL_arg1667z00_1736; 
BgL_bodyz00_1544 = BgL_arg1668z00_1737; 
BgL_tagzd2160zd2_1545:
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_ubindsz00_2443;
if(
NULLP(BgL_bindsz00_1543))
{ /* Eval/evaluate.scm 480 */
BgL_ubindsz00_2443 = BNIL; }  else 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_head1212z00_2488;
BgL_head1212z00_2488 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1210z00_2490; obj_t BgL_tail1213z00_2491;
BgL_l1210z00_2490 = BgL_bindsz00_1543; 
BgL_tail1213z00_2491 = BgL_head1212z00_2488; 
BgL_zc3z04anonymousza32264ze3z87_2492:
if(
NULLP(BgL_l1210z00_2490))
{ /* Eval/evaluate.scm 480 */
BgL_ubindsz00_2443 = 
CDR(BgL_head1212z00_2488); }  else 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_newtail1214z00_2494;
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_arg2267z00_2496;
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_bz00_2497;
BgL_bz00_2497 = 
CAR(
((obj_t)BgL_l1210z00_2490)); 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_arg2268z00_2498;
BgL_arg2268z00_2498 = 
CAR(
((obj_t)BgL_bz00_2497)); 
BgL_arg2267z00_2496 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2268z00_2498); } } 
BgL_newtail1214z00_2494 = 
MAKE_YOUNG_PAIR(BgL_arg2267z00_2496, BNIL); } 
SET_CDR(BgL_tail1213z00_2491, BgL_newtail1214z00_2494); 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_arg2266z00_2495;
BgL_arg2266z00_2495 = 
CDR(
((obj_t)BgL_l1210z00_2490)); 
{ 
 obj_t BgL_tail1213z00_5427; obj_t BgL_l1210z00_5426;
BgL_l1210z00_5426 = BgL_arg2266z00_2495; 
BgL_tail1213z00_5427 = BgL_newtail1214z00_2494; 
BgL_tail1213z00_2491 = BgL_tail1213z00_5427; 
BgL_l1210z00_2490 = BgL_l1210z00_5426; 
goto BgL_zc3z04anonymousza32264ze3z87_2492;} } } } } 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_varsz00_2444;
if(
NULLP(BgL_ubindsz00_2443))
{ /* Eval/evaluate.scm 481 */
BgL_varsz00_2444 = BNIL; }  else 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_head1217z00_2472;
BgL_head1217z00_2472 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1215z00_2474; obj_t BgL_tail1218z00_2475;
BgL_l1215z00_2474 = BgL_ubindsz00_2443; 
BgL_tail1218z00_2475 = BgL_head1217z00_2472; 
BgL_zc3z04anonymousza32258ze3z87_2476:
if(
NULLP(BgL_l1215z00_2474))
{ /* Eval/evaluate.scm 481 */
BgL_varsz00_2444 = 
CDR(BgL_head1217z00_2472); }  else 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_newtail1219z00_2478;
{ /* Eval/evaluate.scm 481 */
 BgL_ev_varz00_bglt BgL_arg2261z00_2480;
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_iz00_2481;
BgL_iz00_2481 = 
CAR(
((obj_t)BgL_l1215z00_2474)); 
{ /* Eval/evaluate.scm 482 */
 BgL_ev_varz00_bglt BgL_new1122z00_2482;
{ /* Eval/evaluate.scm 484 */
 BgL_ev_varz00_bglt BgL_new1121z00_2483;
BgL_new1121z00_2483 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 484 */
 long BgL_arg2262z00_2484;
BgL_arg2262z00_2484 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_2483), BgL_arg2262z00_2484); } 
BgL_new1122z00_2482 = BgL_new1121z00_2483; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2482))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2481))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2482))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2482))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2481))),BUNSPEC); 
BgL_arg2261z00_2480 = BgL_new1122z00_2482; } } 
BgL_newtail1219z00_2478 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2261z00_2480), BNIL); } 
SET_CDR(BgL_tail1218z00_2475, BgL_newtail1219z00_2478); 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_arg2260z00_2479;
BgL_arg2260z00_2479 = 
CDR(
((obj_t)BgL_l1215z00_2474)); 
{ 
 obj_t BgL_tail1218z00_5453; obj_t BgL_l1215z00_5452;
BgL_l1215z00_5452 = BgL_arg2260z00_2479; 
BgL_tail1218z00_5453 = BgL_newtail1219z00_2478; 
BgL_tail1218z00_2475 = BgL_tail1218z00_5453; 
BgL_l1215z00_2474 = BgL_l1215z00_5452; 
goto BgL_zc3z04anonymousza32258ze3z87_2476;} } } } } 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_bodyz00_2445;
{ /* Eval/evaluate.scm 486 */
 bool_t BgL_test3018z00_5454;
{ /* Eval/evaluate.scm 486 */
 obj_t BgL_tmpz00_5455;
BgL_tmpz00_5455 = 
CDR(
((obj_t)BgL_bodyz00_1544)); 
BgL_test3018z00_5454 = 
PAIRP(BgL_tmpz00_5455); } 
if(BgL_test3018z00_5454)
{ /* Eval/evaluate.scm 486 */
 obj_t BgL_res2691z00_3458;
BgL_res2691z00_3458 = 
MAKE_YOUNG_EPAIR(BGl_symbol2790z00zz__evaluatez00, BgL_bodyz00_1544, BgL_locz00_74); 
BgL_bodyz00_2445 = BgL_res2691z00_3458; }  else 
{ /* Eval/evaluate.scm 486 */
BgL_bodyz00_2445 = 
CAR(
((obj_t)BgL_bodyz00_1544)); } } 
{ /* Eval/evaluate.scm 486 */
 obj_t BgL_tbodyz00_2446;
BgL_tbodyz00_2446 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2443, BgL_bindsz00_1543, BgL_bodyz00_2445, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 487 */

{ /* Eval/evaluate.scm 488 */
 obj_t BgL_blocz00_2447;
BgL_blocz00_2447 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1543, BgL_locz00_74); 
{ /* Eval/evaluate.scm 489 */
 BgL_ev_letz00_bglt BgL_new1124z00_2448;
{ /* Eval/evaluate.scm 490 */
 BgL_ev_letz00_bglt BgL_new1123z00_2465;
BgL_new1123z00_2465 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate.scm 490 */
 long BgL_arg2253z00_2466;
BgL_arg2253z00_2466 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_2465), BgL_arg2253z00_2466); } 
BgL_new1124z00_2448 = BgL_new1123z00_2465; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2448)))->BgL_varsz00)=((obj_t)BgL_varsz00_2444),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5470;
if(
NULLP(BgL_bindsz00_1543))
{ /* Eval/evaluate.scm 491 */
BgL_auxz00_5470 = BNIL
; }  else 
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_head1222z00_2451;
BgL_head1222z00_2451 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1220z00_2453; obj_t BgL_tail1223z00_2454;
BgL_l1220z00_2453 = BgL_bindsz00_1543; 
BgL_tail1223z00_2454 = BgL_head1222z00_2451; 
BgL_zc3z04anonymousza32247ze3z87_2455:
if(
NULLP(BgL_l1220z00_2453))
{ /* Eval/evaluate.scm 491 */
BgL_auxz00_5470 = 
CDR(BgL_head1222z00_2451)
; }  else 
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_newtail1224z00_2457;
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_arg2250z00_2459;
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_bz00_2460;
BgL_bz00_2460 = 
CAR(
((obj_t)BgL_l1220z00_2453)); 
{ /* Eval/evaluate.scm 492 */
 obj_t BgL_locz00_2461;
BgL_locz00_2461 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2460, BgL_blocz00_2447); 
{ /* Eval/evaluate.scm 493 */
 obj_t BgL_arg2251z00_2462;
{ /* Eval/evaluate.scm 493 */
 obj_t BgL_pairz00_3468;
BgL_pairz00_3468 = 
CDR(
((obj_t)BgL_bz00_2460)); 
BgL_arg2251z00_2462 = 
CAR(BgL_pairz00_3468); } 
BgL_arg2250z00_2459 = 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_arg2251z00_2462, BgL_locz00_2461); } } } 
BgL_newtail1224z00_2457 = 
MAKE_YOUNG_PAIR(BgL_arg2250z00_2459, BNIL); } 
SET_CDR(BgL_tail1223z00_2454, BgL_newtail1224z00_2457); 
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_arg2249z00_2458;
BgL_arg2249z00_2458 = 
CDR(
((obj_t)BgL_l1220z00_2453)); 
{ 
 obj_t BgL_tail1223z00_5490; obj_t BgL_l1220z00_5489;
BgL_l1220z00_5489 = BgL_arg2249z00_2458; 
BgL_tail1223z00_5490 = BgL_newtail1224z00_2457; 
BgL_tail1223z00_2454 = BgL_tail1223z00_5490; 
BgL_l1220z00_2453 = BgL_l1220z00_5489; 
goto BgL_zc3z04anonymousza32247ze3z87_2455;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2448)))->BgL_valsz00)=((obj_t)BgL_auxz00_5470),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5492;
{ /* Eval/evaluate.scm 495 */
 obj_t BgL_arg2252z00_2464;
BgL_arg2252z00_2464 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2444, BgL_localsz00_70); 
BgL_auxz00_5492 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2446, BgL_arg2252z00_2464, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2448)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5492),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1124z00_2448))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5410 = BgL_new1124z00_2448; } } } } } } } 
return 
((obj_t)BgL_auxz00_5410);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1670z00_1738;
BgL_arg1670z00_1738 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5502;
{ 
 obj_t BgL_argsz00_5504; obj_t BgL_fz00_5503;
BgL_fz00_5503 = BgL_arg1670z00_1738; 
BgL_argsz00_5504 = BgL_cdrzd26338zd2_1732; 
BgL_argsz00_1591 = BgL_argsz00_5504; 
BgL_fz00_1590 = BgL_fz00_5503; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5502);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2807z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26338zd2_1732))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1676z00_1744; obj_t BgL_arg1677z00_1745;
BgL_arg1676z00_1744 = 
CAR(BgL_cdrzd26338zd2_1732); 
BgL_arg1677z00_1745 = 
CDR(BgL_cdrzd26338zd2_1732); 
{ 
 BgL_ev_letza2za2_bglt BgL_auxz00_5514;
BgL_bindsz00_1546 = BgL_arg1676z00_1744; 
BgL_bodyz00_1547 = BgL_arg1677z00_1745; 
BgL_tagzd2161zd2_1548:
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_varsz00_2501; obj_t BgL_blocz00_2502;
if(
NULLP(BgL_bindsz00_1546))
{ /* Eval/evaluate.scm 503 */
BgL_varsz00_2501 = BNIL; }  else 
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_head1227z00_2510;
BgL_head1227z00_2510 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1225z00_2512; obj_t BgL_tail1228z00_2513;
BgL_l1225z00_2512 = BgL_bindsz00_1546; 
BgL_tail1228z00_2513 = BgL_head1227z00_2510; 
BgL_zc3z04anonymousza32273ze3z87_2514:
if(
NULLP(BgL_l1225z00_2512))
{ /* Eval/evaluate.scm 503 */
BgL_varsz00_2501 = 
CDR(BgL_head1227z00_2510); }  else 
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_newtail1229z00_2516;
{ /* Eval/evaluate.scm 503 */
 BgL_ev_varz00_bglt BgL_arg2276z00_2518;
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_bz00_2519;
BgL_bz00_2519 = 
CAR(
((obj_t)BgL_l1225z00_2512)); 
{ /* Eval/evaluate.scm 504 */
 obj_t BgL_iz00_2520;
{ /* Eval/evaluate.scm 504 */
 obj_t BgL_arg2278z00_2524;
BgL_arg2278z00_2524 = 
CAR(
((obj_t)BgL_bz00_2519)); 
BgL_iz00_2520 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2278z00_2524); } 
{ /* Eval/evaluate.scm 505 */
 BgL_ev_varz00_bglt BgL_new1126z00_2521;
{ /* Eval/evaluate.scm 507 */
 BgL_ev_varz00_bglt BgL_new1125z00_2522;
BgL_new1125z00_2522 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 507 */
 long BgL_arg2277z00_2523;
BgL_arg2277z00_2523 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_2522), BgL_arg2277z00_2523); } 
BgL_new1126z00_2521 = BgL_new1125z00_2522; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2521))->BgL_namez00)=((obj_t)
CAR(BgL_iz00_2520)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2521))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2521))->BgL_typez00)=((obj_t)
CDR(BgL_iz00_2520)),BUNSPEC); 
BgL_arg2276z00_2518 = BgL_new1126z00_2521; } } } 
BgL_newtail1229z00_2516 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2276z00_2518), BNIL); } 
SET_CDR(BgL_tail1228z00_2513, BgL_newtail1229z00_2516); 
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_arg2275z00_2517;
BgL_arg2275z00_2517 = 
CDR(
((obj_t)BgL_l1225z00_2512)); 
{ 
 obj_t BgL_tail1228z00_5541; obj_t BgL_l1225z00_5540;
BgL_l1225z00_5540 = BgL_arg2275z00_2517; 
BgL_tail1228z00_5541 = BgL_newtail1229z00_2516; 
BgL_tail1228z00_2513 = BgL_tail1228z00_5541; 
BgL_l1225z00_2512 = BgL_l1225z00_5540; 
goto BgL_zc3z04anonymousza32273ze3z87_2514;} } } } } 
BgL_blocz00_2502 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1546, BgL_locz00_74); 
{ /* Eval/evaluate.scm 510 */
 BgL_ev_letza2za2_bglt BgL_new1128z00_2503;
{ /* Eval/evaluate.scm 511 */
 BgL_ev_letza2za2_bglt BgL_new1127z00_2506;
BgL_new1127z00_2506 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate.scm 511 */
 long BgL_arg2271z00_2507;
BgL_arg2271z00_2507 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_2506), BgL_arg2271z00_2507); } 
BgL_new1128z00_2503 = BgL_new1127z00_2506; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2503)))->BgL_varsz00)=((obj_t)BgL_varsz00_2501),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2503)))->BgL_valsz00)=((obj_t)
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1546, BgL_varsz00_2501, BgL_localsz00_70, BgL_blocz00_2502)),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5552;
{ /* Eval/evaluate.scm 513 */
 obj_t BgL_arg2269z00_2504;
{ /* Eval/evaluate.scm 513 */
 obj_t BgL_arg2270z00_2505;
BgL_arg2270z00_2505 = 
bgl_reverse(BgL_varsz00_2501); 
BgL_arg2269z00_2504 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_arg2270z00_2505, BgL_localsz00_70); } 
BgL_auxz00_5552 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1547, BgL_arg2269z00_2504, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2503)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5552),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1128z00_2503))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5514 = BgL_new1128z00_2503; } } 
return 
((obj_t)BgL_auxz00_5514);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1679z00_1746; obj_t BgL_arg1680z00_1747;
BgL_arg1679z00_1746 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1680z00_1747 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5565;
{ 
 obj_t BgL_argsz00_5567; obj_t BgL_fz00_5566;
BgL_fz00_5566 = BgL_arg1679z00_1746; 
BgL_argsz00_5567 = BgL_arg1680z00_1747; 
BgL_argsz00_1591 = BgL_argsz00_5567; 
BgL_fz00_1590 = BgL_fz00_5566; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5565);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd26736zd2_1748;
BgL_cdrzd26736zd2_1748 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2809z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26736zd2_1748))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1687z00_1752; obj_t BgL_arg1688z00_1753;
BgL_arg1687z00_1752 = 
CAR(BgL_cdrzd26736zd2_1748); 
BgL_arg1688z00_1753 = 
CDR(BgL_cdrzd26736zd2_1748); 
{ 
 BgL_ev_letrecz00_bglt BgL_auxz00_5579;
BgL_bindsz00_1549 = BgL_arg1687z00_1752; 
BgL_bodyz00_1550 = BgL_arg1688z00_1753; 
BgL_tagzd2162zd2_1551:
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_ubindsz00_2542;
if(
NULLP(BgL_bindsz00_1549))
{ /* Eval/evaluate.scm 515 */
BgL_ubindsz00_2542 = BNIL; }  else 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_head1232z00_2592;
BgL_head1232z00_2592 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1230z00_2594; obj_t BgL_tail1233z00_2595;
BgL_l1230z00_2594 = BgL_bindsz00_1549; 
BgL_tail1233z00_2595 = BgL_head1232z00_2592; 
BgL_zc3z04anonymousza32312ze3z87_2596:
if(
NULLP(BgL_l1230z00_2594))
{ /* Eval/evaluate.scm 515 */
BgL_ubindsz00_2542 = 
CDR(BgL_head1232z00_2592); }  else 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_newtail1234z00_2598;
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_arg2315z00_2600;
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_bz00_2601;
BgL_bz00_2601 = 
CAR(
((obj_t)BgL_l1230z00_2594)); 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_arg2316z00_2602;
BgL_arg2316z00_2602 = 
CAR(
((obj_t)BgL_bz00_2601)); 
BgL_arg2315z00_2600 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2316z00_2602); } } 
BgL_newtail1234z00_2598 = 
MAKE_YOUNG_PAIR(BgL_arg2315z00_2600, BNIL); } 
SET_CDR(BgL_tail1233z00_2595, BgL_newtail1234z00_2598); 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_arg2314z00_2599;
BgL_arg2314z00_2599 = 
CDR(
((obj_t)BgL_l1230z00_2594)); 
{ 
 obj_t BgL_tail1233z00_5596; obj_t BgL_l1230z00_5595;
BgL_l1230z00_5595 = BgL_arg2314z00_2599; 
BgL_tail1233z00_5596 = BgL_newtail1234z00_2598; 
BgL_tail1233z00_2595 = BgL_tail1233z00_5596; 
BgL_l1230z00_2594 = BgL_l1230z00_5595; 
goto BgL_zc3z04anonymousza32312ze3z87_2596;} } } } } 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_varsz00_2543;
if(
NULLP(BgL_ubindsz00_2542))
{ /* Eval/evaluate.scm 516 */
BgL_varsz00_2543 = BNIL; }  else 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_head1237z00_2576;
BgL_head1237z00_2576 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1235z00_2578; obj_t BgL_tail1238z00_2579;
BgL_l1235z00_2578 = BgL_ubindsz00_2542; 
BgL_tail1238z00_2579 = BgL_head1237z00_2576; 
BgL_zc3z04anonymousza32306ze3z87_2580:
if(
NULLP(BgL_l1235z00_2578))
{ /* Eval/evaluate.scm 516 */
BgL_varsz00_2543 = 
CDR(BgL_head1237z00_2576); }  else 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_newtail1239z00_2582;
{ /* Eval/evaluate.scm 516 */
 BgL_ev_varz00_bglt BgL_arg2309z00_2584;
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_iz00_2585;
BgL_iz00_2585 = 
CAR(
((obj_t)BgL_l1235z00_2578)); 
{ /* Eval/evaluate.scm 517 */
 BgL_ev_varz00_bglt BgL_new1130z00_2586;
{ /* Eval/evaluate.scm 519 */
 BgL_ev_varz00_bglt BgL_new1129z00_2587;
BgL_new1129z00_2587 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 519 */
 long BgL_arg2310z00_2588;
BgL_arg2310z00_2588 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_2587), BgL_arg2310z00_2588); } 
BgL_new1130z00_2586 = BgL_new1129z00_2587; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2586))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2585))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2586))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2586))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2585))),BUNSPEC); 
BgL_arg2309z00_2584 = BgL_new1130z00_2586; } } 
BgL_newtail1239z00_2582 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2309z00_2584), BNIL); } 
SET_CDR(BgL_tail1238z00_2579, BgL_newtail1239z00_2582); 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_arg2308z00_2583;
BgL_arg2308z00_2583 = 
CDR(
((obj_t)BgL_l1235z00_2578)); 
{ 
 obj_t BgL_tail1238z00_5622; obj_t BgL_l1235z00_5621;
BgL_l1235z00_5621 = BgL_arg2308z00_2583; 
BgL_tail1238z00_5622 = BgL_newtail1239z00_2582; 
BgL_tail1238z00_2579 = BgL_tail1238z00_5622; 
BgL_l1235z00_2578 = BgL_l1235z00_5621; 
goto BgL_zc3z04anonymousza32306ze3z87_2580;} } } } } 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_localsz00_2544;
BgL_localsz00_2544 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2543, BgL_localsz00_70); 
{ /* Eval/evaluate.scm 521 */
 obj_t BgL_bodyz00_2545;
{ /* Eval/evaluate.scm 522 */
 bool_t BgL_test3031z00_5624;
{ /* Eval/evaluate.scm 522 */
 obj_t BgL_tmpz00_5625;
BgL_tmpz00_5625 = 
CDR(
((obj_t)BgL_bodyz00_1550)); 
BgL_test3031z00_5624 = 
PAIRP(BgL_tmpz00_5625); } 
if(BgL_test3031z00_5624)
{ /* Eval/evaluate.scm 522 */
 obj_t BgL_res2692z00_3510;
BgL_res2692z00_3510 = 
MAKE_YOUNG_EPAIR(BGl_symbol2790z00zz__evaluatez00, BgL_bodyz00_1550, BgL_locz00_74); 
BgL_bodyz00_2545 = BgL_res2692z00_3510; }  else 
{ /* Eval/evaluate.scm 522 */
BgL_bodyz00_2545 = 
CAR(
((obj_t)BgL_bodyz00_1550)); } } 
{ /* Eval/evaluate.scm 522 */
 obj_t BgL_tbodyz00_2546;
BgL_tbodyz00_2546 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2542, BgL_bindsz00_1549, BgL_bodyz00_2545, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 523 */
 obj_t BgL_blocz00_2547;
BgL_blocz00_2547 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1549, BgL_locz00_74); 
{ /* Eval/evaluate.scm 524 */

{ /* Eval/evaluate.scm 525 */
 BgL_ev_letrecz00_bglt BgL_new1132z00_2548;
{ /* Eval/evaluate.scm 526 */
 BgL_ev_letrecz00_bglt BgL_new1131z00_2569;
BgL_new1131z00_2569 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate.scm 526 */
 long BgL_arg2301z00_2570;
BgL_arg2301z00_2570 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_2569), BgL_arg2301z00_2570); } 
BgL_new1132z00_2548 = BgL_new1131z00_2569; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2548)))->BgL_varsz00)=((obj_t)BgL_varsz00_2543),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5640;
if(
NULLP(BgL_bindsz00_1549))
{ /* Eval/evaluate.scm 527 */
BgL_auxz00_5640 = BNIL
; }  else 
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_head1242z00_2551;
BgL_head1242z00_2551 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1240z00_2553; obj_t BgL_tail1243z00_2554;
BgL_l1240z00_2553 = BgL_bindsz00_1549; 
BgL_tail1243z00_2554 = BgL_head1242z00_2551; 
BgL_zc3z04anonymousza32290ze3z87_2555:
if(
NULLP(BgL_l1240z00_2553))
{ /* Eval/evaluate.scm 527 */
BgL_auxz00_5640 = 
CDR(BgL_head1242z00_2551)
; }  else 
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_newtail1244z00_2557;
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_arg2293z00_2559;
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_bz00_2560;
BgL_bz00_2560 = 
CAR(
((obj_t)BgL_l1240z00_2553)); 
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2294z00_2561; obj_t BgL_arg2295z00_2562; obj_t BgL_arg2296z00_2563;
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_pairz00_3520;
BgL_pairz00_3520 = 
CDR(
((obj_t)BgL_bz00_2560)); 
BgL_arg2294z00_2561 = 
CAR(BgL_pairz00_3520); } 
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2297z00_2564;
BgL_arg2297z00_2564 = 
CAR(
((obj_t)BgL_bz00_2560)); 
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_list2298z00_2565;
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2299z00_2566;
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2300z00_2567;
BgL_arg2300z00_2567 = 
MAKE_YOUNG_PAIR(BgL_wherez00_73, BNIL); 
BgL_arg2299z00_2566 = 
MAKE_YOUNG_PAIR(BGl_symbol2792z00zz__evaluatez00, BgL_arg2300z00_2567); } 
BgL_list2298z00_2565 = 
MAKE_YOUNG_PAIR(BgL_arg2297z00_2564, BgL_arg2299z00_2566); } 
BgL_arg2295z00_2562 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2298z00_2565); } } 
BgL_arg2296z00_2563 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2560, BgL_blocz00_2547); 
BgL_arg2293z00_2559 = 
BGl_convz00zz__evaluatez00(BgL_arg2294z00_2561, BgL_localsz00_2544, BgL_globalsz00_71, BFALSE, BgL_arg2295z00_2562, BgL_arg2296z00_2563, ((bool_t)0)); } } 
BgL_newtail1244z00_2557 = 
MAKE_YOUNG_PAIR(BgL_arg2293z00_2559, BNIL); } 
SET_CDR(BgL_tail1243z00_2554, BgL_newtail1244z00_2557); 
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_arg2292z00_2558;
BgL_arg2292z00_2558 = 
CDR(
((obj_t)BgL_l1240z00_2553)); 
{ 
 obj_t BgL_tail1243z00_5666; obj_t BgL_l1240z00_5665;
BgL_l1240z00_5665 = BgL_arg2292z00_2558; 
BgL_tail1243z00_5666 = BgL_newtail1244z00_2557; 
BgL_tail1243z00_2554 = BgL_tail1243z00_5666; 
BgL_l1240z00_2553 = BgL_l1240z00_5665; 
goto BgL_zc3z04anonymousza32290ze3z87_2555;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2548)))->BgL_valsz00)=((obj_t)BgL_auxz00_5640),BUNSPEC); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2548)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2546, BgL_localsz00_2544, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_5579 = BgL_new1132z00_2548; } } } } } } } } 
return 
((obj_t)BgL_auxz00_5579);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1690z00_1754;
BgL_arg1690z00_1754 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5675;
{ 
 obj_t BgL_argsz00_5677; obj_t BgL_fz00_5676;
BgL_fz00_5676 = BgL_arg1690z00_1754; 
BgL_argsz00_5677 = BgL_cdrzd26736zd2_1748; 
BgL_argsz00_1591 = BgL_argsz00_5677; 
BgL_fz00_1590 = BgL_fz00_5676; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5675);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2811z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26736zd2_1748))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd26912zd2_1760; obj_t BgL_cdrzd26913zd2_1761;
BgL_carzd26912zd2_1760 = 
CAR(BgL_cdrzd26736zd2_1748); 
BgL_cdrzd26913zd2_1761 = 
CDR(BgL_cdrzd26736zd2_1748); 
if(
PAIRP(BgL_carzd26912zd2_1760))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd26917zd2_1763;
BgL_cdrzd26917zd2_1763 = 
CDR(BgL_carzd26912zd2_1760); 
if(
(
CAR(BgL_carzd26912zd2_1760)==BGl_symbol2797z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26917zd2_1763))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd26920zd2_1767; obj_t BgL_cdrzd26921zd2_1768;
BgL_carzd26920zd2_1767 = 
CAR(BgL_cdrzd26917zd2_1763); 
BgL_cdrzd26921zd2_1768 = 
CDR(BgL_cdrzd26917zd2_1763); 
if(
SYMBOLP(BgL_carzd26920zd2_1767))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26921zd2_1768))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd26925zd2_1771;
BgL_carzd26925zd2_1771 = 
CAR(BgL_cdrzd26921zd2_1768); 
if(
SYMBOLP(BgL_carzd26925zd2_1771))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd26921zd2_1768)))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26913zd2_1761))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd26913zd2_1761)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1710z00_1778;
BgL_arg1710z00_1778 = 
CAR(BgL_cdrzd26913zd2_1761); 
{ 
 BgL_ev_setglobalz00_bglt BgL_auxz00_5713;
BgL_idz00_1552 = BgL_carzd26920zd2_1767; 
BgL_modnamez00_1553 = BgL_carzd26925zd2_1771; 
BgL_ez00_1554 = BgL_arg1710z00_1778; 
BgL_tagzd2163zd2_1555:
{ /* Eval/evaluate.scm 531 */
 BgL_ev_setglobalz00_bglt BgL_new1134z00_2604;
{ /* Eval/evaluate.scm 535 */
 BgL_ev_setglobalz00_bglt BgL_new1133z00_2605;
BgL_new1133z00_2605 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 535 */
 long BgL_arg2317z00_2606;
BgL_arg2317z00_2606 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_2605), BgL_arg2317z00_2606); } 
BgL_new1134z00_2604 = BgL_new1133z00_2605; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1134z00_2604)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1554))),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2604))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2604))->BgL_namez00)=((obj_t)BgL_idz00_1552),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2604))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1553)),BUNSPEC); 
BgL_auxz00_5713 = BgL_new1134z00_2604; } 
return 
((obj_t)BgL_auxz00_5713);} }  else 
{ /* Eval/evaluate.scm 424 */
BgL_tagzd2166zd2_1562:
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2710z00zz__evaluatez00, BGl_string2789z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27041zd2_1780;
BgL_cdrzd27041zd2_1780 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27045zd2_1781;
BgL_cdrzd27045zd2_1781 = 
CDR(
((obj_t)BgL_cdrzd27041zd2_1780)); 
if(
PAIRP(BgL_cdrzd27045zd2_1781))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27045zd2_1781)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1716z00_1785; obj_t BgL_arg1717z00_1786;
BgL_arg1716z00_1785 = 
CAR(
((obj_t)BgL_cdrzd27041zd2_1780)); 
BgL_arg1717z00_1786 = 
CAR(BgL_cdrzd27045zd2_1781); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5740;
BgL_vz00_1559 = BgL_arg1716z00_1785; 
BgL_ez00_1560 = BgL_arg1717z00_1786; 
BgL_tagzd2165zd2_1561:
{ /* Eval/evaluate.scm 541 */
 obj_t BgL_cvz00_2633; obj_t BgL_ez00_2634;
BgL_cvz00_2633 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_vz00_1559, BgL_localsz00_70); 
BgL_ez00_2634 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1560); 
if(
CBOOL(BgL_cvz00_2633))
{ /* Eval/evaluate.scm 543 */
 BgL_ev_setlocalz00_bglt BgL_new1136z00_2635;
{ /* Eval/evaluate.scm 545 */
 BgL_ev_setlocalz00_bglt BgL_new1135z00_2636;
BgL_new1135z00_2636 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate.scm 545 */
 long BgL_arg2331z00_2637;
BgL_arg2331z00_2637 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1135z00_2636), BgL_arg2331z00_2637); } 
BgL_new1136z00_2635 = BgL_new1135z00_2636; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1136z00_2635)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2634)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1136z00_2635))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_cvz00_2633)),BUNSPEC); 
BgL_auxz00_5740 = 
((BgL_ev_hookz00_bglt)BgL_new1136z00_2635); }  else 
{ /* Eval/evaluate.scm 546 */
 BgL_ev_setglobalz00_bglt BgL_new1138z00_2638;
{ /* Eval/evaluate.scm 550 */
 BgL_ev_setglobalz00_bglt BgL_new1137z00_2640;
BgL_new1137z00_2640 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 550 */
 long BgL_arg2333z00_2641;
BgL_arg2333z00_2641 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1137z00_2640), BgL_arg2333z00_2641); } 
BgL_new1138z00_2638 = BgL_new1137z00_2640; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1138z00_2638)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2634)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2638))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2638))->BgL_namez00)=((obj_t)BgL_vz00_1559),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5764;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 549 */
BgL_auxz00_5764 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 549 */
BgL_auxz00_5764 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2638))->BgL_modz00)=((obj_t)BgL_auxz00_5764),BUNSPEC); } 
BgL_auxz00_5740 = 
((BgL_ev_hookz00_bglt)BgL_new1138z00_2638); } } 
return 
((obj_t)BgL_auxz00_5740);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27102zd2_1789;
BgL_cdrzd27102zd2_1789 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27106zd2_1790;
BgL_cdrzd27106zd2_1790 = 
CDR(
((obj_t)BgL_cdrzd27102zd2_1789)); 
if(
PAIRP(BgL_cdrzd27106zd2_1790))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27106zd2_1790)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1725z00_1794; obj_t BgL_arg1726z00_1795;
BgL_arg1725z00_1794 = 
CAR(
((obj_t)BgL_cdrzd27102zd2_1789)); 
BgL_arg1726z00_1795 = 
CAR(BgL_cdrzd27106zd2_1790); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5783;
{ 
 obj_t BgL_ez00_5785; obj_t BgL_vz00_5784;
BgL_vz00_5784 = BgL_arg1725z00_1794; 
BgL_ez00_5785 = BgL_arg1726z00_1795; 
BgL_ez00_1560 = BgL_ez00_5785; 
BgL_vz00_1559 = BgL_vz00_5784; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_5783);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27163zd2_1797;
BgL_cdrzd27163zd2_1797 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27167zd2_1798;
BgL_cdrzd27167zd2_1798 = 
CDR(
((obj_t)BgL_cdrzd27163zd2_1797)); 
if(
PAIRP(BgL_cdrzd27167zd2_1798))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27167zd2_1798)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1731z00_1802; obj_t BgL_arg1732z00_1803;
BgL_arg1731z00_1802 = 
CAR(
((obj_t)BgL_cdrzd27163zd2_1797)); 
BgL_arg1732z00_1803 = 
CAR(BgL_cdrzd27167zd2_1798); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5799;
{ 
 obj_t BgL_ez00_5801; obj_t BgL_vz00_5800;
BgL_vz00_5800 = BgL_arg1731z00_1802; 
BgL_ez00_5801 = BgL_arg1732z00_1803; 
BgL_ez00_1560 = BgL_ez00_5801; 
BgL_vz00_1559 = BgL_vz00_5800; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_5799);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27224zd2_1805;
BgL_cdrzd27224zd2_1805 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27228zd2_1806;
BgL_cdrzd27228zd2_1806 = 
CDR(
((obj_t)BgL_cdrzd27224zd2_1805)); 
if(
PAIRP(BgL_cdrzd27228zd2_1806))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27228zd2_1806)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1737z00_1810; obj_t BgL_arg1738z00_1811;
BgL_arg1737z00_1810 = 
CAR(
((obj_t)BgL_cdrzd27224zd2_1805)); 
BgL_arg1738z00_1811 = 
CAR(BgL_cdrzd27228zd2_1806); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5815;
{ 
 obj_t BgL_ez00_5817; obj_t BgL_vz00_5816;
BgL_vz00_5816 = BgL_arg1737z00_1810; 
BgL_ez00_5817 = BgL_arg1738z00_1811; 
BgL_ez00_1560 = BgL_ez00_5817; 
BgL_vz00_1559 = BgL_vz00_5816; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_5815);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27285zd2_1813;
BgL_cdrzd27285zd2_1813 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27289zd2_1814;
BgL_cdrzd27289zd2_1814 = 
CDR(
((obj_t)BgL_cdrzd27285zd2_1813)); 
if(
PAIRP(BgL_cdrzd27289zd2_1814))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27289zd2_1814)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1745z00_1818; obj_t BgL_arg1746z00_1819;
BgL_arg1745z00_1818 = 
CAR(
((obj_t)BgL_cdrzd27285zd2_1813)); 
BgL_arg1746z00_1819 = 
CAR(BgL_cdrzd27289zd2_1814); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5831;
{ 
 obj_t BgL_ez00_5833; obj_t BgL_vz00_5832;
BgL_vz00_5832 = BgL_arg1745z00_1818; 
BgL_ez00_5833 = BgL_arg1746z00_1819; 
BgL_ez00_1560 = BgL_ez00_5833; 
BgL_vz00_1559 = BgL_vz00_5832; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_5831);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27333zd2_1821;
BgL_cdrzd27333zd2_1821 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd27336zd2_1822; obj_t BgL_cdrzd27337zd2_1823;
BgL_carzd27336zd2_1822 = 
CAR(
((obj_t)BgL_cdrzd27333zd2_1821)); 
BgL_cdrzd27337zd2_1823 = 
CDR(
((obj_t)BgL_cdrzd27333zd2_1821)); 
if(
(
CAR(
((obj_t)BgL_carzd27336zd2_1822))==BGl_symbol2799z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27337zd2_1823))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27337zd2_1823)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1753z00_1829; obj_t BgL_arg1754z00_1830;
BgL_arg1753z00_1829 = 
CDR(
((obj_t)BgL_carzd27336zd2_1822)); 
BgL_arg1754z00_1830 = 
CAR(BgL_cdrzd27337zd2_1823); 
BgL_lz00_1556 = BgL_arg1753z00_1829; 
BgL_e2z00_1557 = BgL_arg1754z00_1830; 
BgL_tagzd2164zd2_1558:
{ /* Eval/evaluate.scm 537 */
 bool_t BgL_test3060z00_5853;
if(
PAIRP(BgL_lz00_1556))
{ /* Eval/evaluate.scm 537 */
 bool_t BgL_test3062z00_5856;
{ /* Eval/evaluate.scm 537 */
 obj_t BgL_tmpz00_5857;
BgL_tmpz00_5857 = 
CDR(BgL_lz00_1556); 
BgL_test3062z00_5856 = 
PAIRP(BgL_tmpz00_5857); } 
if(BgL_test3062z00_5856)
{ 
 obj_t BgL_l1245z00_2624;
BgL_l1245z00_2624 = BgL_lz00_1556; 
BgL_zc3z04anonymousza32327ze3z87_2625:
if(
NULLP(BgL_l1245z00_2624))
{ /* Eval/evaluate.scm 537 */
BgL_test3060z00_5853 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 537 */
 bool_t BgL_test3064z00_5862;
{ /* Eval/evaluate.scm 537 */
 obj_t BgL_tmpz00_5863;
BgL_tmpz00_5863 = 
CAR(
((obj_t)BgL_l1245z00_2624)); 
BgL_test3064z00_5862 = 
SYMBOLP(BgL_tmpz00_5863); } 
if(BgL_test3064z00_5862)
{ 
 obj_t BgL_l1245z00_5867;
BgL_l1245z00_5867 = 
CDR(
((obj_t)BgL_l1245z00_2624)); 
BgL_l1245z00_2624 = BgL_l1245z00_5867; 
goto BgL_zc3z04anonymousza32327ze3z87_2625;}  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3060z00_5853 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3060z00_5853 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3060z00_5853 = ((bool_t)0)
; } 
if(BgL_test3060z00_5853)
{ /* Eval/evaluate.scm 537 */
return 
BGl_convzd2fieldzd2setz00zz__evaluatez00(BgL_lz00_1556, BgL_e2z00_1557, BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 537 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2710z00zz__evaluatez00, BGl_string2789z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27413zd2_1833;
BgL_cdrzd27413zd2_1833 = 
CDR(
((obj_t)BgL_cdrzd27333zd2_1821)); 
if(
PAIRP(BgL_cdrzd27413zd2_1833))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27413zd2_1833)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1759z00_1837; obj_t BgL_arg1760z00_1838;
BgL_arg1759z00_1837 = 
CAR(
((obj_t)BgL_cdrzd27333zd2_1821)); 
BgL_arg1760z00_1838 = 
CAR(BgL_cdrzd27413zd2_1833); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5882;
{ 
 obj_t BgL_ez00_5884; obj_t BgL_vz00_5883;
BgL_vz00_5883 = BgL_arg1759z00_1837; 
BgL_ez00_5884 = BgL_arg1760z00_1838; 
BgL_ez00_1560 = BgL_ez00_5884; 
BgL_vz00_1559 = BgL_vz00_5883; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_5882);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27470zd2_1842;
BgL_cdrzd27470zd2_1842 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27474zd2_1843;
BgL_cdrzd27474zd2_1843 = 
CDR(
((obj_t)BgL_cdrzd27470zd2_1842)); 
if(
PAIRP(BgL_cdrzd27474zd2_1843))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27474zd2_1843)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1767z00_1847; obj_t BgL_arg1768z00_1848;
BgL_arg1767z00_1847 = 
CAR(
((obj_t)BgL_cdrzd27470zd2_1842)); 
BgL_arg1768z00_1848 = 
CAR(BgL_cdrzd27474zd2_1843); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5898;
{ 
 obj_t BgL_ez00_5900; obj_t BgL_vz00_5899;
BgL_vz00_5899 = BgL_arg1767z00_1847; 
BgL_ez00_5900 = BgL_arg1768z00_1848; 
BgL_ez00_1560 = BgL_ez00_5900; 
BgL_vz00_1559 = BgL_vz00_5899; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_5898);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27595zd2_1850;
BgL_cdrzd27595zd2_1850 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2813z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27595zd2_1850))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27600zd2_1854;
BgL_cdrzd27600zd2_1854 = 
CDR(BgL_cdrzd27595zd2_1850); 
if(
PAIRP(BgL_cdrzd27600zd2_1854))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd27604zd2_1856;
BgL_carzd27604zd2_1856 = 
CAR(BgL_cdrzd27600zd2_1854); 
if(
PAIRP(BgL_carzd27604zd2_1856))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27609zd2_1858;
BgL_cdrzd27609zd2_1858 = 
CDR(BgL_carzd27604zd2_1856); 
if(
(
CAR(BgL_carzd27604zd2_1856)==BGl_symbol2774z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27609zd2_1858))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27613zd2_1862;
BgL_cdrzd27613zd2_1862 = 
CDR(BgL_cdrzd27609zd2_1858); 
if(
PAIRP(BgL_cdrzd27613zd2_1862))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27613zd2_1862)))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27600zd2_1854)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1783z00_1868; obj_t BgL_arg1784z00_1869; obj_t BgL_arg1785z00_1870;
BgL_arg1783z00_1868 = 
CAR(BgL_cdrzd27595zd2_1850); 
BgL_arg1784z00_1869 = 
CAR(BgL_cdrzd27609zd2_1858); 
BgL_arg1785z00_1870 = 
CAR(BgL_cdrzd27613zd2_1862); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5934;
BgL_gvz00_1563 = BgL_arg1783z00_1868; 
BgL_formalsz00_1564 = BgL_arg1784z00_1869; 
BgL_bodyz00_1565 = BgL_arg1785z00_1870; 
BgL_tagzd2167zd2_1566:
{ /* Eval/evaluate.scm 554 */
 obj_t BgL_tidz00_2642;
BgL_tidz00_2642 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1563); 
{ /* Eval/evaluate.scm 555 */
 BgL_ev_defglobalz00_bglt BgL_new1140z00_2643;
{ /* Eval/evaluate.scm 559 */
 BgL_ev_defglobalz00_bglt BgL_new1139z00_2646;
BgL_new1139z00_2646 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 559 */
 long BgL_arg2336z00_2647;
BgL_arg2336z00_2647 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_2646), BgL_arg2336z00_2647); } 
BgL_new1140z00_2643 = BgL_new1139z00_2646; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5940;
{ /* Eval/evaluate.scm 559 */
 obj_t BgL_arg2334z00_2644;
BgL_arg2334z00_2644 = 
CDR(BgL_tidz00_2642); 
BgL_auxz00_5940 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1564, BgL_bodyz00_1565, BgL_gvz00_1563, BgL_arg2334z00_2644)); } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1140z00_2643)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5940),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2643)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2643)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2642)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5951;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 558 */
BgL_auxz00_5951 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 558 */
BgL_auxz00_5951 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2643)))->BgL_modz00)=((obj_t)BgL_auxz00_5951),BUNSPEC); } 
BgL_auxz00_5934 = BgL_new1140z00_2643; } } 
return 
((obj_t)BgL_auxz00_5934);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1786z00_1871;
BgL_arg1786z00_1871 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5960;
{ 
 obj_t BgL_argsz00_5962; obj_t BgL_fz00_5961;
BgL_fz00_5961 = BgL_arg1786z00_1871; 
BgL_argsz00_5962 = BgL_cdrzd27595zd2_1850; 
BgL_argsz00_1591 = BgL_argsz00_5962; 
BgL_fz00_1590 = BgL_fz00_5961; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_5960);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27715zd2_1875;
BgL_cdrzd27715zd2_1875 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1850)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27715zd2_1875))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1792z00_1878; obj_t BgL_arg1793z00_1879;
BgL_arg1792z00_1878 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1850)); 
BgL_arg1793z00_1879 = 
CAR(
((obj_t)BgL_cdrzd27715zd2_1875)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5974;
BgL_gvz00_1567 = BgL_arg1792z00_1878; 
BgL_gez00_1568 = BgL_arg1793z00_1879; 
BgL_tagzd2168zd2_1569:
{ /* Eval/evaluate.scm 561 */
 obj_t BgL_tidz00_2648;
BgL_tidz00_2648 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1567); 
{ /* Eval/evaluate.scm 562 */
 BgL_ev_defglobalz00_bglt BgL_new1142z00_2649;
{ /* Eval/evaluate.scm 566 */
 BgL_ev_defglobalz00_bglt BgL_new1141z00_2654;
BgL_new1141z00_2654 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 566 */
 long BgL_arg2341z00_2655;
BgL_arg2341z00_2655 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2654), BgL_arg2341z00_2655); } 
BgL_new1142z00_2649 = BgL_new1141z00_2654; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5980;
{ /* Eval/evaluate.scm 567 */
 obj_t BgL_arg2337z00_2650;
{ /* Eval/evaluate.scm 567 */
 obj_t BgL_arg2339z00_2652;
BgL_arg2339z00_2652 = 
CDR(BgL_tidz00_2648); 
BgL_arg2337z00_2650 = 
BGl_typezd2resultzd2zz__evaluatez00(BgL_arg2339z00_2652, BgL_gez00_1568, BgL_locz00_74); } 
{ 
 obj_t BgL_auxz00_5984;
BgL_ez00_2701 = BgL_arg2337z00_2650; 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 568 */
BgL_wherez00_2702 = BgL_gvz00_1567; }  else 
{ /* Eval/evaluate.scm 568 */
BgL_wherez00_2702 = BgL_wherez00_73; } 
BgL_ez00_2691 = BgL_ez00_2701; 
BgL_locz00_2692 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2701, BgL_locz00_74); 
BgL_wherez00_2693 = BgL_wherez00_2702; 
BgL_auxz00_5984 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2691, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_2693, BgL_locz00_2692, ((bool_t)0)); 
BgL_auxz00_5980 = 
((BgL_ev_exprz00_bglt)BgL_auxz00_5984); } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1142z00_2649)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5980),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2649)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2649)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2648)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5995;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 565 */
BgL_auxz00_5995 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 565 */
BgL_auxz00_5995 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2649)))->BgL_modz00)=((obj_t)BgL_auxz00_5995),BUNSPEC); } 
BgL_auxz00_5974 = BgL_new1142z00_2649; } } 
return 
((obj_t)BgL_auxz00_5974);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1794z00_1880; obj_t BgL_arg1795z00_1881;
BgL_arg1794z00_1880 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1795z00_1881 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6006;
{ 
 obj_t BgL_argsz00_6008; obj_t BgL_fz00_6007;
BgL_fz00_6007 = BgL_arg1794z00_1880; 
BgL_argsz00_6008 = BgL_arg1795z00_1881; 
BgL_argsz00_1591 = BgL_argsz00_6008; 
BgL_fz00_1590 = BgL_fz00_6007; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6006);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27804zd2_1885;
BgL_cdrzd27804zd2_1885 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1850)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27804zd2_1885))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1800z00_1888; obj_t BgL_arg1801z00_1889;
BgL_arg1800z00_1888 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1850)); 
BgL_arg1801z00_1889 = 
CAR(
((obj_t)BgL_cdrzd27804zd2_1885)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6020;
{ 
 obj_t BgL_gez00_6022; obj_t BgL_gvz00_6021;
BgL_gvz00_6021 = BgL_arg1800z00_1888; 
BgL_gez00_6022 = BgL_arg1801z00_1889; 
BgL_gez00_1568 = BgL_gez00_6022; 
BgL_gvz00_1567 = BgL_gvz00_6021; 
goto BgL_tagzd2168zd2_1569;} 
return 
((obj_t)BgL_auxz00_6020);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1802z00_1890; obj_t BgL_arg1803z00_1891;
BgL_arg1802z00_1890 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1803z00_1891 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6028;
{ 
 obj_t BgL_argsz00_6030; obj_t BgL_fz00_6029;
BgL_fz00_6029 = BgL_arg1802z00_1890; 
BgL_argsz00_6030 = BgL_arg1803z00_1891; 
BgL_argsz00_1591 = BgL_argsz00_6030; 
BgL_fz00_1590 = BgL_fz00_6029; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6028);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27893zd2_1894;
BgL_cdrzd27893zd2_1894 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1850)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27893zd2_1894))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1807z00_1897; obj_t BgL_arg1808z00_1898;
BgL_arg1807z00_1897 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1850)); 
BgL_arg1808z00_1898 = 
CAR(
((obj_t)BgL_cdrzd27893zd2_1894)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6042;
{ 
 obj_t BgL_gez00_6044; obj_t BgL_gvz00_6043;
BgL_gvz00_6043 = BgL_arg1807z00_1897; 
BgL_gez00_6044 = BgL_arg1808z00_1898; 
BgL_gez00_1568 = BgL_gez00_6044; 
BgL_gvz00_1567 = BgL_gvz00_6043; 
goto BgL_tagzd2168zd2_1569;} 
return 
((obj_t)BgL_auxz00_6042);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1809z00_1899; obj_t BgL_arg1810z00_1900;
BgL_arg1809z00_1899 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1810z00_1900 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6050;
{ 
 obj_t BgL_argsz00_6052; obj_t BgL_fz00_6051;
BgL_fz00_6051 = BgL_arg1809z00_1899; 
BgL_argsz00_6052 = BgL_arg1810z00_1900; 
BgL_argsz00_1591 = BgL_argsz00_6052; 
BgL_fz00_1590 = BgL_fz00_6051; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6050);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27982zd2_1903;
BgL_cdrzd27982zd2_1903 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1850)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27982zd2_1903))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1814z00_1906; obj_t BgL_arg1815z00_1907;
BgL_arg1814z00_1906 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1850)); 
BgL_arg1815z00_1907 = 
CAR(
((obj_t)BgL_cdrzd27982zd2_1903)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6064;
{ 
 obj_t BgL_gez00_6066; obj_t BgL_gvz00_6065;
BgL_gvz00_6065 = BgL_arg1814z00_1906; 
BgL_gez00_6066 = BgL_arg1815z00_1907; 
BgL_gez00_1568 = BgL_gez00_6066; 
BgL_gvz00_1567 = BgL_gvz00_6065; 
goto BgL_tagzd2168zd2_1569;} 
return 
((obj_t)BgL_auxz00_6064);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1816z00_1908; obj_t BgL_arg1817z00_1909;
BgL_arg1816z00_1908 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1817z00_1909 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6072;
{ 
 obj_t BgL_argsz00_6074; obj_t BgL_fz00_6073;
BgL_fz00_6073 = BgL_arg1816z00_1908; 
BgL_argsz00_6074 = BgL_arg1817z00_1909; 
BgL_argsz00_1591 = BgL_argsz00_6074; 
BgL_fz00_1590 = BgL_fz00_6073; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6072);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28071zd2_1913;
BgL_cdrzd28071zd2_1913 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1850)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd28071zd2_1913))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1822z00_1916; obj_t BgL_arg1823z00_1917;
BgL_arg1822z00_1916 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1850)); 
BgL_arg1823z00_1917 = 
CAR(
((obj_t)BgL_cdrzd28071zd2_1913)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6086;
{ 
 obj_t BgL_gez00_6088; obj_t BgL_gvz00_6087;
BgL_gvz00_6087 = BgL_arg1822z00_1916; 
BgL_gez00_6088 = BgL_arg1823z00_1917; 
BgL_gez00_1568 = BgL_gez00_6088; 
BgL_gvz00_1567 = BgL_gvz00_6087; 
goto BgL_tagzd2168zd2_1569;} 
return 
((obj_t)BgL_auxz00_6086);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1824z00_1918; obj_t BgL_arg1825z00_1919;
BgL_arg1824z00_1918 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1825z00_1919 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6094;
{ 
 obj_t BgL_argsz00_6096; obj_t BgL_fz00_6095;
BgL_fz00_6095 = BgL_arg1824z00_1918; 
BgL_argsz00_6096 = BgL_arg1825z00_1919; 
BgL_argsz00_1591 = BgL_argsz00_6096; 
BgL_fz00_1590 = BgL_fz00_6095; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6094);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1827z00_1921;
BgL_arg1827z00_1921 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6100;
{ 
 obj_t BgL_argsz00_6102; obj_t BgL_fz00_6101;
BgL_fz00_6101 = BgL_arg1827z00_1921; 
BgL_argsz00_6102 = BgL_cdrzd27595zd2_1850; 
BgL_argsz00_1591 = BgL_argsz00_6102; 
BgL_fz00_1590 = BgL_fz00_6101; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6100);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1830z00_1923;
BgL_arg1830z00_1923 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6106;
{ 
 obj_t BgL_argsz00_6108; obj_t BgL_fz00_6107;
BgL_fz00_6107 = BgL_arg1830z00_1923; 
BgL_argsz00_6108 = BgL_cdrzd27595zd2_1850; 
BgL_argsz00_1591 = BgL_argsz00_6108; 
BgL_fz00_1590 = BgL_fz00_6107; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6106);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2815z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27595zd2_1850))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd28319zd2_1929;
BgL_carzd28319zd2_1929 = 
CAR(BgL_cdrzd27595zd2_1850); 
if(
PAIRP(BgL_carzd28319zd2_1929))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_carzd28319zd2_1929)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1839z00_1933; obj_t BgL_arg1840z00_1934;
BgL_arg1839z00_1933 = 
CAR(BgL_carzd28319zd2_1929); 
BgL_arg1840z00_1934 = 
CDR(BgL_cdrzd27595zd2_1850); 
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6124;
BgL_vz00_1570 = BgL_arg1839z00_1933; 
BgL_bodyz00_1571 = BgL_arg1840z00_1934; 
BgL_tagzd2169zd2_1572:
{ /* Eval/evaluate.scm 570 */
 BgL_ev_varz00_bglt BgL_varz00_2656;
{ /* Eval/evaluate.scm 570 */
 BgL_ev_varz00_bglt BgL_new1144z00_2661;
{ /* Eval/evaluate.scm 570 */
 BgL_ev_varz00_bglt BgL_new1143z00_2662;
BgL_new1143z00_2662 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 570 */
 long BgL_arg2344z00_2663;
BgL_arg2344z00_2663 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1143z00_2662), BgL_arg2344z00_2663); } 
BgL_new1144z00_2661 = BgL_new1143z00_2662; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2661))->BgL_namez00)=((obj_t)BgL_vz00_1570),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2661))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2661))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_varz00_2656 = BgL_new1144z00_2661; } 
{ /* Eval/evaluate.scm 571 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1146z00_2657;
{ /* Eval/evaluate.scm 572 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1145z00_2659;
BgL_new1145z00_2659 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate.scm 572 */
 long BgL_arg2343z00_2660;
BgL_arg2343z00_2660 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1145z00_2659), BgL_arg2343z00_2660); } 
BgL_new1146z00_2657 = BgL_new1145z00_2659; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1146z00_2657))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_varz00_2656),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_6137;
{ /* Eval/evaluate.scm 573 */
 obj_t BgL_arg2342z00_2658;
BgL_arg2342z00_2658 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_varz00_2656), BgL_localsz00_70); 
BgL_auxz00_6137 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1571, BgL_arg2342z00_2658, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1146z00_2657))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_6137),BUNSPEC); } 
BgL_auxz00_6124 = BgL_new1146z00_2657; } } 
return 
((obj_t)BgL_auxz00_6124);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1841z00_1935; obj_t BgL_arg1842z00_1936;
BgL_arg1841z00_1935 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1842z00_1936 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6148;
{ 
 obj_t BgL_argsz00_6150; obj_t BgL_fz00_6149;
BgL_fz00_6149 = BgL_arg1841z00_1935; 
BgL_argsz00_6150 = BgL_arg1842z00_1936; 
BgL_argsz00_1591 = BgL_argsz00_6150; 
BgL_fz00_1590 = BgL_fz00_6149; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6148);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1844z00_1938; obj_t BgL_arg1845z00_1939;
BgL_arg1844z00_1938 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1845z00_1939 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6156;
{ 
 obj_t BgL_argsz00_6158; obj_t BgL_fz00_6157;
BgL_fz00_6157 = BgL_arg1844z00_1938; 
BgL_argsz00_6158 = BgL_arg1845z00_1939; 
BgL_argsz00_1591 = BgL_argsz00_6158; 
BgL_fz00_1590 = BgL_fz00_6157; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6156);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1846z00_1940; obj_t BgL_arg1847z00_1941;
BgL_arg1846z00_1940 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1847z00_1941 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6164;
{ 
 obj_t BgL_argsz00_6166; obj_t BgL_fz00_6165;
BgL_fz00_6165 = BgL_arg1846z00_1940; 
BgL_argsz00_6166 = BgL_arg1847z00_1941; 
BgL_argsz00_1591 = BgL_argsz00_6166; 
BgL_fz00_1590 = BgL_fz00_6165; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6164);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28490zd2_1942;
BgL_cdrzd28490zd2_1942 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2817z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28490zd2_1942))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1851z00_1946; obj_t BgL_arg1852z00_1947;
BgL_arg1851z00_1946 = 
CAR(BgL_cdrzd28490zd2_1942); 
BgL_arg1852z00_1947 = 
CDR(BgL_cdrzd28490zd2_1942); 
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6178;
BgL_ez00_1573 = BgL_arg1851z00_1946; 
BgL_bodyz00_1574 = BgL_arg1852z00_1947; 
BgL_tagzd2170zd2_1575:
{ /* Eval/evaluate.scm 575 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1148z00_2664;
{ /* Eval/evaluate.scm 576 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1147z00_2665;
BgL_new1147z00_2665 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate.scm 576 */
 long BgL_arg2345z00_2666;
BgL_arg2345z00_2666 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1147z00_2665), BgL_arg2345z00_2666); } 
BgL_new1148z00_2664 = BgL_new1147z00_2665; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1148z00_2664))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1573))),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1148z00_2664))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1574, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6178 = BgL_new1148z00_2664; } 
return 
((obj_t)BgL_auxz00_6178);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1853z00_1948;
BgL_arg1853z00_1948 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6192;
{ 
 obj_t BgL_argsz00_6194; obj_t BgL_fz00_6193;
BgL_fz00_6193 = BgL_arg1853z00_1948; 
BgL_argsz00_6194 = BgL_cdrzd28490zd2_1942; 
BgL_argsz00_1591 = BgL_argsz00_6194; 
BgL_fz00_1590 = BgL_fz00_6193; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6192);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2819z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28490zd2_1942))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1858z00_1954; obj_t BgL_arg1859z00_1955;
BgL_arg1858z00_1954 = 
CAR(BgL_cdrzd28490zd2_1942); 
BgL_arg1859z00_1955 = 
CDR(BgL_cdrzd28490zd2_1942); 
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6204;
BgL_hz00_1576 = BgL_arg1858z00_1954; 
BgL_bodyz00_1577 = BgL_arg1859z00_1955; 
BgL_tagzd2171zd2_1578:
{ /* Eval/evaluate.scm 579 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1150z00_2667;
{ /* Eval/evaluate.scm 580 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1149z00_2668;
BgL_new1149z00_2668 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate.scm 580 */
 long BgL_arg2346z00_2669;
BgL_arg2346z00_2669 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1149z00_2668), BgL_arg2346z00_2669); } 
BgL_new1150z00_2667 = BgL_new1149z00_2668; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1150z00_2667))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_hz00_1576))),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1150z00_2667))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1577, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6204 = BgL_new1150z00_2667; } 
return 
((obj_t)BgL_auxz00_6204);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1860z00_1956; obj_t BgL_arg1861z00_1957;
BgL_arg1860z00_1956 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1861z00_1957 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6220;
{ 
 obj_t BgL_argsz00_6222; obj_t BgL_fz00_6221;
BgL_fz00_6221 = BgL_arg1860z00_1956; 
BgL_argsz00_6222 = BgL_arg1861z00_1957; 
BgL_argsz00_1591 = BgL_argsz00_6222; 
BgL_fz00_1590 = BgL_fz00_6221; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6220);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28597zd2_1958;
BgL_cdrzd28597zd2_1958 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2821z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28597zd2_1958))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28602zd2_1962;
BgL_cdrzd28602zd2_1962 = 
CDR(BgL_cdrzd28597zd2_1958); 
if(
PAIRP(BgL_cdrzd28602zd2_1962))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28607zd2_1964;
BgL_cdrzd28607zd2_1964 = 
CDR(BgL_cdrzd28602zd2_1962); 
if(
(
CAR(BgL_cdrzd28602zd2_1962)==BGl_keyword2823z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28607zd2_1964))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1869z00_1968; obj_t BgL_arg1870z00_1969; obj_t BgL_arg1871z00_1970;
BgL_arg1869z00_1968 = 
CAR(BgL_cdrzd28597zd2_1958); 
BgL_arg1870z00_1969 = 
CAR(BgL_cdrzd28607zd2_1964); 
BgL_arg1871z00_1970 = 
CDR(BgL_cdrzd28607zd2_1964); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6244;
BgL_mz00_1579 = BgL_arg1869z00_1968; 
BgL_pz00_1580 = BgL_arg1870z00_1969; 
BgL_bodyz00_1581 = BgL_arg1871z00_1970; 
BgL_tagzd2172zd2_1582:
{ /* Eval/evaluate.scm 583 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1152z00_2670;
{ /* Eval/evaluate.scm 584 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1151z00_2671;
BgL_new1151z00_2671 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 584 */
 long BgL_arg2347z00_2672;
BgL_arg2347z00_2672 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1151z00_2671), BgL_arg2347z00_2672); } 
BgL_new1152z00_2670 = BgL_new1151z00_2671; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2670))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2670))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1579))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2670))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1580))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2670))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1581, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6244 = BgL_new1152z00_2670; } 
return 
((obj_t)BgL_auxz00_6244);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1872z00_1972; obj_t BgL_arg1873z00_1973;
BgL_arg1872z00_1972 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1958)); 
BgL_arg1873z00_1973 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1958)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6264;
BgL_mz00_1583 = BgL_arg1872z00_1972; 
BgL_bodyz00_1584 = BgL_arg1873z00_1973; 
BgL_tagzd2173zd2_1585:
{ /* Eval/evaluate.scm 589 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1154z00_2673;
{ /* Eval/evaluate.scm 590 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1153z00_2674;
BgL_new1153z00_2674 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 590 */
 long BgL_arg2348z00_2675;
BgL_arg2348z00_2675 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_2674), BgL_arg2348z00_2675); } 
BgL_new1154z00_2673 = BgL_new1153z00_2674; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2673))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2673))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1583))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2673))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BNIL))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2673))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1584, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6264 = BgL_new1154z00_2673; } 
return 
((obj_t)BgL_auxz00_6264);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1874z00_1975; obj_t BgL_arg1875z00_1976;
BgL_arg1874z00_1975 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1958)); 
BgL_arg1875z00_1976 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1958)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6284;
{ 
 obj_t BgL_bodyz00_6286; obj_t BgL_mz00_6285;
BgL_mz00_6285 = BgL_arg1874z00_1975; 
BgL_bodyz00_6286 = BgL_arg1875z00_1976; 
BgL_bodyz00_1584 = BgL_bodyz00_6286; 
BgL_mz00_1583 = BgL_mz00_6285; 
goto BgL_tagzd2173zd2_1585;} 
return 
((obj_t)BgL_auxz00_6284);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1877z00_1979; obj_t BgL_arg1878z00_1980;
BgL_arg1877z00_1979 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1958)); 
BgL_arg1878z00_1980 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1958)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6292;
{ 
 obj_t BgL_bodyz00_6294; obj_t BgL_mz00_6293;
BgL_mz00_6293 = BgL_arg1877z00_1979; 
BgL_bodyz00_6294 = BgL_arg1878z00_1980; 
BgL_bodyz00_1584 = BgL_bodyz00_6294; 
BgL_mz00_1583 = BgL_mz00_6293; 
goto BgL_tagzd2173zd2_1585;} 
return 
((obj_t)BgL_auxz00_6292);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1879z00_1981;
BgL_arg1879z00_1981 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6298;
{ 
 obj_t BgL_argsz00_6300; obj_t BgL_fz00_6299;
BgL_fz00_6299 = BgL_arg1879z00_1981; 
BgL_argsz00_6300 = BgL_cdrzd28597zd2_1958; 
BgL_argsz00_1591 = BgL_argsz00_6300; 
BgL_fz00_1590 = BgL_fz00_6299; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6298);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2774z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28597zd2_1958))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28709zd2_1987;
BgL_cdrzd28709zd2_1987 = 
CDR(BgL_cdrzd28597zd2_1958); 
if(
PAIRP(BgL_cdrzd28709zd2_1987))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd28709zd2_1987)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1888z00_1991; obj_t BgL_arg1889z00_1992;
BgL_arg1888z00_1991 = 
CAR(BgL_cdrzd28597zd2_1958); 
BgL_arg1889z00_1992 = 
CAR(BgL_cdrzd28709zd2_1987); 
{ 
 BgL_ev_absz00_bglt BgL_auxz00_6316;
BgL_formalsz00_1586 = BgL_arg1888z00_1991; 
BgL_bodyz00_1587 = BgL_arg1889z00_1992; 
BgL_tagzd2174zd2_1588:
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2349z00_2676;
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2350z00_2677;
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2351z00_2678; obj_t BgL_arg2352z00_2679;
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_symbolz00_3564;
BgL_symbolz00_3564 = BGl_symbol2787z00zz__evaluatez00; 
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2517z00_3565;
BgL_arg2517z00_3565 = 
SYMBOL_TO_STRING(BgL_symbolz00_3564); 
BgL_arg2351z00_2678 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2517z00_3565); } } 
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2517z00_3567;
BgL_arg2517z00_3567 = 
SYMBOL_TO_STRING(
((obj_t)BgL_wherez00_73)); 
BgL_arg2352z00_2679 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2517z00_3567); } 
BgL_arg2350z00_2677 = 
string_append(BgL_arg2351z00_2678, BgL_arg2352z00_2679); } 
BgL_arg2349z00_2676 = 
bstring_to_symbol(BgL_arg2350z00_2677); } 
BgL_auxz00_6316 = 
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1586, BgL_bodyz00_1587, BgL_arg2349z00_2676, BFALSE); } 
return 
((obj_t)BgL_auxz00_6316);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1890z00_1993; obj_t BgL_arg1891z00_1994;
BgL_arg1890z00_1993 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1891z00_1994 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6330;
{ 
 obj_t BgL_argsz00_6332; obj_t BgL_fz00_6331;
BgL_fz00_6331 = BgL_arg1890z00_1993; 
BgL_argsz00_6332 = BgL_arg1891z00_1994; 
BgL_argsz00_1591 = BgL_argsz00_6332; 
BgL_fz00_1590 = BgL_fz00_6331; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6330);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1893z00_1996; obj_t BgL_arg1894z00_1997;
BgL_arg1893z00_1996 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1894z00_1997 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6338;
{ 
 obj_t BgL_argsz00_6340; obj_t BgL_fz00_6339;
BgL_fz00_6339 = BgL_arg1893z00_1996; 
BgL_argsz00_6340 = BgL_arg1894z00_1997; 
BgL_argsz00_1591 = BgL_argsz00_6340; 
BgL_fz00_1590 = BgL_fz00_6339; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6338);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1895z00_1998; obj_t BgL_arg1896z00_1999;
BgL_arg1895z00_1998 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1896z00_1999 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6346;
{ 
 obj_t BgL_argsz00_6348; obj_t BgL_fz00_6347;
BgL_fz00_6347 = BgL_arg1895z00_1998; 
BgL_argsz00_6348 = BgL_arg1896z00_1999; 
BgL_argsz00_1591 = BgL_argsz00_6348; 
BgL_fz00_1590 = BgL_fz00_6347; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6346);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2825z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_tagzd2175zd2_1589:
return 
BGl_errorz00zz__errorz00(BGl_string2785z00zz__evaluatez00, BGl_string2786z00zz__evaluatez00, BgL_ez00_69);}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1899z00_2002; obj_t BgL_arg1900z00_2003;
BgL_arg1899z00_2002 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1900z00_2003 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6359;
{ 
 obj_t BgL_argsz00_6361; obj_t BgL_fz00_6360;
BgL_fz00_6360 = BgL_arg1899z00_2002; 
BgL_argsz00_6361 = BgL_arg1900z00_2003; 
BgL_argsz00_1591 = BgL_argsz00_6361; 
BgL_fz00_1590 = BgL_fz00_6360; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6359);} } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(BgL_carzd23841zd2_1665==BGl_symbol2801z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1599))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2250zd2_1599)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1925z00_2028;
BgL_arg1925z00_2028 = 
CAR(BgL_cdrzd2250zd2_1599); 
{ 
 BgL_ev_trapz00_bglt BgL_auxz00_6371;
{ 
 obj_t BgL_ez00_6372;
BgL_ez00_6372 = BgL_arg1925z00_2028; 
BgL_ez00_1526 = BgL_ez00_6372; 
goto BgL_tagzd2153zd2_1527;} 
return 
((obj_t)BgL_auxz00_6371);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1926z00_2029; obj_t BgL_arg1927z00_2030;
BgL_arg1926z00_2029 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1927z00_2030 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6378;
{ 
 obj_t BgL_argsz00_6380; obj_t BgL_fz00_6379;
BgL_fz00_6379 = BgL_arg1926z00_2029; 
BgL_argsz00_6380 = BgL_arg1927z00_2030; 
BgL_argsz00_1591 = BgL_argsz00_6380; 
BgL_fz00_1590 = BgL_fz00_6379; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6378);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1929z00_2032; obj_t BgL_arg1930z00_2033;
BgL_arg1929z00_2032 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1930z00_2033 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6386;
{ 
 obj_t BgL_argsz00_6388; obj_t BgL_fz00_6387;
BgL_fz00_6387 = BgL_arg1929z00_2032; 
BgL_argsz00_6388 = BgL_arg1930z00_2033; 
BgL_argsz00_1591 = BgL_argsz00_6388; 
BgL_fz00_1590 = BgL_fz00_6387; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6386);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd29422zd2_2034;
BgL_cdrzd29422zd2_2034 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2762z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd29422zd2_2034))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd29422zd2_2034)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1936z00_2040;
BgL_arg1936z00_2040 = 
CAR(BgL_cdrzd29422zd2_2034); 
{ 
 BgL_ev_littz00_bglt BgL_auxz00_6402;
{ 
 obj_t BgL_vz00_6403;
BgL_vz00_6403 = BgL_arg1936z00_2040; 
BgL_vz00_1528 = BgL_vz00_6403; 
goto BgL_tagzd2154zd2_1529;} 
return 
((obj_t)BgL_auxz00_6402);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1937z00_2041;
BgL_arg1937z00_2041 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6407;
{ 
 obj_t BgL_argsz00_6409; obj_t BgL_fz00_6408;
BgL_fz00_6408 = BgL_arg1937z00_2041; 
BgL_argsz00_6409 = BgL_cdrzd29422zd2_2034; 
BgL_argsz00_1591 = BgL_argsz00_6409; 
BgL_fz00_1590 = BgL_fz00_6408; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6407);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1940z00_2044;
BgL_arg1940z00_2044 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6413;
{ 
 obj_t BgL_argsz00_6415; obj_t BgL_fz00_6414;
BgL_fz00_6414 = BgL_arg1940z00_2044; 
BgL_argsz00_6415 = BgL_cdrzd29422zd2_2034; 
BgL_argsz00_1591 = BgL_argsz00_6415; 
BgL_fz00_1590 = BgL_fz00_6414; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6413);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2770z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd29422zd2_2034))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210036zd2_2050;
BgL_cdrzd210036zd2_2050 = 
CDR(BgL_cdrzd29422zd2_2034); 
if(
PAIRP(BgL_cdrzd210036zd2_2050))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210041zd2_2052;
BgL_cdrzd210041zd2_2052 = 
CDR(BgL_cdrzd210036zd2_2050); 
if(
PAIRP(BgL_cdrzd210041zd2_2052))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd210041zd2_2052)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1949z00_2056; obj_t BgL_arg1950z00_2057; obj_t BgL_arg1951z00_2058;
BgL_arg1949z00_2056 = 
CAR(BgL_cdrzd29422zd2_2034); 
BgL_arg1950z00_2057 = 
CAR(BgL_cdrzd210036zd2_2050); 
BgL_arg1951z00_2058 = 
CAR(BgL_cdrzd210041zd2_2052); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_6435;
{ 
 obj_t BgL_oz00_6438; obj_t BgL_tz00_6437; obj_t BgL_pz00_6436;
BgL_pz00_6436 = BgL_arg1949z00_2056; 
BgL_tz00_6437 = BgL_arg1950z00_2057; 
BgL_oz00_6438 = BgL_arg1951z00_2058; 
BgL_oz00_1532 = BgL_oz00_6438; 
BgL_tz00_1531 = BgL_tz00_6437; 
BgL_pz00_1530 = BgL_pz00_6436; 
goto BgL_tagzd2155zd2_1533;} 
return 
((obj_t)BgL_auxz00_6435);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1952z00_2059; obj_t BgL_arg1953z00_2060;
BgL_arg1952z00_2059 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1953z00_2060 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6444;
{ 
 obj_t BgL_argsz00_6446; obj_t BgL_fz00_6445;
BgL_fz00_6445 = BgL_arg1952z00_2059; 
BgL_argsz00_6446 = BgL_arg1953z00_2060; 
BgL_argsz00_1591 = BgL_argsz00_6446; 
BgL_fz00_1590 = BgL_fz00_6445; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6444);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210341zd2_2062;
BgL_cdrzd210341zd2_2062 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210347zd2_2063;
BgL_cdrzd210347zd2_2063 = 
CDR(
((obj_t)BgL_cdrzd210341zd2_2062)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd210347zd2_2063))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1957z00_2066; obj_t BgL_arg1958z00_2067;
BgL_arg1957z00_2066 = 
CAR(
((obj_t)BgL_cdrzd210341zd2_2062)); 
BgL_arg1958z00_2067 = 
CAR(
((obj_t)BgL_cdrzd210347zd2_2063)); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_6460;
{ 
 obj_t BgL_tz00_6462; obj_t BgL_pz00_6461;
BgL_pz00_6461 = BgL_arg1957z00_2066; 
BgL_tz00_6462 = BgL_arg1958z00_2067; 
BgL_tz00_1535 = BgL_tz00_6462; 
BgL_pz00_1534 = BgL_pz00_6461; 
goto BgL_tagzd2156zd2_1536;} 
return 
((obj_t)BgL_auxz00_6460);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1959z00_2068;
BgL_arg1959z00_2068 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6466;
{ 
 obj_t BgL_argsz00_6468; obj_t BgL_fz00_6467;
BgL_fz00_6467 = BgL_arg1959z00_2068; 
BgL_argsz00_6468 = BgL_cdrzd210341zd2_2062; 
BgL_argsz00_1591 = BgL_argsz00_6468; 
BgL_fz00_1590 = BgL_fz00_6467; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6466);} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1962z00_2071; obj_t BgL_arg1963z00_2072;
BgL_arg1962z00_2071 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1963z00_2072 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6474;
{ 
 obj_t BgL_argsz00_6476; obj_t BgL_fz00_6475;
BgL_fz00_6475 = BgL_arg1962z00_2071; 
BgL_argsz00_6476 = BgL_arg1963z00_2072; 
BgL_argsz00_1591 = BgL_argsz00_6476; 
BgL_fz00_1590 = BgL_fz00_6475; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6474);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1964z00_2073; obj_t BgL_arg1965z00_2074;
BgL_arg1964z00_2073 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1965z00_2074 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6482;
{ 
 obj_t BgL_argsz00_6484; obj_t BgL_fz00_6483;
BgL_fz00_6483 = BgL_arg1964z00_2073; 
BgL_argsz00_6484 = BgL_arg1965z00_2074; 
BgL_argsz00_1591 = BgL_argsz00_6484; 
BgL_fz00_1590 = BgL_fz00_6483; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6482);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2803z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1968z00_2077;
BgL_arg1968z00_2077 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_orz00_bglt BgL_auxz00_6492;
{ 
 obj_t BgL_argsz00_6493;
BgL_argsz00_6493 = BgL_arg1968z00_2077; 
BgL_argsz00_1537 = BgL_argsz00_6493; 
goto BgL_tagzd2157zd2_1538;} 
return 
((obj_t)BgL_auxz00_6492);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2805z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1971z00_2080;
BgL_arg1971z00_2080 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_andz00_bglt BgL_auxz00_6501;
{ 
 obj_t BgL_argsz00_6502;
BgL_argsz00_6502 = BgL_arg1971z00_2080; 
BgL_argsz00_1539 = BgL_argsz00_6502; 
goto BgL_tagzd2158zd2_1540;} 
return 
((obj_t)BgL_auxz00_6501);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2790z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1974z00_2083;
BgL_arg1974z00_2083 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 obj_t BgL_lz00_6510;
BgL_lz00_6510 = BgL_arg1974z00_2083; 
BgL_lz00_1541 = BgL_lz00_6510; 
goto BgL_tagzd2159zd2_1542;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211246zd2_2084;
BgL_cdrzd211246zd2_2084 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2772z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211246zd2_2084))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1978z00_2088; obj_t BgL_arg1979z00_2089;
BgL_arg1978z00_2088 = 
CAR(BgL_cdrzd211246zd2_2084); 
BgL_arg1979z00_2089 = 
CDR(BgL_cdrzd211246zd2_2084); 
{ 
 BgL_ev_letz00_bglt BgL_auxz00_6521;
{ 
 obj_t BgL_bodyz00_6523; obj_t BgL_bindsz00_6522;
BgL_bindsz00_6522 = BgL_arg1978z00_2088; 
BgL_bodyz00_6523 = BgL_arg1979z00_2089; 
BgL_bodyz00_1544 = BgL_bodyz00_6523; 
BgL_bindsz00_1543 = BgL_bindsz00_6522; 
goto BgL_tagzd2160zd2_1545;} 
return 
((obj_t)BgL_auxz00_6521);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1980z00_2090;
BgL_arg1980z00_2090 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6527;
{ 
 obj_t BgL_argsz00_6529; obj_t BgL_fz00_6528;
BgL_fz00_6528 = BgL_arg1980z00_2090; 
BgL_argsz00_6529 = BgL_cdrzd211246zd2_2084; 
BgL_argsz00_1591 = BgL_argsz00_6529; 
BgL_fz00_1590 = BgL_fz00_6528; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6527);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2807z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211246zd2_2084))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1985z00_2096; obj_t BgL_arg1986z00_2097;
BgL_arg1985z00_2096 = 
CAR(BgL_cdrzd211246zd2_2084); 
BgL_arg1986z00_2097 = 
CDR(BgL_cdrzd211246zd2_2084); 
{ 
 BgL_ev_letza2za2_bglt BgL_auxz00_6539;
{ 
 obj_t BgL_bodyz00_6541; obj_t BgL_bindsz00_6540;
BgL_bindsz00_6540 = BgL_arg1985z00_2096; 
BgL_bodyz00_6541 = BgL_arg1986z00_2097; 
BgL_bodyz00_1547 = BgL_bodyz00_6541; 
BgL_bindsz00_1546 = BgL_bindsz00_6540; 
goto BgL_tagzd2161zd2_1548;} 
return 
((obj_t)BgL_auxz00_6539);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1987z00_2098; obj_t BgL_arg1988z00_2099;
BgL_arg1987z00_2098 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1988z00_2099 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6547;
{ 
 obj_t BgL_argsz00_6549; obj_t BgL_fz00_6548;
BgL_fz00_6548 = BgL_arg1987z00_2098; 
BgL_argsz00_6549 = BgL_arg1988z00_2099; 
BgL_argsz00_1591 = BgL_argsz00_6549; 
BgL_fz00_1590 = BgL_fz00_6548; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6547);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211644zd2_2100;
BgL_cdrzd211644zd2_2100 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2809z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211644zd2_2100))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1992z00_2104; obj_t BgL_arg1993z00_2105;
BgL_arg1992z00_2104 = 
CAR(BgL_cdrzd211644zd2_2100); 
BgL_arg1993z00_2105 = 
CDR(BgL_cdrzd211644zd2_2100); 
{ 
 BgL_ev_letrecz00_bglt BgL_auxz00_6561;
{ 
 obj_t BgL_bodyz00_6563; obj_t BgL_bindsz00_6562;
BgL_bindsz00_6562 = BgL_arg1992z00_2104; 
BgL_bodyz00_6563 = BgL_arg1993z00_2105; 
BgL_bodyz00_1550 = BgL_bodyz00_6563; 
BgL_bindsz00_1549 = BgL_bindsz00_6562; 
goto BgL_tagzd2162zd2_1551;} 
return 
((obj_t)BgL_auxz00_6561);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1994z00_2106;
BgL_arg1994z00_2106 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6567;
{ 
 obj_t BgL_argsz00_6569; obj_t BgL_fz00_6568;
BgL_fz00_6568 = BgL_arg1994z00_2106; 
BgL_argsz00_6569 = BgL_cdrzd211644zd2_2100; 
BgL_argsz00_1591 = BgL_argsz00_6569; 
BgL_fz00_1590 = BgL_fz00_6568; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6567);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2811z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211644zd2_2100))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd211820zd2_2112; obj_t BgL_cdrzd211821zd2_2113;
BgL_carzd211820zd2_2112 = 
CAR(BgL_cdrzd211644zd2_2100); 
BgL_cdrzd211821zd2_2113 = 
CDR(BgL_cdrzd211644zd2_2100); 
if(
PAIRP(BgL_carzd211820zd2_2112))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211825zd2_2115;
BgL_cdrzd211825zd2_2115 = 
CDR(BgL_carzd211820zd2_2112); 
if(
(
CAR(BgL_carzd211820zd2_2112)==BGl_symbol2797z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211825zd2_2115))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd211828zd2_2119; obj_t BgL_cdrzd211829zd2_2120;
BgL_carzd211828zd2_2119 = 
CAR(BgL_cdrzd211825zd2_2115); 
BgL_cdrzd211829zd2_2120 = 
CDR(BgL_cdrzd211825zd2_2115); 
if(
SYMBOLP(BgL_carzd211828zd2_2119))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211829zd2_2120))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd211833zd2_2123;
BgL_carzd211833zd2_2123 = 
CAR(BgL_cdrzd211829zd2_2120); 
if(
SYMBOLP(BgL_carzd211833zd2_2123))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211829zd2_2120)))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211821zd2_2113))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211821zd2_2113)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2011z00_2130;
BgL_arg2011z00_2130 = 
CAR(BgL_cdrzd211821zd2_2113); 
{ 
 BgL_ev_setglobalz00_bglt BgL_auxz00_6605;
{ 
 obj_t BgL_ez00_6608; obj_t BgL_modnamez00_6607; obj_t BgL_idz00_6606;
BgL_idz00_6606 = BgL_carzd211828zd2_2119; 
BgL_modnamez00_6607 = BgL_carzd211833zd2_2123; 
BgL_ez00_6608 = BgL_arg2011z00_2130; 
BgL_ez00_1554 = BgL_ez00_6608; 
BgL_modnamez00_1553 = BgL_modnamez00_6607; 
BgL_idz00_1552 = BgL_idz00_6606; 
goto BgL_tagzd2163zd2_1555;} 
return 
((obj_t)BgL_auxz00_6605);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211949zd2_2132;
BgL_cdrzd211949zd2_2132 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211953zd2_2133;
BgL_cdrzd211953zd2_2133 = 
CDR(
((obj_t)BgL_cdrzd211949zd2_2132)); 
if(
PAIRP(BgL_cdrzd211953zd2_2133))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211953zd2_2133)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2016z00_2137; obj_t BgL_arg2017z00_2138;
BgL_arg2016z00_2137 = 
CAR(
((obj_t)BgL_cdrzd211949zd2_2132)); 
BgL_arg2017z00_2138 = 
CAR(BgL_cdrzd211953zd2_2133); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6622;
{ 
 obj_t BgL_ez00_6624; obj_t BgL_vz00_6623;
BgL_vz00_6623 = BgL_arg2016z00_2137; 
BgL_ez00_6624 = BgL_arg2017z00_2138; 
BgL_ez00_1560 = BgL_ez00_6624; 
BgL_vz00_1559 = BgL_vz00_6623; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_6622);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212010zd2_2141;
BgL_cdrzd212010zd2_2141 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212014zd2_2142;
BgL_cdrzd212014zd2_2142 = 
CDR(
((obj_t)BgL_cdrzd212010zd2_2141)); 
if(
PAIRP(BgL_cdrzd212014zd2_2142))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212014zd2_2142)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2023z00_2146; obj_t BgL_arg2024z00_2147;
BgL_arg2023z00_2146 = 
CAR(
((obj_t)BgL_cdrzd212010zd2_2141)); 
BgL_arg2024z00_2147 = 
CAR(BgL_cdrzd212014zd2_2142); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6638;
{ 
 obj_t BgL_ez00_6640; obj_t BgL_vz00_6639;
BgL_vz00_6639 = BgL_arg2023z00_2146; 
BgL_ez00_6640 = BgL_arg2024z00_2147; 
BgL_ez00_1560 = BgL_ez00_6640; 
BgL_vz00_1559 = BgL_vz00_6639; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_6638);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212071zd2_2149;
BgL_cdrzd212071zd2_2149 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212075zd2_2150;
BgL_cdrzd212075zd2_2150 = 
CDR(
((obj_t)BgL_cdrzd212071zd2_2149)); 
if(
PAIRP(BgL_cdrzd212075zd2_2150))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212075zd2_2150)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2029z00_2154; obj_t BgL_arg2030z00_2155;
BgL_arg2029z00_2154 = 
CAR(
((obj_t)BgL_cdrzd212071zd2_2149)); 
BgL_arg2030z00_2155 = 
CAR(BgL_cdrzd212075zd2_2150); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6654;
{ 
 obj_t BgL_ez00_6656; obj_t BgL_vz00_6655;
BgL_vz00_6655 = BgL_arg2029z00_2154; 
BgL_ez00_6656 = BgL_arg2030z00_2155; 
BgL_ez00_1560 = BgL_ez00_6656; 
BgL_vz00_1559 = BgL_vz00_6655; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_6654);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212132zd2_2157;
BgL_cdrzd212132zd2_2157 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212136zd2_2158;
BgL_cdrzd212136zd2_2158 = 
CDR(
((obj_t)BgL_cdrzd212132zd2_2157)); 
if(
PAIRP(BgL_cdrzd212136zd2_2158))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212136zd2_2158)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2035z00_2162; obj_t BgL_arg2036z00_2163;
BgL_arg2035z00_2162 = 
CAR(
((obj_t)BgL_cdrzd212132zd2_2157)); 
BgL_arg2036z00_2163 = 
CAR(BgL_cdrzd212136zd2_2158); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6670;
{ 
 obj_t BgL_ez00_6672; obj_t BgL_vz00_6671;
BgL_vz00_6671 = BgL_arg2035z00_2162; 
BgL_ez00_6672 = BgL_arg2036z00_2163; 
BgL_ez00_1560 = BgL_ez00_6672; 
BgL_vz00_1559 = BgL_vz00_6671; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_6670);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212193zd2_2165;
BgL_cdrzd212193zd2_2165 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212197zd2_2166;
BgL_cdrzd212197zd2_2166 = 
CDR(
((obj_t)BgL_cdrzd212193zd2_2165)); 
if(
PAIRP(BgL_cdrzd212197zd2_2166))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212197zd2_2166)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2041z00_2170; obj_t BgL_arg2042z00_2171;
BgL_arg2041z00_2170 = 
CAR(
((obj_t)BgL_cdrzd212193zd2_2165)); 
BgL_arg2042z00_2171 = 
CAR(BgL_cdrzd212197zd2_2166); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6686;
{ 
 obj_t BgL_ez00_6688; obj_t BgL_vz00_6687;
BgL_vz00_6687 = BgL_arg2041z00_2170; 
BgL_ez00_6688 = BgL_arg2042z00_2171; 
BgL_ez00_1560 = BgL_ez00_6688; 
BgL_vz00_1559 = BgL_vz00_6687; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_6686);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212241zd2_2173;
BgL_cdrzd212241zd2_2173 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd212244zd2_2174; obj_t BgL_cdrzd212245zd2_2175;
BgL_carzd212244zd2_2174 = 
CAR(
((obj_t)BgL_cdrzd212241zd2_2173)); 
BgL_cdrzd212245zd2_2175 = 
CDR(
((obj_t)BgL_cdrzd212241zd2_2173)); 
if(
(
CAR(
((obj_t)BgL_carzd212244zd2_2174))==BGl_symbol2799z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212245zd2_2175))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212245zd2_2175)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2049z00_2181; obj_t BgL_arg2050z00_2182;
BgL_arg2049z00_2181 = 
CDR(
((obj_t)BgL_carzd212244zd2_2174)); 
BgL_arg2050z00_2182 = 
CAR(BgL_cdrzd212245zd2_2175); 
{ 
 obj_t BgL_e2z00_6709; obj_t BgL_lz00_6708;
BgL_lz00_6708 = BgL_arg2049z00_2181; 
BgL_e2z00_6709 = BgL_arg2050z00_2182; 
BgL_e2z00_1557 = BgL_e2z00_6709; 
BgL_lz00_1556 = BgL_lz00_6708; 
goto BgL_tagzd2164zd2_1558;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212321zd2_2185;
BgL_cdrzd212321zd2_2185 = 
CDR(
((obj_t)BgL_cdrzd212241zd2_2173)); 
if(
PAIRP(BgL_cdrzd212321zd2_2185))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212321zd2_2185)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2055z00_2189; obj_t BgL_arg2056z00_2190;
BgL_arg2055z00_2189 = 
CAR(
((obj_t)BgL_cdrzd212241zd2_2173)); 
BgL_arg2056z00_2190 = 
CAR(BgL_cdrzd212321zd2_2185); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6720;
{ 
 obj_t BgL_ez00_6722; obj_t BgL_vz00_6721;
BgL_vz00_6721 = BgL_arg2055z00_2189; 
BgL_ez00_6722 = BgL_arg2056z00_2190; 
BgL_ez00_1560 = BgL_ez00_6722; 
BgL_vz00_1559 = BgL_vz00_6721; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_6720);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212378zd2_2194;
BgL_cdrzd212378zd2_2194 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212382zd2_2195;
BgL_cdrzd212382zd2_2195 = 
CDR(
((obj_t)BgL_cdrzd212378zd2_2194)); 
if(
PAIRP(BgL_cdrzd212382zd2_2195))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212382zd2_2195)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2063z00_2199; obj_t BgL_arg2064z00_2200;
BgL_arg2063z00_2199 = 
CAR(
((obj_t)BgL_cdrzd212378zd2_2194)); 
BgL_arg2064z00_2200 = 
CAR(BgL_cdrzd212382zd2_2195); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6736;
{ 
 obj_t BgL_ez00_6738; obj_t BgL_vz00_6737;
BgL_vz00_6737 = BgL_arg2063z00_2199; 
BgL_ez00_6738 = BgL_arg2064z00_2200; 
BgL_ez00_1560 = BgL_ez00_6738; 
BgL_vz00_1559 = BgL_vz00_6737; 
goto BgL_tagzd2165zd2_1561;} 
return 
((obj_t)BgL_auxz00_6736);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} } } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1562;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212503zd2_2202;
BgL_cdrzd212503zd2_2202 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2813z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212503zd2_2202))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212508zd2_2206;
BgL_cdrzd212508zd2_2206 = 
CDR(BgL_cdrzd212503zd2_2202); 
if(
PAIRP(BgL_cdrzd212508zd2_2206))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd212512zd2_2208;
BgL_carzd212512zd2_2208 = 
CAR(BgL_cdrzd212508zd2_2206); 
if(
PAIRP(BgL_carzd212512zd2_2208))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212517zd2_2210;
BgL_cdrzd212517zd2_2210 = 
CDR(BgL_carzd212512zd2_2208); 
if(
(
CAR(BgL_carzd212512zd2_2208)==BGl_symbol2774z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212517zd2_2210))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212521zd2_2214;
BgL_cdrzd212521zd2_2214 = 
CDR(BgL_cdrzd212517zd2_2210); 
if(
PAIRP(BgL_cdrzd212521zd2_2214))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212521zd2_2214)))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212508zd2_2206)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2079z00_2220; obj_t BgL_arg2080z00_2221; obj_t BgL_arg2081z00_2222;
BgL_arg2079z00_2220 = 
CAR(BgL_cdrzd212503zd2_2202); 
BgL_arg2080z00_2221 = 
CAR(BgL_cdrzd212517zd2_2210); 
BgL_arg2081z00_2222 = 
CAR(BgL_cdrzd212521zd2_2214); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6772;
{ 
 obj_t BgL_bodyz00_6775; obj_t BgL_formalsz00_6774; obj_t BgL_gvz00_6773;
BgL_gvz00_6773 = BgL_arg2079z00_2220; 
BgL_formalsz00_6774 = BgL_arg2080z00_2221; 
BgL_bodyz00_6775 = BgL_arg2081z00_2222; 
BgL_bodyz00_1565 = BgL_bodyz00_6775; 
BgL_formalsz00_1564 = BgL_formalsz00_6774; 
BgL_gvz00_1563 = BgL_gvz00_6773; 
goto BgL_tagzd2167zd2_1566;} 
return 
((obj_t)BgL_auxz00_6772);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2082z00_2223;
BgL_arg2082z00_2223 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6779;
{ 
 obj_t BgL_argsz00_6781; obj_t BgL_fz00_6780;
BgL_fz00_6780 = BgL_arg2082z00_2223; 
BgL_argsz00_6781 = BgL_cdrzd212503zd2_2202; 
BgL_argsz00_1591 = BgL_argsz00_6781; 
BgL_fz00_1590 = BgL_fz00_6780; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6779);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212623zd2_2227;
BgL_cdrzd212623zd2_2227 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2202)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212623zd2_2227))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2087z00_2230; obj_t BgL_arg2088z00_2231;
BgL_arg2087z00_2230 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2202)); 
BgL_arg2088z00_2231 = 
CAR(
((obj_t)BgL_cdrzd212623zd2_2227)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6793;
{ 
 obj_t BgL_gez00_6795; obj_t BgL_gvz00_6794;
BgL_gvz00_6794 = BgL_arg2087z00_2230; 
BgL_gez00_6795 = BgL_arg2088z00_2231; 
BgL_gez00_1568 = BgL_gez00_6795; 
BgL_gvz00_1567 = BgL_gvz00_6794; 
goto BgL_tagzd2168zd2_1569;} 
return 
((obj_t)BgL_auxz00_6793);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2089z00_2232; obj_t BgL_arg2090z00_2233;
BgL_arg2089z00_2232 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2090z00_2233 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6801;
{ 
 obj_t BgL_argsz00_6803; obj_t BgL_fz00_6802;
BgL_fz00_6802 = BgL_arg2089z00_2232; 
BgL_argsz00_6803 = BgL_arg2090z00_2233; 
BgL_argsz00_1591 = BgL_argsz00_6803; 
BgL_fz00_1590 = BgL_fz00_6802; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6801);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212712zd2_2237;
BgL_cdrzd212712zd2_2237 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2202)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212712zd2_2237))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2095z00_2240; obj_t BgL_arg2096z00_2241;
BgL_arg2095z00_2240 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2202)); 
BgL_arg2096z00_2241 = 
CAR(
((obj_t)BgL_cdrzd212712zd2_2237)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6815;
{ 
 obj_t BgL_gez00_6817; obj_t BgL_gvz00_6816;
BgL_gvz00_6816 = BgL_arg2095z00_2240; 
BgL_gez00_6817 = BgL_arg2096z00_2241; 
BgL_gez00_1568 = BgL_gez00_6817; 
BgL_gvz00_1567 = BgL_gvz00_6816; 
goto BgL_tagzd2168zd2_1569;} 
return 
((obj_t)BgL_auxz00_6815);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2097z00_2242; obj_t BgL_arg2098z00_2243;
BgL_arg2097z00_2242 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2098z00_2243 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6823;
{ 
 obj_t BgL_argsz00_6825; obj_t BgL_fz00_6824;
BgL_fz00_6824 = BgL_arg2097z00_2242; 
BgL_argsz00_6825 = BgL_arg2098z00_2243; 
BgL_argsz00_1591 = BgL_argsz00_6825; 
BgL_fz00_1590 = BgL_fz00_6824; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6823);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212801zd2_2246;
BgL_cdrzd212801zd2_2246 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2202)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212801zd2_2246))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2102z00_2249; obj_t BgL_arg2103z00_2250;
BgL_arg2102z00_2249 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2202)); 
BgL_arg2103z00_2250 = 
CAR(
((obj_t)BgL_cdrzd212801zd2_2246)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6837;
{ 
 obj_t BgL_gez00_6839; obj_t BgL_gvz00_6838;
BgL_gvz00_6838 = BgL_arg2102z00_2249; 
BgL_gez00_6839 = BgL_arg2103z00_2250; 
BgL_gez00_1568 = BgL_gez00_6839; 
BgL_gvz00_1567 = BgL_gvz00_6838; 
goto BgL_tagzd2168zd2_1569;} 
return 
((obj_t)BgL_auxz00_6837);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2104z00_2251; obj_t BgL_arg2105z00_2252;
BgL_arg2104z00_2251 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2105z00_2252 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6845;
{ 
 obj_t BgL_argsz00_6847; obj_t BgL_fz00_6846;
BgL_fz00_6846 = BgL_arg2104z00_2251; 
BgL_argsz00_6847 = BgL_arg2105z00_2252; 
BgL_argsz00_1591 = BgL_argsz00_6847; 
BgL_fz00_1590 = BgL_fz00_6846; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6845);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212890zd2_2255;
BgL_cdrzd212890zd2_2255 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2202)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212890zd2_2255))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2109z00_2258; obj_t BgL_arg2110z00_2259;
BgL_arg2109z00_2258 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2202)); 
BgL_arg2110z00_2259 = 
CAR(
((obj_t)BgL_cdrzd212890zd2_2255)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6859;
{ 
 obj_t BgL_gez00_6861; obj_t BgL_gvz00_6860;
BgL_gvz00_6860 = BgL_arg2109z00_2258; 
BgL_gez00_6861 = BgL_arg2110z00_2259; 
BgL_gez00_1568 = BgL_gez00_6861; 
BgL_gvz00_1567 = BgL_gvz00_6860; 
goto BgL_tagzd2168zd2_1569;} 
return 
((obj_t)BgL_auxz00_6859);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2111z00_2260; obj_t BgL_arg2112z00_2261;
BgL_arg2111z00_2260 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2112z00_2261 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6867;
{ 
 obj_t BgL_argsz00_6869; obj_t BgL_fz00_6868;
BgL_fz00_6868 = BgL_arg2111z00_2260; 
BgL_argsz00_6869 = BgL_arg2112z00_2261; 
BgL_argsz00_1591 = BgL_argsz00_6869; 
BgL_fz00_1590 = BgL_fz00_6868; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6867);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212979zd2_2265;
BgL_cdrzd212979zd2_2265 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2202)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212979zd2_2265))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2117z00_2268; obj_t BgL_arg2118z00_2269;
BgL_arg2117z00_2268 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2202)); 
BgL_arg2118z00_2269 = 
CAR(
((obj_t)BgL_cdrzd212979zd2_2265)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6881;
{ 
 obj_t BgL_gez00_6883; obj_t BgL_gvz00_6882;
BgL_gvz00_6882 = BgL_arg2117z00_2268; 
BgL_gez00_6883 = BgL_arg2118z00_2269; 
BgL_gez00_1568 = BgL_gez00_6883; 
BgL_gvz00_1567 = BgL_gvz00_6882; 
goto BgL_tagzd2168zd2_1569;} 
return 
((obj_t)BgL_auxz00_6881);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2119z00_2270; obj_t BgL_arg2120z00_2271;
BgL_arg2119z00_2270 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2120z00_2271 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6889;
{ 
 obj_t BgL_argsz00_6891; obj_t BgL_fz00_6890;
BgL_fz00_6890 = BgL_arg2119z00_2270; 
BgL_argsz00_6891 = BgL_arg2120z00_2271; 
BgL_argsz00_1591 = BgL_argsz00_6891; 
BgL_fz00_1590 = BgL_fz00_6890; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6889);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2122z00_2273;
BgL_arg2122z00_2273 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6895;
{ 
 obj_t BgL_argsz00_6897; obj_t BgL_fz00_6896;
BgL_fz00_6896 = BgL_arg2122z00_2273; 
BgL_argsz00_6897 = BgL_cdrzd212503zd2_2202; 
BgL_argsz00_1591 = BgL_argsz00_6897; 
BgL_fz00_1590 = BgL_fz00_6896; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6895);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2124z00_2275;
BgL_arg2124z00_2275 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6901;
{ 
 obj_t BgL_argsz00_6903; obj_t BgL_fz00_6902;
BgL_fz00_6902 = BgL_arg2124z00_2275; 
BgL_argsz00_6903 = BgL_cdrzd212503zd2_2202; 
BgL_argsz00_1591 = BgL_argsz00_6903; 
BgL_fz00_1590 = BgL_fz00_6902; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6901);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2815z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212503zd2_2202))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd213227zd2_2281;
BgL_carzd213227zd2_2281 = 
CAR(BgL_cdrzd212503zd2_2202); 
if(
PAIRP(BgL_carzd213227zd2_2281))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_carzd213227zd2_2281)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2132z00_2285; obj_t BgL_arg2133z00_2286;
BgL_arg2132z00_2285 = 
CAR(BgL_carzd213227zd2_2281); 
BgL_arg2133z00_2286 = 
CDR(BgL_cdrzd212503zd2_2202); 
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6919;
{ 
 obj_t BgL_bodyz00_6921; obj_t BgL_vz00_6920;
BgL_vz00_6920 = BgL_arg2132z00_2285; 
BgL_bodyz00_6921 = BgL_arg2133z00_2286; 
BgL_bodyz00_1571 = BgL_bodyz00_6921; 
BgL_vz00_1570 = BgL_vz00_6920; 
goto BgL_tagzd2169zd2_1572;} 
return 
((obj_t)BgL_auxz00_6919);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2134z00_2287; obj_t BgL_arg2135z00_2288;
BgL_arg2134z00_2287 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2135z00_2288 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6927;
{ 
 obj_t BgL_argsz00_6929; obj_t BgL_fz00_6928;
BgL_fz00_6928 = BgL_arg2134z00_2287; 
BgL_argsz00_6929 = BgL_arg2135z00_2288; 
BgL_argsz00_1591 = BgL_argsz00_6929; 
BgL_fz00_1590 = BgL_fz00_6928; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6927);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2137z00_2290; obj_t BgL_arg2138z00_2291;
BgL_arg2137z00_2290 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2138z00_2291 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6935;
{ 
 obj_t BgL_argsz00_6937; obj_t BgL_fz00_6936;
BgL_fz00_6936 = BgL_arg2137z00_2290; 
BgL_argsz00_6937 = BgL_arg2138z00_2291; 
BgL_argsz00_1591 = BgL_argsz00_6937; 
BgL_fz00_1590 = BgL_fz00_6936; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6935);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2139z00_2292; obj_t BgL_arg2140z00_2293;
BgL_arg2139z00_2292 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2140z00_2293 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6943;
{ 
 obj_t BgL_argsz00_6945; obj_t BgL_fz00_6944;
BgL_fz00_6944 = BgL_arg2139z00_2292; 
BgL_argsz00_6945 = BgL_arg2140z00_2293; 
BgL_argsz00_1591 = BgL_argsz00_6945; 
BgL_fz00_1590 = BgL_fz00_6944; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6943);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213398zd2_2294;
BgL_cdrzd213398zd2_2294 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2817z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213398zd2_2294))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2144z00_2298; obj_t BgL_arg2145z00_2299;
BgL_arg2144z00_2298 = 
CAR(BgL_cdrzd213398zd2_2294); 
BgL_arg2145z00_2299 = 
CDR(BgL_cdrzd213398zd2_2294); 
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6957;
{ 
 obj_t BgL_bodyz00_6959; obj_t BgL_ez00_6958;
BgL_ez00_6958 = BgL_arg2144z00_2298; 
BgL_bodyz00_6959 = BgL_arg2145z00_2299; 
BgL_bodyz00_1574 = BgL_bodyz00_6959; 
BgL_ez00_1573 = BgL_ez00_6958; 
goto BgL_tagzd2170zd2_1575;} 
return 
((obj_t)BgL_auxz00_6957);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2146z00_2300;
BgL_arg2146z00_2300 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6963;
{ 
 obj_t BgL_argsz00_6965; obj_t BgL_fz00_6964;
BgL_fz00_6964 = BgL_arg2146z00_2300; 
BgL_argsz00_6965 = BgL_cdrzd213398zd2_2294; 
BgL_argsz00_1591 = BgL_argsz00_6965; 
BgL_fz00_1590 = BgL_fz00_6964; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6963);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2819z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213398zd2_2294))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2151z00_2306; obj_t BgL_arg2152z00_2307;
BgL_arg2151z00_2306 = 
CAR(BgL_cdrzd213398zd2_2294); 
BgL_arg2152z00_2307 = 
CDR(BgL_cdrzd213398zd2_2294); 
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6975;
{ 
 obj_t BgL_bodyz00_6977; obj_t BgL_hz00_6976;
BgL_hz00_6976 = BgL_arg2151z00_2306; 
BgL_bodyz00_6977 = BgL_arg2152z00_2307; 
BgL_bodyz00_1577 = BgL_bodyz00_6977; 
BgL_hz00_1576 = BgL_hz00_6976; 
goto BgL_tagzd2171zd2_1578;} 
return 
((obj_t)BgL_auxz00_6975);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2153z00_2308; obj_t BgL_arg2154z00_2309;
BgL_arg2153z00_2308 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2154z00_2309 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6983;
{ 
 obj_t BgL_argsz00_6985; obj_t BgL_fz00_6984;
BgL_fz00_6984 = BgL_arg2153z00_2308; 
BgL_argsz00_6985 = BgL_arg2154z00_2309; 
BgL_argsz00_1591 = BgL_argsz00_6985; 
BgL_fz00_1590 = BgL_fz00_6984; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_6983);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213505zd2_2310;
BgL_cdrzd213505zd2_2310 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2821z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213505zd2_2310))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213510zd2_2314;
BgL_cdrzd213510zd2_2314 = 
CDR(BgL_cdrzd213505zd2_2310); 
if(
PAIRP(BgL_cdrzd213510zd2_2314))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213515zd2_2316;
BgL_cdrzd213515zd2_2316 = 
CDR(BgL_cdrzd213510zd2_2314); 
if(
(
CAR(BgL_cdrzd213510zd2_2314)==BGl_keyword2823z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213515zd2_2316))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2162z00_2320; obj_t BgL_arg2163z00_2321; obj_t BgL_arg2164z00_2322;
BgL_arg2162z00_2320 = 
CAR(BgL_cdrzd213505zd2_2310); 
BgL_arg2163z00_2321 = 
CAR(BgL_cdrzd213515zd2_2316); 
BgL_arg2164z00_2322 = 
CDR(BgL_cdrzd213515zd2_2316); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_7007;
{ 
 obj_t BgL_bodyz00_7010; obj_t BgL_pz00_7009; obj_t BgL_mz00_7008;
BgL_mz00_7008 = BgL_arg2162z00_2320; 
BgL_pz00_7009 = BgL_arg2163z00_2321; 
BgL_bodyz00_7010 = BgL_arg2164z00_2322; 
BgL_bodyz00_1581 = BgL_bodyz00_7010; 
BgL_pz00_1580 = BgL_pz00_7009; 
BgL_mz00_1579 = BgL_mz00_7008; 
goto BgL_tagzd2172zd2_1582;} 
return 
((obj_t)BgL_auxz00_7007);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2165z00_2324; obj_t BgL_arg2166z00_2325;
BgL_arg2165z00_2324 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2310)); 
BgL_arg2166z00_2325 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2310)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_7016;
{ 
 obj_t BgL_bodyz00_7018; obj_t BgL_mz00_7017;
BgL_mz00_7017 = BgL_arg2165z00_2324; 
BgL_bodyz00_7018 = BgL_arg2166z00_2325; 
BgL_bodyz00_1584 = BgL_bodyz00_7018; 
BgL_mz00_1583 = BgL_mz00_7017; 
goto BgL_tagzd2173zd2_1585;} 
return 
((obj_t)BgL_auxz00_7016);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2167z00_2327; obj_t BgL_arg2168z00_2328;
BgL_arg2167z00_2327 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2310)); 
BgL_arg2168z00_2328 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2310)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_7024;
{ 
 obj_t BgL_bodyz00_7026; obj_t BgL_mz00_7025;
BgL_mz00_7025 = BgL_arg2167z00_2327; 
BgL_bodyz00_7026 = BgL_arg2168z00_2328; 
BgL_bodyz00_1584 = BgL_bodyz00_7026; 
BgL_mz00_1583 = BgL_mz00_7025; 
goto BgL_tagzd2173zd2_1585;} 
return 
((obj_t)BgL_auxz00_7024);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2170z00_2331; obj_t BgL_arg2171z00_2332;
BgL_arg2170z00_2331 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2310)); 
BgL_arg2171z00_2332 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2310)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_7032;
{ 
 obj_t BgL_bodyz00_7034; obj_t BgL_mz00_7033;
BgL_mz00_7033 = BgL_arg2170z00_2331; 
BgL_bodyz00_7034 = BgL_arg2171z00_2332; 
BgL_bodyz00_1584 = BgL_bodyz00_7034; 
BgL_mz00_1583 = BgL_mz00_7033; 
goto BgL_tagzd2173zd2_1585;} 
return 
((obj_t)BgL_auxz00_7032);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2172z00_2333;
BgL_arg2172z00_2333 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_7038;
{ 
 obj_t BgL_argsz00_7040; obj_t BgL_fz00_7039;
BgL_fz00_7039 = BgL_arg2172z00_2333; 
BgL_argsz00_7040 = BgL_cdrzd213505zd2_2310; 
BgL_argsz00_1591 = BgL_argsz00_7040; 
BgL_fz00_1590 = BgL_fz00_7039; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_7038);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2774z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213505zd2_2310))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213617zd2_2339;
BgL_cdrzd213617zd2_2339 = 
CDR(BgL_cdrzd213505zd2_2310); 
if(
PAIRP(BgL_cdrzd213617zd2_2339))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd213617zd2_2339)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2180z00_2343; obj_t BgL_arg2181z00_2344;
BgL_arg2180z00_2343 = 
CAR(BgL_cdrzd213505zd2_2310); 
BgL_arg2181z00_2344 = 
CAR(BgL_cdrzd213617zd2_2339); 
{ 
 BgL_ev_absz00_bglt BgL_auxz00_7056;
{ 
 obj_t BgL_bodyz00_7058; obj_t BgL_formalsz00_7057;
BgL_formalsz00_7057 = BgL_arg2180z00_2343; 
BgL_bodyz00_7058 = BgL_arg2181z00_2344; 
BgL_bodyz00_1587 = BgL_bodyz00_7058; 
BgL_formalsz00_1586 = BgL_formalsz00_7057; 
goto BgL_tagzd2174zd2_1588;} 
return 
((obj_t)BgL_auxz00_7056);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2182z00_2345; obj_t BgL_arg2183z00_2346;
BgL_arg2182z00_2345 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2183z00_2346 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_7064;
{ 
 obj_t BgL_argsz00_7066; obj_t BgL_fz00_7065;
BgL_fz00_7065 = BgL_arg2182z00_2345; 
BgL_argsz00_7066 = BgL_arg2183z00_2346; 
BgL_argsz00_1591 = BgL_argsz00_7066; 
BgL_fz00_1590 = BgL_fz00_7065; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_7064);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2185z00_2348; obj_t BgL_arg2186z00_2349;
BgL_arg2185z00_2348 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2186z00_2349 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_7072;
{ 
 obj_t BgL_argsz00_7074; obj_t BgL_fz00_7073;
BgL_fz00_7073 = BgL_arg2185z00_2348; 
BgL_argsz00_7074 = BgL_arg2186z00_2349; 
BgL_argsz00_1591 = BgL_argsz00_7074; 
BgL_fz00_1590 = BgL_fz00_7073; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_7072);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2187z00_2350; obj_t BgL_arg2188z00_2351;
BgL_arg2187z00_2350 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2188z00_2351 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_7080;
{ 
 obj_t BgL_argsz00_7082; obj_t BgL_fz00_7081;
BgL_fz00_7081 = BgL_arg2187z00_2350; 
BgL_argsz00_7082 = BgL_arg2188z00_2351; 
BgL_argsz00_1591 = BgL_argsz00_7082; 
BgL_fz00_1590 = BgL_fz00_7081; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_7080);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2825z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2175zd2_1589;}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2191z00_2354; obj_t BgL_arg2192z00_2355;
BgL_arg2191z00_2354 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2192z00_2355 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_7092;
{ 
 obj_t BgL_argsz00_7094; obj_t BgL_fz00_7093;
BgL_fz00_7093 = BgL_arg2191z00_2354; 
BgL_argsz00_7094 = BgL_arg2192z00_2355; 
BgL_argsz00_1591 = BgL_argsz00_7094; 
BgL_fz00_1590 = BgL_fz00_7093; 
goto BgL_tagzd2176zd2_1592;} 
return 
((obj_t)BgL_auxz00_7092);} } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 424 */
BgL_xz00_1514 = BgL_ez00_69; 
if(
SYMBOLP(BgL_xz00_1514))
{ /* Eval/evaluate.scm 427 */
 obj_t BgL__ortest_1101z00_2377;
BgL__ortest_1101z00_2377 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1514, BgL_localsz00_70); 
if(
CBOOL(BgL__ortest_1101z00_2377))
{ /* Eval/evaluate.scm 427 */
return BgL__ortest_1101z00_2377;}  else 
{ /* Eval/evaluate.scm 427 */
return 
((obj_t)
BGl_convzd2globalzd2zz__evaluatez00(BgL_locz00_74, BgL_xz00_1514, BgL_globalsz00_71));} }  else 
{ /* Eval/evaluate.scm 428 */
 BgL_ev_littz00_bglt BgL_new1103z00_2378;
{ /* Eval/evaluate.scm 429 */
 BgL_ev_littz00_bglt BgL_new1102z00_2379;
BgL_new1102z00_2379 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 429 */
 long BgL_arg2215z00_2380;
BgL_arg2215z00_2380 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_2379), BgL_arg2215z00_2380); } 
BgL_new1103z00_2378 = BgL_new1102z00_2379; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1103z00_2378))->BgL_valuez00)=((obj_t)BgL_xz00_1514),BUNSPEC); 
return 
((obj_t)BgL_new1103z00_2378);} } } } } 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4377, obj_t BgL_globalsz00_4376, obj_t BgL_localsz00_4375, obj_t BgL_locz00_4374, obj_t BgL_esz00_2708)
{
{ /* Eval/evaluate.scm 386 */
if(
NULLP(BgL_esz00_2708))
{ /* Eval/evaluate.scm 387 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 389 */
 obj_t BgL_ez00_2711;
BgL_ez00_2711 = 
CAR(
((obj_t)BgL_esz00_2708)); 
{ /* Eval/evaluate.scm 390 */
 obj_t BgL_arg2366z00_2712; obj_t BgL_arg2367z00_2713;
BgL_arg2366z00_2712 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2711, BgL_localsz00_4375, BgL_globalsz00_4376, BFALSE, BgL_wherez00_4377, 
BGl_getzd2location3zd2zz__evaluatez00(BgL_ez00_2711, BgL_esz00_2708, BgL_locz00_4374), ((bool_t)0)); 
{ /* Eval/evaluate.scm 391 */
 obj_t BgL_arg2369z00_2715;
BgL_arg2369z00_2715 = 
CDR(
((obj_t)BgL_esz00_2708)); 
BgL_arg2367z00_2713 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4377, BgL_globalsz00_4376, BgL_localsz00_4375, BgL_locz00_4374, BgL_arg2369z00_2715); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2366z00_2712, BgL_arg2367z00_2713);} } } 

}



/* rconv/loc~0 */
obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4381, obj_t BgL_tailzf3zf3_4380, obj_t BgL_globalsz00_4379, obj_t BgL_localsz00_4378, obj_t BgL_ez00_2685, obj_t BgL_locz00_2686)
{
{ /* Eval/evaluate.scm 368 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2685, BgL_localsz00_4378, BgL_globalsz00_4379, BgL_tailzf3zf3_4380, BgL_wherez00_4381, BgL_locz00_2686, ((bool_t)0));} 

}



/* uconv/loc~0 */
obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4384, obj_t BgL_globalsz00_4383, obj_t BgL_localsz00_4382, obj_t BgL_ez00_2695, obj_t BgL_locz00_2696)
{
{ /* Eval/evaluate.scm 377 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2695, BgL_localsz00_4382, BgL_globalsz00_4383, BFALSE, BgL_wherez00_4384, BgL_locz00_2696, ((bool_t)0));} 

}



/* conv-vals~0 */
obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4386, obj_t BgL_globalsz00_4385, obj_t BgL_lz00_2526, obj_t BgL_varsz00_2527, obj_t BgL_localsz00_2528, obj_t BgL_locz00_2529)
{
{ /* Eval/evaluate.scm 502 */
if(
NULLP(BgL_lz00_2526))
{ /* Eval/evaluate.scm 498 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 500 */
 obj_t BgL_locz00_2532;
{ /* Eval/evaluate.scm 500 */
 obj_t BgL_arg2288z00_2540;
BgL_arg2288z00_2540 = 
CAR(
((obj_t)BgL_lz00_2526)); 
BgL_locz00_2532 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_arg2288z00_2540, BgL_locz00_2529); } 
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_arg2281z00_2533; obj_t BgL_arg2282z00_2534;
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_arg2283z00_2535;
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_pairz00_3477;
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_pairz00_3476;
BgL_pairz00_3476 = 
CAR(
((obj_t)BgL_lz00_2526)); 
BgL_pairz00_3477 = 
CDR(BgL_pairz00_3476); } 
BgL_arg2283z00_2535 = 
CAR(BgL_pairz00_3477); } 
BgL_arg2281z00_2533 = 
BGl_convz00zz__evaluatez00(BgL_arg2283z00_2535, BgL_localsz00_2528, BgL_globalsz00_4385, BFALSE, BgL_wherez00_4386, BgL_locz00_2532, ((bool_t)0)); } 
{ /* Eval/evaluate.scm 502 */
 obj_t BgL_arg2284z00_2536; obj_t BgL_arg2285z00_2537; obj_t BgL_arg2286z00_2538;
BgL_arg2284z00_2536 = 
CDR(
((obj_t)BgL_lz00_2526)); 
BgL_arg2285z00_2537 = 
CDR(
((obj_t)BgL_varsz00_2527)); 
{ /* Eval/evaluate.scm 502 */
 obj_t BgL_arg2287z00_2539;
BgL_arg2287z00_2539 = 
CAR(
((obj_t)BgL_varsz00_2527)); 
BgL_arg2286z00_2538 = 
MAKE_YOUNG_PAIR(BgL_arg2287z00_2539, BgL_localsz00_2528); } 
BgL_arg2282z00_2534 = 
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4386, BgL_globalsz00_4385, BgL_arg2284z00_2536, BgL_arg2285z00_2537, BgL_arg2286z00_2538, BgL_locz00_2532); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2281z00_2533, BgL_arg2282z00_2534);} } } 

}



/* conv-lambda~0 */
BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t BgL_globalsz00_4390, obj_t BgL_localsz00_4389, obj_t BgL_ez00_4388, obj_t BgL_locz00_4387, obj_t BgL_formalsz00_2717, obj_t BgL_bodyz00_2718, obj_t BgL_wherez00_2719, obj_t BgL_typez00_2720)
{
{ /* Eval/evaluate.scm 404 */
{ 
 obj_t BgL_lz00_2751;
{ /* Eval/evaluate.scm 406 */
 obj_t BgL_argsz00_2723;
BgL_lz00_2751 = 
BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(BgL_formalsz00_2717, BGl_errorzd2envzd2zz__errorz00, ((bool_t)1)); 
{ 
 obj_t BgL_rz00_2755; obj_t BgL_flatz00_2756; long BgL_arityz00_2757;
BgL_rz00_2755 = BgL_lz00_2751; 
BgL_flatz00_2756 = BNIL; 
BgL_arityz00_2757 = 0L; 
BgL_zc3z04anonymousza32383ze3z87_2758:
if(
NULLP(BgL_rz00_2755))
{ /* Eval/evaluate.scm 399 */
 obj_t BgL_val0_1198z00_2760;
BgL_val0_1198z00_2760 = 
bgl_reverse_bang(BgL_flatz00_2756); 
{ /* Eval/evaluate.scm 399 */
 int BgL_tmpz00_7143;
BgL_tmpz00_7143 = 
(int)(2L); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7143); } 
{ /* Eval/evaluate.scm 399 */
 obj_t BgL_auxz00_7148; int BgL_tmpz00_7146;
BgL_auxz00_7148 = 
BINT(BgL_arityz00_2757); 
BgL_tmpz00_7146 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_7146, BgL_auxz00_7148); } 
BgL_argsz00_2723 = BgL_val0_1198z00_2760; }  else 
{ /* Eval/evaluate.scm 398 */
if(
PAIRP(BgL_rz00_2755))
{ /* Eval/evaluate.scm 403 */
 obj_t BgL_arg2386z00_2763; obj_t BgL_arg2387z00_2764; long BgL_arg2388z00_2765;
BgL_arg2386z00_2763 = 
CDR(BgL_rz00_2755); 
BgL_arg2387z00_2764 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(
CAR(BgL_rz00_2755)), BgL_flatz00_2756); 
BgL_arg2388z00_2765 = 
(BgL_arityz00_2757+1L); 
{ 
 long BgL_arityz00_7160; obj_t BgL_flatz00_7159; obj_t BgL_rz00_7158;
BgL_rz00_7158 = BgL_arg2386z00_2763; 
BgL_flatz00_7159 = BgL_arg2387z00_2764; 
BgL_arityz00_7160 = BgL_arg2388z00_2765; 
BgL_arityz00_2757 = BgL_arityz00_7160; 
BgL_flatz00_2756 = BgL_flatz00_7159; 
BgL_rz00_2755 = BgL_rz00_7158; 
goto BgL_zc3z04anonymousza32383ze3z87_2758;} }  else 
{ /* Eval/evaluate.scm 401 */
 obj_t BgL_val0_1200z00_2768; long BgL_val1_1201z00_2769;
{ /* Eval/evaluate.scm 401 */
 obj_t BgL_arg2391z00_2770;
BgL_arg2391z00_2770 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(BgL_rz00_2755), BgL_flatz00_2756); 
BgL_val0_1200z00_2768 = 
bgl_reverse_bang(BgL_arg2391z00_2770); } 
BgL_val1_1201z00_2769 = 
(-1L-BgL_arityz00_2757); 
{ /* Eval/evaluate.scm 401 */
 int BgL_tmpz00_7165;
BgL_tmpz00_7165 = 
(int)(2L); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7165); } 
{ /* Eval/evaluate.scm 401 */
 obj_t BgL_auxz00_7170; int BgL_tmpz00_7168;
BgL_auxz00_7170 = 
BINT(BgL_val1_1201z00_2769); 
BgL_tmpz00_7168 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_7168, BgL_auxz00_7170); } 
BgL_argsz00_2723 = BgL_val0_1200z00_2768; } } } 
{ /* Eval/evaluate.scm 407 */
 obj_t BgL_arityz00_2724;
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_tmpz00_3399;
{ /* Eval/evaluate.scm 408 */
 int BgL_tmpz00_7174;
BgL_tmpz00_7174 = 
(int)(1L); 
BgL_tmpz00_3399 = 
BGL_MVALUES_VAL(BgL_tmpz00_7174); } 
{ /* Eval/evaluate.scm 408 */
 int BgL_tmpz00_7177;
BgL_tmpz00_7177 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_7177, BUNSPEC); } 
BgL_arityz00_2724 = BgL_tmpz00_3399; } 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_varsz00_2725; obj_t BgL_bodyz00_2726; obj_t BgL_nlocz00_2727;
if(
NULLP(BgL_argsz00_2723))
{ /* Eval/evaluate.scm 408 */
BgL_varsz00_2725 = BNIL; }  else 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_head1204z00_2734;
BgL_head1204z00_2734 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1202z00_2736; obj_t BgL_tail1205z00_2737;
BgL_l1202z00_2736 = BgL_argsz00_2723; 
BgL_tail1205z00_2737 = BgL_head1204z00_2734; 
BgL_zc3z04anonymousza32374ze3z87_2738:
if(
NULLP(BgL_l1202z00_2736))
{ /* Eval/evaluate.scm 408 */
BgL_varsz00_2725 = 
CDR(BgL_head1204z00_2734); }  else 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_newtail1206z00_2740;
{ /* Eval/evaluate.scm 408 */
 BgL_ev_varz00_bglt BgL_arg2377z00_2742;
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_vz00_2743;
BgL_vz00_2743 = 
CAR(
((obj_t)BgL_l1202z00_2736)); 
{ /* Eval/evaluate.scm 409 */
 BgL_ev_varz00_bglt BgL_new1098z00_2744;
{ /* Eval/evaluate.scm 411 */
 BgL_ev_varz00_bglt BgL_new1097z00_2745;
BgL_new1097z00_2745 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 411 */
 long BgL_arg2378z00_2746;
BgL_arg2378z00_2746 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_2745), BgL_arg2378z00_2746); } 
BgL_new1098z00_2744 = BgL_new1097z00_2745; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2744))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_vz00_2743))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2744))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2744))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_vz00_2743))),BUNSPEC); 
BgL_arg2377z00_2742 = BgL_new1098z00_2744; } } 
BgL_newtail1206z00_2740 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2377z00_2742), BNIL); } 
SET_CDR(BgL_tail1205z00_2737, BgL_newtail1206z00_2740); 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_arg2376z00_2741;
BgL_arg2376z00_2741 = 
CDR(
((obj_t)BgL_l1202z00_2736)); 
{ 
 obj_t BgL_tail1205z00_7205; obj_t BgL_l1202z00_7204;
BgL_l1202z00_7204 = BgL_arg2376z00_2741; 
BgL_tail1205z00_7205 = BgL_newtail1206z00_2740; 
BgL_tail1205z00_2737 = BgL_tail1205z00_7205; 
BgL_l1202z00_2736 = BgL_l1202z00_7204; 
goto BgL_zc3z04anonymousza32374ze3z87_2738;} } } } } 
BgL_bodyz00_2726 = 
BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_ez00_4388, BgL_formalsz00_2717, 
BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2723, BgL_argsz00_2723, 
BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2720, BgL_bodyz00_2718, BgL_locz00_4387), BgL_locz00_4387, BgL_wherez00_2719), BGl_errorzd2envzd2zz__errorz00); 
BgL_nlocz00_2727 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_2718, BgL_locz00_4387); 
{ /* Eval/evaluate.scm 417 */
 BgL_ev_absz00_bglt BgL_new1100z00_2728;
{ /* Eval/evaluate.scm 418 */
 BgL_ev_absz00_bglt BgL_new1099z00_2730;
BgL_new1099z00_2730 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate.scm 418 */
 long BgL_arg2372z00_2731;
BgL_arg2372z00_2731 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_2730), BgL_arg2372z00_2731); } 
BgL_new1100z00_2728 = BgL_new1099z00_2730; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2728))->BgL_locz00)=((obj_t)BgL_locz00_4387),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2728))->BgL_wherez00)=((obj_t)BgL_wherez00_2719),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2728))->BgL_arityz00)=((obj_t)BgL_arityz00_2724),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2728))->BgL_varsz00)=((obj_t)BgL_varsz00_2725),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_7218;
{ /* Eval/evaluate.scm 422 */
 obj_t BgL_arg2371z00_2729;
BgL_arg2371z00_2729 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2725, BgL_localsz00_4389); 
BgL_auxz00_7218 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_bodyz00_2726, BgL_arg2371z00_2729, BgL_globalsz00_4390, BTRUE, BgL_wherez00_2719, BgL_nlocz00_2727, ((bool_t)0))); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2728))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_7218),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2728))->BgL_siza7eza7)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2728))->BgL_bindz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2728))->BgL_freez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2728))->BgL_innerz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2728))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
return BgL_new1100z00_2728;} } } } } } 

}



/* uconv~0 */
obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t BgL_locz00_4394, obj_t BgL_wherez00_4393, obj_t BgL_globalsz00_4392, obj_t BgL_localsz00_4391, obj_t BgL_ez00_2698)
{
{ /* Eval/evaluate.scm 380 */
BGL_TAIL return 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_4393, BgL_globalsz00_4392, BgL_localsz00_4391, BgL_ez00_2698, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2698, BgL_locz00_4394));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(121046086L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(536217185L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(128218210L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(43287392L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(6519932L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__osz00(310000171L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(443936801L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(377164741L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(475449627L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(149516032L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(481261960L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(54297095L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(237870368L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(268155843L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(473309430L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(460262918L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(-44273703L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(496722665L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(228151370L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(233942021L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(220648206L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(177147622L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(414007149L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(528345299L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(492754569L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(375872221L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(505897955L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(0L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(483789130L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(121298760L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(193509656L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_compz00(444000678L, 
BSTRING_TO_STRING(BGl_string2827z00zz__evaluatez00));} 

}

#ifdef __cplusplus
}
#endif
