/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVALUATE_COMP_TYPE_DEFINITIONS
#define BGL___EVALUATE_COMP_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


#endif													// BGL___EVALUATE_COMP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62compzd2ev_litt1453zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00(void);
	static obj_t BGl_z62zc3z04anonymousza33903ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32842ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33563ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33393ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33555ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32826ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32818ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33199ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32851ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33297ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4606z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_defglobal1451zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol4608z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_setglobal1449zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32860ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33824ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1471z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33735ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31953ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32836ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol4610z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_symbol4616z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32110ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33914ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33574ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32845ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_symbol4700z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4624z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4626z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4628z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00(void);
	extern obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33753ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33672ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32854ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33478ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol4631z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4634z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4636z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol4638z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3z04exitza33337ze3ze70z60zz__evaluate_compz00(obj_t, obj_t,
		obj_t, long, obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33940ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32960ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33681ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33835ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31972ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32863ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33495ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33649ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32839ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00(void);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_symbol4640z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol4642z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4644z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33020ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33101ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4646z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4648z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33852ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33763ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00(void);
	static obj_t BGl_z62zc3z04anonymousza33658ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32848ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33488ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33399ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_symbol4731z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4650z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4652z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza34001ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4654z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32130ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4656z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4739z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4658z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza32970ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32792ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32857ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_symbol4660z00zz__evaluate_compz00 = BUNSPEC;
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_symbol4662z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4664z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33014ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4666z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4668z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_prog21461zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33862ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32866ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol4750z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4670z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4752z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4672z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4754z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_symbol4674z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33023ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4756z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4676z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4678z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32891ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33928ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32875ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_symbol4680z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol4682z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4684z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32133ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_symbol4686z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_evmodulezd2namezd2zz__evmodulez00(obj_t);
	static obj_t BGl_symbol4688z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32981ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32973ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33775ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31993ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32884ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32795ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00(void);
	static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_symbol4690z00zz__evaluate_compz00 = BUNSPEC;
	static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol4692z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4694z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4696z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32037ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_symbol4698z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza32885ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33598ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32869ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza34022ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33034ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_or1457zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32208ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33785ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31995ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32233ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32128ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_var1443zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00(void);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza32984ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33875ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32976ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32887ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza32307ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32993ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33698ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32799ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_goto1479zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04exitza33349ze3ze70z60zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_let1463zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32235ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33037ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33958ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32889ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62run4517z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4519z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33216ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00(void);
	static obj_t BGl_z62zc3z04anonymousza33127ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33886ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32987ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4601z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4521z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4523z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4525z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4527z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4529z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern bool_t bigloo_string_lt(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_global1447zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4531z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4533z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4535z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4537z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32343ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4539z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33048ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32238ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_synchroniza7e1475z17zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run4541z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4543z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza33510ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4545z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33405ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4547z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32271ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4549z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32093ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33219ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32158ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33978ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_labels1477zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62run4551z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4553z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4555z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4557z62zz__evaluate_compz00(obj_t, obj_t);
	extern int bgl_debug(void);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32183ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4559z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33139ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_z62run4561z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4563z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4565z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_get_profilez00zz__evaluate_compz00(void);
	static obj_t BGl_z62run4567z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4569z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00(void);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62compzd2ev_app1481zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(void);
	static obj_t BGl_z62run4571z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4573z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00(void);
	static obj_t BGl_z62zc3z04anonymousza33343ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4575z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62run4577z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4579z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4516z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4518z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4581z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62run4583z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33344ze3ze5zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62run4585z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33336ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4587z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4600z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62run4589z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4520z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4522z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4524z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4526z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4528z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62comp1437z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62run4591z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33620ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4593z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32381ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4595z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33248ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4597z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4599z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4530z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4532z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4534z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4536z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4538z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1445zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_and1459zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32803ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33354ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1469z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32439ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4540z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62main4542z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62main4544z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4546z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4548z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33606ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33517ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33347ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33096ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33177ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4550z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4552z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4554z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4556z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4558z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33801ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33631ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31914ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33178ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62main4560z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4562z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4564z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4566z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4568z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_abs1483zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62compzd2ev_letrec1467zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32830ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33470ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32822ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_withzd2handler1473z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32814ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32555ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4570z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4572z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4574z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4576z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4578z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33811ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33722ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33528ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33277ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32386ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33188ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_if1455zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4580z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_trap1441zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4582z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4584z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4586z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4588z62zz__evaluate_compz00(obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza32492ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33537ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62compzd2ev_letza21465z12zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4590z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4592z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4594z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4596z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4598z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32833ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33708ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t *__cnst;


	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za74760z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_4761z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza74762za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string4607z00zz__evaluate_compz00,
		BgL_bgl_string4607za700za7za7_4763za7, "all", 3);
	      DEFINE_STRING(BGl_string4609z00zz__evaluate_compz00,
		BgL_bgl_string4609za700za7za7_4764za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string4611z00zz__evaluate_compz00,
		BgL_bgl_string4611za700za7za7_4765za7, "bounce", 6);
	      DEFINE_STRING(BGl_string4612z00zz__evaluate_compz00,
		BgL_bgl_string4612za700za7za7_4766za7, "non non non", 11);
	      DEFINE_STRING(BGl_string4613z00zz__evaluate_compz00,
		BgL_bgl_string4613za700za7za7_4767za7, " in ", 4);
	      DEFINE_STRING(BGl_string4614z00zz__evaluate_compz00,
		BgL_bgl_string4614za700za7za7_4768za7, "eval", 4);
	      DEFINE_STRING(BGl_string4615z00zz__evaluate_compz00,
		BgL_bgl_string4615za700za7za7_4769za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string4617z00zz__evaluate_compz00,
		BgL_bgl_string4617za700za7za7_4770za7, "at", 2);
	      DEFINE_STRING(BGl_string4618z00zz__evaluate_compz00,
		BgL_bgl_string4618za700za7za7_4771za7, "", 0);
	      DEFINE_STRING(BGl_string4619z00zz__evaluate_compz00,
		BgL_bgl_string4619za700za7za7_4772za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string4701z00zz__evaluate_compz00,
		BgL_bgl_string4701za700za7za7_4773za7, "cadr", 4);
	      DEFINE_STRING(BGl_string4620z00zz__evaluate_compz00,
		BgL_bgl_string4620za700za7za7_4774za7, "&compile", 8);
	      DEFINE_STRING(BGl_string4621z00zz__evaluate_compz00,
		BgL_bgl_string4621za700za7za7_4775za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string4703z00zz__evaluate_compz00,
		BgL_bgl_string4703za700za7za7_4776za7, "comp1437", 8);
	      DEFINE_STRING(BGl_string4622z00zz__evaluate_compz00,
		BgL_bgl_string4622za700za7za7_4777za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string4704z00zz__evaluate_compz00,
		BgL_bgl_string4704za700za7za7_4778za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string4623z00zz__evaluate_compz00,
		BgL_bgl_string4623za700za7za7_4779za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string4705z00zz__evaluate_compz00,
		BgL_bgl_string4705za700za7za7_4780za7, "&comp", 5);
	      DEFINE_STRING(BGl_string4625z00zz__evaluate_compz00,
		BgL_bgl_string4625za700za7za7_4781za7, "mcell", 5);
	      DEFINE_STRING(BGl_string4707z00zz__evaluate_compz00,
		BgL_bgl_string4707za700za7za7_4782za7, "comp", 4);
	      DEFINE_STRING(BGl_string4627z00zz__evaluate_compz00,
		BgL_bgl_string4627za700za7za7_4783za7, "internal", 8);
	      DEFINE_STRING(BGl_string4629z00zz__evaluate_compz00,
		BgL_bgl_string4629za700za7za7_4784za7, "impossible", 10);
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4702z00zz__evaluate_compz00,
		BgL_bgl_za762comp1437za762za7za74785z00,
		BGl_z62comp1437z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4630z00zz__evaluate_compz00,
		BgL_bgl_string4630za700za7za7_4786za7, "procedure", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4706z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra4787z00,
		BGl_z62compzd2ev_trap1441zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4632z00zz__evaluate_compz00,
		BgL_bgl_string4632za700za7za7_4788za7, "user", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4708z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var4789z00,
		BGl_z62compzd2ev_var1443zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4633z00zz__evaluate_compz00,
		BgL_bgl_string4633za700za7za7_4790za7, "invalid byte code", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4709z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set4791z00,
		BGl_z62compzd2ev_setlocal1445zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4635z00zz__evaluate_compz00,
		BgL_bgl_string4635za700za7za7_4792za7, "+", 1);
	      DEFINE_STRING(BGl_string4637z00zz__evaluate_compz00,
		BgL_bgl_string4637za700za7za7_4793za7, "number", 6);
	      DEFINE_STRING(BGl_string4639z00zz__evaluate_compz00,
		BgL_bgl_string4639za700za7za7_4794za7, "-", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4710z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo4795z00,
		BGl_z62compzd2ev_global1447zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4711z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set4796z00,
		BGl_z62compzd2ev_setglobal1449zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4712z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def4797z00,
		BGl_z62compzd2ev_defglobal1451zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4713z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit4798z00,
		BGl_z62compzd2ev_litt1453zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4714z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if14799z00,
		BGl_z62compzd2ev_if1455zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4715z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or14800z00,
		BGl_z62compzd2ev_or1457zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4716z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and4801z00,
		BGl_z62compzd2ev_and1459zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4641z00zz__evaluate_compz00,
		BgL_bgl_string4641za700za7za7_4802za7, "*", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4717z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro4803z00,
		BGl_z62compzd2ev_prog21461zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4718z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4804z00,
		BGl_z62compzd2ev_let1463zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4643z00zz__evaluate_compz00,
		BgL_bgl_string4643za700za7za7_4805za7, "/", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4719z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4806z00,
		BGl_z62compzd2ev_letza21465z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4645z00zz__evaluate_compz00,
		BgL_bgl_string4645za700za7za7_4807za7, "<", 1);
	      DEFINE_STRING(BGl_string4647z00zz__evaluate_compz00,
		BgL_bgl_string4647za700za7za7_4808za7, ">", 1);
	      DEFINE_STRING(BGl_string4729z00zz__evaluate_compz00,
		BgL_bgl_string4729za700za7za7_4809za7, "internal error", 14);
	      DEFINE_STRING(BGl_string4649z00zz__evaluate_compz00,
		BgL_bgl_string4649za700za7za7_4810za7, "<=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4720z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4811z00,
		BGl_z62compzd2ev_letrec1467zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4721z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin4812z00,
		BGl_z62compzd2ev_bindzd2exit1469z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4722z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw4813z00,
		BGl_z62compzd2ev_unwindzd2prote1471z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4723z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit4814z00,
		BGl_z62compzd2ev_withzd2handler1473z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4730z00zz__evaluate_compz00,
		BgL_bgl_string4730za700za7za7_4815za7, "must be dead code", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4724z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_syn4816z00,
		BGl_z62compzd2ev_synchroniza7e1475z17zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4725z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab4817z00,
		BGl_z62compzd2ev_labels1477zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4732z00zz__evaluate_compz00,
		BgL_bgl_string4732za700za7za7_4818za7, "notyet", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4726z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got4819z00,
		BGl_z62compzd2ev_goto1479zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4651z00zz__evaluate_compz00,
		BgL_bgl_string4651za700za7za7_4820za7, ">=", 2);
	      DEFINE_STRING(BGl_string4733z00zz__evaluate_compz00,
		BgL_bgl_string4733za700za7za7_4821za7, "synchronize", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4727z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app4822z00,
		BGl_z62compzd2ev_app1481zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4734z00zz__evaluate_compz00,
		BgL_bgl_string4734za700za7za7_4823za7, "mutex", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4728z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs4824z00,
		BGl_z62compzd2ev_abs1483zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4653z00zz__evaluate_compz00,
		BgL_bgl_string4653za700za7za7_4825za7, "=", 1);
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string4735z00zz__evaluate_compz00,
		BgL_bgl_string4735za700za7za7_4826za7, "set!", 4);
	      DEFINE_STRING(BGl_string4736z00zz__evaluate_compz00,
		BgL_bgl_string4736za700za7za7_4827za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string4655z00zz__evaluate_compz00,
		BgL_bgl_string4655za700za7za7_4828za7, "+fx", 3);
	      DEFINE_STRING(BGl_string4737z00zz__evaluate_compz00,
		BgL_bgl_string4737za700za7za7_4829za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string4738z00zz__evaluate_compz00,
		BgL_bgl_string4738za700za7za7_4830za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string4657z00zz__evaluate_compz00,
		BgL_bgl_string4657za700za7za7_4831za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string4659z00zz__evaluate_compz00,
		BgL_bgl_string4659za700za7za7_4832za7, "-fx", 3);
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string4740z00zz__evaluate_compz00,
		BgL_bgl_string4740za700za7za7_4833za7, "@", 1);
	      DEFINE_STRING(BGl_string4741z00zz__evaluate_compz00,
		BgL_bgl_string4741za700za7za7_4834za7, "Uninitialized variable", 22);
	      DEFINE_STRING(BGl_string4661z00zz__evaluate_compz00,
		BgL_bgl_string4661za700za7za7_4835za7, "*fx", 3);
	      DEFINE_STRING(BGl_string4663z00zz__evaluate_compz00,
		BgL_bgl_string4663za700za7za7_4836za7, "/fx", 3);
	      DEFINE_STRING(BGl_string4665z00zz__evaluate_compz00,
		BgL_bgl_string4665za700za7za7_4837za7, "<fx", 3);
	      DEFINE_STRING(BGl_string4667z00zz__evaluate_compz00,
		BgL_bgl_string4667za700za7za7_4838za7, ">fx", 3);
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string4669z00zz__evaluate_compz00,
		BgL_bgl_string4669za700za7za7_4839za7, "<=fx", 4);
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4742z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4840za7,
		BGl_z62zc3z04anonymousza32970ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4743z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4841za7,
		BGl_z62zc3z04anonymousza32973ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4744z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4842za7,
		BGl_z62zc3z04anonymousza32976ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4751z00zz__evaluate_compz00,
		BgL_bgl_string4751za700za7za7_4843za7, "get_sp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4745z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4844za7,
		BGl_z62zc3z04anonymousza32981ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4746z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4845za7,
		BGl_z62zc3z04anonymousza32984ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4671z00zz__evaluate_compz00,
		BgL_bgl_string4671za700za7za7_4846za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string4753z00zz__evaluate_compz00,
		BgL_bgl_string4753za700za7za7_4847za7, "reset_profile", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4747z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4848za7,
		BGl_z62zc3z04anonymousza32987ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4748z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4849za7,
		BGl_z62zc3z04anonymousza32993ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4673z00zz__evaluate_compz00,
		BgL_bgl_string4673za700za7za7_4850za7, "=fx", 3);
	      DEFINE_STRING(BGl_string4755z00zz__evaluate_compz00,
		BgL_bgl_string4755za700za7za7_4851za7, "get_profile", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4749z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4852za7,
		BGl_z62zc3z04anonymousza33014ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4675z00zz__evaluate_compz00,
		BgL_bgl_string4675za700za7za7_4853za7, "+fl", 3);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string4757z00zz__evaluate_compz00,
		BgL_bgl_string4757za700za7za7_4854za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string4758z00zz__evaluate_compz00,
		BgL_bgl_string4758za700za7za7_4855za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string4677z00zz__evaluate_compz00,
		BgL_bgl_string4677za700za7za7_4856za7, "flonum", 6);
	      DEFINE_STRING(BGl_string4759z00zz__evaluate_compz00,
		BgL_bgl_string4759za700za7za7_4857za7, "__evaluate_comp", 15);
	      DEFINE_STRING(BGl_string4679z00zz__evaluate_compz00,
		BgL_bgl_string4679za700za7za7_4858za7, "-fl", 3);
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string4681z00zz__evaluate_compz00,
		BgL_bgl_string4681za700za7za7_4859za7, "*fl", 3);
	      DEFINE_STRING(BGl_string4683z00zz__evaluate_compz00,
		BgL_bgl_string4683za700za7za7_4860za7, "/fl", 3);
	      DEFINE_STRING(BGl_string4685z00zz__evaluate_compz00,
		BgL_bgl_string4685za700za7za7_4861za7, "<fl", 3);
	      DEFINE_STRING(BGl_string4687z00zz__evaluate_compz00,
		BgL_bgl_string4687za700za7za7_4862za7, ">fl", 3);
	      DEFINE_STRING(BGl_string4689z00zz__evaluate_compz00,
		BgL_bgl_string4689za700za7za7_4863za7, "<=fl", 4);
	      DEFINE_STRING(BGl_string4691z00zz__evaluate_compz00,
		BgL_bgl_string4691za700za7za7_4864za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string4693z00zz__evaluate_compz00,
		BgL_bgl_string4693za700za7za7_4865za7, "=fl", 3);
	      DEFINE_STRING(BGl_string4695z00zz__evaluate_compz00,
		BgL_bgl_string4695za700za7za7_4866za7, "car", 3);
	      DEFINE_STRING(BGl_string4697z00zz__evaluate_compz00,
		BgL_bgl_string4697za700za7za7_4867za7, "pair", 4);
	      DEFINE_STRING(BGl_string4699z00zz__evaluate_compz00,
		BgL_bgl_string4699za700za7za7_4868za7, "cdr", 3);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev4869z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4606z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4608z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4610z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4616z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4700z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4624z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4626z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4628z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4631z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4634z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4636z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4638z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4640z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4642z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4644z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4646z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4648z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4731z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4650z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4652z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4654z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4656z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4739z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4658z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4660z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4662z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4664z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4666z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4668z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4750z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4670z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4752z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4672z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4754z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4674z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4756z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4676z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4678z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4680z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4682z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4684z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4686z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4688z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void *) (&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4690z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4692z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4694z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4696z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4698z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_19020, char *BgL_fromz00_19021)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_compz00();
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					return BGl_toplevelzd2initzd2zz__evaluate_compz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol4606z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4607z00zz__evaluate_compz00);
			BGl_symbol4608z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4609z00zz__evaluate_compz00);
			BGl_symbol4610z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4611z00zz__evaluate_compz00);
			BGl_symbol4616z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4617z00zz__evaluate_compz00);
			BGl_symbol4624z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4625z00zz__evaluate_compz00);
			BGl_symbol4626z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4627z00zz__evaluate_compz00);
			BGl_symbol4628z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4629z00zz__evaluate_compz00);
			BGl_symbol4631z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4632z00zz__evaluate_compz00);
			BGl_symbol4634z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4635z00zz__evaluate_compz00);
			BGl_symbol4636z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4637z00zz__evaluate_compz00);
			BGl_symbol4638z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4639z00zz__evaluate_compz00);
			BGl_symbol4640z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4641z00zz__evaluate_compz00);
			BGl_symbol4642z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4643z00zz__evaluate_compz00);
			BGl_symbol4644z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4645z00zz__evaluate_compz00);
			BGl_symbol4646z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4647z00zz__evaluate_compz00);
			BGl_symbol4648z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4649z00zz__evaluate_compz00);
			BGl_symbol4650z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4651z00zz__evaluate_compz00);
			BGl_symbol4652z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4653z00zz__evaluate_compz00);
			BGl_symbol4654z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4655z00zz__evaluate_compz00);
			BGl_symbol4656z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4657z00zz__evaluate_compz00);
			BGl_symbol4658z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4659z00zz__evaluate_compz00);
			BGl_symbol4660z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4661z00zz__evaluate_compz00);
			BGl_symbol4662z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4663z00zz__evaluate_compz00);
			BGl_symbol4664z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4665z00zz__evaluate_compz00);
			BGl_symbol4666z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4667z00zz__evaluate_compz00);
			BGl_symbol4668z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4669z00zz__evaluate_compz00);
			BGl_symbol4670z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4671z00zz__evaluate_compz00);
			BGl_symbol4672z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4673z00zz__evaluate_compz00);
			BGl_symbol4674z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4675z00zz__evaluate_compz00);
			BGl_symbol4676z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4677z00zz__evaluate_compz00);
			BGl_symbol4678z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4679z00zz__evaluate_compz00);
			BGl_symbol4680z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4681z00zz__evaluate_compz00);
			BGl_symbol4682z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4683z00zz__evaluate_compz00);
			BGl_symbol4684z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4685z00zz__evaluate_compz00);
			BGl_symbol4686z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4687z00zz__evaluate_compz00);
			BGl_symbol4688z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4689z00zz__evaluate_compz00);
			BGl_symbol4690z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4691z00zz__evaluate_compz00);
			BGl_symbol4692z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4693z00zz__evaluate_compz00);
			BGl_symbol4694z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4695z00zz__evaluate_compz00);
			BGl_symbol4696z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4697z00zz__evaluate_compz00);
			BGl_symbol4698z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4699z00zz__evaluate_compz00);
			BGl_symbol4700z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4701z00zz__evaluate_compz00);
			BGl_symbol4731z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4732z00zz__evaluate_compz00);
			BGl_symbol4739z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4740z00zz__evaluate_compz00);
			BGl_symbol4750z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4751z00zz__evaluate_compz00);
			BGl_symbol4752z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4753z00zz__evaluate_compz00);
			BGl_symbol4754z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4755z00zz__evaluate_compz00);
			return (BGl_symbol4756z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4757z00zz__evaluate_compz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 114 */
				BGL_LONGLONG_T BgL_arg1550z00_1407;

				BgL_arg1550z00_1407 = LONG_TO_LLONG(0L);
				{	/* Eval/evaluate_comp.scm 114 */
					obj_t BgL_list1551z00_1408;

					{	/* Eval/evaluate_comp.scm 114 */
						obj_t BgL_arg1552z00_1409;

						BgL_arg1552z00_1409 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1550z00_1407), BNIL);
						BgL_list1551z00_1408 =
							MAKE_YOUNG_PAIR(BGl_symbol4606z00zz__evaluate_compz00,
							BgL_arg1552z00_1409);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1551z00_1408;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = 8192L;
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol4608z00zz__evaluate_compz00, (int) (0L));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol4610z00zz__evaluate_compz00, (int) (0L));
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1410;

				BgL_headz00_1410 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_6512;
					obj_t BgL_tailz00_6513;

					BgL_prevz00_6512 = BgL_headz00_1410;
					BgL_tailz00_6513 = BgL_l1z00_1;
				BgL_loopz00_6511:
					if (PAIRP(BgL_tailz00_6513))
						{
							obj_t BgL_newzd2prevzd2_6519;

							BgL_newzd2prevzd2_6519 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_6513), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_6512, BgL_newzd2prevzd2_6519);
							{
								obj_t BgL_tailz00_19095;
								obj_t BgL_prevz00_19094;

								BgL_prevz00_19094 = BgL_newzd2prevzd2_6519;
								BgL_tailz00_19095 = CDR(BgL_tailz00_6513);
								BgL_tailz00_6513 = BgL_tailz00_19095;
								BgL_prevz00_6512 = BgL_prevz00_19094;
								goto BgL_loopz00_6511;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1410);
			}
		}

	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 132 */
			{	/* Eval/evaluate_comp.scm 133 */
				BGL_LONGLONG_T BgL_arg1579z00_1440;

				BgL_arg1579z00_1440 = LONG_TO_LLONG(0L);
				{	/* Eval/evaluate_comp.scm 133 */
					obj_t BgL_list1580z00_1441;

					{	/* Eval/evaluate_comp.scm 133 */
						obj_t BgL_arg1581z00_1442;

						BgL_arg1581z00_1442 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1579z00_1440), BNIL);
						BgL_list1580z00_1441 =
							MAKE_YOUNG_PAIR(BGl_symbol4606z00zz__evaluate_compz00,
							BgL_arg1581z00_1442);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1580z00_1441, BUNSPEC);
				}
			}
		}

	}



/* o->s~0 */
	obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1452)
	{
		{	/* Eval/evaluate_comp.scm 141 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1452))
				{	/* Ieee/fixnum.scm 1000 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_1452), 10L);
				}
			else
				{	/* Eval/evaluate_comp.scm 138 */
					if (SYMBOLP(BgL_vz00_1452))
						{	/* Eval/evaluate_comp.scm 139 */
							obj_t BgL_arg4191z00_6528;

							BgL_arg4191z00_6528 = SYMBOL_TO_STRING(BgL_vz00_1452);
							return
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg4191z00_6528);
						}
					else
						{	/* Eval/evaluate_comp.scm 139 */
							if (STRINGP(BgL_vz00_1452))
								{	/* Eval/evaluate_comp.scm 140 */
									return BgL_vz00_1452;
								}
							else
								{	/* Eval/evaluate_comp.scm 140 */
									return BGl_string4612z00zz__evaluate_compz00;
								}
						}
				}
		}

	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_13601,
		obj_t BgL_t1z00_13602, obj_t BgL_t2z00_13603)
	{
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 138 */
				bool_t BgL_tmpz00_19112;

				{	/* Eval/evaluate_comp.scm 142 */
					obj_t BgL_v1z00_15581;
					obj_t BgL_v2z00_15582;

					BgL_v1z00_15581 = CAR(((obj_t) BgL_t1z00_13602));
					BgL_v2z00_15582 = CAR(((obj_t) BgL_t2z00_13603));
					{	/* Eval/evaluate_comp.scm 143 */
						bool_t BgL_test4875z00_19117;

						if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_15581))
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_test4875z00_19117 =
									BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BgL_v2z00_15582);
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_test4875z00_19117 = ((bool_t) 0);
							}
						if (BgL_test4875z00_19117)
							{	/* Eval/evaluate_comp.scm 144 */
								bool_t BgL_test4877z00_19121;

								if (INTEGERP(BgL_v1z00_15581))
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_test4877z00_19121 = INTEGERP(BgL_v2z00_15582);
									}
								else
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_test4877z00_19121 = ((bool_t) 0);
									}
								if (BgL_test4877z00_19121)
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_tmpz00_19112 =
											(
											(long) CINT(BgL_v1z00_15581) <
											(long) CINT(BgL_v2z00_15582));
									}
								else
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_tmpz00_19112 =
											BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_15581,
											BgL_v2z00_15582);
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_tmpz00_19112 =
									bigloo_string_lt(BGl_ozd2ze3sze70zd6zz__evaluate_compz00
									(BgL_v1z00_15581),
									BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_15582));
							}
					}
				}
				return BBOOL(BgL_tmpz00_19112);
			}
		}

	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 147 */
			BGl_recze71ze7zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}

	}



/* rec~1 */
	bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1461)
	{
		{	/* Eval/evaluate_comp.scm 148 */
			{	/* Eval/evaluate_comp.scm 149 */
				obj_t BgL_arg1595z00_1463;
				obj_t BgL_arg1597z00_1464;

				BgL_arg1595z00_1463 = CDR(((obj_t) BgL_tz00_1461));
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_arg1598z00_1465;

					{	/* Eval/evaluate_comp.scm 149 */
						obj_t BgL_pairz00_6539;

						BgL_pairz00_6539 = CDR(((obj_t) BgL_tz00_1461));
						BgL_arg1598z00_1465 = CDR(BgL_pairz00_6539);
					}
					BgL_arg1597z00_1464 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1598z00_1465);
				}
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_tmpz00_19140;

					BgL_tmpz00_19140 = ((obj_t) BgL_arg1595z00_1463);
					SET_CDR(BgL_tmpz00_19140, BgL_arg1597z00_1464);
				}
			}
			{	/* Eval/evaluate_comp.scm 150 */
				obj_t BgL_g1303z00_1466;

				{	/* Eval/evaluate_comp.scm 150 */
					obj_t BgL_pairz00_6544;

					BgL_pairz00_6544 = CDR(((obj_t) BgL_tz00_1461));
					BgL_g1303z00_1466 = CDR(BgL_pairz00_6544);
				}
				{
					obj_t BgL_l1301z00_6556;

					BgL_l1301z00_6556 = BgL_g1303z00_1466;
				BgL_zc3z04anonymousza31599ze3z87_6555:
					if (PAIRP(BgL_l1301z00_6556))
						{	/* Eval/evaluate_comp.scm 150 */
							BGl_recze71ze7zz__evaluate_compz00(CAR(BgL_l1301z00_6556));
							{
								obj_t BgL_l1301z00_19150;

								BgL_l1301z00_19150 = CDR(BgL_l1301z00_6556);
								BgL_l1301z00_6556 = BgL_l1301z00_19150;
								goto BgL_zc3z04anonymousza31599ze3z87_6555;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 150 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		{	/* Eval/evaluate_comp.scm 156 */
			{
				obj_t BgL_lz00_6582;
				long BgL_nz00_6583;

				BgL_lz00_6582 = BgL_lz00_7;
				BgL_nz00_6583 = 0L;
			BgL_walkz00_6581:
				if (NULLP(BgL_lz00_6582))
					{	/* Eval/evaluate_comp.scm 158 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 158 */
						if ((BgL_xz00_6 == CAR(((obj_t) BgL_lz00_6582))))
							{	/* Eval/evaluate_comp.scm 159 */
								return BINT(BgL_nz00_6583);
							}
						else
							{
								long BgL_nz00_19162;
								obj_t BgL_lz00_19159;

								BgL_lz00_19159 = CDR(((obj_t) BgL_lz00_6582));
								BgL_nz00_19162 = (BgL_nz00_6583 + 1L);
								BgL_nz00_6583 = BgL_nz00_19162;
								BgL_lz00_6582 = BgL_lz00_19159;
								goto BgL_walkz00_6581;
							}
					}
			}
		}

	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		{	/* Eval/evaluate_comp.scm 163 */
			{	/* Eval/evaluate_comp.scm 164 */
				obj_t BgL__ortest_1079z00_1486;

				BgL__ortest_1079z00_1486 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1079z00_1486))
					{	/* Eval/evaluate_comp.scm 164 */
						return BgL__ortest_1079z00_1486;
					}
				else
					{	/* Eval/evaluate_comp.scm 164 */
						obj_t BgL_arg1610z00_1487;

						{	/* Eval/evaluate_comp.scm 164 */
							obj_t BgL_arg1611z00_1488;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 164 */
									BgL_arg1611z00_1488 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_head1306z00_1494;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1621z00_1506;

										{	/* Eval/evaluate_comp.scm 164 */
											obj_t BgL_arg1622z00_1507;

											BgL_arg1622z00_1507 = CAR(((obj_t) BgL_lz00_9));
											{	/* Eval/evaluate_comp.scm 189 */
												bool_t BgL_test4884z00_19171;

												{	/* Eval/evaluate_comp.scm 189 */
													obj_t BgL_classz00_6600;

													BgL_classz00_6600 =
														BGl_ev_varz00zz__evaluate_typesz00;
													if (BGL_OBJECTP(BgL_arg1622z00_1507))
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_objectz00_bglt BgL_arg4341z00_6602;

															BgL_arg4341z00_6602 =
																(BgL_objectz00_bglt) (BgL_arg1622z00_1507);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Eval/evaluate_comp.scm 189 */
																	long BgL_idxz00_6608;

																	BgL_idxz00_6608 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg4341z00_6602);
																	BgL_test4884z00_19171 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_6608 + 2L)) ==
																		BgL_classz00_6600);
																}
															else
																{	/* Eval/evaluate_comp.scm 189 */
																	bool_t BgL_res4366z00_6630;

																	{	/* Eval/evaluate_comp.scm 189 */
																		obj_t BgL_oclassz00_6616;

																		{	/* Eval/evaluate_comp.scm 189 */
																			long BgL_arg4348z00_6622;

																			{	/* Eval/evaluate_comp.scm 189 */
																				long BgL_arg4349z00_6623;

																				BgL_arg4349z00_6623 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg4341z00_6602);
																				BgL_arg4348z00_6622 =
																					(BgL_arg4349z00_6623 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_6616 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg4348z00_6622);
																		}
																		{	/* Eval/evaluate_comp.scm 189 */
																			bool_t BgL__ortest_1296z00_6617;

																			BgL__ortest_1296z00_6617 =
																				(BgL_classz00_6600 ==
																				BgL_oclassz00_6616);
																			if (BgL__ortest_1296z00_6617)
																				{	/* Eval/evaluate_comp.scm 189 */
																					BgL_res4366z00_6630 =
																						BgL__ortest_1296z00_6617;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 189 */
																					long BgL_odepthz00_6618;

																					BgL_odepthz00_6618 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_6616);
																					if ((2L < BgL_odepthz00_6618))
																						{	/* Eval/evaluate_comp.scm 189 */
																							obj_t BgL_arg4338z00_6620;

																							BgL_arg4338z00_6620 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_6616, 2L);
																							BgL_res4366z00_6630 =
																								(BgL_arg4338z00_6620 ==
																								BgL_classz00_6600);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 189 */
																							BgL_res4366z00_6630 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test4884z00_19171 = BgL_res4366z00_6630;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_test4884z00_19171 = ((bool_t) 0);
														}
												}
												if (BgL_test4884z00_19171)
													{	/* Eval/evaluate_comp.scm 189 */
														BgL_arg1621z00_1506 =
															(((BgL_ev_varz00_bglt) COBJECT(
																	((BgL_ev_varz00_bglt) BgL_arg1622z00_1507)))->
															BgL_namez00);
													}
												else
													{	/* Eval/evaluate_comp.scm 189 */
														BgL_arg1621z00_1506 = BgL_arg1622z00_1507;
													}
											}
										}
										BgL_head1306z00_1494 =
											MAKE_YOUNG_PAIR(BgL_arg1621z00_1506, BNIL);
									}
									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_g1309z00_1495;

										BgL_g1309z00_1495 = CDR(((obj_t) BgL_lz00_9));
										{
											obj_t BgL_l1304z00_6682;
											obj_t BgL_tail1307z00_6683;

											BgL_l1304z00_6682 = BgL_g1309z00_1495;
											BgL_tail1307z00_6683 = BgL_head1306z00_1494;
										BgL_zc3z04anonymousza31616ze3z87_6681:
											if (NULLP(BgL_l1304z00_6682))
												{	/* Eval/evaluate_comp.scm 164 */
													BgL_arg1611z00_1488 = BgL_head1306z00_1494;
												}
											else
												{	/* Eval/evaluate_comp.scm 164 */
													obj_t BgL_newtail1308z00_6690;

													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1619z00_6691;

														BgL_arg1619z00_6691 =
															BGl_lnamez00zz__evaluate_compz00(CAR(
																((obj_t) BgL_l1304z00_6682)));
														BgL_newtail1308z00_6690 =
															MAKE_YOUNG_PAIR(BgL_arg1619z00_6691, BNIL);
													}
													SET_CDR(BgL_tail1307z00_6683,
														BgL_newtail1308z00_6690);
													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1618z00_6693;

														BgL_arg1618z00_6693 =
															CDR(((obj_t) BgL_l1304z00_6682));
														{
															obj_t BgL_tail1307z00_19206;
															obj_t BgL_l1304z00_19205;

															BgL_l1304z00_19205 = BgL_arg1618z00_6693;
															BgL_tail1307z00_19206 = BgL_newtail1308z00_6690;
															BgL_tail1307z00_6683 = BgL_tail1307z00_19206;
															BgL_l1304z00_6682 = BgL_l1304z00_19205;
															goto BgL_zc3z04anonymousza31616ze3z87_6681;
														}
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 164 */
								obj_t BgL_list1612z00_1489;

								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_arg1613z00_1490;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1614z00_1491;

										BgL_arg1614z00_1491 =
											MAKE_YOUNG_PAIR(BgL_arg1611z00_1488, BNIL);
										BgL_arg1613z00_1490 =
											MAKE_YOUNG_PAIR(BGl_string4613z00zz__evaluate_compz00,
											BgL_arg1614z00_1491);
									}
									BgL_list1612z00_1489 =
										MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1613z00_1490);
								}
								BgL_arg1610z00_1487 = BgL_list1612z00_1489;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string4614z00zz__evaluate_compz00,
							BGl_string4615z00zz__evaluate_compz00, BgL_arg1610z00_1487);
					}
			}
		}

	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		{	/* Eval/evaluate_comp.scm 188 */
			{	/* Eval/evaluate_comp.scm 189 */
				bool_t BgL_test4890z00_19211;

				{	/* Eval/evaluate_comp.scm 189 */
					obj_t BgL_classz00_6700;

					BgL_classz00_6700 = BGl_ev_varz00zz__evaluate_typesz00;
					if (BGL_OBJECTP(BgL_vz00_16))
						{	/* Eval/evaluate_comp.scm 189 */
							BgL_objectz00_bglt BgL_arg4341z00_6702;

							BgL_arg4341z00_6702 = (BgL_objectz00_bglt) (BgL_vz00_16);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Eval/evaluate_comp.scm 189 */
									long BgL_idxz00_6708;

									BgL_idxz00_6708 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg4341z00_6702);
									BgL_test4890z00_19211 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6708 + 2L)) == BgL_classz00_6700);
								}
							else
								{	/* Eval/evaluate_comp.scm 189 */
									bool_t BgL_res4369z00_6730;

									{	/* Eval/evaluate_comp.scm 189 */
										obj_t BgL_oclassz00_6716;

										{	/* Eval/evaluate_comp.scm 189 */
											long BgL_arg4348z00_6722;

											{	/* Eval/evaluate_comp.scm 189 */
												long BgL_arg4349z00_6723;

												BgL_arg4349z00_6723 =
													BGL_OBJECT_CLASS_NUM(BgL_arg4341z00_6702);
												BgL_arg4348z00_6722 =
													(BgL_arg4349z00_6723 - OBJECT_TYPE);
											}
											BgL_oclassz00_6716 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg4348z00_6722);
										}
										{	/* Eval/evaluate_comp.scm 189 */
											bool_t BgL__ortest_1296z00_6717;

											BgL__ortest_1296z00_6717 =
												(BgL_classz00_6700 == BgL_oclassz00_6716);
											if (BgL__ortest_1296z00_6717)
												{	/* Eval/evaluate_comp.scm 189 */
													BgL_res4369z00_6730 = BgL__ortest_1296z00_6717;
												}
											else
												{	/* Eval/evaluate_comp.scm 189 */
													long BgL_odepthz00_6718;

													BgL_odepthz00_6718 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6716);
													if ((2L < BgL_odepthz00_6718))
														{	/* Eval/evaluate_comp.scm 189 */
															obj_t BgL_arg4338z00_6720;

															BgL_arg4338z00_6720 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6716, 2L);
															BgL_res4369z00_6730 =
																(BgL_arg4338z00_6720 == BgL_classz00_6700);
														}
													else
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_res4369z00_6730 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4890z00_19211 = BgL_res4369z00_6730;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 189 */
							BgL_test4890z00_19211 = ((bool_t) 0);
						}
				}
				if (BgL_test4890z00_19211)
					{	/* Eval/evaluate_comp.scm 189 */
						return
							(((BgL_ev_varz00_bglt) COBJECT(
									((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
					}
				else
					{	/* Eval/evaluate_comp.scm 189 */
						return BgL_vz00_16;
					}
			}
		}

	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		{	/* Eval/evaluate_comp.scm 193 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 194 */
					obj_t BgL_cdrzd2194zd2_1533;

					BgL_cdrzd2194zd2_1533 = CDR(((obj_t) BgL_locz00_20));
					if (
						(CAR(
								((obj_t) BgL_locz00_20)) ==
							BGl_symbol4616z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 194 */
							if (PAIRP(BgL_cdrzd2194zd2_1533))
								{	/* Eval/evaluate_comp.scm 194 */
									obj_t BgL_cdrzd2198zd2_1537;

									BgL_cdrzd2198zd2_1537 = CDR(BgL_cdrzd2194zd2_1533);
									if (PAIRP(BgL_cdrzd2198zd2_1537))
										{	/* Eval/evaluate_comp.scm 194 */
											if (NULLP(CDR(BgL_cdrzd2198zd2_1537)))
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2194zd2_1533),
														CAR(BgL_cdrzd2198zd2_1537));
												}
											else
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 194 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 194 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 194 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 194 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}

	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 206 */
			{	/* Eval/evaluate_comp.scm 207 */
				obj_t BgL_stkz00_1555;

				BgL_stkz00_1555 =
					make_vector(8192L, BGl_string4618z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1555, 0L, BINT(2L));
				return BgL_stkz00_1555;
			}
		}

	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 211 */
			{	/* Eval/evaluate_comp.scm 212 */
				obj_t BgL_sz00_1556;

				{	/* Eval/evaluate_comp.scm 212 */
					obj_t BgL_tmpz00_19260;

					BgL_tmpz00_19260 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1556 = BGL_ENV_EVSTATE(BgL_tmpz00_19260);
				}
				if (VECTORP(BgL_sz00_1556))
					{	/* Eval/evaluate_comp.scm 213 */
						return BgL_sz00_1556;
					}
				else
					{	/* Eval/evaluate_comp.scm 214 */
						obj_t BgL_statez00_1558;

						BgL_statez00_1558 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 215 */
							obj_t BgL_tmpz00_19266;

							BgL_tmpz00_19266 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_tmpz00_19266, BgL_statez00_1558);
						}
						return BgL_statez00_1558;
					}
			}
		}

	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_13604)
	{
		{	/* Eval/evaluate_comp.scm 211 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}

	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		{	/* Eval/evaluate_comp.scm 273 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}

	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_13605,
		obj_t BgL_ez00_13606)
	{
		{	/* Eval/evaluate_comp.scm 273 */
			{	/* Eval/evaluate_comp.scm 274 */
				BgL_ev_exprz00_bglt BgL_auxz00_19271;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_13606,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 274 */
						BgL_auxz00_19271 = ((BgL_ev_exprz00_bglt) BgL_ez00_13606);
					}
				else
					{
						obj_t BgL_auxz00_19275;

						BgL_auxz00_19275 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4619z00zz__evaluate_compz00, BINT(7006L),
							BGl_string4620z00zz__evaluate_compz00,
							BGl_string4621z00zz__evaluate_compz00, BgL_ez00_13606);
						FAILURE(BgL_auxz00_19275, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_19271);
			}
		}

	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		{	/* Eval/evaluate_comp.scm 332 */
			{	/* Eval/evaluate_comp.scm 333 */
				bool_t BgL_test4902z00_19280;

				{	/* Eval/evaluate_comp.scm 333 */
					obj_t BgL_classz00_6742;

					BgL_classz00_6742 = BGl_ev_globalz00zz__evaluate_typesz00;
					{	/* Eval/evaluate_comp.scm 333 */
						BgL_objectz00_bglt BgL_arg4341z00_6744;

						{	/* Eval/evaluate_comp.scm 333 */
							obj_t BgL_tmpz00_19281;

							BgL_tmpz00_19281 = ((obj_t) BgL_ez00_43);
							BgL_arg4341z00_6744 = (BgL_objectz00_bglt) (BgL_tmpz00_19281);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Eval/evaluate_comp.scm 333 */
								long BgL_idxz00_6750;

								BgL_idxz00_6750 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg4341z00_6744);
								BgL_test4902z00_19280 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6750 + 2L)) == BgL_classz00_6742);
							}
						else
							{	/* Eval/evaluate_comp.scm 333 */
								bool_t BgL_res4370z00_6772;

								{	/* Eval/evaluate_comp.scm 333 */
									obj_t BgL_oclassz00_6758;

									{	/* Eval/evaluate_comp.scm 333 */
										long BgL_arg4348z00_6764;

										{	/* Eval/evaluate_comp.scm 333 */
											long BgL_arg4349z00_6765;

											BgL_arg4349z00_6765 =
												BGL_OBJECT_CLASS_NUM(BgL_arg4341z00_6744);
											BgL_arg4348z00_6764 = (BgL_arg4349z00_6765 - OBJECT_TYPE);
										}
										BgL_oclassz00_6758 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg4348z00_6764);
									}
									{	/* Eval/evaluate_comp.scm 333 */
										bool_t BgL__ortest_1296z00_6759;

										BgL__ortest_1296z00_6759 =
											(BgL_classz00_6742 == BgL_oclassz00_6758);
										if (BgL__ortest_1296z00_6759)
											{	/* Eval/evaluate_comp.scm 333 */
												BgL_res4370z00_6772 = BgL__ortest_1296z00_6759;
											}
										else
											{	/* Eval/evaluate_comp.scm 333 */
												long BgL_odepthz00_6760;

												BgL_odepthz00_6760 =
													BGL_CLASS_DEPTH(BgL_oclassz00_6758);
												if ((2L < BgL_odepthz00_6760))
													{	/* Eval/evaluate_comp.scm 333 */
														obj_t BgL_arg4338z00_6762;

														BgL_arg4338z00_6762 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6758, 2L);
														BgL_res4370z00_6772 =
															(BgL_arg4338z00_6762 == BgL_classz00_6742);
													}
												else
													{	/* Eval/evaluate_comp.scm 333 */
														BgL_res4370z00_6772 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test4902z00_19280 = BgL_res4370z00_6772;
							}
					}
				}
				if (BgL_test4902z00_19280)
					{	/* Eval/evaluate_comp.scm 335 */
						obj_t BgL_gz00_1614;

						{	/* Eval/evaluate_comp.scm 335 */
							obj_t BgL_arg1722z00_1615;
							obj_t BgL_arg1723z00_1616;

							BgL_arg1722z00_1615 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_modz00);
							BgL_arg1723z00_1616 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_namez00);
							BgL_gz00_1614 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg1722z00_1615, BgL_arg1723z00_1616);
						}
						if (CBOOL(BgL_gz00_1614))
							{	/* Eval/evaluate_comp.scm 336 */
								return VECTOR_REF(((obj_t) BgL_gz00_1614), 2L);
							}
						else
							{	/* Eval/evaluate_comp.scm 336 */
								return BFALSE;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 333 */
						return BFALSE;
					}
			}
		}

	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85,
		obj_t BgL_locz00_86)
	{
		{	/* Eval/evaluate_comp.scm 623 */
			{
				obj_t BgL_lz00_1636;
				obj_t BgL_bsz00_1637;
				long BgL_spz00_1638;

				BgL_lz00_1636 = BgL_argsz00_83;
				BgL_bsz00_1637 = BgL_boxesz00_84;
				BgL_spz00_1638 = BgL_spz00_85;
			BgL_zc3z04anonymousza31737ze3z87_1639:
				if (NULLP(BgL_lz00_1636))
					{	/* Eval/evaluate_comp.scm 625 */
						if (NULLP(BgL_bsz00_1637))
							{	/* Eval/evaluate_comp.scm 626 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 629 */
								obj_t BgL_arg1741z00_1642;

								{	/* Eval/evaluate_comp.scm 629 */
									long BgL_arg1742z00_1643;
									long BgL_arg1743z00_1644;

									BgL_arg1742z00_1643 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1743z00_1644 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 628 */
										obj_t BgL_list1744z00_1645;

										{	/* Eval/evaluate_comp.scm 628 */
											obj_t BgL_arg1745z00_1646;

											BgL_arg1745z00_1646 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1743z00_1644), BNIL);
											BgL_list1744z00_1645 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1742z00_1643),
												BgL_arg1745z00_1646);
										}
										BgL_arg1741z00_1642 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string4622z00zz__evaluate_compz00,
											BgL_list1744z00_1645);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4623z00zz__evaluate_compz00, BgL_arg1741z00_1642);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 625 */
						if (NULLP(BgL_bsz00_1637))
							{	/* Eval/evaluate_comp.scm 633 */
								obj_t BgL_arg1747z00_1648;

								{	/* Eval/evaluate_comp.scm 633 */
									long BgL_arg1748z00_1649;
									long BgL_arg1749z00_1650;

									BgL_arg1748z00_1649 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1749z00_1650 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 632 */
										obj_t BgL_list1750z00_1651;

										{	/* Eval/evaluate_comp.scm 632 */
											obj_t BgL_arg1751z00_1652;

											BgL_arg1751z00_1652 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1749z00_1650), BNIL);
											BgL_list1750z00_1651 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1748z00_1649),
												BgL_arg1751z00_1652);
										}
										BgL_arg1747z00_1648 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string4622z00zz__evaluate_compz00,
											BgL_list1750z00_1651);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4623z00zz__evaluate_compz00, BgL_arg1747z00_1648);
							}
						else
							{	/* Eval/evaluate_comp.scm 630 */
								{	/* Eval/evaluate_comp.scm 636 */
									obj_t BgL_arg1752z00_1653;

									{	/* Eval/evaluate_comp.scm 636 */
										obj_t BgL_vz00_1654;

										{	/* Eval/evaluate_comp.scm 636 */
											obj_t BgL_fun1754z00_1656;

											BgL_fun1754z00_1656 = CAR(((obj_t) BgL_lz00_1636));
											BgL_vz00_1654 =
												(VA_PROCEDUREP(BgL_fun1754z00_1656) ? ((obj_t(*)(obj_t,
															...))
													PROCEDURE_ENTRY(BgL_fun1754z00_1656))
												(BgL_fun1754z00_1656, BgL_sz00_82,
													BEOA) : ((obj_t(*)(obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_fun1754z00_1656))
												(BgL_fun1754z00_1656, BgL_sz00_82));
										}
										if (CBOOL(CAR(((obj_t) BgL_bsz00_1637))))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_6793;

												BgL_newz00_6793 =
													create_struct(BGl_symbol4624z00zz__evaluate_compz00,
													(int) (1L));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_19343;

													BgL_tmpz00_19343 = (int) (0L);
													STRUCT_SET(BgL_newz00_6793, BgL_tmpz00_19343,
														BgL_vz00_1654);
												}
												BgL_arg1752z00_1653 = BgL_newz00_6793;
											}
										else
											{	/* Eval/evaluate_comp.scm 637 */
												BgL_arg1752z00_1653 = BgL_vz00_1654;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_82), BgL_spz00_1638, BgL_arg1752z00_1653);
								}
								{	/* Eval/evaluate_comp.scm 640 */
									obj_t BgL_arg1755z00_1657;
									obj_t BgL_arg1756z00_1658;
									long BgL_arg1757z00_1659;

									BgL_arg1755z00_1657 = CDR(((obj_t) BgL_lz00_1636));
									BgL_arg1756z00_1658 = CDR(((obj_t) BgL_bsz00_1637));
									BgL_arg1757z00_1659 = (BgL_spz00_1638 + 1L);
									{
										long BgL_spz00_19355;
										obj_t BgL_bsz00_19354;
										obj_t BgL_lz00_19353;

										BgL_lz00_19353 = BgL_arg1755z00_1657;
										BgL_bsz00_19354 = BgL_arg1756z00_1658;
										BgL_spz00_19355 = BgL_arg1757z00_1659;
										BgL_spz00_1638 = BgL_spz00_19355;
										BgL_bsz00_1637 = BgL_bsz00_19354;
										BgL_lz00_1636 = BgL_lz00_19353;
										goto BgL_zc3z04anonymousza31737ze3z87_1639;
									}
								}
							}
					}
			}
		}

	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88,
		obj_t BgL_l2z00_89)
	{
		{	/* Eval/evaluate_comp.scm 645 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_88))
				{	/* Eval/evaluate_comp.scm 646 */
					return BgL_l2z00_89;
				}
			else
				{	/* Eval/evaluate_comp.scm 646 */
					if ((CAR(((obj_t) BgL_l1z00_88)) == CAR(((obj_t) BgL_l2z00_89))))
						{	/* Eval/evaluate_comp.scm 649 */
							obj_t BgL_arg1762z00_1665;
							obj_t BgL_arg1763z00_1666;

							BgL_arg1762z00_1665 = CDR(((obj_t) BgL_l1z00_88));
							BgL_arg1763z00_1666 = CDR(((obj_t) BgL_l2z00_89));
							{
								obj_t BgL_l2z00_19369;
								obj_t BgL_l1z00_19368;

								BgL_l1z00_19368 = BgL_arg1762z00_1665;
								BgL_l2z00_19369 = BgL_arg1763z00_1666;
								BgL_l2z00_89 = BgL_l2z00_19369;
								BgL_l1z00_88 = BgL_l1z00_19368;
								goto BGl_subzd2stkzd2zz__evaluate_compz00;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 647 */
							return
								BGl_errorz00zz__errorz00(BGl_string4614z00zz__evaluate_compz00,
								BGl_symbol4626z00zz__evaluate_compz00,
								BGl_symbol4628z00zz__evaluate_compz00);
						}
				}
		}

	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93,
		obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
	{
		{	/* Eval/evaluate_comp.scm 669 */
			{	/* Eval/evaluate_comp.scm 670 */
				obj_t BgL_savedzd2bpzd2_1677;

				BgL_savedzd2bpzd2_1677 = VECTOR_REF(((obj_t) BgL_sz00_94), 0L);
				VECTOR_SET(((obj_t) BgL_sz00_94), 0L, BgL_bpz00_95);
				{
					obj_t BgL_fz00_1679;

					BgL_fz00_1679 = BgL_fz00_93;
				BgL_zc3z04anonymousza31774ze3z87_1680:
					{	/* Eval/evaluate_comp.scm 673 */
						obj_t BgL_rz00_1681;

						BgL_rz00_1681 =
							(VA_PROCEDUREP(BgL_fz00_1679) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_fz00_1679)) (BgL_fz00_1679,
								BgL_sz00_94, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_fz00_1679)) (BgL_fz00_1679,
								BgL_sz00_94));
						{	/* Eval/evaluate_comp.scm 674 */
							bool_t BgL_test4913z00_19379;

							if (PROCEDUREP(BgL_rz00_1681))
								{	/* Eval/evaluate_comp.scm 674 */
									obj_t BgL_arg1778z00_1686;

									BgL_arg1778z00_1686 = PROCEDURE_ATTR(BgL_rz00_1681);
									if (STRUCTP(BgL_arg1778z00_1686))
										{	/* Eval/evaluate_comp.scm 654 */
											BgL_test4913z00_19379 =
												(STRUCT_KEY(BgL_arg1778z00_1686) ==
												BGl_symbol4610z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 654 */
											BgL_test4913z00_19379 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 674 */
									BgL_test4913z00_19379 = ((bool_t) 0);
								}
							if (BgL_test4913z00_19379)
								{
									obj_t BgL_fz00_19387;

									BgL_fz00_19387 = BgL_rz00_1681;
									BgL_fz00_1679 = BgL_fz00_19387;
									goto BgL_zc3z04anonymousza31774ze3z87_1680;
								}
							else
								{	/* Eval/evaluate_comp.scm 674 */
									VECTOR_SET(((obj_t) BgL_sz00_94), 0L, BgL_savedzd2bpzd2_1677);
									return BgL_rz00_1681;
								}
						}
					}
				}
			}
		}

	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117,
		obj_t BgL_stkz00_118)
	{
		{	/* Eval/evaluate_comp.scm 688 */
			if (NULLP(BgL_eza2za2_117))
				{	/* Eval/evaluate_comp.scm 690 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 692 */
					obj_t BgL_arg1794z00_1704;
					obj_t BgL_arg1795z00_1705;

					{	/* Eval/evaluate_comp.scm 692 */
						obj_t BgL_arg1796z00_1706;

						BgL_arg1796z00_1706 = CAR(((obj_t) BgL_eza2za2_117));
						BgL_arg1794z00_1704 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1796z00_1706), BgL_stkz00_118);
					}
					{	/* Eval/evaluate_comp.scm 693 */
						obj_t BgL_arg1797z00_1707;
						obj_t BgL_arg1798z00_1708;

						BgL_arg1797z00_1707 = CDR(((obj_t) BgL_eza2za2_117));
						{	/* Eval/evaluate_comp.scm 693 */
							obj_t BgL_arg1799z00_1709;

							BgL_arg1799z00_1709 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							BgL_arg1798z00_1708 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_118,
								BgL_arg1799z00_1709);
						}
						BgL_arg1795z00_1705 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1797z00_1707,
							BgL_arg1798z00_1708);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1794z00_1704, BgL_arg1795z00_1705);
				}
		}

	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_15566,
		obj_t BgL_lz00_1711, long BgL_iz00_1712)
	{
		{	/* Eval/evaluate_comp.scm 696 */
			if (NULLP(BgL_lz00_1711))
				{	/* Eval/evaluate_comp.scm 697 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 697 */
					if ((BgL_iz00_1712 == 0L))
						{	/* Eval/evaluate_comp.scm 698 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1711,
								BgL_stkz00_15566);
						}
					else
						{	/* Eval/evaluate_comp.scm 699 */
							obj_t BgL_arg1803z00_1716;
							obj_t BgL_arg1804z00_1717;

							{	/* Eval/evaluate_comp.scm 699 */
								obj_t BgL_arg1805z00_1718;

								BgL_arg1805z00_1718 = CAR(((obj_t) BgL_lz00_1711));
								BgL_arg1803z00_1716 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1805z00_1718),
									BgL_stkz00_15566);
							}
							{	/* Eval/evaluate_comp.scm 700 */
								obj_t BgL_arg1806z00_1719;
								long BgL_arg1807z00_1720;

								BgL_arg1806z00_1719 = CDR(((obj_t) BgL_lz00_1711));
								BgL_arg1807z00_1720 = (BgL_iz00_1712 - 1L);
								BgL_arg1804z00_1717 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15566,
									BgL_arg1806z00_1719, BgL_arg1807z00_1720);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1803z00_1716, BgL_arg1804z00_1717);
						}
				}
		}

	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122,
		obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125,
		obj_t BgL_siza7eza7_126)
	{
		{	/* Eval/evaluate_comp.scm 702 */
			{	/* Eval/evaluate_comp.scm 704 */
				obj_t BgL_argsz00_1722;

				if (NULLP(BgL_argsz00_124))
					{	/* Eval/evaluate_comp.scm 704 */
						BgL_argsz00_1722 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 704 */
						obj_t BgL_head1355z00_1727;

						BgL_head1355z00_1727 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1353z00_6866;
							obj_t BgL_tail1356z00_6867;

							BgL_l1353z00_6866 = BgL_argsz00_124;
							BgL_tail1356z00_6867 = BgL_head1355z00_1727;
						BgL_zc3z04anonymousza31810ze3z87_6865:
							if (NULLP(BgL_l1353z00_6866))
								{	/* Eval/evaluate_comp.scm 704 */
									BgL_argsz00_1722 = CDR(BgL_head1355z00_1727);
								}
							else
								{	/* Eval/evaluate_comp.scm 704 */
									obj_t BgL_newtail1357z00_6874;

									{	/* Eval/evaluate_comp.scm 704 */
										obj_t BgL_arg1814z00_6875;

										{	/* Eval/evaluate_comp.scm 704 */
											obj_t BgL_az00_6876;

											BgL_az00_6876 = CAR(((obj_t) BgL_l1353z00_6866));
											BgL_arg1814z00_6875 =
												(VA_PROCEDUREP(BgL_az00_6876) ? ((obj_t(*)(obj_t,
															...))
													PROCEDURE_ENTRY(BgL_az00_6876)) (BgL_az00_6876,
													BgL_sz00_122, BEOA) : ((obj_t(*)(obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_az00_6876)) (BgL_az00_6876,
													BgL_sz00_122));
										}
										BgL_newtail1357z00_6874 =
											MAKE_YOUNG_PAIR(BgL_arg1814z00_6875, BNIL);
									}
									SET_CDR(BgL_tail1356z00_6867, BgL_newtail1357z00_6874);
									{	/* Eval/evaluate_comp.scm 704 */
										obj_t BgL_arg1812z00_6877;

										BgL_arg1812z00_6877 = CDR(((obj_t) BgL_l1353z00_6866));
										{
											obj_t BgL_tail1356z00_19433;
											obj_t BgL_l1353z00_19432;

											BgL_l1353z00_19432 = BgL_arg1812z00_6877;
											BgL_tail1356z00_19433 = BgL_newtail1357z00_6874;
											BgL_tail1356z00_6867 = BgL_tail1356z00_19433;
											BgL_l1353z00_6866 = BgL_l1353z00_19432;
											goto BgL_zc3z04anonymousza31810ze3z87_6865;
										}
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 705 */
					long BgL_arg1808z00_1723;

					BgL_arg1808z00_1723 =
						((long) CINT(BgL_bpz00_125) + (long) CINT(BgL_siza7eza7_126));
					VECTOR_SET(((obj_t) BgL_sz00_122), 0L, BINT(BgL_arg1808z00_1723));
				}
				{	/* Eval/evaluate_comp.scm 706 */
					obj_t BgL_za2za2resza2za2z00_1724;

					BgL_za2za2resza2za2z00_1724 = apply(BgL_fz00_123, BgL_argsz00_1722);
					VECTOR_SET(((obj_t) BgL_sz00_122), 0L, BgL_bpz00_125);
					return BgL_za2za2resza2za2z00_1724;
				}
			}
		}

	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132,
		obj_t BgL_spz00_133)
	{
		{	/* Eval/evaluate_comp.scm 715 */
			{	/* Eval/evaluate_comp.scm 716 */
				long BgL_g1157z00_1748;

				BgL_g1157z00_1748 = (-1L - (long) CINT(BgL_arityz00_130));
				{
					obj_t BgL_lz00_1750;
					obj_t BgL_spz00_1751;
					long BgL_nz00_1752;

					BgL_lz00_1750 = BgL_argsz00_132;
					BgL_spz00_1751 = BgL_spz00_133;
					BgL_nz00_1752 = BgL_g1157z00_1748;
				BgL_zc3z04anonymousza31822ze3z87_1753:
					if ((BgL_nz00_1752 == 0L))
						{
							obj_t BgL_lz00_6955;
							obj_t BgL_rz00_6956;

							BgL_lz00_6955 = BgL_lz00_1750;
							BgL_rz00_6956 = BNIL;
						BgL_rec2z00_6954:
							if (NULLP(BgL_lz00_6955))
								{	/* Eval/evaluate_comp.scm 720 */
									obj_t BgL_arg1826z00_6964;

									BgL_arg1826z00_6964 = bgl_reverse_bang(BgL_rz00_6956);
									{	/* Eval/evaluate_comp.scm 720 */
										long BgL_kz00_6970;

										BgL_kz00_6970 = (long) CINT(BgL_spz00_1751);
										return
											VECTOR_SET(
											((obj_t) BgL_sz00_131), BgL_kz00_6970,
											BgL_arg1826z00_6964);
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 721 */
									obj_t BgL_arg1827z00_6965;
									obj_t BgL_arg1828z00_6966;

									BgL_arg1827z00_6965 = CDR(((obj_t) BgL_lz00_6955));
									{	/* Eval/evaluate_comp.scm 721 */
										obj_t BgL_arg1829z00_6967;

										{	/* Eval/evaluate_comp.scm 721 */
											obj_t BgL_fun1830z00_6968;

											BgL_fun1830z00_6968 = CAR(((obj_t) BgL_lz00_6955));
											BgL_arg1829z00_6967 =
												(VA_PROCEDUREP(BgL_fun1830z00_6968) ? ((obj_t(*)(obj_t,
															...))
													PROCEDURE_ENTRY(BgL_fun1830z00_6968))
												(BgL_fun1830z00_6968, BgL_sz00_131,
													BEOA) : ((obj_t(*)(obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_fun1830z00_6968))
												(BgL_fun1830z00_6968, BgL_sz00_131));
										}
										BgL_arg1828z00_6966 =
											MAKE_YOUNG_PAIR(BgL_arg1829z00_6967, BgL_rz00_6956);
									}
									{
										obj_t BgL_rz00_19464;
										obj_t BgL_lz00_19463;

										BgL_lz00_19463 = BgL_arg1827z00_6965;
										BgL_rz00_19464 = BgL_arg1828z00_6966;
										BgL_rz00_6956 = BgL_rz00_19464;
										BgL_lz00_6955 = BgL_lz00_19463;
										goto BgL_rec2z00_6954;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 717 */
							{	/* Eval/evaluate_comp.scm 722 */
								obj_t BgL_arg1831z00_1767;

								{	/* Eval/evaluate_comp.scm 722 */
									obj_t BgL_fun1832z00_1768;

									BgL_fun1832z00_1768 = CAR(((obj_t) BgL_lz00_1750));
									BgL_arg1831z00_1767 =
										(VA_PROCEDUREP(BgL_fun1832z00_1768) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_fun1832z00_1768))
										(BgL_fun1832z00_1768, BgL_sz00_131,
											BEOA) : ((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun1832z00_1768))
										(BgL_fun1832z00_1768, BgL_sz00_131));
								}
								{	/* Eval/evaluate_comp.scm 722 */
									long BgL_kz00_6975;

									BgL_kz00_6975 = (long) CINT(BgL_spz00_1751);
									VECTOR_SET(
										((obj_t) BgL_sz00_131), BgL_kz00_6975, BgL_arg1831z00_1767);
							}}
							{	/* Eval/evaluate_comp.scm 723 */
								obj_t BgL_arg1833z00_1769;
								long BgL_arg1834z00_1770;
								long BgL_arg1835z00_1771;

								BgL_arg1833z00_1769 = CDR(((obj_t) BgL_lz00_1750));
								BgL_arg1834z00_1770 = ((long) CINT(BgL_spz00_1751) + 1L);
								BgL_arg1835z00_1771 = (BgL_nz00_1752 - 1L);
								{
									long BgL_nz00_19482;
									obj_t BgL_spz00_19480;
									obj_t BgL_lz00_19479;

									BgL_lz00_19479 = BgL_arg1833z00_1769;
									BgL_spz00_19480 = BINT(BgL_arg1834z00_1770);
									BgL_nz00_19482 = BgL_arg1835z00_1771;
									BgL_nz00_1752 = BgL_nz00_19482;
									BgL_spz00_1751 = BgL_spz00_19480;
									BgL_lz00_1750 = BgL_lz00_19479;
									goto BgL_zc3z04anonymousza31822ze3z87_1753;
								}
							}
						}
				}
			}
		}

	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134,
		obj_t BgL_stkz00_135)
	{
		{	/* Eval/evaluate_comp.scm 766 */
			{
				obj_t BgL_lz00_1774;
				obj_t BgL_stkz00_1775;

				BgL_lz00_1774 = BgL_argsz00_134;
				BgL_stkz00_1775 = BgL_stkz00_135;
			BgL_zc3z04anonymousza31836ze3z87_1776:
				{	/* Eval/evaluate_comp.scm 770 */
					bool_t BgL_test4923z00_19483;

					if (NULLP(BgL_lz00_1774))
						{	/* Eval/evaluate_comp.scm 770 */
							BgL_test4923z00_19483 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 770 */
							BgL_test4923z00_19483 = NULLP(BgL_stkz00_1775);
						}
					if (BgL_test4923z00_19483)
						{	/* Eval/evaluate_comp.scm 770 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 772 */
							bool_t BgL_test4925z00_19487;

							{	/* Eval/evaluate_comp.scm 772 */
								obj_t BgL_g1360z00_1793;

								BgL_g1360z00_1793 = CDR(((obj_t) BgL_lz00_1774));
								{
									obj_t BgL_l1358z00_1795;

									{	/* Eval/evaluate_comp.scm 772 */
										obj_t BgL_tmpz00_19490;

										BgL_l1358z00_1795 = BgL_g1360z00_1793;
									BgL_zc3z04anonymousza31847ze3z87_1796:
										if (NULLP(BgL_l1358z00_1795))
											{	/* Eval/evaluate_comp.scm 772 */
												BgL_tmpz00_19490 = BFALSE;
											}
										else
											{	/* Eval/evaluate_comp.scm 772 */
												obj_t BgL__ortest_1361z00_1798;

												{	/* Eval/evaluate_comp.scm 772 */
													obj_t BgL_ez00_1800;

													BgL_ez00_1800 = CAR(((obj_t) BgL_l1358z00_1795));
													{	/* Eval/evaluate_comp.scm 772 */
														obj_t BgL_arg1850z00_1801;
														obj_t BgL_arg1851z00_1802;

														BgL_arg1850z00_1801 =
															CAR(((obj_t) BgL_stkz00_1775));
														BgL_arg1851z00_1802 =
															BGl_usez00zz__evaluate_usez00(
															((BgL_ev_exprz00_bglt) BgL_ez00_1800), BNIL);
														BgL__ortest_1361z00_1798 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1850z00_1801, BgL_arg1851z00_1802);
													}
												}
												if (CBOOL(BgL__ortest_1361z00_1798))
													{	/* Eval/evaluate_comp.scm 772 */
														BgL_tmpz00_19490 = BgL__ortest_1361z00_1798;
													}
												else
													{	/* Eval/evaluate_comp.scm 772 */
														obj_t BgL_arg1848z00_1799;

														BgL_arg1848z00_1799 =
															CDR(((obj_t) BgL_l1358z00_1795));
														{
															obj_t BgL_l1358z00_19504;

															BgL_l1358z00_19504 = BgL_arg1848z00_1799;
															BgL_l1358z00_1795 = BgL_l1358z00_19504;
															goto BgL_zc3z04anonymousza31847ze3z87_1796;
														}
													}
											}
										BgL_test4925z00_19487 = CBOOL(BgL_tmpz00_19490);
									}
								}
							}
							if (BgL_test4925z00_19487)
								{	/* Eval/evaluate_comp.scm 772 */
									return ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 774 */
									obj_t BgL_arg1845z00_1791;
									obj_t BgL_arg1846z00_1792;

									BgL_arg1845z00_1791 = CDR(((obj_t) BgL_lz00_1774));
									BgL_arg1846z00_1792 = CDR(((obj_t) BgL_stkz00_1775));
									{
										obj_t BgL_stkz00_19511;
										obj_t BgL_lz00_19510;

										BgL_lz00_19510 = BgL_arg1845z00_1791;
										BgL_stkz00_19511 = BgL_arg1846z00_1792;
										BgL_stkz00_1775 = BgL_stkz00_19511;
										BgL_lz00_1774 = BgL_lz00_19510;
										goto BgL_zc3z04anonymousza31836ze3z87_1776;
									}
								}
						}
				}
			}
		}

	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_136, obj_t BgL_stkz00_137)
	{
		{	/* Eval/evaluate_comp.scm 776 */
			{	/* Eval/evaluate_comp.scm 778 */
				long BgL_siza7eza7_1807;
				long BgL_nbargsz00_1808;
				obj_t BgL_fz00_1809;
				obj_t BgL_symbzd2funzd2_1810;

				BgL_siza7eza7_1807 = bgl_list_length(BgL_stkz00_137);
				BgL_nbargsz00_1808 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00));
				BgL_fz00_1809 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_funz00),
					BgL_stkz00_137);
				BgL_symbzd2funzd2_1810 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							COBJECT(BgL_ez00_136))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
							BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 780 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
								BgL_stkz00_137))
							{	/* Eval/evaluate_comp.scm 787 */
								bool_t BgL_test4930z00_19525;

								{	/* Eval/evaluate_comp.scm 787 */
									int BgL_a1364z00_1889;

									BgL_a1364z00_1889 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 787 */

										BgL_test4930z00_19525 = ((long) (BgL_a1364z00_1889) > 0L);
								}}
								if (BgL_test4930z00_19525)
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_argsz00_1818;

										BgL_argsz00_1818 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 787 */
											obj_t BgL_zc3z04anonymousza31857ze3z87_13607;

											BgL_zc3z04anonymousza31857ze3z87_13607 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31857ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (6L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13607,
												(int) (0L), BgL_fz00_1809);
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13607,
												(int) (1L), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13607,
												(int) (2L), BgL_symbzd2funzd2_1810);
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13607,
												(int) (3L), BINT(BgL_nbargsz00_1808));
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13607,
												(int) (4L), BgL_argsz00_1818);
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13607,
												(int) (5L), BINT(BgL_siza7eza7_1807));
											return BgL_zc3z04anonymousza31857ze3z87_13607;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_argsz00_1855;

										BgL_argsz00_1855 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 787 */
											obj_t BgL_zc3z04anonymousza31885ze3z87_13608;

											BgL_zc3z04anonymousza31885ze3z87_13608 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (6L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31885ze3z87_13608,
												(int) (0L), BgL_fz00_1809);
											PROCEDURE_SET(BgL_zc3z04anonymousza31885ze3z87_13608,
												(int) (1L), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31885ze3z87_13608,
												(int) (2L), BgL_symbzd2funzd2_1810);
											PROCEDURE_SET(BgL_zc3z04anonymousza31885ze3z87_13608,
												(int) (3L), BINT(BgL_nbargsz00_1808));
											PROCEDURE_SET(BgL_zc3z04anonymousza31885ze3z87_13608,
												(int) (4L), BgL_argsz00_1855);
											PROCEDURE_SET(BgL_zc3z04anonymousza31885ze3z87_13608,
												(int) (5L), BINT(BgL_siza7eza7_1807));
											return BgL_zc3z04anonymousza31885ze3z87_13608;
										}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 795 */
								bool_t BgL_test4931z00_19569;

								{	/* Eval/evaluate_comp.scm 795 */
									int BgL_a1366z00_1961;

									BgL_a1366z00_1961 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 795 */

										BgL_test4931z00_19569 = ((long) (BgL_a1366z00_1961) > 0L);
								}}
								if (BgL_test4931z00_19569)
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_argsz00_1896;

										BgL_argsz00_1896 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1807);
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_zc3z04anonymousza31914ze3z87_13609;

											BgL_zc3z04anonymousza31914ze3z87_13609 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31914ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (5L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31914ze3z87_13609,
												(int) (0L), BgL_fz00_1809);
											PROCEDURE_SET(BgL_zc3z04anonymousza31914ze3z87_13609,
												(int) (1L), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31914ze3z87_13609,
												(int) (2L), BgL_symbzd2funzd2_1810);
											PROCEDURE_SET(BgL_zc3z04anonymousza31914ze3z87_13609,
												(int) (3L), BINT(BgL_nbargsz00_1808));
											PROCEDURE_SET(BgL_zc3z04anonymousza31914ze3z87_13609,
												(int) (4L), BgL_argsz00_1896);
											return BgL_zc3z04anonymousza31914ze3z87_13609;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_argsz00_1930;

										BgL_argsz00_1930 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1807);
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_zc3z04anonymousza31934ze3z87_13610;

											BgL_zc3z04anonymousza31934ze3z87_13610 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31934ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (5L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31934ze3z87_13610,
												(int) (0L), BgL_fz00_1809);
											PROCEDURE_SET(BgL_zc3z04anonymousza31934ze3z87_13610,
												(int) (1L), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31934ze3z87_13610,
												(int) (2L), BgL_symbzd2funzd2_1810);
											PROCEDURE_SET(BgL_zc3z04anonymousza31934ze3z87_13610,
												(int) (3L), BINT(BgL_nbargsz00_1808));
											PROCEDURE_SET(BgL_zc3z04anonymousza31934ze3z87_13610,
												(int) (4L), BgL_argsz00_1930);
											return BgL_zc3z04anonymousza31934ze3z87_13610;
										}
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 781 */
						bool_t BgL_test4932z00_19607;

						{	/* Eval/evaluate_comp.scm 781 */
							int BgL_a1362z00_2034;

							BgL_a1362z00_2034 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 781 */

								BgL_test4932z00_19607 = ((long) (BgL_a1362z00_2034) > 0L);
						}}
						if (BgL_test4932z00_19607)
							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_argsz00_1969;

								BgL_argsz00_1969 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 781 */
									obj_t BgL_zc3z04anonymousza31953ze3z87_13611;

									BgL_zc3z04anonymousza31953ze3z87_13611 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31953ze3ze5zz__evaluate_compz00,
										(int) (1L), (int) (6L));
									PROCEDURE_SET(BgL_zc3z04anonymousza31953ze3z87_13611,
										(int) (0L), BgL_fz00_1809);
									PROCEDURE_SET(BgL_zc3z04anonymousza31953ze3z87_13611,
										(int) (1L), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3z04anonymousza31953ze3z87_13611,
										(int) (2L), BgL_symbzd2funzd2_1810);
									PROCEDURE_SET(BgL_zc3z04anonymousza31953ze3z87_13611,
										(int) (3L), BINT(BgL_nbargsz00_1808));
									PROCEDURE_SET(BgL_zc3z04anonymousza31953ze3z87_13611,
										(int) (4L), BgL_argsz00_1969);
									PROCEDURE_SET(BgL_zc3z04anonymousza31953ze3z87_13611,
										(int) (5L), BINT(BgL_siza7eza7_1807));
									return BgL_zc3z04anonymousza31953ze3z87_13611;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_argsz00_2003;

								BgL_argsz00_2003 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 781 */
									obj_t BgL_zc3z04anonymousza31972ze3z87_13612;

									BgL_zc3z04anonymousza31972ze3z87_13612 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31972ze3ze5zz__evaluate_compz00,
										(int) (1L), (int) (6L));
									PROCEDURE_SET(BgL_zc3z04anonymousza31972ze3z87_13612,
										(int) (0L), BgL_fz00_1809);
									PROCEDURE_SET(BgL_zc3z04anonymousza31972ze3z87_13612,
										(int) (1L), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3z04anonymousza31972ze3z87_13612,
										(int) (2L), BgL_symbzd2funzd2_1810);
									PROCEDURE_SET(BgL_zc3z04anonymousza31972ze3z87_13612,
										(int) (3L), BINT(BgL_nbargsz00_1808));
									PROCEDURE_SET(BgL_zc3z04anonymousza31972ze3z87_13612,
										(int) (4L), BgL_argsz00_2003);
									PROCEDURE_SET(BgL_zc3z04anonymousza31972ze3z87_13612,
										(int) (5L), BINT(BgL_siza7eza7_1807));
									return BgL_zc3z04anonymousza31972ze3z87_13612;
								}
							}
					}
			}
		}

	}



/* &<@anonymous:1857> */
	obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13613, obj_t BgL_sz00_13620)
	{
		{	/* Eval/evaluate_comp.scm 787 */
			{	/* Eval/evaluate_comp.scm 787 */
				obj_t BgL_fz00_13614;
				BgL_ev_appz00_bglt BgL_i1165z00_13615;
				obj_t BgL_symbzd2funzd2_13616;
				long BgL_nbargsz00_13617;
				obj_t BgL_argsz00_13618;
				long BgL_siza7eza7_13619;

				BgL_fz00_13614 = PROCEDURE_REF(BgL_envz00_13613, (int) (0L));
				BgL_i1165z00_13615 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13613, (int) (1L)));
				BgL_symbzd2funzd2_13616 = PROCEDURE_REF(BgL_envz00_13613, (int) (2L));
				BgL_nbargsz00_13617 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13613, (int) (3L)));
				BgL_argsz00_13618 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13613, (int) (4L)));
				BgL_siza7eza7_13619 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13613, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 787 */
					obj_t BgL_bpz00_15587;

					BgL_bpz00_15587 = VECTOR_REF(((obj_t) BgL_sz00_13620), 0L);
					{	/* Eval/evaluate_comp.scm 787 */
						obj_t BgL_fz00_15588;

						BgL_fz00_15588 =
							(VA_PROCEDUREP(BgL_fz00_13614) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_fz00_13614)) (BgL_fz00_13614,
								BgL_sz00_13620, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_fz00_13614)) (BgL_fz00_13614,
								BgL_sz00_13620));
						if (PROCEDUREP(BgL_fz00_15588))
							{	/* Eval/evaluate_comp.scm 787 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 787 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13615))->
										BgL_locz00), BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15588);
							}
						{	/* Eval/evaluate_comp.scm 787 */
							obj_t BgL_ufz00_15589;

							{	/* Eval/evaluate_comp.scm 787 */
								obj_t BgL_tmpz00_19677;

								BgL_tmpz00_19677 = ((obj_t) BgL_fz00_15588);
								BgL_ufz00_15589 = PROCEDURE_ATTR(BgL_tmpz00_19677);
							}
							{	/* Eval/evaluate_comp.scm 787 */
								bool_t BgL_test4934z00_19680;

								if (STRUCTP(BgL_ufz00_15589))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4934z00_19680 =
											(STRUCT_KEY(BgL_ufz00_15589) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4934z00_19680 = ((bool_t) 0);
									}
								if (BgL_test4934z00_19680)
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_arityz00_15590;
										obj_t BgL_runz00_15591;
										obj_t BgL_sfz00_15592;

										BgL_arityz00_15590 =
											STRUCT_REF(BgL_ufz00_15589, (int) (0L));
										BgL_runz00_15591 = STRUCT_REF(BgL_ufz00_15589, (int) (1L));
										BgL_sfz00_15592 = STRUCT_REF(BgL_ufz00_15589, (int) (2L));
										{	/* Eval/evaluate_comp.scm 787 */
											long BgL_spz00_15593;

											BgL_spz00_15593 =
												((long) CINT(BgL_bpz00_15587) + BgL_siza7eza7_13619);
											if (
												((long) CINT(BgL_arityz00_15590) ==
													BgL_nbargsz00_13617))
												{	/* Eval/evaluate_comp.scm 787 */
													{
														obj_t BgL_lz00_15595;
														long BgL_spz00_15596;

														BgL_lz00_15595 = BgL_argsz00_13618;
														BgL_spz00_15596 = BgL_spz00_15593;
													BgL_recz00_15594:
														if (NULLP(BgL_lz00_15595))
															{	/* Eval/evaluate_comp.scm 711 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1817z00_15597;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1819z00_15598;

																		BgL_fun1819z00_15598 =
																			CAR(((obj_t) BgL_lz00_15595));
																		BgL_arg1817z00_15597 =
																			(VA_PROCEDUREP(BgL_fun1819z00_15598)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fun1819z00_15598))
																			(BgL_fun1819z00_15598, BgL_sz00_13620,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fun1819z00_15598))
																			(BgL_fun1819z00_15598, BgL_sz00_13620));
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13620), BgL_spz00_15596,
																		BgL_arg1817z00_15597);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1820z00_15599;
																	long BgL_arg1821z00_15600;

																	BgL_arg1820z00_15599 =
																		CDR(((obj_t) BgL_lz00_15595));
																	BgL_arg1821z00_15600 = (BgL_spz00_15596 + 1L);
																	{
																		long BgL_spz00_19710;
																		obj_t BgL_lz00_19709;

																		BgL_lz00_19709 = BgL_arg1820z00_15599;
																		BgL_spz00_19710 = BgL_arg1821z00_15600;
																		BgL_spz00_15596 = BgL_spz00_19710;
																		BgL_lz00_15595 = BgL_lz00_19709;
																		goto BgL_recz00_15594;
																	}
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 791 */
														long BgL_arg1864z00_15601;

														BgL_arg1864z00_15601 =
															(BgL_spz00_15593 + BgL_nbargsz00_13617);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13620, (long) CINT(BgL_bpz00_15587),
															BgL_sz00_13620, BINT(BgL_spz00_15593),
															BINT(BgL_arg1864z00_15601));
												}}
											else
												{	/* Eval/evaluate_comp.scm 787 */
													bool_t BgL_test4938z00_19716;

													if (((long) CINT(BgL_arityz00_15590) >= 0L))
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test4938z00_19716 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test4938z00_19716 =
																(
																(long) CINT(BgL_arityz00_15590) <
																(-1L - BgL_nbargsz00_13617));
														}
													if (BgL_test4938z00_19716)
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13615))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15589, (int) (3L)),
																(int) (BgL_nbargsz00_13617),
																CINT(BgL_arityz00_15590));
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15590, BgL_sz00_13620,
																BgL_argsz00_13618, BINT(BgL_spz00_15593));
															{	/* Eval/evaluate_comp.scm 793 */
																long BgL_arg1872z00_15602;

																BgL_arg1872z00_15602 =
																	(BgL_spz00_15593 +
																	(0L - (long) CINT(BgL_arityz00_15590)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13620, (long) CINT(BgL_bpz00_15587),
																	BgL_sz00_13620, BINT(BgL_spz00_15593),
																	BINT(BgL_arg1872z00_15602));
												}}}
											{	/* Eval/evaluate_comp.scm 787 */
												obj_t BgL_z12denvz12_15603;

												BgL_z12denvz12_15603 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 787 */
													obj_t BgL_tmpz00_19739;

													BgL_tmpz00_19739 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13615))->BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15603,
														BgL_tmpz00_19739);
												}
												if (
													(((long) CINT(BgL_bpz00_15587) +
															(long) CINT(BgL_sfz00_15592)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13620))))
													{	/* Eval/evaluate_comp.scm 787 */
														return BgL_runz00_15591;
													}
												else
													{	/* Eval/evaluate_comp.scm 787 */
														obj_t BgL_nsz00_15604;

														BgL_nsz00_15604 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 787 */
															long BgL_arg1879z00_15605;

															BgL_arg1879z00_15605 =
																(
																(long) CINT(BgL_bpz00_15587) +
																BgL_nbargsz00_13617);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15604, 2L, BgL_sz00_13620,
																BgL_bpz00_15587, BINT(BgL_arg1879z00_15605));
														}
														VECTOR_SET(BgL_nsz00_15604, 1L, BgL_sz00_13620);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15603,
															BgL_nsz00_15604);
														{	/* Eval/evaluate_comp.scm 787 */
															obj_t BgL_ez00_15606;

															BgL_ez00_15606 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_arg4358z00_15607;

																{	/* Eval/evaluate_comp.scm 787 */
																	obj_t BgL_arg4359z00_15608;

																	BgL_arg4359z00_15608 =
																		BGL_EXITD_PROTECT(BgL_ez00_15606);
																	BgL_arg4358z00_15607 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13620,
																		BgL_arg4359z00_15608);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15606,
																	BgL_arg4358z00_15607);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_____rz00_15609;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15610;

																	BgL_savedzd2bpzd2_15610 =
																		VECTOR_REF(BgL_nsz00_15604, 0L);
																	VECTOR_SET(BgL_nsz00_15604, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_15612;

																		BgL_fz00_15612 = BgL_runz00_15591;
																	BgL_recz00_15611:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15613;

																			BgL_rz00_15613 =
																				(VA_PROCEDUREP(BgL_fz00_15612)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_15612))
																				(BgL_fz00_15612, BgL_nsz00_15604,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_15612))
																				(BgL_fz00_15612, BgL_nsz00_15604));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test4941z00_19767;

																				if (PROCEDUREP(BgL_rz00_15613))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_15614;

																						BgL_arg1778z00_15614 =
																							PROCEDURE_ATTR(BgL_rz00_15613);
																						if (STRUCTP(BgL_arg1778z00_15614))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4941z00_19767 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_15614) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4941z00_19767 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test4941z00_19767 =
																							((bool_t) 0);
																					}
																				if (BgL_test4941z00_19767)
																					{
																						obj_t BgL_fz00_19775;

																						BgL_fz00_19775 = BgL_rz00_15613;
																						BgL_fz00_15612 = BgL_fz00_19775;
																						goto BgL_recz00_15611;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15604, 0L,
																							BgL_savedzd2bpzd2_15610);
																						BgL_____rz00_15609 = BgL_rz00_15613;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 787 */
																	bool_t BgL_test4944z00_19777;

																	{	/* Eval/evaluate_comp.scm 787 */
																		obj_t BgL_arg4357z00_15615;

																		BgL_arg4357z00_15615 =
																			BGL_EXITD_PROTECT(BgL_ez00_15606);
																		BgL_test4944z00_19777 =
																			PAIRP(BgL_arg4357z00_15615);
																	}
																	if (BgL_test4944z00_19777)
																		{	/* Eval/evaluate_comp.scm 787 */
																			obj_t BgL_arg4355z00_15616;

																			{	/* Eval/evaluate_comp.scm 787 */
																				obj_t BgL_arg4356z00_15617;

																				BgL_arg4356z00_15617 =
																					BGL_EXITD_PROTECT(BgL_ez00_15606);
																				BgL_arg4355z00_15616 =
																					CDR(((obj_t) BgL_arg4356z00_15617));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15606,
																				BgL_arg4355z00_15616);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 787 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15603,
																	BgL_sz00_13620);
																return BgL_____rz00_15609;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 787 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15588,
												(int) (BgL_nbargsz00_13617)))
											{	/* Eval/evaluate_comp.scm 787 */
												{	/* Eval/evaluate_comp.scm 787 */
													obj_t BgL_auxz00_19790;
													obj_t BgL_tmpz00_19788;

													BgL_auxz00_19790 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13615))->BgL_locz00);
													BgL_tmpz00_19788 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19788,
														BgL_auxz00_19790);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13620, BgL_fz00_15588, BgL_argsz00_13618,
													BgL_bpz00_15587, BINT(BgL_siza7eza7_13619));
											}
										else
											{	/* Eval/evaluate_comp.scm 787 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13615))->
														BgL_locz00), BgL_symbzd2funzd2_13616,
													(int) (BgL_nbargsz00_13617),
													PROCEDURE_ARITY(BgL_fz00_15588));
		}}}}}}}}

	}



/* &<@anonymous:1885> */
	obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13621, obj_t BgL_sz00_13628)
	{
		{	/* Eval/evaluate_comp.scm 787 */
			{	/* Eval/evaluate_comp.scm 787 */
				obj_t BgL_fz00_13622;
				BgL_ev_appz00_bglt BgL_i1165z00_13623;
				obj_t BgL_symbzd2funzd2_13624;
				long BgL_nbargsz00_13625;
				obj_t BgL_argsz00_13626;
				long BgL_siza7eza7_13627;

				BgL_fz00_13622 = PROCEDURE_REF(BgL_envz00_13621, (int) (0L));
				BgL_i1165z00_13623 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13621, (int) (1L)));
				BgL_symbzd2funzd2_13624 = PROCEDURE_REF(BgL_envz00_13621, (int) (2L));
				BgL_nbargsz00_13625 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13621, (int) (3L)));
				BgL_argsz00_13626 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13621, (int) (4L)));
				BgL_siza7eza7_13627 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13621, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 787 */
					obj_t BgL_bpz00_15618;

					BgL_bpz00_15618 = VECTOR_REF(((obj_t) BgL_sz00_13628), 0L);
					{	/* Eval/evaluate_comp.scm 787 */
						obj_t BgL_fz00_15619;

						BgL_fz00_15619 =
							(VA_PROCEDUREP(BgL_fz00_13622) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_fz00_13622)) (BgL_fz00_13622,
								BgL_sz00_13628, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_fz00_13622)) (BgL_fz00_13622,
								BgL_sz00_13628));
						if (PROCEDUREP(BgL_fz00_15619))
							{	/* Eval/evaluate_comp.scm 787 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 787 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13623))->
										BgL_locz00), BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15619);
							}
						{	/* Eval/evaluate_comp.scm 787 */
							obj_t BgL_ufz00_15620;

							{	/* Eval/evaluate_comp.scm 787 */
								obj_t BgL_tmpz00_19825;

								BgL_tmpz00_19825 = ((obj_t) BgL_fz00_15619);
								BgL_ufz00_15620 = PROCEDURE_ATTR(BgL_tmpz00_19825);
							}
							{	/* Eval/evaluate_comp.scm 787 */
								bool_t BgL_test4947z00_19828;

								if (STRUCTP(BgL_ufz00_15620))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4947z00_19828 =
											(STRUCT_KEY(BgL_ufz00_15620) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4947z00_19828 = ((bool_t) 0);
									}
								if (BgL_test4947z00_19828)
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_arityz00_15621;
										obj_t BgL_runz00_15622;
										obj_t BgL_sfz00_15623;

										BgL_arityz00_15621 =
											STRUCT_REF(BgL_ufz00_15620, (int) (0L));
										BgL_runz00_15622 = STRUCT_REF(BgL_ufz00_15620, (int) (1L));
										BgL_sfz00_15623 = STRUCT_REF(BgL_ufz00_15620, (int) (2L));
										{	/* Eval/evaluate_comp.scm 787 */
											long BgL_spz00_15624;

											BgL_spz00_15624 =
												((long) CINT(BgL_bpz00_15618) + BgL_siza7eza7_13627);
											if (
												((long) CINT(BgL_arityz00_15621) ==
													BgL_nbargsz00_13625))
												{	/* Eval/evaluate_comp.scm 787 */
													{
														obj_t BgL_lz00_15626;
														long BgL_spz00_15627;

														BgL_lz00_15626 = BgL_argsz00_13626;
														BgL_spz00_15627 = BgL_spz00_15624;
													BgL_recz00_15625:
														if (NULLP(BgL_lz00_15626))
															{	/* Eval/evaluate_comp.scm 711 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1817z00_15628;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1819z00_15629;

																		BgL_fun1819z00_15629 =
																			CAR(((obj_t) BgL_lz00_15626));
																		BgL_arg1817z00_15628 =
																			(VA_PROCEDUREP(BgL_fun1819z00_15629)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fun1819z00_15629))
																			(BgL_fun1819z00_15629, BgL_sz00_13628,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fun1819z00_15629))
																			(BgL_fun1819z00_15629, BgL_sz00_13628));
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13628), BgL_spz00_15627,
																		BgL_arg1817z00_15628);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1820z00_15630;
																	long BgL_arg1821z00_15631;

																	BgL_arg1820z00_15630 =
																		CDR(((obj_t) BgL_lz00_15626));
																	BgL_arg1821z00_15631 = (BgL_spz00_15627 + 1L);
																	{
																		long BgL_spz00_19858;
																		obj_t BgL_lz00_19857;

																		BgL_lz00_19857 = BgL_arg1820z00_15630;
																		BgL_spz00_19858 = BgL_arg1821z00_15631;
																		BgL_spz00_15627 = BgL_spz00_19858;
																		BgL_lz00_15626 = BgL_lz00_19857;
																		goto BgL_recz00_15625;
																	}
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 791 */
														long BgL_arg1892z00_15632;

														BgL_arg1892z00_15632 =
															(BgL_spz00_15624 + BgL_nbargsz00_13625);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13628, (long) CINT(BgL_bpz00_15618),
															BgL_sz00_13628, BINT(BgL_spz00_15624),
															BINT(BgL_arg1892z00_15632));
												}}
											else
												{	/* Eval/evaluate_comp.scm 787 */
													bool_t BgL_test4951z00_19864;

													if (((long) CINT(BgL_arityz00_15621) >= 0L))
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test4951z00_19864 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test4951z00_19864 =
																(
																(long) CINT(BgL_arityz00_15621) <
																(-1L - BgL_nbargsz00_13625));
														}
													if (BgL_test4951z00_19864)
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13623))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15620, (int) (3L)),
																(int) (BgL_nbargsz00_13625),
																CINT(BgL_arityz00_15621));
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15621, BgL_sz00_13628,
																BgL_argsz00_13626, BINT(BgL_spz00_15624));
															{	/* Eval/evaluate_comp.scm 793 */
																long BgL_arg1898z00_15633;

																BgL_arg1898z00_15633 =
																	(BgL_spz00_15624 +
																	(0L - (long) CINT(BgL_arityz00_15621)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13628, (long) CINT(BgL_bpz00_15618),
																	BgL_sz00_13628, BINT(BgL_spz00_15624),
																	BINT(BgL_arg1898z00_15633));
												}}}
											{	/* Eval/evaluate_comp.scm 787 */
												obj_t BgL_z12denvz12_15634;

												BgL_z12denvz12_15634 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_15618) +
															(long) CINT(BgL_sfz00_15623)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13628))))
													{	/* Eval/evaluate_comp.scm 787 */
														return BgL_runz00_15622;
													}
												else
													{	/* Eval/evaluate_comp.scm 787 */
														obj_t BgL_nsz00_15635;

														BgL_nsz00_15635 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 787 */
															long BgL_arg1905z00_15636;

															BgL_arg1905z00_15636 =
																(
																(long) CINT(BgL_bpz00_15618) +
																BgL_nbargsz00_13625);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15635, 2L, BgL_sz00_13628,
																BgL_bpz00_15618, BINT(BgL_arg1905z00_15636));
														}
														VECTOR_SET(BgL_nsz00_15635, 1L, BgL_sz00_13628);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15634,
															BgL_nsz00_15635);
														{	/* Eval/evaluate_comp.scm 787 */
															obj_t BgL_ez00_15637;

															BgL_ez00_15637 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_arg4358z00_15638;

																{	/* Eval/evaluate_comp.scm 787 */
																	obj_t BgL_arg4359z00_15639;

																	BgL_arg4359z00_15639 =
																		BGL_EXITD_PROTECT(BgL_ez00_15637);
																	BgL_arg4358z00_15638 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13628,
																		BgL_arg4359z00_15639);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15637,
																	BgL_arg4358z00_15638);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_____rz00_15640;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15641;

																	BgL_savedzd2bpzd2_15641 =
																		VECTOR_REF(BgL_nsz00_15635, 0L);
																	VECTOR_SET(BgL_nsz00_15635, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_15643;

																		BgL_fz00_15643 = BgL_runz00_15622;
																	BgL_recz00_15642:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15644;

																			BgL_rz00_15644 =
																				(VA_PROCEDUREP(BgL_fz00_15643)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_15643))
																				(BgL_fz00_15643, BgL_nsz00_15635,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_15643))
																				(BgL_fz00_15643, BgL_nsz00_15635));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test4954z00_19912;

																				if (PROCEDUREP(BgL_rz00_15644))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_15645;

																						BgL_arg1778z00_15645 =
																							PROCEDURE_ATTR(BgL_rz00_15644);
																						if (STRUCTP(BgL_arg1778z00_15645))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4954z00_19912 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_15645) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4954z00_19912 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test4954z00_19912 =
																							((bool_t) 0);
																					}
																				if (BgL_test4954z00_19912)
																					{
																						obj_t BgL_fz00_19920;

																						BgL_fz00_19920 = BgL_rz00_15644;
																						BgL_fz00_15643 = BgL_fz00_19920;
																						goto BgL_recz00_15642;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15635, 0L,
																							BgL_savedzd2bpzd2_15641);
																						BgL_____rz00_15640 = BgL_rz00_15644;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 787 */
																	bool_t BgL_test4957z00_19922;

																	{	/* Eval/evaluate_comp.scm 787 */
																		obj_t BgL_arg4357z00_15646;

																		BgL_arg4357z00_15646 =
																			BGL_EXITD_PROTECT(BgL_ez00_15637);
																		BgL_test4957z00_19922 =
																			PAIRP(BgL_arg4357z00_15646);
																	}
																	if (BgL_test4957z00_19922)
																		{	/* Eval/evaluate_comp.scm 787 */
																			obj_t BgL_arg4355z00_15647;

																			{	/* Eval/evaluate_comp.scm 787 */
																				obj_t BgL_arg4356z00_15648;

																				BgL_arg4356z00_15648 =
																					BGL_EXITD_PROTECT(BgL_ez00_15637);
																				BgL_arg4355z00_15647 =
																					CDR(((obj_t) BgL_arg4356z00_15648));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15637,
																				BgL_arg4355z00_15647);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 787 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15634,
																	BgL_sz00_13628);
																return BgL_____rz00_15640;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 787 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15619,
												(int) (BgL_nbargsz00_13625)))
											{	/* Eval/evaluate_comp.scm 787 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13628, BgL_fz00_15619, BgL_argsz00_13626,
													BgL_bpz00_15618, BINT(BgL_siza7eza7_13627));
											}
										else
											{	/* Eval/evaluate_comp.scm 787 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13623))->
														BgL_locz00), BgL_symbzd2funzd2_13624,
													(int) (BgL_nbargsz00_13625),
													PROCEDURE_ARITY(BgL_fz00_15619));
		}}}}}}}}

	}



/* &<@anonymous:1914> */
	obj_t BGl_z62zc3z04anonymousza31914ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13629, obj_t BgL_sz00_13635)
	{
		{	/* Eval/evaluate_comp.scm 795 */
			{	/* Eval/evaluate_comp.scm 795 */
				obj_t BgL_fz00_13630;
				BgL_ev_appz00_bglt BgL_i1165z00_13631;
				obj_t BgL_symbzd2funzd2_13632;
				long BgL_nbargsz00_13633;
				obj_t BgL_argsz00_13634;

				BgL_fz00_13630 = PROCEDURE_REF(BgL_envz00_13629, (int) (0L));
				BgL_i1165z00_13631 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13629, (int) (1L)));
				BgL_symbzd2funzd2_13632 = PROCEDURE_REF(BgL_envz00_13629, (int) (2L));
				BgL_nbargsz00_13633 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13629, (int) (3L)));
				BgL_argsz00_13634 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13629, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 795 */
					obj_t BgL_bpz00_15649;

					BgL_bpz00_15649 = VECTOR_REF(((obj_t) BgL_sz00_13635), 0L);
					{	/* Eval/evaluate_comp.scm 795 */
						obj_t BgL_fz00_15650;

						BgL_fz00_15650 =
							(VA_PROCEDUREP(BgL_fz00_13630) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_fz00_13630)) (BgL_fz00_13630,
								BgL_sz00_13635, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_fz00_13630)) (BgL_fz00_13630,
								BgL_sz00_13635));
						if (PROCEDUREP(BgL_fz00_15650))
							{	/* Eval/evaluate_comp.scm 795 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 795 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13631))->
										BgL_locz00), BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15650);
							}
						{	/* Eval/evaluate_comp.scm 795 */
							obj_t BgL_ufz00_15651;

							{	/* Eval/evaluate_comp.scm 795 */
								obj_t BgL_tmpz00_19962;

								BgL_tmpz00_19962 = ((obj_t) BgL_fz00_15650);
								BgL_ufz00_15651 = PROCEDURE_ATTR(BgL_tmpz00_19962);
							}
							{	/* Eval/evaluate_comp.scm 795 */
								bool_t BgL_test4960z00_19965;

								if (STRUCTP(BgL_ufz00_15651))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4960z00_19965 =
											(STRUCT_KEY(BgL_ufz00_15651) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4960z00_19965 = ((bool_t) 0);
									}
								if (BgL_test4960z00_19965)
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_arityz00_15652;
										obj_t BgL_runz00_15653;
										obj_t BgL_sfz00_15654;

										BgL_arityz00_15652 =
											STRUCT_REF(BgL_ufz00_15651, (int) (0L));
										BgL_runz00_15653 = STRUCT_REF(BgL_ufz00_15651, (int) (1L));
										BgL_sfz00_15654 = STRUCT_REF(BgL_ufz00_15651, (int) (2L));
										if (
											((long) CINT(BgL_arityz00_15652) == BgL_nbargsz00_13633))
											{
												obj_t BgL_lz00_15656;
												obj_t BgL_spz00_15657;

												{	/* Eval/evaluate_comp.scm 710 */
													bool_t BgL_tmpz00_19979;

													BgL_lz00_15656 = BgL_argsz00_13634;
													BgL_spz00_15657 = BgL_bpz00_15649;
												BgL_recz00_15655:
													if (NULLP(BgL_lz00_15656))
														{	/* Eval/evaluate_comp.scm 711 */
															BgL_tmpz00_19979 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 711 */
															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_arg1817z00_15658;

																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_fun1819z00_15659;

																	BgL_fun1819z00_15659 =
																		CAR(((obj_t) BgL_lz00_15656));
																	BgL_arg1817z00_15658 =
																		(VA_PROCEDUREP(BgL_fun1819z00_15659)
																		? ((obj_t(*)(obj_t,
																					...))
																			PROCEDURE_ENTRY(BgL_fun1819z00_15659))
																		(BgL_fun1819z00_15659, BgL_sz00_13635,
																			BEOA) : ((obj_t(*)(obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fun1819z00_15659))
																		(BgL_fun1819z00_15659, BgL_sz00_13635));
																}
																{	/* Eval/evaluate_comp.scm 712 */
																	long BgL_kz00_15660;

																	BgL_kz00_15660 = (long) CINT(BgL_spz00_15657);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13635), BgL_kz00_15660,
																		BgL_arg1817z00_15658);
															}}
															{	/* Eval/evaluate_comp.scm 713 */
																obj_t BgL_arg1820z00_15661;
																long BgL_arg1821z00_15662;

																BgL_arg1820z00_15661 =
																	CDR(((obj_t) BgL_lz00_15656));
																BgL_arg1821z00_15662 =
																	((long) CINT(BgL_spz00_15657) + 1L);
																{
																	obj_t BgL_spz00_19996;
																	obj_t BgL_lz00_19995;

																	BgL_lz00_19995 = BgL_arg1820z00_15661;
																	BgL_spz00_19996 = BINT(BgL_arg1821z00_15662);
																	BgL_spz00_15657 = BgL_spz00_19996;
																	BgL_lz00_15656 = BgL_lz00_19995;
																	goto BgL_recz00_15655;
																}
															}
														}
													BBOOL(BgL_tmpz00_19979);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												bool_t BgL_test4964z00_19999;

												if (((long) CINT(BgL_arityz00_15652) >= 0L))
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test4964z00_19999 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test4964z00_19999 =
															(
															(long) CINT(BgL_arityz00_15652) <
															(-1L - BgL_nbargsz00_13633));
													}
												if (BgL_test4964z00_19999)
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1165z00_13631))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_15651, (int) (3L)),
															(int) (BgL_nbargsz00_13633),
															CINT(BgL_arityz00_15652));
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15652, BgL_sz00_13635,
															BgL_argsz00_13634, BgL_bpz00_15649);
													}
											}
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_z12denvz12_15663;

											BgL_z12denvz12_15663 = BGL_CURRENT_DYNAMIC_ENV();
											{	/* Eval/evaluate_comp.scm 795 */
												obj_t BgL_tmpz00_20014;

												BgL_tmpz00_20014 =
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13631))->
													BgL_locz00);
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15663,
													BgL_tmpz00_20014);
											}
											if (
												(((long) CINT(BgL_bpz00_15649) +
														(long) CINT(BgL_sfz00_15654)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13635))))
												{	/* Eval/evaluate_comp.scm 795 */
													return BgL_runz00_15653;
												}
											else
												{	/* Eval/evaluate_comp.scm 795 */
													obj_t BgL_nsz00_15664;

													BgL_nsz00_15664 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 795 */
														long BgL_arg1927z00_15665;

														BgL_arg1927z00_15665 =
															(
															(long) CINT(BgL_bpz00_15649) +
															BgL_nbargsz00_13633);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15664, 2L, BgL_sz00_13635,
															BgL_bpz00_15649, BINT(BgL_arg1927z00_15665));
													}
													VECTOR_SET(BgL_nsz00_15664, 1L, BgL_sz00_13635);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15663,
														BgL_nsz00_15664);
													{	/* Eval/evaluate_comp.scm 795 */
														obj_t BgL_ez00_15666;

														BgL_ez00_15666 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_arg4358z00_15667;

															{	/* Eval/evaluate_comp.scm 795 */
																obj_t BgL_arg4359z00_15668;

																BgL_arg4359z00_15668 =
																	BGL_EXITD_PROTECT(BgL_ez00_15666);
																BgL_arg4358z00_15667 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13635,
																	BgL_arg4359z00_15668);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15666,
																BgL_arg4358z00_15667);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_____rz00_15669;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15670;

																BgL_savedzd2bpzd2_15670 =
																	VECTOR_REF(BgL_nsz00_15664, 0L);
																VECTOR_SET(BgL_nsz00_15664, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_15672;

																	BgL_fz00_15672 = BgL_runz00_15653;
																BgL_recz00_15671:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15673;

																		BgL_rz00_15673 =
																			(VA_PROCEDUREP(BgL_fz00_15672)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_15672))
																			(BgL_fz00_15672, BgL_nsz00_15664,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15672))
																			(BgL_fz00_15672, BgL_nsz00_15664));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test4967z00_20042;

																			if (PROCEDUREP(BgL_rz00_15673))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_15674;

																					BgL_arg1778z00_15674 =
																						PROCEDURE_ATTR(BgL_rz00_15673);
																					if (STRUCTP(BgL_arg1778z00_15674))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4967z00_20042 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_15674) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4967z00_20042 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test4967z00_20042 = ((bool_t) 0);
																				}
																			if (BgL_test4967z00_20042)
																				{
																					obj_t BgL_fz00_20050;

																					BgL_fz00_20050 = BgL_rz00_15673;
																					BgL_fz00_15672 = BgL_fz00_20050;
																					goto BgL_recz00_15671;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15664, 0L,
																						BgL_savedzd2bpzd2_15670);
																					BgL_____rz00_15669 = BgL_rz00_15673;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 795 */
																bool_t BgL_test4970z00_20052;

																{	/* Eval/evaluate_comp.scm 795 */
																	obj_t BgL_arg4357z00_15675;

																	BgL_arg4357z00_15675 =
																		BGL_EXITD_PROTECT(BgL_ez00_15666);
																	BgL_test4970z00_20052 =
																		PAIRP(BgL_arg4357z00_15675);
																}
																if (BgL_test4970z00_20052)
																	{	/* Eval/evaluate_comp.scm 795 */
																		obj_t BgL_arg4355z00_15676;

																		{	/* Eval/evaluate_comp.scm 795 */
																			obj_t BgL_arg4356z00_15677;

																			BgL_arg4356z00_15677 =
																				BGL_EXITD_PROTECT(BgL_ez00_15666);
																			BgL_arg4355z00_15676 =
																				CDR(((obj_t) BgL_arg4356z00_15677));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15666,
																			BgL_arg4355z00_15676);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 795 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15663,
																BgL_sz00_13635);
															return BgL_____rz00_15669;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 795 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15650,
												(int) (BgL_nbargsz00_13633)))
											{	/* Eval/evaluate_comp.scm 795 */
												{	/* Eval/evaluate_comp.scm 795 */
													obj_t BgL_auxz00_20065;
													obj_t BgL_tmpz00_20063;

													BgL_auxz00_20065 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13631))->BgL_locz00);
													BgL_tmpz00_20063 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20063,
														BgL_auxz00_20065);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13635, BgL_fz00_15650, BgL_argsz00_13634,
													BgL_bpz00_15649, BINT(BgL_nbargsz00_13633));
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13631))->
														BgL_locz00), BgL_symbzd2funzd2_13632,
													(int) (BgL_nbargsz00_13633),
													PROCEDURE_ARITY(BgL_fz00_15650));
		}}}}}}}}

	}



/* &<@anonymous:1934> */
	obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13636, obj_t BgL_sz00_13642)
	{
		{	/* Eval/evaluate_comp.scm 795 */
			{	/* Eval/evaluate_comp.scm 795 */
				obj_t BgL_fz00_13637;
				BgL_ev_appz00_bglt BgL_i1165z00_13638;
				obj_t BgL_symbzd2funzd2_13639;
				long BgL_nbargsz00_13640;
				obj_t BgL_argsz00_13641;

				BgL_fz00_13637 = PROCEDURE_REF(BgL_envz00_13636, (int) (0L));
				BgL_i1165z00_13638 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13636, (int) (1L)));
				BgL_symbzd2funzd2_13639 = PROCEDURE_REF(BgL_envz00_13636, (int) (2L));
				BgL_nbargsz00_13640 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13636, (int) (3L)));
				BgL_argsz00_13641 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13636, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 795 */
					obj_t BgL_bpz00_15678;

					BgL_bpz00_15678 = VECTOR_REF(((obj_t) BgL_sz00_13642), 0L);
					{	/* Eval/evaluate_comp.scm 795 */
						obj_t BgL_fz00_15679;

						BgL_fz00_15679 =
							(VA_PROCEDUREP(BgL_fz00_13637) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_fz00_13637)) (BgL_fz00_13637,
								BgL_sz00_13642, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_fz00_13637)) (BgL_fz00_13637,
								BgL_sz00_13642));
						if (PROCEDUREP(BgL_fz00_15679))
							{	/* Eval/evaluate_comp.scm 795 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 795 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13638))->
										BgL_locz00), BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15679);
							}
						{	/* Eval/evaluate_comp.scm 795 */
							obj_t BgL_ufz00_15680;

							{	/* Eval/evaluate_comp.scm 795 */
								obj_t BgL_tmpz00_20097;

								BgL_tmpz00_20097 = ((obj_t) BgL_fz00_15679);
								BgL_ufz00_15680 = PROCEDURE_ATTR(BgL_tmpz00_20097);
							}
							{	/* Eval/evaluate_comp.scm 795 */
								bool_t BgL_test4973z00_20100;

								if (STRUCTP(BgL_ufz00_15680))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4973z00_20100 =
											(STRUCT_KEY(BgL_ufz00_15680) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4973z00_20100 = ((bool_t) 0);
									}
								if (BgL_test4973z00_20100)
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_arityz00_15681;
										obj_t BgL_runz00_15682;
										obj_t BgL_sfz00_15683;

										BgL_arityz00_15681 =
											STRUCT_REF(BgL_ufz00_15680, (int) (0L));
										BgL_runz00_15682 = STRUCT_REF(BgL_ufz00_15680, (int) (1L));
										BgL_sfz00_15683 = STRUCT_REF(BgL_ufz00_15680, (int) (2L));
										if (
											((long) CINT(BgL_arityz00_15681) == BgL_nbargsz00_13640))
											{
												obj_t BgL_lz00_15685;
												obj_t BgL_spz00_15686;

												{	/* Eval/evaluate_comp.scm 710 */
													bool_t BgL_tmpz00_20114;

													BgL_lz00_15685 = BgL_argsz00_13641;
													BgL_spz00_15686 = BgL_bpz00_15678;
												BgL_recz00_15684:
													if (NULLP(BgL_lz00_15685))
														{	/* Eval/evaluate_comp.scm 711 */
															BgL_tmpz00_20114 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 711 */
															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_arg1817z00_15687;

																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_fun1819z00_15688;

																	BgL_fun1819z00_15688 =
																		CAR(((obj_t) BgL_lz00_15685));
																	BgL_arg1817z00_15687 =
																		(VA_PROCEDUREP(BgL_fun1819z00_15688)
																		? ((obj_t(*)(obj_t,
																					...))
																			PROCEDURE_ENTRY(BgL_fun1819z00_15688))
																		(BgL_fun1819z00_15688, BgL_sz00_13642,
																			BEOA) : ((obj_t(*)(obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fun1819z00_15688))
																		(BgL_fun1819z00_15688, BgL_sz00_13642));
																}
																{	/* Eval/evaluate_comp.scm 712 */
																	long BgL_kz00_15689;

																	BgL_kz00_15689 = (long) CINT(BgL_spz00_15686);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13642), BgL_kz00_15689,
																		BgL_arg1817z00_15687);
															}}
															{	/* Eval/evaluate_comp.scm 713 */
																obj_t BgL_arg1820z00_15690;
																long BgL_arg1821z00_15691;

																BgL_arg1820z00_15690 =
																	CDR(((obj_t) BgL_lz00_15685));
																BgL_arg1821z00_15691 =
																	((long) CINT(BgL_spz00_15686) + 1L);
																{
																	obj_t BgL_spz00_20131;
																	obj_t BgL_lz00_20130;

																	BgL_lz00_20130 = BgL_arg1820z00_15690;
																	BgL_spz00_20131 = BINT(BgL_arg1821z00_15691);
																	BgL_spz00_15686 = BgL_spz00_20131;
																	BgL_lz00_15685 = BgL_lz00_20130;
																	goto BgL_recz00_15684;
																}
															}
														}
													BBOOL(BgL_tmpz00_20114);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												bool_t BgL_test4977z00_20134;

												if (((long) CINT(BgL_arityz00_15681) >= 0L))
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test4977z00_20134 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test4977z00_20134 =
															(
															(long) CINT(BgL_arityz00_15681) <
															(-1L - BgL_nbargsz00_13640));
													}
												if (BgL_test4977z00_20134)
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1165z00_13638))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_15680, (int) (3L)),
															(int) (BgL_nbargsz00_13640),
															CINT(BgL_arityz00_15681));
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15681, BgL_sz00_13642,
															BgL_argsz00_13641, BgL_bpz00_15678);
													}
											}
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_z12denvz12_15692;

											BgL_z12denvz12_15692 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15678) +
														(long) CINT(BgL_sfz00_15683)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13642))))
												{	/* Eval/evaluate_comp.scm 795 */
													return BgL_runz00_15682;
												}
											else
												{	/* Eval/evaluate_comp.scm 795 */
													obj_t BgL_nsz00_15693;

													BgL_nsz00_15693 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 795 */
														long BgL_arg1946z00_15694;

														BgL_arg1946z00_15694 =
															(
															(long) CINT(BgL_bpz00_15678) +
															BgL_nbargsz00_13640);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15693, 2L, BgL_sz00_13642,
															BgL_bpz00_15678, BINT(BgL_arg1946z00_15694));
													}
													VECTOR_SET(BgL_nsz00_15693, 1L, BgL_sz00_13642);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15692,
														BgL_nsz00_15693);
													{	/* Eval/evaluate_comp.scm 795 */
														obj_t BgL_ez00_15695;

														BgL_ez00_15695 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_arg4358z00_15696;

															{	/* Eval/evaluate_comp.scm 795 */
																obj_t BgL_arg4359z00_15697;

																BgL_arg4359z00_15697 =
																	BGL_EXITD_PROTECT(BgL_ez00_15695);
																BgL_arg4358z00_15696 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13642,
																	BgL_arg4359z00_15697);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15695,
																BgL_arg4358z00_15696);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_____rz00_15698;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15699;

																BgL_savedzd2bpzd2_15699 =
																	VECTOR_REF(BgL_nsz00_15693, 0L);
																VECTOR_SET(BgL_nsz00_15693, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_15701;

																	BgL_fz00_15701 = BgL_runz00_15682;
																BgL_recz00_15700:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15702;

																		BgL_rz00_15702 =
																			(VA_PROCEDUREP(BgL_fz00_15701)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_15701))
																			(BgL_fz00_15701, BgL_nsz00_15693,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15701))
																			(BgL_fz00_15701, BgL_nsz00_15693));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test4980z00_20174;

																			if (PROCEDUREP(BgL_rz00_15702))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_15703;

																					BgL_arg1778z00_15703 =
																						PROCEDURE_ATTR(BgL_rz00_15702);
																					if (STRUCTP(BgL_arg1778z00_15703))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4980z00_20174 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_15703) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4980z00_20174 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test4980z00_20174 = ((bool_t) 0);
																				}
																			if (BgL_test4980z00_20174)
																				{
																					obj_t BgL_fz00_20182;

																					BgL_fz00_20182 = BgL_rz00_15702;
																					BgL_fz00_15701 = BgL_fz00_20182;
																					goto BgL_recz00_15700;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15693, 0L,
																						BgL_savedzd2bpzd2_15699);
																					BgL_____rz00_15698 = BgL_rz00_15702;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 795 */
																bool_t BgL_test4983z00_20184;

																{	/* Eval/evaluate_comp.scm 795 */
																	obj_t BgL_arg4357z00_15704;

																	BgL_arg4357z00_15704 =
																		BGL_EXITD_PROTECT(BgL_ez00_15695);
																	BgL_test4983z00_20184 =
																		PAIRP(BgL_arg4357z00_15704);
																}
																if (BgL_test4983z00_20184)
																	{	/* Eval/evaluate_comp.scm 795 */
																		obj_t BgL_arg4355z00_15705;

																		{	/* Eval/evaluate_comp.scm 795 */
																			obj_t BgL_arg4356z00_15706;

																			BgL_arg4356z00_15706 =
																				BGL_EXITD_PROTECT(BgL_ez00_15695);
																			BgL_arg4355z00_15705 =
																				CDR(((obj_t) BgL_arg4356z00_15706));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15695,
																			BgL_arg4355z00_15705);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 795 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15692,
																BgL_sz00_13642);
															return BgL_____rz00_15698;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 795 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15679,
												(int) (BgL_nbargsz00_13640)))
											{	/* Eval/evaluate_comp.scm 795 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13642, BgL_fz00_15679, BgL_argsz00_13641,
													BgL_bpz00_15678, BINT(BgL_nbargsz00_13640));
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13638))->
														BgL_locz00), BgL_symbzd2funzd2_13639,
													(int) (BgL_nbargsz00_13640),
													PROCEDURE_ARITY(BgL_fz00_15679));
		}}}}}}}}

	}



/* &<@anonymous:1953> */
	obj_t BGl_z62zc3z04anonymousza31953ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13643, obj_t BgL_sz00_13650)
	{
		{	/* Eval/evaluate_comp.scm 781 */
			{	/* Eval/evaluate_comp.scm 781 */
				obj_t BgL_fz00_13644;
				BgL_ev_appz00_bglt BgL_i1165z00_13645;
				obj_t BgL_symbzd2funzd2_13646;
				long BgL_nbargsz00_13647;
				obj_t BgL_argsz00_13648;
				long BgL_siza7eza7_13649;

				BgL_fz00_13644 = PROCEDURE_REF(BgL_envz00_13643, (int) (0L));
				BgL_i1165z00_13645 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13643, (int) (1L)));
				BgL_symbzd2funzd2_13646 = PROCEDURE_REF(BgL_envz00_13643, (int) (2L));
				BgL_nbargsz00_13647 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13643, (int) (3L)));
				BgL_argsz00_13648 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13643, (int) (4L)));
				BgL_siza7eza7_13649 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13643, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 781 */
					obj_t BgL_bpz00_15707;

					BgL_bpz00_15707 = VECTOR_REF(((obj_t) BgL_sz00_13650), 0L);
					{	/* Eval/evaluate_comp.scm 781 */
						obj_t BgL_fz00_15708;

						BgL_fz00_15708 =
							(VA_PROCEDUREP(BgL_fz00_13644) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_fz00_13644)) (BgL_fz00_13644,
								BgL_sz00_13650, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_fz00_13644)) (BgL_fz00_13644,
								BgL_sz00_13650));
						if (PROCEDUREP(BgL_fz00_15708))
							{	/* Eval/evaluate_comp.scm 781 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 781 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13645))->
										BgL_locz00), BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15708);
							}
						{	/* Eval/evaluate_comp.scm 781 */
							obj_t BgL_ufz00_15709;

							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_tmpz00_20227;

								BgL_tmpz00_20227 = ((obj_t) BgL_fz00_15708);
								BgL_ufz00_15709 = PROCEDURE_ATTR(BgL_tmpz00_20227);
							}
							{	/* Eval/evaluate_comp.scm 781 */
								bool_t BgL_test4986z00_20230;

								if (STRUCTP(BgL_ufz00_15709))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4986z00_20230 =
											(STRUCT_KEY(BgL_ufz00_15709) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4986z00_20230 = ((bool_t) 0);
									}
								if (BgL_test4986z00_20230)
									{	/* Eval/evaluate_comp.scm 781 */
										obj_t BgL_arityz00_15710;
										obj_t BgL_runz00_15711;
										obj_t BgL_sfz00_15712;

										BgL_arityz00_15710 =
											STRUCT_REF(BgL_ufz00_15709, (int) (0L));
										BgL_runz00_15711 = STRUCT_REF(BgL_ufz00_15709, (int) (1L));
										BgL_sfz00_15712 = STRUCT_REF(BgL_ufz00_15709, (int) (2L));
										{	/* Eval/evaluate_comp.scm 781 */
											long BgL_spz00_15713;

											BgL_spz00_15713 =
												((long) CINT(BgL_bpz00_15707) + BgL_siza7eza7_13649);
											if (
												((long) CINT(BgL_arityz00_15710) ==
													BgL_nbargsz00_13647))
												{
													obj_t BgL_lz00_15715;
													long BgL_spz00_15716;

													{	/* Eval/evaluate_comp.scm 710 */
														bool_t BgL_tmpz00_20246;

														BgL_lz00_15715 = BgL_argsz00_13648;
														BgL_spz00_15716 = BgL_spz00_15713;
													BgL_recz00_15714:
														if (NULLP(BgL_lz00_15715))
															{	/* Eval/evaluate_comp.scm 711 */
																BgL_tmpz00_20246 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1817z00_15717;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1819z00_15718;

																		BgL_fun1819z00_15718 =
																			CAR(((obj_t) BgL_lz00_15715));
																		BgL_arg1817z00_15717 =
																			(VA_PROCEDUREP(BgL_fun1819z00_15718)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fun1819z00_15718))
																			(BgL_fun1819z00_15718, BgL_sz00_13650,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fun1819z00_15718))
																			(BgL_fun1819z00_15718, BgL_sz00_13650));
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13650), BgL_spz00_15716,
																		BgL_arg1817z00_15717);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1820z00_15719;
																	long BgL_arg1821z00_15720;

																	BgL_arg1820z00_15719 =
																		CDR(((obj_t) BgL_lz00_15715));
																	BgL_arg1821z00_15720 = (BgL_spz00_15716 + 1L);
																	{
																		long BgL_spz00_20261;
																		obj_t BgL_lz00_20260;

																		BgL_lz00_20260 = BgL_arg1820z00_15719;
																		BgL_spz00_20261 = BgL_arg1821z00_15720;
																		BgL_spz00_15716 = BgL_spz00_20261;
																		BgL_lz00_15715 = BgL_lz00_20260;
																		goto BgL_recz00_15714;
																	}
																}
															}
														BBOOL(BgL_tmpz00_20246);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 781 */
													bool_t BgL_test4990z00_20263;

													if (((long) CINT(BgL_arityz00_15710) >= 0L))
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test4990z00_20263 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test4990z00_20263 =
																(
																(long) CINT(BgL_arityz00_15710) <
																(-1L - BgL_nbargsz00_13647));
														}
													if (BgL_test4990z00_20263)
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13645))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15709, (int) (3L)),
																(int) (BgL_nbargsz00_13647),
																CINT(BgL_arityz00_15710));
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15710, BgL_sz00_13650,
																BgL_argsz00_13648, BINT(BgL_spz00_15713));
														}
												}
											{	/* Eval/evaluate_comp.scm 781 */
												obj_t BgL_z12denvz12_15721;

												BgL_z12denvz12_15721 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 781 */
													obj_t BgL_tmpz00_20279;

													BgL_tmpz00_20279 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13645))->BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15721,
														BgL_tmpz00_20279);
												}
												if (
													((BgL_spz00_15713 +
															(long) CINT(BgL_sfz00_15712)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13650))))
													{	/* Eval/evaluate_comp.scm 781 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15711, BgL_sz00_13650,
															BINT(BgL_spz00_15713));
													}
												else
													{	/* Eval/evaluate_comp.scm 781 */
														obj_t BgL_nsz00_15722;

														BgL_nsz00_15722 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 781 */
															long BgL_arg1966z00_15723;

															BgL_arg1966z00_15723 =
																(BgL_spz00_15713 + BgL_nbargsz00_13647);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15722, 2L, BgL_sz00_13650,
																BINT(BgL_spz00_15713),
																BINT(BgL_arg1966z00_15723));
														}
														VECTOR_SET(BgL_nsz00_15722, 1L, BgL_sz00_13650);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15721,
															BgL_nsz00_15722);
														{	/* Eval/evaluate_comp.scm 781 */
															obj_t BgL_ez00_15724;

															BgL_ez00_15724 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_arg4358z00_15725;

																{	/* Eval/evaluate_comp.scm 781 */
																	obj_t BgL_arg4359z00_15726;

																	BgL_arg4359z00_15726 =
																		BGL_EXITD_PROTECT(BgL_ez00_15724);
																	BgL_arg4358z00_15725 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13650,
																		BgL_arg4359z00_15726);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15724,
																	BgL_arg4358z00_15725);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_____rz00_15727;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15728;

																	BgL_savedzd2bpzd2_15728 =
																		VECTOR_REF(BgL_nsz00_15722, 0L);
																	VECTOR_SET(BgL_nsz00_15722, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_15730;

																		BgL_fz00_15730 = BgL_runz00_15711;
																	BgL_recz00_15729:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15731;

																			BgL_rz00_15731 =
																				(VA_PROCEDUREP(BgL_fz00_15730)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_15730))
																				(BgL_fz00_15730, BgL_nsz00_15722,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_15730))
																				(BgL_fz00_15730, BgL_nsz00_15722));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test4993z00_20308;

																				if (PROCEDUREP(BgL_rz00_15731))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_15732;

																						BgL_arg1778z00_15732 =
																							PROCEDURE_ATTR(BgL_rz00_15731);
																						if (STRUCTP(BgL_arg1778z00_15732))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4993z00_20308 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_15732) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4993z00_20308 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test4993z00_20308 =
																							((bool_t) 0);
																					}
																				if (BgL_test4993z00_20308)
																					{
																						obj_t BgL_fz00_20316;

																						BgL_fz00_20316 = BgL_rz00_15731;
																						BgL_fz00_15730 = BgL_fz00_20316;
																						goto BgL_recz00_15729;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15722, 0L,
																							BgL_savedzd2bpzd2_15728);
																						BgL_____rz00_15727 = BgL_rz00_15731;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 781 */
																	bool_t BgL_test4996z00_20318;

																	{	/* Eval/evaluate_comp.scm 781 */
																		obj_t BgL_arg4357z00_15733;

																		BgL_arg4357z00_15733 =
																			BGL_EXITD_PROTECT(BgL_ez00_15724);
																		BgL_test4996z00_20318 =
																			PAIRP(BgL_arg4357z00_15733);
																	}
																	if (BgL_test4996z00_20318)
																		{	/* Eval/evaluate_comp.scm 781 */
																			obj_t BgL_arg4355z00_15734;

																			{	/* Eval/evaluate_comp.scm 781 */
																				obj_t BgL_arg4356z00_15735;

																				BgL_arg4356z00_15735 =
																					BGL_EXITD_PROTECT(BgL_ez00_15724);
																				BgL_arg4355z00_15734 =
																					CDR(((obj_t) BgL_arg4356z00_15735));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15724,
																				BgL_arg4355z00_15734);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 781 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15721,
																	BgL_sz00_13650);
																return BgL_____rz00_15727;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 781 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15708,
												(int) (BgL_nbargsz00_13647)))
											{	/* Eval/evaluate_comp.scm 781 */
												{	/* Eval/evaluate_comp.scm 781 */
													obj_t BgL_auxz00_20331;
													obj_t BgL_tmpz00_20329;

													BgL_auxz00_20331 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13645))->BgL_locz00);
													BgL_tmpz00_20329 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20329,
														BgL_auxz00_20331);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13650, BgL_fz00_15708, BgL_argsz00_13648,
													BgL_bpz00_15707, BINT(BgL_siza7eza7_13649));
											}
										else
											{	/* Eval/evaluate_comp.scm 781 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13645))->
														BgL_locz00), BgL_symbzd2funzd2_13646,
													(int) (BgL_nbargsz00_13647),
													PROCEDURE_ARITY(BgL_fz00_15708));
		}}}}}}}}

	}



/* &<@anonymous:1972> */
	obj_t BGl_z62zc3z04anonymousza31972ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13651, obj_t BgL_sz00_13658)
	{
		{	/* Eval/evaluate_comp.scm 781 */
			{	/* Eval/evaluate_comp.scm 781 */
				obj_t BgL_fz00_13652;
				BgL_ev_appz00_bglt BgL_i1165z00_13653;
				obj_t BgL_symbzd2funzd2_13654;
				long BgL_nbargsz00_13655;
				obj_t BgL_argsz00_13656;
				long BgL_siza7eza7_13657;

				BgL_fz00_13652 = PROCEDURE_REF(BgL_envz00_13651, (int) (0L));
				BgL_i1165z00_13653 =
					((BgL_ev_appz00_bglt) PROCEDURE_REF(BgL_envz00_13651, (int) (1L)));
				BgL_symbzd2funzd2_13654 = PROCEDURE_REF(BgL_envz00_13651, (int) (2L));
				BgL_nbargsz00_13655 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13651, (int) (3L)));
				BgL_argsz00_13656 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13651, (int) (4L)));
				BgL_siza7eza7_13657 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13651, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 781 */
					obj_t BgL_bpz00_15736;

					BgL_bpz00_15736 = VECTOR_REF(((obj_t) BgL_sz00_13658), 0L);
					{	/* Eval/evaluate_comp.scm 781 */
						obj_t BgL_fz00_15737;

						BgL_fz00_15737 =
							(VA_PROCEDUREP(BgL_fz00_13652) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_fz00_13652)) (BgL_fz00_13652,
								BgL_sz00_13658, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_fz00_13652)) (BgL_fz00_13652,
								BgL_sz00_13658));
						if (PROCEDUREP(BgL_fz00_15737))
							{	/* Eval/evaluate_comp.scm 781 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 781 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13653))->
										BgL_locz00), BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15737);
							}
						{	/* Eval/evaluate_comp.scm 781 */
							obj_t BgL_ufz00_15738;

							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_tmpz00_20366;

								BgL_tmpz00_20366 = ((obj_t) BgL_fz00_15737);
								BgL_ufz00_15738 = PROCEDURE_ATTR(BgL_tmpz00_20366);
							}
							{	/* Eval/evaluate_comp.scm 781 */
								bool_t BgL_test4999z00_20369;

								if (STRUCTP(BgL_ufz00_15738))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4999z00_20369 =
											(STRUCT_KEY(BgL_ufz00_15738) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4999z00_20369 = ((bool_t) 0);
									}
								if (BgL_test4999z00_20369)
									{	/* Eval/evaluate_comp.scm 781 */
										obj_t BgL_arityz00_15739;
										obj_t BgL_runz00_15740;
										obj_t BgL_sfz00_15741;

										BgL_arityz00_15739 =
											STRUCT_REF(BgL_ufz00_15738, (int) (0L));
										BgL_runz00_15740 = STRUCT_REF(BgL_ufz00_15738, (int) (1L));
										BgL_sfz00_15741 = STRUCT_REF(BgL_ufz00_15738, (int) (2L));
										{	/* Eval/evaluate_comp.scm 781 */
											long BgL_spz00_15742;

											BgL_spz00_15742 =
												((long) CINT(BgL_bpz00_15736) + BgL_siza7eza7_13657);
											if (
												((long) CINT(BgL_arityz00_15739) ==
													BgL_nbargsz00_13655))
												{
													obj_t BgL_lz00_15744;
													long BgL_spz00_15745;

													{	/* Eval/evaluate_comp.scm 710 */
														bool_t BgL_tmpz00_20385;

														BgL_lz00_15744 = BgL_argsz00_13656;
														BgL_spz00_15745 = BgL_spz00_15742;
													BgL_recz00_15743:
														if (NULLP(BgL_lz00_15744))
															{	/* Eval/evaluate_comp.scm 711 */
																BgL_tmpz00_20385 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1817z00_15746;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1819z00_15747;

																		BgL_fun1819z00_15747 =
																			CAR(((obj_t) BgL_lz00_15744));
																		BgL_arg1817z00_15746 =
																			(VA_PROCEDUREP(BgL_fun1819z00_15747)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fun1819z00_15747))
																			(BgL_fun1819z00_15747, BgL_sz00_13658,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fun1819z00_15747))
																			(BgL_fun1819z00_15747, BgL_sz00_13658));
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13658), BgL_spz00_15745,
																		BgL_arg1817z00_15746);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1820z00_15748;
																	long BgL_arg1821z00_15749;

																	BgL_arg1820z00_15748 =
																		CDR(((obj_t) BgL_lz00_15744));
																	BgL_arg1821z00_15749 = (BgL_spz00_15745 + 1L);
																	{
																		long BgL_spz00_20400;
																		obj_t BgL_lz00_20399;

																		BgL_lz00_20399 = BgL_arg1820z00_15748;
																		BgL_spz00_20400 = BgL_arg1821z00_15749;
																		BgL_spz00_15745 = BgL_spz00_20400;
																		BgL_lz00_15744 = BgL_lz00_20399;
																		goto BgL_recz00_15743;
																	}
																}
															}
														BBOOL(BgL_tmpz00_20385);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 781 */
													bool_t BgL_test5003z00_20402;

													if (((long) CINT(BgL_arityz00_15739) >= 0L))
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test5003z00_20402 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test5003z00_20402 =
																(
																(long) CINT(BgL_arityz00_15739) <
																(-1L - BgL_nbargsz00_13655));
														}
													if (BgL_test5003z00_20402)
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13653))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15738, (int) (3L)),
																(int) (BgL_nbargsz00_13655),
																CINT(BgL_arityz00_15739));
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15739, BgL_sz00_13658,
																BgL_argsz00_13656, BINT(BgL_spz00_15742));
														}
												}
											{	/* Eval/evaluate_comp.scm 781 */
												obj_t BgL_z12denvz12_15750;

												BgL_z12denvz12_15750 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15742 +
															(long) CINT(BgL_sfz00_15741)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13658))))
													{	/* Eval/evaluate_comp.scm 781 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15740, BgL_sz00_13658,
															BINT(BgL_spz00_15742));
													}
												else
													{	/* Eval/evaluate_comp.scm 781 */
														obj_t BgL_nsz00_15751;

														BgL_nsz00_15751 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 781 */
															long BgL_arg1984z00_15752;

															BgL_arg1984z00_15752 =
																(BgL_spz00_15742 + BgL_nbargsz00_13655);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15751, 2L, BgL_sz00_13658,
																BINT(BgL_spz00_15742),
																BINT(BgL_arg1984z00_15752));
														}
														VECTOR_SET(BgL_nsz00_15751, 1L, BgL_sz00_13658);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15750,
															BgL_nsz00_15751);
														{	/* Eval/evaluate_comp.scm 781 */
															obj_t BgL_ez00_15753;

															BgL_ez00_15753 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_arg4358z00_15754;

																{	/* Eval/evaluate_comp.scm 781 */
																	obj_t BgL_arg4359z00_15755;

																	BgL_arg4359z00_15755 =
																		BGL_EXITD_PROTECT(BgL_ez00_15753);
																	BgL_arg4358z00_15754 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13658,
																		BgL_arg4359z00_15755);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15753,
																	BgL_arg4358z00_15754);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_____rz00_15756;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15757;

																	BgL_savedzd2bpzd2_15757 =
																		VECTOR_REF(BgL_nsz00_15751, 0L);
																	VECTOR_SET(BgL_nsz00_15751, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_15759;

																		BgL_fz00_15759 = BgL_runz00_15740;
																	BgL_recz00_15758:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15760;

																			BgL_rz00_15760 =
																				(VA_PROCEDUREP(BgL_fz00_15759)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_15759))
																				(BgL_fz00_15759, BgL_nsz00_15751,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_15759))
																				(BgL_fz00_15759, BgL_nsz00_15751));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5006z00_20444;

																				if (PROCEDUREP(BgL_rz00_15760))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_15761;

																						BgL_arg1778z00_15761 =
																							PROCEDURE_ATTR(BgL_rz00_15760);
																						if (STRUCTP(BgL_arg1778z00_15761))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5006z00_20444 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_15761) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5006z00_20444 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5006z00_20444 =
																							((bool_t) 0);
																					}
																				if (BgL_test5006z00_20444)
																					{
																						obj_t BgL_fz00_20452;

																						BgL_fz00_20452 = BgL_rz00_15760;
																						BgL_fz00_15759 = BgL_fz00_20452;
																						goto BgL_recz00_15758;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15751, 0L,
																							BgL_savedzd2bpzd2_15757);
																						BgL_____rz00_15756 = BgL_rz00_15760;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 781 */
																	bool_t BgL_test5009z00_20454;

																	{	/* Eval/evaluate_comp.scm 781 */
																		obj_t BgL_arg4357z00_15762;

																		BgL_arg4357z00_15762 =
																			BGL_EXITD_PROTECT(BgL_ez00_15753);
																		BgL_test5009z00_20454 =
																			PAIRP(BgL_arg4357z00_15762);
																	}
																	if (BgL_test5009z00_20454)
																		{	/* Eval/evaluate_comp.scm 781 */
																			obj_t BgL_arg4355z00_15763;

																			{	/* Eval/evaluate_comp.scm 781 */
																				obj_t BgL_arg4356z00_15764;

																				BgL_arg4356z00_15764 =
																					BGL_EXITD_PROTECT(BgL_ez00_15753);
																				BgL_arg4355z00_15763 =
																					CDR(((obj_t) BgL_arg4356z00_15764));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15753,
																				BgL_arg4355z00_15763);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 781 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15750,
																	BgL_sz00_13658);
																return BgL_____rz00_15756;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 781 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15737,
												(int) (BgL_nbargsz00_13655)))
											{	/* Eval/evaluate_comp.scm 781 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13658, BgL_fz00_15737, BgL_argsz00_13656,
													BgL_bpz00_15736, BINT(BgL_siza7eza7_13657));
											}
										else
											{	/* Eval/evaluate_comp.scm 781 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13653))->
														BgL_locz00), BgL_symbzd2funzd2_13654,
													(int) (BgL_nbargsz00_13655),
													PROCEDURE_ARITY(BgL_fz00_15737));
		}}}}}}}}

	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138,
		BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140,
		obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143,
		long BgL_siza7eza7_144)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2040;

				BgL_cfunz00_2040 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139, 0L,
					BgL_locz00_138, BgL_symbzd2funzd2_140);
				if (CBOOL(BgL_cfunz00_2040))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5012z00_20474;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1368z00_2056;

							BgL_a1368z00_2056 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 896 */

								BgL_test5012z00_20474 = ((long) (BgL_a1368z00_2056) > 0L);
						}}
						if (BgL_test5012z00_20474)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza31993ze3z87_13659;

								BgL_zc3z04anonymousza31993ze3z87_13659 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31993ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (3L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31993ze3z87_13659,
									(int) (0L), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3z04anonymousza31993ze3z87_13659,
									(int) (1L), BgL_locz00_138);
								PROCEDURE_SET(BgL_zc3z04anonymousza31993ze3z87_13659,
									(int) (2L), BgL_cfunz00_2040);
								return BgL_zc3z04anonymousza31993ze3z87_13659;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza31995ze3z87_13660;

								BgL_zc3z04anonymousza31995ze3z87_13660 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31995ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (2L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31995ze3z87_13660,
									(int) (0L), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3z04anonymousza31995ze3z87_13660,
									(int) (1L), BgL_cfunz00_2040);
								return BgL_zc3z04anonymousza31995ze3z87_13660;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_142))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5014z00_20498;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1370z00_2120;

									BgL_a1370z00_2120 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5014z00_20498 = ((long) (BgL_a1370z00_2120) > 0L);
								}}
								if (BgL_test5014z00_20498)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza31998ze3z87_13661;

										BgL_zc3z04anonymousza31998ze3z87_13661 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (4L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_13661,
											(int) (0L), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_13661,
											(int) (1L), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_13661,
											(int) (2L), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_13661,
											(int) (3L), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza31998ze3z87_13661;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32011ze3z87_13662;

										BgL_zc3z04anonymousza32011ze3z87_13662 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (4L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_13662,
											(int) (0L), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_13662,
											(int) (1L), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_13662,
											(int) (2L), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_13662,
											(int) (3L), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza32011ze3z87_13662;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5015z00_20526;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1372z00_2184;

									BgL_a1372z00_2184 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5015z00_20526 = ((long) (BgL_a1372z00_2184) > 0L);
								}}
								if (BgL_test5015z00_20526)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32024ze3z87_13663;

										BgL_zc3z04anonymousza32024ze3z87_13663 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32024ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (4L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32024ze3z87_13663,
											(int) (0L), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza32024ze3z87_13663,
											(int) (1L), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza32024ze3z87_13663,
											(int) (2L), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza32024ze3z87_13663,
											(int) (3L), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza32024ze3z87_13663;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32037ze3z87_13664;

										BgL_zc3z04anonymousza32037ze3z87_13664 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32037ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (4L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32037ze3z87_13664,
											(int) (0L), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza32037ze3z87_13664,
											(int) (1L), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza32037ze3z87_13664,
											(int) (2L), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza32037ze3z87_13664,
											(int) (3L), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza32037ze3z87_13664;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:1993> */
	obj_t BGl_z62zc3z04anonymousza31993ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13665, obj_t BgL_sz00_13669)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				long BgL_siza7eza7_13666;
				obj_t BgL_locz00_13667;
				obj_t BgL_cfunz00_13668;

				BgL_siza7eza7_13666 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13665, (int) (0L)));
				BgL_locz00_13667 = PROCEDURE_REF(BgL_envz00_13665, (int) (1L));
				BgL_cfunz00_13668 = PROCEDURE_REF(BgL_envz00_13665, (int) (2L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15765;

					BgL_bpz00_15765 = VECTOR_REF(((obj_t) BgL_sz00_13669), 0L);
					{	/* Eval/evaluate_comp.scm 896 */

						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15766;

							BgL_nbpz00_15766 =
								((long) CINT(BgL_bpz00_15765) + BgL_siza7eza7_13666);
							VECTOR_SET(((obj_t) BgL_sz00_13669), 0L, BINT(BgL_nbpz00_15766));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20568;

								BgL_tmpz00_20568 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20568, BgL_locz00_13667);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15767;

								BgL_rz00_15767 =
									(VA_PROCEDUREP(BgL_cfunz00_13668) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_cfunz00_13668)) (BgL_cfunz00_13668,
										BEOA) : ((obj_t(*)(obj_t))
										PROCEDURE_ENTRY(BgL_cfunz00_13668)) (BgL_cfunz00_13668));
								VECTOR_SET(((obj_t) BgL_sz00_13669), 0L, BgL_bpz00_15765);
								return BgL_rz00_15767;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1995> */
	obj_t BGl_z62zc3z04anonymousza31995ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13670, obj_t BgL_sz00_13673)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				long BgL_siza7eza7_13671;
				obj_t BgL_cfunz00_13672;

				BgL_siza7eza7_13671 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13670, (int) (0L)));
				BgL_cfunz00_13672 = PROCEDURE_REF(BgL_envz00_13670, (int) (1L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15768;

					BgL_bpz00_15768 = VECTOR_REF(((obj_t) BgL_sz00_13673), 0L);
					{	/* Eval/evaluate_comp.scm 896 */

						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15769;

							BgL_nbpz00_15769 =
								((long) CINT(BgL_bpz00_15768) + BgL_siza7eza7_13671);
							VECTOR_SET(((obj_t) BgL_sz00_13673), 0L, BINT(BgL_nbpz00_15769));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15770;

								BgL_rz00_15770 =
									(VA_PROCEDUREP(BgL_cfunz00_13672) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_cfunz00_13672)) (BgL_cfunz00_13672,
										BEOA) : ((obj_t(*)(obj_t))
										PROCEDURE_ENTRY(BgL_cfunz00_13672)) (BgL_cfunz00_13672));
								VECTOR_SET(((obj_t) BgL_sz00_13673), 0L, BgL_bpz00_15768);
								return BgL_rz00_15770;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1998> */
	obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13674, obj_t BgL_sz00_13679)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13675;
				obj_t BgL_locz00_13676;
				obj_t BgL_symbzd2funzd2_13677;
				long BgL_siza7eza7_13678;

				BgL_funz00_13675 = PROCEDURE_REF(BgL_envz00_13674, (int) (0L));
				BgL_locz00_13676 = PROCEDURE_REF(BgL_envz00_13674, (int) (1L));
				BgL_symbzd2funzd2_13677 = PROCEDURE_REF(BgL_envz00_13674, (int) (2L));
				BgL_siza7eza7_13678 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13674, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15771;

					BgL_bpz00_15771 = VECTOR_REF(((obj_t) BgL_sz00_13679), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15772;

						BgL_fz00_15772 =
							(VA_PROCEDUREP(BgL_funz00_13675) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13675)) (BgL_funz00_13675,
								BgL_sz00_13679, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13675)) (BgL_funz00_13675,
								BgL_sz00_13679));
						if (PROCEDUREP(BgL_fz00_15772))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13676,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15772);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15773;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20611;

								BgL_tmpz00_20611 = ((obj_t) BgL_fz00_15772);
								BgL_ufz00_15773 = PROCEDURE_ATTR(BgL_tmpz00_20611);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5017z00_20614;

								if (STRUCTP(BgL_ufz00_15773))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5017z00_20614 =
											(STRUCT_KEY(BgL_ufz00_15773) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5017z00_20614 = ((bool_t) 0);
									}
								if (BgL_test5017z00_20614)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15774;
										obj_t BgL_runz00_15775;
										obj_t BgL_sfz00_15776;

										BgL_arityz00_15774 =
											STRUCT_REF(BgL_ufz00_15773, (int) (0L));
										BgL_runz00_15775 = STRUCT_REF(BgL_ufz00_15773, (int) (1L));
										BgL_sfz00_15776 = STRUCT_REF(BgL_ufz00_15773, (int) (2L));
										if (((long) CINT(BgL_arityz00_15774) == 0L))
											{	/* Eval/evaluate_comp.scm 896 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15774))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15774))
															{
															case -1L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2002z00_15777;
																	obj_t BgL_arg2003z00_15778;

																	BgL_arg2002z00_15777 =
																		((long) CINT(BgL_bpz00_15771) + 0L);
																	BgL_arg2003z00_15778 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13679),
																		BgL_arg2002z00_15777, BgL_arg2003z00_15778);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13676, STRUCT_REF(BgL_ufz00_15773,
																		(int) (3L)), (int) (0L),
																	CINT(BgL_arityz00_15774));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13676, STRUCT_REF(BgL_ufz00_15773,
																(int) (3L)), (int) (0L),
															CINT(BgL_arityz00_15774));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15779;

											BgL_z12denvz12_15779 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15779,
												BgL_locz00_13676);
											if ((((long) CINT(BgL_bpz00_15771) +
														(long) CINT(BgL_sfz00_15776)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13679))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15775;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15780;

													BgL_nsz00_15780 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2008z00_15781;

														BgL_arg2008z00_15781 =
															((long) CINT(BgL_bpz00_15771) + 0L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15780, 2L, BgL_sz00_13679,
															BgL_bpz00_15771, BINT(BgL_arg2008z00_15781));
													}
													VECTOR_SET(BgL_nsz00_15780, 1L, BgL_sz00_13679);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15779,
														BgL_nsz00_15780);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15782;

														BgL_ez00_15782 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4358z00_15783;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4359z00_15784;

																BgL_arg4359z00_15784 =
																	BGL_EXITD_PROTECT(BgL_ez00_15782);
																BgL_arg4358z00_15783 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13679,
																	BgL_arg4359z00_15784);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15782,
																BgL_arg4358z00_15783);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15785;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15786;

																BgL_savedzd2bpzd2_15786 =
																	VECTOR_REF(BgL_nsz00_15780, 0L);
																VECTOR_SET(BgL_nsz00_15780, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_15788;

																	BgL_fz00_15788 = BgL_runz00_15775;
																BgL_recz00_15787:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15789;

																		BgL_rz00_15789 =
																			(VA_PROCEDUREP(BgL_fz00_15788)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_15788))
																			(BgL_fz00_15788, BgL_nsz00_15780,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15788))
																			(BgL_fz00_15788, BgL_nsz00_15780));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5022z00_20673;

																			if (PROCEDUREP(BgL_rz00_15789))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_15790;

																					BgL_arg1778z00_15790 =
																						PROCEDURE_ATTR(BgL_rz00_15789);
																					if (STRUCTP(BgL_arg1778z00_15790))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5022z00_20673 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_15790) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5022z00_20673 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5022z00_20673 = ((bool_t) 0);
																				}
																			if (BgL_test5022z00_20673)
																				{
																					obj_t BgL_fz00_20681;

																					BgL_fz00_20681 = BgL_rz00_15789;
																					BgL_fz00_15788 = BgL_fz00_20681;
																					goto BgL_recz00_15787;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15780, 0L,
																						BgL_savedzd2bpzd2_15786);
																					BgL_____rz00_15785 = BgL_rz00_15789;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5025z00_20683;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4357z00_15791;

																	BgL_arg4357z00_15791 =
																		BGL_EXITD_PROTECT(BgL_ez00_15782);
																	BgL_test5025z00_20683 =
																		PAIRP(BgL_arg4357z00_15791);
																}
																if (BgL_test5025z00_20683)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4355z00_15792;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4356z00_15793;

																			BgL_arg4356z00_15793 =
																				BGL_EXITD_PROTECT(BgL_ez00_15782);
																			BgL_arg4355z00_15792 =
																				CDR(((obj_t) BgL_arg4356z00_15793));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15782,
																			BgL_arg4355z00_15792);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15779,
																BgL_sz00_13679);
															return BgL_____rz00_15785;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15772, (int) (0L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15794;

												BgL_nbpz00_15794 =
													((long) CINT(BgL_bpz00_15771) + BgL_siza7eza7_13678);
												VECTOR_SET(
													((obj_t) BgL_sz00_13679), 0L, BINT(BgL_nbpz00_15794));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_20699;

													BgL_tmpz00_20699 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20699,
														BgL_locz00_13676);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15795;

													BgL_rz00_15795 =
														(VA_PROCEDUREP(BgL_fz00_15772) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_15772)) (BgL_fz00_15772,
															BEOA) : ((obj_t(*)(obj_t))
															PROCEDURE_ENTRY(BgL_fz00_15772))
														(BgL_fz00_15772));
													VECTOR_SET(((obj_t) BgL_sz00_13679), 0L,
														BgL_bpz00_15771);
													return BgL_rz00_15795;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13676,
													BgL_symbzd2funzd2_13677, (int) (0L),
													PROCEDURE_ARITY(BgL_fz00_15772));
		}}}}}}}}

	}



/* &<@anonymous:2011> */
	obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13680, obj_t BgL_sz00_13685)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13681;
				obj_t BgL_locz00_13682;
				obj_t BgL_symbzd2funzd2_13683;
				long BgL_siza7eza7_13684;

				BgL_funz00_13681 = PROCEDURE_REF(BgL_envz00_13680, (int) (0L));
				BgL_locz00_13682 = PROCEDURE_REF(BgL_envz00_13680, (int) (1L));
				BgL_symbzd2funzd2_13683 = PROCEDURE_REF(BgL_envz00_13680, (int) (2L));
				BgL_siza7eza7_13684 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13680, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15796;

					BgL_bpz00_15796 = VECTOR_REF(((obj_t) BgL_sz00_13685), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15797;

						BgL_fz00_15797 =
							(VA_PROCEDUREP(BgL_funz00_13681) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13681)) (BgL_funz00_13681,
								BgL_sz00_13685, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13681)) (BgL_funz00_13681,
								BgL_sz00_13685));
						if (PROCEDUREP(BgL_fz00_15797))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13682,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15797);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15798;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20728;

								BgL_tmpz00_20728 = ((obj_t) BgL_fz00_15797);
								BgL_ufz00_15798 = PROCEDURE_ATTR(BgL_tmpz00_20728);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5028z00_20731;

								if (STRUCTP(BgL_ufz00_15798))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5028z00_20731 =
											(STRUCT_KEY(BgL_ufz00_15798) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5028z00_20731 = ((bool_t) 0);
									}
								if (BgL_test5028z00_20731)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15799;
										obj_t BgL_runz00_15800;
										obj_t BgL_sfz00_15801;

										BgL_arityz00_15799 =
											STRUCT_REF(BgL_ufz00_15798, (int) (0L));
										BgL_runz00_15800 = STRUCT_REF(BgL_ufz00_15798, (int) (1L));
										BgL_sfz00_15801 = STRUCT_REF(BgL_ufz00_15798, (int) (2L));
										if (((long) CINT(BgL_arityz00_15799) == 0L))
											{	/* Eval/evaluate_comp.scm 896 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15799))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15799))
															{
															case -1L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2015z00_15802;
																	obj_t BgL_arg2016z00_15803;

																	BgL_arg2015z00_15802 =
																		((long) CINT(BgL_bpz00_15796) + 0L);
																	BgL_arg2016z00_15803 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13685),
																		BgL_arg2015z00_15802, BgL_arg2016z00_15803);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13682, STRUCT_REF(BgL_ufz00_15798,
																		(int) (3L)), (int) (0L),
																	CINT(BgL_arityz00_15799));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13682, STRUCT_REF(BgL_ufz00_15798,
																(int) (3L)), (int) (0L),
															CINT(BgL_arityz00_15799));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15804;

											BgL_z12denvz12_15804 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15796) +
														(long) CINT(BgL_sfz00_15801)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13685))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15800;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15805;

													BgL_nsz00_15805 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2020z00_15806;

														BgL_arg2020z00_15806 =
															((long) CINT(BgL_bpz00_15796) + 0L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15805, 2L, BgL_sz00_13685,
															BgL_bpz00_15796, BINT(BgL_arg2020z00_15806));
													}
													VECTOR_SET(BgL_nsz00_15805, 1L, BgL_sz00_13685);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15804,
														BgL_nsz00_15805);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15807;

														BgL_ez00_15807 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4358z00_15808;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4359z00_15809;

																BgL_arg4359z00_15809 =
																	BGL_EXITD_PROTECT(BgL_ez00_15807);
																BgL_arg4358z00_15808 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13685,
																	BgL_arg4359z00_15809);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15807,
																BgL_arg4358z00_15808);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15810;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15811;

																BgL_savedzd2bpzd2_15811 =
																	VECTOR_REF(BgL_nsz00_15805, 0L);
																VECTOR_SET(BgL_nsz00_15805, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_15813;

																	BgL_fz00_15813 = BgL_runz00_15800;
																BgL_recz00_15812:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15814;

																		BgL_rz00_15814 =
																			(VA_PROCEDUREP(BgL_fz00_15813)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_15813))
																			(BgL_fz00_15813, BgL_nsz00_15805,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15813))
																			(BgL_fz00_15813, BgL_nsz00_15805));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5033z00_20789;

																			if (PROCEDUREP(BgL_rz00_15814))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_15815;

																					BgL_arg1778z00_15815 =
																						PROCEDURE_ATTR(BgL_rz00_15814);
																					if (STRUCTP(BgL_arg1778z00_15815))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5033z00_20789 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_15815) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5033z00_20789 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5033z00_20789 = ((bool_t) 0);
																				}
																			if (BgL_test5033z00_20789)
																				{
																					obj_t BgL_fz00_20797;

																					BgL_fz00_20797 = BgL_rz00_15814;
																					BgL_fz00_15813 = BgL_fz00_20797;
																					goto BgL_recz00_15812;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15805, 0L,
																						BgL_savedzd2bpzd2_15811);
																					BgL_____rz00_15810 = BgL_rz00_15814;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5036z00_20799;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4357z00_15816;

																	BgL_arg4357z00_15816 =
																		BGL_EXITD_PROTECT(BgL_ez00_15807);
																	BgL_test5036z00_20799 =
																		PAIRP(BgL_arg4357z00_15816);
																}
																if (BgL_test5036z00_20799)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4355z00_15817;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4356z00_15818;

																			BgL_arg4356z00_15818 =
																				BGL_EXITD_PROTECT(BgL_ez00_15807);
																			BgL_arg4355z00_15817 =
																				CDR(((obj_t) BgL_arg4356z00_15818));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15807,
																			BgL_arg4355z00_15817);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15804,
																BgL_sz00_13685);
															return BgL_____rz00_15810;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15797, (int) (0L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15819;

												BgL_nbpz00_15819 =
													((long) CINT(BgL_bpz00_15796) + BgL_siza7eza7_13684);
												VECTOR_SET(
													((obj_t) BgL_sz00_13685), 0L, BINT(BgL_nbpz00_15819));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15820;

													BgL_rz00_15820 =
														(VA_PROCEDUREP(BgL_fz00_15797) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_15797)) (BgL_fz00_15797,
															BEOA) : ((obj_t(*)(obj_t))
															PROCEDURE_ENTRY(BgL_fz00_15797))
														(BgL_fz00_15797));
													VECTOR_SET(((obj_t) BgL_sz00_13685), 0L,
														BgL_bpz00_15796);
													return BgL_rz00_15820;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13682,
													BgL_symbzd2funzd2_13683, (int) (0L),
													PROCEDURE_ARITY(BgL_fz00_15797));
		}}}}}}}}

	}



/* &<@anonymous:2024> */
	obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13686, obj_t BgL_sz00_13691)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13687;
				obj_t BgL_locz00_13688;
				obj_t BgL_symbzd2funzd2_13689;
				long BgL_siza7eza7_13690;

				BgL_funz00_13687 = PROCEDURE_REF(BgL_envz00_13686, (int) (0L));
				BgL_locz00_13688 = PROCEDURE_REF(BgL_envz00_13686, (int) (1L));
				BgL_symbzd2funzd2_13689 = PROCEDURE_REF(BgL_envz00_13686, (int) (2L));
				BgL_siza7eza7_13690 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13686, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15821;

					BgL_bpz00_15821 = VECTOR_REF(((obj_t) BgL_sz00_13691), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15822;

						BgL_fz00_15822 =
							(VA_PROCEDUREP(BgL_funz00_13687) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13687)) (BgL_funz00_13687,
								BgL_sz00_13691, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13687)) (BgL_funz00_13687,
								BgL_sz00_13691));
						if (PROCEDUREP(BgL_fz00_15822))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13688,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15822);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15823;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20841;

								BgL_tmpz00_20841 = ((obj_t) BgL_fz00_15822);
								BgL_ufz00_15823 = PROCEDURE_ATTR(BgL_tmpz00_20841);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5039z00_20844;

								if (STRUCTP(BgL_ufz00_15823))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5039z00_20844 =
											(STRUCT_KEY(BgL_ufz00_15823) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5039z00_20844 = ((bool_t) 0);
									}
								if (BgL_test5039z00_20844)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15824;
										obj_t BgL_runz00_15825;
										obj_t BgL_sfz00_15826;

										BgL_arityz00_15824 =
											STRUCT_REF(BgL_ufz00_15823, (int) (0L));
										BgL_runz00_15825 = STRUCT_REF(BgL_ufz00_15823, (int) (1L));
										BgL_sfz00_15826 = STRUCT_REF(BgL_ufz00_15823, (int) (2L));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15827;

											BgL_spz00_15827 =
												((long) CINT(BgL_bpz00_15821) + BgL_siza7eza7_13690);
											if (((long) CINT(BgL_arityz00_15824) == 0L))
												{	/* Eval/evaluate_comp.scm 896 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15824))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15824))
																{
																case -1L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2028z00_15828;
																		obj_t BgL_arg2029z00_15829;

																		BgL_arg2028z00_15828 =
																			(BgL_spz00_15827 + 0L);
																		BgL_arg2029z00_15829 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13691),
																			BgL_arg2028z00_15828,
																			BgL_arg2029z00_15829);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13688,
																		STRUCT_REF(BgL_ufz00_15823, (int) (3L)),
																		(int) (0L), CINT(BgL_arityz00_15824));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13688, STRUCT_REF(BgL_ufz00_15823,
																	(int) (3L)), (int) (0L),
																CINT(BgL_arityz00_15824));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15830;

												BgL_z12denvz12_15830 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15830,
													BgL_locz00_13688);
												if (((BgL_spz00_15827 + (long) CINT(BgL_sfz00_15826)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13691))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15825, BgL_sz00_13691,
															BINT(BgL_spz00_15827));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15831;

														BgL_nsz00_15831 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2033z00_15832;

															BgL_arg2033z00_15832 = (BgL_spz00_15827 + 0L);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15831, 2L, BgL_sz00_13691,
																BINT(BgL_spz00_15827),
																BINT(BgL_arg2033z00_15832));
														}
														VECTOR_SET(BgL_nsz00_15831, 1L, BgL_sz00_13691);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15830,
															BgL_nsz00_15831);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15833;

															BgL_ez00_15833 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4358z00_15834;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4359z00_15835;

																	BgL_arg4359z00_15835 =
																		BGL_EXITD_PROTECT(BgL_ez00_15833);
																	BgL_arg4358z00_15834 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13691,
																		BgL_arg4359z00_15835);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15833,
																	BgL_arg4358z00_15834);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15836;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15837;

																	BgL_savedzd2bpzd2_15837 =
																		VECTOR_REF(BgL_nsz00_15831, 0L);
																	VECTOR_SET(BgL_nsz00_15831, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_15839;

																		BgL_fz00_15839 = BgL_runz00_15825;
																	BgL_recz00_15838:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15840;

																			BgL_rz00_15840 =
																				(VA_PROCEDUREP(BgL_fz00_15839)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_15839))
																				(BgL_fz00_15839, BgL_nsz00_15831,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_15839))
																				(BgL_fz00_15839, BgL_nsz00_15831));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5044z00_20905;

																				if (PROCEDUREP(BgL_rz00_15840))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_15841;

																						BgL_arg1778z00_15841 =
																							PROCEDURE_ATTR(BgL_rz00_15840);
																						if (STRUCTP(BgL_arg1778z00_15841))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5044z00_20905 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_15841) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5044z00_20905 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5044z00_20905 =
																							((bool_t) 0);
																					}
																				if (BgL_test5044z00_20905)
																					{
																						obj_t BgL_fz00_20913;

																						BgL_fz00_20913 = BgL_rz00_15840;
																						BgL_fz00_15839 = BgL_fz00_20913;
																						goto BgL_recz00_15838;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15831, 0L,
																							BgL_savedzd2bpzd2_15837);
																						BgL_____rz00_15836 = BgL_rz00_15840;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5047z00_20915;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4357z00_15842;

																		BgL_arg4357z00_15842 =
																			BGL_EXITD_PROTECT(BgL_ez00_15833);
																		BgL_test5047z00_20915 =
																			PAIRP(BgL_arg4357z00_15842);
																	}
																	if (BgL_test5047z00_20915)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4355z00_15843;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4356z00_15844;

																				BgL_arg4356z00_15844 =
																					BGL_EXITD_PROTECT(BgL_ez00_15833);
																				BgL_arg4355z00_15843 =
																					CDR(((obj_t) BgL_arg4356z00_15844));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15833,
																				BgL_arg4355z00_15843);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15830,
																	BgL_sz00_13691);
																return BgL_____rz00_15836;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15822, (int) (0L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15845;

												BgL_nbpz00_15845 =
													((long) CINT(BgL_bpz00_15821) + BgL_siza7eza7_13690);
												VECTOR_SET(
													((obj_t) BgL_sz00_13691), 0L, BINT(BgL_nbpz00_15845));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_20931;

													BgL_tmpz00_20931 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20931,
														BgL_locz00_13688);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15846;

													BgL_rz00_15846 =
														(VA_PROCEDUREP(BgL_fz00_15822) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_15822)) (BgL_fz00_15822,
															BEOA) : ((obj_t(*)(obj_t))
															PROCEDURE_ENTRY(BgL_fz00_15822))
														(BgL_fz00_15822));
													VECTOR_SET(((obj_t) BgL_sz00_13691), 0L,
														BgL_bpz00_15821);
													return BgL_rz00_15846;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13688,
													BgL_symbzd2funzd2_13689, (int) (0L),
													PROCEDURE_ARITY(BgL_fz00_15822));
		}}}}}}}}

	}



/* &<@anonymous:2037> */
	obj_t BGl_z62zc3z04anonymousza32037ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13692, obj_t BgL_sz00_13697)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13693;
				obj_t BgL_locz00_13694;
				obj_t BgL_symbzd2funzd2_13695;
				long BgL_siza7eza7_13696;

				BgL_funz00_13693 = PROCEDURE_REF(BgL_envz00_13692, (int) (0L));
				BgL_locz00_13694 = PROCEDURE_REF(BgL_envz00_13692, (int) (1L));
				BgL_symbzd2funzd2_13695 = PROCEDURE_REF(BgL_envz00_13692, (int) (2L));
				BgL_siza7eza7_13696 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13692, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15847;

					BgL_bpz00_15847 = VECTOR_REF(((obj_t) BgL_sz00_13697), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15848;

						BgL_fz00_15848 =
							(VA_PROCEDUREP(BgL_funz00_13693) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13693)) (BgL_funz00_13693,
								BgL_sz00_13697, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13693)) (BgL_funz00_13693,
								BgL_sz00_13697));
						if (PROCEDUREP(BgL_fz00_15848))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13694,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15848);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15849;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20960;

								BgL_tmpz00_20960 = ((obj_t) BgL_fz00_15848);
								BgL_ufz00_15849 = PROCEDURE_ATTR(BgL_tmpz00_20960);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5050z00_20963;

								if (STRUCTP(BgL_ufz00_15849))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5050z00_20963 =
											(STRUCT_KEY(BgL_ufz00_15849) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5050z00_20963 = ((bool_t) 0);
									}
								if (BgL_test5050z00_20963)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15850;
										obj_t BgL_runz00_15851;
										obj_t BgL_sfz00_15852;

										BgL_arityz00_15850 =
											STRUCT_REF(BgL_ufz00_15849, (int) (0L));
										BgL_runz00_15851 = STRUCT_REF(BgL_ufz00_15849, (int) (1L));
										BgL_sfz00_15852 = STRUCT_REF(BgL_ufz00_15849, (int) (2L));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15853;

											BgL_spz00_15853 =
												((long) CINT(BgL_bpz00_15847) + BgL_siza7eza7_13696);
											if (((long) CINT(BgL_arityz00_15850) == 0L))
												{	/* Eval/evaluate_comp.scm 896 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15850))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15850))
																{
																case -1L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2041z00_15854;
																		obj_t BgL_arg2042z00_15855;

																		BgL_arg2041z00_15854 =
																			(BgL_spz00_15853 + 0L);
																		BgL_arg2042z00_15855 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13697),
																			BgL_arg2041z00_15854,
																			BgL_arg2042z00_15855);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13694,
																		STRUCT_REF(BgL_ufz00_15849, (int) (3L)),
																		(int) (0L), CINT(BgL_arityz00_15850));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13694, STRUCT_REF(BgL_ufz00_15849,
																	(int) (3L)), (int) (0L),
																CINT(BgL_arityz00_15850));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15856;

												BgL_z12denvz12_15856 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15853 +
															(long) CINT(BgL_sfz00_15852)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13697))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15851, BgL_sz00_13697,
															BINT(BgL_spz00_15853));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15857;

														BgL_nsz00_15857 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2046z00_15858;

															BgL_arg2046z00_15858 = (BgL_spz00_15853 + 0L);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15857, 2L, BgL_sz00_13697,
																BINT(BgL_spz00_15853),
																BINT(BgL_arg2046z00_15858));
														}
														VECTOR_SET(BgL_nsz00_15857, 1L, BgL_sz00_13697);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15856,
															BgL_nsz00_15857);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15859;

															BgL_ez00_15859 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4358z00_15860;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4359z00_15861;

																	BgL_arg4359z00_15861 =
																		BGL_EXITD_PROTECT(BgL_ez00_15859);
																	BgL_arg4358z00_15860 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13697,
																		BgL_arg4359z00_15861);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15859,
																	BgL_arg4358z00_15860);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15862;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15863;

																	BgL_savedzd2bpzd2_15863 =
																		VECTOR_REF(BgL_nsz00_15857, 0L);
																	VECTOR_SET(BgL_nsz00_15857, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_15865;

																		BgL_fz00_15865 = BgL_runz00_15851;
																	BgL_recz00_15864:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15866;

																			BgL_rz00_15866 =
																				(VA_PROCEDUREP(BgL_fz00_15865)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_15865))
																				(BgL_fz00_15865, BgL_nsz00_15857,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_15865))
																				(BgL_fz00_15865, BgL_nsz00_15857));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5055z00_21023;

																				if (PROCEDUREP(BgL_rz00_15866))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_15867;

																						BgL_arg1778z00_15867 =
																							PROCEDURE_ATTR(BgL_rz00_15866);
																						if (STRUCTP(BgL_arg1778z00_15867))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5055z00_21023 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_15867) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5055z00_21023 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5055z00_21023 =
																							((bool_t) 0);
																					}
																				if (BgL_test5055z00_21023)
																					{
																						obj_t BgL_fz00_21031;

																						BgL_fz00_21031 = BgL_rz00_15866;
																						BgL_fz00_15865 = BgL_fz00_21031;
																						goto BgL_recz00_15864;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15857, 0L,
																							BgL_savedzd2bpzd2_15863);
																						BgL_____rz00_15862 = BgL_rz00_15866;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5058z00_21033;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4357z00_15868;

																		BgL_arg4357z00_15868 =
																			BGL_EXITD_PROTECT(BgL_ez00_15859);
																		BgL_test5058z00_21033 =
																			PAIRP(BgL_arg4357z00_15868);
																	}
																	if (BgL_test5058z00_21033)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4355z00_15869;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4356z00_15870;

																				BgL_arg4356z00_15870 =
																					BGL_EXITD_PROTECT(BgL_ez00_15859);
																				BgL_arg4355z00_15869 =
																					CDR(((obj_t) BgL_arg4356z00_15870));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15859,
																				BgL_arg4355z00_15869);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15856,
																	BgL_sz00_13697);
																return BgL_____rz00_15862;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15848, (int) (0L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15871;

												BgL_nbpz00_15871 =
													((long) CINT(BgL_bpz00_15847) + BgL_siza7eza7_13696);
												VECTOR_SET(
													((obj_t) BgL_sz00_13697), 0L, BINT(BgL_nbpz00_15871));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15872;

													BgL_rz00_15872 =
														(VA_PROCEDUREP(BgL_fz00_15848) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_15848)) (BgL_fz00_15848,
															BEOA) : ((obj_t(*)(obj_t))
															PROCEDURE_ENTRY(BgL_fz00_15848))
														(BgL_fz00_15848));
													VECTOR_SET(((obj_t) BgL_sz00_13697), 0L,
														BgL_bpz00_15847);
													return BgL_rz00_15872;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13694,
													BgL_symbzd2funzd2_13695, (int) (0L),
													PROCEDURE_ARITY(BgL_fz00_15848));
		}}}}}}}}

	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145,
		BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147,
		obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150,
		long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2187;

				BgL_cfunz00_2187 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146, 1L,
					BgL_locz00_145, BgL_symbzd2funzd2_147);
				if (CBOOL(BgL_cfunz00_2187))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5061z00_21060;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1374z00_2205;

							BgL_a1374z00_2205 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 896 */

								BgL_test5061z00_21060 = ((long) (BgL_a1374z00_2205) > 0L);
						}}
						if (BgL_test5061z00_21060)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32050ze3z87_13698;

								BgL_zc3z04anonymousza32050ze3z87_13698 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (4L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_13698,
									(int) (0L), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_13698,
									(int) (1L), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_13698,
									(int) (2L), BgL_locz00_145);
								PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_13698,
									(int) (3L), BgL_cfunz00_2187);
								return BgL_zc3z04anonymousza32050ze3z87_13698;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32052ze3z87_13699;

								BgL_zc3z04anonymousza32052ze3z87_13699 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32052ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (3L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32052ze3z87_13699,
									(int) (0L), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3z04anonymousza32052ze3z87_13699,
									(int) (1L), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3z04anonymousza32052ze3z87_13699,
									(int) (2L), BgL_cfunz00_2187);
								return BgL_zc3z04anonymousza32052ze3z87_13699;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_149))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5063z00_21088;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1376z00_2281;

									BgL_a1376z00_2281 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5063z00_21088 = ((long) (BgL_a1376z00_2281) > 0L);
								}}
								if (BgL_test5063z00_21088)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32055ze3z87_13700;

										BgL_zc3z04anonymousza32055ze3z87_13700 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32055ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (5L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32055ze3z87_13700,
											(int) (0L), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32055ze3z87_13700,
											(int) (1L), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32055ze3z87_13700,
											(int) (2L), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32055ze3z87_13700,
											(int) (3L), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32055ze3z87_13700,
											(int) (4L), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32055ze3z87_13700;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32074ze3z87_13701;

										BgL_zc3z04anonymousza32074ze3z87_13701 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32074ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (5L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32074ze3z87_13701,
											(int) (0L), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32074ze3z87_13701,
											(int) (1L), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32074ze3z87_13701,
											(int) (2L), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32074ze3z87_13701,
											(int) (3L), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32074ze3z87_13701,
											(int) (4L), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32074ze3z87_13701;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5064z00_21120;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1378z00_2357;

									BgL_a1378z00_2357 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5064z00_21120 = ((long) (BgL_a1378z00_2357) > 0L);
								}}
								if (BgL_test5064z00_21120)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32093ze3z87_13702;

										BgL_zc3z04anonymousza32093ze3z87_13702 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32093ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (5L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_13702,
											(int) (0L), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_13702,
											(int) (1L), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_13702,
											(int) (2L), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_13702,
											(int) (3L), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_13702,
											(int) (4L), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32093ze3z87_13702;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32110ze3z87_13703;

										BgL_zc3z04anonymousza32110ze3z87_13703 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32110ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (5L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32110ze3z87_13703,
											(int) (0L), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32110ze3z87_13703,
											(int) (1L), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32110ze3z87_13703,
											(int) (2L), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32110ze3z87_13703,
											(int) (3L), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32110ze3z87_13703,
											(int) (4L), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32110ze3z87_13703;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2050> */
	obj_t BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13704, obj_t BgL_sz00_13709)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13705;
				long BgL_siza7eza7_13706;
				obj_t BgL_locz00_13707;
				obj_t BgL_cfunz00_13708;

				BgL_a1z00_13705 = PROCEDURE_REF(BgL_envz00_13704, (int) (0L));
				BgL_siza7eza7_13706 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13704, (int) (1L)));
				BgL_locz00_13707 = PROCEDURE_REF(BgL_envz00_13704, (int) (2L));
				BgL_cfunz00_13708 = PROCEDURE_REF(BgL_envz00_13704, (int) (3L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15873;

					BgL_bpz00_15873 = VECTOR_REF(((obj_t) BgL_sz00_13709), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15874;

						BgL_a1z00_15874 =
							(VA_PROCEDUREP(BgL_a1z00_13705) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13705)) (BgL_a1z00_13705,
								BgL_sz00_13709, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13705)) (BgL_a1z00_13705,
								BgL_sz00_13709));
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15875;

							BgL_nbpz00_15875 =
								((long) CINT(BgL_bpz00_15873) + BgL_siza7eza7_13706);
							VECTOR_SET(((obj_t) BgL_sz00_13709), 0L, BINT(BgL_nbpz00_15875));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21172;

								BgL_tmpz00_21172 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21172, BgL_locz00_13707);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15876;

								BgL_rz00_15876 =
									(VA_PROCEDUREP(BgL_cfunz00_13708) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_cfunz00_13708)) (BgL_cfunz00_13708,
										BgL_a1z00_15874, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_cfunz00_13708)) (BgL_cfunz00_13708,
										BgL_a1z00_15874));
								VECTOR_SET(((obj_t) BgL_sz00_13709), 0L, BgL_bpz00_15873);
								return BgL_rz00_15876;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2052> */
	obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13710, obj_t BgL_sz00_13714)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13711;
				long BgL_siza7eza7_13712;
				obj_t BgL_cfunz00_13713;

				BgL_a1z00_13711 = PROCEDURE_REF(BgL_envz00_13710, (int) (0L));
				BgL_siza7eza7_13712 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13710, (int) (1L)));
				BgL_cfunz00_13713 = PROCEDURE_REF(BgL_envz00_13710, (int) (2L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15877;

					BgL_bpz00_15877 = VECTOR_REF(((obj_t) BgL_sz00_13714), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15878;

						BgL_a1z00_15878 =
							(VA_PROCEDUREP(BgL_a1z00_13711) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13711)) (BgL_a1z00_13711,
								BgL_sz00_13714, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13711)) (BgL_a1z00_13711,
								BgL_sz00_13714));
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15879;

							BgL_nbpz00_15879 =
								((long) CINT(BgL_bpz00_15877) + BgL_siza7eza7_13712);
							VECTOR_SET(((obj_t) BgL_sz00_13714), 0L, BINT(BgL_nbpz00_15879));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15880;

								BgL_rz00_15880 =
									(VA_PROCEDUREP(BgL_cfunz00_13713) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_cfunz00_13713)) (BgL_cfunz00_13713,
										BgL_a1z00_15878, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_cfunz00_13713)) (BgL_cfunz00_13713,
										BgL_a1z00_15878));
								VECTOR_SET(((obj_t) BgL_sz00_13714), 0L, BgL_bpz00_15877);
								return BgL_rz00_15880;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2055> */
	obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13715, obj_t BgL_sz00_13721)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13716;
				obj_t BgL_a1z00_13717;
				obj_t BgL_locz00_13718;
				obj_t BgL_symbzd2funzd2_13719;
				long BgL_siza7eza7_13720;

				BgL_funz00_13716 = PROCEDURE_REF(BgL_envz00_13715, (int) (0L));
				BgL_a1z00_13717 = PROCEDURE_REF(BgL_envz00_13715, (int) (1L));
				BgL_locz00_13718 = PROCEDURE_REF(BgL_envz00_13715, (int) (2L));
				BgL_symbzd2funzd2_13719 = PROCEDURE_REF(BgL_envz00_13715, (int) (3L));
				BgL_siza7eza7_13720 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13715, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15881;

					BgL_bpz00_15881 = VECTOR_REF(((obj_t) BgL_sz00_13721), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15882;
						obj_t BgL_a1z00_15883;

						BgL_fz00_15882 =
							(VA_PROCEDUREP(BgL_funz00_13716) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13716)) (BgL_funz00_13716,
								BgL_sz00_13721, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13716)) (BgL_funz00_13716,
								BgL_sz00_13721));
						BgL_a1z00_15883 =
							(VA_PROCEDUREP(BgL_a1z00_13717) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13717)) (BgL_a1z00_13717,
								BgL_sz00_13721, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13717)) (BgL_a1z00_13717,
								BgL_sz00_13721));
						if (PROCEDUREP(BgL_fz00_15882))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13718,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15882);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15884;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21229;

								BgL_tmpz00_21229 = ((obj_t) BgL_fz00_15882);
								BgL_ufz00_15884 = PROCEDURE_ATTR(BgL_tmpz00_21229);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5066z00_21232;

								if (STRUCTP(BgL_ufz00_15884))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5066z00_21232 =
											(STRUCT_KEY(BgL_ufz00_15884) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5066z00_21232 = ((bool_t) 0);
									}
								if (BgL_test5066z00_21232)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15885;
										obj_t BgL_runz00_15886;
										obj_t BgL_sfz00_15887;

										BgL_arityz00_15885 =
											STRUCT_REF(BgL_ufz00_15884, (int) (0L));
										BgL_runz00_15886 = STRUCT_REF(BgL_ufz00_15884, (int) (1L));
										BgL_sfz00_15887 = STRUCT_REF(BgL_ufz00_15884, (int) (2L));
										if (((long) CINT(BgL_arityz00_15885) == 1L))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2059z00_15888;

												BgL_arg2059z00_15888 =
													((long) CINT(BgL_bpz00_15881) + 0L);
												VECTOR_SET(
													((obj_t) BgL_sz00_13721), BgL_arg2059z00_15888,
													BgL_a1z00_15883);
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15885))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15885))
															{
															case -1L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2060z00_15889;
																	obj_t BgL_arg2061z00_15890;

																	BgL_arg2060z00_15889 =
																		((long) CINT(BgL_bpz00_15881) + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2062z00_15891;

																		BgL_list2062z00_15891 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15883, BNIL);
																		BgL_arg2061z00_15890 =
																			BgL_list2062z00_15891;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13721),
																		BgL_arg2060z00_15889, BgL_arg2061z00_15890);
																} break;
															case -2L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2063z00_15892;

																	BgL_arg2063z00_15892 =
																		((long) CINT(BgL_bpz00_15881) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13721),
																		BgL_arg2063z00_15892, BgL_a1z00_15883);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2066z00_15893;
																	obj_t BgL_arg2067z00_15894;

																	BgL_arg2066z00_15893 =
																		((long) CINT(BgL_bpz00_15881) + 1L);
																	BgL_arg2067z00_15894 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13721),
																		BgL_arg2066z00_15893, BgL_arg2067z00_15894);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13718, STRUCT_REF(BgL_ufz00_15884,
																		(int) (3L)), (int) (1L),
																	CINT(BgL_arityz00_15885));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13718, STRUCT_REF(BgL_ufz00_15884,
																(int) (3L)), (int) (1L),
															CINT(BgL_arityz00_15885));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15895;

											BgL_z12denvz12_15895 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15895,
												BgL_locz00_13718);
											if ((((long) CINT(BgL_bpz00_15881) +
														(long) CINT(BgL_sfz00_15887)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13721))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15886;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15896;

													BgL_nsz00_15896 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2071z00_15897;

														BgL_arg2071z00_15897 =
															((long) CINT(BgL_bpz00_15881) + 1L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15896, 2L, BgL_sz00_13721,
															BgL_bpz00_15881, BINT(BgL_arg2071z00_15897));
													}
													VECTOR_SET(BgL_nsz00_15896, 1L, BgL_sz00_13721);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15895,
														BgL_nsz00_15896);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15898;

														BgL_ez00_15898 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4358z00_15899;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4359z00_15900;

																BgL_arg4359z00_15900 =
																	BGL_EXITD_PROTECT(BgL_ez00_15898);
																BgL_arg4358z00_15899 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13721,
																	BgL_arg4359z00_15900);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15898,
																BgL_arg4358z00_15899);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15901;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15902;

																BgL_savedzd2bpzd2_15902 =
																	VECTOR_REF(BgL_nsz00_15896, 0L);
																VECTOR_SET(BgL_nsz00_15896, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_15904;

																	BgL_fz00_15904 = BgL_runz00_15886;
																BgL_recz00_15903:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15905;

																		BgL_rz00_15905 =
																			(VA_PROCEDUREP(BgL_fz00_15904)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_15904))
																			(BgL_fz00_15904, BgL_nsz00_15896,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15904))
																			(BgL_fz00_15904, BgL_nsz00_15896));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5071z00_21304;

																			if (PROCEDUREP(BgL_rz00_15905))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_15906;

																					BgL_arg1778z00_15906 =
																						PROCEDURE_ATTR(BgL_rz00_15905);
																					if (STRUCTP(BgL_arg1778z00_15906))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5071z00_21304 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_15906) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5071z00_21304 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5071z00_21304 = ((bool_t) 0);
																				}
																			if (BgL_test5071z00_21304)
																				{
																					obj_t BgL_fz00_21312;

																					BgL_fz00_21312 = BgL_rz00_15905;
																					BgL_fz00_15904 = BgL_fz00_21312;
																					goto BgL_recz00_15903;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15896, 0L,
																						BgL_savedzd2bpzd2_15902);
																					BgL_____rz00_15901 = BgL_rz00_15905;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5074z00_21314;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4357z00_15907;

																	BgL_arg4357z00_15907 =
																		BGL_EXITD_PROTECT(BgL_ez00_15898);
																	BgL_test5074z00_21314 =
																		PAIRP(BgL_arg4357z00_15907);
																}
																if (BgL_test5074z00_21314)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4355z00_15908;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4356z00_15909;

																			BgL_arg4356z00_15909 =
																				BGL_EXITD_PROTECT(BgL_ez00_15898);
																			BgL_arg4355z00_15908 =
																				CDR(((obj_t) BgL_arg4356z00_15909));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15898,
																			BgL_arg4355z00_15908);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15895,
																BgL_sz00_13721);
															return BgL_____rz00_15901;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15882, (int) (1L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15910;

												BgL_nbpz00_15910 =
													((long) CINT(BgL_bpz00_15881) + BgL_siza7eza7_13720);
												VECTOR_SET(
													((obj_t) BgL_sz00_13721), 0L, BINT(BgL_nbpz00_15910));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_21330;

													BgL_tmpz00_21330 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21330,
														BgL_locz00_13718);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15911;

													BgL_rz00_15911 =
														(VA_PROCEDUREP(BgL_fz00_15882) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_15882)) (BgL_fz00_15882,
															BgL_a1z00_15883, BEOA) : ((obj_t(*)(obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_15882)) (BgL_fz00_15882,
															BgL_a1z00_15883));
													VECTOR_SET(((obj_t) BgL_sz00_13721), 0L,
														BgL_bpz00_15881);
													return BgL_rz00_15911;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13718,
													BgL_symbzd2funzd2_13719, (int) (1L),
													PROCEDURE_ARITY(BgL_fz00_15882));
		}}}}}}}}

	}



/* &<@anonymous:2074> */
	obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13722, obj_t BgL_sz00_13728)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13723;
				obj_t BgL_a1z00_13724;
				obj_t BgL_locz00_13725;
				obj_t BgL_symbzd2funzd2_13726;
				long BgL_siza7eza7_13727;

				BgL_funz00_13723 = PROCEDURE_REF(BgL_envz00_13722, (int) (0L));
				BgL_a1z00_13724 = PROCEDURE_REF(BgL_envz00_13722, (int) (1L));
				BgL_locz00_13725 = PROCEDURE_REF(BgL_envz00_13722, (int) (2L));
				BgL_symbzd2funzd2_13726 = PROCEDURE_REF(BgL_envz00_13722, (int) (3L));
				BgL_siza7eza7_13727 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13722, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15912;

					BgL_bpz00_15912 = VECTOR_REF(((obj_t) BgL_sz00_13728), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15913;
						obj_t BgL_a1z00_15914;

						BgL_fz00_15913 =
							(VA_PROCEDUREP(BgL_funz00_13723) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13723)) (BgL_funz00_13723,
								BgL_sz00_13728, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13723)) (BgL_funz00_13723,
								BgL_sz00_13728));
						BgL_a1z00_15914 =
							(VA_PROCEDUREP(BgL_a1z00_13724) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13724)) (BgL_a1z00_13724,
								BgL_sz00_13728, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13724)) (BgL_a1z00_13724,
								BgL_sz00_13728));
						if (PROCEDUREP(BgL_fz00_15913))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13725,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15913);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15915;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21366;

								BgL_tmpz00_21366 = ((obj_t) BgL_fz00_15913);
								BgL_ufz00_15915 = PROCEDURE_ATTR(BgL_tmpz00_21366);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5077z00_21369;

								if (STRUCTP(BgL_ufz00_15915))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5077z00_21369 =
											(STRUCT_KEY(BgL_ufz00_15915) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5077z00_21369 = ((bool_t) 0);
									}
								if (BgL_test5077z00_21369)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15916;
										obj_t BgL_runz00_15917;
										obj_t BgL_sfz00_15918;

										BgL_arityz00_15916 =
											STRUCT_REF(BgL_ufz00_15915, (int) (0L));
										BgL_runz00_15917 = STRUCT_REF(BgL_ufz00_15915, (int) (1L));
										BgL_sfz00_15918 = STRUCT_REF(BgL_ufz00_15915, (int) (2L));
										if (((long) CINT(BgL_arityz00_15916) == 1L))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2078z00_15919;

												BgL_arg2078z00_15919 =
													((long) CINT(BgL_bpz00_15912) + 0L);
												VECTOR_SET(
													((obj_t) BgL_sz00_13728), BgL_arg2078z00_15919,
													BgL_a1z00_15914);
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15916))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15916))
															{
															case -1L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2079z00_15920;
																	obj_t BgL_arg2080z00_15921;

																	BgL_arg2079z00_15920 =
																		((long) CINT(BgL_bpz00_15912) + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2081z00_15922;

																		BgL_list2081z00_15922 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15914, BNIL);
																		BgL_arg2080z00_15921 =
																			BgL_list2081z00_15922;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13728),
																		BgL_arg2079z00_15920, BgL_arg2080z00_15921);
																} break;
															case -2L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2082z00_15923;

																	BgL_arg2082z00_15923 =
																		((long) CINT(BgL_bpz00_15912) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13728),
																		BgL_arg2082z00_15923, BgL_a1z00_15914);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2083z00_15924;
																	obj_t BgL_arg2085z00_15925;

																	BgL_arg2083z00_15924 =
																		((long) CINT(BgL_bpz00_15912) + 1L);
																	BgL_arg2085z00_15925 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13728),
																		BgL_arg2083z00_15924, BgL_arg2085z00_15925);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13725, STRUCT_REF(BgL_ufz00_15915,
																		(int) (3L)), (int) (1L),
																	CINT(BgL_arityz00_15916));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13725, STRUCT_REF(BgL_ufz00_15915,
																(int) (3L)), (int) (1L),
															CINT(BgL_arityz00_15916));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15926;

											BgL_z12denvz12_15926 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15912) +
														(long) CINT(BgL_sfz00_15918)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13728))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15917;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15927;

													BgL_nsz00_15927 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2089z00_15928;

														BgL_arg2089z00_15928 =
															((long) CINT(BgL_bpz00_15912) + 1L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15927, 2L, BgL_sz00_13728,
															BgL_bpz00_15912, BINT(BgL_arg2089z00_15928));
													}
													VECTOR_SET(BgL_nsz00_15927, 1L, BgL_sz00_13728);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15926,
														BgL_nsz00_15927);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15929;

														BgL_ez00_15929 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4358z00_15930;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4359z00_15931;

																BgL_arg4359z00_15931 =
																	BGL_EXITD_PROTECT(BgL_ez00_15929);
																BgL_arg4358z00_15930 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13728,
																	BgL_arg4359z00_15931);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15929,
																BgL_arg4358z00_15930);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15932;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15933;

																BgL_savedzd2bpzd2_15933 =
																	VECTOR_REF(BgL_nsz00_15927, 0L);
																VECTOR_SET(BgL_nsz00_15927, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_15935;

																	BgL_fz00_15935 = BgL_runz00_15917;
																BgL_recz00_15934:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15936;

																		BgL_rz00_15936 =
																			(VA_PROCEDUREP(BgL_fz00_15935)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_15935))
																			(BgL_fz00_15935, BgL_nsz00_15927,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15935))
																			(BgL_fz00_15935, BgL_nsz00_15927));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5082z00_21440;

																			if (PROCEDUREP(BgL_rz00_15936))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_15937;

																					BgL_arg1778z00_15937 =
																						PROCEDURE_ATTR(BgL_rz00_15936);
																					if (STRUCTP(BgL_arg1778z00_15937))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5082z00_21440 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_15937) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5082z00_21440 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5082z00_21440 = ((bool_t) 0);
																				}
																			if (BgL_test5082z00_21440)
																				{
																					obj_t BgL_fz00_21448;

																					BgL_fz00_21448 = BgL_rz00_15936;
																					BgL_fz00_15935 = BgL_fz00_21448;
																					goto BgL_recz00_15934;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15927, 0L,
																						BgL_savedzd2bpzd2_15933);
																					BgL_____rz00_15932 = BgL_rz00_15936;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5085z00_21450;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4357z00_15938;

																	BgL_arg4357z00_15938 =
																		BGL_EXITD_PROTECT(BgL_ez00_15929);
																	BgL_test5085z00_21450 =
																		PAIRP(BgL_arg4357z00_15938);
																}
																if (BgL_test5085z00_21450)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4355z00_15939;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4356z00_15940;

																			BgL_arg4356z00_15940 =
																				BGL_EXITD_PROTECT(BgL_ez00_15929);
																			BgL_arg4355z00_15939 =
																				CDR(((obj_t) BgL_arg4356z00_15940));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15929,
																			BgL_arg4355z00_15939);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15926,
																BgL_sz00_13728);
															return BgL_____rz00_15932;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15913, (int) (1L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15941;

												BgL_nbpz00_15941 =
													((long) CINT(BgL_bpz00_15912) + BgL_siza7eza7_13727);
												VECTOR_SET(
													((obj_t) BgL_sz00_13728), 0L, BINT(BgL_nbpz00_15941));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15942;

													BgL_rz00_15942 =
														(VA_PROCEDUREP(BgL_fz00_15913) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_15913)) (BgL_fz00_15913,
															BgL_a1z00_15914, BEOA) : ((obj_t(*)(obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_15913)) (BgL_fz00_15913,
															BgL_a1z00_15914));
													VECTOR_SET(((obj_t) BgL_sz00_13728), 0L,
														BgL_bpz00_15912);
													return BgL_rz00_15942;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13725,
													BgL_symbzd2funzd2_13726, (int) (1L),
													PROCEDURE_ARITY(BgL_fz00_15913));
		}}}}}}}}

	}



/* &<@anonymous:2093> */
	obj_t BGl_z62zc3z04anonymousza32093ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13729, obj_t BgL_sz00_13735)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13730;
				obj_t BgL_a1z00_13731;
				obj_t BgL_locz00_13732;
				obj_t BgL_symbzd2funzd2_13733;
				long BgL_siza7eza7_13734;

				BgL_funz00_13730 = PROCEDURE_REF(BgL_envz00_13729, (int) (0L));
				BgL_a1z00_13731 = PROCEDURE_REF(BgL_envz00_13729, (int) (1L));
				BgL_locz00_13732 = PROCEDURE_REF(BgL_envz00_13729, (int) (2L));
				BgL_symbzd2funzd2_13733 = PROCEDURE_REF(BgL_envz00_13729, (int) (3L));
				BgL_siza7eza7_13734 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13729, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15943;

					BgL_bpz00_15943 = VECTOR_REF(((obj_t) BgL_sz00_13735), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15944;
						obj_t BgL_a1z00_15945;

						BgL_fz00_15944 =
							(VA_PROCEDUREP(BgL_funz00_13730) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13730)) (BgL_funz00_13730,
								BgL_sz00_13735, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13730)) (BgL_funz00_13730,
								BgL_sz00_13735));
						BgL_a1z00_15945 =
							(VA_PROCEDUREP(BgL_a1z00_13731) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13731)) (BgL_a1z00_13731,
								BgL_sz00_13735, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13731)) (BgL_a1z00_13731,
								BgL_sz00_13735));
						if (PROCEDUREP(BgL_fz00_15944))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13732,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15944);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15946;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21499;

								BgL_tmpz00_21499 = ((obj_t) BgL_fz00_15944);
								BgL_ufz00_15946 = PROCEDURE_ATTR(BgL_tmpz00_21499);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5088z00_21502;

								if (STRUCTP(BgL_ufz00_15946))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5088z00_21502 =
											(STRUCT_KEY(BgL_ufz00_15946) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5088z00_21502 = ((bool_t) 0);
									}
								if (BgL_test5088z00_21502)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15947;
										obj_t BgL_runz00_15948;
										obj_t BgL_sfz00_15949;

										BgL_arityz00_15947 =
											STRUCT_REF(BgL_ufz00_15946, (int) (0L));
										BgL_runz00_15948 = STRUCT_REF(BgL_ufz00_15946, (int) (1L));
										BgL_sfz00_15949 = STRUCT_REF(BgL_ufz00_15946, (int) (2L));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15950;

											BgL_spz00_15950 =
												((long) CINT(BgL_bpz00_15943) + BgL_siza7eza7_13734);
											if (((long) CINT(BgL_arityz00_15947) == 1L))
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2097z00_15951;

													BgL_arg2097z00_15951 = (BgL_spz00_15950 + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13735), BgL_arg2097z00_15951,
														BgL_a1z00_15945);
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15947))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15947))
																{
																case -1L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2098z00_15952;
																		obj_t BgL_arg2099z00_15953;

																		BgL_arg2098z00_15952 =
																			(BgL_spz00_15950 + 0L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2100z00_15954;

																			BgL_list2100z00_15954 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15945, BNIL);
																			BgL_arg2099z00_15953 =
																				BgL_list2100z00_15954;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13735),
																			BgL_arg2098z00_15952,
																			BgL_arg2099z00_15953);
																	} break;
																case -2L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2101z00_15955;

																		BgL_arg2101z00_15955 =
																			(BgL_spz00_15950 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13735),
																			BgL_arg2101z00_15955, BgL_a1z00_15945);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2102z00_15956;
																		obj_t BgL_arg2103z00_15957;

																		BgL_arg2102z00_15956 =
																			(BgL_spz00_15950 + 1L);
																		BgL_arg2103z00_15957 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13735),
																			BgL_arg2102z00_15956,
																			BgL_arg2103z00_15957);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13732,
																		STRUCT_REF(BgL_ufz00_15946, (int) (3L)),
																		(int) (1L), CINT(BgL_arityz00_15947));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13732, STRUCT_REF(BgL_ufz00_15946,
																	(int) (3L)), (int) (1L),
																CINT(BgL_arityz00_15947));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15958;

												BgL_z12denvz12_15958 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15958,
													BgL_locz00_13732);
												if (((BgL_spz00_15950 + (long) CINT(BgL_sfz00_15949)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13735))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15948, BgL_sz00_13735,
															BINT(BgL_spz00_15950));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15959;

														BgL_nsz00_15959 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2107z00_15960;

															BgL_arg2107z00_15960 = (BgL_spz00_15950 + 1L);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15959, 2L, BgL_sz00_13735,
																BINT(BgL_spz00_15950),
																BINT(BgL_arg2107z00_15960));
														}
														VECTOR_SET(BgL_nsz00_15959, 1L, BgL_sz00_13735);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15958,
															BgL_nsz00_15959);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15961;

															BgL_ez00_15961 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4358z00_15962;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4359z00_15963;

																	BgL_arg4359z00_15963 =
																		BGL_EXITD_PROTECT(BgL_ez00_15961);
																	BgL_arg4358z00_15962 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13735,
																		BgL_arg4359z00_15963);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15961,
																	BgL_arg4358z00_15962);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15964;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15965;

																	BgL_savedzd2bpzd2_15965 =
																		VECTOR_REF(BgL_nsz00_15959, 0L);
																	VECTOR_SET(BgL_nsz00_15959, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_15967;

																		BgL_fz00_15967 = BgL_runz00_15948;
																	BgL_recz00_15966:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15968;

																			BgL_rz00_15968 =
																				(VA_PROCEDUREP(BgL_fz00_15967)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_15967))
																				(BgL_fz00_15967, BgL_nsz00_15959,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_15967))
																				(BgL_fz00_15967, BgL_nsz00_15959));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5093z00_21573;

																				if (PROCEDUREP(BgL_rz00_15968))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_15969;

																						BgL_arg1778z00_15969 =
																							PROCEDURE_ATTR(BgL_rz00_15968);
																						if (STRUCTP(BgL_arg1778z00_15969))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5093z00_21573 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_15969) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5093z00_21573 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5093z00_21573 =
																							((bool_t) 0);
																					}
																				if (BgL_test5093z00_21573)
																					{
																						obj_t BgL_fz00_21581;

																						BgL_fz00_21581 = BgL_rz00_15968;
																						BgL_fz00_15967 = BgL_fz00_21581;
																						goto BgL_recz00_15966;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15959, 0L,
																							BgL_savedzd2bpzd2_15965);
																						BgL_____rz00_15964 = BgL_rz00_15968;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5096z00_21583;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4357z00_15970;

																		BgL_arg4357z00_15970 =
																			BGL_EXITD_PROTECT(BgL_ez00_15961);
																		BgL_test5096z00_21583 =
																			PAIRP(BgL_arg4357z00_15970);
																	}
																	if (BgL_test5096z00_21583)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4355z00_15971;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4356z00_15972;

																				BgL_arg4356z00_15972 =
																					BGL_EXITD_PROTECT(BgL_ez00_15961);
																				BgL_arg4355z00_15971 =
																					CDR(((obj_t) BgL_arg4356z00_15972));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15961,
																				BgL_arg4355z00_15971);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15958,
																	BgL_sz00_13735);
																return BgL_____rz00_15964;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15944, (int) (1L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15973;

												BgL_nbpz00_15973 =
													((long) CINT(BgL_bpz00_15943) + BgL_siza7eza7_13734);
												VECTOR_SET(
													((obj_t) BgL_sz00_13735), 0L, BINT(BgL_nbpz00_15973));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_21599;

													BgL_tmpz00_21599 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21599,
														BgL_locz00_13732);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15974;

													BgL_rz00_15974 =
														(VA_PROCEDUREP(BgL_fz00_15944) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_15944)) (BgL_fz00_15944,
															BgL_a1z00_15945, BEOA) : ((obj_t(*)(obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_15944)) (BgL_fz00_15944,
															BgL_a1z00_15945));
													VECTOR_SET(((obj_t) BgL_sz00_13735), 0L,
														BgL_bpz00_15943);
													return BgL_rz00_15974;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13732,
													BgL_symbzd2funzd2_13733, (int) (1L),
													PROCEDURE_ARITY(BgL_fz00_15944));
		}}}}}}}}

	}



/* &<@anonymous:2110> */
	obj_t BGl_z62zc3z04anonymousza32110ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13736, obj_t BgL_sz00_13742)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13737;
				obj_t BgL_a1z00_13738;
				obj_t BgL_locz00_13739;
				obj_t BgL_symbzd2funzd2_13740;
				long BgL_siza7eza7_13741;

				BgL_funz00_13737 = PROCEDURE_REF(BgL_envz00_13736, (int) (0L));
				BgL_a1z00_13738 = PROCEDURE_REF(BgL_envz00_13736, (int) (1L));
				BgL_locz00_13739 = PROCEDURE_REF(BgL_envz00_13736, (int) (2L));
				BgL_symbzd2funzd2_13740 = PROCEDURE_REF(BgL_envz00_13736, (int) (3L));
				BgL_siza7eza7_13741 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13736, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15975;

					BgL_bpz00_15975 = VECTOR_REF(((obj_t) BgL_sz00_13742), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15976;
						obj_t BgL_a1z00_15977;

						BgL_fz00_15976 =
							(VA_PROCEDUREP(BgL_funz00_13737) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13737)) (BgL_funz00_13737,
								BgL_sz00_13742, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13737)) (BgL_funz00_13737,
								BgL_sz00_13742));
						BgL_a1z00_15977 =
							(VA_PROCEDUREP(BgL_a1z00_13738) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13738)) (BgL_a1z00_13738,
								BgL_sz00_13742, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13738)) (BgL_a1z00_13738,
								BgL_sz00_13742));
						if (PROCEDUREP(BgL_fz00_15976))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13739,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_15976);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15978;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21635;

								BgL_tmpz00_21635 = ((obj_t) BgL_fz00_15976);
								BgL_ufz00_15978 = PROCEDURE_ATTR(BgL_tmpz00_21635);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5099z00_21638;

								if (STRUCTP(BgL_ufz00_15978))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5099z00_21638 =
											(STRUCT_KEY(BgL_ufz00_15978) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5099z00_21638 = ((bool_t) 0);
									}
								if (BgL_test5099z00_21638)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15979;
										obj_t BgL_runz00_15980;
										obj_t BgL_sfz00_15981;

										BgL_arityz00_15979 =
											STRUCT_REF(BgL_ufz00_15978, (int) (0L));
										BgL_runz00_15980 = STRUCT_REF(BgL_ufz00_15978, (int) (1L));
										BgL_sfz00_15981 = STRUCT_REF(BgL_ufz00_15978, (int) (2L));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15982;

											BgL_spz00_15982 =
												((long) CINT(BgL_bpz00_15975) + BgL_siza7eza7_13741);
											if (((long) CINT(BgL_arityz00_15979) == 1L))
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2114z00_15983;

													BgL_arg2114z00_15983 = (BgL_spz00_15982 + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13742), BgL_arg2114z00_15983,
														BgL_a1z00_15977);
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15979))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15979))
																{
																case -1L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2115z00_15984;
																		obj_t BgL_arg2116z00_15985;

																		BgL_arg2115z00_15984 =
																			(BgL_spz00_15982 + 0L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2117z00_15986;

																			BgL_list2117z00_15986 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15977, BNIL);
																			BgL_arg2116z00_15985 =
																				BgL_list2117z00_15986;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13742),
																			BgL_arg2115z00_15984,
																			BgL_arg2116z00_15985);
																	} break;
																case -2L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2118z00_15987;

																		BgL_arg2118z00_15987 =
																			(BgL_spz00_15982 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13742),
																			BgL_arg2118z00_15987, BgL_a1z00_15977);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2119z00_15988;
																		obj_t BgL_arg2120z00_15989;

																		BgL_arg2119z00_15988 =
																			(BgL_spz00_15982 + 1L);
																		BgL_arg2120z00_15989 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13742),
																			BgL_arg2119z00_15988,
																			BgL_arg2120z00_15989);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13739,
																		STRUCT_REF(BgL_ufz00_15978, (int) (3L)),
																		(int) (1L), CINT(BgL_arityz00_15979));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13739, STRUCT_REF(BgL_ufz00_15978,
																	(int) (3L)), (int) (1L),
																CINT(BgL_arityz00_15979));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15990;

												BgL_z12denvz12_15990 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15982 +
															(long) CINT(BgL_sfz00_15981)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13742))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15980, BgL_sz00_13742,
															BINT(BgL_spz00_15982));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15991;

														BgL_nsz00_15991 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2124z00_15992;

															BgL_arg2124z00_15992 = (BgL_spz00_15982 + 1L);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15991, 2L, BgL_sz00_13742,
																BINT(BgL_spz00_15982),
																BINT(BgL_arg2124z00_15992));
														}
														VECTOR_SET(BgL_nsz00_15991, 1L, BgL_sz00_13742);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15990,
															BgL_nsz00_15991);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15993;

															BgL_ez00_15993 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4358z00_15994;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4359z00_15995;

																	BgL_arg4359z00_15995 =
																		BGL_EXITD_PROTECT(BgL_ez00_15993);
																	BgL_arg4358z00_15994 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13742,
																		BgL_arg4359z00_15995);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15993,
																	BgL_arg4358z00_15994);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15996;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15997;

																	BgL_savedzd2bpzd2_15997 =
																		VECTOR_REF(BgL_nsz00_15991, 0L);
																	VECTOR_SET(BgL_nsz00_15991, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_15999;

																		BgL_fz00_15999 = BgL_runz00_15980;
																	BgL_recz00_15998:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16000;

																			BgL_rz00_16000 =
																				(VA_PROCEDUREP(BgL_fz00_15999)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_15999))
																				(BgL_fz00_15999, BgL_nsz00_15991,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_15999))
																				(BgL_fz00_15999, BgL_nsz00_15991));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5104z00_21708;

																				if (PROCEDUREP(BgL_rz00_16000))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_16001;

																						BgL_arg1778z00_16001 =
																							PROCEDURE_ATTR(BgL_rz00_16000);
																						if (STRUCTP(BgL_arg1778z00_16001))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5104z00_21708 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_16001) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5104z00_21708 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5104z00_21708 =
																							((bool_t) 0);
																					}
																				if (BgL_test5104z00_21708)
																					{
																						obj_t BgL_fz00_21716;

																						BgL_fz00_21716 = BgL_rz00_16000;
																						BgL_fz00_15999 = BgL_fz00_21716;
																						goto BgL_recz00_15998;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15991, 0L,
																							BgL_savedzd2bpzd2_15997);
																						BgL_____rz00_15996 = BgL_rz00_16000;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5107z00_21718;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4357z00_16002;

																		BgL_arg4357z00_16002 =
																			BGL_EXITD_PROTECT(BgL_ez00_15993);
																		BgL_test5107z00_21718 =
																			PAIRP(BgL_arg4357z00_16002);
																	}
																	if (BgL_test5107z00_21718)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4355z00_16003;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4356z00_16004;

																				BgL_arg4356z00_16004 =
																					BGL_EXITD_PROTECT(BgL_ez00_15993);
																				BgL_arg4355z00_16003 =
																					CDR(((obj_t) BgL_arg4356z00_16004));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15993,
																				BgL_arg4355z00_16003);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15990,
																	BgL_sz00_13742);
																return BgL_____rz00_15996;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15976, (int) (1L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16005;

												BgL_nbpz00_16005 =
													((long) CINT(BgL_bpz00_15975) + BgL_siza7eza7_13741);
												VECTOR_SET(
													((obj_t) BgL_sz00_13742), 0L, BINT(BgL_nbpz00_16005));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16006;

													BgL_rz00_16006 =
														(VA_PROCEDUREP(BgL_fz00_15976) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_15976)) (BgL_fz00_15976,
															BgL_a1z00_15977, BEOA) : ((obj_t(*)(obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_15976)) (BgL_fz00_15976,
															BgL_a1z00_15977));
													VECTOR_SET(((obj_t) BgL_sz00_13742), 0L,
														BgL_bpz00_15975);
													return BgL_rz00_16006;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13739,
													BgL_symbzd2funzd2_13740, (int) (1L),
													PROCEDURE_ARITY(BgL_fz00_15976));
		}}}}}}}}

	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153,
		BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155,
		obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158,
		long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2360;

				BgL_cfunz00_2360 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154, 2L,
					BgL_locz00_153, BgL_symbzd2funzd2_155);
				if (CBOOL(BgL_cfunz00_2360))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5110z00_21746;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1380z00_2380;

							BgL_a1380z00_2380 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 896 */

								BgL_test5110z00_21746 = ((long) (BgL_a1380z00_2380) > 0L);
						}}
						if (BgL_test5110z00_21746)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32128ze3z87_13743;

								BgL_zc3z04anonymousza32128ze3z87_13743 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32128ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (5L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_13743,
									(int) (0L), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_13743,
									(int) (1L), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_13743,
									(int) (2L), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_13743,
									(int) (3L), BgL_locz00_153);
								PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_13743,
									(int) (4L), BgL_cfunz00_2360);
								return BgL_zc3z04anonymousza32128ze3z87_13743;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32130ze3z87_13744;

								BgL_zc3z04anonymousza32130ze3z87_13744 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32130ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (4L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32130ze3z87_13744,
									(int) (0L), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3z04anonymousza32130ze3z87_13744,
									(int) (1L), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3z04anonymousza32130ze3z87_13744,
									(int) (2L), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3z04anonymousza32130ze3z87_13744,
									(int) (3L), BgL_cfunz00_2360);
								return BgL_zc3z04anonymousza32130ze3z87_13744;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_157))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5112z00_21778;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1382z00_2472;

									BgL_a1382z00_2472 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5112z00_21778 = ((long) (BgL_a1382z00_2472) > 0L);
								}}
								if (BgL_test5112z00_21778)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32133ze3z87_13745;

										BgL_zc3z04anonymousza32133ze3z87_13745 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32133ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (6L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32133ze3z87_13745,
											(int) (0L), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32133ze3z87_13745,
											(int) (1L), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32133ze3z87_13745,
											(int) (2L), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32133ze3z87_13745,
											(int) (3L), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32133ze3z87_13745,
											(int) (4L), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32133ze3z87_13745,
											(int) (5L), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32133ze3z87_13745;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32158ze3z87_13746;

										BgL_zc3z04anonymousza32158ze3z87_13746 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32158ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (6L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32158ze3z87_13746,
											(int) (0L), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32158ze3z87_13746,
											(int) (1L), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32158ze3z87_13746,
											(int) (2L), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32158ze3z87_13746,
											(int) (3L), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32158ze3z87_13746,
											(int) (4L), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32158ze3z87_13746,
											(int) (5L), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32158ze3z87_13746;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5113z00_21814;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1384z00_2564;

									BgL_a1384z00_2564 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5113z00_21814 = ((long) (BgL_a1384z00_2564) > 0L);
								}}
								if (BgL_test5113z00_21814)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32183ze3z87_13747;

										BgL_zc3z04anonymousza32183ze3z87_13747 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32183ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (6L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32183ze3z87_13747,
											(int) (0L), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32183ze3z87_13747,
											(int) (1L), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32183ze3z87_13747,
											(int) (2L), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32183ze3z87_13747,
											(int) (3L), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32183ze3z87_13747,
											(int) (4L), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32183ze3z87_13747,
											(int) (5L), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32183ze3z87_13747;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32208ze3z87_13748;

										BgL_zc3z04anonymousza32208ze3z87_13748 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32208ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (6L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_13748,
											(int) (0L), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_13748,
											(int) (1L), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_13748,
											(int) (2L), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_13748,
											(int) (3L), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_13748,
											(int) (4L), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_13748,
											(int) (5L), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32208ze3z87_13748;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2128> */
	obj_t BGl_z62zc3z04anonymousza32128ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13749, obj_t BgL_sz00_13755)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13750;
				obj_t BgL_a2z00_13751;
				long BgL_siza7eza7_13752;
				obj_t BgL_locz00_13753;
				obj_t BgL_cfunz00_13754;

				BgL_a1z00_13750 = PROCEDURE_REF(BgL_envz00_13749, (int) (0L));
				BgL_a2z00_13751 = PROCEDURE_REF(BgL_envz00_13749, (int) (1L));
				BgL_siza7eza7_13752 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13749, (int) (2L)));
				BgL_locz00_13753 = PROCEDURE_REF(BgL_envz00_13749, (int) (3L));
				BgL_cfunz00_13754 = PROCEDURE_REF(BgL_envz00_13749, (int) (4L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16007;

					BgL_bpz00_16007 = VECTOR_REF(((obj_t) BgL_sz00_13755), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16008;
						obj_t BgL_a2z00_16009;

						BgL_a1z00_16008 =
							(VA_PROCEDUREP(BgL_a1z00_13750) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13750)) (BgL_a1z00_13750,
								BgL_sz00_13755, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13750)) (BgL_a1z00_13750,
								BgL_sz00_13755));
						BgL_a2z00_16009 =
							(VA_PROCEDUREP(BgL_a2z00_13751) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13751)) (BgL_a2z00_13751,
								BgL_sz00_13755, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13751)) (BgL_a2z00_13751,
								BgL_sz00_13755));
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16010;

							BgL_nbpz00_16010 =
								((long) CINT(BgL_bpz00_16007) + BgL_siza7eza7_13752);
							VECTOR_SET(((obj_t) BgL_sz00_13755), 0L, BINT(BgL_nbpz00_16010));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21876;

								BgL_tmpz00_21876 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21876, BgL_locz00_13753);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16011;

								BgL_rz00_16011 =
									(VA_PROCEDUREP(BgL_cfunz00_13754) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_cfunz00_13754)) (BgL_cfunz00_13754,
										BgL_a1z00_16008, BgL_a2z00_16009, BEOA) : ((obj_t(*)(obj_t,
												obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_cfunz00_13754)) (BgL_cfunz00_13754,
										BgL_a1z00_16008, BgL_a2z00_16009));
								VECTOR_SET(((obj_t) BgL_sz00_13755), 0L, BgL_bpz00_16007);
								return BgL_rz00_16011;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2130> */
	obj_t BGl_z62zc3z04anonymousza32130ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13756, obj_t BgL_sz00_13761)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13757;
				obj_t BgL_a2z00_13758;
				long BgL_siza7eza7_13759;
				obj_t BgL_cfunz00_13760;

				BgL_a1z00_13757 = PROCEDURE_REF(BgL_envz00_13756, (int) (0L));
				BgL_a2z00_13758 = PROCEDURE_REF(BgL_envz00_13756, (int) (1L));
				BgL_siza7eza7_13759 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13756, (int) (2L)));
				BgL_cfunz00_13760 = PROCEDURE_REF(BgL_envz00_13756, (int) (3L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16012;

					BgL_bpz00_16012 = VECTOR_REF(((obj_t) BgL_sz00_13761), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16013;
						obj_t BgL_a2z00_16014;

						BgL_a1z00_16013 =
							(VA_PROCEDUREP(BgL_a1z00_13757) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13757)) (BgL_a1z00_13757,
								BgL_sz00_13761, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13757)) (BgL_a1z00_13757,
								BgL_sz00_13761));
						BgL_a2z00_16014 =
							(VA_PROCEDUREP(BgL_a2z00_13758) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13758)) (BgL_a2z00_13758,
								BgL_sz00_13761, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13758)) (BgL_a2z00_13758,
								BgL_sz00_13761));
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16015;

							BgL_nbpz00_16015 =
								((long) CINT(BgL_bpz00_16012) + BgL_siza7eza7_13759);
							VECTOR_SET(((obj_t) BgL_sz00_13761), 0L, BINT(BgL_nbpz00_16015));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16016;

								BgL_rz00_16016 =
									(VA_PROCEDUREP(BgL_cfunz00_13760) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_cfunz00_13760)) (BgL_cfunz00_13760,
										BgL_a1z00_16013, BgL_a2z00_16014, BEOA) : ((obj_t(*)(obj_t,
												obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_cfunz00_13760)) (BgL_cfunz00_13760,
										BgL_a1z00_16013, BgL_a2z00_16014));
								VECTOR_SET(((obj_t) BgL_sz00_13761), 0L, BgL_bpz00_16012);
								return BgL_rz00_16016;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2133> */
	obj_t BGl_z62zc3z04anonymousza32133ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13762, obj_t BgL_sz00_13769)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13763;
				obj_t BgL_a1z00_13764;
				obj_t BgL_a2z00_13765;
				obj_t BgL_locz00_13766;
				obj_t BgL_symbzd2funzd2_13767;
				long BgL_siza7eza7_13768;

				BgL_funz00_13763 = PROCEDURE_REF(BgL_envz00_13762, (int) (0L));
				BgL_a1z00_13764 = PROCEDURE_REF(BgL_envz00_13762, (int) (1L));
				BgL_a2z00_13765 = PROCEDURE_REF(BgL_envz00_13762, (int) (2L));
				BgL_locz00_13766 = PROCEDURE_REF(BgL_envz00_13762, (int) (3L));
				BgL_symbzd2funzd2_13767 = PROCEDURE_REF(BgL_envz00_13762, (int) (4L));
				BgL_siza7eza7_13768 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13762, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16017;

					BgL_bpz00_16017 = VECTOR_REF(((obj_t) BgL_sz00_13769), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16018;
						obj_t BgL_a1z00_16019;
						obj_t BgL_a2z00_16020;

						BgL_fz00_16018 =
							(VA_PROCEDUREP(BgL_funz00_13763) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13763)) (BgL_funz00_13763,
								BgL_sz00_13769, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13763)) (BgL_funz00_13763,
								BgL_sz00_13769));
						BgL_a1z00_16019 =
							(VA_PROCEDUREP(BgL_a1z00_13764) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13764)) (BgL_a1z00_13764,
								BgL_sz00_13769, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13764)) (BgL_a1z00_13764,
								BgL_sz00_13769));
						BgL_a2z00_16020 =
							(VA_PROCEDUREP(BgL_a2z00_13765) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13765)) (BgL_a2z00_13765,
								BgL_sz00_13769, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13765)) (BgL_a2z00_13765,
								BgL_sz00_13769));
						if (PROCEDUREP(BgL_fz00_16018))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13766,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16018);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16021;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21947;

								BgL_tmpz00_21947 = ((obj_t) BgL_fz00_16018);
								BgL_ufz00_16021 = PROCEDURE_ATTR(BgL_tmpz00_21947);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5115z00_21950;

								if (STRUCTP(BgL_ufz00_16021))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5115z00_21950 =
											(STRUCT_KEY(BgL_ufz00_16021) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5115z00_21950 = ((bool_t) 0);
									}
								if (BgL_test5115z00_21950)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16022;
										obj_t BgL_runz00_16023;
										obj_t BgL_sfz00_16024;

										BgL_arityz00_16022 =
											STRUCT_REF(BgL_ufz00_16021, (int) (0L));
										BgL_runz00_16023 = STRUCT_REF(BgL_ufz00_16021, (int) (1L));
										BgL_sfz00_16024 = STRUCT_REF(BgL_ufz00_16021, (int) (2L));
										if (((long) CINT(BgL_arityz00_16022) == 2L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2137z00_16025;

													BgL_arg2137z00_16025 =
														((long) CINT(BgL_bpz00_16017) + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13769), BgL_arg2137z00_16025,
														BgL_a1z00_16019);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2138z00_16026;

													BgL_arg2138z00_16026 =
														((long) CINT(BgL_bpz00_16017) + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13769), BgL_arg2138z00_16026,
														BgL_a2z00_16020);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16022))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16022))
															{
															case -1L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2139z00_16027;
																	obj_t BgL_arg2140z00_16028;

																	BgL_arg2139z00_16027 =
																		((long) CINT(BgL_bpz00_16017) + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2141z00_16029;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2142z00_16030;

																			BgL_arg2142z00_16030 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16020, BNIL);
																			BgL_list2141z00_16029 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16019,
																				BgL_arg2142z00_16030);
																		}
																		BgL_arg2140z00_16028 =
																			BgL_list2141z00_16029;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13769),
																		BgL_arg2139z00_16027, BgL_arg2140z00_16028);
																} break;
															case -2L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2143z00_16031;

																	BgL_arg2143z00_16031 =
																		((long) CINT(BgL_bpz00_16017) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13769),
																		BgL_arg2143z00_16031, BgL_a1z00_16019);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2144z00_16032;
																	obj_t BgL_arg2145z00_16033;

																	BgL_arg2144z00_16032 =
																		((long) CINT(BgL_bpz00_16017) + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2146z00_16034;

																		BgL_list2146z00_16034 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_16020, BNIL);
																		BgL_arg2145z00_16033 =
																			BgL_list2146z00_16034;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13769),
																		BgL_arg2144z00_16032, BgL_arg2145z00_16033);
																} break;
															case -3L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2148z00_16035;

																	BgL_arg2148z00_16035 =
																		((long) CINT(BgL_bpz00_16017) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13769),
																		BgL_arg2148z00_16035, BgL_a1z00_16019);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2149z00_16036;

																	BgL_arg2149z00_16036 =
																		((long) CINT(BgL_bpz00_16017) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13769),
																		BgL_arg2149z00_16036, BgL_a2z00_16020);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2150z00_16037;
																	obj_t BgL_arg2151z00_16038;

																	BgL_arg2150z00_16037 =
																		((long) CINT(BgL_bpz00_16017) + 2L);
																	BgL_arg2151z00_16038 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13769),
																		BgL_arg2150z00_16037, BgL_arg2151z00_16038);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13766, STRUCT_REF(BgL_ufz00_16021,
																		(int) (3L)), (int) (2L),
																	CINT(BgL_arityz00_16022));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13766, STRUCT_REF(BgL_ufz00_16021,
																(int) (3L)), (int) (2L),
															CINT(BgL_arityz00_16022));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16039;

											BgL_z12denvz12_16039 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16039,
												BgL_locz00_13766);
											if ((((long) CINT(BgL_bpz00_16017) +
														(long) CINT(BgL_sfz00_16024)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13769))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16023;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16040;

													BgL_nsz00_16040 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2155z00_16041;

														BgL_arg2155z00_16041 =
															((long) CINT(BgL_bpz00_16017) + 2L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16040, 2L, BgL_sz00_13769,
															BgL_bpz00_16017, BINT(BgL_arg2155z00_16041));
													}
													VECTOR_SET(BgL_nsz00_16040, 1L, BgL_sz00_13769);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16039,
														BgL_nsz00_16040);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16042;

														BgL_ez00_16042 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4358z00_16043;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4359z00_16044;

																BgL_arg4359z00_16044 =
																	BGL_EXITD_PROTECT(BgL_ez00_16042);
																BgL_arg4358z00_16043 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13769,
																	BgL_arg4359z00_16044);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16042,
																BgL_arg4358z00_16043);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16045;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16046;

																BgL_savedzd2bpzd2_16046 =
																	VECTOR_REF(BgL_nsz00_16040, 0L);
																VECTOR_SET(BgL_nsz00_16040, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_16048;

																	BgL_fz00_16048 = BgL_runz00_16023;
																BgL_recz00_16047:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16049;

																		BgL_rz00_16049 =
																			(VA_PROCEDUREP(BgL_fz00_16048)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_16048))
																			(BgL_fz00_16048, BgL_nsz00_16040,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16048))
																			(BgL_fz00_16048, BgL_nsz00_16040));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5120z00_22040;

																			if (PROCEDUREP(BgL_rz00_16049))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_16050;

																					BgL_arg1778z00_16050 =
																						PROCEDURE_ATTR(BgL_rz00_16049);
																					if (STRUCTP(BgL_arg1778z00_16050))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5120z00_22040 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_16050) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5120z00_22040 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5120z00_22040 = ((bool_t) 0);
																				}
																			if (BgL_test5120z00_22040)
																				{
																					obj_t BgL_fz00_22048;

																					BgL_fz00_22048 = BgL_rz00_16049;
																					BgL_fz00_16048 = BgL_fz00_22048;
																					goto BgL_recz00_16047;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16040, 0L,
																						BgL_savedzd2bpzd2_16046);
																					BgL_____rz00_16045 = BgL_rz00_16049;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5123z00_22050;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4357z00_16051;

																	BgL_arg4357z00_16051 =
																		BGL_EXITD_PROTECT(BgL_ez00_16042);
																	BgL_test5123z00_22050 =
																		PAIRP(BgL_arg4357z00_16051);
																}
																if (BgL_test5123z00_22050)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4355z00_16052;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4356z00_16053;

																			BgL_arg4356z00_16053 =
																				BGL_EXITD_PROTECT(BgL_ez00_16042);
																			BgL_arg4355z00_16052 =
																				CDR(((obj_t) BgL_arg4356z00_16053));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16042,
																			BgL_arg4355z00_16052);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16039,
																BgL_sz00_13769);
															return BgL_____rz00_16045;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16018, (int) (2L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16054;

												BgL_nbpz00_16054 =
													((long) CINT(BgL_bpz00_16017) + BgL_siza7eza7_13768);
												VECTOR_SET(
													((obj_t) BgL_sz00_13769), 0L, BINT(BgL_nbpz00_16054));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_22066;

													BgL_tmpz00_22066 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22066,
														BgL_locz00_13766);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16055;

													BgL_rz00_16055 =
														(VA_PROCEDUREP(BgL_fz00_16018) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16018)) (BgL_fz00_16018,
															BgL_a1z00_16019, BgL_a2z00_16020,
															BEOA) : ((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16018)) (BgL_fz00_16018,
															BgL_a1z00_16019, BgL_a2z00_16020));
													VECTOR_SET(((obj_t) BgL_sz00_13769), 0L,
														BgL_bpz00_16017);
													return BgL_rz00_16055;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13766,
													BgL_symbzd2funzd2_13767, (int) (2L),
													PROCEDURE_ARITY(BgL_fz00_16018));
		}}}}}}}}

	}



/* &<@anonymous:2158> */
	obj_t BGl_z62zc3z04anonymousza32158ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13770, obj_t BgL_sz00_13777)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13771;
				obj_t BgL_a1z00_13772;
				obj_t BgL_a2z00_13773;
				obj_t BgL_locz00_13774;
				obj_t BgL_symbzd2funzd2_13775;
				long BgL_siza7eza7_13776;

				BgL_funz00_13771 = PROCEDURE_REF(BgL_envz00_13770, (int) (0L));
				BgL_a1z00_13772 = PROCEDURE_REF(BgL_envz00_13770, (int) (1L));
				BgL_a2z00_13773 = PROCEDURE_REF(BgL_envz00_13770, (int) (2L));
				BgL_locz00_13774 = PROCEDURE_REF(BgL_envz00_13770, (int) (3L));
				BgL_symbzd2funzd2_13775 = PROCEDURE_REF(BgL_envz00_13770, (int) (4L));
				BgL_siza7eza7_13776 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13770, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16056;

					BgL_bpz00_16056 = VECTOR_REF(((obj_t) BgL_sz00_13777), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16057;
						obj_t BgL_a1z00_16058;
						obj_t BgL_a2z00_16059;

						BgL_fz00_16057 =
							(VA_PROCEDUREP(BgL_funz00_13771) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13771)) (BgL_funz00_13771,
								BgL_sz00_13777, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13771)) (BgL_funz00_13771,
								BgL_sz00_13777));
						BgL_a1z00_16058 =
							(VA_PROCEDUREP(BgL_a1z00_13772) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13772)) (BgL_a1z00_13772,
								BgL_sz00_13777, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13772)) (BgL_a1z00_13772,
								BgL_sz00_13777));
						BgL_a2z00_16059 =
							(VA_PROCEDUREP(BgL_a2z00_13773) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13773)) (BgL_a2z00_13773,
								BgL_sz00_13777, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13773)) (BgL_a2z00_13773,
								BgL_sz00_13777));
						if (PROCEDUREP(BgL_fz00_16057))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13774,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16057);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16060;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22109;

								BgL_tmpz00_22109 = ((obj_t) BgL_fz00_16057);
								BgL_ufz00_16060 = PROCEDURE_ATTR(BgL_tmpz00_22109);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5126z00_22112;

								if (STRUCTP(BgL_ufz00_16060))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5126z00_22112 =
											(STRUCT_KEY(BgL_ufz00_16060) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5126z00_22112 = ((bool_t) 0);
									}
								if (BgL_test5126z00_22112)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16061;
										obj_t BgL_runz00_16062;
										obj_t BgL_sfz00_16063;

										BgL_arityz00_16061 =
											STRUCT_REF(BgL_ufz00_16060, (int) (0L));
										BgL_runz00_16062 = STRUCT_REF(BgL_ufz00_16060, (int) (1L));
										BgL_sfz00_16063 = STRUCT_REF(BgL_ufz00_16060, (int) (2L));
										if (((long) CINT(BgL_arityz00_16061) == 2L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2162z00_16064;

													BgL_arg2162z00_16064 =
														((long) CINT(BgL_bpz00_16056) + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13777), BgL_arg2162z00_16064,
														BgL_a1z00_16058);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2163z00_16065;

													BgL_arg2163z00_16065 =
														((long) CINT(BgL_bpz00_16056) + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13777), BgL_arg2163z00_16065,
														BgL_a2z00_16059);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16061))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16061))
															{
															case -1L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2164z00_16066;
																	obj_t BgL_arg2165z00_16067;

																	BgL_arg2164z00_16066 =
																		((long) CINT(BgL_bpz00_16056) + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2166z00_16068;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2167z00_16069;

																			BgL_arg2167z00_16069 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16059, BNIL);
																			BgL_list2166z00_16068 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16058,
																				BgL_arg2167z00_16069);
																		}
																		BgL_arg2165z00_16067 =
																			BgL_list2166z00_16068;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13777),
																		BgL_arg2164z00_16066, BgL_arg2165z00_16067);
																} break;
															case -2L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2168z00_16070;

																	BgL_arg2168z00_16070 =
																		((long) CINT(BgL_bpz00_16056) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13777),
																		BgL_arg2168z00_16070, BgL_a1z00_16058);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2169z00_16071;
																	obj_t BgL_arg2170z00_16072;

																	BgL_arg2169z00_16071 =
																		((long) CINT(BgL_bpz00_16056) + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2171z00_16073;

																		BgL_list2171z00_16073 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_16059, BNIL);
																		BgL_arg2170z00_16072 =
																			BgL_list2171z00_16073;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13777),
																		BgL_arg2169z00_16071, BgL_arg2170z00_16072);
																} break;
															case -3L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2172z00_16074;

																	BgL_arg2172z00_16074 =
																		((long) CINT(BgL_bpz00_16056) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13777),
																		BgL_arg2172z00_16074, BgL_a1z00_16058);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2173z00_16075;

																	BgL_arg2173z00_16075 =
																		((long) CINT(BgL_bpz00_16056) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13777),
																		BgL_arg2173z00_16075, BgL_a2z00_16059);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2174z00_16076;
																	obj_t BgL_arg2175z00_16077;

																	BgL_arg2174z00_16076 =
																		((long) CINT(BgL_bpz00_16056) + 2L);
																	BgL_arg2175z00_16077 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13777),
																		BgL_arg2174z00_16076, BgL_arg2175z00_16077);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13774, STRUCT_REF(BgL_ufz00_16060,
																		(int) (3L)), (int) (2L),
																	CINT(BgL_arityz00_16061));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13774, STRUCT_REF(BgL_ufz00_16060,
																(int) (3L)), (int) (2L),
															CINT(BgL_arityz00_16061));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16078;

											BgL_z12denvz12_16078 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16056) +
														(long) CINT(BgL_sfz00_16063)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13777))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16062;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16079;

													BgL_nsz00_16079 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2179z00_16080;

														BgL_arg2179z00_16080 =
															((long) CINT(BgL_bpz00_16056) + 2L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16079, 2L, BgL_sz00_13777,
															BgL_bpz00_16056, BINT(BgL_arg2179z00_16080));
													}
													VECTOR_SET(BgL_nsz00_16079, 1L, BgL_sz00_13777);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16078,
														BgL_nsz00_16079);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16081;

														BgL_ez00_16081 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4358z00_16082;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4359z00_16083;

																BgL_arg4359z00_16083 =
																	BGL_EXITD_PROTECT(BgL_ez00_16081);
																BgL_arg4358z00_16082 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13777,
																	BgL_arg4359z00_16083);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16081,
																BgL_arg4358z00_16082);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16084;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16085;

																BgL_savedzd2bpzd2_16085 =
																	VECTOR_REF(BgL_nsz00_16079, 0L);
																VECTOR_SET(BgL_nsz00_16079, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_16087;

																	BgL_fz00_16087 = BgL_runz00_16062;
																BgL_recz00_16086:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16088;

																		BgL_rz00_16088 =
																			(VA_PROCEDUREP(BgL_fz00_16087)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_16087))
																			(BgL_fz00_16087, BgL_nsz00_16079,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16087))
																			(BgL_fz00_16087, BgL_nsz00_16079));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5131z00_22201;

																			if (PROCEDUREP(BgL_rz00_16088))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_16089;

																					BgL_arg1778z00_16089 =
																						PROCEDURE_ATTR(BgL_rz00_16088);
																					if (STRUCTP(BgL_arg1778z00_16089))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5131z00_22201 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_16089) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5131z00_22201 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5131z00_22201 = ((bool_t) 0);
																				}
																			if (BgL_test5131z00_22201)
																				{
																					obj_t BgL_fz00_22209;

																					BgL_fz00_22209 = BgL_rz00_16088;
																					BgL_fz00_16087 = BgL_fz00_22209;
																					goto BgL_recz00_16086;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16079, 0L,
																						BgL_savedzd2bpzd2_16085);
																					BgL_____rz00_16084 = BgL_rz00_16088;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5134z00_22211;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4357z00_16090;

																	BgL_arg4357z00_16090 =
																		BGL_EXITD_PROTECT(BgL_ez00_16081);
																	BgL_test5134z00_22211 =
																		PAIRP(BgL_arg4357z00_16090);
																}
																if (BgL_test5134z00_22211)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4355z00_16091;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4356z00_16092;

																			BgL_arg4356z00_16092 =
																				BGL_EXITD_PROTECT(BgL_ez00_16081);
																			BgL_arg4355z00_16091 =
																				CDR(((obj_t) BgL_arg4356z00_16092));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16081,
																			BgL_arg4355z00_16091);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16078,
																BgL_sz00_13777);
															return BgL_____rz00_16084;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16057, (int) (2L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16093;

												BgL_nbpz00_16093 =
													((long) CINT(BgL_bpz00_16056) + BgL_siza7eza7_13776);
												VECTOR_SET(
													((obj_t) BgL_sz00_13777), 0L, BINT(BgL_nbpz00_16093));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16094;

													BgL_rz00_16094 =
														(VA_PROCEDUREP(BgL_fz00_16057) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16057)) (BgL_fz00_16057,
															BgL_a1z00_16058, BgL_a2z00_16059,
															BEOA) : ((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16057)) (BgL_fz00_16057,
															BgL_a1z00_16058, BgL_a2z00_16059));
													VECTOR_SET(((obj_t) BgL_sz00_13777), 0L,
														BgL_bpz00_16056);
													return BgL_rz00_16094;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13774,
													BgL_symbzd2funzd2_13775, (int) (2L),
													PROCEDURE_ARITY(BgL_fz00_16057));
		}}}}}}}}

	}



/* &<@anonymous:2183> */
	obj_t BGl_z62zc3z04anonymousza32183ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13778, obj_t BgL_sz00_13785)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13779;
				obj_t BgL_a1z00_13780;
				obj_t BgL_a2z00_13781;
				obj_t BgL_locz00_13782;
				obj_t BgL_symbzd2funzd2_13783;
				long BgL_siza7eza7_13784;

				BgL_funz00_13779 = PROCEDURE_REF(BgL_envz00_13778, (int) (0L));
				BgL_a1z00_13780 = PROCEDURE_REF(BgL_envz00_13778, (int) (1L));
				BgL_a2z00_13781 = PROCEDURE_REF(BgL_envz00_13778, (int) (2L));
				BgL_locz00_13782 = PROCEDURE_REF(BgL_envz00_13778, (int) (3L));
				BgL_symbzd2funzd2_13783 = PROCEDURE_REF(BgL_envz00_13778, (int) (4L));
				BgL_siza7eza7_13784 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13778, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16095;

					BgL_bpz00_16095 = VECTOR_REF(((obj_t) BgL_sz00_13785), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16096;
						obj_t BgL_a1z00_16097;
						obj_t BgL_a2z00_16098;

						BgL_fz00_16096 =
							(VA_PROCEDUREP(BgL_funz00_13779) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13779)) (BgL_funz00_13779,
								BgL_sz00_13785, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13779)) (BgL_funz00_13779,
								BgL_sz00_13785));
						BgL_a1z00_16097 =
							(VA_PROCEDUREP(BgL_a1z00_13780) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13780)) (BgL_a1z00_13780,
								BgL_sz00_13785, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13780)) (BgL_a1z00_13780,
								BgL_sz00_13785));
						BgL_a2z00_16098 =
							(VA_PROCEDUREP(BgL_a2z00_13781) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13781)) (BgL_a2z00_13781,
								BgL_sz00_13785, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13781)) (BgL_a2z00_13781,
								BgL_sz00_13785));
						if (PROCEDUREP(BgL_fz00_16096))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13782,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16096);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16099;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22267;

								BgL_tmpz00_22267 = ((obj_t) BgL_fz00_16096);
								BgL_ufz00_16099 = PROCEDURE_ATTR(BgL_tmpz00_22267);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5137z00_22270;

								if (STRUCTP(BgL_ufz00_16099))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5137z00_22270 =
											(STRUCT_KEY(BgL_ufz00_16099) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5137z00_22270 = ((bool_t) 0);
									}
								if (BgL_test5137z00_22270)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16100;
										obj_t BgL_runz00_16101;
										obj_t BgL_sfz00_16102;

										BgL_arityz00_16100 =
											STRUCT_REF(BgL_ufz00_16099, (int) (0L));
										BgL_runz00_16101 = STRUCT_REF(BgL_ufz00_16099, (int) (1L));
										BgL_sfz00_16102 = STRUCT_REF(BgL_ufz00_16099, (int) (2L));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16103;

											BgL_spz00_16103 =
												((long) CINT(BgL_bpz00_16095) + BgL_siza7eza7_13784);
											if (((long) CINT(BgL_arityz00_16100) == 2L))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2187z00_16104;

														BgL_arg2187z00_16104 = (BgL_spz00_16103 + 0L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13785), BgL_arg2187z00_16104,
															BgL_a1z00_16097);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2188z00_16105;

														BgL_arg2188z00_16105 = (BgL_spz00_16103 + 1L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13785), BgL_arg2188z00_16105,
															BgL_a2z00_16098);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16100))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16100))
																{
																case -1L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2189z00_16106;
																		obj_t BgL_arg2190z00_16107;

																		BgL_arg2189z00_16106 =
																			(BgL_spz00_16103 + 0L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2191z00_16108;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2192z00_16109;

																				BgL_arg2192z00_16109 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16098,
																					BNIL);
																				BgL_list2191z00_16108 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16097,
																					BgL_arg2192z00_16109);
																			}
																			BgL_arg2190z00_16107 =
																				BgL_list2191z00_16108;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13785),
																			BgL_arg2189z00_16106,
																			BgL_arg2190z00_16107);
																	} break;
																case -2L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2193z00_16110;

																		BgL_arg2193z00_16110 =
																			(BgL_spz00_16103 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13785),
																			BgL_arg2193z00_16110, BgL_a1z00_16097);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2194z00_16111;
																		obj_t BgL_arg2195z00_16112;

																		BgL_arg2194z00_16111 =
																			(BgL_spz00_16103 + 1L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2196z00_16113;

																			BgL_list2196z00_16113 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16098, BNIL);
																			BgL_arg2195z00_16112 =
																				BgL_list2196z00_16113;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13785),
																			BgL_arg2194z00_16111,
																			BgL_arg2195z00_16112);
																	} break;
																case -3L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2197z00_16114;

																		BgL_arg2197z00_16114 =
																			(BgL_spz00_16103 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13785),
																			BgL_arg2197z00_16114, BgL_a1z00_16097);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2198z00_16115;

																		BgL_arg2198z00_16115 =
																			(BgL_spz00_16103 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13785),
																			BgL_arg2198z00_16115, BgL_a2z00_16098);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2199z00_16116;
																		obj_t BgL_arg2201z00_16117;

																		BgL_arg2199z00_16116 =
																			(BgL_spz00_16103 + 2L);
																		BgL_arg2201z00_16117 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13785),
																			BgL_arg2199z00_16116,
																			BgL_arg2201z00_16117);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13782,
																		STRUCT_REF(BgL_ufz00_16099, (int) (3L)),
																		(int) (2L), CINT(BgL_arityz00_16100));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13782, STRUCT_REF(BgL_ufz00_16099,
																	(int) (3L)), (int) (2L),
																CINT(BgL_arityz00_16100));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16118;

												BgL_z12denvz12_16118 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16118,
													BgL_locz00_13782);
												if (((BgL_spz00_16103 + (long) CINT(BgL_sfz00_16102)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13785))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16101, BgL_sz00_13785,
															BINT(BgL_spz00_16103));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16119;

														BgL_nsz00_16119 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2205z00_16120;

															BgL_arg2205z00_16120 = (BgL_spz00_16103 + 2L);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16119, 2L, BgL_sz00_13785,
																BINT(BgL_spz00_16103),
																BINT(BgL_arg2205z00_16120));
														}
														VECTOR_SET(BgL_nsz00_16119, 1L, BgL_sz00_13785);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16118,
															BgL_nsz00_16119);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16121;

															BgL_ez00_16121 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4358z00_16122;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4359z00_16123;

																	BgL_arg4359z00_16123 =
																		BGL_EXITD_PROTECT(BgL_ez00_16121);
																	BgL_arg4358z00_16122 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13785,
																		BgL_arg4359z00_16123);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16121,
																	BgL_arg4358z00_16122);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16124;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16125;

																	BgL_savedzd2bpzd2_16125 =
																		VECTOR_REF(BgL_nsz00_16119, 0L);
																	VECTOR_SET(BgL_nsz00_16119, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_16127;

																		BgL_fz00_16127 = BgL_runz00_16101;
																	BgL_recz00_16126:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16128;

																			BgL_rz00_16128 =
																				(VA_PROCEDUREP(BgL_fz00_16127)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_16127))
																				(BgL_fz00_16127, BgL_nsz00_16119,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_16127))
																				(BgL_fz00_16127, BgL_nsz00_16119));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5142z00_22355;

																				if (PROCEDUREP(BgL_rz00_16128))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_16129;

																						BgL_arg1778z00_16129 =
																							PROCEDURE_ATTR(BgL_rz00_16128);
																						if (STRUCTP(BgL_arg1778z00_16129))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5142z00_22355 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_16129) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5142z00_22355 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5142z00_22355 =
																							((bool_t) 0);
																					}
																				if (BgL_test5142z00_22355)
																					{
																						obj_t BgL_fz00_22363;

																						BgL_fz00_22363 = BgL_rz00_16128;
																						BgL_fz00_16127 = BgL_fz00_22363;
																						goto BgL_recz00_16126;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16119, 0L,
																							BgL_savedzd2bpzd2_16125);
																						BgL_____rz00_16124 = BgL_rz00_16128;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5145z00_22365;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4357z00_16130;

																		BgL_arg4357z00_16130 =
																			BGL_EXITD_PROTECT(BgL_ez00_16121);
																		BgL_test5145z00_22365 =
																			PAIRP(BgL_arg4357z00_16130);
																	}
																	if (BgL_test5145z00_22365)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4355z00_16131;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4356z00_16132;

																				BgL_arg4356z00_16132 =
																					BGL_EXITD_PROTECT(BgL_ez00_16121);
																				BgL_arg4355z00_16131 =
																					CDR(((obj_t) BgL_arg4356z00_16132));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16121,
																				BgL_arg4355z00_16131);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16118,
																	BgL_sz00_13785);
																return BgL_____rz00_16124;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16096, (int) (2L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16133;

												BgL_nbpz00_16133 =
													((long) CINT(BgL_bpz00_16095) + BgL_siza7eza7_13784);
												VECTOR_SET(
													((obj_t) BgL_sz00_13785), 0L, BINT(BgL_nbpz00_16133));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_22381;

													BgL_tmpz00_22381 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22381,
														BgL_locz00_13782);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16134;

													BgL_rz00_16134 =
														(VA_PROCEDUREP(BgL_fz00_16096) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16096)) (BgL_fz00_16096,
															BgL_a1z00_16097, BgL_a2z00_16098,
															BEOA) : ((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16096)) (BgL_fz00_16096,
															BgL_a1z00_16097, BgL_a2z00_16098));
													VECTOR_SET(((obj_t) BgL_sz00_13785), 0L,
														BgL_bpz00_16095);
													return BgL_rz00_16134;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13782,
													BgL_symbzd2funzd2_13783, (int) (2L),
													PROCEDURE_ARITY(BgL_fz00_16096));
		}}}}}}}}

	}



/* &<@anonymous:2208> */
	obj_t BGl_z62zc3z04anonymousza32208ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13786, obj_t BgL_sz00_13793)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13787;
				obj_t BgL_a1z00_13788;
				obj_t BgL_a2z00_13789;
				obj_t BgL_locz00_13790;
				obj_t BgL_symbzd2funzd2_13791;
				long BgL_siza7eza7_13792;

				BgL_funz00_13787 = PROCEDURE_REF(BgL_envz00_13786, (int) (0L));
				BgL_a1z00_13788 = PROCEDURE_REF(BgL_envz00_13786, (int) (1L));
				BgL_a2z00_13789 = PROCEDURE_REF(BgL_envz00_13786, (int) (2L));
				BgL_locz00_13790 = PROCEDURE_REF(BgL_envz00_13786, (int) (3L));
				BgL_symbzd2funzd2_13791 = PROCEDURE_REF(BgL_envz00_13786, (int) (4L));
				BgL_siza7eza7_13792 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13786, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16135;

					BgL_bpz00_16135 = VECTOR_REF(((obj_t) BgL_sz00_13793), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16136;
						obj_t BgL_a1z00_16137;
						obj_t BgL_a2z00_16138;

						BgL_fz00_16136 =
							(VA_PROCEDUREP(BgL_funz00_13787) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13787)) (BgL_funz00_13787,
								BgL_sz00_13793, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13787)) (BgL_funz00_13787,
								BgL_sz00_13793));
						BgL_a1z00_16137 =
							(VA_PROCEDUREP(BgL_a1z00_13788) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13788)) (BgL_a1z00_13788,
								BgL_sz00_13793, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13788)) (BgL_a1z00_13788,
								BgL_sz00_13793));
						BgL_a2z00_16138 =
							(VA_PROCEDUREP(BgL_a2z00_13789) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13789)) (BgL_a2z00_13789,
								BgL_sz00_13793, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13789)) (BgL_a2z00_13789,
								BgL_sz00_13793));
						if (PROCEDUREP(BgL_fz00_16136))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13790,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16136);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16139;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22424;

								BgL_tmpz00_22424 = ((obj_t) BgL_fz00_16136);
								BgL_ufz00_16139 = PROCEDURE_ATTR(BgL_tmpz00_22424);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5148z00_22427;

								if (STRUCTP(BgL_ufz00_16139))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5148z00_22427 =
											(STRUCT_KEY(BgL_ufz00_16139) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5148z00_22427 = ((bool_t) 0);
									}
								if (BgL_test5148z00_22427)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16140;
										obj_t BgL_runz00_16141;
										obj_t BgL_sfz00_16142;

										BgL_arityz00_16140 =
											STRUCT_REF(BgL_ufz00_16139, (int) (0L));
										BgL_runz00_16141 = STRUCT_REF(BgL_ufz00_16139, (int) (1L));
										BgL_sfz00_16142 = STRUCT_REF(BgL_ufz00_16139, (int) (2L));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16143;

											BgL_spz00_16143 =
												((long) CINT(BgL_bpz00_16135) + BgL_siza7eza7_13792);
											if (((long) CINT(BgL_arityz00_16140) == 2L))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2212z00_16144;

														BgL_arg2212z00_16144 = (BgL_spz00_16143 + 0L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13793), BgL_arg2212z00_16144,
															BgL_a1z00_16137);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2213z00_16145;

														BgL_arg2213z00_16145 = (BgL_spz00_16143 + 1L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13793), BgL_arg2213z00_16145,
															BgL_a2z00_16138);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16140))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16140))
																{
																case -1L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2214z00_16146;
																		obj_t BgL_arg2215z00_16147;

																		BgL_arg2214z00_16146 =
																			(BgL_spz00_16143 + 0L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2216z00_16148;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2217z00_16149;

																				BgL_arg2217z00_16149 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16138,
																					BNIL);
																				BgL_list2216z00_16148 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16137,
																					BgL_arg2217z00_16149);
																			}
																			BgL_arg2215z00_16147 =
																				BgL_list2216z00_16148;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13793),
																			BgL_arg2214z00_16146,
																			BgL_arg2215z00_16147);
																	} break;
																case -2L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2218z00_16150;

																		BgL_arg2218z00_16150 =
																			(BgL_spz00_16143 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13793),
																			BgL_arg2218z00_16150, BgL_a1z00_16137);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2219z00_16151;
																		obj_t BgL_arg2220z00_16152;

																		BgL_arg2219z00_16151 =
																			(BgL_spz00_16143 + 1L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2221z00_16153;

																			BgL_list2221z00_16153 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16138, BNIL);
																			BgL_arg2220z00_16152 =
																				BgL_list2221z00_16153;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13793),
																			BgL_arg2219z00_16151,
																			BgL_arg2220z00_16152);
																	} break;
																case -3L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2222z00_16154;

																		BgL_arg2222z00_16154 =
																			(BgL_spz00_16143 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13793),
																			BgL_arg2222z00_16154, BgL_a1z00_16137);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2223z00_16155;

																		BgL_arg2223z00_16155 =
																			(BgL_spz00_16143 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13793),
																			BgL_arg2223z00_16155, BgL_a2z00_16138);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2224z00_16156;
																		obj_t BgL_arg2225z00_16157;

																		BgL_arg2224z00_16156 =
																			(BgL_spz00_16143 + 2L);
																		BgL_arg2225z00_16157 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13793),
																			BgL_arg2224z00_16156,
																			BgL_arg2225z00_16157);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13790,
																		STRUCT_REF(BgL_ufz00_16139, (int) (3L)),
																		(int) (2L), CINT(BgL_arityz00_16140));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13790, STRUCT_REF(BgL_ufz00_16139,
																	(int) (3L)), (int) (2L),
																CINT(BgL_arityz00_16140));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16158;

												BgL_z12denvz12_16158 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16143 +
															(long) CINT(BgL_sfz00_16142)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13793))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16141, BgL_sz00_13793,
															BINT(BgL_spz00_16143));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16159;

														BgL_nsz00_16159 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2229z00_16160;

															BgL_arg2229z00_16160 = (BgL_spz00_16143 + 2L);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16159, 2L, BgL_sz00_13793,
																BINT(BgL_spz00_16143),
																BINT(BgL_arg2229z00_16160));
														}
														VECTOR_SET(BgL_nsz00_16159, 1L, BgL_sz00_13793);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16158,
															BgL_nsz00_16159);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16161;

															BgL_ez00_16161 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4358z00_16162;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4359z00_16163;

																	BgL_arg4359z00_16163 =
																		BGL_EXITD_PROTECT(BgL_ez00_16161);
																	BgL_arg4358z00_16162 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13793,
																		BgL_arg4359z00_16163);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16161,
																	BgL_arg4358z00_16162);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16164;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16165;

																	BgL_savedzd2bpzd2_16165 =
																		VECTOR_REF(BgL_nsz00_16159, 0L);
																	VECTOR_SET(BgL_nsz00_16159, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_16167;

																		BgL_fz00_16167 = BgL_runz00_16141;
																	BgL_recz00_16166:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16168;

																			BgL_rz00_16168 =
																				(VA_PROCEDUREP(BgL_fz00_16167)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_16167))
																				(BgL_fz00_16167, BgL_nsz00_16159,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_16167))
																				(BgL_fz00_16167, BgL_nsz00_16159));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5153z00_22511;

																				if (PROCEDUREP(BgL_rz00_16168))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_16169;

																						BgL_arg1778z00_16169 =
																							PROCEDURE_ATTR(BgL_rz00_16168);
																						if (STRUCTP(BgL_arg1778z00_16169))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5153z00_22511 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_16169) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5153z00_22511 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5153z00_22511 =
																							((bool_t) 0);
																					}
																				if (BgL_test5153z00_22511)
																					{
																						obj_t BgL_fz00_22519;

																						BgL_fz00_22519 = BgL_rz00_16168;
																						BgL_fz00_16167 = BgL_fz00_22519;
																						goto BgL_recz00_16166;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16159, 0L,
																							BgL_savedzd2bpzd2_16165);
																						BgL_____rz00_16164 = BgL_rz00_16168;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5156z00_22521;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4357z00_16170;

																		BgL_arg4357z00_16170 =
																			BGL_EXITD_PROTECT(BgL_ez00_16161);
																		BgL_test5156z00_22521 =
																			PAIRP(BgL_arg4357z00_16170);
																	}
																	if (BgL_test5156z00_22521)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4355z00_16171;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4356z00_16172;

																				BgL_arg4356z00_16172 =
																					BGL_EXITD_PROTECT(BgL_ez00_16161);
																				BgL_arg4355z00_16171 =
																					CDR(((obj_t) BgL_arg4356z00_16172));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16161,
																				BgL_arg4355z00_16171);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16158,
																	BgL_sz00_13793);
																return BgL_____rz00_16164;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16136, (int) (2L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16173;

												BgL_nbpz00_16173 =
													((long) CINT(BgL_bpz00_16135) + BgL_siza7eza7_13792);
												VECTOR_SET(
													((obj_t) BgL_sz00_13793), 0L, BINT(BgL_nbpz00_16173));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16174;

													BgL_rz00_16174 =
														(VA_PROCEDUREP(BgL_fz00_16136) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16136)) (BgL_fz00_16136,
															BgL_a1z00_16137, BgL_a2z00_16138,
															BEOA) : ((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16136)) (BgL_fz00_16136,
															BgL_a1z00_16137, BgL_a2z00_16138));
													VECTOR_SET(((obj_t) BgL_sz00_13793), 0L,
														BgL_bpz00_16135);
													return BgL_rz00_16174;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13790,
													BgL_symbzd2funzd2_13791, (int) (2L),
													PROCEDURE_ARITY(BgL_fz00_16136));
		}}}}}}}}

	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162,
		BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164,
		obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167,
		long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170,
		obj_t BgL_a3z00_171)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2567;

				BgL_cfunz00_2567 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163, 3L,
					BgL_locz00_162, BgL_symbzd2funzd2_164);
				if (CBOOL(BgL_cfunz00_2567))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5159z00_22550;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1386z00_2589;

							BgL_a1386z00_2589 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 896 */

								BgL_test5159z00_22550 = ((long) (BgL_a1386z00_2589) > 0L);
						}}
						if (BgL_test5159z00_22550)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32233ze3z87_13794;

								BgL_zc3z04anonymousza32233ze3z87_13794 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32233ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (6L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32233ze3z87_13794,
									(int) (0L), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3z04anonymousza32233ze3z87_13794,
									(int) (1L), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3z04anonymousza32233ze3z87_13794,
									(int) (2L), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3z04anonymousza32233ze3z87_13794,
									(int) (3L), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3z04anonymousza32233ze3z87_13794,
									(int) (4L), BgL_locz00_162);
								PROCEDURE_SET(BgL_zc3z04anonymousza32233ze3z87_13794,
									(int) (5L), BgL_cfunz00_2567);
								return BgL_zc3z04anonymousza32233ze3z87_13794;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32235ze3z87_13795;

								BgL_zc3z04anonymousza32235ze3z87_13795 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32235ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (5L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32235ze3z87_13795,
									(int) (0L), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3z04anonymousza32235ze3z87_13795,
									(int) (1L), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3z04anonymousza32235ze3z87_13795,
									(int) (2L), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3z04anonymousza32235ze3z87_13795,
									(int) (3L), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3z04anonymousza32235ze3z87_13795,
									(int) (4L), BgL_cfunz00_2567);
								return BgL_zc3z04anonymousza32235ze3z87_13795;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_166))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5161z00_22586;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1388z00_2701;

									BgL_a1388z00_2701 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5161z00_22586 = ((long) (BgL_a1388z00_2701) > 0L);
								}}
								if (BgL_test5161z00_22586)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32238ze3z87_13796;

										BgL_zc3z04anonymousza32238ze3z87_13796 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32238ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (7L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32238ze3z87_13796,
											(int) (0L), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32238ze3z87_13796,
											(int) (1L), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32238ze3z87_13796,
											(int) (2L), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32238ze3z87_13796,
											(int) (3L), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32238ze3z87_13796,
											(int) (4L), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32238ze3z87_13796,
											(int) (5L), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32238ze3z87_13796,
											(int) (6L), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32238ze3z87_13796;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32271ze3z87_13797;

										BgL_zc3z04anonymousza32271ze3z87_13797 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32271ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (7L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32271ze3z87_13797,
											(int) (0L), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32271ze3z87_13797,
											(int) (1L), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32271ze3z87_13797,
											(int) (2L), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32271ze3z87_13797,
											(int) (3L), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32271ze3z87_13797,
											(int) (4L), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32271ze3z87_13797,
											(int) (5L), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32271ze3z87_13797,
											(int) (6L), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32271ze3z87_13797;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5162z00_22626;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1390z00_2813;

									BgL_a1390z00_2813 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5162z00_22626 = ((long) (BgL_a1390z00_2813) > 0L);
								}}
								if (BgL_test5162z00_22626)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32307ze3z87_13798;

										BgL_zc3z04anonymousza32307ze3z87_13798 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32307ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (7L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13798,
											(int) (0L), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13798,
											(int) (1L), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13798,
											(int) (2L), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13798,
											(int) (3L), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13798,
											(int) (4L), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13798,
											(int) (5L), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13798,
											(int) (6L), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32307ze3z87_13798;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32343ze3z87_13799;

										BgL_zc3z04anonymousza32343ze3z87_13799 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32343ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (7L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32343ze3z87_13799,
											(int) (0L), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32343ze3z87_13799,
											(int) (1L), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32343ze3z87_13799,
											(int) (2L), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32343ze3z87_13799,
											(int) (3L), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32343ze3z87_13799,
											(int) (4L), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32343ze3z87_13799,
											(int) (5L), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32343ze3z87_13799,
											(int) (6L), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32343ze3z87_13799;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2233> */
	obj_t BGl_z62zc3z04anonymousza32233ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13800, obj_t BgL_sz00_13807)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13801;
				obj_t BgL_a2z00_13802;
				obj_t BgL_a3z00_13803;
				long BgL_siza7eza7_13804;
				obj_t BgL_locz00_13805;
				obj_t BgL_cfunz00_13806;

				BgL_a1z00_13801 = PROCEDURE_REF(BgL_envz00_13800, (int) (0L));
				BgL_a2z00_13802 = PROCEDURE_REF(BgL_envz00_13800, (int) (1L));
				BgL_a3z00_13803 = PROCEDURE_REF(BgL_envz00_13800, (int) (2L));
				BgL_siza7eza7_13804 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13800, (int) (3L)));
				BgL_locz00_13805 = PROCEDURE_REF(BgL_envz00_13800, (int) (4L));
				BgL_cfunz00_13806 = PROCEDURE_REF(BgL_envz00_13800, (int) (5L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16175;

					BgL_bpz00_16175 = VECTOR_REF(((obj_t) BgL_sz00_13807), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16176;
						obj_t BgL_a2z00_16177;
						obj_t BgL_a3z00_16178;

						BgL_a1z00_16176 =
							(VA_PROCEDUREP(BgL_a1z00_13801) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13801)) (BgL_a1z00_13801,
								BgL_sz00_13807, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13801)) (BgL_a1z00_13801,
								BgL_sz00_13807));
						BgL_a2z00_16177 =
							(VA_PROCEDUREP(BgL_a2z00_13802) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13802)) (BgL_a2z00_13802,
								BgL_sz00_13807, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13802)) (BgL_a2z00_13802,
								BgL_sz00_13807));
						BgL_a3z00_16178 =
							(VA_PROCEDUREP(BgL_a3z00_13803) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13803)) (BgL_a3z00_13803,
								BgL_sz00_13807, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13803)) (BgL_a3z00_13803,
								BgL_sz00_13807));
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16179;

							BgL_nbpz00_16179 =
								((long) CINT(BgL_bpz00_16175) + BgL_siza7eza7_13804);
							VECTOR_SET(((obj_t) BgL_sz00_13807), 0L, BINT(BgL_nbpz00_16179));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22698;

								BgL_tmpz00_22698 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22698, BgL_locz00_13805);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16180;

								BgL_rz00_16180 =
									(VA_PROCEDUREP(BgL_cfunz00_13806) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_cfunz00_13806)) (BgL_cfunz00_13806,
										BgL_a1z00_16176, BgL_a2z00_16177, BgL_a3z00_16178,
										BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_cfunz00_13806)) (BgL_cfunz00_13806,
										BgL_a1z00_16176, BgL_a2z00_16177, BgL_a3z00_16178));
								VECTOR_SET(((obj_t) BgL_sz00_13807), 0L, BgL_bpz00_16175);
								return BgL_rz00_16180;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2235> */
	obj_t BGl_z62zc3z04anonymousza32235ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13808, obj_t BgL_sz00_13814)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13809;
				obj_t BgL_a2z00_13810;
				obj_t BgL_a3z00_13811;
				long BgL_siza7eza7_13812;
				obj_t BgL_cfunz00_13813;

				BgL_a1z00_13809 = PROCEDURE_REF(BgL_envz00_13808, (int) (0L));
				BgL_a2z00_13810 = PROCEDURE_REF(BgL_envz00_13808, (int) (1L));
				BgL_a3z00_13811 = PROCEDURE_REF(BgL_envz00_13808, (int) (2L));
				BgL_siza7eza7_13812 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13808, (int) (3L)));
				BgL_cfunz00_13813 = PROCEDURE_REF(BgL_envz00_13808, (int) (4L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16181;

					BgL_bpz00_16181 = VECTOR_REF(((obj_t) BgL_sz00_13814), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16182;
						obj_t BgL_a2z00_16183;
						obj_t BgL_a3z00_16184;

						BgL_a1z00_16182 =
							(VA_PROCEDUREP(BgL_a1z00_13809) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13809)) (BgL_a1z00_13809,
								BgL_sz00_13814, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13809)) (BgL_a1z00_13809,
								BgL_sz00_13814));
						BgL_a2z00_16183 =
							(VA_PROCEDUREP(BgL_a2z00_13810) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13810)) (BgL_a2z00_13810,
								BgL_sz00_13814, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13810)) (BgL_a2z00_13810,
								BgL_sz00_13814));
						BgL_a3z00_16184 =
							(VA_PROCEDUREP(BgL_a3z00_13811) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13811)) (BgL_a3z00_13811,
								BgL_sz00_13814, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13811)) (BgL_a3z00_13811,
								BgL_sz00_13814));
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16185;

							BgL_nbpz00_16185 =
								((long) CINT(BgL_bpz00_16181) + BgL_siza7eza7_13812);
							VECTOR_SET(((obj_t) BgL_sz00_13814), 0L, BINT(BgL_nbpz00_16185));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16186;

								BgL_rz00_16186 =
									(VA_PROCEDUREP(BgL_cfunz00_13813) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_cfunz00_13813)) (BgL_cfunz00_13813,
										BgL_a1z00_16182, BgL_a2z00_16183, BgL_a3z00_16184,
										BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_cfunz00_13813)) (BgL_cfunz00_13813,
										BgL_a1z00_16182, BgL_a2z00_16183, BgL_a3z00_16184));
								VECTOR_SET(((obj_t) BgL_sz00_13814), 0L, BgL_bpz00_16181);
								return BgL_rz00_16186;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2238> */
	obj_t BGl_z62zc3z04anonymousza32238ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13815, obj_t BgL_sz00_13823)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13816;
				obj_t BgL_a1z00_13817;
				obj_t BgL_a2z00_13818;
				obj_t BgL_a3z00_13819;
				obj_t BgL_locz00_13820;
				obj_t BgL_symbzd2funzd2_13821;
				long BgL_siza7eza7_13822;

				BgL_funz00_13816 = PROCEDURE_REF(BgL_envz00_13815, (int) (0L));
				BgL_a1z00_13817 = PROCEDURE_REF(BgL_envz00_13815, (int) (1L));
				BgL_a2z00_13818 = PROCEDURE_REF(BgL_envz00_13815, (int) (2L));
				BgL_a3z00_13819 = PROCEDURE_REF(BgL_envz00_13815, (int) (3L));
				BgL_locz00_13820 = PROCEDURE_REF(BgL_envz00_13815, (int) (4L));
				BgL_symbzd2funzd2_13821 = PROCEDURE_REF(BgL_envz00_13815, (int) (5L));
				BgL_siza7eza7_13822 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13815, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16187;

					BgL_bpz00_16187 = VECTOR_REF(((obj_t) BgL_sz00_13823), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16188;
						obj_t BgL_a1z00_16189;
						obj_t BgL_a2z00_16190;
						obj_t BgL_a3z00_16191;

						BgL_fz00_16188 =
							(VA_PROCEDUREP(BgL_funz00_13816) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13816)) (BgL_funz00_13816,
								BgL_sz00_13823, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13816)) (BgL_funz00_13816,
								BgL_sz00_13823));
						BgL_a1z00_16189 =
							(VA_PROCEDUREP(BgL_a1z00_13817) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13817)) (BgL_a1z00_13817,
								BgL_sz00_13823, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13817)) (BgL_a1z00_13817,
								BgL_sz00_13823));
						BgL_a2z00_16190 =
							(VA_PROCEDUREP(BgL_a2z00_13818) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13818)) (BgL_a2z00_13818,
								BgL_sz00_13823, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13818)) (BgL_a2z00_13818,
								BgL_sz00_13823));
						BgL_a3z00_16191 =
							(VA_PROCEDUREP(BgL_a3z00_13819) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13819)) (BgL_a3z00_13819,
								BgL_sz00_13823, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13819)) (BgL_a3z00_13819,
								BgL_sz00_13823));
						if (PROCEDUREP(BgL_fz00_16188))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13820,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16188);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16192;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22783;

								BgL_tmpz00_22783 = ((obj_t) BgL_fz00_16188);
								BgL_ufz00_16192 = PROCEDURE_ATTR(BgL_tmpz00_22783);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5164z00_22786;

								if (STRUCTP(BgL_ufz00_16192))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5164z00_22786 =
											(STRUCT_KEY(BgL_ufz00_16192) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5164z00_22786 = ((bool_t) 0);
									}
								if (BgL_test5164z00_22786)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16193;
										obj_t BgL_runz00_16194;
										obj_t BgL_sfz00_16195;

										BgL_arityz00_16193 =
											STRUCT_REF(BgL_ufz00_16192, (int) (0L));
										BgL_runz00_16194 = STRUCT_REF(BgL_ufz00_16192, (int) (1L));
										BgL_sfz00_16195 = STRUCT_REF(BgL_ufz00_16192, (int) (2L));
										if (((long) CINT(BgL_arityz00_16193) == 3L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2242z00_16196;

													BgL_arg2242z00_16196 =
														((long) CINT(BgL_bpz00_16187) + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13823), BgL_arg2242z00_16196,
														BgL_a1z00_16189);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2243z00_16197;

													BgL_arg2243z00_16197 =
														((long) CINT(BgL_bpz00_16187) + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13823), BgL_arg2243z00_16197,
														BgL_a2z00_16190);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2244z00_16198;

													BgL_arg2244z00_16198 =
														((long) CINT(BgL_bpz00_16187) + 2L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13823), BgL_arg2244z00_16198,
														BgL_a3z00_16191);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16193))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16193))
															{
															case -1L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2245z00_16199;
																	obj_t BgL_arg2246z00_16200;

																	BgL_arg2245z00_16199 =
																		((long) CINT(BgL_bpz00_16187) + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2247z00_16201;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2248z00_16202;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2249z00_16203;

																				BgL_arg2249z00_16203 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16191,
																					BNIL);
																				BgL_arg2248z00_16202 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16190,
																					BgL_arg2249z00_16203);
																			}
																			BgL_list2247z00_16201 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16189,
																				BgL_arg2248z00_16202);
																		}
																		BgL_arg2246z00_16200 =
																			BgL_list2247z00_16201;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13823),
																		BgL_arg2245z00_16199, BgL_arg2246z00_16200);
																} break;
															case -2L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2250z00_16204;

																	BgL_arg2250z00_16204 =
																		((long) CINT(BgL_bpz00_16187) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13823),
																		BgL_arg2250z00_16204, BgL_a1z00_16189);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2251z00_16205;
																	obj_t BgL_arg2252z00_16206;

																	BgL_arg2251z00_16205 =
																		((long) CINT(BgL_bpz00_16187) + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2253z00_16207;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2254z00_16208;

																			BgL_arg2254z00_16208 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16191, BNIL);
																			BgL_list2253z00_16207 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16190,
																				BgL_arg2254z00_16208);
																		}
																		BgL_arg2252z00_16206 =
																			BgL_list2253z00_16207;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13823),
																		BgL_arg2251z00_16205, BgL_arg2252z00_16206);
																} break;
															case -3L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2255z00_16209;

																	BgL_arg2255z00_16209 =
																		((long) CINT(BgL_bpz00_16187) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13823),
																		BgL_arg2255z00_16209, BgL_a1z00_16189);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2256z00_16210;

																	BgL_arg2256z00_16210 =
																		((long) CINT(BgL_bpz00_16187) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13823),
																		BgL_arg2256z00_16210, BgL_a2z00_16190);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2257z00_16211;
																	obj_t BgL_arg2258z00_16212;

																	BgL_arg2257z00_16211 =
																		((long) CINT(BgL_bpz00_16187) + 2L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2259z00_16213;

																		BgL_list2259z00_16213 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_16191, BNIL);
																		BgL_arg2258z00_16212 =
																			BgL_list2259z00_16213;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13823),
																		BgL_arg2257z00_16211, BgL_arg2258z00_16212);
																} break;
															case -4L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2260z00_16214;

																	BgL_arg2260z00_16214 =
																		((long) CINT(BgL_bpz00_16187) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13823),
																		BgL_arg2260z00_16214, BgL_a1z00_16189);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2261z00_16215;

																	BgL_arg2261z00_16215 =
																		((long) CINT(BgL_bpz00_16187) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13823),
																		BgL_arg2261z00_16215, BgL_a2z00_16190);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2262z00_16216;

																	BgL_arg2262z00_16216 =
																		((long) CINT(BgL_bpz00_16187) + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13823),
																		BgL_arg2262z00_16216, BgL_a3z00_16191);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2263z00_16217;
																	obj_t BgL_arg2264z00_16218;

																	BgL_arg2263z00_16217 =
																		((long) CINT(BgL_bpz00_16187) + 3L);
																	BgL_arg2264z00_16218 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13823),
																		BgL_arg2263z00_16217, BgL_arg2264z00_16218);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13820, STRUCT_REF(BgL_ufz00_16192,
																		(int) (3L)), (int) (3L),
																	CINT(BgL_arityz00_16193));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13820, STRUCT_REF(BgL_ufz00_16192,
																(int) (3L)), (int) (3L),
															CINT(BgL_arityz00_16193));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16219;

											BgL_z12denvz12_16219 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16219,
												BgL_locz00_13820);
											if ((((long) CINT(BgL_bpz00_16187) +
														(long) CINT(BgL_sfz00_16195)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13823))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16194;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16220;

													BgL_nsz00_16220 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2268z00_16221;

														BgL_arg2268z00_16221 =
															((long) CINT(BgL_bpz00_16187) + 3L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16220, 2L, BgL_sz00_13823,
															BgL_bpz00_16187, BINT(BgL_arg2268z00_16221));
													}
													VECTOR_SET(BgL_nsz00_16220, 1L, BgL_sz00_13823);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16219,
														BgL_nsz00_16220);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16222;

														BgL_ez00_16222 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4358z00_16223;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4359z00_16224;

																BgL_arg4359z00_16224 =
																	BGL_EXITD_PROTECT(BgL_ez00_16222);
																BgL_arg4358z00_16223 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13823,
																	BgL_arg4359z00_16224);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16222,
																BgL_arg4358z00_16223);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16225;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16226;

																BgL_savedzd2bpzd2_16226 =
																	VECTOR_REF(BgL_nsz00_16220, 0L);
																VECTOR_SET(BgL_nsz00_16220, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_16228;

																	BgL_fz00_16228 = BgL_runz00_16194;
																BgL_recz00_16227:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16229;

																		BgL_rz00_16229 =
																			(VA_PROCEDUREP(BgL_fz00_16228)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_16228))
																			(BgL_fz00_16228, BgL_nsz00_16220,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16228))
																			(BgL_fz00_16228, BgL_nsz00_16220));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5169z00_22899;

																			if (PROCEDUREP(BgL_rz00_16229))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_16230;

																					BgL_arg1778z00_16230 =
																						PROCEDURE_ATTR(BgL_rz00_16229);
																					if (STRUCTP(BgL_arg1778z00_16230))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5169z00_22899 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_16230) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5169z00_22899 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5169z00_22899 = ((bool_t) 0);
																				}
																			if (BgL_test5169z00_22899)
																				{
																					obj_t BgL_fz00_22907;

																					BgL_fz00_22907 = BgL_rz00_16229;
																					BgL_fz00_16228 = BgL_fz00_22907;
																					goto BgL_recz00_16227;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16220, 0L,
																						BgL_savedzd2bpzd2_16226);
																					BgL_____rz00_16225 = BgL_rz00_16229;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5172z00_22909;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4357z00_16231;

																	BgL_arg4357z00_16231 =
																		BGL_EXITD_PROTECT(BgL_ez00_16222);
																	BgL_test5172z00_22909 =
																		PAIRP(BgL_arg4357z00_16231);
																}
																if (BgL_test5172z00_22909)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4355z00_16232;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4356z00_16233;

																			BgL_arg4356z00_16233 =
																				BGL_EXITD_PROTECT(BgL_ez00_16222);
																			BgL_arg4355z00_16232 =
																				CDR(((obj_t) BgL_arg4356z00_16233));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16222,
																			BgL_arg4355z00_16232);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16219,
																BgL_sz00_13823);
															return BgL_____rz00_16225;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16188, (int) (3L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16234;

												BgL_nbpz00_16234 =
													((long) CINT(BgL_bpz00_16187) + BgL_siza7eza7_13822);
												VECTOR_SET(
													((obj_t) BgL_sz00_13823), 0L, BINT(BgL_nbpz00_16234));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_22925;

													BgL_tmpz00_22925 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22925,
														BgL_locz00_13820);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16235;

													BgL_rz00_16235 =
														(VA_PROCEDUREP(BgL_fz00_16188) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16188)) (BgL_fz00_16188,
															BgL_a1z00_16189, BgL_a2z00_16190, BgL_a3z00_16191,
															BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16188)) (BgL_fz00_16188,
															BgL_a1z00_16189, BgL_a2z00_16190,
															BgL_a3z00_16191));
													VECTOR_SET(((obj_t) BgL_sz00_13823), 0L,
														BgL_bpz00_16187);
													return BgL_rz00_16235;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13820,
													BgL_symbzd2funzd2_13821, (int) (3L),
													PROCEDURE_ARITY(BgL_fz00_16188));
		}}}}}}}}

	}



/* &<@anonymous:2271> */
	obj_t BGl_z62zc3z04anonymousza32271ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13824, obj_t BgL_sz00_13832)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13825;
				obj_t BgL_a1z00_13826;
				obj_t BgL_a2z00_13827;
				obj_t BgL_a3z00_13828;
				obj_t BgL_locz00_13829;
				obj_t BgL_symbzd2funzd2_13830;
				long BgL_siza7eza7_13831;

				BgL_funz00_13825 = PROCEDURE_REF(BgL_envz00_13824, (int) (0L));
				BgL_a1z00_13826 = PROCEDURE_REF(BgL_envz00_13824, (int) (1L));
				BgL_a2z00_13827 = PROCEDURE_REF(BgL_envz00_13824, (int) (2L));
				BgL_a3z00_13828 = PROCEDURE_REF(BgL_envz00_13824, (int) (3L));
				BgL_locz00_13829 = PROCEDURE_REF(BgL_envz00_13824, (int) (4L));
				BgL_symbzd2funzd2_13830 = PROCEDURE_REF(BgL_envz00_13824, (int) (5L));
				BgL_siza7eza7_13831 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13824, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16236;

					BgL_bpz00_16236 = VECTOR_REF(((obj_t) BgL_sz00_13832), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16237;
						obj_t BgL_a1z00_16238;
						obj_t BgL_a2z00_16239;
						obj_t BgL_a3z00_16240;

						BgL_fz00_16237 =
							(VA_PROCEDUREP(BgL_funz00_13825) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13825)) (BgL_funz00_13825,
								BgL_sz00_13832, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13825)) (BgL_funz00_13825,
								BgL_sz00_13832));
						BgL_a1z00_16238 =
							(VA_PROCEDUREP(BgL_a1z00_13826) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13826)) (BgL_a1z00_13826,
								BgL_sz00_13832, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13826)) (BgL_a1z00_13826,
								BgL_sz00_13832));
						BgL_a2z00_16239 =
							(VA_PROCEDUREP(BgL_a2z00_13827) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13827)) (BgL_a2z00_13827,
								BgL_sz00_13832, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13827)) (BgL_a2z00_13827,
								BgL_sz00_13832));
						BgL_a3z00_16240 =
							(VA_PROCEDUREP(BgL_a3z00_13828) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13828)) (BgL_a3z00_13828,
								BgL_sz00_13832, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13828)) (BgL_a3z00_13828,
								BgL_sz00_13832));
						if (PROCEDUREP(BgL_fz00_16237))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13829,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16237);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16241;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22975;

								BgL_tmpz00_22975 = ((obj_t) BgL_fz00_16237);
								BgL_ufz00_16241 = PROCEDURE_ATTR(BgL_tmpz00_22975);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5175z00_22978;

								if (STRUCTP(BgL_ufz00_16241))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5175z00_22978 =
											(STRUCT_KEY(BgL_ufz00_16241) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5175z00_22978 = ((bool_t) 0);
									}
								if (BgL_test5175z00_22978)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16242;
										obj_t BgL_runz00_16243;
										obj_t BgL_sfz00_16244;

										BgL_arityz00_16242 =
											STRUCT_REF(BgL_ufz00_16241, (int) (0L));
										BgL_runz00_16243 = STRUCT_REF(BgL_ufz00_16241, (int) (1L));
										BgL_sfz00_16244 = STRUCT_REF(BgL_ufz00_16241, (int) (2L));
										if (((long) CINT(BgL_arityz00_16242) == 3L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2275z00_16245;

													BgL_arg2275z00_16245 =
														((long) CINT(BgL_bpz00_16236) + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13832), BgL_arg2275z00_16245,
														BgL_a1z00_16238);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2276z00_16246;

													BgL_arg2276z00_16246 =
														((long) CINT(BgL_bpz00_16236) + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13832), BgL_arg2276z00_16246,
														BgL_a2z00_16239);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2277z00_16247;

													BgL_arg2277z00_16247 =
														((long) CINT(BgL_bpz00_16236) + 2L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13832), BgL_arg2277z00_16247,
														BgL_a3z00_16240);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16242))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16242))
															{
															case -1L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2279z00_16248;
																	obj_t BgL_arg2280z00_16249;

																	BgL_arg2279z00_16248 =
																		((long) CINT(BgL_bpz00_16236) + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2281z00_16250;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2282z00_16251;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2283z00_16252;

																				BgL_arg2283z00_16252 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16240,
																					BNIL);
																				BgL_arg2282z00_16251 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16239,
																					BgL_arg2283z00_16252);
																			}
																			BgL_list2281z00_16250 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16238,
																				BgL_arg2282z00_16251);
																		}
																		BgL_arg2280z00_16249 =
																			BgL_list2281z00_16250;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13832),
																		BgL_arg2279z00_16248, BgL_arg2280z00_16249);
																} break;
															case -2L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2284z00_16253;

																	BgL_arg2284z00_16253 =
																		((long) CINT(BgL_bpz00_16236) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13832),
																		BgL_arg2284z00_16253, BgL_a1z00_16238);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2285z00_16254;
																	obj_t BgL_arg2286z00_16255;

																	BgL_arg2285z00_16254 =
																		((long) CINT(BgL_bpz00_16236) + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2287z00_16256;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2288z00_16257;

																			BgL_arg2288z00_16257 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16240, BNIL);
																			BgL_list2287z00_16256 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16239,
																				BgL_arg2288z00_16257);
																		}
																		BgL_arg2286z00_16255 =
																			BgL_list2287z00_16256;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13832),
																		BgL_arg2285z00_16254, BgL_arg2286z00_16255);
																} break;
															case -3L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2289z00_16258;

																	BgL_arg2289z00_16258 =
																		((long) CINT(BgL_bpz00_16236) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13832),
																		BgL_arg2289z00_16258, BgL_a1z00_16238);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2290z00_16259;

																	BgL_arg2290z00_16259 =
																		((long) CINT(BgL_bpz00_16236) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13832),
																		BgL_arg2290z00_16259, BgL_a2z00_16239);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2291z00_16260;
																	obj_t BgL_arg2292z00_16261;

																	BgL_arg2291z00_16260 =
																		((long) CINT(BgL_bpz00_16236) + 2L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2293z00_16262;

																		BgL_list2293z00_16262 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_16240, BNIL);
																		BgL_arg2292z00_16261 =
																			BgL_list2293z00_16262;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13832),
																		BgL_arg2291z00_16260, BgL_arg2292z00_16261);
																} break;
															case -4L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2294z00_16263;

																	BgL_arg2294z00_16263 =
																		((long) CINT(BgL_bpz00_16236) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13832),
																		BgL_arg2294z00_16263, BgL_a1z00_16238);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2295z00_16264;

																	BgL_arg2295z00_16264 =
																		((long) CINT(BgL_bpz00_16236) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13832),
																		BgL_arg2295z00_16264, BgL_a2z00_16239);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2296z00_16265;

																	BgL_arg2296z00_16265 =
																		((long) CINT(BgL_bpz00_16236) + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13832),
																		BgL_arg2296z00_16265, BgL_a3z00_16240);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2297z00_16266;
																	obj_t BgL_arg2298z00_16267;

																	BgL_arg2297z00_16266 =
																		((long) CINT(BgL_bpz00_16236) + 3L);
																	BgL_arg2298z00_16267 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13832),
																		BgL_arg2297z00_16266, BgL_arg2298z00_16267);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13829, STRUCT_REF(BgL_ufz00_16241,
																		(int) (3L)), (int) (3L),
																	CINT(BgL_arityz00_16242));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13829, STRUCT_REF(BgL_ufz00_16241,
																(int) (3L)), (int) (3L),
															CINT(BgL_arityz00_16242));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16268;

											BgL_z12denvz12_16268 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16236) +
														(long) CINT(BgL_sfz00_16244)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13832))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16243;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16269;

													BgL_nsz00_16269 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2302z00_16270;

														BgL_arg2302z00_16270 =
															((long) CINT(BgL_bpz00_16236) + 3L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16269, 2L, BgL_sz00_13832,
															BgL_bpz00_16236, BINT(BgL_arg2302z00_16270));
													}
													VECTOR_SET(BgL_nsz00_16269, 1L, BgL_sz00_13832);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16268,
														BgL_nsz00_16269);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16271;

														BgL_ez00_16271 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4358z00_16272;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4359z00_16273;

																BgL_arg4359z00_16273 =
																	BGL_EXITD_PROTECT(BgL_ez00_16271);
																BgL_arg4358z00_16272 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13832,
																	BgL_arg4359z00_16273);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16271,
																BgL_arg4358z00_16272);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16274;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16275;

																BgL_savedzd2bpzd2_16275 =
																	VECTOR_REF(BgL_nsz00_16269, 0L);
																VECTOR_SET(BgL_nsz00_16269, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_16277;

																	BgL_fz00_16277 = BgL_runz00_16243;
																BgL_recz00_16276:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16278;

																		BgL_rz00_16278 =
																			(VA_PROCEDUREP(BgL_fz00_16277)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_16277))
																			(BgL_fz00_16277, BgL_nsz00_16269,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16277))
																			(BgL_fz00_16277, BgL_nsz00_16269));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5180z00_23090;

																			if (PROCEDUREP(BgL_rz00_16278))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_16279;

																					BgL_arg1778z00_16279 =
																						PROCEDURE_ATTR(BgL_rz00_16278);
																					if (STRUCTP(BgL_arg1778z00_16279))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5180z00_23090 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_16279) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5180z00_23090 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5180z00_23090 = ((bool_t) 0);
																				}
																			if (BgL_test5180z00_23090)
																				{
																					obj_t BgL_fz00_23098;

																					BgL_fz00_23098 = BgL_rz00_16278;
																					BgL_fz00_16277 = BgL_fz00_23098;
																					goto BgL_recz00_16276;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16269, 0L,
																						BgL_savedzd2bpzd2_16275);
																					BgL_____rz00_16274 = BgL_rz00_16278;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5183z00_23100;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4357z00_16280;

																	BgL_arg4357z00_16280 =
																		BGL_EXITD_PROTECT(BgL_ez00_16271);
																	BgL_test5183z00_23100 =
																		PAIRP(BgL_arg4357z00_16280);
																}
																if (BgL_test5183z00_23100)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4355z00_16281;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4356z00_16282;

																			BgL_arg4356z00_16282 =
																				BGL_EXITD_PROTECT(BgL_ez00_16271);
																			BgL_arg4355z00_16281 =
																				CDR(((obj_t) BgL_arg4356z00_16282));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16271,
																			BgL_arg4355z00_16281);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16268,
																BgL_sz00_13832);
															return BgL_____rz00_16274;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16237, (int) (3L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16283;

												BgL_nbpz00_16283 =
													((long) CINT(BgL_bpz00_16236) + BgL_siza7eza7_13831);
												VECTOR_SET(
													((obj_t) BgL_sz00_13832), 0L, BINT(BgL_nbpz00_16283));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16284;

													BgL_rz00_16284 =
														(VA_PROCEDUREP(BgL_fz00_16237) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16237)) (BgL_fz00_16237,
															BgL_a1z00_16238, BgL_a2z00_16239, BgL_a3z00_16240,
															BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16237)) (BgL_fz00_16237,
															BgL_a1z00_16238, BgL_a2z00_16239,
															BgL_a3z00_16240));
													VECTOR_SET(((obj_t) BgL_sz00_13832), 0L,
														BgL_bpz00_16236);
													return BgL_rz00_16284;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13829,
													BgL_symbzd2funzd2_13830, (int) (3L),
													PROCEDURE_ARITY(BgL_fz00_16237));
		}}}}}}}}

	}



/* &<@anonymous:2307> */
	obj_t BGl_z62zc3z04anonymousza32307ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13833, obj_t BgL_sz00_13841)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13834;
				obj_t BgL_a1z00_13835;
				obj_t BgL_a2z00_13836;
				obj_t BgL_a3z00_13837;
				obj_t BgL_locz00_13838;
				obj_t BgL_symbzd2funzd2_13839;
				long BgL_siza7eza7_13840;

				BgL_funz00_13834 = PROCEDURE_REF(BgL_envz00_13833, (int) (0L));
				BgL_a1z00_13835 = PROCEDURE_REF(BgL_envz00_13833, (int) (1L));
				BgL_a2z00_13836 = PROCEDURE_REF(BgL_envz00_13833, (int) (2L));
				BgL_a3z00_13837 = PROCEDURE_REF(BgL_envz00_13833, (int) (3L));
				BgL_locz00_13838 = PROCEDURE_REF(BgL_envz00_13833, (int) (4L));
				BgL_symbzd2funzd2_13839 = PROCEDURE_REF(BgL_envz00_13833, (int) (5L));
				BgL_siza7eza7_13840 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13833, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16285;

					BgL_bpz00_16285 = VECTOR_REF(((obj_t) BgL_sz00_13841), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16286;
						obj_t BgL_a1z00_16287;
						obj_t BgL_a2z00_16288;
						obj_t BgL_a3z00_16289;

						BgL_fz00_16286 =
							(VA_PROCEDUREP(BgL_funz00_13834) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13834)) (BgL_funz00_13834,
								BgL_sz00_13841, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13834)) (BgL_funz00_13834,
								BgL_sz00_13841));
						BgL_a1z00_16287 =
							(VA_PROCEDUREP(BgL_a1z00_13835) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13835)) (BgL_a1z00_13835,
								BgL_sz00_13841, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13835)) (BgL_a1z00_13835,
								BgL_sz00_13841));
						BgL_a2z00_16288 =
							(VA_PROCEDUREP(BgL_a2z00_13836) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13836)) (BgL_a2z00_13836,
								BgL_sz00_13841, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13836)) (BgL_a2z00_13836,
								BgL_sz00_13841));
						BgL_a3z00_16289 =
							(VA_PROCEDUREP(BgL_a3z00_13837) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13837)) (BgL_a3z00_13837,
								BgL_sz00_13841, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13837)) (BgL_a3z00_13837,
								BgL_sz00_13841));
						if (PROCEDUREP(BgL_fz00_16286))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13838,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16286);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16290;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23163;

								BgL_tmpz00_23163 = ((obj_t) BgL_fz00_16286);
								BgL_ufz00_16290 = PROCEDURE_ATTR(BgL_tmpz00_23163);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5186z00_23166;

								if (STRUCTP(BgL_ufz00_16290))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5186z00_23166 =
											(STRUCT_KEY(BgL_ufz00_16290) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5186z00_23166 = ((bool_t) 0);
									}
								if (BgL_test5186z00_23166)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16291;
										obj_t BgL_runz00_16292;
										obj_t BgL_sfz00_16293;

										BgL_arityz00_16291 =
											STRUCT_REF(BgL_ufz00_16290, (int) (0L));
										BgL_runz00_16292 = STRUCT_REF(BgL_ufz00_16290, (int) (1L));
										BgL_sfz00_16293 = STRUCT_REF(BgL_ufz00_16290, (int) (2L));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16294;

											BgL_spz00_16294 =
												((long) CINT(BgL_bpz00_16285) + BgL_siza7eza7_13840);
											if (((long) CINT(BgL_arityz00_16291) == 3L))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2311z00_16295;

														BgL_arg2311z00_16295 = (BgL_spz00_16294 + 0L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13841), BgL_arg2311z00_16295,
															BgL_a1z00_16287);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2312z00_16296;

														BgL_arg2312z00_16296 = (BgL_spz00_16294 + 1L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13841), BgL_arg2312z00_16296,
															BgL_a2z00_16288);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2313z00_16297;

														BgL_arg2313z00_16297 = (BgL_spz00_16294 + 2L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13841), BgL_arg2313z00_16297,
															BgL_a3z00_16289);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16291))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16291))
																{
																case -1L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2314z00_16298;
																		obj_t BgL_arg2315z00_16299;

																		BgL_arg2314z00_16298 =
																			(BgL_spz00_16294 + 0L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2316z00_16300;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2317z00_16301;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2320z00_16302;

																					BgL_arg2320z00_16302 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16289,
																						BNIL);
																					BgL_arg2317z00_16301 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16288,
																						BgL_arg2320z00_16302);
																				}
																				BgL_list2316z00_16300 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16287,
																					BgL_arg2317z00_16301);
																			}
																			BgL_arg2315z00_16299 =
																				BgL_list2316z00_16300;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13841),
																			BgL_arg2314z00_16298,
																			BgL_arg2315z00_16299);
																	} break;
																case -2L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2322z00_16303;

																		BgL_arg2322z00_16303 =
																			(BgL_spz00_16294 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13841),
																			BgL_arg2322z00_16303, BgL_a1z00_16287);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2323z00_16304;
																		obj_t BgL_arg2324z00_16305;

																		BgL_arg2323z00_16304 =
																			(BgL_spz00_16294 + 1L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2325z00_16306;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2326z00_16307;

																				BgL_arg2326z00_16307 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16289,
																					BNIL);
																				BgL_list2325z00_16306 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16288,
																					BgL_arg2326z00_16307);
																			}
																			BgL_arg2324z00_16305 =
																				BgL_list2325z00_16306;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13841),
																			BgL_arg2323z00_16304,
																			BgL_arg2324z00_16305);
																	} break;
																case -3L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2327z00_16308;

																		BgL_arg2327z00_16308 =
																			(BgL_spz00_16294 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13841),
																			BgL_arg2327z00_16308, BgL_a1z00_16287);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2328z00_16309;

																		BgL_arg2328z00_16309 =
																			(BgL_spz00_16294 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13841),
																			BgL_arg2328z00_16309, BgL_a2z00_16288);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2329z00_16310;
																		obj_t BgL_arg2330z00_16311;

																		BgL_arg2329z00_16310 =
																			(BgL_spz00_16294 + 2L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2331z00_16312;

																			BgL_list2331z00_16312 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16289, BNIL);
																			BgL_arg2330z00_16311 =
																				BgL_list2331z00_16312;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13841),
																			BgL_arg2329z00_16310,
																			BgL_arg2330z00_16311);
																	} break;
																case -4L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2332z00_16313;

																		BgL_arg2332z00_16313 =
																			(BgL_spz00_16294 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13841),
																			BgL_arg2332z00_16313, BgL_a1z00_16287);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2333z00_16314;

																		BgL_arg2333z00_16314 =
																			(BgL_spz00_16294 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13841),
																			BgL_arg2333z00_16314, BgL_a2z00_16288);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2334z00_16315;

																		BgL_arg2334z00_16315 =
																			(BgL_spz00_16294 + 2L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13841),
																			BgL_arg2334z00_16315, BgL_a3z00_16289);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2335z00_16316;
																		obj_t BgL_arg2336z00_16317;

																		BgL_arg2335z00_16316 =
																			(BgL_spz00_16294 + 3L);
																		BgL_arg2336z00_16317 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13841),
																			BgL_arg2335z00_16316,
																			BgL_arg2336z00_16317);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13838,
																		STRUCT_REF(BgL_ufz00_16290, (int) (3L)),
																		(int) (3L), CINT(BgL_arityz00_16291));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13838, STRUCT_REF(BgL_ufz00_16290,
																	(int) (3L)), (int) (3L),
																CINT(BgL_arityz00_16291));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16318;

												BgL_z12denvz12_16318 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16318,
													BgL_locz00_13838);
												if (((BgL_spz00_16294 + (long) CINT(BgL_sfz00_16293)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13841))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16292, BgL_sz00_13841,
															BINT(BgL_spz00_16294));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16319;

														BgL_nsz00_16319 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2340z00_16320;

															BgL_arg2340z00_16320 = (BgL_spz00_16294 + 3L);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16319, 2L, BgL_sz00_13841,
																BINT(BgL_spz00_16294),
																BINT(BgL_arg2340z00_16320));
														}
														VECTOR_SET(BgL_nsz00_16319, 1L, BgL_sz00_13841);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16318,
															BgL_nsz00_16319);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16321;

															BgL_ez00_16321 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4358z00_16322;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4359z00_16323;

																	BgL_arg4359z00_16323 =
																		BGL_EXITD_PROTECT(BgL_ez00_16321);
																	BgL_arg4358z00_16322 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13841,
																		BgL_arg4359z00_16323);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16321,
																	BgL_arg4358z00_16322);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16324;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16325;

																	BgL_savedzd2bpzd2_16325 =
																		VECTOR_REF(BgL_nsz00_16319, 0L);
																	VECTOR_SET(BgL_nsz00_16319, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_16327;

																		BgL_fz00_16327 = BgL_runz00_16292;
																	BgL_recz00_16326:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16328;

																			BgL_rz00_16328 =
																				(VA_PROCEDUREP(BgL_fz00_16327)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_16327))
																				(BgL_fz00_16327, BgL_nsz00_16319,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_16327))
																				(BgL_fz00_16327, BgL_nsz00_16319));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5191z00_23269;

																				if (PROCEDUREP(BgL_rz00_16328))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_16329;

																						BgL_arg1778z00_16329 =
																							PROCEDURE_ATTR(BgL_rz00_16328);
																						if (STRUCTP(BgL_arg1778z00_16329))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5191z00_23269 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_16329) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5191z00_23269 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5191z00_23269 =
																							((bool_t) 0);
																					}
																				if (BgL_test5191z00_23269)
																					{
																						obj_t BgL_fz00_23277;

																						BgL_fz00_23277 = BgL_rz00_16328;
																						BgL_fz00_16327 = BgL_fz00_23277;
																						goto BgL_recz00_16326;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16319, 0L,
																							BgL_savedzd2bpzd2_16325);
																						BgL_____rz00_16324 = BgL_rz00_16328;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5194z00_23279;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4357z00_16330;

																		BgL_arg4357z00_16330 =
																			BGL_EXITD_PROTECT(BgL_ez00_16321);
																		BgL_test5194z00_23279 =
																			PAIRP(BgL_arg4357z00_16330);
																	}
																	if (BgL_test5194z00_23279)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4355z00_16331;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4356z00_16332;

																				BgL_arg4356z00_16332 =
																					BGL_EXITD_PROTECT(BgL_ez00_16321);
																				BgL_arg4355z00_16331 =
																					CDR(((obj_t) BgL_arg4356z00_16332));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16321,
																				BgL_arg4355z00_16331);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16318,
																	BgL_sz00_13841);
																return BgL_____rz00_16324;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16286, (int) (3L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16333;

												BgL_nbpz00_16333 =
													((long) CINT(BgL_bpz00_16285) + BgL_siza7eza7_13840);
												VECTOR_SET(
													((obj_t) BgL_sz00_13841), 0L, BINT(BgL_nbpz00_16333));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_23295;

													BgL_tmpz00_23295 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23295,
														BgL_locz00_13838);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16334;

													BgL_rz00_16334 =
														(VA_PROCEDUREP(BgL_fz00_16286) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16286)) (BgL_fz00_16286,
															BgL_a1z00_16287, BgL_a2z00_16288, BgL_a3z00_16289,
															BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16286)) (BgL_fz00_16286,
															BgL_a1z00_16287, BgL_a2z00_16288,
															BgL_a3z00_16289));
													VECTOR_SET(((obj_t) BgL_sz00_13841), 0L,
														BgL_bpz00_16285);
													return BgL_rz00_16334;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13838,
													BgL_symbzd2funzd2_13839, (int) (3L),
													PROCEDURE_ARITY(BgL_fz00_16286));
		}}}}}}}}

	}



/* &<@anonymous:2343> */
	obj_t BGl_z62zc3z04anonymousza32343ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13842, obj_t BgL_sz00_13850)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13843;
				obj_t BgL_a1z00_13844;
				obj_t BgL_a2z00_13845;
				obj_t BgL_a3z00_13846;
				obj_t BgL_locz00_13847;
				obj_t BgL_symbzd2funzd2_13848;
				long BgL_siza7eza7_13849;

				BgL_funz00_13843 = PROCEDURE_REF(BgL_envz00_13842, (int) (0L));
				BgL_a1z00_13844 = PROCEDURE_REF(BgL_envz00_13842, (int) (1L));
				BgL_a2z00_13845 = PROCEDURE_REF(BgL_envz00_13842, (int) (2L));
				BgL_a3z00_13846 = PROCEDURE_REF(BgL_envz00_13842, (int) (3L));
				BgL_locz00_13847 = PROCEDURE_REF(BgL_envz00_13842, (int) (4L));
				BgL_symbzd2funzd2_13848 = PROCEDURE_REF(BgL_envz00_13842, (int) (5L));
				BgL_siza7eza7_13849 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13842, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16335;

					BgL_bpz00_16335 = VECTOR_REF(((obj_t) BgL_sz00_13850), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16336;
						obj_t BgL_a1z00_16337;
						obj_t BgL_a2z00_16338;
						obj_t BgL_a3z00_16339;

						BgL_fz00_16336 =
							(VA_PROCEDUREP(BgL_funz00_13843) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13843)) (BgL_funz00_13843,
								BgL_sz00_13850, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13843)) (BgL_funz00_13843,
								BgL_sz00_13850));
						BgL_a1z00_16337 =
							(VA_PROCEDUREP(BgL_a1z00_13844) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13844)) (BgL_a1z00_13844,
								BgL_sz00_13850, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13844)) (BgL_a1z00_13844,
								BgL_sz00_13850));
						BgL_a2z00_16338 =
							(VA_PROCEDUREP(BgL_a2z00_13845) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13845)) (BgL_a2z00_13845,
								BgL_sz00_13850, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13845)) (BgL_a2z00_13845,
								BgL_sz00_13850));
						BgL_a3z00_16339 =
							(VA_PROCEDUREP(BgL_a3z00_13846) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13846)) (BgL_a3z00_13846,
								BgL_sz00_13850, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13846)) (BgL_a3z00_13846,
								BgL_sz00_13850));
						if (PROCEDUREP(BgL_fz00_16336))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13847,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16336);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16340;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23345;

								BgL_tmpz00_23345 = ((obj_t) BgL_fz00_16336);
								BgL_ufz00_16340 = PROCEDURE_ATTR(BgL_tmpz00_23345);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5197z00_23348;

								if (STRUCTP(BgL_ufz00_16340))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5197z00_23348 =
											(STRUCT_KEY(BgL_ufz00_16340) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5197z00_23348 = ((bool_t) 0);
									}
								if (BgL_test5197z00_23348)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16341;
										obj_t BgL_runz00_16342;
										obj_t BgL_sfz00_16343;

										BgL_arityz00_16341 =
											STRUCT_REF(BgL_ufz00_16340, (int) (0L));
										BgL_runz00_16342 = STRUCT_REF(BgL_ufz00_16340, (int) (1L));
										BgL_sfz00_16343 = STRUCT_REF(BgL_ufz00_16340, (int) (2L));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16344;

											BgL_spz00_16344 =
												((long) CINT(BgL_bpz00_16335) + BgL_siza7eza7_13849);
											if (((long) CINT(BgL_arityz00_16341) == 3L))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2348z00_16345;

														BgL_arg2348z00_16345 = (BgL_spz00_16344 + 0L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13850), BgL_arg2348z00_16345,
															BgL_a1z00_16337);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2349z00_16346;

														BgL_arg2349z00_16346 = (BgL_spz00_16344 + 1L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13850), BgL_arg2349z00_16346,
															BgL_a2z00_16338);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2351z00_16347;

														BgL_arg2351z00_16347 = (BgL_spz00_16344 + 2L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13850), BgL_arg2351z00_16347,
															BgL_a3z00_16339);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16341))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16341))
																{
																case -1L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2352z00_16348;
																		obj_t BgL_arg2353z00_16349;

																		BgL_arg2352z00_16348 =
																			(BgL_spz00_16344 + 0L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2354z00_16350;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2355z00_16351;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2356z00_16352;

																					BgL_arg2356z00_16352 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16339,
																						BNIL);
																					BgL_arg2355z00_16351 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16338,
																						BgL_arg2356z00_16352);
																				}
																				BgL_list2354z00_16350 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16337,
																					BgL_arg2355z00_16351);
																			}
																			BgL_arg2353z00_16349 =
																				BgL_list2354z00_16350;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13850),
																			BgL_arg2352z00_16348,
																			BgL_arg2353z00_16349);
																	} break;
																case -2L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2357z00_16353;

																		BgL_arg2357z00_16353 =
																			(BgL_spz00_16344 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13850),
																			BgL_arg2357z00_16353, BgL_a1z00_16337);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2358z00_16354;
																		obj_t BgL_arg2359z00_16355;

																		BgL_arg2358z00_16354 =
																			(BgL_spz00_16344 + 1L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2360z00_16356;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2362z00_16357;

																				BgL_arg2362z00_16357 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16339,
																					BNIL);
																				BgL_list2360z00_16356 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16338,
																					BgL_arg2362z00_16357);
																			}
																			BgL_arg2359z00_16355 =
																				BgL_list2360z00_16356;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13850),
																			BgL_arg2358z00_16354,
																			BgL_arg2359z00_16355);
																	} break;
																case -3L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2363z00_16358;

																		BgL_arg2363z00_16358 =
																			(BgL_spz00_16344 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13850),
																			BgL_arg2363z00_16358, BgL_a1z00_16337);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2364z00_16359;

																		BgL_arg2364z00_16359 =
																			(BgL_spz00_16344 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13850),
																			BgL_arg2364z00_16359, BgL_a2z00_16338);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2365z00_16360;
																		obj_t BgL_arg2366z00_16361;

																		BgL_arg2365z00_16360 =
																			(BgL_spz00_16344 + 2L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2367z00_16362;

																			BgL_list2367z00_16362 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16339, BNIL);
																			BgL_arg2366z00_16361 =
																				BgL_list2367z00_16362;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13850),
																			BgL_arg2365z00_16360,
																			BgL_arg2366z00_16361);
																	} break;
																case -4L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2368z00_16363;

																		BgL_arg2368z00_16363 =
																			(BgL_spz00_16344 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13850),
																			BgL_arg2368z00_16363, BgL_a1z00_16337);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2369z00_16364;

																		BgL_arg2369z00_16364 =
																			(BgL_spz00_16344 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13850),
																			BgL_arg2369z00_16364, BgL_a2z00_16338);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2370z00_16365;

																		BgL_arg2370z00_16365 =
																			(BgL_spz00_16344 + 2L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13850),
																			BgL_arg2370z00_16365, BgL_a3z00_16339);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2371z00_16366;
																		obj_t BgL_arg2373z00_16367;

																		BgL_arg2371z00_16366 =
																			(BgL_spz00_16344 + 3L);
																		BgL_arg2373z00_16367 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13850),
																			BgL_arg2371z00_16366,
																			BgL_arg2373z00_16367);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13847,
																		STRUCT_REF(BgL_ufz00_16340, (int) (3L)),
																		(int) (3L), CINT(BgL_arityz00_16341));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13847, STRUCT_REF(BgL_ufz00_16340,
																	(int) (3L)), (int) (3L),
																CINT(BgL_arityz00_16341));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16368;

												BgL_z12denvz12_16368 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16344 +
															(long) CINT(BgL_sfz00_16343)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13850))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16342, BgL_sz00_13850,
															BINT(BgL_spz00_16344));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16369;

														BgL_nsz00_16369 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2377z00_16370;

															BgL_arg2377z00_16370 = (BgL_spz00_16344 + 3L);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16369, 2L, BgL_sz00_13850,
																BINT(BgL_spz00_16344),
																BINT(BgL_arg2377z00_16370));
														}
														VECTOR_SET(BgL_nsz00_16369, 1L, BgL_sz00_13850);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16368,
															BgL_nsz00_16369);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16371;

															BgL_ez00_16371 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4358z00_16372;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4359z00_16373;

																	BgL_arg4359z00_16373 =
																		BGL_EXITD_PROTECT(BgL_ez00_16371);
																	BgL_arg4358z00_16372 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13850,
																		BgL_arg4359z00_16373);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16371,
																	BgL_arg4358z00_16372);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16374;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16375;

																	BgL_savedzd2bpzd2_16375 =
																		VECTOR_REF(BgL_nsz00_16369, 0L);
																	VECTOR_SET(BgL_nsz00_16369, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_16377;

																		BgL_fz00_16377 = BgL_runz00_16342;
																	BgL_recz00_16376:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16378;

																			BgL_rz00_16378 =
																				(VA_PROCEDUREP(BgL_fz00_16377)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_16377))
																				(BgL_fz00_16377, BgL_nsz00_16369,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_16377))
																				(BgL_fz00_16377, BgL_nsz00_16369));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5202z00_23450;

																				if (PROCEDUREP(BgL_rz00_16378))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_16379;

																						BgL_arg1778z00_16379 =
																							PROCEDURE_ATTR(BgL_rz00_16378);
																						if (STRUCTP(BgL_arg1778z00_16379))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5202z00_23450 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_16379) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5202z00_23450 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5202z00_23450 =
																							((bool_t) 0);
																					}
																				if (BgL_test5202z00_23450)
																					{
																						obj_t BgL_fz00_23458;

																						BgL_fz00_23458 = BgL_rz00_16378;
																						BgL_fz00_16377 = BgL_fz00_23458;
																						goto BgL_recz00_16376;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16369, 0L,
																							BgL_savedzd2bpzd2_16375);
																						BgL_____rz00_16374 = BgL_rz00_16378;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5205z00_23460;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4357z00_16380;

																		BgL_arg4357z00_16380 =
																			BGL_EXITD_PROTECT(BgL_ez00_16371);
																		BgL_test5205z00_23460 =
																			PAIRP(BgL_arg4357z00_16380);
																	}
																	if (BgL_test5205z00_23460)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4355z00_16381;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4356z00_16382;

																				BgL_arg4356z00_16382 =
																					BGL_EXITD_PROTECT(BgL_ez00_16371);
																				BgL_arg4355z00_16381 =
																					CDR(((obj_t) BgL_arg4356z00_16382));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16371,
																				BgL_arg4355z00_16381);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16368,
																	BgL_sz00_13850);
																return BgL_____rz00_16374;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16336, (int) (3L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16383;

												BgL_nbpz00_16383 =
													((long) CINT(BgL_bpz00_16335) + BgL_siza7eza7_13849);
												VECTOR_SET(
													((obj_t) BgL_sz00_13850), 0L, BINT(BgL_nbpz00_16383));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16384;

													BgL_rz00_16384 =
														(VA_PROCEDUREP(BgL_fz00_16336) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16336)) (BgL_fz00_16336,
															BgL_a1z00_16337, BgL_a2z00_16338, BgL_a3z00_16339,
															BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16336)) (BgL_fz00_16336,
															BgL_a1z00_16337, BgL_a2z00_16338,
															BgL_a3z00_16339));
													VECTOR_SET(((obj_t) BgL_sz00_13850), 0L,
														BgL_bpz00_16335);
													return BgL_rz00_16384;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13847,
													BgL_symbzd2funzd2_13848, (int) (3L),
													PROCEDURE_ARITY(BgL_fz00_16336));
		}}}}}}}}

	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172,
		BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174,
		obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177,
		long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180,
		obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2816;

				BgL_cfunz00_2816 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173, 4L,
					BgL_locz00_172, BgL_symbzd2funzd2_174);
				if (CBOOL(BgL_cfunz00_2816))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5208z00_23490;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1392z00_2840;

							BgL_a1392z00_2840 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 896 */

								BgL_test5208z00_23490 = ((long) (BgL_a1392z00_2840) > 0L);
						}}
						if (BgL_test5208z00_23490)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32381ze3z87_13851;

								BgL_zc3z04anonymousza32381ze3z87_13851 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32381ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (7L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13851,
									(int) (0L), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13851,
									(int) (1L), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13851,
									(int) (2L), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13851,
									(int) (3L), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13851,
									(int) (4L), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13851,
									(int) (5L), BgL_locz00_172);
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13851,
									(int) (6L), BgL_cfunz00_2816);
								return BgL_zc3z04anonymousza32381ze3z87_13851;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32383ze3z87_13852;

								BgL_zc3z04anonymousza32383ze3z87_13852 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32383ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (6L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32383ze3z87_13852,
									(int) (0L), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3z04anonymousza32383ze3z87_13852,
									(int) (1L), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3z04anonymousza32383ze3z87_13852,
									(int) (2L), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3z04anonymousza32383ze3z87_13852,
									(int) (3L), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3z04anonymousza32383ze3z87_13852,
									(int) (4L), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3z04anonymousza32383ze3z87_13852,
									(int) (5L), BgL_cfunz00_2816);
								return BgL_zc3z04anonymousza32383ze3z87_13852;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_176))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5210z00_23530;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1394z00_2976;

									BgL_a1394z00_2976 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5210z00_23530 = ((long) (BgL_a1394z00_2976) > 0L);
								}}
								if (BgL_test5210z00_23530)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32386ze3z87_13853;

										BgL_zc3z04anonymousza32386ze3z87_13853 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32386ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (8L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32386ze3z87_13853,
											(int) (0L), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32386ze3z87_13853,
											(int) (1L), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32386ze3z87_13853,
											(int) (2L), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32386ze3z87_13853,
											(int) (3L), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32386ze3z87_13853,
											(int) (4L), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32386ze3z87_13853,
											(int) (5L), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32386ze3z87_13853,
											(int) (6L), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32386ze3z87_13853,
											(int) (7L), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32386ze3z87_13853;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32439ze3z87_13854;

										BgL_zc3z04anonymousza32439ze3z87_13854 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32439ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (8L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32439ze3z87_13854,
											(int) (0L), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32439ze3z87_13854,
											(int) (1L), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32439ze3z87_13854,
											(int) (2L), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32439ze3z87_13854,
											(int) (3L), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32439ze3z87_13854,
											(int) (4L), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32439ze3z87_13854,
											(int) (5L), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32439ze3z87_13854,
											(int) (6L), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32439ze3z87_13854,
											(int) (7L), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32439ze3z87_13854;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5211z00_23574;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1396z00_3112;

									BgL_a1396z00_3112 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5211z00_23574 = ((long) (BgL_a1396z00_3112) > 0L);
								}}
								if (BgL_test5211z00_23574)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32492ze3z87_13855;

										BgL_zc3z04anonymousza32492ze3z87_13855 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32492ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (8L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32492ze3z87_13855,
											(int) (0L), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32492ze3z87_13855,
											(int) (1L), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32492ze3z87_13855,
											(int) (2L), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32492ze3z87_13855,
											(int) (3L), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32492ze3z87_13855,
											(int) (4L), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32492ze3z87_13855,
											(int) (5L), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32492ze3z87_13855,
											(int) (6L), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32492ze3z87_13855,
											(int) (7L), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32492ze3z87_13855;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32555ze3z87_13856;

										BgL_zc3z04anonymousza32555ze3z87_13856 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32555ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (8L));
										PROCEDURE_SET(BgL_zc3z04anonymousza32555ze3z87_13856,
											(int) (0L), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32555ze3z87_13856,
											(int) (1L), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32555ze3z87_13856,
											(int) (2L), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32555ze3z87_13856,
											(int) (3L), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32555ze3z87_13856,
											(int) (4L), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32555ze3z87_13856,
											(int) (5L), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32555ze3z87_13856,
											(int) (6L), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32555ze3z87_13856,
											(int) (7L), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32555ze3z87_13856;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2381> */
	obj_t BGl_z62zc3z04anonymousza32381ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13857, obj_t BgL_sz00_13865)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13858;
				obj_t BgL_a2z00_13859;
				obj_t BgL_a3z00_13860;
				obj_t BgL_a4z00_13861;
				long BgL_siza7eza7_13862;
				obj_t BgL_locz00_13863;
				obj_t BgL_cfunz00_13864;

				BgL_a1z00_13858 = PROCEDURE_REF(BgL_envz00_13857, (int) (0L));
				BgL_a2z00_13859 = PROCEDURE_REF(BgL_envz00_13857, (int) (1L));
				BgL_a3z00_13860 = PROCEDURE_REF(BgL_envz00_13857, (int) (2L));
				BgL_a4z00_13861 = PROCEDURE_REF(BgL_envz00_13857, (int) (3L));
				BgL_siza7eza7_13862 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13857, (int) (4L)));
				BgL_locz00_13863 = PROCEDURE_REF(BgL_envz00_13857, (int) (5L));
				BgL_cfunz00_13864 = PROCEDURE_REF(BgL_envz00_13857, (int) (6L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16385;

					BgL_bpz00_16385 = VECTOR_REF(((obj_t) BgL_sz00_13865), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16386;
						obj_t BgL_a2z00_16387;
						obj_t BgL_a3z00_16388;
						obj_t BgL_a4z00_16389;

						BgL_a1z00_16386 =
							(VA_PROCEDUREP(BgL_a1z00_13858) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13858)) (BgL_a1z00_13858,
								BgL_sz00_13865, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13858)) (BgL_a1z00_13858,
								BgL_sz00_13865));
						BgL_a2z00_16387 =
							(VA_PROCEDUREP(BgL_a2z00_13859) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13859)) (BgL_a2z00_13859,
								BgL_sz00_13865, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13859)) (BgL_a2z00_13859,
								BgL_sz00_13865));
						BgL_a3z00_16388 =
							(VA_PROCEDUREP(BgL_a3z00_13860) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13860)) (BgL_a3z00_13860,
								BgL_sz00_13865, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13860)) (BgL_a3z00_13860,
								BgL_sz00_13865));
						BgL_a4z00_16389 =
							(VA_PROCEDUREP(BgL_a4z00_13861) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a4z00_13861)) (BgL_a4z00_13861,
								BgL_sz00_13865, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13861)) (BgL_a4z00_13861,
								BgL_sz00_13865));
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16390;

							BgL_nbpz00_16390 =
								((long) CINT(BgL_bpz00_16385) + BgL_siza7eza7_13862);
							VECTOR_SET(((obj_t) BgL_sz00_13865), 0L, BINT(BgL_nbpz00_16390));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23656;

								BgL_tmpz00_23656 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23656, BgL_locz00_13863);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16391;

								BgL_rz00_16391 =
									(VA_PROCEDUREP(BgL_cfunz00_13864) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_cfunz00_13864)) (BgL_cfunz00_13864,
										BgL_a1z00_16386, BgL_a2z00_16387, BgL_a3z00_16388,
										BgL_a4z00_16389, BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
												obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_cfunz00_13864)) (BgL_cfunz00_13864,
										BgL_a1z00_16386, BgL_a2z00_16387, BgL_a3z00_16388,
										BgL_a4z00_16389));
								VECTOR_SET(((obj_t) BgL_sz00_13865), 0L, BgL_bpz00_16385);
								return BgL_rz00_16391;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2383> */
	obj_t BGl_z62zc3z04anonymousza32383ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13866, obj_t BgL_sz00_13873)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13867;
				obj_t BgL_a2z00_13868;
				obj_t BgL_a3z00_13869;
				obj_t BgL_a4z00_13870;
				long BgL_siza7eza7_13871;
				obj_t BgL_cfunz00_13872;

				BgL_a1z00_13867 = PROCEDURE_REF(BgL_envz00_13866, (int) (0L));
				BgL_a2z00_13868 = PROCEDURE_REF(BgL_envz00_13866, (int) (1L));
				BgL_a3z00_13869 = PROCEDURE_REF(BgL_envz00_13866, (int) (2L));
				BgL_a4z00_13870 = PROCEDURE_REF(BgL_envz00_13866, (int) (3L));
				BgL_siza7eza7_13871 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13866, (int) (4L)));
				BgL_cfunz00_13872 = PROCEDURE_REF(BgL_envz00_13866, (int) (5L));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16392;

					BgL_bpz00_16392 = VECTOR_REF(((obj_t) BgL_sz00_13873), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16393;
						obj_t BgL_a2z00_16394;
						obj_t BgL_a3z00_16395;
						obj_t BgL_a4z00_16396;

						BgL_a1z00_16393 =
							(VA_PROCEDUREP(BgL_a1z00_13867) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13867)) (BgL_a1z00_13867,
								BgL_sz00_13873, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13867)) (BgL_a1z00_13867,
								BgL_sz00_13873));
						BgL_a2z00_16394 =
							(VA_PROCEDUREP(BgL_a2z00_13868) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13868)) (BgL_a2z00_13868,
								BgL_sz00_13873, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13868)) (BgL_a2z00_13868,
								BgL_sz00_13873));
						BgL_a3z00_16395 =
							(VA_PROCEDUREP(BgL_a3z00_13869) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13869)) (BgL_a3z00_13869,
								BgL_sz00_13873, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13869)) (BgL_a3z00_13869,
								BgL_sz00_13873));
						BgL_a4z00_16396 =
							(VA_PROCEDUREP(BgL_a4z00_13870) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a4z00_13870)) (BgL_a4z00_13870,
								BgL_sz00_13873, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13870)) (BgL_a4z00_13870,
								BgL_sz00_13873));
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16397;

							BgL_nbpz00_16397 =
								((long) CINT(BgL_bpz00_16392) + BgL_siza7eza7_13871);
							VECTOR_SET(((obj_t) BgL_sz00_13873), 0L, BINT(BgL_nbpz00_16397));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16398;

								BgL_rz00_16398 =
									(VA_PROCEDUREP(BgL_cfunz00_13872) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_cfunz00_13872)) (BgL_cfunz00_13872,
										BgL_a1z00_16393, BgL_a2z00_16394, BgL_a3z00_16395,
										BgL_a4z00_16396, BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
												obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_cfunz00_13872)) (BgL_cfunz00_13872,
										BgL_a1z00_16393, BgL_a2z00_16394, BgL_a3z00_16395,
										BgL_a4z00_16396));
								VECTOR_SET(((obj_t) BgL_sz00_13873), 0L, BgL_bpz00_16392);
								return BgL_rz00_16398;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2386> */
	obj_t BGl_z62zc3z04anonymousza32386ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13874, obj_t BgL_sz00_13883)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13875;
				obj_t BgL_a1z00_13876;
				obj_t BgL_a2z00_13877;
				obj_t BgL_a3z00_13878;
				obj_t BgL_a4z00_13879;
				obj_t BgL_locz00_13880;
				obj_t BgL_symbzd2funzd2_13881;
				long BgL_siza7eza7_13882;

				BgL_funz00_13875 = PROCEDURE_REF(BgL_envz00_13874, (int) (0L));
				BgL_a1z00_13876 = PROCEDURE_REF(BgL_envz00_13874, (int) (1L));
				BgL_a2z00_13877 = PROCEDURE_REF(BgL_envz00_13874, (int) (2L));
				BgL_a3z00_13878 = PROCEDURE_REF(BgL_envz00_13874, (int) (3L));
				BgL_a4z00_13879 = PROCEDURE_REF(BgL_envz00_13874, (int) (4L));
				BgL_locz00_13880 = PROCEDURE_REF(BgL_envz00_13874, (int) (5L));
				BgL_symbzd2funzd2_13881 = PROCEDURE_REF(BgL_envz00_13874, (int) (6L));
				BgL_siza7eza7_13882 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13874, (int) (7L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16399;

					BgL_bpz00_16399 = VECTOR_REF(((obj_t) BgL_sz00_13883), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16400;
						obj_t BgL_a1z00_16401;
						obj_t BgL_a2z00_16402;
						obj_t BgL_a3z00_16403;
						obj_t BgL_a4z00_16404;

						BgL_fz00_16400 =
							(VA_PROCEDUREP(BgL_funz00_13875) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13875)) (BgL_funz00_13875,
								BgL_sz00_13883, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13875)) (BgL_funz00_13875,
								BgL_sz00_13883));
						BgL_a1z00_16401 =
							(VA_PROCEDUREP(BgL_a1z00_13876) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13876)) (BgL_a1z00_13876,
								BgL_sz00_13883, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13876)) (BgL_a1z00_13876,
								BgL_sz00_13883));
						BgL_a2z00_16402 =
							(VA_PROCEDUREP(BgL_a2z00_13877) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13877)) (BgL_a2z00_13877,
								BgL_sz00_13883, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13877)) (BgL_a2z00_13877,
								BgL_sz00_13883));
						BgL_a3z00_16403 =
							(VA_PROCEDUREP(BgL_a3z00_13878) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13878)) (BgL_a3z00_13878,
								BgL_sz00_13883, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13878)) (BgL_a3z00_13878,
								BgL_sz00_13883));
						BgL_a4z00_16404 =
							(VA_PROCEDUREP(BgL_a4z00_13879) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a4z00_13879)) (BgL_a4z00_13879,
								BgL_sz00_13883, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13879)) (BgL_a4z00_13879,
								BgL_sz00_13883));
						if (PROCEDUREP(BgL_fz00_16400))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13880,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16400);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16405;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23755;

								BgL_tmpz00_23755 = ((obj_t) BgL_fz00_16400);
								BgL_ufz00_16405 = PROCEDURE_ATTR(BgL_tmpz00_23755);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5213z00_23758;

								if (STRUCTP(BgL_ufz00_16405))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5213z00_23758 =
											(STRUCT_KEY(BgL_ufz00_16405) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5213z00_23758 = ((bool_t) 0);
									}
								if (BgL_test5213z00_23758)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16406;
										obj_t BgL_runz00_16407;
										obj_t BgL_sfz00_16408;

										BgL_arityz00_16406 =
											STRUCT_REF(BgL_ufz00_16405, (int) (0L));
										BgL_runz00_16407 = STRUCT_REF(BgL_ufz00_16405, (int) (1L));
										BgL_sfz00_16408 = STRUCT_REF(BgL_ufz00_16405, (int) (2L));
										if (((long) CINT(BgL_arityz00_16406) == 4L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2391z00_16409;

													BgL_arg2391z00_16409 =
														((long) CINT(BgL_bpz00_16399) + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13883), BgL_arg2391z00_16409,
														BgL_a1z00_16401);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2393z00_16410;

													BgL_arg2393z00_16410 =
														((long) CINT(BgL_bpz00_16399) + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13883), BgL_arg2393z00_16410,
														BgL_a2z00_16402);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2394z00_16411;

													BgL_arg2394z00_16411 =
														((long) CINT(BgL_bpz00_16399) + 2L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13883), BgL_arg2394z00_16411,
														BgL_a3z00_16403);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2395z00_16412;

													BgL_arg2395z00_16412 =
														((long) CINT(BgL_bpz00_16399) + 3L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13883), BgL_arg2395z00_16412,
														BgL_a4z00_16404);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16406))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16406))
															{
															case -1L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2396z00_16413;
																	obj_t BgL_arg2397z00_16414;

																	BgL_arg2396z00_16413 =
																		((long) CINT(BgL_bpz00_16399) + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2398z00_16415;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2399z00_16416;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2401z00_16417;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2402z00_16418;

																					BgL_arg2402z00_16418 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16404,
																						BNIL);
																					BgL_arg2401z00_16417 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16403,
																						BgL_arg2402z00_16418);
																				}
																				BgL_arg2399z00_16416 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16402,
																					BgL_arg2401z00_16417);
																			}
																			BgL_list2398z00_16415 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16401,
																				BgL_arg2399z00_16416);
																		}
																		BgL_arg2397z00_16414 =
																			BgL_list2398z00_16415;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2396z00_16413, BgL_arg2397z00_16414);
																} break;
															case -2L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2403z00_16419;

																	BgL_arg2403z00_16419 =
																		((long) CINT(BgL_bpz00_16399) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2403z00_16419, BgL_a1z00_16401);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2404z00_16420;
																	obj_t BgL_arg2405z00_16421;

																	BgL_arg2404z00_16420 =
																		((long) CINT(BgL_bpz00_16399) + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2406z00_16422;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2407z00_16423;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2409z00_16424;

																				BgL_arg2409z00_16424 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16404,
																					BNIL);
																				BgL_arg2407z00_16423 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16403,
																					BgL_arg2409z00_16424);
																			}
																			BgL_list2406z00_16422 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16402,
																				BgL_arg2407z00_16423);
																		}
																		BgL_arg2405z00_16421 =
																			BgL_list2406z00_16422;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2404z00_16420, BgL_arg2405z00_16421);
																} break;
															case -3L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2410z00_16425;

																	BgL_arg2410z00_16425 =
																		((long) CINT(BgL_bpz00_16399) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2410z00_16425, BgL_a1z00_16401);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2411z00_16426;

																	BgL_arg2411z00_16426 =
																		((long) CINT(BgL_bpz00_16399) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2411z00_16426, BgL_a2z00_16402);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2412z00_16427;
																	obj_t BgL_arg2414z00_16428;

																	BgL_arg2412z00_16427 =
																		((long) CINT(BgL_bpz00_16399) + 2L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2415z00_16429;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2416z00_16430;

																			BgL_arg2416z00_16430 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16404, BNIL);
																			BgL_list2415z00_16429 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16403,
																				BgL_arg2416z00_16430);
																		}
																		BgL_arg2414z00_16428 =
																			BgL_list2415z00_16429;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2412z00_16427, BgL_arg2414z00_16428);
																} break;
															case -4L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2417z00_16431;

																	BgL_arg2417z00_16431 =
																		((long) CINT(BgL_bpz00_16399) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2417z00_16431, BgL_a1z00_16401);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2418z00_16432;

																	BgL_arg2418z00_16432 =
																		((long) CINT(BgL_bpz00_16399) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2418z00_16432, BgL_a2z00_16402);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2420z00_16433;

																	BgL_arg2420z00_16433 =
																		((long) CINT(BgL_bpz00_16399) + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2420z00_16433, BgL_a3z00_16403);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2421z00_16434;
																	obj_t BgL_arg2422z00_16435;

																	BgL_arg2421z00_16434 =
																		((long) CINT(BgL_bpz00_16399) + 3L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2423z00_16436;

																		BgL_list2423z00_16436 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16404, BNIL);
																		BgL_arg2422z00_16435 =
																			BgL_list2423z00_16436;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2421z00_16434, BgL_arg2422z00_16435);
																} break;
															case -5L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2425z00_16437;

																	BgL_arg2425z00_16437 =
																		((long) CINT(BgL_bpz00_16399) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2425z00_16437, BgL_a1z00_16401);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2426z00_16438;

																	BgL_arg2426z00_16438 =
																		((long) CINT(BgL_bpz00_16399) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2426z00_16438, BgL_a2z00_16402);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2427z00_16439;

																	BgL_arg2427z00_16439 =
																		((long) CINT(BgL_bpz00_16399) + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2427z00_16439, BgL_a3z00_16403);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2429z00_16440;

																	BgL_arg2429z00_16440 =
																		((long) CINT(BgL_bpz00_16399) + 3L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2429z00_16440, BgL_a4z00_16404);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2430z00_16441;
																	obj_t BgL_arg2432z00_16442;

																	BgL_arg2430z00_16441 =
																		((long) CINT(BgL_bpz00_16399) + 4L);
																	BgL_arg2432z00_16442 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13883),
																		BgL_arg2430z00_16441, BgL_arg2432z00_16442);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13880, STRUCT_REF(BgL_ufz00_16405,
																		(int) (3L)), (int) (4L),
																	CINT(BgL_arityz00_16406));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13880, STRUCT_REF(BgL_ufz00_16405,
																(int) (3L)), (int) (4L),
															CINT(BgL_arityz00_16406));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16443;

											BgL_z12denvz12_16443 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16443,
												BgL_locz00_13880);
											if ((((long) CINT(BgL_bpz00_16399) +
														(long) CINT(BgL_sfz00_16408)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13883))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16407;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16444;

													BgL_nsz00_16444 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2436z00_16445;

														BgL_arg2436z00_16445 =
															((long) CINT(BgL_bpz00_16399) + 4L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16444, 2L, BgL_sz00_13883,
															BgL_bpz00_16399, BINT(BgL_arg2436z00_16445));
													}
													VECTOR_SET(BgL_nsz00_16444, 1L, BgL_sz00_13883);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16443,
														BgL_nsz00_16444);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16446;

														BgL_ez00_16446 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4358z00_16447;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4359z00_16448;

																BgL_arg4359z00_16448 =
																	BGL_EXITD_PROTECT(BgL_ez00_16446);
																BgL_arg4358z00_16447 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13883,
																	BgL_arg4359z00_16448);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16446,
																BgL_arg4358z00_16447);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16449;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16450;

																BgL_savedzd2bpzd2_16450 =
																	VECTOR_REF(BgL_nsz00_16444, 0L);
																VECTOR_SET(BgL_nsz00_16444, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_16452;

																	BgL_fz00_16452 = BgL_runz00_16407;
																BgL_recz00_16451:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16453;

																		BgL_rz00_16453 =
																			(VA_PROCEDUREP(BgL_fz00_16452)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_16452))
																			(BgL_fz00_16452, BgL_nsz00_16444,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16452))
																			(BgL_fz00_16452, BgL_nsz00_16444));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5218z00_23899;

																			if (PROCEDUREP(BgL_rz00_16453))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_16454;

																					BgL_arg1778z00_16454 =
																						PROCEDURE_ATTR(BgL_rz00_16453);
																					if (STRUCTP(BgL_arg1778z00_16454))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5218z00_23899 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_16454) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5218z00_23899 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5218z00_23899 = ((bool_t) 0);
																				}
																			if (BgL_test5218z00_23899)
																				{
																					obj_t BgL_fz00_23907;

																					BgL_fz00_23907 = BgL_rz00_16453;
																					BgL_fz00_16452 = BgL_fz00_23907;
																					goto BgL_recz00_16451;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16444, 0L,
																						BgL_savedzd2bpzd2_16450);
																					BgL_____rz00_16449 = BgL_rz00_16453;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5221z00_23909;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4357z00_16455;

																	BgL_arg4357z00_16455 =
																		BGL_EXITD_PROTECT(BgL_ez00_16446);
																	BgL_test5221z00_23909 =
																		PAIRP(BgL_arg4357z00_16455);
																}
																if (BgL_test5221z00_23909)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4355z00_16456;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4356z00_16457;

																			BgL_arg4356z00_16457 =
																				BGL_EXITD_PROTECT(BgL_ez00_16446);
																			BgL_arg4355z00_16456 =
																				CDR(((obj_t) BgL_arg4356z00_16457));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16446,
																			BgL_arg4355z00_16456);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16443,
																BgL_sz00_13883);
															return BgL_____rz00_16449;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16400, (int) (4L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16458;

												BgL_nbpz00_16458 =
													((long) CINT(BgL_bpz00_16399) + BgL_siza7eza7_13882);
												VECTOR_SET(
													((obj_t) BgL_sz00_13883), 0L, BINT(BgL_nbpz00_16458));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_23925;

													BgL_tmpz00_23925 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23925,
														BgL_locz00_13880);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16459;

													BgL_rz00_16459 =
														(VA_PROCEDUREP(BgL_fz00_16400) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16400)) (BgL_fz00_16400,
															BgL_a1z00_16401, BgL_a2z00_16402, BgL_a3z00_16403,
															BgL_a4z00_16404, BEOA) : ((obj_t(*)(obj_t, obj_t,
																	obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16400)) (BgL_fz00_16400,
															BgL_a1z00_16401, BgL_a2z00_16402, BgL_a3z00_16403,
															BgL_a4z00_16404));
													VECTOR_SET(((obj_t) BgL_sz00_13883), 0L,
														BgL_bpz00_16399);
													return BgL_rz00_16459;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13880,
													BgL_symbzd2funzd2_13881, (int) (4L),
													PROCEDURE_ARITY(BgL_fz00_16400));
		}}}}}}}}

	}



/* &<@anonymous:2439> */
	obj_t BGl_z62zc3z04anonymousza32439ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13884, obj_t BgL_sz00_13893)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13885;
				obj_t BgL_a1z00_13886;
				obj_t BgL_a2z00_13887;
				obj_t BgL_a3z00_13888;
				obj_t BgL_a4z00_13889;
				obj_t BgL_locz00_13890;
				obj_t BgL_symbzd2funzd2_13891;
				long BgL_siza7eza7_13892;

				BgL_funz00_13885 = PROCEDURE_REF(BgL_envz00_13884, (int) (0L));
				BgL_a1z00_13886 = PROCEDURE_REF(BgL_envz00_13884, (int) (1L));
				BgL_a2z00_13887 = PROCEDURE_REF(BgL_envz00_13884, (int) (2L));
				BgL_a3z00_13888 = PROCEDURE_REF(BgL_envz00_13884, (int) (3L));
				BgL_a4z00_13889 = PROCEDURE_REF(BgL_envz00_13884, (int) (4L));
				BgL_locz00_13890 = PROCEDURE_REF(BgL_envz00_13884, (int) (5L));
				BgL_symbzd2funzd2_13891 = PROCEDURE_REF(BgL_envz00_13884, (int) (6L));
				BgL_siza7eza7_13892 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13884, (int) (7L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16460;

					BgL_bpz00_16460 = VECTOR_REF(((obj_t) BgL_sz00_13893), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16461;
						obj_t BgL_a1z00_16462;
						obj_t BgL_a2z00_16463;
						obj_t BgL_a3z00_16464;
						obj_t BgL_a4z00_16465;

						BgL_fz00_16461 =
							(VA_PROCEDUREP(BgL_funz00_13885) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13885)) (BgL_funz00_13885,
								BgL_sz00_13893, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13885)) (BgL_funz00_13885,
								BgL_sz00_13893));
						BgL_a1z00_16462 =
							(VA_PROCEDUREP(BgL_a1z00_13886) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13886)) (BgL_a1z00_13886,
								BgL_sz00_13893, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13886)) (BgL_a1z00_13886,
								BgL_sz00_13893));
						BgL_a2z00_16463 =
							(VA_PROCEDUREP(BgL_a2z00_13887) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13887)) (BgL_a2z00_13887,
								BgL_sz00_13893, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13887)) (BgL_a2z00_13887,
								BgL_sz00_13893));
						BgL_a3z00_16464 =
							(VA_PROCEDUREP(BgL_a3z00_13888) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13888)) (BgL_a3z00_13888,
								BgL_sz00_13893, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13888)) (BgL_a3z00_13888,
								BgL_sz00_13893));
						BgL_a4z00_16465 =
							(VA_PROCEDUREP(BgL_a4z00_13889) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a4z00_13889)) (BgL_a4z00_13889,
								BgL_sz00_13893, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13889)) (BgL_a4z00_13889,
								BgL_sz00_13893));
						if (PROCEDUREP(BgL_fz00_16461))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13890,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16461);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16466;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23982;

								BgL_tmpz00_23982 = ((obj_t) BgL_fz00_16461);
								BgL_ufz00_16466 = PROCEDURE_ATTR(BgL_tmpz00_23982);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5224z00_23985;

								if (STRUCTP(BgL_ufz00_16466))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5224z00_23985 =
											(STRUCT_KEY(BgL_ufz00_16466) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5224z00_23985 = ((bool_t) 0);
									}
								if (BgL_test5224z00_23985)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16467;
										obj_t BgL_runz00_16468;
										obj_t BgL_sfz00_16469;

										BgL_arityz00_16467 =
											STRUCT_REF(BgL_ufz00_16466, (int) (0L));
										BgL_runz00_16468 = STRUCT_REF(BgL_ufz00_16466, (int) (1L));
										BgL_sfz00_16469 = STRUCT_REF(BgL_ufz00_16466, (int) (2L));
										if (((long) CINT(BgL_arityz00_16467) == 4L))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2443z00_16470;

													BgL_arg2443z00_16470 =
														((long) CINT(BgL_bpz00_16460) + 0L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13893), BgL_arg2443z00_16470,
														BgL_a1z00_16462);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2444z00_16471;

													BgL_arg2444z00_16471 =
														((long) CINT(BgL_bpz00_16460) + 1L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13893), BgL_arg2444z00_16471,
														BgL_a2z00_16463);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2445z00_16472;

													BgL_arg2445z00_16472 =
														((long) CINT(BgL_bpz00_16460) + 2L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13893), BgL_arg2445z00_16472,
														BgL_a3z00_16464);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2447z00_16473;

													BgL_arg2447z00_16473 =
														((long) CINT(BgL_bpz00_16460) + 3L);
													VECTOR_SET(
														((obj_t) BgL_sz00_13893), BgL_arg2447z00_16473,
														BgL_a4z00_16465);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16467))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16467))
															{
															case -1L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2448z00_16474;
																	obj_t BgL_arg2449z00_16475;

																	BgL_arg2448z00_16474 =
																		((long) CINT(BgL_bpz00_16460) + 0L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2450z00_16476;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2451z00_16477;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2453z00_16478;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2455z00_16479;

																					BgL_arg2455z00_16479 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16465,
																						BNIL);
																					BgL_arg2453z00_16478 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16464,
																						BgL_arg2455z00_16479);
																				}
																				BgL_arg2451z00_16477 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16463,
																					BgL_arg2453z00_16478);
																			}
																			BgL_list2450z00_16476 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16462,
																				BgL_arg2451z00_16477);
																		}
																		BgL_arg2449z00_16475 =
																			BgL_list2450z00_16476;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2448z00_16474, BgL_arg2449z00_16475);
																} break;
															case -2L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2456z00_16480;

																	BgL_arg2456z00_16480 =
																		((long) CINT(BgL_bpz00_16460) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2456z00_16480, BgL_a1z00_16462);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2457z00_16481;
																	obj_t BgL_arg2458z00_16482;

																	BgL_arg2457z00_16481 =
																		((long) CINT(BgL_bpz00_16460) + 1L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2459z00_16483;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2460z00_16484;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2461z00_16485;

																				BgL_arg2461z00_16485 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16465,
																					BNIL);
																				BgL_arg2460z00_16484 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16464,
																					BgL_arg2461z00_16485);
																			}
																			BgL_list2459z00_16483 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16463,
																				BgL_arg2460z00_16484);
																		}
																		BgL_arg2458z00_16482 =
																			BgL_list2459z00_16483;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2457z00_16481, BgL_arg2458z00_16482);
																} break;
															case -3L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2463z00_16486;

																	BgL_arg2463z00_16486 =
																		((long) CINT(BgL_bpz00_16460) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2463z00_16486, BgL_a1z00_16462);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2464z00_16487;

																	BgL_arg2464z00_16487 =
																		((long) CINT(BgL_bpz00_16460) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2464z00_16487, BgL_a2z00_16463);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2465z00_16488;
																	obj_t BgL_arg2466z00_16489;

																	BgL_arg2465z00_16488 =
																		((long) CINT(BgL_bpz00_16460) + 2L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2467z00_16490;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2468z00_16491;

																			BgL_arg2468z00_16491 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16465, BNIL);
																			BgL_list2467z00_16490 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16464,
																				BgL_arg2468z00_16491);
																		}
																		BgL_arg2466z00_16489 =
																			BgL_list2467z00_16490;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2465z00_16488, BgL_arg2466z00_16489);
																} break;
															case -4L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2469z00_16492;

																	BgL_arg2469z00_16492 =
																		((long) CINT(BgL_bpz00_16460) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2469z00_16492, BgL_a1z00_16462);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2471z00_16493;

																	BgL_arg2471z00_16493 =
																		((long) CINT(BgL_bpz00_16460) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2471z00_16493, BgL_a2z00_16463);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2472z00_16494;

																	BgL_arg2472z00_16494 =
																		((long) CINT(BgL_bpz00_16460) + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2472z00_16494, BgL_a3z00_16464);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2473z00_16495;
																	obj_t BgL_arg2474z00_16496;

																	BgL_arg2473z00_16495 =
																		((long) CINT(BgL_bpz00_16460) + 3L);
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2475z00_16497;

																		BgL_list2475z00_16497 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16465, BNIL);
																		BgL_arg2474z00_16496 =
																			BgL_list2475z00_16497;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2473z00_16495, BgL_arg2474z00_16496);
																} break;
															case -5L:

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2477z00_16498;

																	BgL_arg2477z00_16498 =
																		((long) CINT(BgL_bpz00_16460) + 0L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2477z00_16498, BgL_a1z00_16462);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2479z00_16499;

																	BgL_arg2479z00_16499 =
																		((long) CINT(BgL_bpz00_16460) + 1L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2479z00_16499, BgL_a2z00_16463);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2480z00_16500;

																	BgL_arg2480z00_16500 =
																		((long) CINT(BgL_bpz00_16460) + 2L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2480z00_16500, BgL_a3z00_16464);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2481z00_16501;

																	BgL_arg2481z00_16501 =
																		((long) CINT(BgL_bpz00_16460) + 3L);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2481z00_16501, BgL_a4z00_16465);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2482z00_16502;
																	obj_t BgL_arg2483z00_16503;

																	BgL_arg2482z00_16502 =
																		((long) CINT(BgL_bpz00_16460) + 4L);
																	BgL_arg2483z00_16503 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13893),
																		BgL_arg2482z00_16502, BgL_arg2483z00_16503);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13890, STRUCT_REF(BgL_ufz00_16466,
																		(int) (3L)), (int) (4L),
																	CINT(BgL_arityz00_16467));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13890, STRUCT_REF(BgL_ufz00_16466,
																(int) (3L)), (int) (4L),
															CINT(BgL_arityz00_16467));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16504;

											BgL_z12denvz12_16504 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16460) +
														(long) CINT(BgL_sfz00_16469)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13893))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16468;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16505;

													BgL_nsz00_16505 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2488z00_16506;

														BgL_arg2488z00_16506 =
															((long) CINT(BgL_bpz00_16460) + 4L);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16505, 2L, BgL_sz00_13893,
															BgL_bpz00_16460, BINT(BgL_arg2488z00_16506));
													}
													VECTOR_SET(BgL_nsz00_16505, 1L, BgL_sz00_13893);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16504,
														BgL_nsz00_16505);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16507;

														BgL_ez00_16507 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4358z00_16508;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4359z00_16509;

																BgL_arg4359z00_16509 =
																	BGL_EXITD_PROTECT(BgL_ez00_16507);
																BgL_arg4358z00_16508 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13893,
																	BgL_arg4359z00_16509);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16507,
																BgL_arg4358z00_16508);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16510;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16511;

																BgL_savedzd2bpzd2_16511 =
																	VECTOR_REF(BgL_nsz00_16505, 0L);
																VECTOR_SET(BgL_nsz00_16505, 0L, BINT(2L));
																{
																	obj_t BgL_fz00_16513;

																	BgL_fz00_16513 = BgL_runz00_16468;
																BgL_recz00_16512:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16514;

																		BgL_rz00_16514 =
																			(VA_PROCEDUREP(BgL_fz00_16513)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_fz00_16513))
																			(BgL_fz00_16513, BgL_nsz00_16505,
																				BEOA) : ((obj_t(*)(obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16513))
																			(BgL_fz00_16513, BgL_nsz00_16505));
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5229z00_24125;

																			if (PROCEDUREP(BgL_rz00_16514))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1778z00_16515;

																					BgL_arg1778z00_16515 =
																						PROCEDURE_ATTR(BgL_rz00_16514);
																					if (STRUCTP(BgL_arg1778z00_16515))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5229z00_24125 =
																								(STRUCT_KEY
																								(BgL_arg1778z00_16515) ==
																								BGl_symbol4610z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5229z00_24125 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5229z00_24125 = ((bool_t) 0);
																				}
																			if (BgL_test5229z00_24125)
																				{
																					obj_t BgL_fz00_24133;

																					BgL_fz00_24133 = BgL_rz00_16514;
																					BgL_fz00_16513 = BgL_fz00_24133;
																					goto BgL_recz00_16512;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16505, 0L,
																						BgL_savedzd2bpzd2_16511);
																					BgL_____rz00_16510 = BgL_rz00_16514;
																				}
																		}
																	}
																}
															}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5232z00_24135;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4357z00_16516;

																	BgL_arg4357z00_16516 =
																		BGL_EXITD_PROTECT(BgL_ez00_16507);
																	BgL_test5232z00_24135 =
																		PAIRP(BgL_arg4357z00_16516);
																}
																if (BgL_test5232z00_24135)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4355z00_16517;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4356z00_16518;

																			BgL_arg4356z00_16518 =
																				BGL_EXITD_PROTECT(BgL_ez00_16507);
																			BgL_arg4355z00_16517 =
																				CDR(((obj_t) BgL_arg4356z00_16518));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16507,
																			BgL_arg4355z00_16517);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16504,
																BgL_sz00_13893);
															return BgL_____rz00_16510;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16461, (int) (4L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16519;

												BgL_nbpz00_16519 =
													((long) CINT(BgL_bpz00_16460) + BgL_siza7eza7_13892);
												VECTOR_SET(
													((obj_t) BgL_sz00_13893), 0L, BINT(BgL_nbpz00_16519));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16520;

													BgL_rz00_16520 =
														(VA_PROCEDUREP(BgL_fz00_16461) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16461)) (BgL_fz00_16461,
															BgL_a1z00_16462, BgL_a2z00_16463, BgL_a3z00_16464,
															BgL_a4z00_16465, BEOA) : ((obj_t(*)(obj_t, obj_t,
																	obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16461)) (BgL_fz00_16461,
															BgL_a1z00_16462, BgL_a2z00_16463, BgL_a3z00_16464,
															BgL_a4z00_16465));
													VECTOR_SET(((obj_t) BgL_sz00_13893), 0L,
														BgL_bpz00_16460);
													return BgL_rz00_16520;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13890,
													BgL_symbzd2funzd2_13891, (int) (4L),
													PROCEDURE_ARITY(BgL_fz00_16461));
		}}}}}}}}

	}



/* &<@anonymous:2492> */
	obj_t BGl_z62zc3z04anonymousza32492ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13894, obj_t BgL_sz00_13903)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13895;
				obj_t BgL_a1z00_13896;
				obj_t BgL_a2z00_13897;
				obj_t BgL_a3z00_13898;
				obj_t BgL_a4z00_13899;
				obj_t BgL_locz00_13900;
				obj_t BgL_symbzd2funzd2_13901;
				long BgL_siza7eza7_13902;

				BgL_funz00_13895 = PROCEDURE_REF(BgL_envz00_13894, (int) (0L));
				BgL_a1z00_13896 = PROCEDURE_REF(BgL_envz00_13894, (int) (1L));
				BgL_a2z00_13897 = PROCEDURE_REF(BgL_envz00_13894, (int) (2L));
				BgL_a3z00_13898 = PROCEDURE_REF(BgL_envz00_13894, (int) (3L));
				BgL_a4z00_13899 = PROCEDURE_REF(BgL_envz00_13894, (int) (4L));
				BgL_locz00_13900 = PROCEDURE_REF(BgL_envz00_13894, (int) (5L));
				BgL_symbzd2funzd2_13901 = PROCEDURE_REF(BgL_envz00_13894, (int) (6L));
				BgL_siza7eza7_13902 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13894, (int) (7L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16521;

					BgL_bpz00_16521 = VECTOR_REF(((obj_t) BgL_sz00_13903), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16522;
						obj_t BgL_a1z00_16523;
						obj_t BgL_a2z00_16524;
						obj_t BgL_a3z00_16525;
						obj_t BgL_a4z00_16526;

						BgL_fz00_16522 =
							(VA_PROCEDUREP(BgL_funz00_13895) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13895)) (BgL_funz00_13895,
								BgL_sz00_13903, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13895)) (BgL_funz00_13895,
								BgL_sz00_13903));
						BgL_a1z00_16523 =
							(VA_PROCEDUREP(BgL_a1z00_13896) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13896)) (BgL_a1z00_13896,
								BgL_sz00_13903, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13896)) (BgL_a1z00_13896,
								BgL_sz00_13903));
						BgL_a2z00_16524 =
							(VA_PROCEDUREP(BgL_a2z00_13897) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13897)) (BgL_a2z00_13897,
								BgL_sz00_13903, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13897)) (BgL_a2z00_13897,
								BgL_sz00_13903));
						BgL_a3z00_16525 =
							(VA_PROCEDUREP(BgL_a3z00_13898) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13898)) (BgL_a3z00_13898,
								BgL_sz00_13903, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13898)) (BgL_a3z00_13898,
								BgL_sz00_13903));
						BgL_a4z00_16526 =
							(VA_PROCEDUREP(BgL_a4z00_13899) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a4z00_13899)) (BgL_a4z00_13899,
								BgL_sz00_13903, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13899)) (BgL_a4z00_13899,
								BgL_sz00_13903));
						if (PROCEDUREP(BgL_fz00_16522))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13900,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16522);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16527;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_24205;

								BgL_tmpz00_24205 = ((obj_t) BgL_fz00_16522);
								BgL_ufz00_16527 = PROCEDURE_ATTR(BgL_tmpz00_24205);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5235z00_24208;

								if (STRUCTP(BgL_ufz00_16527))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5235z00_24208 =
											(STRUCT_KEY(BgL_ufz00_16527) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5235z00_24208 = ((bool_t) 0);
									}
								if (BgL_test5235z00_24208)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16528;
										obj_t BgL_runz00_16529;
										obj_t BgL_sfz00_16530;

										BgL_arityz00_16528 =
											STRUCT_REF(BgL_ufz00_16527, (int) (0L));
										BgL_runz00_16529 = STRUCT_REF(BgL_ufz00_16527, (int) (1L));
										BgL_sfz00_16530 = STRUCT_REF(BgL_ufz00_16527, (int) (2L));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16531;

											BgL_spz00_16531 =
												((long) CINT(BgL_bpz00_16521) + BgL_siza7eza7_13902);
											if (((long) CINT(BgL_arityz00_16528) == 4L))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2496z00_16532;

														BgL_arg2496z00_16532 = (BgL_spz00_16531 + 0L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13903), BgL_arg2496z00_16532,
															BgL_a1z00_16523);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2497z00_16533;

														BgL_arg2497z00_16533 = (BgL_spz00_16531 + 1L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13903), BgL_arg2497z00_16533,
															BgL_a2z00_16524);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2498z00_16534;

														BgL_arg2498z00_16534 = (BgL_spz00_16531 + 2L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13903), BgL_arg2498z00_16534,
															BgL_a3z00_16525);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2499z00_16535;

														BgL_arg2499z00_16535 = (BgL_spz00_16531 + 3L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13903), BgL_arg2499z00_16535,
															BgL_a4z00_16526);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16528))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16528))
																{
																case -1L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2501z00_16536;
																		obj_t BgL_arg2502z00_16537;

																		BgL_arg2501z00_16536 =
																			(BgL_spz00_16531 + 0L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2503z00_16538;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2504z00_16539;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2505z00_16540;

																					{	/* Eval/evaluate_comp.scm 896 */
																						obj_t BgL_arg2506z00_16541;

																						BgL_arg2506z00_16541 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16526,
																							BNIL);
																						BgL_arg2505z00_16540 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16525,
																							BgL_arg2506z00_16541);
																					}
																					BgL_arg2504z00_16539 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16524,
																						BgL_arg2505z00_16540);
																				}
																				BgL_list2503z00_16538 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16523,
																					BgL_arg2504z00_16539);
																			}
																			BgL_arg2502z00_16537 =
																				BgL_list2503z00_16538;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2501z00_16536,
																			BgL_arg2502z00_16537);
																	} break;
																case -2L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2508z00_16542;

																		BgL_arg2508z00_16542 =
																			(BgL_spz00_16531 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2508z00_16542, BgL_a1z00_16523);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2509z00_16543;
																		obj_t BgL_arg2512z00_16544;

																		BgL_arg2509z00_16543 =
																			(BgL_spz00_16531 + 1L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2513z00_16545;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2514z00_16546;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2515z00_16547;

																					BgL_arg2515z00_16547 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16526,
																						BNIL);
																					BgL_arg2514z00_16546 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16525,
																						BgL_arg2515z00_16547);
																				}
																				BgL_list2513z00_16545 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16524,
																					BgL_arg2514z00_16546);
																			}
																			BgL_arg2512z00_16544 =
																				BgL_list2513z00_16545;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2509z00_16543,
																			BgL_arg2512z00_16544);
																	} break;
																case -3L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2516z00_16548;

																		BgL_arg2516z00_16548 =
																			(BgL_spz00_16531 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2516z00_16548, BgL_a1z00_16523);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2518z00_16549;

																		BgL_arg2518z00_16549 =
																			(BgL_spz00_16531 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2518z00_16549, BgL_a2z00_16524);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2520z00_16550;
																		obj_t BgL_arg2524z00_16551;

																		BgL_arg2520z00_16550 =
																			(BgL_spz00_16531 + 2L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2525z00_16552;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2527z00_16553;

																				BgL_arg2527z00_16553 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16526,
																					BNIL);
																				BgL_list2525z00_16552 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16525,
																					BgL_arg2527z00_16553);
																			}
																			BgL_arg2524z00_16551 =
																				BgL_list2525z00_16552;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2520z00_16550,
																			BgL_arg2524z00_16551);
																	} break;
																case -4L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2528z00_16554;

																		BgL_arg2528z00_16554 =
																			(BgL_spz00_16531 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2528z00_16554, BgL_a1z00_16523);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2531z00_16555;

																		BgL_arg2531z00_16555 =
																			(BgL_spz00_16531 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2531z00_16555, BgL_a2z00_16524);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2532z00_16556;

																		BgL_arg2532z00_16556 =
																			(BgL_spz00_16531 + 2L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2532z00_16556, BgL_a3z00_16525);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2535z00_16557;
																		obj_t BgL_arg2537z00_16558;

																		BgL_arg2535z00_16557 =
																			(BgL_spz00_16531 + 3L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2538z00_16559;

																			BgL_list2538z00_16559 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16526, BNIL);
																			BgL_arg2537z00_16558 =
																				BgL_list2538z00_16559;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2535z00_16557,
																			BgL_arg2537z00_16558);
																	} break;
																case -5L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2539z00_16560;

																		BgL_arg2539z00_16560 =
																			(BgL_spz00_16531 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2539z00_16560, BgL_a1z00_16523);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2540z00_16561;

																		BgL_arg2540z00_16561 =
																			(BgL_spz00_16531 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2540z00_16561, BgL_a2z00_16524);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2541z00_16562;

																		BgL_arg2541z00_16562 =
																			(BgL_spz00_16531 + 2L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2541z00_16562, BgL_a3z00_16525);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2545z00_16563;

																		BgL_arg2545z00_16563 =
																			(BgL_spz00_16531 + 3L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2545z00_16563, BgL_a4z00_16526);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2546z00_16564;
																		obj_t BgL_arg2547z00_16565;

																		BgL_arg2546z00_16564 =
																			(BgL_spz00_16531 + 4L);
																		BgL_arg2547z00_16565 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13903),
																			BgL_arg2546z00_16564,
																			BgL_arg2547z00_16565);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13900,
																		STRUCT_REF(BgL_ufz00_16527, (int) (3L)),
																		(int) (4L), CINT(BgL_arityz00_16528));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13900, STRUCT_REF(BgL_ufz00_16527,
																	(int) (3L)), (int) (4L),
																CINT(BgL_arityz00_16528));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16566;

												BgL_z12denvz12_16566 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16566,
													BgL_locz00_13900);
												if (((BgL_spz00_16531 + (long) CINT(BgL_sfz00_16530)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13903))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16529, BgL_sz00_13903,
															BINT(BgL_spz00_16531));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16567;

														BgL_nsz00_16567 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2551z00_16568;

															BgL_arg2551z00_16568 = (BgL_spz00_16531 + 4L);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16567, 2L, BgL_sz00_13903,
																BINT(BgL_spz00_16531),
																BINT(BgL_arg2551z00_16568));
														}
														VECTOR_SET(BgL_nsz00_16567, 1L, BgL_sz00_13903);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16566,
															BgL_nsz00_16567);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16569;

															BgL_ez00_16569 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4358z00_16570;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4359z00_16571;

																	BgL_arg4359z00_16571 =
																		BGL_EXITD_PROTECT(BgL_ez00_16569);
																	BgL_arg4358z00_16570 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13903,
																		BgL_arg4359z00_16571);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16569,
																	BgL_arg4358z00_16570);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16572;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16573;

																	BgL_savedzd2bpzd2_16573 =
																		VECTOR_REF(BgL_nsz00_16567, 0L);
																	VECTOR_SET(BgL_nsz00_16567, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_16575;

																		BgL_fz00_16575 = BgL_runz00_16529;
																	BgL_recz00_16574:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16576;

																			BgL_rz00_16576 =
																				(VA_PROCEDUREP(BgL_fz00_16575)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_16575))
																				(BgL_fz00_16575, BgL_nsz00_16567,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_16575))
																				(BgL_fz00_16575, BgL_nsz00_16567));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5240z00_24333;

																				if (PROCEDUREP(BgL_rz00_16576))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_16577;

																						BgL_arg1778z00_16577 =
																							PROCEDURE_ATTR(BgL_rz00_16576);
																						if (STRUCTP(BgL_arg1778z00_16577))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5240z00_24333 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_16577) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5240z00_24333 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5240z00_24333 =
																							((bool_t) 0);
																					}
																				if (BgL_test5240z00_24333)
																					{
																						obj_t BgL_fz00_24341;

																						BgL_fz00_24341 = BgL_rz00_16576;
																						BgL_fz00_16575 = BgL_fz00_24341;
																						goto BgL_recz00_16574;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16567, 0L,
																							BgL_savedzd2bpzd2_16573);
																						BgL_____rz00_16572 = BgL_rz00_16576;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5243z00_24343;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4357z00_16578;

																		BgL_arg4357z00_16578 =
																			BGL_EXITD_PROTECT(BgL_ez00_16569);
																		BgL_test5243z00_24343 =
																			PAIRP(BgL_arg4357z00_16578);
																	}
																	if (BgL_test5243z00_24343)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4355z00_16579;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4356z00_16580;

																				BgL_arg4356z00_16580 =
																					BGL_EXITD_PROTECT(BgL_ez00_16569);
																				BgL_arg4355z00_16579 =
																					CDR(((obj_t) BgL_arg4356z00_16580));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16569,
																				BgL_arg4355z00_16579);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16566,
																	BgL_sz00_13903);
																return BgL_____rz00_16572;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16522, (int) (4L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16581;

												BgL_nbpz00_16581 =
													((long) CINT(BgL_bpz00_16521) + BgL_siza7eza7_13902);
												VECTOR_SET(
													((obj_t) BgL_sz00_13903), 0L, BINT(BgL_nbpz00_16581));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_24359;

													BgL_tmpz00_24359 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_24359,
														BgL_locz00_13900);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16582;

													BgL_rz00_16582 =
														(VA_PROCEDUREP(BgL_fz00_16522) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16522)) (BgL_fz00_16522,
															BgL_a1z00_16523, BgL_a2z00_16524, BgL_a3z00_16525,
															BgL_a4z00_16526, BEOA) : ((obj_t(*)(obj_t, obj_t,
																	obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16522)) (BgL_fz00_16522,
															BgL_a1z00_16523, BgL_a2z00_16524, BgL_a3z00_16525,
															BgL_a4z00_16526));
													VECTOR_SET(((obj_t) BgL_sz00_13903), 0L,
														BgL_bpz00_16521);
													return BgL_rz00_16582;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13900,
													BgL_symbzd2funzd2_13901, (int) (4L),
													PROCEDURE_ARITY(BgL_fz00_16522));
		}}}}}}}}

	}



/* &<@anonymous:2555> */
	obj_t BGl_z62zc3z04anonymousza32555ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13904, obj_t BgL_sz00_13913)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13905;
				obj_t BgL_a1z00_13906;
				obj_t BgL_a2z00_13907;
				obj_t BgL_a3z00_13908;
				obj_t BgL_a4z00_13909;
				obj_t BgL_locz00_13910;
				obj_t BgL_symbzd2funzd2_13911;
				long BgL_siza7eza7_13912;

				BgL_funz00_13905 = PROCEDURE_REF(BgL_envz00_13904, (int) (0L));
				BgL_a1z00_13906 = PROCEDURE_REF(BgL_envz00_13904, (int) (1L));
				BgL_a2z00_13907 = PROCEDURE_REF(BgL_envz00_13904, (int) (2L));
				BgL_a3z00_13908 = PROCEDURE_REF(BgL_envz00_13904, (int) (3L));
				BgL_a4z00_13909 = PROCEDURE_REF(BgL_envz00_13904, (int) (4L));
				BgL_locz00_13910 = PROCEDURE_REF(BgL_envz00_13904, (int) (5L));
				BgL_symbzd2funzd2_13911 = PROCEDURE_REF(BgL_envz00_13904, (int) (6L));
				BgL_siza7eza7_13912 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13904, (int) (7L)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16583;

					BgL_bpz00_16583 = VECTOR_REF(((obj_t) BgL_sz00_13913), 0L);
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16584;
						obj_t BgL_a1z00_16585;
						obj_t BgL_a2z00_16586;
						obj_t BgL_a3z00_16587;
						obj_t BgL_a4z00_16588;

						BgL_fz00_16584 =
							(VA_PROCEDUREP(BgL_funz00_13905) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_funz00_13905)) (BgL_funz00_13905,
								BgL_sz00_13913, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_funz00_13905)) (BgL_funz00_13905,
								BgL_sz00_13913));
						BgL_a1z00_16585 =
							(VA_PROCEDUREP(BgL_a1z00_13906) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13906)) (BgL_a1z00_13906,
								BgL_sz00_13913, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13906)) (BgL_a1z00_13906,
								BgL_sz00_13913));
						BgL_a2z00_16586 =
							(VA_PROCEDUREP(BgL_a2z00_13907) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13907)) (BgL_a2z00_13907,
								BgL_sz00_13913, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13907)) (BgL_a2z00_13907,
								BgL_sz00_13913));
						BgL_a3z00_16587 =
							(VA_PROCEDUREP(BgL_a3z00_13908) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a3z00_13908)) (BgL_a3z00_13908,
								BgL_sz00_13913, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13908)) (BgL_a3z00_13908,
								BgL_sz00_13913));
						BgL_a4z00_16588 =
							(VA_PROCEDUREP(BgL_a4z00_13909) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a4z00_13909)) (BgL_a4z00_13909,
								BgL_sz00_13913, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13909)) (BgL_a4z00_13909,
								BgL_sz00_13913));
						if (PROCEDUREP(BgL_fz00_16584))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13910,
									BGl_string4614z00zz__evaluate_compz00,
									BGl_string4630z00zz__evaluate_compz00, BgL_fz00_16584);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16589;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_24416;

								BgL_tmpz00_24416 = ((obj_t) BgL_fz00_16584);
								BgL_ufz00_16589 = PROCEDURE_ATTR(BgL_tmpz00_24416);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5246z00_24419;

								if (STRUCTP(BgL_ufz00_16589))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5246z00_24419 =
											(STRUCT_KEY(BgL_ufz00_16589) ==
											BGl_symbol4631z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5246z00_24419 = ((bool_t) 0);
									}
								if (BgL_test5246z00_24419)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16590;
										obj_t BgL_runz00_16591;
										obj_t BgL_sfz00_16592;

										BgL_arityz00_16590 =
											STRUCT_REF(BgL_ufz00_16589, (int) (0L));
										BgL_runz00_16591 = STRUCT_REF(BgL_ufz00_16589, (int) (1L));
										BgL_sfz00_16592 = STRUCT_REF(BgL_ufz00_16589, (int) (2L));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16593;

											BgL_spz00_16593 =
												((long) CINT(BgL_bpz00_16583) + BgL_siza7eza7_13912);
											if (((long) CINT(BgL_arityz00_16590) == 4L))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2565z00_16594;

														BgL_arg2565z00_16594 = (BgL_spz00_16593 + 0L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13913), BgL_arg2565z00_16594,
															BgL_a1z00_16585);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2566z00_16595;

														BgL_arg2566z00_16595 = (BgL_spz00_16593 + 1L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13913), BgL_arg2566z00_16595,
															BgL_a2z00_16586);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2567z00_16596;

														BgL_arg2567z00_16596 = (BgL_spz00_16593 + 2L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13913), BgL_arg2567z00_16596,
															BgL_a3z00_16587);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2570z00_16597;

														BgL_arg2570z00_16597 = (BgL_spz00_16593 + 3L);
														VECTOR_SET(
															((obj_t) BgL_sz00_13913), BgL_arg2570z00_16597,
															BgL_a4z00_16588);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16590))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16590))
																{
																case -1L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2571z00_16598;
																		obj_t BgL_arg2572z00_16599;

																		BgL_arg2571z00_16598 =
																			(BgL_spz00_16593 + 0L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2573z00_16600;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2574z00_16601;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2575z00_16602;

																					{	/* Eval/evaluate_comp.scm 896 */
																						obj_t BgL_arg2576z00_16603;

																						BgL_arg2576z00_16603 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16588,
																							BNIL);
																						BgL_arg2575z00_16602 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16587,
																							BgL_arg2576z00_16603);
																					}
																					BgL_arg2574z00_16601 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16586,
																						BgL_arg2575z00_16602);
																				}
																				BgL_list2573z00_16600 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16585,
																					BgL_arg2574z00_16601);
																			}
																			BgL_arg2572z00_16599 =
																				BgL_list2573z00_16600;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2571z00_16598,
																			BgL_arg2572z00_16599);
																	} break;
																case -2L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2577z00_16604;

																		BgL_arg2577z00_16604 =
																			(BgL_spz00_16593 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2577z00_16604, BgL_a1z00_16585);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2579z00_16605;
																		obj_t BgL_arg2580z00_16606;

																		BgL_arg2579z00_16605 =
																			(BgL_spz00_16593 + 1L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2581z00_16607;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2582z00_16608;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2583z00_16609;

																					BgL_arg2583z00_16609 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16588,
																						BNIL);
																					BgL_arg2582z00_16608 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16587,
																						BgL_arg2583z00_16609);
																				}
																				BgL_list2581z00_16607 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16586,
																					BgL_arg2582z00_16608);
																			}
																			BgL_arg2580z00_16606 =
																				BgL_list2581z00_16607;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2579z00_16605,
																			BgL_arg2580z00_16606);
																	} break;
																case -3L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2585z00_16610;

																		BgL_arg2585z00_16610 =
																			(BgL_spz00_16593 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2585z00_16610, BgL_a1z00_16585);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2586z00_16611;

																		BgL_arg2586z00_16611 =
																			(BgL_spz00_16593 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2586z00_16611, BgL_a2z00_16586);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2587z00_16612;
																		obj_t BgL_arg2588z00_16613;

																		BgL_arg2587z00_16612 =
																			(BgL_spz00_16593 + 2L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2589z00_16614;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2590z00_16615;

																				BgL_arg2590z00_16615 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16588,
																					BNIL);
																				BgL_list2589z00_16614 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16587,
																					BgL_arg2590z00_16615);
																			}
																			BgL_arg2588z00_16613 =
																				BgL_list2589z00_16614;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2587z00_16612,
																			BgL_arg2588z00_16613);
																	} break;
																case -4L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2591z00_16616;

																		BgL_arg2591z00_16616 =
																			(BgL_spz00_16593 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2591z00_16616, BgL_a1z00_16585);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2593z00_16617;

																		BgL_arg2593z00_16617 =
																			(BgL_spz00_16593 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2593z00_16617, BgL_a2z00_16586);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2594z00_16618;

																		BgL_arg2594z00_16618 =
																			(BgL_spz00_16593 + 2L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2594z00_16618, BgL_a3z00_16587);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2595z00_16619;
																		obj_t BgL_arg2597z00_16620;

																		BgL_arg2595z00_16619 =
																			(BgL_spz00_16593 + 3L);
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2598z00_16621;

																			BgL_list2598z00_16621 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16588, BNIL);
																			BgL_arg2597z00_16620 =
																				BgL_list2598z00_16621;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2595z00_16619,
																			BgL_arg2597z00_16620);
																	} break;
																case -5L:

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2603z00_16622;

																		BgL_arg2603z00_16622 =
																			(BgL_spz00_16593 + 0L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2603z00_16622, BgL_a1z00_16585);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2604z00_16623;

																		BgL_arg2604z00_16623 =
																			(BgL_spz00_16593 + 1L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2604z00_16623, BgL_a2z00_16586);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2605z00_16624;

																		BgL_arg2605z00_16624 =
																			(BgL_spz00_16593 + 2L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2605z00_16624, BgL_a3z00_16587);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2606z00_16625;

																		BgL_arg2606z00_16625 =
																			(BgL_spz00_16593 + 3L);
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2606z00_16625, BgL_a4z00_16588);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2607z00_16626;
																		obj_t BgL_arg2608z00_16627;

																		BgL_arg2607z00_16626 =
																			(BgL_spz00_16593 + 4L);
																		BgL_arg2608z00_16627 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13913),
																			BgL_arg2607z00_16626,
																			BgL_arg2608z00_16627);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13910,
																		STRUCT_REF(BgL_ufz00_16589, (int) (3L)),
																		(int) (4L), CINT(BgL_arityz00_16590));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13910, STRUCT_REF(BgL_ufz00_16589,
																	(int) (3L)), (int) (4L),
																CINT(BgL_arityz00_16590));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16628;

												BgL_z12denvz12_16628 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16593 +
															(long) CINT(BgL_sfz00_16592)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13913))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16591, BgL_sz00_13913,
															BINT(BgL_spz00_16593));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16629;

														BgL_nsz00_16629 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2612z00_16630;

															BgL_arg2612z00_16630 = (BgL_spz00_16593 + 4L);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16629, 2L, BgL_sz00_13913,
																BINT(BgL_spz00_16593),
																BINT(BgL_arg2612z00_16630));
														}
														VECTOR_SET(BgL_nsz00_16629, 1L, BgL_sz00_13913);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16628,
															BgL_nsz00_16629);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16631;

															BgL_ez00_16631 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4358z00_16632;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4359z00_16633;

																	BgL_arg4359z00_16633 =
																		BGL_EXITD_PROTECT(BgL_ez00_16631);
																	BgL_arg4358z00_16632 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13913,
																		BgL_arg4359z00_16633);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16631,
																	BgL_arg4358z00_16632);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16634;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16635;

																	BgL_savedzd2bpzd2_16635 =
																		VECTOR_REF(BgL_nsz00_16629, 0L);
																	VECTOR_SET(BgL_nsz00_16629, 0L, BINT(2L));
																	{
																		obj_t BgL_fz00_16637;

																		BgL_fz00_16637 = BgL_runz00_16591;
																	BgL_recz00_16636:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16638;

																			BgL_rz00_16638 =
																				(VA_PROCEDUREP(BgL_fz00_16637)
																				? ((obj_t(*)(obj_t,
																							...))
																					PROCEDURE_ENTRY(BgL_fz00_16637))
																				(BgL_fz00_16637, BgL_nsz00_16629,
																					BEOA) : ((obj_t(*)(obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_fz00_16637))
																				(BgL_fz00_16637, BgL_nsz00_16629));
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5251z00_24543;

																				if (PROCEDUREP(BgL_rz00_16638))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1778z00_16639;

																						BgL_arg1778z00_16639 =
																							PROCEDURE_ATTR(BgL_rz00_16638);
																						if (STRUCTP(BgL_arg1778z00_16639))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5251z00_24543 =
																									(STRUCT_KEY
																									(BgL_arg1778z00_16639) ==
																									BGl_symbol4610z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5251z00_24543 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5251z00_24543 =
																							((bool_t) 0);
																					}
																				if (BgL_test5251z00_24543)
																					{
																						obj_t BgL_fz00_24551;

																						BgL_fz00_24551 = BgL_rz00_16638;
																						BgL_fz00_16637 = BgL_fz00_24551;
																						goto BgL_recz00_16636;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16629, 0L,
																							BgL_savedzd2bpzd2_16635);
																						BgL_____rz00_16634 = BgL_rz00_16638;
																					}
																			}
																		}
																	}
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5254z00_24553;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4357z00_16640;

																		BgL_arg4357z00_16640 =
																			BGL_EXITD_PROTECT(BgL_ez00_16631);
																		BgL_test5254z00_24553 =
																			PAIRP(BgL_arg4357z00_16640);
																	}
																	if (BgL_test5254z00_24553)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4355z00_16641;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4356z00_16642;

																				BgL_arg4356z00_16642 =
																					BGL_EXITD_PROTECT(BgL_ez00_16631);
																				BgL_arg4355z00_16641 =
																					CDR(((obj_t) BgL_arg4356z00_16642));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16631,
																				BgL_arg4355z00_16641);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16628,
																	BgL_sz00_13913);
																return BgL_____rz00_16634;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16584, (int) (4L)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16643;

												BgL_nbpz00_16643 =
													((long) CINT(BgL_bpz00_16583) + BgL_siza7eza7_13912);
												VECTOR_SET(
													((obj_t) BgL_sz00_13913), 0L, BINT(BgL_nbpz00_16643));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16644;

													BgL_rz00_16644 =
														(VA_PROCEDUREP(BgL_fz00_16584) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_fz00_16584)) (BgL_fz00_16584,
															BgL_a1z00_16585, BgL_a2z00_16586, BgL_a3z00_16587,
															BgL_a4z00_16588, BEOA) : ((obj_t(*)(obj_t, obj_t,
																	obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16584)) (BgL_fz00_16584,
															BgL_a1z00_16585, BgL_a2z00_16586, BgL_a3z00_16587,
															BgL_a4z00_16588));
													VECTOR_SET(((obj_t) BgL_sz00_13913), 0L,
														BgL_bpz00_16583);
													return BgL_rz00_16644;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13910,
													BgL_symbzd2funzd2_13911, (int) (4L),
													PROCEDURE_ARITY(BgL_fz00_16584));
		}}}}}}}}

	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185,
		obj_t BgL_symbzd2funzd2_186)
	{
		{	/* Eval/evaluate_comp.scm 899 */
			{	/* Eval/evaluate_comp.scm 901 */
				bool_t BgL_test5256z00_24581;

				{	/* Eval/evaluate_comp.scm 901 */
					obj_t BgL_classz00_9149;

					BgL_classz00_9149 = BGl_ev_globalz00zz__evaluate_typesz00;
					{	/* Eval/evaluate_comp.scm 901 */
						BgL_objectz00_bglt BgL_arg4341z00_9151;

						{	/* Eval/evaluate_comp.scm 901 */
							obj_t BgL_tmpz00_24582;

							BgL_tmpz00_24582 =
								((obj_t) ((BgL_objectz00_bglt) BgL_funz00_183));
							BgL_arg4341z00_9151 = (BgL_objectz00_bglt) (BgL_tmpz00_24582);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Eval/evaluate_comp.scm 901 */
								long BgL_idxz00_9157;

								BgL_idxz00_9157 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg4341z00_9151);
								BgL_test5256z00_24581 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9157 + 2L)) == BgL_classz00_9149);
							}
						else
							{	/* Eval/evaluate_comp.scm 901 */
								bool_t BgL_res4462z00_9179;

								{	/* Eval/evaluate_comp.scm 901 */
									obj_t BgL_oclassz00_9165;

									{	/* Eval/evaluate_comp.scm 901 */
										long BgL_arg4348z00_9171;

										{	/* Eval/evaluate_comp.scm 901 */
											long BgL_arg4349z00_9172;

											BgL_arg4349z00_9172 =
												BGL_OBJECT_CLASS_NUM(BgL_arg4341z00_9151);
											BgL_arg4348z00_9171 = (BgL_arg4349z00_9172 - OBJECT_TYPE);
										}
										BgL_oclassz00_9165 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg4348z00_9171);
									}
									{	/* Eval/evaluate_comp.scm 901 */
										bool_t BgL__ortest_1296z00_9166;

										BgL__ortest_1296z00_9166 =
											(BgL_classz00_9149 == BgL_oclassz00_9165);
										if (BgL__ortest_1296z00_9166)
											{	/* Eval/evaluate_comp.scm 901 */
												BgL_res4462z00_9179 = BgL__ortest_1296z00_9166;
											}
										else
											{	/* Eval/evaluate_comp.scm 901 */
												long BgL_odepthz00_9167;

												BgL_odepthz00_9167 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9165);
												if ((2L < BgL_odepthz00_9167))
													{	/* Eval/evaluate_comp.scm 901 */
														obj_t BgL_arg4338z00_9169;

														BgL_arg4338z00_9169 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9165, 2L);
														BgL_res4462z00_9179 =
															(BgL_arg4338z00_9169 == BgL_classz00_9149);
													}
												else
													{	/* Eval/evaluate_comp.scm 901 */
														BgL_res4462z00_9179 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test5256z00_24581 = BgL_res4462z00_9179;
							}
					}
				}
				if (BgL_test5256z00_24581)
					{	/* Eval/evaluate_comp.scm 903 */
						obj_t BgL_gz00_3117;

						{	/* Eval/evaluate_comp.scm 903 */
							obj_t BgL_arg2621z00_3125;
							obj_t BgL_arg2622z00_3126;

							BgL_arg2621z00_3125 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_modz00);
							BgL_arg2622z00_3126 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_namez00);
							BgL_gz00_3117 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg2621z00_3125, BgL_arg2622z00_3126);
						}
						if (CBOOL(BgL_gz00_3117))
							{	/* Eval/evaluate_comp.scm 905 */
								bool_t BgL_test5261z00_24609;

								{	/* Eval/evaluate_comp.scm 905 */
									int BgL_arg2619z00_3124;

									{	/* Eval/evaluate_comp.scm 905 */
										int BgL_res4463z00_9182;

										BgL_res4463z00_9182 =
											CINT(VECTOR_REF(((obj_t) BgL_gz00_3117), 0L));
										BgL_arg2619z00_3124 = BgL_res4463z00_9182;
									}
									BgL_test5261z00_24609 = ((long) (BgL_arg2619z00_3124) == 0L);
								}
								if (BgL_test5261z00_24609)
									{	/* Eval/evaluate_comp.scm 906 */
										obj_t BgL_valz00_3120;

										BgL_valz00_3120 = VECTOR_REF(((obj_t) BgL_gz00_3117), 2L);
										{	/* Eval/evaluate_comp.scm 907 */
											bool_t BgL_test5262z00_24617;

											if (PROCEDUREP(BgL_valz00_3120))
												{	/* Eval/evaluate_comp.scm 907 */
													BgL_test5262z00_24617 =
														PROCEDURE_CORRECT_ARITYP(BgL_valz00_3120,
														(int) (BgL_nbargsz00_184));
												}
											else
												{	/* Eval/evaluate_comp.scm 907 */
													BgL_test5262z00_24617 = ((bool_t) 0);
												}
											if (BgL_test5262z00_24617)
												{	/* Eval/evaluate_comp.scm 907 */
													return BgL_valz00_3120;
												}
											else
												{	/* Eval/evaluate_comp.scm 907 */
													return BFALSE;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 905 */
										return BFALSE;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 904 */
								return BFALSE;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 910 */
						bool_t BgL_test5264z00_24622;

						{	/* Eval/evaluate_comp.scm 910 */
							bool_t BgL_test5265z00_24623;

							{	/* Eval/evaluate_comp.scm 910 */
								obj_t BgL_classz00_9186;

								BgL_classz00_9186 = BGl_ev_littz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_comp.scm 910 */
									BgL_objectz00_bglt BgL_arg4341z00_9188;

									{	/* Eval/evaluate_comp.scm 910 */
										obj_t BgL_tmpz00_24624;

										BgL_tmpz00_24624 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_183));
										BgL_arg4341z00_9188 =
											(BgL_objectz00_bglt) (BgL_tmpz00_24624);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Eval/evaluate_comp.scm 910 */
											long BgL_idxz00_9194;

											BgL_idxz00_9194 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg4341z00_9188);
											BgL_test5265z00_24623 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_9194 + 2L)) == BgL_classz00_9186);
										}
									else
										{	/* Eval/evaluate_comp.scm 910 */
											bool_t BgL_res4464z00_9216;

											{	/* Eval/evaluate_comp.scm 910 */
												obj_t BgL_oclassz00_9202;

												{	/* Eval/evaluate_comp.scm 910 */
													long BgL_arg4348z00_9208;

													{	/* Eval/evaluate_comp.scm 910 */
														long BgL_arg4349z00_9209;

														BgL_arg4349z00_9209 =
															BGL_OBJECT_CLASS_NUM(BgL_arg4341z00_9188);
														BgL_arg4348z00_9208 =
															(BgL_arg4349z00_9209 - OBJECT_TYPE);
													}
													BgL_oclassz00_9202 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg4348z00_9208);
												}
												{	/* Eval/evaluate_comp.scm 910 */
													bool_t BgL__ortest_1296z00_9203;

													BgL__ortest_1296z00_9203 =
														(BgL_classz00_9186 == BgL_oclassz00_9202);
													if (BgL__ortest_1296z00_9203)
														{	/* Eval/evaluate_comp.scm 910 */
															BgL_res4464z00_9216 = BgL__ortest_1296z00_9203;
														}
													else
														{	/* Eval/evaluate_comp.scm 910 */
															long BgL_odepthz00_9204;

															BgL_odepthz00_9204 =
																BGL_CLASS_DEPTH(BgL_oclassz00_9202);
															if ((2L < BgL_odepthz00_9204))
																{	/* Eval/evaluate_comp.scm 910 */
																	obj_t BgL_arg4338z00_9206;

																	BgL_arg4338z00_9206 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9202,
																		2L);
																	BgL_res4464z00_9216 =
																		(BgL_arg4338z00_9206 == BgL_classz00_9186);
																}
															else
																{	/* Eval/evaluate_comp.scm 910 */
																	BgL_res4464z00_9216 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test5265z00_24623 = BgL_res4464z00_9216;
										}
								}
							}
							if (BgL_test5265z00_24623)
								{	/* Eval/evaluate_comp.scm 911 */
									obj_t BgL_tmpz00_24644;

									BgL_tmpz00_24644 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
									BgL_test5264z00_24622 = PROCEDUREP(BgL_tmpz00_24644);
								}
							else
								{	/* Eval/evaluate_comp.scm 910 */
									BgL_test5264z00_24622 = ((bool_t) 0);
								}
						}
						if (BgL_test5264z00_24622)
							{	/* Eval/evaluate_comp.scm 913 */
								bool_t BgL_test5269z00_24648;

								{	/* Eval/evaluate_comp.scm 913 */
									obj_t BgL_arg2631z00_3136;

									BgL_arg2631z00_3136 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
									BgL_test5269z00_24648 =
										PROCEDURE_CORRECT_ARITYP(BgL_arg2631z00_3136,
										(int) (BgL_nbargsz00_184));
								}
								if (BgL_test5269z00_24648)
									{	/* Eval/evaluate_comp.scm 913 */
										return
											(((BgL_ev_littz00_bglt) COBJECT(
													((BgL_ev_littz00_bglt) BgL_funz00_183)))->
											BgL_valuez00);
									}
								else
									{	/* Eval/evaluate_comp.scm 915 */
										int BgL_arg2629z00_3134;

										{	/* Eval/evaluate_comp.scm 915 */
											obj_t BgL_arg2630z00_3135;

											BgL_arg2630z00_3135 =
												(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_funz00_183)))->
												BgL_valuez00);
											BgL_arg2629z00_3134 =
												PROCEDURE_ARITY(BgL_arg2630z00_3135);
										}
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185,
											BgL_symbzd2funzd2_186, (int) (BgL_nbargsz00_184),
											BgL_arg2629z00_3134);
							}}
						else
							{	/* Eval/evaluate_comp.scm 910 */
								return BFALSE;
							}
					}
			}
		}

	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_187, obj_t BgL_stkz00_188)
	{
		{	/* Eval/evaluate_comp.scm 918 */
			{	/* Eval/evaluate_comp.scm 925 */
				bool_t BgL_test5270z00_24660;

				{	/* Eval/evaluate_comp.scm 925 */
					obj_t BgL_classz00_9228;

					BgL_classz00_9228 = BGl_ev_littz00zz__evaluate_typesz00;
					if (BGL_OBJECTP(BgL_exprz00_187))
						{	/* Eval/evaluate_comp.scm 925 */
							BgL_objectz00_bglt BgL_arg4341z00_9230;

							BgL_arg4341z00_9230 = (BgL_objectz00_bglt) (BgL_exprz00_187);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Eval/evaluate_comp.scm 925 */
									long BgL_idxz00_9236;

									BgL_idxz00_9236 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg4341z00_9230);
									BgL_test5270z00_24660 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_9236 + 2L)) == BgL_classz00_9228);
								}
							else
								{	/* Eval/evaluate_comp.scm 925 */
									bool_t BgL_res4465z00_9258;

									{	/* Eval/evaluate_comp.scm 925 */
										obj_t BgL_oclassz00_9244;

										{	/* Eval/evaluate_comp.scm 925 */
											long BgL_arg4348z00_9250;

											{	/* Eval/evaluate_comp.scm 925 */
												long BgL_arg4349z00_9251;

												BgL_arg4349z00_9251 =
													BGL_OBJECT_CLASS_NUM(BgL_arg4341z00_9230);
												BgL_arg4348z00_9250 =
													(BgL_arg4349z00_9251 - OBJECT_TYPE);
											}
											BgL_oclassz00_9244 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg4348z00_9250);
										}
										{	/* Eval/evaluate_comp.scm 925 */
											bool_t BgL__ortest_1296z00_9245;

											BgL__ortest_1296z00_9245 =
												(BgL_classz00_9228 == BgL_oclassz00_9244);
											if (BgL__ortest_1296z00_9245)
												{	/* Eval/evaluate_comp.scm 925 */
													BgL_res4465z00_9258 = BgL__ortest_1296z00_9245;
												}
											else
												{	/* Eval/evaluate_comp.scm 925 */
													long BgL_odepthz00_9246;

													BgL_odepthz00_9246 =
														BGL_CLASS_DEPTH(BgL_oclassz00_9244);
													if ((2L < BgL_odepthz00_9246))
														{	/* Eval/evaluate_comp.scm 925 */
															obj_t BgL_arg4338z00_9248;

															BgL_arg4338z00_9248 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9244, 2L);
															BgL_res4465z00_9258 =
																(BgL_arg4338z00_9248 == BgL_classz00_9228);
														}
													else
														{	/* Eval/evaluate_comp.scm 925 */
															BgL_res4465z00_9258 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test5270z00_24660 = BgL_res4465z00_9258;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 925 */
							BgL_test5270z00_24660 = ((bool_t) 0);
						}
				}
				if (BgL_test5270z00_24660)
					{	/* Eval/evaluate_comp.scm 925 */
						if (INTEGERP(
								(((BgL_ev_littz00_bglt) COBJECT(
											((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00)))
							{	/* Eval/evaluate_comp.scm 927 */
								obj_t BgL_v1398z00_3146;

								BgL_v1398z00_3146 = create_vector(2L);
								VECTOR_SET(BgL_v1398z00_3146, 0L, BINT(1L));
								{	/* Eval/evaluate_comp.scm 927 */
									double BgL_arg2639z00_3147;

									BgL_arg2639z00_3147 =
										(double) (
										(long) CINT(
											(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
												BgL_valuez00)));
									VECTOR_SET(BgL_v1398z00_3146, 1L,
										DOUBLE_TO_REAL(BgL_arg2639z00_3147));
								}
								return BgL_v1398z00_3146;
							}
						else
							{	/* Eval/evaluate_comp.scm 928 */
								bool_t BgL_test5276z00_24693;

								{	/* Eval/evaluate_comp.scm 928 */
									obj_t BgL_tmpz00_24694;

									BgL_tmpz00_24694 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
										BgL_valuez00);
									BgL_test5276z00_24693 = REALP(BgL_tmpz00_24694);
								}
								if (BgL_test5276z00_24693)
									{	/* Eval/evaluate_comp.scm 928 */
										obj_t BgL_v1399z00_3151;

										BgL_v1399z00_3151 = create_vector(2L);
										VECTOR_SET(BgL_v1399z00_3151, 0L, BINT(1L));
										{	/* Eval/evaluate_comp.scm 928 */
											obj_t BgL_arg2643z00_3152;

											BgL_arg2643z00_3152 =
												(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
												BgL_valuez00);
											VECTOR_SET(BgL_v1399z00_3151, 1L, BgL_arg2643z00_3152);
										}
										return BgL_v1399z00_3151;
									}
								else
									{	/* Eval/evaluate_comp.scm 929 */
										obj_t BgL_v1400z00_3153;

										BgL_v1400z00_3153 = create_vector(2L);
										VECTOR_SET(BgL_v1400z00_3153, 0L, BINT(0L));
										{	/* Eval/evaluate_comp.scm 929 */
											obj_t BgL_arg2644z00_3154;

											BgL_arg2644z00_3154 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_exprz00_187),
												BgL_stkz00_188);
											VECTOR_SET(BgL_v1400z00_3153, 1L, BgL_arg2644z00_3154);
										}
										return BgL_v1400z00_3153;
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 930 */
						bool_t BgL_test5277z00_24710;

						{	/* Eval/evaluate_comp.scm 930 */
							obj_t BgL_classz00_9266;

							BgL_classz00_9266 = BGl_ev_varz00zz__evaluate_typesz00;
							if (BGL_OBJECTP(BgL_exprz00_187))
								{	/* Eval/evaluate_comp.scm 930 */
									BgL_objectz00_bglt BgL_arg4341z00_9268;

									BgL_arg4341z00_9268 = (BgL_objectz00_bglt) (BgL_exprz00_187);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Eval/evaluate_comp.scm 930 */
											long BgL_idxz00_9274;

											BgL_idxz00_9274 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg4341z00_9268);
											BgL_test5277z00_24710 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_9274 + 2L)) == BgL_classz00_9266);
										}
									else
										{	/* Eval/evaluate_comp.scm 930 */
											bool_t BgL_res4466z00_9296;

											{	/* Eval/evaluate_comp.scm 930 */
												obj_t BgL_oclassz00_9282;

												{	/* Eval/evaluate_comp.scm 930 */
													long BgL_arg4348z00_9288;

													{	/* Eval/evaluate_comp.scm 930 */
														long BgL_arg4349z00_9289;

														BgL_arg4349z00_9289 =
															BGL_OBJECT_CLASS_NUM(BgL_arg4341z00_9268);
														BgL_arg4348z00_9288 =
															(BgL_arg4349z00_9289 - OBJECT_TYPE);
													}
													BgL_oclassz00_9282 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg4348z00_9288);
												}
												{	/* Eval/evaluate_comp.scm 930 */
													bool_t BgL__ortest_1296z00_9283;

													BgL__ortest_1296z00_9283 =
														(BgL_classz00_9266 == BgL_oclassz00_9282);
													if (BgL__ortest_1296z00_9283)
														{	/* Eval/evaluate_comp.scm 930 */
															BgL_res4466z00_9296 = BgL__ortest_1296z00_9283;
														}
													else
														{	/* Eval/evaluate_comp.scm 930 */
															long BgL_odepthz00_9284;

															BgL_odepthz00_9284 =
																BGL_CLASS_DEPTH(BgL_oclassz00_9282);
															if ((2L < BgL_odepthz00_9284))
																{	/* Eval/evaluate_comp.scm 930 */
																	obj_t BgL_arg4338z00_9286;

																	BgL_arg4338z00_9286 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9282,
																		2L);
																	BgL_res4466z00_9296 =
																		(BgL_arg4338z00_9286 == BgL_classz00_9266);
																}
															else
																{	/* Eval/evaluate_comp.scm 930 */
																	BgL_res4466z00_9296 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test5277z00_24710 = BgL_res4466z00_9296;
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 930 */
									BgL_test5277z00_24710 = ((bool_t) 0);
								}
						}
						if (BgL_test5277z00_24710)
							{	/* Eval/evaluate_comp.scm 930 */
								if (CBOOL(
										(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_exprz00_187)))->
											BgL_effz00)))
									{	/* Eval/evaluate_comp.scm 933 */
										obj_t BgL_v1401z00_3160;

										BgL_v1401z00_3160 = create_vector(2L);
										VECTOR_SET(BgL_v1401z00_3160, 0L, BINT(3L));
										VECTOR_SET(BgL_v1401z00_3160, 1L,
											BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
												BgL_stkz00_188));
										return BgL_v1401z00_3160;
									}
								else
									{	/* Eval/evaluate_comp.scm 934 */
										obj_t BgL_v1402z00_3162;

										BgL_v1402z00_3162 = create_vector(2L);
										VECTOR_SET(BgL_v1402z00_3162, 0L, BINT(2L));
										VECTOR_SET(BgL_v1402z00_3162, 1L,
											BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
												BgL_stkz00_188));
										return BgL_v1402z00_3162;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 935 */
								bool_t BgL_test5283z00_24744;

								{	/* Eval/evaluate_comp.scm 935 */
									obj_t BgL_classz00_9301;

									BgL_classz00_9301 = BGl_ev_globalz00zz__evaluate_typesz00;
									if (BGL_OBJECTP(BgL_exprz00_187))
										{	/* Eval/evaluate_comp.scm 935 */
											BgL_objectz00_bglt BgL_arg4341z00_9303;

											BgL_arg4341z00_9303 =
												(BgL_objectz00_bglt) (BgL_exprz00_187);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Eval/evaluate_comp.scm 935 */
													long BgL_idxz00_9309;

													BgL_idxz00_9309 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg4341z00_9303);
													BgL_test5283z00_24744 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_9309 + 2L)) == BgL_classz00_9301);
												}
											else
												{	/* Eval/evaluate_comp.scm 935 */
													bool_t BgL_res4467z00_9331;

													{	/* Eval/evaluate_comp.scm 935 */
														obj_t BgL_oclassz00_9317;

														{	/* Eval/evaluate_comp.scm 935 */
															long BgL_arg4348z00_9323;

															{	/* Eval/evaluate_comp.scm 935 */
																long BgL_arg4349z00_9324;

																BgL_arg4349z00_9324 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg4341z00_9303);
																BgL_arg4348z00_9323 =
																	(BgL_arg4349z00_9324 - OBJECT_TYPE);
															}
															BgL_oclassz00_9317 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg4348z00_9323);
														}
														{	/* Eval/evaluate_comp.scm 935 */
															bool_t BgL__ortest_1296z00_9318;

															BgL__ortest_1296z00_9318 =
																(BgL_classz00_9301 == BgL_oclassz00_9317);
															if (BgL__ortest_1296z00_9318)
																{	/* Eval/evaluate_comp.scm 935 */
																	BgL_res4467z00_9331 =
																		BgL__ortest_1296z00_9318;
																}
															else
																{	/* Eval/evaluate_comp.scm 935 */
																	long BgL_odepthz00_9319;

																	BgL_odepthz00_9319 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_9317);
																	if ((2L < BgL_odepthz00_9319))
																		{	/* Eval/evaluate_comp.scm 935 */
																			obj_t BgL_arg4338z00_9321;

																			BgL_arg4338z00_9321 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_9317, 2L);
																			BgL_res4467z00_9331 =
																				(BgL_arg4338z00_9321 ==
																				BgL_classz00_9301);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 935 */
																			BgL_res4467z00_9331 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test5283z00_24744 = BgL_res4467z00_9331;
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 935 */
											BgL_test5283z00_24744 = ((bool_t) 0);
										}
								}
								if (BgL_test5283z00_24744)
									{	/* Eval/evaluate_comp.scm 937 */
										obj_t BgL_gz00_3166;

										{	/* Eval/evaluate_comp.scm 937 */
											obj_t BgL_arg2658z00_3174;
											obj_t BgL_arg2660z00_3175;

											BgL_arg2658z00_3174 =
												(((BgL_ev_globalz00_bglt) COBJECT(
														((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
												BgL_modz00);
											BgL_arg2660z00_3175 =
												(((BgL_ev_globalz00_bglt)
													COBJECT(((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
												BgL_namez00);
											BgL_gz00_3166 =
												BGl_evmodulezd2findzd2globalz00zz__evmodulez00
												(BgL_arg2658z00_3174, BgL_arg2660z00_3175);
										}
										if (CBOOL(BgL_gz00_3166))
											{	/* Eval/evaluate_comp.scm 939 */
												bool_t BgL_test5289z00_24771;

												{	/* Eval/evaluate_comp.scm 939 */
													int BgL_arg2656z00_3171;

													{	/* Eval/evaluate_comp.scm 939 */
														int BgL_res4468z00_9334;

														BgL_res4468z00_9334 =
															CINT(VECTOR_REF(((obj_t) BgL_gz00_3166), 0L));
														BgL_arg2656z00_3171 = BgL_res4468z00_9334;
													}
													BgL_test5289z00_24771 =
														(BINT(BgL_arg2656z00_3171) == BINT(1L));
												}
												if (BgL_test5289z00_24771)
													{	/* Eval/evaluate_comp.scm 940 */
														obj_t BgL_v1403z00_3169;

														BgL_v1403z00_3169 = create_vector(2L);
														VECTOR_SET(BgL_v1403z00_3169, 0L, BINT(4L));
														VECTOR_SET(BgL_v1403z00_3169, 1L, BgL_gz00_3166);
														return BgL_v1403z00_3169;
													}
												else
													{	/* Eval/evaluate_comp.scm 941 */
														obj_t BgL_v1404z00_3170;

														BgL_v1404z00_3170 = create_vector(2L);
														VECTOR_SET(BgL_v1404z00_3170, 0L, BINT(5L));
														VECTOR_SET(BgL_v1404z00_3170, 1L, BgL_gz00_3166);
														return BgL_v1404z00_3170;
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 942 */
												obj_t BgL_v1405z00_3172;

												BgL_v1405z00_3172 = create_vector(2L);
												VECTOR_SET(BgL_v1405z00_3172, 0L, BINT(0L));
												{	/* Eval/evaluate_comp.scm 942 */
													obj_t BgL_arg2657z00_3173;

													BgL_arg2657z00_3173 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_exprz00_187),
														BgL_stkz00_188);
													VECTOR_SET(BgL_v1405z00_3172, 1L,
														BgL_arg2657z00_3173);
												}
												return BgL_v1405z00_3172;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 943 */
										bool_t BgL_test5290z00_24792;

										{	/* Eval/evaluate_comp.scm 943 */
											obj_t BgL_classz00_9341;

											BgL_classz00_9341 = BGl_ev_appz00zz__evaluate_typesz00;
											if (BGL_OBJECTP(BgL_exprz00_187))
												{	/* Eval/evaluate_comp.scm 943 */
													BgL_objectz00_bglt BgL_arg4341z00_9343;

													BgL_arg4341z00_9343 =
														(BgL_objectz00_bglt) (BgL_exprz00_187);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Eval/evaluate_comp.scm 943 */
															long BgL_idxz00_9349;

															BgL_idxz00_9349 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg4341z00_9343);
															BgL_test5290z00_24792 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_9349 + 2L)) == BgL_classz00_9341);
														}
													else
														{	/* Eval/evaluate_comp.scm 943 */
															bool_t BgL_res4469z00_9371;

															{	/* Eval/evaluate_comp.scm 943 */
																obj_t BgL_oclassz00_9357;

																{	/* Eval/evaluate_comp.scm 943 */
																	long BgL_arg4348z00_9363;

																	{	/* Eval/evaluate_comp.scm 943 */
																		long BgL_arg4349z00_9364;

																		BgL_arg4349z00_9364 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg4341z00_9343);
																		BgL_arg4348z00_9363 =
																			(BgL_arg4349z00_9364 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_9357 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg4348z00_9363);
																}
																{	/* Eval/evaluate_comp.scm 943 */
																	bool_t BgL__ortest_1296z00_9358;

																	BgL__ortest_1296z00_9358 =
																		(BgL_classz00_9341 == BgL_oclassz00_9357);
																	if (BgL__ortest_1296z00_9358)
																		{	/* Eval/evaluate_comp.scm 943 */
																			BgL_res4469z00_9371 =
																				BgL__ortest_1296z00_9358;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 943 */
																			long BgL_odepthz00_9359;

																			BgL_odepthz00_9359 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_9357);
																			if ((2L < BgL_odepthz00_9359))
																				{	/* Eval/evaluate_comp.scm 943 */
																					obj_t BgL_arg4338z00_9361;

																					BgL_arg4338z00_9361 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_9357, 2L);
																					BgL_res4469z00_9371 =
																						(BgL_arg4338z00_9361 ==
																						BgL_classz00_9341);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 943 */
																					BgL_res4469z00_9371 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test5290z00_24792 = BgL_res4469z00_9371;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 943 */
													BgL_test5290z00_24792 = ((bool_t) 0);
												}
										}
										if (BgL_test5290z00_24792)
											{	/* Eval/evaluate_comp.scm 945 */
												obj_t BgL_fvalz00_3178;

												{	/* Eval/evaluate_comp.scm 945 */
													BgL_ev_exprz00_bglt BgL_arg2714z00_3232;

													BgL_arg2714z00_3232 =
														(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
														BgL_funz00);
													BgL_fvalz00_3178 =
														BGl_globalzd2funzd2valuez00zz__evaluate_compz00
														(BgL_arg2714z00_3232);
												}
												if (
													(BgL_fvalz00_3178 ==
														BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
													{	/* Eval/evaluate_comp.scm 947 */
														{	/* Eval/evaluate_comp.scm 948 */
															obj_t BgL_arg2663z00_3179;
															BgL_ev_exprz00_bglt BgL_arg2664z00_3180;
															obj_t BgL_arg2665z00_3181;

															BgL_arg2663z00_3179 =
																(((BgL_ev_appz00_bglt) COBJECT(
																		((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																BgL_locz00);
															BgL_arg2664z00_3180 =
																(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_exprz00_187)))->BgL_funz00);
															BgL_arg2665z00_3181 =
																(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_exprz00_187)))->BgL_argsz00);
															{	/* Eval/evaluate_comp.scm 921 */
																bool_t BgL_test5296z00_24823;

																if (PAIRP(BgL_arg2665z00_3181))
																	{	/* Eval/evaluate_comp.scm 921 */
																		bool_t BgL_test5298z00_24826;

																		{	/* Eval/evaluate_comp.scm 921 */
																			obj_t BgL_tmpz00_24827;

																			BgL_tmpz00_24827 =
																				CDR(BgL_arg2665z00_3181);
																			BgL_test5298z00_24826 =
																				PAIRP(BgL_tmpz00_24827);
																		}
																		if (BgL_test5298z00_24826)
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5296z00_24823 =
																					NULLP(CDR(CDR(BgL_arg2665z00_3181)));
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5296z00_24823 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Eval/evaluate_comp.scm 921 */
																		BgL_test5296z00_24823 = ((bool_t) 0);
																	}
																if (BgL_test5296z00_24823)
																	{	/* Eval/evaluate_comp.scm 921 */
																		BFALSE;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 922 */
																		long BgL_arg2725z00_9377;

																		BgL_arg2725z00_9377 =
																			bgl_list_length(BgL_arg2665z00_3181);
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_arg2663z00_3179,
																			((obj_t) BgL_arg2664z00_3180), (int) (2L),
																			(int) (BgL_arg2725z00_9377));
														}}}
														{	/* Eval/evaluate_comp.scm 949 */
															obj_t BgL_v1406z00_3182;

															BgL_v1406z00_3182 = create_vector(3L);
															VECTOR_SET(BgL_v1406z00_3182, 0L, BINT(6L));
															{	/* Eval/evaluate_comp.scm 949 */
																obj_t BgL_arg2666z00_3183;

																{	/* Eval/evaluate_comp.scm 949 */
																	obj_t BgL_arg2667z00_3184;

																	{	/* Eval/evaluate_comp.scm 949 */
																		obj_t BgL_pairz00_9384;

																		BgL_pairz00_9384 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2667z00_3184 = CAR(BgL_pairz00_9384);
																	}
																	BgL_arg2666z00_3183 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2667z00_3184, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1406z00_3182, 1L,
																	BgL_arg2666z00_3183);
															}
															{	/* Eval/evaluate_comp.scm 949 */
																obj_t BgL_arg2670z00_3186;

																{	/* Eval/evaluate_comp.scm 949 */
																	obj_t BgL_arg2671z00_3187;

																	{	/* Eval/evaluate_comp.scm 949 */
																		obj_t BgL_pairz00_9386;

																		BgL_pairz00_9386 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2671z00_3187 =
																			CAR(CDR(BgL_pairz00_9386));
																	}
																	BgL_arg2670z00_3186 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2671z00_3187, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1406z00_3182, 2L,
																	BgL_arg2670z00_3186);
															}
															return BgL_v1406z00_3182;
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 947 */
														if (
															(BgL_fvalz00_3178 ==
																BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
															{	/* Eval/evaluate_comp.scm 950 */
																{	/* Eval/evaluate_comp.scm 951 */
																	obj_t BgL_arg2673z00_3189;
																	BgL_ev_exprz00_bglt BgL_arg2674z00_3190;
																	obj_t BgL_arg2675z00_3191;

																	BgL_arg2673z00_3189 =
																		(((BgL_ev_appz00_bglt) COBJECT(
																				((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_locz00);
																	BgL_arg2674z00_3190 =
																		(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_funz00);
																	BgL_arg2675z00_3191 =
																		(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_argsz00);
																	{	/* Eval/evaluate_comp.scm 921 */
																		bool_t BgL_test5300z00_24860;

																		if (PAIRP(BgL_arg2675z00_3191))
																			{	/* Eval/evaluate_comp.scm 921 */
																				bool_t BgL_test5302z00_24863;

																				{	/* Eval/evaluate_comp.scm 921 */
																					obj_t BgL_tmpz00_24864;

																					BgL_tmpz00_24864 =
																						CDR(BgL_arg2675z00_3191);
																					BgL_test5302z00_24863 =
																						PAIRP(BgL_tmpz00_24864);
																				}
																				if (BgL_test5302z00_24863)
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5300z00_24860 =
																							NULLP(CDR(CDR
																								(BgL_arg2675z00_3191)));
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5300z00_24860 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5300z00_24860 = ((bool_t) 0);
																			}
																		if (BgL_test5300z00_24860)
																			{	/* Eval/evaluate_comp.scm 921 */
																				BFALSE;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 922 */
																				long BgL_arg2725z00_9396;

																				BgL_arg2725z00_9396 =
																					bgl_list_length(BgL_arg2675z00_3191);
																				BGl_evarityzd2errorzd2zz__everrorz00
																					(BgL_arg2673z00_3189,
																					((obj_t) BgL_arg2674z00_3190),
																					(int) (2L),
																					(int) (BgL_arg2725z00_9396));
																}}}
																{	/* Eval/evaluate_comp.scm 952 */
																	obj_t BgL_v1407z00_3192;

																	BgL_v1407z00_3192 = create_vector(3L);
																	VECTOR_SET(BgL_v1407z00_3192, 0L, BINT(7L));
																	{	/* Eval/evaluate_comp.scm 952 */
																		obj_t BgL_arg2676z00_3193;

																		{	/* Eval/evaluate_comp.scm 952 */
																			obj_t BgL_arg2677z00_3194;

																			{	/* Eval/evaluate_comp.scm 952 */
																				obj_t BgL_pairz00_9403;

																				BgL_pairz00_9403 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2677z00_3194 =
																					CAR(BgL_pairz00_9403);
																			}
																			BgL_arg2676z00_3193 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2677z00_3194, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1407z00_3192, 1L,
																			BgL_arg2676z00_3193);
																	}
																	{	/* Eval/evaluate_comp.scm 952 */
																		obj_t BgL_arg2679z00_3196;

																		{	/* Eval/evaluate_comp.scm 952 */
																			obj_t BgL_arg2680z00_3197;

																			{	/* Eval/evaluate_comp.scm 952 */
																				obj_t BgL_pairz00_9405;

																				BgL_pairz00_9405 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2680z00_3197 =
																					CAR(CDR(BgL_pairz00_9405));
																			}
																			BgL_arg2679z00_3196 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2680z00_3197, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1407z00_3192, 2L,
																			BgL_arg2679z00_3196);
																	}
																	return BgL_v1407z00_3192;
																}
															}
														else
															{	/* Eval/evaluate_comp.scm 950 */
																if (
																	(BgL_fvalz00_3178 ==
																		BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																	{	/* Eval/evaluate_comp.scm 953 */
																		{	/* Eval/evaluate_comp.scm 954 */
																			obj_t BgL_arg2682z00_3199;
																			BgL_ev_exprz00_bglt BgL_arg2683z00_3200;
																			obj_t BgL_arg2684z00_3201;

																			BgL_arg2682z00_3199 =
																				(((BgL_ev_appz00_bglt) COBJECT(
																						((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_locz00);
																			BgL_arg2683z00_3200 =
																				(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_funz00);
																			BgL_arg2684z00_3201 =
																				(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_argsz00);
																			{	/* Eval/evaluate_comp.scm 921 */
																				bool_t BgL_test5304z00_24897;

																				if (PAIRP(BgL_arg2684z00_3201))
																					{	/* Eval/evaluate_comp.scm 921 */
																						bool_t BgL_test5306z00_24900;

																						{	/* Eval/evaluate_comp.scm 921 */
																							obj_t BgL_tmpz00_24901;

																							BgL_tmpz00_24901 =
																								CDR(BgL_arg2684z00_3201);
																							BgL_test5306z00_24900 =
																								PAIRP(BgL_tmpz00_24901);
																						}
																						if (BgL_test5306z00_24900)
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5304z00_24897 =
																									NULLP(CDR(CDR
																										(BgL_arg2684z00_3201)));
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5304z00_24897 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5304z00_24897 =
																							((bool_t) 0);
																					}
																				if (BgL_test5304z00_24897)
																					{	/* Eval/evaluate_comp.scm 921 */
																						BFALSE;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 922 */
																						long BgL_arg2725z00_9415;

																						BgL_arg2725z00_9415 =
																							bgl_list_length
																							(BgL_arg2684z00_3201);
																						BGl_evarityzd2errorzd2zz__everrorz00
																							(BgL_arg2682z00_3199,
																							((obj_t) BgL_arg2683z00_3200),
																							(int) (2L),
																							(int) (BgL_arg2725z00_9415));
																		}}}
																		{	/* Eval/evaluate_comp.scm 955 */
																			obj_t BgL_v1408z00_3202;

																			BgL_v1408z00_3202 = create_vector(3L);
																			VECTOR_SET(BgL_v1408z00_3202, 0L,
																				BINT(8L));
																			{	/* Eval/evaluate_comp.scm 955 */
																				obj_t BgL_arg2685z00_3203;

																				{	/* Eval/evaluate_comp.scm 955 */
																					obj_t BgL_arg2686z00_3204;

																					{	/* Eval/evaluate_comp.scm 955 */
																						obj_t BgL_pairz00_9422;

																						BgL_pairz00_9422 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2686z00_3204 =
																							CAR(BgL_pairz00_9422);
																					}
																					BgL_arg2685z00_3203 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2686z00_3204,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1408z00_3202, 1L,
																					BgL_arg2685z00_3203);
																			}
																			{	/* Eval/evaluate_comp.scm 955 */
																				obj_t BgL_arg2688z00_3206;

																				{	/* Eval/evaluate_comp.scm 955 */
																					obj_t BgL_arg2689z00_3207;

																					{	/* Eval/evaluate_comp.scm 955 */
																						obj_t BgL_pairz00_9424;

																						BgL_pairz00_9424 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2689z00_3207 =
																							CAR(CDR(BgL_pairz00_9424));
																					}
																					BgL_arg2688z00_3206 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2689z00_3207,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1408z00_3202, 2L,
																					BgL_arg2688z00_3206);
																			}
																			return BgL_v1408z00_3202;
																		}
																	}
																else
																	{	/* Eval/evaluate_comp.scm 953 */
																		if (
																			(BgL_fvalz00_3178 ==
																				BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																			{	/* Eval/evaluate_comp.scm 956 */
																				{	/* Eval/evaluate_comp.scm 957 */
																					obj_t BgL_arg2692z00_3209;
																					BgL_ev_exprz00_bglt
																						BgL_arg2693z00_3210;
																					obj_t BgL_arg2694z00_3211;

																					BgL_arg2692z00_3209 =
																						(((BgL_ev_appz00_bglt) COBJECT(
																								((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_locz00);
																					BgL_arg2693z00_3210 =
																						(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_funz00);
																					BgL_arg2694z00_3211 =
																						(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_argsz00);
																					{	/* Eval/evaluate_comp.scm 921 */
																						bool_t BgL_test5308z00_24934;

																						if (PAIRP(BgL_arg2694z00_3211))
																							{	/* Eval/evaluate_comp.scm 921 */
																								bool_t BgL_test5310z00_24937;

																								{	/* Eval/evaluate_comp.scm 921 */
																									obj_t BgL_tmpz00_24938;

																									BgL_tmpz00_24938 =
																										CDR(BgL_arg2694z00_3211);
																									BgL_test5310z00_24937 =
																										PAIRP(BgL_tmpz00_24938);
																								}
																								if (BgL_test5310z00_24937)
																									{	/* Eval/evaluate_comp.scm 921 */
																										BgL_test5308z00_24934 =
																											NULLP(CDR(CDR
																												(BgL_arg2694z00_3211)));
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 921 */
																										BgL_test5308z00_24934 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5308z00_24934 =
																									((bool_t) 0);
																							}
																						if (BgL_test5308z00_24934)
																							{	/* Eval/evaluate_comp.scm 921 */
																								BFALSE;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 922 */
																								long BgL_arg2725z00_9434;

																								BgL_arg2725z00_9434 =
																									bgl_list_length
																									(BgL_arg2694z00_3211);
																								BGl_evarityzd2errorzd2zz__everrorz00
																									(BgL_arg2692z00_3209,
																									((obj_t) BgL_arg2693z00_3210),
																									(int) (2L),
																									(int) (BgL_arg2725z00_9434));
																				}}}
																				{	/* Eval/evaluate_comp.scm 958 */
																					obj_t BgL_v1409z00_3212;

																					BgL_v1409z00_3212 = create_vector(3L);
																					VECTOR_SET(BgL_v1409z00_3212, 0L,
																						BINT(9L));
																					{	/* Eval/evaluate_comp.scm 958 */
																						obj_t BgL_arg2695z00_3213;

																						{	/* Eval/evaluate_comp.scm 958 */
																							obj_t BgL_arg2697z00_3214;

																							{	/* Eval/evaluate_comp.scm 958 */
																								obj_t BgL_pairz00_9441;

																								BgL_pairz00_9441 =
																									(((BgL_ev_appz00_bglt)
																										COBJECT((
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2697z00_3214 =
																									CAR(BgL_pairz00_9441);
																							}
																							BgL_arg2695z00_3213 =
																								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																								(BgL_arg2697z00_3214,
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1409z00_3212, 1L,
																							BgL_arg2695z00_3213);
																					}
																					{	/* Eval/evaluate_comp.scm 958 */
																						obj_t BgL_arg2699z00_3216;

																						{	/* Eval/evaluate_comp.scm 958 */
																							obj_t BgL_arg2701z00_3217;

																							{	/* Eval/evaluate_comp.scm 958 */
																								obj_t BgL_pairz00_9443;

																								BgL_pairz00_9443 =
																									(((BgL_ev_appz00_bglt)
																										COBJECT((
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2701z00_3217 =
																									CAR(CDR(BgL_pairz00_9443));
																							}
																							BgL_arg2699z00_3216 =
																								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																								(BgL_arg2701z00_3217,
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1409z00_3212, 2L,
																							BgL_arg2699z00_3216);
																					}
																					return BgL_v1409z00_3212;
																				}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 956 */
																				if (
																					(BgL_fvalz00_3178 ==
																						BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate_comp.scm 960 */
																						obj_t BgL_v1410z00_3219;

																						BgL_v1410z00_3219 =
																							create_vector(2L);
																						VECTOR_SET(BgL_v1410z00_3219, 0L,
																							BINT(10L));
																						{	/* Eval/evaluate_comp.scm 960 */
																							obj_t BgL_arg2703z00_3220;

																							{	/* Eval/evaluate_comp.scm 960 */
																								obj_t BgL_arg2704z00_3221;

																								{	/* Eval/evaluate_comp.scm 960 */
																									obj_t BgL_pairz00_9449;

																									BgL_pairz00_9449 =
																										(((BgL_ev_appz00_bglt)
																											COBJECT((
																													(BgL_ev_appz00_bglt)
																													BgL_exprz00_187)))->
																										BgL_argsz00);
																									BgL_arg2704z00_3221 =
																										CAR(BgL_pairz00_9449);
																								}
																								BgL_arg2703z00_3220 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt)
																										BgL_arg2704z00_3221),
																									BgL_stkz00_188);
																							}
																							VECTOR_SET(BgL_v1410z00_3219, 1L,
																								BgL_arg2703z00_3220);
																						}
																						return BgL_v1410z00_3219;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 959 */
																						if (
																							(BgL_fvalz00_3178 ==
																								BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																							{	/* Eval/evaluate_comp.scm 962 */
																								obj_t BgL_v1411z00_3223;

																								BgL_v1411z00_3223 =
																									create_vector(3L);
																								VECTOR_SET(BgL_v1411z00_3223,
																									0L, BINT(11L));
																								{	/* Eval/evaluate_comp.scm 962 */
																									obj_t BgL_arg2706z00_3224;

																									{	/* Eval/evaluate_comp.scm 962 */
																										obj_t BgL_arg2707z00_3225;

																										{	/* Eval/evaluate_comp.scm 962 */
																											obj_t BgL_pairz00_9452;

																											BgL_pairz00_9452 =
																												(((BgL_ev_appz00_bglt)
																													COBJECT((
																															(BgL_ev_appz00_bglt)
																															BgL_exprz00_187)))->
																												BgL_argsz00);
																											BgL_arg2707z00_3225 =
																												CAR(BgL_pairz00_9452);
																										}
																										BgL_arg2706z00_3224 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2707z00_3225),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1411z00_3223,
																										1L, BgL_arg2706z00_3224);
																								}
																								{	/* Eval/evaluate_comp.scm 962 */
																									obj_t BgL_arg2709z00_3227;

																									{	/* Eval/evaluate_comp.scm 962 */
																										obj_t BgL_arg2710z00_3228;

																										{	/* Eval/evaluate_comp.scm 962 */
																											obj_t BgL_pairz00_9454;

																											BgL_pairz00_9454 =
																												(((BgL_ev_appz00_bglt)
																													COBJECT((
																															(BgL_ev_appz00_bglt)
																															BgL_exprz00_187)))->
																												BgL_argsz00);
																											BgL_arg2710z00_3228 =
																												CAR(CDR
																												(BgL_pairz00_9454));
																										}
																										BgL_arg2709z00_3227 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2710z00_3228),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1411z00_3223,
																										2L, BgL_arg2709z00_3227);
																								}
																								return BgL_v1411z00_3223;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 964 */
																								obj_t BgL_v1412z00_3230;

																								BgL_v1412z00_3230 =
																									create_vector(2L);
																								VECTOR_SET(BgL_v1412z00_3230,
																									0L, BINT(0L));
																								{	/* Eval/evaluate_comp.scm 964 */
																									obj_t BgL_arg2712z00_3231;

																									BgL_arg2712z00_3231 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_exprz00_187),
																										BgL_stkz00_188);
																									VECTOR_SET(BgL_v1412z00_3230,
																										1L, BgL_arg2712z00_3231);
																								}
																								return BgL_v1412z00_3230;
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 965 */
												obj_t BgL_v1413z00_3233;

												BgL_v1413z00_3233 = create_vector(2L);
												VECTOR_SET(BgL_v1413z00_3233, 0L, BINT(0L));
												{	/* Eval/evaluate_comp.scm 965 */
													obj_t BgL_arg2715z00_3234;

													BgL_arg2715z00_3234 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_exprz00_187),
														BgL_stkz00_188);
													VECTOR_SET(BgL_v1413z00_3233, 1L,
														BgL_arg2715z00_3234);
												}
												return BgL_v1413z00_3233;
											}
									}
							}
					}
			}
		}

	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189,
		obj_t BgL_sz00_190)
	{
		{	/* Eval/evaluate_comp.scm 967 */
			return
				REAL_TO_DOUBLE(BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190,
					BgL_bcz00_189));
		}

	}



/* E~0 */
	obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_15565,
		obj_t BgL_bcz00_3255)
	{
		{	/* Eval/evaluate_comp.scm 982 */
			{	/* Eval/evaluate_comp.scm 969 */
				obj_t BgL_aux1229z00_3258;

				BgL_aux1229z00_3258 = VECTOR_REF(((obj_t) BgL_bcz00_3255), 0L);
				if (INTEGERP(BgL_aux1229z00_3258))
					{	/* Eval/evaluate_comp.scm 969 */
						switch ((long) CINT(BgL_aux1229z00_3258))
							{
							case 0L:

								{	/* Eval/evaluate_comp.scm 970 */
									obj_t BgL_fun2731z00_3259;

									BgL_fun2731z00_3259 =
										VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
									return
										(VA_PROCEDUREP(BgL_fun2731z00_3259) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_fun2731z00_3259))
										(BgL_fun2731z00_3259, BgL_sz00_15565,
											BEOA) : ((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun2731z00_3259))
										(BgL_fun2731z00_3259, BgL_sz00_15565));
								}
								break;
							case 1L:

								return VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
								break;
							case 2L:

								{	/* Eval/evaluate_comp.scm 972 */
									long BgL_arg2732z00_3260;

									{	/* Eval/evaluate_comp.scm 972 */
										obj_t BgL_arg2734z00_3261;
										obj_t BgL_arg2739z00_3262;

										BgL_arg2734z00_3261 =
											VECTOR_REF(((obj_t) BgL_sz00_15565), 0L);
										BgL_arg2739z00_3262 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
										BgL_arg2732z00_3260 =
											(
											(long) CINT(BgL_arg2734z00_3261) +
											(long) CINT(BgL_arg2739z00_3262));
									}
									return
										VECTOR_REF(((obj_t) BgL_sz00_15565), BgL_arg2732z00_3260);
								}
								break;
							case 3L:

								{	/* Eval/evaluate_comp.scm 973 */
									obj_t BgL_arg2740z00_3263;

									{	/* Eval/evaluate_comp.scm 973 */
										long BgL_arg2741z00_3264;

										{	/* Eval/evaluate_comp.scm 973 */
											obj_t BgL_arg2743z00_3265;
											obj_t BgL_arg2744z00_3266;

											BgL_arg2743z00_3265 =
												VECTOR_REF(((obj_t) BgL_sz00_15565), 0L);
											BgL_arg2744z00_3266 =
												VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
											BgL_arg2741z00_3264 =
												(
												(long) CINT(BgL_arg2743z00_3265) +
												(long) CINT(BgL_arg2744z00_3266));
										}
										BgL_arg2740z00_3263 =
											VECTOR_REF(((obj_t) BgL_sz00_15565), BgL_arg2741z00_3264);
									}
									return STRUCT_REF(((obj_t) BgL_arg2740z00_3263), (int) (0L));
								} break;
							case 4L:

								{	/* Eval/evaluate_comp.scm 974 */
									obj_t BgL_arg2746z00_3267;

									{	/* Eval/evaluate_comp.scm 974 */
										obj_t BgL_arg2747z00_3268;

										BgL_arg2747z00_3268 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
										BgL_arg2746z00_3267 =
											VECTOR_REF(((obj_t) BgL_arg2747z00_3268), 2L);
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2746z00_3267);
								}
								break;
							case 5L:

								{	/* Eval/evaluate_comp.scm 975 */
									obj_t BgL_arg2748z00_3269;

									BgL_arg2748z00_3269 =
										VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
									return VECTOR_REF(((obj_t) BgL_arg2748z00_3269), 2L);
								}
								break;
							case 6L:

								{	/* Eval/evaluate_comp.scm 976 */
									obj_t BgL_arg2750z00_3270;
									obj_t BgL_arg2751z00_3271;

									{	/* Eval/evaluate_comp.scm 976 */
										obj_t BgL_arg2752z00_3272;

										BgL_arg2752z00_3272 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
										BgL_arg2750z00_3270 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15565,
											BgL_arg2752z00_3272);
									}
									{	/* Eval/evaluate_comp.scm 976 */
										obj_t BgL_arg2753z00_3273;

										BgL_arg2753z00_3273 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 2L);
										BgL_arg2751z00_3271 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15565,
											BgL_arg2753z00_3273);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2750z00_3270) +
											REAL_TO_DOUBLE(BgL_arg2751z00_3271)));
								}
								break;
							case 7L:

								{	/* Eval/evaluate_comp.scm 977 */
									obj_t BgL_arg2755z00_3274;
									obj_t BgL_arg2756z00_3275;

									{	/* Eval/evaluate_comp.scm 977 */
										obj_t BgL_arg2759z00_3276;

										BgL_arg2759z00_3276 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
										BgL_arg2755z00_3274 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15565,
											BgL_arg2759z00_3276);
									}
									{	/* Eval/evaluate_comp.scm 977 */
										obj_t BgL_arg2763z00_3277;

										BgL_arg2763z00_3277 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 2L);
										BgL_arg2756z00_3275 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15565,
											BgL_arg2763z00_3277);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2755z00_3274) -
											REAL_TO_DOUBLE(BgL_arg2756z00_3275)));
								}
								break;
							case 8L:

								{	/* Eval/evaluate_comp.scm 978 */
									obj_t BgL_arg2765z00_3278;
									obj_t BgL_arg2767z00_3279;

									{	/* Eval/evaluate_comp.scm 978 */
										obj_t BgL_arg2773z00_3280;

										BgL_arg2773z00_3280 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
										BgL_arg2765z00_3278 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15565,
											BgL_arg2773z00_3280);
									}
									{	/* Eval/evaluate_comp.scm 978 */
										obj_t BgL_arg2774z00_3281;

										BgL_arg2774z00_3281 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 2L);
										BgL_arg2767z00_3279 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15565,
											BgL_arg2774z00_3281);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2765z00_3278) *
											REAL_TO_DOUBLE(BgL_arg2767z00_3279)));
								}
								break;
							case 9L:

								{	/* Eval/evaluate_comp.scm 979 */
									obj_t BgL_arg2777z00_3282;
									obj_t BgL_arg2778z00_3283;

									{	/* Eval/evaluate_comp.scm 979 */
										obj_t BgL_arg2779z00_3284;

										BgL_arg2779z00_3284 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
										BgL_arg2777z00_3282 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15565,
											BgL_arg2779z00_3284);
									}
									{	/* Eval/evaluate_comp.scm 979 */
										obj_t BgL_arg2781z00_3285;

										BgL_arg2781z00_3285 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 2L);
										BgL_arg2778z00_3283 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15565,
											BgL_arg2781z00_3285);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2777z00_3282) /
											REAL_TO_DOUBLE(BgL_arg2778z00_3283)));
								}
								break;
							case 10L:

								{	/* Eval/evaluate_comp.scm 980 */
									obj_t BgL_arg2783z00_3286;

									{	/* Eval/evaluate_comp.scm 980 */
										obj_t BgL_fun2784z00_3287;

										BgL_fun2784z00_3287 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
										BgL_arg2783z00_3286 =
											(VA_PROCEDUREP(BgL_fun2784z00_3287) ? ((obj_t(*)(obj_t,
														...))
												PROCEDURE_ENTRY(BgL_fun2784z00_3287))
											(BgL_fun2784z00_3287, BgL_sz00_15565,
												BEOA) : ((obj_t(*)(obj_t,
														obj_t))
												PROCEDURE_ENTRY(BgL_fun2784z00_3287))
											(BgL_fun2784z00_3287, BgL_sz00_15565));
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2783z00_3286)));
								} break;
							case 11L:

								{	/* Eval/evaluate_comp.scm 981 */
									obj_t BgL_arg2785z00_3288;
									obj_t BgL_arg2786z00_3289;

									{	/* Eval/evaluate_comp.scm 981 */
										obj_t BgL_fun2787z00_3290;

										BgL_fun2787z00_3290 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 1L);
										BgL_arg2785z00_3288 =
											(VA_PROCEDUREP(BgL_fun2787z00_3290) ? ((obj_t(*)(obj_t,
														...))
												PROCEDURE_ENTRY(BgL_fun2787z00_3290))
											(BgL_fun2787z00_3290, BgL_sz00_15565,
												BEOA) : ((obj_t(*)(obj_t,
														obj_t))
												PROCEDURE_ENTRY(BgL_fun2787z00_3290))
											(BgL_fun2787z00_3290, BgL_sz00_15565));
									}
									{	/* Eval/evaluate_comp.scm 981 */
										obj_t BgL_fun2788z00_3291;

										BgL_fun2788z00_3291 =
											VECTOR_REF(((obj_t) BgL_bcz00_3255), 2L);
										BgL_arg2786z00_3289 =
											(VA_PROCEDUREP(BgL_fun2788z00_3291) ? ((obj_t(*)(obj_t,
														...))
												PROCEDURE_ENTRY(BgL_fun2788z00_3291))
											(BgL_fun2788z00_3291, BgL_sz00_15565,
												BEOA) : ((obj_t(*)(obj_t,
														obj_t))
												PROCEDURE_ENTRY(BgL_fun2788z00_3291))
											(BgL_fun2788z00_3291, BgL_sz00_15565));
									}
									{	/* Eval/evaluate_comp.scm 981 */
										double BgL_tmpz00_25109;

										{	/* Eval/evaluate_comp.scm 981 */
											long BgL_tmpz00_25110;

											BgL_tmpz00_25110 = (long) CINT(BgL_arg2786z00_3289);
											BgL_tmpz00_25109 =
												BGL_F64VREF(BgL_arg2785z00_3288, BgL_tmpz00_25110);
										}
										return DOUBLE_TO_REAL(BgL_tmpz00_25109);
									}
								}
								break;
							default:
								{	/* Eval/evaluate_comp.scm 982 */
									obj_t BgL_arg2790z00_9507;

									BgL_arg2790z00_9507 =
										VECTOR_REF(((obj_t) BgL_bcz00_3255), 0L);
									return
										BGl_errorz00zz__errorz00
										(BGl_string4614z00zz__evaluate_compz00,
										BGl_string4633z00zz__evaluate_compz00, BgL_arg2790z00_9507);
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 982 */
						obj_t BgL_arg2790z00_9509;

						BgL_arg2790z00_9509 = VECTOR_REF(((obj_t) BgL_bcz00_3255), 0L);
						return
							BGl_errorz00zz__errorz00(BGl_string4614z00zz__evaluate_compz00,
							BGl_string4633z00zz__evaluate_compz00, BgL_arg2790z00_9509);
					}
			}
		}

	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_191, obj_t BgL_stkz00_192)
	{
		{	/* Eval/evaluate_comp.scm 985 */
			{	/* Eval/evaluate_comp.scm 987 */
				obj_t BgL_fvalz00_3295;

				BgL_fvalz00_3295 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_exprz00_191))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 988 */
					bool_t BgL_test5314z00_25124;

					if (
						(BgL_fvalz00_3295 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 988 */
							BgL_test5314z00_25124 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 988 */
							if (
								(BgL_fvalz00_3295 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 988 */
									BgL_test5314z00_25124 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 988 */
									if (
										(BgL_fvalz00_3295 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 988 */
											BgL_test5314z00_25124 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 988 */
											BgL_test5314z00_25124 =
												(BgL_fvalz00_3295 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_test5314z00_25124)
						{	/* Eval/evaluate_comp.scm 989 */
							obj_t BgL_bcz00_3297;

							BgL_bcz00_3297 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_191), BgL_stkz00_192);
							{	/* Eval/evaluate_comp.scm 990 */
								obj_t BgL_zc3z04anonymousza32792ze3z87_13931;

								BgL_zc3z04anonymousza32792ze3z87_13931 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32792ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32792ze3z87_13931,
									(int) (0L), BgL_bcz00_3297);
								return BgL_zc3z04anonymousza32792ze3z87_13931;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 988 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &<@anonymous:2792> */
	obj_t BGl_z62zc3z04anonymousza32792ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13932, obj_t BgL_sz00_13934)
	{
		{	/* Eval/evaluate_comp.scm 990 */
			{	/* Eval/evaluate_comp.scm 990 */
				obj_t BgL_bcz00_13933;

				BgL_bcz00_13933 = ((obj_t) PROCEDURE_REF(BgL_envz00_13932, (int) (0L)));
				{	/* Eval/evaluate_comp.scm 990 */
					double BgL_tmpz00_25142;

					{	/* Eval/evaluate_comp.scm 990 */
						obj_t BgL_bpz00_16645;

						BgL_bpz00_16645 = VECTOR_REF(((obj_t) BgL_sz00_13934), 0L);
						BgL_tmpz00_25142 =
							BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_13933,
							BgL_sz00_13934);
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_25142);
				}
			}
		}

	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193,
		BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195,
		obj_t BgL_stkz00_196)
	{
		{	/* Eval/evaluate_comp.scm 1019 */
			{	/* Eval/evaluate_comp.scm 1020 */
				obj_t BgL_valz00_3302;

				BgL_valz00_3302 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194);
				if (CBOOL(BgL_valz00_3302))
					{	/* Eval/evaluate_comp.scm 1022 */
						long BgL_nz00_3303;

						BgL_nz00_3303 = bgl_list_length(BgL_argsz00_195);
						{	/* Eval/evaluate_comp.scm 1023 */
							obj_t BgL__ortest_1235z00_3304;

							if ((BgL_nz00_3303 == 1L))
								{	/* Eval/evaluate_comp.scm 1024 */
									obj_t BgL_a1z00_3574;

									BgL_a1z00_3574 = CAR(((obj_t) BgL_argsz00_195));
									if (
										(BgL_valz00_3302 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 1025 */
											obj_t BgL_a1z00_3575;

											BgL_a1z00_3575 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_3574), BgL_stkz00_196);
											{	/* Eval/evaluate_comp.scm 1025 */
												obj_t BgL_zc3z04anonymousza32887ze3z87_13964;

												BgL_zc3z04anonymousza32887ze3z87_13964 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3z04anonymousza32887ze3ze5zz__evaluate_compz00,
													(int) (1L), (int) (2L));
												PROCEDURE_SET(BgL_zc3z04anonymousza32887ze3z87_13964,
													(int) (0L), BgL_a1z00_3575);
												PROCEDURE_SET(BgL_zc3z04anonymousza32887ze3z87_13964,
													(int) (1L), BgL_locz00_193);
												BgL__ortest_1235z00_3304 =
													BgL_zc3z04anonymousza32887ze3z87_13964;
										}}
									else
										{	/* Eval/evaluate_comp.scm 1025 */
											if (
												(BgL_valz00_3302 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 1025 */
													obj_t BgL_a1z00_3581;

													BgL_a1z00_3581 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3574),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1025 */
														obj_t BgL_zc3z04anonymousza32889ze3z87_13965;

														BgL_zc3z04anonymousza32889ze3z87_13965 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza32889ze3ze5zz__evaluate_compz00,
															(int) (1L), (int) (2L));
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32889ze3z87_13965,
															(int) (0L), BgL_a1z00_3581);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32889ze3z87_13965,
															(int) (1L), BgL_locz00_193);
														BgL__ortest_1235z00_3304 =
															BgL_zc3z04anonymousza32889ze3z87_13965;
												}}
											else
												{	/* Eval/evaluate_comp.scm 1025 */
													if (
														(BgL_valz00_3302 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 1025 */
															obj_t BgL_a1z00_3587;

															BgL_a1z00_3587 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3574),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1025 */
																obj_t BgL_zc3z04anonymousza32891ze3z87_13966;

																BgL_zc3z04anonymousza32891ze3z87_13966 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3z04anonymousza32891ze3ze5zz__evaluate_compz00,
																	(int) (1L), (int) (2L));
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32891ze3z87_13966,
																	(int) (0L), BgL_a1z00_3587);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32891ze3z87_13966,
																	(int) (1L), BgL_locz00_193);
																BgL__ortest_1235z00_3304 =
																	BgL_zc3z04anonymousza32891ze3z87_13966;
														}}
													else
														{	/* Eval/evaluate_comp.scm 1025 */
															BgL__ortest_1235z00_3304 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1023 */
									BgL__ortest_1235z00_3304 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1235z00_3304))
								{	/* Eval/evaluate_comp.scm 1023 */
									return BgL__ortest_1235z00_3304;
								}
							else
								{	/* Eval/evaluate_comp.scm 1023 */
									if ((BgL_nz00_3303 == 2L))
										{	/* Eval/evaluate_comp.scm 1027 */
											obj_t BgL_a1z00_3306;
											obj_t BgL_a2z00_3307;

											BgL_a1z00_3306 = CAR(((obj_t) BgL_argsz00_195));
											{	/* Eval/evaluate_comp.scm 1027 */
												obj_t BgL_pairz00_9534;

												BgL_pairz00_9534 = CDR(((obj_t) BgL_argsz00_195));
												BgL_a2z00_3307 = CAR(BgL_pairz00_9534);
											}
											if (
												(BgL_valz00_3302 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 1028 */
													obj_t BgL_a1z00_3308;
													obj_t BgL_a2z00_3309;

													BgL_a1z00_3308 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3306),
														BgL_stkz00_196);
													BgL_a2z00_3309 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_3307),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1028 */
														obj_t BgL_zc3z04anonymousza32795ze3z87_13935;

														BgL_zc3z04anonymousza32795ze3z87_13935 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza32795ze3ze5zz__evaluate_compz00,
															(int) (1L), (int) (3L));
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32795ze3z87_13935,
															(int) (0L), BgL_a1z00_3308);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32795ze3z87_13935,
															(int) (1L), BgL_a2z00_3309);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32795ze3z87_13935,
															(int) (2L), BgL_locz00_193);
														return BgL_zc3z04anonymousza32795ze3z87_13935;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 1028 */
													if (
														(BgL_valz00_3302 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 1028 */
															obj_t BgL_a1z00_3318;
															obj_t BgL_a2z00_3319;

															BgL_a1z00_3318 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3306),
																BgL_stkz00_196);
															BgL_a2z00_3319 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_3307),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1028 */
																obj_t BgL_zc3z04anonymousza32799ze3z87_13936;

																BgL_zc3z04anonymousza32799ze3z87_13936 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3z04anonymousza32799ze3ze5zz__evaluate_compz00,
																	(int) (1L), (int) (3L));
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32799ze3z87_13936,
																	(int) (0L), BgL_a1z00_3318);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32799ze3z87_13936,
																	(int) (1L), BgL_a2z00_3319);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32799ze3z87_13936,
																	(int) (2L), BgL_locz00_193);
																return BgL_zc3z04anonymousza32799ze3z87_13936;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 1028 */
															if (
																(BgL_valz00_3302 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 1028 */
																	obj_t BgL_a1z00_3328;
																	obj_t BgL_a2z00_3329;

																	BgL_a1z00_3328 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_3306),
																		BgL_stkz00_196);
																	BgL_a2z00_3329 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_3307),
																		BgL_stkz00_196);
																	{	/* Eval/evaluate_comp.scm 1028 */
																		obj_t
																			BgL_zc3z04anonymousza32803ze3z87_13937;
																		BgL_zc3z04anonymousza32803ze3z87_13937 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3z04anonymousza32803ze3ze5zz__evaluate_compz00,
																			(int) (1L), (int) (3L));
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32803ze3z87_13937,
																			(int) (0L), BgL_a1z00_3328);
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32803ze3z87_13937,
																			(int) (1L), BgL_a2z00_3329);
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32803ze3z87_13937,
																			(int) (2L), BgL_locz00_193);
																		return
																			BgL_zc3z04anonymousza32803ze3z87_13937;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 1028 */
																	if (
																		(BgL_valz00_3302 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 1028 */
																			obj_t BgL_a1z00_3338;
																			obj_t BgL_a2z00_3339;

																			BgL_a1z00_3338 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_3306),
																				BgL_stkz00_196);
																			BgL_a2z00_3339 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_3307),
																				BgL_stkz00_196);
																			{	/* Eval/evaluate_comp.scm 1028 */
																				obj_t
																					BgL_zc3z04anonymousza32807ze3z87_13938;
																				BgL_zc3z04anonymousza32807ze3z87_13938 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00,
																					(int) (1L), (int) (3L));
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32807ze3z87_13938,
																					(int) (0L), BgL_a1z00_3338);
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32807ze3z87_13938,
																					(int) (1L), BgL_a2z00_3339);
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32807ze3z87_13938,
																					(int) (2L), BgL_locz00_193);
																				return
																					BgL_zc3z04anonymousza32807ze3z87_13938;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1028 */
																			if (
																				(BgL_valz00_3302 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 1028 */
																					obj_t BgL_a1z00_3347;
																					obj_t BgL_a2z00_3348;

																					BgL_a1z00_3347 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_3306), BgL_stkz00_196);
																					BgL_a2z00_3348 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_3307), BgL_stkz00_196);
																					{	/* Eval/evaluate_comp.scm 1028 */
																						obj_t
																							BgL_zc3z04anonymousza32810ze3z87_13939;
																						BgL_zc3z04anonymousza32810ze3z87_13939
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00,
																							(int) (1L), (int) (3L));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32810ze3z87_13939,
																							(int) (0L), BgL_a1z00_3347);
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32810ze3z87_13939,
																							(int) (1L), BgL_a2z00_3348);
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32810ze3z87_13939,
																							(int) (2L), BgL_locz00_193);
																						return
																							BgL_zc3z04anonymousza32810ze3z87_13939;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1028 */
																					if (
																						(BgL_valz00_3302 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 1028 */
																							obj_t BgL_a1z00_3357;
																							obj_t BgL_a2z00_3358;

																							BgL_a1z00_3357 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_3306),
																								BgL_stkz00_196);
																							BgL_a2z00_3358 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_3307),
																								BgL_stkz00_196);
																							{	/* Eval/evaluate_comp.scm 1028 */
																								obj_t
																									BgL_zc3z04anonymousza32814ze3z87_13940;
																								BgL_zc3z04anonymousza32814ze3z87_13940
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3z04anonymousza32814ze3ze5zz__evaluate_compz00,
																									(int) (1L), (int) (3L));
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32814ze3z87_13940,
																									(int) (0L), BgL_a1z00_3357);
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32814ze3z87_13940,
																									(int) (1L), BgL_a2z00_3358);
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32814ze3z87_13940,
																									(int) (2L), BgL_locz00_193);
																								return
																									BgL_zc3z04anonymousza32814ze3z87_13940;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 1028 */
																							if (
																								(BgL_valz00_3302 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 1028 */
																									obj_t BgL_a1z00_3367;
																									obj_t BgL_a2z00_3368;

																									BgL_a1z00_3367 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_3306),
																										BgL_stkz00_196);
																									BgL_a2z00_3368 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_3307),
																										BgL_stkz00_196);
																									{	/* Eval/evaluate_comp.scm 1028 */
																										obj_t
																											BgL_zc3z04anonymousza32818ze3z87_13941;
																										BgL_zc3z04anonymousza32818ze3z87_13941
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3z04anonymousza32818ze3ze5zz__evaluate_compz00,
																											(int) (1L), (int) (3L));
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32818ze3z87_13941,
																											(int) (0L),
																											BgL_a1z00_3367);
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32818ze3z87_13941,
																											(int) (1L),
																											BgL_a2z00_3368);
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32818ze3z87_13941,
																											(int) (2L),
																											BgL_locz00_193);
																										return
																											BgL_zc3z04anonymousza32818ze3z87_13941;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 1028 */
																									if (
																										(BgL_valz00_3302 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 1028 */
																											obj_t BgL_a1z00_3377;
																											obj_t BgL_a2z00_3378;

																											BgL_a1z00_3377 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_3306),
																												BgL_stkz00_196);
																											BgL_a2z00_3378 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_3307),
																												BgL_stkz00_196);
																											{	/* Eval/evaluate_comp.scm 1028 */
																												obj_t
																													BgL_zc3z04anonymousza32822ze3z87_13942;
																												BgL_zc3z04anonymousza32822ze3z87_13942
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3z04anonymousza32822ze3ze5zz__evaluate_compz00,
																													(int) (1L),
																													(int) (3L));
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32822ze3z87_13942,
																													(int) (0L),
																													BgL_a1z00_3377);
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32822ze3z87_13942,
																													(int) (1L),
																													BgL_a2z00_3378);
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32822ze3z87_13942,
																													(int) (2L),
																													BgL_locz00_193);
																												return
																													BgL_zc3z04anonymousza32822ze3z87_13942;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 1028 */
																											if (
																												(BgL_valz00_3302 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 1028 */
																													obj_t BgL_a1z00_3387;
																													obj_t BgL_a2z00_3388;

																													BgL_a1z00_3387 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																													BgL_a2z00_3388 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																													{	/* Eval/evaluate_comp.scm 1028 */
																														obj_t
																															BgL_zc3z04anonymousza32826ze3z87_13943;
																														BgL_zc3z04anonymousza32826ze3z87_13943
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3z04anonymousza32826ze3ze5zz__evaluate_compz00,
																															(int) (1L),
																															(int) (3L));
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32826ze3z87_13943,
																															(int) (0L),
																															BgL_a1z00_3387);
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32826ze3z87_13943,
																															(int) (1L),
																															BgL_a2z00_3388);
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32826ze3z87_13943,
																															(int) (2L),
																															BgL_locz00_193);
																														return
																															BgL_zc3z04anonymousza32826ze3z87_13943;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 1028 */
																													if (
																														(BgL_valz00_3302 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 1028 */
																															obj_t
																																BgL_a1z00_3397;
																															obj_t
																																BgL_a2z00_3398;
																															BgL_a1z00_3397 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																															BgL_a2z00_3398 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																															{	/* Eval/evaluate_comp.scm 1028 */
																																obj_t
																																	BgL_zc3z04anonymousza32830ze3z87_13944;
																																BgL_zc3z04anonymousza32830ze3z87_13944
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3z04anonymousza32830ze3ze5zz__evaluate_compz00,
																																	(int) (1L),
																																	(int) (3L));
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32830ze3z87_13944,
																																	(int) (0L),
																																	BgL_a1z00_3397);
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32830ze3z87_13944,
																																	(int) (1L),
																																	BgL_a2z00_3398);
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32830ze3z87_13944,
																																	(int) (2L),
																																	BgL_locz00_193);
																																return
																																	BgL_zc3z04anonymousza32830ze3z87_13944;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 1028 */
																															if (
																																(BgL_valz00_3302
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 1028 */
																																	obj_t
																																		BgL_a1z00_3406;
																																	obj_t
																																		BgL_a2z00_3407;
																																	BgL_a1z00_3406
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																	BgL_a2z00_3407
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																	{	/* Eval/evaluate_comp.scm 1028 */
																																		obj_t
																																			BgL_zc3z04anonymousza32833ze3z87_13945;
																																		BgL_zc3z04anonymousza32833ze3z87_13945
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3z04anonymousza32833ze3ze5zz__evaluate_compz00,
																																			(int)
																																			(1L),
																																			(int)
																																			(3L));
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32833ze3z87_13945,
																																			(int)
																																			(0L),
																																			BgL_a1z00_3406);
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32833ze3z87_13945,
																																			(int)
																																			(1L),
																																			BgL_a2z00_3407);
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32833ze3z87_13945,
																																			(int)
																																			(2L),
																																			BgL_locz00_193);
																																		return
																																			BgL_zc3z04anonymousza32833ze3z87_13945;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 1028 */
																																	if (
																																		(BgL_valz00_3302
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 1028 */
																																			obj_t
																																				BgL_a1z00_3415;
																																			obj_t
																																				BgL_a2z00_3416;
																																			BgL_a1z00_3415
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																			BgL_a2z00_3416
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																			{	/* Eval/evaluate_comp.scm 1028 */
																																				obj_t
																																					BgL_zc3z04anonymousza32836ze3z87_13946;
																																				BgL_zc3z04anonymousza32836ze3z87_13946
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3z04anonymousza32836ze3ze5zz__evaluate_compz00,
																																					(int)
																																					(1L),
																																					(int)
																																					(3L));
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32836ze3z87_13946,
																																					(int)
																																					(0L),
																																					BgL_a1z00_3415);
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32836ze3z87_13946,
																																					(int)
																																					(1L),
																																					BgL_a2z00_3416);
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32836ze3z87_13946,
																																					(int)
																																					(2L),
																																					BgL_locz00_193);
																																				return
																																					BgL_zc3z04anonymousza32836ze3z87_13946;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 1028 */
																																			if (
																																				(BgL_valz00_3302
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 1028 */
																																					obj_t
																																						BgL_a1z00_3424;
																																					obj_t
																																						BgL_a2z00_3425;
																																					BgL_a1z00_3424
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																					BgL_a2z00_3425
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																					{	/* Eval/evaluate_comp.scm 1028 */
																																						obj_t
																																							BgL_zc3z04anonymousza32839ze3z87_13947;
																																						BgL_zc3z04anonymousza32839ze3z87_13947
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3z04anonymousza32839ze3ze5zz__evaluate_compz00,
																																							(int)
																																							(1L),
																																							(int)
																																							(3L));
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32839ze3z87_13947,
																																							(int)
																																							(0L),
																																							BgL_a1z00_3424);
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32839ze3z87_13947,
																																							(int)
																																							(1L),
																																							BgL_a2z00_3425);
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32839ze3z87_13947,
																																							(int)
																																							(2L),
																																							BgL_locz00_193);
																																						return
																																							BgL_zc3z04anonymousza32839ze3z87_13947;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 1028 */
																																					if (
																																						(BgL_valz00_3302
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 1028 */
																																							obj_t
																																								BgL_a1z00_3433;
																																							obj_t
																																								BgL_a2z00_3434;
																																							BgL_a1z00_3433
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																							BgL_a2z00_3434
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																							{	/* Eval/evaluate_comp.scm 1028 */
																																								obj_t
																																									BgL_zc3z04anonymousza32842ze3z87_13948;
																																								BgL_zc3z04anonymousza32842ze3z87_13948
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3z04anonymousza32842ze3ze5zz__evaluate_compz00,
																																									(int)
																																									(1L),
																																									(int)
																																									(3L));
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32842ze3z87_13948,
																																									(int)
																																									(0L),
																																									BgL_a1z00_3433);
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32842ze3z87_13948,
																																									(int)
																																									(1L),
																																									BgL_a2z00_3434);
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32842ze3z87_13948,
																																									(int)
																																									(2L),
																																									BgL_locz00_193);
																																								return
																																									BgL_zc3z04anonymousza32842ze3z87_13948;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 1028 */
																																							if ((BgL_valz00_3302 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 1028 */
																																									obj_t
																																										BgL_a1z00_3442;
																																									obj_t
																																										BgL_a2z00_3443;
																																									BgL_a1z00_3442
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																									BgL_a2z00_3443
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																									{	/* Eval/evaluate_comp.scm 1028 */
																																										obj_t
																																											BgL_zc3z04anonymousza32845ze3z87_13949;
																																										BgL_zc3z04anonymousza32845ze3z87_13949
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3z04anonymousza32845ze3ze5zz__evaluate_compz00,
																																											(int)
																																											(1L),
																																											(int)
																																											(3L));
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32845ze3z87_13949,
																																											(int)
																																											(0L),
																																											BgL_a1z00_3442);
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32845ze3z87_13949,
																																											(int)
																																											(1L),
																																											BgL_a2z00_3443);
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32845ze3z87_13949,
																																											(int)
																																											(2L),
																																											BgL_locz00_193);
																																										return
																																											BgL_zc3z04anonymousza32845ze3z87_13949;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 1028 */
																																									if ((BgL_valz00_3302 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 1028 */
																																											obj_t
																																												BgL_a1z00_3451;
																																											obj_t
																																												BgL_a2z00_3452;
																																											BgL_a1z00_3451
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																											BgL_a2z00_3452
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																											{	/* Eval/evaluate_comp.scm 1028 */
																																												obj_t
																																													BgL_zc3z04anonymousza32848ze3z87_13950;
																																												BgL_zc3z04anonymousza32848ze3z87_13950
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3z04anonymousza32848ze3ze5zz__evaluate_compz00,
																																													(int)
																																													(1L),
																																													(int)
																																													(3L));
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32848ze3z87_13950,
																																													(int)
																																													(0L),
																																													BgL_a1z00_3451);
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32848ze3z87_13950,
																																													(int)
																																													(1L),
																																													BgL_a2z00_3452);
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32848ze3z87_13950,
																																													(int)
																																													(2L),
																																													BgL_locz00_193);
																																												return
																																													BgL_zc3z04anonymousza32848ze3z87_13950;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 1028 */
																																											if ((BgL_valz00_3302 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 1028 */
																																													obj_t
																																														BgL_a1z00_3460;
																																													obj_t
																																														BgL_a2z00_3461;
																																													BgL_a1z00_3460
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																													BgL_a2z00_3461
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																													{	/* Eval/evaluate_comp.scm 1028 */
																																														obj_t
																																															BgL_zc3z04anonymousza32851ze3z87_13951;
																																														BgL_zc3z04anonymousza32851ze3z87_13951
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3z04anonymousza32851ze3ze5zz__evaluate_compz00,
																																															(int)
																																															(1L),
																																															(int)
																																															(3L));
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32851ze3z87_13951,
																																															(int)
																																															(0L),
																																															BgL_a1z00_3460);
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32851ze3z87_13951,
																																															(int)
																																															(1L),
																																															BgL_a2z00_3461);
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32851ze3z87_13951,
																																															(int)
																																															(2L),
																																															BgL_locz00_193);
																																														return
																																															BgL_zc3z04anonymousza32851ze3z87_13951;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 1028 */
																																													if ((BgL_valz00_3302 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 1028 */
																																															obj_t
																																																BgL_a1z00_3469;
																																															obj_t
																																																BgL_a2z00_3470;
																																															BgL_a1z00_3469
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																															BgL_a2z00_3470
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																															{	/* Eval/evaluate_comp.scm 1028 */
																																																obj_t
																																																	BgL_zc3z04anonymousza32854ze3z87_13952;
																																																BgL_zc3z04anonymousza32854ze3z87_13952
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3z04anonymousza32854ze3ze5zz__evaluate_compz00,
																																																	(int)
																																																	(1L),
																																																	(int)
																																																	(3L));
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32854ze3z87_13952,
																																																	(int)
																																																	(0L),
																																																	BgL_a1z00_3469);
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32854ze3z87_13952,
																																																	(int)
																																																	(1L),
																																																	BgL_a2z00_3470);
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32854ze3z87_13952,
																																																	(int)
																																																	(2L),
																																																	BgL_locz00_193);
																																																return
																																																	BgL_zc3z04anonymousza32854ze3z87_13952;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 1028 */
																																															if ((BgL_valz00_3302 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																	obj_t
																																																		BgL_a1z00_3478;
																																																	obj_t
																																																		BgL_a2z00_3479;
																																																	BgL_a1z00_3478
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																																	BgL_a2z00_3479
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																																	{	/* Eval/evaluate_comp.scm 1028 */
																																																		obj_t
																																																			BgL_zc3z04anonymousza32857ze3z87_13953;
																																																		BgL_zc3z04anonymousza32857ze3z87_13953
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3z04anonymousza32857ze3ze5zz__evaluate_compz00,
																																																			(int)
																																																			(1L),
																																																			(int)
																																																			(3L));
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32857ze3z87_13953,
																																																			(int)
																																																			(0L),
																																																			BgL_a1z00_3478);
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32857ze3z87_13953,
																																																			(int)
																																																			(1L),
																																																			BgL_a2z00_3479);
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32857ze3z87_13953,
																																																			(int)
																																																			(2L),
																																																			BgL_locz00_193);
																																																		return
																																																			BgL_zc3z04anonymousza32857ze3z87_13953;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																	if ((BgL_valz00_3302 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																			obj_t
																																																				BgL_a1z00_3487;
																																																			obj_t
																																																				BgL_a2z00_3488;
																																																			BgL_a1z00_3487
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																																			BgL_a2z00_3488
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																																			{	/* Eval/evaluate_comp.scm 1028 */
																																																				obj_t
																																																					BgL_zc3z04anonymousza32860ze3z87_13954;
																																																				BgL_zc3z04anonymousza32860ze3z87_13954
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3z04anonymousza32860ze3ze5zz__evaluate_compz00,
																																																					(int)
																																																					(1L),
																																																					(int)
																																																					(3L));
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32860ze3z87_13954,
																																																					(int)
																																																					(0L),
																																																					BgL_a1z00_3487);
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32860ze3z87_13954,
																																																					(int)
																																																					(1L),
																																																					BgL_a2z00_3488);
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32860ze3z87_13954,
																																																					(int)
																																																					(2L),
																																																					BgL_locz00_193);
																																																				return
																																																					BgL_zc3z04anonymousza32860ze3z87_13954;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																			if ((BgL_valz00_3302 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																					obj_t
																																																						BgL_a1z00_3496;
																																																					obj_t
																																																						BgL_a2z00_3497;
																																																					BgL_a1z00_3496
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																																					BgL_a2z00_3497
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																																					{	/* Eval/evaluate_comp.scm 1028 */
																																																						obj_t
																																																							BgL_zc3z04anonymousza32863ze3z87_13955;
																																																						BgL_zc3z04anonymousza32863ze3z87_13955
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3z04anonymousza32863ze3ze5zz__evaluate_compz00,
																																																							(int)
																																																							(1L),
																																																							(int)
																																																							(3L));
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32863ze3z87_13955,
																																																							(int)
																																																							(0L),
																																																							BgL_a1z00_3496);
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32863ze3z87_13955,
																																																							(int)
																																																							(1L),
																																																							BgL_a2z00_3497);
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32863ze3z87_13955,
																																																							(int)
																																																							(2L),
																																																							BgL_locz00_193);
																																																						return
																																																							BgL_zc3z04anonymousza32863ze3z87_13955;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																					if ((BgL_valz00_3302 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 1028 */
																																																							obj_t
																																																								BgL_a1z00_3505;
																																																							obj_t
																																																								BgL_a2z00_3506;
																																																							BgL_a1z00_3505
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																																							BgL_a2z00_3506
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																																							{	/* Eval/evaluate_comp.scm 1028 */
																																																								obj_t
																																																									BgL_zc3z04anonymousza32866ze3z87_13956;
																																																								BgL_zc3z04anonymousza32866ze3z87_13956
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3z04anonymousza32866ze3ze5zz__evaluate_compz00,
																																																									(int)
																																																									(1L),
																																																									(int)
																																																									(3L));
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32866ze3z87_13956,
																																																									(int)
																																																									(0L),
																																																									BgL_a1z00_3505);
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32866ze3z87_13956,
																																																									(int)
																																																									(1L),
																																																									BgL_a2z00_3506);
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32866ze3z87_13956,
																																																									(int)
																																																									(2L),
																																																									BgL_locz00_193);
																																																								return
																																																									BgL_zc3z04anonymousza32866ze3z87_13956;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 1028 */
																																																							if ((BgL_valz00_3302 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 1028 */
																																																									obj_t
																																																										BgL_a1z00_3514;
																																																									obj_t
																																																										BgL_a2z00_3515;
																																																									BgL_a1z00_3514
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																																									BgL_a2z00_3515
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																																									{	/* Eval/evaluate_comp.scm 1028 */
																																																										obj_t
																																																											BgL_zc3z04anonymousza32869ze3z87_13957;
																																																										BgL_zc3z04anonymousza32869ze3z87_13957
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3z04anonymousza32869ze3ze5zz__evaluate_compz00,
																																																											(int)
																																																											(1L),
																																																											(int)
																																																											(3L));
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32869ze3z87_13957,
																																																											(int)
																																																											(0L),
																																																											BgL_a1z00_3514);
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32869ze3z87_13957,
																																																											(int)
																																																											(1L),
																																																											BgL_a2z00_3515);
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32869ze3z87_13957,
																																																											(int)
																																																											(2L),
																																																											BgL_locz00_193);
																																																										return
																																																											BgL_zc3z04anonymousza32869ze3z87_13957;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 1028 */
																																																									if ((BgL_valz00_3302 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 1028 */
																																																											obj_t
																																																												BgL_a1z00_3523;
																																																											obj_t
																																																												BgL_a2z00_3524;
																																																											BgL_a1z00_3523
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																																											BgL_a2z00_3524
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																																											{	/* Eval/evaluate_comp.scm 1028 */
																																																												obj_t
																																																													BgL_zc3z04anonymousza32872ze3z87_13958;
																																																												BgL_zc3z04anonymousza32872ze3z87_13958
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00,
																																																													(int)
																																																													(1L),
																																																													(int)
																																																													(3L));
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32872ze3z87_13958,
																																																													(int)
																																																													(0L),
																																																													BgL_a1z00_3523);
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32872ze3z87_13958,
																																																													(int)
																																																													(1L),
																																																													BgL_a2z00_3524);
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32872ze3z87_13958,
																																																													(int)
																																																													(2L),
																																																													BgL_locz00_193);
																																																												return
																																																													BgL_zc3z04anonymousza32872ze3z87_13958;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 1028 */
																																																											if ((BgL_valz00_3302 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 1028 */
																																																													obj_t
																																																														BgL_a1z00_3532;
																																																													obj_t
																																																														BgL_a2z00_3533;
																																																													BgL_a1z00_3532
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																																													BgL_a2z00_3533
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																																													{	/* Eval/evaluate_comp.scm 1028 */
																																																														obj_t
																																																															BgL_zc3z04anonymousza32875ze3z87_13959;
																																																														BgL_zc3z04anonymousza32875ze3z87_13959
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3z04anonymousza32875ze3ze5zz__evaluate_compz00,
																																																															(int)
																																																															(1L),
																																																															(int)
																																																															(3L));
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32875ze3z87_13959,
																																																															(int)
																																																															(0L),
																																																															BgL_a1z00_3532);
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32875ze3z87_13959,
																																																															(int)
																																																															(1L),
																																																															BgL_a2z00_3533);
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32875ze3z87_13959,
																																																															(int)
																																																															(2L),
																																																															BgL_locz00_193);
																																																														return
																																																															BgL_zc3z04anonymousza32875ze3z87_13959;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 1028 */
																																																													if ((BgL_valz00_3302 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 1028 */
																																																															obj_t
																																																																BgL_a1z00_3541;
																																																															obj_t
																																																																BgL_a2z00_3542;
																																																															BgL_a1z00_3541
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																																															BgL_a2z00_3542
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																																															{	/* Eval/evaluate_comp.scm 1028 */
																																																																obj_t
																																																																	BgL_zc3z04anonymousza32878ze3z87_13960;
																																																																BgL_zc3z04anonymousza32878ze3z87_13960
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00,
																																																																	(int)
																																																																	(1L),
																																																																	(int)
																																																																	(3L));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32878ze3z87_13960,
																																																																	(int)
																																																																	(0L),
																																																																	BgL_a1z00_3541);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32878ze3z87_13960,
																																																																	(int)
																																																																	(1L),
																																																																	BgL_a2z00_3542);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32878ze3z87_13960,
																																																																	(int)
																																																																	(2L),
																																																																	BgL_locz00_193);
																																																																return
																																																																	BgL_zc3z04anonymousza32878ze3z87_13960;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 1028 */
																																																															if ((BgL_valz00_3302 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																																	obj_t
																																																																		BgL_a1z00_3550;
																																																																	obj_t
																																																																		BgL_a2z00_3551;
																																																																	BgL_a1z00_3550
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																																																	BgL_a2z00_3551
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																																																	{	/* Eval/evaluate_comp.scm 1028 */
																																																																		obj_t
																																																																			BgL_zc3z04anonymousza32881ze3z87_13961;
																																																																		BgL_zc3z04anonymousza32881ze3z87_13961
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00,
																																																																			(int)
																																																																			(1L),
																																																																			(int)
																																																																			(3L));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32881ze3z87_13961,
																																																																			(int)
																																																																			(0L),
																																																																			BgL_a1z00_3550);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32881ze3z87_13961,
																																																																			(int)
																																																																			(1L),
																																																																			BgL_a2z00_3551);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32881ze3z87_13961,
																																																																			(int)
																																																																			(2L),
																																																																			BgL_locz00_193);
																																																																		return
																																																																			BgL_zc3z04anonymousza32881ze3z87_13961;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																																	if ((BgL_valz00_3302 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																																			obj_t
																																																																				BgL_a1z00_3559;
																																																																			obj_t
																																																																				BgL_a2z00_3560;
																																																																			BgL_a1z00_3559
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																																																			BgL_a2z00_3560
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																																																			{	/* Eval/evaluate_comp.scm 1028 */
																																																																				obj_t
																																																																					BgL_zc3z04anonymousza32884ze3z87_13962;
																																																																				BgL_zc3z04anonymousza32884ze3z87_13962
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3z04anonymousza32884ze3ze5zz__evaluate_compz00,
																																																																					(int)
																																																																					(1L),
																																																																					(int)
																																																																					(2L));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3z04anonymousza32884ze3z87_13962,
																																																																					(int)
																																																																					(0L),
																																																																					BgL_a1z00_3559);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3z04anonymousza32884ze3z87_13962,
																																																																					(int)
																																																																					(1L),
																																																																					BgL_a2z00_3560);
																																																																				return
																																																																					BgL_zc3z04anonymousza32884ze3z87_13962;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																																			if ((BgL_valz00_3302 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																																					obj_t
																																																																						BgL_a1z00_3566;
																																																																					obj_t
																																																																						BgL_a2z00_3567;
																																																																					BgL_a1z00_3566
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3306), BgL_stkz00_196);
																																																																					BgL_a2z00_3567
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3307), BgL_stkz00_196);
																																																																					{	/* Eval/evaluate_comp.scm 1028 */
																																																																						obj_t
																																																																							BgL_zc3z04anonymousza32885ze3z87_13963;
																																																																						BgL_zc3z04anonymousza32885ze3z87_13963
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3z04anonymousza32885ze3ze5zz__evaluate_compz00,
																																																																							(int)
																																																																							(1L),
																																																																							(int)
																																																																							(2L));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3z04anonymousza32885ze3z87_13963,
																																																																							(int)
																																																																							(0L),
																																																																							BgL_a1z00_3566);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3z04anonymousza32885ze3z87_13963,
																																																																							(int)
																																																																							(1L),
																																																																							BgL_a2z00_3567);
																																																																						return
																																																																							BgL_zc3z04anonymousza32885ze3z87_13963;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 1026 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 1021 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:2795> */
	obj_t BGl_z62zc3z04anonymousza32795ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13967, obj_t BgL_sz00_13971)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13968;
				obj_t BgL_a2z00_13969;
				obj_t BgL_locz00_13970;

				BgL_a1z00_13968 = PROCEDURE_REF(BgL_envz00_13967, (int) (0L));
				BgL_a2z00_13969 = PROCEDURE_REF(BgL_envz00_13967, (int) (1L));
				BgL_locz00_13970 = PROCEDURE_REF(BgL_envz00_13967, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16646;

					BgL_bpz00_16646 = VECTOR_REF(((obj_t) BgL_sz00_13971), 0L);
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16647;
						obj_t BgL_a2z00_16648;

						BgL_a1z00_16647 =
							(VA_PROCEDUREP(BgL_a1z00_13968) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13968)) (BgL_a1z00_13968,
								BgL_sz00_13971, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13968)) (BgL_a1z00_13968,
								BgL_sz00_13971));
						BgL_a2z00_16648 =
							(VA_PROCEDUREP(BgL_a2z00_13969) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13969)) (BgL_a2z00_13969,
								BgL_sz00_13971, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13969)) (BgL_a2z00_13969,
								BgL_sz00_13971));
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16647))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4634z00zz__evaluate_compz00,
									BGl_symbol4636z00zz__evaluate_compz00, BgL_a1z00_16647,
									BgL_locz00_13970);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16648))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4634z00zz__evaluate_compz00,
									BGl_symbol4636z00zz__evaluate_compz00, BgL_a2z00_16648,
									BgL_locz00_13970);
							}
						{	/* Eval/evaluate_comp.scm 1028 */
							bool_t BgL_test5356z00_25650;

							if (INTEGERP(BgL_a1z00_16647))
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5356z00_25650 = INTEGERP(BgL_a2z00_16648);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5356z00_25650 = ((bool_t) 0);
								}
							if (BgL_test5356z00_25650)
								{	/* Eval/evaluate_comp.scm 1028 */
									return ADDFX(BgL_a1z00_16647, BgL_a2z00_16648);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									return
										BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_16647,
										BgL_a2z00_16648);
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2799> */
	obj_t BGl_z62zc3z04anonymousza32799ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13972, obj_t BgL_sz00_13976)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13973;
				obj_t BgL_a2z00_13974;
				obj_t BgL_locz00_13975;

				BgL_a1z00_13973 = PROCEDURE_REF(BgL_envz00_13972, (int) (0L));
				BgL_a2z00_13974 = PROCEDURE_REF(BgL_envz00_13972, (int) (1L));
				BgL_locz00_13975 = PROCEDURE_REF(BgL_envz00_13972, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16649;

					BgL_bpz00_16649 = VECTOR_REF(((obj_t) BgL_sz00_13976), 0L);
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16650;
						obj_t BgL_a2z00_16651;

						BgL_a1z00_16650 =
							(VA_PROCEDUREP(BgL_a1z00_13973) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13973)) (BgL_a1z00_13973,
								BgL_sz00_13976, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13973)) (BgL_a1z00_13973,
								BgL_sz00_13976));
						BgL_a2z00_16651 =
							(VA_PROCEDUREP(BgL_a2z00_13974) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13974)) (BgL_a2z00_13974,
								BgL_sz00_13976, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13974)) (BgL_a2z00_13974,
								BgL_sz00_13976));
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16650))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4638z00zz__evaluate_compz00,
									BGl_symbol4636z00zz__evaluate_compz00, BgL_a1z00_16650,
									BgL_locz00_13975);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16651))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4638z00zz__evaluate_compz00,
									BGl_symbol4636z00zz__evaluate_compz00, BgL_a2z00_16651,
									BgL_locz00_13975);
							}
						{	/* Eval/evaluate_comp.scm 1028 */
							bool_t BgL_test5360z00_25678;

							if (INTEGERP(BgL_a1z00_16650))
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5360z00_25678 = INTEGERP(BgL_a2z00_16651);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5360z00_25678 = ((bool_t) 0);
								}
							if (BgL_test5360z00_25678)
								{	/* Eval/evaluate_comp.scm 1028 */
									return SUBFX(BgL_a1z00_16650, BgL_a2z00_16651);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									return
										BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_16650,
										BgL_a2z00_16651);
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2803> */
	obj_t BGl_z62zc3z04anonymousza32803ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13977, obj_t BgL_sz00_13981)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13978;
				obj_t BgL_a2z00_13979;
				obj_t BgL_locz00_13980;

				BgL_a1z00_13978 = PROCEDURE_REF(BgL_envz00_13977, (int) (0L));
				BgL_a2z00_13979 = PROCEDURE_REF(BgL_envz00_13977, (int) (1L));
				BgL_locz00_13980 = PROCEDURE_REF(BgL_envz00_13977, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16652;

					BgL_bpz00_16652 = VECTOR_REF(((obj_t) BgL_sz00_13981), 0L);
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16653;
						obj_t BgL_a2z00_16654;

						BgL_a1z00_16653 =
							(VA_PROCEDUREP(BgL_a1z00_13978) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13978)) (BgL_a1z00_13978,
								BgL_sz00_13981, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13978)) (BgL_a1z00_13978,
								BgL_sz00_13981));
						BgL_a2z00_16654 =
							(VA_PROCEDUREP(BgL_a2z00_13979) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13979)) (BgL_a2z00_13979,
								BgL_sz00_13981, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13979)) (BgL_a2z00_13979,
								BgL_sz00_13981));
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16653))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4640z00zz__evaluate_compz00,
									BGl_symbol4636z00zz__evaluate_compz00, BgL_a1z00_16653,
									BgL_locz00_13980);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16654))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4640z00zz__evaluate_compz00,
									BGl_symbol4636z00zz__evaluate_compz00, BgL_a2z00_16654,
									BgL_locz00_13980);
							}
						{	/* Eval/evaluate_comp.scm 1028 */
							bool_t BgL_test5364z00_25706;

							if (INTEGERP(BgL_a1z00_16653))
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5364z00_25706 = INTEGERP(BgL_a2z00_16654);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5364z00_25706 = ((bool_t) 0);
								}
							if (BgL_test5364z00_25706)
								{	/* Eval/evaluate_comp.scm 1028 */
									return
										BINT(
										((long) CINT(BgL_a1z00_16653) *
											(long) CINT(BgL_a2z00_16654)));
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									return
										BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_16653,
										BgL_a2z00_16654);
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2807> */
	obj_t BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13982, obj_t BgL_sz00_13986)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13983;
				obj_t BgL_a2z00_13984;
				obj_t BgL_locz00_13985;

				BgL_a1z00_13983 = PROCEDURE_REF(BgL_envz00_13982, (int) (0L));
				BgL_a2z00_13984 = PROCEDURE_REF(BgL_envz00_13982, (int) (1L));
				BgL_locz00_13985 = PROCEDURE_REF(BgL_envz00_13982, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16655;

					BgL_bpz00_16655 = VECTOR_REF(((obj_t) BgL_sz00_13986), 0L);
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16656;
						obj_t BgL_a2z00_16657;

						BgL_a1z00_16656 =
							(VA_PROCEDUREP(BgL_a1z00_13983) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_13983)) (BgL_a1z00_13983,
								BgL_sz00_13986, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13983)) (BgL_a1z00_13983,
								BgL_sz00_13986));
						BgL_a2z00_16657 =
							(VA_PROCEDUREP(BgL_a2z00_13984) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_13984)) (BgL_a2z00_13984,
								BgL_sz00_13986, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13984)) (BgL_a2z00_13984,
								BgL_sz00_13986));
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16656))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4642z00zz__evaluate_compz00,
									BGl_symbol4636z00zz__evaluate_compz00, BgL_a1z00_16656,
									BgL_locz00_13985);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16657))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4642z00zz__evaluate_compz00,
									BGl_symbol4636z00zz__evaluate_compz00, BgL_a2z00_16657,
									BgL_locz00_13985);
							}
						return
							BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_16656,
							BgL_a2z00_16657);
					}
				}
			}
		}

	}



/* &<@anonymous:2810> */
	obj_t BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13987, obj_t BgL_sz00_13991)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13988;
				obj_t BgL_a2z00_13989;
				obj_t BgL_locz00_13990;

				BgL_a1z00_13988 = PROCEDURE_REF(BgL_envz00_13987, (int) (0L));
				BgL_a2z00_13989 = PROCEDURE_REF(BgL_envz00_13987, (int) (1L));
				BgL_locz00_13990 = PROCEDURE_REF(BgL_envz00_13987, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25744;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16658;

						BgL_bpz00_16658 = VECTOR_REF(((obj_t) BgL_sz00_13991), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16659;
							obj_t BgL_a2z00_16660;

							BgL_a1z00_16659 =
								(VA_PROCEDUREP(BgL_a1z00_13988) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_13988)) (BgL_a1z00_13988,
									BgL_sz00_13991, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_13988)) (BgL_a1z00_13988,
									BgL_sz00_13991));
							BgL_a2z00_16660 =
								(VA_PROCEDUREP(BgL_a2z00_13989) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_13989)) (BgL_a2z00_13989,
									BgL_sz00_13991, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_13989)) (BgL_a2z00_13989,
									BgL_sz00_13991));
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16659))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4644z00zz__evaluate_compz00,
										BGl_symbol4636z00zz__evaluate_compz00, BgL_a1z00_16659,
										BgL_locz00_13990);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16660))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4644z00zz__evaluate_compz00,
										BGl_symbol4636z00zz__evaluate_compz00, BgL_a2z00_16660,
										BgL_locz00_13990);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5370z00_25761;

								if (INTEGERP(BgL_a1z00_16659))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5370z00_25761 = INTEGERP(BgL_a2z00_16660);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5370z00_25761 = ((bool_t) 0);
									}
								if (BgL_test5370z00_25761)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25744 =
											(
											(long) CINT(BgL_a1z00_16659) <
											(long) CINT(BgL_a2z00_16660));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25744 =
											BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_16659,
											BgL_a2z00_16660);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_25744);
				}
			}
		}

	}



/* &<@anonymous:2814> */
	obj_t BGl_z62zc3z04anonymousza32814ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13992, obj_t BgL_sz00_13996)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13993;
				obj_t BgL_a2z00_13994;
				obj_t BgL_locz00_13995;

				BgL_a1z00_13993 = PROCEDURE_REF(BgL_envz00_13992, (int) (0L));
				BgL_a2z00_13994 = PROCEDURE_REF(BgL_envz00_13992, (int) (1L));
				BgL_locz00_13995 = PROCEDURE_REF(BgL_envz00_13992, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25776;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16661;

						BgL_bpz00_16661 = VECTOR_REF(((obj_t) BgL_sz00_13996), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16662;
							obj_t BgL_a2z00_16663;

							BgL_a1z00_16662 =
								(VA_PROCEDUREP(BgL_a1z00_13993) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_13993)) (BgL_a1z00_13993,
									BgL_sz00_13996, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_13993)) (BgL_a1z00_13993,
									BgL_sz00_13996));
							BgL_a2z00_16663 =
								(VA_PROCEDUREP(BgL_a2z00_13994) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_13994)) (BgL_a2z00_13994,
									BgL_sz00_13996, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_13994)) (BgL_a2z00_13994,
									BgL_sz00_13996));
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16662))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4646z00zz__evaluate_compz00,
										BGl_symbol4636z00zz__evaluate_compz00, BgL_a1z00_16662,
										BgL_locz00_13995);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16663))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4646z00zz__evaluate_compz00,
										BGl_symbol4636z00zz__evaluate_compz00, BgL_a2z00_16663,
										BgL_locz00_13995);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5374z00_25793;

								if (INTEGERP(BgL_a1z00_16662))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5374z00_25793 = INTEGERP(BgL_a2z00_16663);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5374z00_25793 = ((bool_t) 0);
									}
								if (BgL_test5374z00_25793)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25776 =
											(
											(long) CINT(BgL_a1z00_16662) >
											(long) CINT(BgL_a2z00_16663));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25776 =
											BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_16662,
											BgL_a2z00_16663);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_25776);
				}
			}
		}

	}



/* &<@anonymous:2818> */
	obj_t BGl_z62zc3z04anonymousza32818ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13997, obj_t BgL_sz00_14001)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13998;
				obj_t BgL_a2z00_13999;
				obj_t BgL_locz00_14000;

				BgL_a1z00_13998 = PROCEDURE_REF(BgL_envz00_13997, (int) (0L));
				BgL_a2z00_13999 = PROCEDURE_REF(BgL_envz00_13997, (int) (1L));
				BgL_locz00_14000 = PROCEDURE_REF(BgL_envz00_13997, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25808;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16664;

						BgL_bpz00_16664 = VECTOR_REF(((obj_t) BgL_sz00_14001), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16665;
							obj_t BgL_a2z00_16666;

							BgL_a1z00_16665 =
								(VA_PROCEDUREP(BgL_a1z00_13998) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_13998)) (BgL_a1z00_13998,
									BgL_sz00_14001, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_13998)) (BgL_a1z00_13998,
									BgL_sz00_14001));
							BgL_a2z00_16666 =
								(VA_PROCEDUREP(BgL_a2z00_13999) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_13999)) (BgL_a2z00_13999,
									BgL_sz00_14001, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_13999)) (BgL_a2z00_13999,
									BgL_sz00_14001));
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16665))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4648z00zz__evaluate_compz00,
										BGl_symbol4636z00zz__evaluate_compz00, BgL_a1z00_16665,
										BgL_locz00_14000);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16666))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4648z00zz__evaluate_compz00,
										BGl_symbol4636z00zz__evaluate_compz00, BgL_a2z00_16666,
										BgL_locz00_14000);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5378z00_25825;

								if (INTEGERP(BgL_a1z00_16665))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5378z00_25825 = INTEGERP(BgL_a2z00_16666);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5378z00_25825 = ((bool_t) 0);
									}
								if (BgL_test5378z00_25825)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25808 =
											(
											(long) CINT(BgL_a1z00_16665) <=
											(long) CINT(BgL_a2z00_16666));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25808 =
											BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_16665,
											BgL_a2z00_16666);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_25808);
				}
			}
		}

	}



/* &<@anonymous:2822> */
	obj_t BGl_z62zc3z04anonymousza32822ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14002, obj_t BgL_sz00_14006)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14003;
				obj_t BgL_a2z00_14004;
				obj_t BgL_locz00_14005;

				BgL_a1z00_14003 = PROCEDURE_REF(BgL_envz00_14002, (int) (0L));
				BgL_a2z00_14004 = PROCEDURE_REF(BgL_envz00_14002, (int) (1L));
				BgL_locz00_14005 = PROCEDURE_REF(BgL_envz00_14002, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25840;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16667;

						BgL_bpz00_16667 = VECTOR_REF(((obj_t) BgL_sz00_14006), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16668;
							obj_t BgL_a2z00_16669;

							BgL_a1z00_16668 =
								(VA_PROCEDUREP(BgL_a1z00_14003) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14003)) (BgL_a1z00_14003,
									BgL_sz00_14006, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14003)) (BgL_a1z00_14003,
									BgL_sz00_14006));
							BgL_a2z00_16669 =
								(VA_PROCEDUREP(BgL_a2z00_14004) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14004)) (BgL_a2z00_14004,
									BgL_sz00_14006, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14004)) (BgL_a2z00_14004,
									BgL_sz00_14006));
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16668))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4650z00zz__evaluate_compz00,
										BGl_symbol4636z00zz__evaluate_compz00, BgL_a1z00_16668,
										BgL_locz00_14005);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16669))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4650z00zz__evaluate_compz00,
										BGl_symbol4636z00zz__evaluate_compz00, BgL_a2z00_16669,
										BgL_locz00_14005);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5382z00_25857;

								if (INTEGERP(BgL_a1z00_16668))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5382z00_25857 = INTEGERP(BgL_a2z00_16669);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5382z00_25857 = ((bool_t) 0);
									}
								if (BgL_test5382z00_25857)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25840 =
											(
											(long) CINT(BgL_a1z00_16668) >=
											(long) CINT(BgL_a2z00_16669));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25840 =
											BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_16668,
											BgL_a2z00_16669);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_25840);
				}
			}
		}

	}



/* &<@anonymous:2826> */
	obj_t BGl_z62zc3z04anonymousza32826ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14007, obj_t BgL_sz00_14011)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14008;
				obj_t BgL_a2z00_14009;
				obj_t BgL_locz00_14010;

				BgL_a1z00_14008 = PROCEDURE_REF(BgL_envz00_14007, (int) (0L));
				BgL_a2z00_14009 = PROCEDURE_REF(BgL_envz00_14007, (int) (1L));
				BgL_locz00_14010 = PROCEDURE_REF(BgL_envz00_14007, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25872;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16670;

						BgL_bpz00_16670 = VECTOR_REF(((obj_t) BgL_sz00_14011), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16671;
							obj_t BgL_a2z00_16672;

							BgL_a1z00_16671 =
								(VA_PROCEDUREP(BgL_a1z00_14008) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14008)) (BgL_a1z00_14008,
									BgL_sz00_14011, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14008)) (BgL_a1z00_14008,
									BgL_sz00_14011));
							BgL_a2z00_16672 =
								(VA_PROCEDUREP(BgL_a2z00_14009) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14009)) (BgL_a2z00_14009,
									BgL_sz00_14011, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14009)) (BgL_a2z00_14009,
									BgL_sz00_14011));
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16671))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4652z00zz__evaluate_compz00,
										BGl_symbol4636z00zz__evaluate_compz00, BgL_a1z00_16671,
										BgL_locz00_14010);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16672))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4652z00zz__evaluate_compz00,
										BGl_symbol4636z00zz__evaluate_compz00, BgL_a2z00_16672,
										BgL_locz00_14010);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5386z00_25889;

								if (INTEGERP(BgL_a1z00_16671))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5386z00_25889 = INTEGERP(BgL_a2z00_16672);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5386z00_25889 = ((bool_t) 0);
									}
								if (BgL_test5386z00_25889)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25872 =
											(
											(long) CINT(BgL_a1z00_16671) ==
											(long) CINT(BgL_a2z00_16672));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25872 =
											BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_16671,
											BgL_a2z00_16672);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_25872);
				}
			}
		}

	}



/* &<@anonymous:2830> */
	obj_t BGl_z62zc3z04anonymousza32830ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14012, obj_t BgL_sz00_14016)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14013;
				obj_t BgL_a2z00_14014;
				obj_t BgL_locz00_14015;

				BgL_a1z00_14013 = PROCEDURE_REF(BgL_envz00_14012, (int) (0L));
				BgL_a2z00_14014 = PROCEDURE_REF(BgL_envz00_14012, (int) (1L));
				BgL_locz00_14015 = PROCEDURE_REF(BgL_envz00_14012, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25904;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16673;

						BgL_bpz00_16673 = VECTOR_REF(((obj_t) BgL_sz00_14016), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16674;
							obj_t BgL_a2z00_16675;

							BgL_a1z00_16674 =
								(VA_PROCEDUREP(BgL_a1z00_14013) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14013)) (BgL_a1z00_14013,
									BgL_sz00_14016, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14013)) (BgL_a1z00_14013,
									BgL_sz00_14016));
							BgL_a2z00_16675 =
								(VA_PROCEDUREP(BgL_a2z00_14014) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14014)) (BgL_a2z00_14014,
									BgL_sz00_14016, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14014)) (BgL_a2z00_14014,
									BgL_sz00_14016));
							if (INTEGERP(BgL_a1z00_16674))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4654z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a1z00_16674,
										BgL_locz00_14015);
								}
							if (INTEGERP(BgL_a2z00_16675))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4654z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a2z00_16675,
										BgL_locz00_14015);
								}
							BgL_tmpz00_25904 =
								((long) CINT(BgL_a1z00_16674) + (long) CINT(BgL_a2z00_16675));
					}}
					return BINT(BgL_tmpz00_25904);
				}
			}
		}

	}



/* &<@anonymous:2833> */
	obj_t BGl_z62zc3z04anonymousza32833ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14017, obj_t BgL_sz00_14021)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14018;
				obj_t BgL_a2z00_14019;
				obj_t BgL_locz00_14020;

				BgL_a1z00_14018 = PROCEDURE_REF(BgL_envz00_14017, (int) (0L));
				BgL_a2z00_14019 = PROCEDURE_REF(BgL_envz00_14017, (int) (1L));
				BgL_locz00_14020 = PROCEDURE_REF(BgL_envz00_14017, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25931;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16676;

						BgL_bpz00_16676 = VECTOR_REF(((obj_t) BgL_sz00_14021), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16677;
							obj_t BgL_a2z00_16678;

							BgL_a1z00_16677 =
								(VA_PROCEDUREP(BgL_a1z00_14018) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14018)) (BgL_a1z00_14018,
									BgL_sz00_14021, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14018)) (BgL_a1z00_14018,
									BgL_sz00_14021));
							BgL_a2z00_16678 =
								(VA_PROCEDUREP(BgL_a2z00_14019) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14019)) (BgL_a2z00_14019,
									BgL_sz00_14021, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14019)) (BgL_a2z00_14019,
									BgL_sz00_14021));
							if (INTEGERP(BgL_a1z00_16677))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4658z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a1z00_16677,
										BgL_locz00_14020);
								}
							if (INTEGERP(BgL_a2z00_16678))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4658z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a2z00_16678,
										BgL_locz00_14020);
								}
							BgL_tmpz00_25931 =
								((long) CINT(BgL_a1z00_16677) - (long) CINT(BgL_a2z00_16678));
					}}
					return BINT(BgL_tmpz00_25931);
				}
			}
		}

	}



/* &<@anonymous:2836> */
	obj_t BGl_z62zc3z04anonymousza32836ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14022, obj_t BgL_sz00_14026)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14023;
				obj_t BgL_a2z00_14024;
				obj_t BgL_locz00_14025;

				BgL_a1z00_14023 = PROCEDURE_REF(BgL_envz00_14022, (int) (0L));
				BgL_a2z00_14024 = PROCEDURE_REF(BgL_envz00_14022, (int) (1L));
				BgL_locz00_14025 = PROCEDURE_REF(BgL_envz00_14022, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25958;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16679;

						BgL_bpz00_16679 = VECTOR_REF(((obj_t) BgL_sz00_14026), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16680;
							obj_t BgL_a2z00_16681;

							BgL_a1z00_16680 =
								(VA_PROCEDUREP(BgL_a1z00_14023) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14023)) (BgL_a1z00_14023,
									BgL_sz00_14026, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14023)) (BgL_a1z00_14023,
									BgL_sz00_14026));
							BgL_a2z00_16681 =
								(VA_PROCEDUREP(BgL_a2z00_14024) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14024)) (BgL_a2z00_14024,
									BgL_sz00_14026, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14024)) (BgL_a2z00_14024,
									BgL_sz00_14026));
							if (INTEGERP(BgL_a1z00_16680))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4660z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a1z00_16680,
										BgL_locz00_14025);
								}
							if (INTEGERP(BgL_a2z00_16681))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4660z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a2z00_16681,
										BgL_locz00_14025);
								}
							BgL_tmpz00_25958 =
								((long) CINT(BgL_a1z00_16680) * (long) CINT(BgL_a2z00_16681));
					}}
					return BINT(BgL_tmpz00_25958);
				}
			}
		}

	}



/* &<@anonymous:2839> */
	obj_t BGl_z62zc3z04anonymousza32839ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14027, obj_t BgL_sz00_14031)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14028;
				obj_t BgL_a2z00_14029;
				obj_t BgL_locz00_14030;

				BgL_a1z00_14028 = PROCEDURE_REF(BgL_envz00_14027, (int) (0L));
				BgL_a2z00_14029 = PROCEDURE_REF(BgL_envz00_14027, (int) (1L));
				BgL_locz00_14030 = PROCEDURE_REF(BgL_envz00_14027, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25985;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16682;

						BgL_bpz00_16682 = VECTOR_REF(((obj_t) BgL_sz00_14031), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16683;
							obj_t BgL_a2z00_16684;

							BgL_a1z00_16683 =
								(VA_PROCEDUREP(BgL_a1z00_14028) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14028)) (BgL_a1z00_14028,
									BgL_sz00_14031, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14028)) (BgL_a1z00_14028,
									BgL_sz00_14031));
							BgL_a2z00_16684 =
								(VA_PROCEDUREP(BgL_a2z00_14029) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14029)) (BgL_a2z00_14029,
									BgL_sz00_14031, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14029)) (BgL_a2z00_14029,
									BgL_sz00_14031));
							if (INTEGERP(BgL_a1z00_16683))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4662z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a1z00_16683,
										BgL_locz00_14030);
								}
							if (INTEGERP(BgL_a2z00_16684))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4662z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a2z00_16684,
										BgL_locz00_14030);
								}
							BgL_tmpz00_25985 =
								((long) CINT(BgL_a1z00_16683) / (long) CINT(BgL_a2z00_16684));
					}}
					return BINT(BgL_tmpz00_25985);
				}
			}
		}

	}



/* &<@anonymous:2842> */
	obj_t BGl_z62zc3z04anonymousza32842ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14032, obj_t BgL_sz00_14036)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14033;
				obj_t BgL_a2z00_14034;
				obj_t BgL_locz00_14035;

				BgL_a1z00_14033 = PROCEDURE_REF(BgL_envz00_14032, (int) (0L));
				BgL_a2z00_14034 = PROCEDURE_REF(BgL_envz00_14032, (int) (1L));
				BgL_locz00_14035 = PROCEDURE_REF(BgL_envz00_14032, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26012;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16685;

						BgL_bpz00_16685 = VECTOR_REF(((obj_t) BgL_sz00_14036), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16686;
							obj_t BgL_a2z00_16687;

							BgL_a1z00_16686 =
								(VA_PROCEDUREP(BgL_a1z00_14033) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14033)) (BgL_a1z00_14033,
									BgL_sz00_14036, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14033)) (BgL_a1z00_14033,
									BgL_sz00_14036));
							BgL_a2z00_16687 =
								(VA_PROCEDUREP(BgL_a2z00_14034) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14034)) (BgL_a2z00_14034,
									BgL_sz00_14036, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14034)) (BgL_a2z00_14034,
									BgL_sz00_14036));
							if (INTEGERP(BgL_a1z00_16686))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4664z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a1z00_16686,
										BgL_locz00_14035);
								}
							if (INTEGERP(BgL_a2z00_16687))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4664z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a2z00_16687,
										BgL_locz00_14035);
								}
							BgL_tmpz00_26012 =
								((long) CINT(BgL_a1z00_16686) < (long) CINT(BgL_a2z00_16687));
					}}
					return BBOOL(BgL_tmpz00_26012);
				}
			}
		}

	}



/* &<@anonymous:2845> */
	obj_t BGl_z62zc3z04anonymousza32845ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14037, obj_t BgL_sz00_14041)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14038;
				obj_t BgL_a2z00_14039;
				obj_t BgL_locz00_14040;

				BgL_a1z00_14038 = PROCEDURE_REF(BgL_envz00_14037, (int) (0L));
				BgL_a2z00_14039 = PROCEDURE_REF(BgL_envz00_14037, (int) (1L));
				BgL_locz00_14040 = PROCEDURE_REF(BgL_envz00_14037, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26039;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16688;

						BgL_bpz00_16688 = VECTOR_REF(((obj_t) BgL_sz00_14041), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16689;
							obj_t BgL_a2z00_16690;

							BgL_a1z00_16689 =
								(VA_PROCEDUREP(BgL_a1z00_14038) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14038)) (BgL_a1z00_14038,
									BgL_sz00_14041, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14038)) (BgL_a1z00_14038,
									BgL_sz00_14041));
							BgL_a2z00_16690 =
								(VA_PROCEDUREP(BgL_a2z00_14039) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14039)) (BgL_a2z00_14039,
									BgL_sz00_14041, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14039)) (BgL_a2z00_14039,
									BgL_sz00_14041));
							if (INTEGERP(BgL_a1z00_16689))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4666z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a1z00_16689,
										BgL_locz00_14040);
								}
							if (INTEGERP(BgL_a2z00_16690))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4666z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a2z00_16690,
										BgL_locz00_14040);
								}
							BgL_tmpz00_26039 =
								((long) CINT(BgL_a1z00_16689) > (long) CINT(BgL_a2z00_16690));
					}}
					return BBOOL(BgL_tmpz00_26039);
				}
			}
		}

	}



/* &<@anonymous:2848> */
	obj_t BGl_z62zc3z04anonymousza32848ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14042, obj_t BgL_sz00_14046)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14043;
				obj_t BgL_a2z00_14044;
				obj_t BgL_locz00_14045;

				BgL_a1z00_14043 = PROCEDURE_REF(BgL_envz00_14042, (int) (0L));
				BgL_a2z00_14044 = PROCEDURE_REF(BgL_envz00_14042, (int) (1L));
				BgL_locz00_14045 = PROCEDURE_REF(BgL_envz00_14042, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26066;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16691;

						BgL_bpz00_16691 = VECTOR_REF(((obj_t) BgL_sz00_14046), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16692;
							obj_t BgL_a2z00_16693;

							BgL_a1z00_16692 =
								(VA_PROCEDUREP(BgL_a1z00_14043) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14043)) (BgL_a1z00_14043,
									BgL_sz00_14046, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14043)) (BgL_a1z00_14043,
									BgL_sz00_14046));
							BgL_a2z00_16693 =
								(VA_PROCEDUREP(BgL_a2z00_14044) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14044)) (BgL_a2z00_14044,
									BgL_sz00_14046, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14044)) (BgL_a2z00_14044,
									BgL_sz00_14046));
							if (INTEGERP(BgL_a1z00_16692))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4668z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a1z00_16692,
										BgL_locz00_14045);
								}
							if (INTEGERP(BgL_a2z00_16693))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4668z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a2z00_16693,
										BgL_locz00_14045);
								}
							BgL_tmpz00_26066 =
								((long) CINT(BgL_a1z00_16692) <= (long) CINT(BgL_a2z00_16693));
					}}
					return BBOOL(BgL_tmpz00_26066);
				}
			}
		}

	}



/* &<@anonymous:2851> */
	obj_t BGl_z62zc3z04anonymousza32851ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14047, obj_t BgL_sz00_14051)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14048;
				obj_t BgL_a2z00_14049;
				obj_t BgL_locz00_14050;

				BgL_a1z00_14048 = PROCEDURE_REF(BgL_envz00_14047, (int) (0L));
				BgL_a2z00_14049 = PROCEDURE_REF(BgL_envz00_14047, (int) (1L));
				BgL_locz00_14050 = PROCEDURE_REF(BgL_envz00_14047, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26093;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16694;

						BgL_bpz00_16694 = VECTOR_REF(((obj_t) BgL_sz00_14051), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16695;
							obj_t BgL_a2z00_16696;

							BgL_a1z00_16695 =
								(VA_PROCEDUREP(BgL_a1z00_14048) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14048)) (BgL_a1z00_14048,
									BgL_sz00_14051, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14048)) (BgL_a1z00_14048,
									BgL_sz00_14051));
							BgL_a2z00_16696 =
								(VA_PROCEDUREP(BgL_a2z00_14049) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14049)) (BgL_a2z00_14049,
									BgL_sz00_14051, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14049)) (BgL_a2z00_14049,
									BgL_sz00_14051));
							if (INTEGERP(BgL_a1z00_16695))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4670z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a1z00_16695,
										BgL_locz00_14050);
								}
							if (INTEGERP(BgL_a2z00_16696))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4670z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a2z00_16696,
										BgL_locz00_14050);
								}
							BgL_tmpz00_26093 =
								((long) CINT(BgL_a1z00_16695) >= (long) CINT(BgL_a2z00_16696));
					}}
					return BBOOL(BgL_tmpz00_26093);
				}
			}
		}

	}



/* &<@anonymous:2854> */
	obj_t BGl_z62zc3z04anonymousza32854ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14052, obj_t BgL_sz00_14056)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14053;
				obj_t BgL_a2z00_14054;
				obj_t BgL_locz00_14055;

				BgL_a1z00_14053 = PROCEDURE_REF(BgL_envz00_14052, (int) (0L));
				BgL_a2z00_14054 = PROCEDURE_REF(BgL_envz00_14052, (int) (1L));
				BgL_locz00_14055 = PROCEDURE_REF(BgL_envz00_14052, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26120;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16697;

						BgL_bpz00_16697 = VECTOR_REF(((obj_t) BgL_sz00_14056), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16698;
							obj_t BgL_a2z00_16699;

							BgL_a1z00_16698 =
								(VA_PROCEDUREP(BgL_a1z00_14053) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14053)) (BgL_a1z00_14053,
									BgL_sz00_14056, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14053)) (BgL_a1z00_14053,
									BgL_sz00_14056));
							BgL_a2z00_16699 =
								(VA_PROCEDUREP(BgL_a2z00_14054) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14054)) (BgL_a2z00_14054,
									BgL_sz00_14056, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14054)) (BgL_a2z00_14054,
									BgL_sz00_14056));
							if (INTEGERP(BgL_a1z00_16698))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4672z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a1z00_16698,
										BgL_locz00_14055);
								}
							if (INTEGERP(BgL_a2z00_16699))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4672z00zz__evaluate_compz00,
										BGl_symbol4656z00zz__evaluate_compz00, BgL_a2z00_16699,
										BgL_locz00_14055);
								}
							BgL_tmpz00_26120 =
								((long) CINT(BgL_a1z00_16698) == (long) CINT(BgL_a2z00_16699));
					}}
					return BBOOL(BgL_tmpz00_26120);
				}
			}
		}

	}



/* &<@anonymous:2857> */
	obj_t BGl_z62zc3z04anonymousza32857ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14057, obj_t BgL_sz00_14061)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14058;
				obj_t BgL_a2z00_14059;
				obj_t BgL_locz00_14060;

				BgL_a1z00_14058 = PROCEDURE_REF(BgL_envz00_14057, (int) (0L));
				BgL_a2z00_14059 = PROCEDURE_REF(BgL_envz00_14057, (int) (1L));
				BgL_locz00_14060 = PROCEDURE_REF(BgL_envz00_14057, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26147;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16700;

						BgL_bpz00_16700 = VECTOR_REF(((obj_t) BgL_sz00_14061), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16701;
							obj_t BgL_a2z00_16702;

							BgL_a1z00_16701 =
								(VA_PROCEDUREP(BgL_a1z00_14058) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14058)) (BgL_a1z00_14058,
									BgL_sz00_14061, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14058)) (BgL_a1z00_14058,
									BgL_sz00_14061));
							BgL_a2z00_16702 =
								(VA_PROCEDUREP(BgL_a2z00_14059) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14059)) (BgL_a2z00_14059,
									BgL_sz00_14061, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14059)) (BgL_a2z00_14059,
									BgL_sz00_14061));
							if (REALP(BgL_a1z00_16701))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4674z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a1z00_16701,
										BgL_locz00_14060);
								}
							if (REALP(BgL_a2z00_16702))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4674z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a2z00_16702,
										BgL_locz00_14060);
								}
							BgL_tmpz00_26147 =
								(REAL_TO_DOUBLE(BgL_a1z00_16701) +
								REAL_TO_DOUBLE(BgL_a2z00_16702));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26147);
				}
			}
		}

	}



/* &<@anonymous:2860> */
	obj_t BGl_z62zc3z04anonymousza32860ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14062, obj_t BgL_sz00_14066)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14063;
				obj_t BgL_a2z00_14064;
				obj_t BgL_locz00_14065;

				BgL_a1z00_14063 = PROCEDURE_REF(BgL_envz00_14062, (int) (0L));
				BgL_a2z00_14064 = PROCEDURE_REF(BgL_envz00_14062, (int) (1L));
				BgL_locz00_14065 = PROCEDURE_REF(BgL_envz00_14062, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26174;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16703;

						BgL_bpz00_16703 = VECTOR_REF(((obj_t) BgL_sz00_14066), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16704;
							obj_t BgL_a2z00_16705;

							BgL_a1z00_16704 =
								(VA_PROCEDUREP(BgL_a1z00_14063) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14063)) (BgL_a1z00_14063,
									BgL_sz00_14066, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14063)) (BgL_a1z00_14063,
									BgL_sz00_14066));
							BgL_a2z00_16705 =
								(VA_PROCEDUREP(BgL_a2z00_14064) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14064)) (BgL_a2z00_14064,
									BgL_sz00_14066, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14064)) (BgL_a2z00_14064,
									BgL_sz00_14066));
							if (REALP(BgL_a1z00_16704))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4678z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a1z00_16704,
										BgL_locz00_14065);
								}
							if (REALP(BgL_a2z00_16705))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4678z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a2z00_16705,
										BgL_locz00_14065);
								}
							BgL_tmpz00_26174 =
								(REAL_TO_DOUBLE(BgL_a1z00_16704) -
								REAL_TO_DOUBLE(BgL_a2z00_16705));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26174);
				}
			}
		}

	}



/* &<@anonymous:2863> */
	obj_t BGl_z62zc3z04anonymousza32863ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14067, obj_t BgL_sz00_14071)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14068;
				obj_t BgL_a2z00_14069;
				obj_t BgL_locz00_14070;

				BgL_a1z00_14068 = PROCEDURE_REF(BgL_envz00_14067, (int) (0L));
				BgL_a2z00_14069 = PROCEDURE_REF(BgL_envz00_14067, (int) (1L));
				BgL_locz00_14070 = PROCEDURE_REF(BgL_envz00_14067, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26201;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16706;

						BgL_bpz00_16706 = VECTOR_REF(((obj_t) BgL_sz00_14071), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16707;
							obj_t BgL_a2z00_16708;

							BgL_a1z00_16707 =
								(VA_PROCEDUREP(BgL_a1z00_14068) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14068)) (BgL_a1z00_14068,
									BgL_sz00_14071, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14068)) (BgL_a1z00_14068,
									BgL_sz00_14071));
							BgL_a2z00_16708 =
								(VA_PROCEDUREP(BgL_a2z00_14069) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14069)) (BgL_a2z00_14069,
									BgL_sz00_14071, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14069)) (BgL_a2z00_14069,
									BgL_sz00_14071));
							if (REALP(BgL_a1z00_16707))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4680z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a1z00_16707,
										BgL_locz00_14070);
								}
							if (REALP(BgL_a2z00_16708))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4680z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a2z00_16708,
										BgL_locz00_14070);
								}
							BgL_tmpz00_26201 =
								(REAL_TO_DOUBLE(BgL_a1z00_16707) *
								REAL_TO_DOUBLE(BgL_a2z00_16708));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26201);
				}
			}
		}

	}



/* &<@anonymous:2866> */
	obj_t BGl_z62zc3z04anonymousza32866ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14072, obj_t BgL_sz00_14076)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14073;
				obj_t BgL_a2z00_14074;
				obj_t BgL_locz00_14075;

				BgL_a1z00_14073 = PROCEDURE_REF(BgL_envz00_14072, (int) (0L));
				BgL_a2z00_14074 = PROCEDURE_REF(BgL_envz00_14072, (int) (1L));
				BgL_locz00_14075 = PROCEDURE_REF(BgL_envz00_14072, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26228;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16709;

						BgL_bpz00_16709 = VECTOR_REF(((obj_t) BgL_sz00_14076), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16710;
							obj_t BgL_a2z00_16711;

							BgL_a1z00_16710 =
								(VA_PROCEDUREP(BgL_a1z00_14073) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14073)) (BgL_a1z00_14073,
									BgL_sz00_14076, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14073)) (BgL_a1z00_14073,
									BgL_sz00_14076));
							BgL_a2z00_16711 =
								(VA_PROCEDUREP(BgL_a2z00_14074) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14074)) (BgL_a2z00_14074,
									BgL_sz00_14076, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14074)) (BgL_a2z00_14074,
									BgL_sz00_14076));
							if (REALP(BgL_a1z00_16710))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4682z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a1z00_16710,
										BgL_locz00_14075);
								}
							if (REALP(BgL_a2z00_16711))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4682z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a2z00_16711,
										BgL_locz00_14075);
								}
							BgL_tmpz00_26228 =
								(REAL_TO_DOUBLE(BgL_a1z00_16710) /
								REAL_TO_DOUBLE(BgL_a2z00_16711));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26228);
				}
			}
		}

	}



/* &<@anonymous:2869> */
	obj_t BGl_z62zc3z04anonymousza32869ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14077, obj_t BgL_sz00_14081)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14078;
				obj_t BgL_a2z00_14079;
				obj_t BgL_locz00_14080;

				BgL_a1z00_14078 = PROCEDURE_REF(BgL_envz00_14077, (int) (0L));
				BgL_a2z00_14079 = PROCEDURE_REF(BgL_envz00_14077, (int) (1L));
				BgL_locz00_14080 = PROCEDURE_REF(BgL_envz00_14077, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26255;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16712;

						BgL_bpz00_16712 = VECTOR_REF(((obj_t) BgL_sz00_14081), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16713;
							obj_t BgL_a2z00_16714;

							BgL_a1z00_16713 =
								(VA_PROCEDUREP(BgL_a1z00_14078) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14078)) (BgL_a1z00_14078,
									BgL_sz00_14081, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14078)) (BgL_a1z00_14078,
									BgL_sz00_14081));
							BgL_a2z00_16714 =
								(VA_PROCEDUREP(BgL_a2z00_14079) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14079)) (BgL_a2z00_14079,
									BgL_sz00_14081, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14079)) (BgL_a2z00_14079,
									BgL_sz00_14081));
							if (REALP(BgL_a1z00_16713))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4684z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a1z00_16713,
										BgL_locz00_14080);
								}
							if (REALP(BgL_a2z00_16714))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4684z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a2z00_16714,
										BgL_locz00_14080);
								}
							BgL_tmpz00_26255 =
								(REAL_TO_DOUBLE(BgL_a1z00_16713) <
								REAL_TO_DOUBLE(BgL_a2z00_16714));
						}
					}
					return BBOOL(BgL_tmpz00_26255);
				}
			}
		}

	}



/* &<@anonymous:2872> */
	obj_t BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14082, obj_t BgL_sz00_14086)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14083;
				obj_t BgL_a2z00_14084;
				obj_t BgL_locz00_14085;

				BgL_a1z00_14083 = PROCEDURE_REF(BgL_envz00_14082, (int) (0L));
				BgL_a2z00_14084 = PROCEDURE_REF(BgL_envz00_14082, (int) (1L));
				BgL_locz00_14085 = PROCEDURE_REF(BgL_envz00_14082, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26282;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16715;

						BgL_bpz00_16715 = VECTOR_REF(((obj_t) BgL_sz00_14086), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16716;
							obj_t BgL_a2z00_16717;

							BgL_a1z00_16716 =
								(VA_PROCEDUREP(BgL_a1z00_14083) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14083)) (BgL_a1z00_14083,
									BgL_sz00_14086, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14083)) (BgL_a1z00_14083,
									BgL_sz00_14086));
							BgL_a2z00_16717 =
								(VA_PROCEDUREP(BgL_a2z00_14084) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14084)) (BgL_a2z00_14084,
									BgL_sz00_14086, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14084)) (BgL_a2z00_14084,
									BgL_sz00_14086));
							if (REALP(BgL_a1z00_16716))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4686z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a1z00_16716,
										BgL_locz00_14085);
								}
							if (REALP(BgL_a2z00_16717))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4686z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a2z00_16717,
										BgL_locz00_14085);
								}
							BgL_tmpz00_26282 =
								(REAL_TO_DOUBLE(BgL_a1z00_16716) >
								REAL_TO_DOUBLE(BgL_a2z00_16717));
						}
					}
					return BBOOL(BgL_tmpz00_26282);
				}
			}
		}

	}



/* &<@anonymous:2875> */
	obj_t BGl_z62zc3z04anonymousza32875ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14087, obj_t BgL_sz00_14091)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14088;
				obj_t BgL_a2z00_14089;
				obj_t BgL_locz00_14090;

				BgL_a1z00_14088 = PROCEDURE_REF(BgL_envz00_14087, (int) (0L));
				BgL_a2z00_14089 = PROCEDURE_REF(BgL_envz00_14087, (int) (1L));
				BgL_locz00_14090 = PROCEDURE_REF(BgL_envz00_14087, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26309;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16718;

						BgL_bpz00_16718 = VECTOR_REF(((obj_t) BgL_sz00_14091), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16719;
							obj_t BgL_a2z00_16720;

							BgL_a1z00_16719 =
								(VA_PROCEDUREP(BgL_a1z00_14088) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14088)) (BgL_a1z00_14088,
									BgL_sz00_14091, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14088)) (BgL_a1z00_14088,
									BgL_sz00_14091));
							BgL_a2z00_16720 =
								(VA_PROCEDUREP(BgL_a2z00_14089) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14089)) (BgL_a2z00_14089,
									BgL_sz00_14091, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14089)) (BgL_a2z00_14089,
									BgL_sz00_14091));
							if (REALP(BgL_a1z00_16719))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4688z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a1z00_16719,
										BgL_locz00_14090);
								}
							if (REALP(BgL_a2z00_16720))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4688z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a2z00_16720,
										BgL_locz00_14090);
								}
							BgL_tmpz00_26309 =
								(REAL_TO_DOUBLE(BgL_a1z00_16719) <=
								REAL_TO_DOUBLE(BgL_a2z00_16720));
						}
					}
					return BBOOL(BgL_tmpz00_26309);
				}
			}
		}

	}



/* &<@anonymous:2878> */
	obj_t BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14092, obj_t BgL_sz00_14096)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14093;
				obj_t BgL_a2z00_14094;
				obj_t BgL_locz00_14095;

				BgL_a1z00_14093 = PROCEDURE_REF(BgL_envz00_14092, (int) (0L));
				BgL_a2z00_14094 = PROCEDURE_REF(BgL_envz00_14092, (int) (1L));
				BgL_locz00_14095 = PROCEDURE_REF(BgL_envz00_14092, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26336;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16721;

						BgL_bpz00_16721 = VECTOR_REF(((obj_t) BgL_sz00_14096), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16722;
							obj_t BgL_a2z00_16723;

							BgL_a1z00_16722 =
								(VA_PROCEDUREP(BgL_a1z00_14093) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14093)) (BgL_a1z00_14093,
									BgL_sz00_14096, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14093)) (BgL_a1z00_14093,
									BgL_sz00_14096));
							BgL_a2z00_16723 =
								(VA_PROCEDUREP(BgL_a2z00_14094) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14094)) (BgL_a2z00_14094,
									BgL_sz00_14096, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14094)) (BgL_a2z00_14094,
									BgL_sz00_14096));
							if (REALP(BgL_a1z00_16722))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4690z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a1z00_16722,
										BgL_locz00_14095);
								}
							if (REALP(BgL_a2z00_16723))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4690z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a2z00_16723,
										BgL_locz00_14095);
								}
							BgL_tmpz00_26336 =
								(REAL_TO_DOUBLE(BgL_a1z00_16722) >=
								REAL_TO_DOUBLE(BgL_a2z00_16723));
						}
					}
					return BBOOL(BgL_tmpz00_26336);
				}
			}
		}

	}



/* &<@anonymous:2881> */
	obj_t BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14097, obj_t BgL_sz00_14101)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14098;
				obj_t BgL_a2z00_14099;
				obj_t BgL_locz00_14100;

				BgL_a1z00_14098 = PROCEDURE_REF(BgL_envz00_14097, (int) (0L));
				BgL_a2z00_14099 = PROCEDURE_REF(BgL_envz00_14097, (int) (1L));
				BgL_locz00_14100 = PROCEDURE_REF(BgL_envz00_14097, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26363;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16724;

						BgL_bpz00_16724 = VECTOR_REF(((obj_t) BgL_sz00_14101), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16725;
							obj_t BgL_a2z00_16726;

							BgL_a1z00_16725 =
								(VA_PROCEDUREP(BgL_a1z00_14098) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14098)) (BgL_a1z00_14098,
									BgL_sz00_14101, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14098)) (BgL_a1z00_14098,
									BgL_sz00_14101));
							BgL_a2z00_16726 =
								(VA_PROCEDUREP(BgL_a2z00_14099) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14099)) (BgL_a2z00_14099,
									BgL_sz00_14101, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14099)) (BgL_a2z00_14099,
									BgL_sz00_14101));
							if (REALP(BgL_a1z00_16725))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4692z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a1z00_16725,
										BgL_locz00_14100);
								}
							if (REALP(BgL_a2z00_16726))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4692z00zz__evaluate_compz00,
										BGl_symbol4676z00zz__evaluate_compz00, BgL_a2z00_16726,
										BgL_locz00_14100);
								}
							BgL_tmpz00_26363 =
								(REAL_TO_DOUBLE(BgL_a1z00_16725) ==
								REAL_TO_DOUBLE(BgL_a2z00_16726));
						}
					}
					return BBOOL(BgL_tmpz00_26363);
				}
			}
		}

	}



/* &<@anonymous:2884> */
	obj_t BGl_z62zc3z04anonymousza32884ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14102, obj_t BgL_sz00_14105)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14103;
				obj_t BgL_a2z00_14104;

				BgL_a1z00_14103 = PROCEDURE_REF(BgL_envz00_14102, (int) (0L));
				BgL_a2z00_14104 = PROCEDURE_REF(BgL_envz00_14102, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26388;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16727;

						BgL_bpz00_16727 = VECTOR_REF(((obj_t) BgL_sz00_14105), 0L);
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16728;
							obj_t BgL_a2z00_16729;

							BgL_a1z00_16728 =
								(VA_PROCEDUREP(BgL_a1z00_14103) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a1z00_14103)) (BgL_a1z00_14103,
									BgL_sz00_14105, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a1z00_14103)) (BgL_a1z00_14103,
									BgL_sz00_14105));
							BgL_a2z00_16729 =
								(VA_PROCEDUREP(BgL_a2z00_14104) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_a2z00_14104)) (BgL_a2z00_14104,
									BgL_sz00_14105, BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_a2z00_14104)) (BgL_a2z00_14104,
									BgL_sz00_14105));
							BgL_tmpz00_26388 = (BgL_a1z00_16728 == BgL_a2z00_16729);
					}}
					return BBOOL(BgL_tmpz00_26388);
				}
			}
		}

	}



/* &<@anonymous:2885> */
	obj_t BGl_z62zc3z04anonymousza32885ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14106, obj_t BgL_sz00_14109)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14107;
				obj_t BgL_a2z00_14108;

				BgL_a1z00_14107 = PROCEDURE_REF(BgL_envz00_14106, (int) (0L));
				BgL_a2z00_14108 = PROCEDURE_REF(BgL_envz00_14106, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16730;

					BgL_bpz00_16730 = VECTOR_REF(((obj_t) BgL_sz00_14109), 0L);
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16731;
						obj_t BgL_a2z00_16732;

						BgL_a1z00_16731 =
							(VA_PROCEDUREP(BgL_a1z00_14107) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_14107)) (BgL_a1z00_14107,
								BgL_sz00_14109, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14107)) (BgL_a1z00_14107,
								BgL_sz00_14109));
						BgL_a2z00_16732 =
							(VA_PROCEDUREP(BgL_a2z00_14108) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a2z00_14108)) (BgL_a2z00_14108,
								BgL_sz00_14109, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14108)) (BgL_a2z00_14108,
								BgL_sz00_14109));
						return MAKE_YOUNG_PAIR(BgL_a1z00_16731, BgL_a2z00_16732);
					}
				}
			}
		}

	}



/* &<@anonymous:2887> */
	obj_t BGl_z62zc3z04anonymousza32887ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14110, obj_t BgL_sz00_14113)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14111;
				obj_t BgL_locz00_14112;

				BgL_a1z00_14111 = PROCEDURE_REF(BgL_envz00_14110, (int) (0L));
				BgL_locz00_14112 = PROCEDURE_REF(BgL_envz00_14110, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16733;

					BgL_bpz00_16733 = VECTOR_REF(((obj_t) BgL_sz00_14113), 0L);
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16734;

						BgL_a1z00_16734 =
							(VA_PROCEDUREP(BgL_a1z00_14111) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_14111)) (BgL_a1z00_14111,
								BgL_sz00_14113, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14111)) (BgL_a1z00_14111,
								BgL_sz00_14113));
						if (PAIRP(BgL_a1z00_16734))
							{	/* Eval/evaluate_comp.scm 1025 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1025 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4694z00zz__evaluate_compz00,
									BGl_symbol4696z00zz__evaluate_compz00, BgL_a1z00_16734,
									BgL_locz00_14112);
							}
						return CAR(((obj_t) BgL_a1z00_16734));
					}
				}
			}
		}

	}



/* &<@anonymous:2889> */
	obj_t BGl_z62zc3z04anonymousza32889ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14114, obj_t BgL_sz00_14117)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14115;
				obj_t BgL_locz00_14116;

				BgL_a1z00_14115 = PROCEDURE_REF(BgL_envz00_14114, (int) (0L));
				BgL_locz00_14116 = PROCEDURE_REF(BgL_envz00_14114, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16735;

					BgL_bpz00_16735 = VECTOR_REF(((obj_t) BgL_sz00_14117), 0L);
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16736;

						BgL_a1z00_16736 =
							(VA_PROCEDUREP(BgL_a1z00_14115) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_14115)) (BgL_a1z00_14115,
								BgL_sz00_14117, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14115)) (BgL_a1z00_14115,
								BgL_sz00_14117));
						if (PAIRP(BgL_a1z00_16736))
							{	/* Eval/evaluate_comp.scm 1025 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1025 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4698z00zz__evaluate_compz00,
									BGl_symbol4696z00zz__evaluate_compz00, BgL_a1z00_16736,
									BgL_locz00_14116);
							}
						return CDR(((obj_t) BgL_a1z00_16736));
					}
				}
			}
		}

	}



/* &<@anonymous:2891> */
	obj_t BGl_z62zc3z04anonymousza32891ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14118, obj_t BgL_sz00_14121)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14119;
				obj_t BgL_locz00_14120;

				BgL_a1z00_14119 = PROCEDURE_REF(BgL_envz00_14118, (int) (0L));
				BgL_locz00_14120 = PROCEDURE_REF(BgL_envz00_14118, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16737;

					BgL_bpz00_16737 = VECTOR_REF(((obj_t) BgL_sz00_14121), 0L);
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16738;

						BgL_a1z00_16738 =
							(VA_PROCEDUREP(BgL_a1z00_14119) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_a1z00_14119)) (BgL_a1z00_14119,
								BgL_sz00_14121, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14119)) (BgL_a1z00_14119,
								BgL_sz00_14121));
						{	/* Eval/evaluate_comp.scm 1025 */
							bool_t BgL_test5426z00_26456;

							if (PAIRP(BgL_a1z00_16738))
								{	/* Eval/evaluate_comp.scm 1034 */
									obj_t BgL_tmpz00_26459;

									BgL_tmpz00_26459 = CDR(BgL_a1z00_16738);
									BgL_test5426z00_26456 = PAIRP(BgL_tmpz00_26459);
								}
							else
								{	/* Eval/evaluate_comp.scm 1034 */
									BgL_test5426z00_26456 = ((bool_t) 0);
								}
							if (BgL_test5426z00_26456)
								{	/* Eval/evaluate_comp.scm 1025 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1025 */
									obj_t BgL_arg2895z00_16739;

									if (PAIRP(BgL_a1z00_16738))
										{	/* Eval/evaluate_comp.scm 1037 */
											BgL_arg2895z00_16739 = CDR(BgL_a1z00_16738);
										}
									else
										{	/* Eval/evaluate_comp.scm 1037 */
											BgL_arg2895z00_16739 = BgL_a1z00_16738;
										}
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4700z00zz__evaluate_compz00,
										BGl_symbol4696z00zz__evaluate_compz00, BgL_arg2895z00_16739,
										BgL_locz00_14120);
								}
						}
						{	/* Eval/evaluate_comp.scm 1025 */
							obj_t BgL_pairz00_16740;

							BgL_pairz00_16740 = CDR(((obj_t) BgL_a1z00_16738));
							return CAR(BgL_pairz00_16740);
						}
					}
				}
			}
		}

	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203,
		obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206,
		obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
	{
		{	/* Eval/evaluate_comp.scm 1070 */
			if ((BgL_arityz00_206 < 0L))
				{	/* Eval/evaluate_comp.scm 1072 */
					long BgL_g1245z00_3599;

					BgL_g1245z00_3599 = (-1L - BgL_arityz00_206);
					{
						long BgL_rz00_3601;
						long BgL_spz00_3602;
						obj_t BgL_lz00_3603;

						BgL_rz00_3601 = BgL_g1245z00_3599;
						BgL_spz00_3602 = BgL_spz00_205;
						BgL_lz00_3603 = BgL_valsz00_207;
					BgL_zc3z04anonymousza32923ze3z87_3604:
						if ((BgL_rz00_3601 == 0L))
							{	/* Eval/evaluate_comp.scm 1074 */
								return
									VECTOR_SET(
									((obj_t) BgL_sz00_203), BgL_spz00_3602, BgL_lz00_3603);
							}
						else
							{	/* Eval/evaluate_comp.scm 1074 */
								if (PAIRP(BgL_lz00_3603))
									{	/* Eval/evaluate_comp.scm 1076 */
										{	/* Eval/evaluate_comp.scm 1079 */
											obj_t BgL_arg2926z00_3607;

											BgL_arg2926z00_3607 = CAR(BgL_lz00_3603);
											VECTOR_SET(
												((obj_t) BgL_sz00_203), BgL_spz00_3602,
												BgL_arg2926z00_3607);
										}
										{
											obj_t BgL_lz00_26485;
											long BgL_spz00_26483;
											long BgL_rz00_26481;

											BgL_rz00_26481 = (BgL_rz00_3601 - 1L);
											BgL_spz00_26483 = (BgL_spz00_3602 + 1L);
											BgL_lz00_26485 = CDR(BgL_lz00_3603);
											BgL_lz00_3603 = BgL_lz00_26485;
											BgL_spz00_3602 = BgL_spz00_26483;
											BgL_rz00_3601 = BgL_rz00_26481;
											goto BgL_zc3z04anonymousza32923ze3z87_3604;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1077 */
										long BgL_arg2930z00_3611;

										BgL_arg2930z00_3611 = bgl_list_length(BgL_valsz00_207);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
											BgL_wherez00_204, (int) (BgL_arityz00_206),
											(int) (BgL_arg2930z00_3611));
				}}}}
			else
				{
					long BgL_rz00_3614;
					long BgL_spz00_3615;
					obj_t BgL_lz00_3616;

					BgL_rz00_3614 = BgL_arityz00_206;
					BgL_spz00_3615 = BgL_spz00_205;
					BgL_lz00_3616 = BgL_valsz00_207;
				BgL_zc3z04anonymousza32931ze3z87_3617:
					if ((BgL_rz00_3614 == 0L))
						{	/* Eval/evaluate_comp.scm 1083 */
							if (NULLP(BgL_lz00_3616))
								{	/* Eval/evaluate_comp.scm 1084 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1085 */
									long BgL_arg2934z00_3620;

									BgL_arg2934z00_3620 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2934z00_3620));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1083 */
							if (PAIRP(BgL_lz00_3616))
								{	/* Eval/evaluate_comp.scm 1086 */
									{	/* Eval/evaluate_comp.scm 1089 */
										obj_t BgL_arg2936z00_3622;

										BgL_arg2936z00_3622 = CAR(BgL_lz00_3616);
										VECTOR_SET(
											((obj_t) BgL_sz00_203), BgL_spz00_3615,
											BgL_arg2936z00_3622);
									}
									{
										obj_t BgL_lz00_26508;
										long BgL_spz00_26506;
										long BgL_rz00_26504;

										BgL_rz00_26504 = (BgL_rz00_3614 - 1L);
										BgL_spz00_26506 = (BgL_spz00_3615 + 1L);
										BgL_lz00_26508 = CDR(BgL_lz00_3616);
										BgL_lz00_3616 = BgL_lz00_26508;
										BgL_spz00_3615 = BgL_spz00_26506;
										BgL_rz00_3614 = BgL_rz00_26504;
										goto BgL_zc3z04anonymousza32931ze3z87_3617;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1087 */
									long BgL_arg2940z00_3626;

									BgL_arg2940z00_3626 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2940z00_3626));
		}}}}

	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211,
		obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
	{
		{	/* Eval/evaluate_comp.scm 1184 */
			{
				long BgL_iz00_3630;

				BgL_iz00_3630 = 0L;
			BgL_zc3z04anonymousza32941ze3z87_3631:
				{	/* Eval/evaluate_comp.scm 1187 */
					long BgL_spz00_3632;

					{	/* Eval/evaluate_comp.scm 1187 */
						obj_t BgL_arg2945z00_3637;

						BgL_arg2945z00_3637 =
							VECTOR_REF(((obj_t) BgL_ibza2za2_212), BgL_iz00_3630);
						BgL_spz00_3632 =
							((long) CINT(BgL_bpz00_213) + (long) CINT(BgL_arg2945z00_3637));
					}
					{	/* Eval/evaluate_comp.scm 1188 */
						obj_t BgL_arg2942z00_3633;

						{	/* Eval/evaluate_comp.scm 1188 */
							obj_t BgL_arg2943z00_3634;

							BgL_arg2943z00_3634 =
								VECTOR_REF(((obj_t) BgL_sz00_211), BgL_spz00_3632);
							{	/* Eval/evaluate_comp.scm 202 */
								obj_t BgL_newz00_9658;

								BgL_newz00_9658 =
									create_struct(BGl_symbol4624z00zz__evaluate_compz00,
									(int) (1L));
								{	/* Eval/evaluate_comp.scm 202 */
									int BgL_tmpz00_26523;

									BgL_tmpz00_26523 = (int) (0L);
									STRUCT_SET(BgL_newz00_9658, BgL_tmpz00_26523,
										BgL_arg2943z00_3634);
								}
								BgL_arg2942z00_3633 = BgL_newz00_9658;
						}}
						VECTOR_SET(
							((obj_t) BgL_sz00_211), BgL_spz00_3632, BgL_arg2942z00_3633);
					}
					{	/* Eval/evaluate_comp.scm 1189 */
						long BgL_niz00_3635;

						BgL_niz00_3635 = (BgL_iz00_3630 + 1L);
						if ((BgL_niz00_3635 < VECTOR_LENGTH(((obj_t) BgL_ibza2za2_212))))
							{
								long BgL_iz00_26533;

								BgL_iz00_26533 = BgL_niz00_3635;
								BgL_iz00_3630 = BgL_iz00_26533;
								goto BgL_zc3z04anonymousza32941ze3z87_3631;
							}
						else
							{	/* Eval/evaluate_comp.scm 1190 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214,
		obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
	{
		{	/* Eval/evaluate_comp.scm 1192 */
			{	/* Eval/evaluate_comp.scm 1193 */
				obj_t BgL_rz00_3640;

				BgL_rz00_3640 =
					make_vector(VECTOR_LENGTH(((obj_t) BgL_iza2za2_216)), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 1193 */

					{
						long BgL_iz00_3642;

						BgL_iz00_3642 = 0L;
					BgL_zc3z04anonymousza32946ze3z87_3643:
						if ((BgL_iz00_3642 >= VECTOR_LENGTH(((obj_t) BgL_iza2za2_216))))
							{	/* Eval/evaluate_comp.scm 1195 */
								return BgL_rz00_3640;
							}
						else
							{	/* Eval/evaluate_comp.scm 1195 */
								{	/* Eval/evaluate_comp.scm 1198 */
									obj_t BgL_arg2948z00_3645;

									{	/* Eval/evaluate_comp.scm 1198 */
										long BgL_arg2949z00_3646;

										{	/* Eval/evaluate_comp.scm 1198 */
											obj_t BgL_arg2950z00_3647;

											BgL_arg2950z00_3647 =
												VECTOR_REF(((obj_t) BgL_iza2za2_216), BgL_iz00_3642);
											BgL_arg2949z00_3646 =
												(
												(long) CINT(BgL_bpz00_215) +
												(long) CINT(BgL_arg2950z00_3647));
										}
										BgL_arg2948z00_3645 =
											VECTOR_REF(((obj_t) BgL_sz00_214), BgL_arg2949z00_3646);
									}
									VECTOR_SET(BgL_rz00_3640, BgL_iz00_3642, BgL_arg2948z00_3645);
								}
								{
									long BgL_iz00_26549;

									BgL_iz00_26549 = (BgL_iz00_3642 + 1L);
									BgL_iz00_3642 = BgL_iz00_26549;
									goto BgL_zc3z04anonymousza32946ze3z87_3643;
								}
							}
					}
				}
			}
		}

	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217,
		obj_t BgL_valza2za2_218, long BgL_spz00_219)
	{
		{	/* Eval/evaluate_comp.scm 1201 */
			{	/* Eval/evaluate_comp.scm 1202 */
				long BgL_stopz00_3651;

				BgL_stopz00_3651 =
					(BgL_spz00_219 + VECTOR_LENGTH(((obj_t) BgL_valza2za2_218)));
				{
					long BgL_iz00_9706;
					long BgL_spz00_9707;

					BgL_iz00_9706 = 0L;
					BgL_spz00_9707 = BgL_spz00_219;
				BgL_recz00_9705:
					if ((BgL_spz00_9707 < BgL_stopz00_3651))
						{	/* Eval/evaluate_comp.scm 1204 */
							{	/* Eval/evaluate_comp.scm 1205 */
								obj_t BgL_arg2955z00_9713;

								BgL_arg2955z00_9713 =
									VECTOR_REF(((obj_t) BgL_valza2za2_218), BgL_iz00_9706);
								VECTOR_SET(
									((obj_t) BgL_sz00_217), BgL_spz00_9707, BgL_arg2955z00_9713);
							}
							{
								long BgL_spz00_26562;
								long BgL_iz00_26560;

								BgL_iz00_26560 = (BgL_iz00_9706 + 1L);
								BgL_spz00_26562 = (BgL_spz00_9707 + 1L);
								BgL_spz00_9707 = BgL_spz00_26562;
								BgL_iz00_9706 = BgL_iz00_26560;
								goto BgL_recz00_9705;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1204 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc4702z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string4703z00zz__evaluate_compz00);
		}

	}



/* &comp1437 */
	obj_t BGl_z62comp1437z62zz__evaluate_compz00(obj_t BgL_envz00_14207,
		obj_t BgL_ez00_14208, obj_t BgL_stkz00_14209)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			return
				BGl_errorz00zz__errorz00(BGl_string4614z00zz__evaluate_compz00,
				BGl_string4704z00zz__evaluate_compz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_14208)));
		}

	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				obj_t BgL_method1439z00_3667;

				{	/* Eval/evaluate_comp.scm 276 */
					obj_t BgL_res4475z00_9754;

					{	/* Eval/evaluate_comp.scm 276 */
						long BgL_objzd2classzd2numz00_9725;

						BgL_objzd2classzd2numz00_9725 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_35));
						{	/* Eval/evaluate_comp.scm 276 */
							obj_t BgL_arg4345z00_9726;

							BgL_arg4345z00_9726 =
								PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
								(int) (1L));
							{	/* Eval/evaluate_comp.scm 276 */
								int BgL_offsetz00_9729;

								BgL_offsetz00_9729 = (int) (BgL_objzd2classzd2numz00_9725);
								{	/* Eval/evaluate_comp.scm 276 */
									long BgL_offsetz00_9730;

									BgL_offsetz00_9730 =
										((long) (BgL_offsetz00_9729) - OBJECT_TYPE);
									{	/* Eval/evaluate_comp.scm 276 */
										long BgL_modz00_9731;

										BgL_modz00_9731 =
											(BgL_offsetz00_9730 >> (int) ((long) ((int) (4L))));
										{	/* Eval/evaluate_comp.scm 276 */
											long BgL_restz00_9733;

											BgL_restz00_9733 =
												(BgL_offsetz00_9730 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Eval/evaluate_comp.scm 276 */

												{	/* Eval/evaluate_comp.scm 276 */
													obj_t BgL_bucketz00_9735;

													BgL_bucketz00_9735 =
														VECTOR_REF(
														((obj_t) BgL_arg4345z00_9726), BgL_modz00_9731);
													BgL_res4475z00_9754 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_9735), BgL_restz00_9733);
					}}}}}}}}
					BgL_method1439z00_3667 = BgL_res4475z00_9754;
				}
				return
					(VA_PROCEDUREP(BgL_method1439z00_3667) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1439z00_3667)) (BgL_method1439z00_3667,
						((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA) : ((obj_t(*)(obj_t,
								obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1439z00_3667)) (BgL_method1439z00_3667,
						((obj_t) BgL_ez00_35), BgL_stkz00_36));
			}
		}

	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_14210,
		obj_t BgL_ez00_14211, obj_t BgL_stkz00_14212)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				BgL_ev_exprz00_bglt BgL_auxz00_26599;

				{	/* Eval/evaluate_comp.scm 276 */
					bool_t BgL_test5438z00_26600;

					{	/* Eval/evaluate_comp.scm 276 */
						obj_t BgL_classz00_16742;

						BgL_classz00_16742 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_14211))
							{	/* Eval/evaluate_comp.scm 276 */
								BgL_objectz00_bglt BgL_arg4343z00_16744;
								long BgL_arg4344z00_16745;

								BgL_arg4343z00_16744 = (BgL_objectz00_bglt) (BgL_ez00_14211);
								BgL_arg4344z00_16745 = BGL_CLASS_DEPTH(BgL_classz00_16742);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Eval/evaluate_comp.scm 276 */
										long BgL_idxz00_16753;

										BgL_idxz00_16753 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg4343z00_16744);
										{	/* Eval/evaluate_comp.scm 276 */
											obj_t BgL_arg4336z00_16754;

											{	/* Eval/evaluate_comp.scm 276 */
												long BgL_arg4337z00_16755;

												BgL_arg4337z00_16755 =
													(BgL_idxz00_16753 + BgL_arg4344z00_16745);
												BgL_arg4336z00_16754 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg4337z00_16755);
											}
											BgL_test5438z00_26600 =
												(BgL_arg4336z00_16754 == BgL_classz00_16742);
									}}
								else
									{	/* Eval/evaluate_comp.scm 276 */
										bool_t BgL_res4483z00_16760;

										{	/* Eval/evaluate_comp.scm 276 */
											obj_t BgL_oclassz00_16764;

											{	/* Eval/evaluate_comp.scm 276 */
												long BgL_arg4348z00_16766;

												{	/* Eval/evaluate_comp.scm 276 */
													long BgL_arg4349z00_16767;

													BgL_arg4349z00_16767 =
														BGL_OBJECT_CLASS_NUM(BgL_arg4343z00_16744);
													BgL_arg4348z00_16766 =
														(BgL_arg4349z00_16767 - OBJECT_TYPE);
												}
												BgL_oclassz00_16764 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg4348z00_16766);
											}
											{	/* Eval/evaluate_comp.scm 276 */
												bool_t BgL__ortest_1296z00_16773;

												BgL__ortest_1296z00_16773 =
													(BgL_classz00_16742 == BgL_oclassz00_16764);
												if (BgL__ortest_1296z00_16773)
													{	/* Eval/evaluate_comp.scm 276 */
														BgL_res4483z00_16760 = BgL__ortest_1296z00_16773;
													}
												else
													{	/* Eval/evaluate_comp.scm 276 */
														long BgL_odepthz00_16774;

														BgL_odepthz00_16774 =
															BGL_CLASS_DEPTH(BgL_oclassz00_16764);
														if ((BgL_arg4344z00_16745 < BgL_odepthz00_16774))
															{	/* Eval/evaluate_comp.scm 276 */
																obj_t BgL_arg4338z00_16778;

																BgL_arg4338z00_16778 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_16764,
																	BgL_arg4344z00_16745);
																BgL_res4483z00_16760 =
																	(BgL_arg4338z00_16778 == BgL_classz00_16742);
															}
														else
															{	/* Eval/evaluate_comp.scm 276 */
																BgL_res4483z00_16760 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test5438z00_26600 = BgL_res4483z00_16760;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 276 */
								BgL_test5438z00_26600 = ((bool_t) 0);
							}
					}
					if (BgL_test5438z00_26600)
						{	/* Eval/evaluate_comp.scm 276 */
							BgL_auxz00_26599 = ((BgL_ev_exprz00_bglt) BgL_ez00_14211);
						}
					else
						{
							obj_t BgL_auxz00_26622;

							BgL_auxz00_26622 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string4619z00zz__evaluate_compz00, BINT(7022L),
								BGl_string4705z00zz__evaluate_compz00,
								BGl_string4621z00zz__evaluate_compz00, BgL_ez00_14211);
							FAILURE(BgL_auxz00_26622, BFALSE, BFALSE);
						}
				}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_26599, BgL_stkz00_14212);
			}
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc4706z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc4708z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc4709z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc4710z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc4711z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc4712z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc4713z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc4714z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc4715z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc4716z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc4717z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc4718z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc4719z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc4720z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc4721z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc4722z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc4723z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc4724z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc4725z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc4726z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc4727z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc4728z00zz__evaluate_compz00,
				BGl_string4707z00zz__evaluate_compz00);
		}

	}



/* &comp-ev_abs1483 */
	obj_t BGl_z62compzd2ev_abs1483zb0zz__evaluate_compz00(obj_t BgL_envz00_14405,
		obj_t BgL_ez00_14406, obj_t BgL_stkz00_14407)
	{
		{	/* Eval/evaluate_comp.scm 1172 */
			{	/* Eval/evaluate_comp.scm 1174 */
				obj_t BgL_ifreesz00_16780;
				obj_t BgL_iboxesz00_16781;
				long BgL_siza7eza7_16782;
				long BgL_siza7ezd2framez75_16783;
				obj_t BgL_nstkz00_16784;

				{	/* Eval/evaluate_comp.scm 1174 */
					obj_t BgL_arg4046z00_16785;

					{	/* Eval/evaluate_comp.scm 1174 */
						obj_t BgL_l1414z00_16786;

						BgL_l1414z00_16786 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14406)))->BgL_freez00);
						if (NULLP(BgL_l1414z00_16786))
							{	/* Eval/evaluate_comp.scm 1174 */
								BgL_arg4046z00_16785 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1174 */
								obj_t BgL_head1416z00_16787;

								BgL_head1416z00_16787 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1414z00_16789;
									obj_t BgL_tail1417z00_16790;

									BgL_l1414z00_16789 = BgL_l1414z00_16786;
									BgL_tail1417z00_16790 = BgL_head1416z00_16787;
								BgL_zc3z04anonymousza34048ze3z87_16788:
									if (NULLP(BgL_l1414z00_16789))
										{	/* Eval/evaluate_comp.scm 1174 */
											BgL_arg4046z00_16785 = CDR(BgL_head1416z00_16787);
										}
									else
										{	/* Eval/evaluate_comp.scm 1174 */
											obj_t BgL_newtail1418z00_16791;

											{	/* Eval/evaluate_comp.scm 1174 */
												obj_t BgL_arg4051z00_16792;

												{	/* Eval/evaluate_comp.scm 1174 */
													obj_t BgL_vz00_16793;

													BgL_vz00_16793 = CAR(((obj_t) BgL_l1414z00_16789));
													BgL_arg4051z00_16792 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16793,
														BgL_stkz00_14407);
												}
												BgL_newtail1418z00_16791 =
													MAKE_YOUNG_PAIR(BgL_arg4051z00_16792, BNIL);
											}
											SET_CDR(BgL_tail1417z00_16790, BgL_newtail1418z00_16791);
											{	/* Eval/evaluate_comp.scm 1174 */
												obj_t BgL_arg4050z00_16794;

												BgL_arg4050z00_16794 =
													CDR(((obj_t) BgL_l1414z00_16789));
												{
													obj_t BgL_tail1417z00_26665;
													obj_t BgL_l1414z00_26664;

													BgL_l1414z00_26664 = BgL_arg4050z00_16794;
													BgL_tail1417z00_26665 = BgL_newtail1418z00_16791;
													BgL_tail1417z00_16790 = BgL_tail1417z00_26665;
													BgL_l1414z00_16789 = BgL_l1414z00_26664;
													goto BgL_zc3z04anonymousza34048ze3z87_16788;
												}
											}
										}
								}
							}
					}
					BgL_ifreesz00_16780 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4046z00_16785);
				}
				{	/* Eval/evaluate_comp.scm 1175 */
					obj_t BgL_arg4052z00_16795;

					{	/* Eval/evaluate_comp.scm 1175 */
						obj_t BgL_l1419z00_16796;

						BgL_l1419z00_16796 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14406)))->BgL_boxesz00);
						if (NULLP(BgL_l1419z00_16796))
							{	/* Eval/evaluate_comp.scm 1175 */
								BgL_arg4052z00_16795 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1175 */
								obj_t BgL_head1421z00_16797;

								BgL_head1421z00_16797 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1419z00_16799;
									obj_t BgL_tail1422z00_16800;

									BgL_l1419z00_16799 = BgL_l1419z00_16796;
									BgL_tail1422z00_16800 = BgL_head1421z00_16797;
								BgL_zc3z04anonymousza34054ze3z87_16798:
									if (NULLP(BgL_l1419z00_16799))
										{	/* Eval/evaluate_comp.scm 1175 */
											BgL_arg4052z00_16795 = CDR(BgL_head1421z00_16797);
										}
									else
										{	/* Eval/evaluate_comp.scm 1175 */
											obj_t BgL_newtail1423z00_16801;

											{	/* Eval/evaluate_comp.scm 1175 */
												obj_t BgL_arg4057z00_16802;

												{	/* Eval/evaluate_comp.scm 1175 */
													obj_t BgL_vz00_16803;

													BgL_vz00_16803 = CAR(((obj_t) BgL_l1419z00_16799));
													BgL_arg4057z00_16802 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16803,
														(((BgL_ev_absz00_bglt) COBJECT(
																	((BgL_ev_absz00_bglt) BgL_ez00_14406)))->
															BgL_varsz00));
												}
												BgL_newtail1423z00_16801 =
													MAKE_YOUNG_PAIR(BgL_arg4057z00_16802, BNIL);
											}
											SET_CDR(BgL_tail1422z00_16800, BgL_newtail1423z00_16801);
											{	/* Eval/evaluate_comp.scm 1175 */
												obj_t BgL_arg4056z00_16804;

												BgL_arg4056z00_16804 =
													CDR(((obj_t) BgL_l1419z00_16799));
												{
													obj_t BgL_tail1422z00_26685;
													obj_t BgL_l1419z00_26684;

													BgL_l1419z00_26684 = BgL_arg4056z00_16804;
													BgL_tail1422z00_26685 = BgL_newtail1423z00_16801;
													BgL_tail1422z00_16800 = BgL_tail1422z00_26685;
													BgL_l1419z00_16799 = BgL_l1419z00_26684;
													goto BgL_zc3z04anonymousza34054ze3z87_16798;
												}
											}
										}
								}
							}
					}
					BgL_iboxesz00_16781 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4052z00_16795);
				}
				BgL_siza7eza7_16782 =
					bgl_list_length(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14406)))->BgL_varsz00));
				BgL_siza7ezd2framez75_16783 =
					(
					(long) (
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14406)))->BgL_siza7eza7)) +
					bgl_list_length(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14406)))->BgL_freez00)));
				BgL_nstkz00_16784 =
					BGl_appendzd221011zd2zz__evaluate_compz00(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14406)))->BgL_varsz00),
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14406)))->BgL_freez00));
				{	/* Eval/evaluate_comp.scm 1179 */
					obj_t BgL_bodyz00_16805;

					BgL_bodyz00_16805 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14406)))->BgL_bodyz00),
						BgL_nstkz00_16784);
					{

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_aux1257z00_16811;

							BgL_aux1257z00_16811 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_14406)))->BgL_arityz00);
							if (INTEGERP(BgL_aux1257z00_16811))
								{	/* Eval/evaluate_comp.scm 1181 */
									switch ((long) CINT(BgL_aux1257z00_16811))
										{
										case 0L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16780) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33470ze3z87_16812;

															BgL_zc3z04anonymousza33470ze3z87_16812 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33470ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33470ze3z87_16812,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33470ze3z87_16812,
																(int) (1L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33470ze3z87_16812,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33470ze3z87_16812;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33478ze3z87_16813;

															BgL_zc3z04anonymousza33478ze3z87_16813 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33478ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33478ze3z87_16813,
																(int) (0L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33478ze3z87_16813,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33478ze3z87_16813,
																(int) (2L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33478ze3z87_16813,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33478ze3z87_16813;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33488ze3z87_16814;

															BgL_zc3z04anonymousza33488ze3z87_16814 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33488ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33488ze3z87_16814,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33488ze3z87_16814,
																(int) (1L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33488ze3z87_16814,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33488ze3z87_16814,
																(int) (3L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33488ze3z87_16814,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33488ze3z87_16814;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33495ze3z87_16815;

															BgL_zc3z04anonymousza33495ze3z87_16815 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33495ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33495ze3z87_16815,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33495ze3z87_16815,
																(int) (1L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33495ze3z87_16815,
																(int) (2L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33495ze3z87_16815,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33495ze3z87_16815,
																(int) (4L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33495ze3z87_16815,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33495ze3z87_16815;
														}
												}
											break;
										case -1L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16780) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33510ze3z87_16816;

															BgL_zc3z04anonymousza33510ze3z87_16816 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33510ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33510ze3z87_16816,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33510ze3z87_16816,
																(int) (1L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33510ze3z87_16816,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33510ze3z87_16816;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33517ze3z87_16817;

															BgL_zc3z04anonymousza33517ze3z87_16817 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33517ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33517ze3z87_16817,
																(int) (0L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33517ze3z87_16817,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33517ze3z87_16817,
																(int) (2L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33517ze3z87_16817,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33517ze3z87_16817;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33528ze3z87_16818;

															BgL_zc3z04anonymousza33528ze3z87_16818 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33528ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33528ze3z87_16818,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33528ze3z87_16818,
																(int) (1L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33528ze3z87_16818,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33528ze3z87_16818,
																(int) (3L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33528ze3z87_16818,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33528ze3z87_16818;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33537ze3z87_16819;

															BgL_zc3z04anonymousza33537ze3z87_16819 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33537ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33537ze3z87_16819,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33537ze3z87_16819,
																(int) (1L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33537ze3z87_16819,
																(int) (2L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33537ze3z87_16819,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33537ze3z87_16819,
																(int) (4L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33537ze3z87_16819,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33537ze3z87_16819;
														}
												}
											break;
										case 1L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16780) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33555ze3z87_16820;

															BgL_zc3z04anonymousza33555ze3z87_16820 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33555ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33555ze3z87_16820,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33555ze3z87_16820,
																(int) (1L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33555ze3z87_16820,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33555ze3z87_16820;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33563ze3z87_16821;

															BgL_zc3z04anonymousza33563ze3z87_16821 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33563ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33563ze3z87_16821,
																(int) (0L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33563ze3z87_16821,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33563ze3z87_16821,
																(int) (2L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33563ze3z87_16821,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33563ze3z87_16821;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33574ze3z87_16822;

															BgL_zc3z04anonymousza33574ze3z87_16822 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33574ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33574ze3z87_16822,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33574ze3z87_16822,
																(int) (1L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33574ze3z87_16822,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33574ze3z87_16822,
																(int) (3L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33574ze3z87_16822,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33574ze3z87_16822;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33583ze3z87_16823;

															BgL_zc3z04anonymousza33583ze3z87_16823 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33583ze3z87_16823,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33583ze3z87_16823,
																(int) (1L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33583ze3z87_16823,
																(int) (2L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33583ze3z87_16823,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33583ze3z87_16823,
																(int) (4L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33583ze3z87_16823,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33583ze3z87_16823;
														}
												}
											break;
										case -2L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16780) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33598ze3z87_16824;

															BgL_zc3z04anonymousza33598ze3z87_16824 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33598ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33598ze3z87_16824,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33598ze3z87_16824,
																(int) (1L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33598ze3z87_16824,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33598ze3z87_16824;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33606ze3z87_16825;

															BgL_zc3z04anonymousza33606ze3z87_16825 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33606ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33606ze3z87_16825,
																(int) (0L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33606ze3z87_16825,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33606ze3z87_16825,
																(int) (2L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33606ze3z87_16825,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33606ze3z87_16825;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33620ze3z87_16826;

															BgL_zc3z04anonymousza33620ze3z87_16826 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33620ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33620ze3z87_16826,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33620ze3z87_16826,
																(int) (1L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33620ze3z87_16826,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33620ze3z87_16826,
																(int) (3L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33620ze3z87_16826,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33620ze3z87_16826;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33631ze3z87_16827;

															BgL_zc3z04anonymousza33631ze3z87_16827 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33631ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33631ze3z87_16827,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33631ze3z87_16827,
																(int) (1L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33631ze3z87_16827,
																(int) (2L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33631ze3z87_16827,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33631ze3z87_16827,
																(int) (4L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33631ze3z87_16827,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33631ze3z87_16827;
														}
												}
											break;
										case 2L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16780) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33649ze3z87_16828;

															BgL_zc3z04anonymousza33649ze3z87_16828 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33649ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33649ze3z87_16828,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33649ze3z87_16828,
																(int) (1L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33649ze3z87_16828,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33649ze3z87_16828;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33658ze3z87_16829;

															BgL_zc3z04anonymousza33658ze3z87_16829 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33658ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33658ze3z87_16829,
																(int) (0L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33658ze3z87_16829,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33658ze3z87_16829,
																(int) (2L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33658ze3z87_16829,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33658ze3z87_16829;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33672ze3z87_16830;

															BgL_zc3z04anonymousza33672ze3z87_16830 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33672ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33672ze3z87_16830,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33672ze3z87_16830,
																(int) (1L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33672ze3z87_16830,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33672ze3z87_16830,
																(int) (3L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33672ze3z87_16830,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33672ze3z87_16830;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33681ze3z87_16831;

															BgL_zc3z04anonymousza33681ze3z87_16831 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33681ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33681ze3z87_16831,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33681ze3z87_16831,
																(int) (1L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33681ze3z87_16831,
																(int) (2L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33681ze3z87_16831,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33681ze3z87_16831,
																(int) (4L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33681ze3z87_16831,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33681ze3z87_16831;
														}
												}
											break;
										case -3L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16780) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33698ze3z87_16832;

															BgL_zc3z04anonymousza33698ze3z87_16832 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33698ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33698ze3z87_16832,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33698ze3z87_16832,
																(int) (1L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33698ze3z87_16832,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33698ze3z87_16832;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33708ze3z87_16833;

															BgL_zc3z04anonymousza33708ze3z87_16833 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33708ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33708ze3z87_16833,
																(int) (0L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33708ze3z87_16833,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33708ze3z87_16833,
																(int) (2L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33708ze3z87_16833,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33708ze3z87_16833;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33722ze3z87_16834;

															BgL_zc3z04anonymousza33722ze3z87_16834 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33722ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16834,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16834,
																(int) (1L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16834,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16834,
																(int) (3L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16834,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33722ze3z87_16834;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33735ze3z87_16835;

															BgL_zc3z04anonymousza33735ze3z87_16835 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33735ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33735ze3z87_16835,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33735ze3z87_16835,
																(int) (1L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33735ze3z87_16835,
																(int) (2L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33735ze3z87_16835,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33735ze3z87_16835,
																(int) (4L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33735ze3z87_16835,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33735ze3z87_16835;
														}
												}
											break;
										case 3L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16780) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33753ze3z87_16836;

															BgL_zc3z04anonymousza33753ze3z87_16836 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33753ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33753ze3z87_16836,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33753ze3z87_16836,
																(int) (1L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33753ze3z87_16836,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33753ze3z87_16836;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33763ze3z87_16837;

															BgL_zc3z04anonymousza33763ze3z87_16837 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33763ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33763ze3z87_16837,
																(int) (0L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33763ze3z87_16837,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33763ze3z87_16837,
																(int) (2L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33763ze3z87_16837,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33763ze3z87_16837;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33775ze3z87_16838;

															BgL_zc3z04anonymousza33775ze3z87_16838 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33775ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33775ze3z87_16838,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33775ze3z87_16838,
																(int) (1L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33775ze3z87_16838,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33775ze3z87_16838,
																(int) (3L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33775ze3z87_16838,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33775ze3z87_16838;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33785ze3z87_16839;

															BgL_zc3z04anonymousza33785ze3z87_16839 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33785ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33785ze3z87_16839,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33785ze3z87_16839,
																(int) (1L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33785ze3z87_16839,
																(int) (2L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33785ze3z87_16839,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33785ze3z87_16839,
																(int) (4L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33785ze3z87_16839,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33785ze3z87_16839;
														}
												}
											break;
										case -4L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16780) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33801ze3z87_16840;

															BgL_zc3z04anonymousza33801ze3z87_16840 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33801ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33801ze3z87_16840,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33801ze3z87_16840,
																(int) (1L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33801ze3z87_16840,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33801ze3z87_16840;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33811ze3z87_16841;

															BgL_zc3z04anonymousza33811ze3z87_16841 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33811ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33811ze3z87_16841,
																(int) (0L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33811ze3z87_16841,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33811ze3z87_16841,
																(int) (2L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33811ze3z87_16841,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33811ze3z87_16841;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33824ze3z87_16842;

															BgL_zc3z04anonymousza33824ze3z87_16842 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33824ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33824ze3z87_16842,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33824ze3z87_16842,
																(int) (1L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33824ze3z87_16842,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33824ze3z87_16842,
																(int) (3L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33824ze3z87_16842,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33824ze3z87_16842;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33835ze3z87_16843;

															BgL_zc3z04anonymousza33835ze3z87_16843 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33835ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33835ze3z87_16843,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33835ze3z87_16843,
																(int) (1L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33835ze3z87_16843,
																(int) (2L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33835ze3z87_16843,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33835ze3z87_16843,
																(int) (4L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33835ze3z87_16843,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33835ze3z87_16843;
														}
												}
											break;
										case 4L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16780) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33852ze3z87_16844;

															BgL_zc3z04anonymousza33852ze3z87_16844 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33852ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33852ze3z87_16844,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33852ze3z87_16844,
																(int) (1L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33852ze3z87_16844,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33852ze3z87_16844;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33862ze3z87_16845;

															BgL_zc3z04anonymousza33862ze3z87_16845 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33862ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33862ze3z87_16845,
																(int) (0L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33862ze3z87_16845,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33862ze3z87_16845,
																(int) (2L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33862ze3z87_16845,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33862ze3z87_16845;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33875ze3z87_16846;

															BgL_zc3z04anonymousza33875ze3z87_16846 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33875ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33875ze3z87_16846,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33875ze3z87_16846,
																(int) (1L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33875ze3z87_16846,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33875ze3z87_16846,
																(int) (3L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33875ze3z87_16846,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33875ze3z87_16846;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33886ze3z87_16847;

															BgL_zc3z04anonymousza33886ze3z87_16847 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33886ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33886ze3z87_16847,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33886ze3z87_16847,
																(int) (1L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33886ze3z87_16847,
																(int) (2L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33886ze3z87_16847,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33886ze3z87_16847,
																(int) (4L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33886ze3z87_16847,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33886ze3z87_16847;
														}
												}
											break;
										case -5L:

											if ((VECTOR_LENGTH(BgL_ifreesz00_16780) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33903ze3z87_16848;

															BgL_zc3z04anonymousza33903ze3z87_16848 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33903ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33903ze3z87_16848,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33903ze3z87_16848,
																(int) (1L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33903ze3z87_16848,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33903ze3z87_16848;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33914ze3z87_16849;

															BgL_zc3z04anonymousza33914ze3z87_16849 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33914ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33914ze3z87_16849,
																(int) (0L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33914ze3z87_16849,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33914ze3z87_16849,
																(int) (2L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33914ze3z87_16849,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33914ze3z87_16849;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33928ze3z87_16850;

															BgL_zc3z04anonymousza33928ze3z87_16850 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33928ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33928ze3z87_16850,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33928ze3z87_16850,
																(int) (1L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33928ze3z87_16850,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33928ze3z87_16850,
																(int) (3L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33928ze3z87_16850,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33928ze3z87_16850;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33940ze3z87_16851;

															BgL_zc3z04anonymousza33940ze3z87_16851 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33940ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33940ze3z87_16851,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33940ze3z87_16851,
																(int) (1L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33940ze3z87_16851,
																(int) (2L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33940ze3z87_16851,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33940ze3z87_16851,
																(int) (4L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33940ze3z87_16851,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33940ze3z87_16851;
														}
												}
											break;
										default:
										BgL_case_else1256z00_16806:
											if ((VECTOR_LENGTH(BgL_ifreesz00_16780) == 0L))
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33958ze3z87_16807;

															BgL_zc3z04anonymousza33958ze3z87_16807 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33958ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (3L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33958ze3z87_16807,
																(int) (0L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33958ze3z87_16807,
																(int) (1L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33958ze3z87_16807,
																(int) (2L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33958ze3z87_16807;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33978ze3z87_16808;

															BgL_zc3z04anonymousza33978ze3z87_16808 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33978ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (4L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33978ze3z87_16808,
																(int) (0L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33978ze3z87_16808,
																(int) (1L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33978ze3z87_16808,
																(int) (2L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33978ze3z87_16808,
																(int) (3L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza33978ze3z87_16808;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if ((VECTOR_LENGTH(BgL_iboxesz00_16781) == 0L))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza34001ze3z87_16809;

															BgL_zc3z04anonymousza34001ze3z87_16809 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza34001ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (5L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34001ze3z87_16809,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34001ze3z87_16809,
																(int) (1L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34001ze3z87_16809,
																(int) (2L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34001ze3z87_16809,
																(int) (3L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34001ze3z87_16809,
																(int) (4L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza34001ze3z87_16809;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza34022ze3z87_16810;

															BgL_zc3z04anonymousza34022ze3z87_16810 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza34022ze3ze5zz__evaluate_compz00,
																(int) (1L), (int) (6L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34022ze3z87_16810,
																(int) (0L), BgL_ifreesz00_16780);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34022ze3z87_16810,
																(int) (1L), BgL_iboxesz00_16781);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34022ze3z87_16810,
																(int) (2L), BINT(BgL_siza7eza7_16782));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34022ze3z87_16810,
																(int) (3L),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14406)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34022ze3z87_16810,
																(int) (4L), BgL_bodyz00_16805);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34022ze3z87_16810,
																(int) (5L), BINT(BgL_siza7ezd2framez75_16783));
															return BgL_zc3z04anonymousza34022ze3z87_16810;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1181 */
									goto BgL_case_else1256z00_16806;
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3903> */
	obj_t BGl_z62zc3z04anonymousza33903ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14408, obj_t BgL_sz00_14412)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14409;
				obj_t BgL_bodyz00_14410;
				long BgL_siza7ezd2framez75_14411;

				BgL_i1255z00_14409 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14408, (int) (0L)));
				BgL_bodyz00_14410 = PROCEDURE_REF(BgL_envz00_14408, (int) (1L));
				BgL_siza7ezd2framez75_14411 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14408, (int) (2L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16852;

					BgL_bpz00_16852 = VECTOR_REF(((obj_t) BgL_sz00_14412), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16853;

							BgL_runz00_16853 =
								MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_16853,
								(int) (0L), ((obj_t) BgL_i1255z00_14409));
							PROCEDURE_SET(BgL_runz00_16853, (int) (1L), BgL_bodyz00_14410);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16854;

								BgL_mainz00_16854 =
									MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
									(int) (-5L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_16854,
									(int) (0L), ((obj_t) BgL_i1255z00_14409));
								PROCEDURE_SET(BgL_mainz00_16854, (int) (1L), BgL_bodyz00_14410);
								PROCEDURE_SET(BgL_mainz00_16854, (int) (2L), BgL_runz00_16853);
								PROCEDURE_SET(BgL_mainz00_16854,
									(int) (3L), BINT(BgL_siza7ezd2framez75_14411));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16855;

									BgL_objz00_16855 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16853, BgL_objz00_16855);
									BgL_objz00_16855;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3904z00_16856;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3905z00_16857;

										BgL_arg3905z00_16857 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14409))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16858;

											BgL_newz00_16858 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27527;

												BgL_tmpz00_27527 = (int) (3L);
												STRUCT_SET(BgL_newz00_16858, BgL_tmpz00_27527,
													BgL_arg3905z00_16857);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27532;
												int BgL_tmpz00_27530;

												BgL_auxz00_27532 = BINT(BgL_siza7ezd2framez75_14411);
												BgL_tmpz00_27530 = (int) (2L);
												STRUCT_SET(BgL_newz00_16858, BgL_tmpz00_27530,
													BgL_auxz00_27532);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27535;

												BgL_tmpz00_27535 = (int) (1L);
												STRUCT_SET(BgL_newz00_16858, BgL_tmpz00_27535,
													BgL_runz00_16853);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27540;
												int BgL_tmpz00_27538;

												BgL_auxz00_27540 = BINT(-5L);
												BgL_tmpz00_27538 = (int) (0L);
												STRUCT_SET(BgL_newz00_16858, BgL_tmpz00_27538,
													BgL_auxz00_27540);
											}
											BgL_arg3904z00_16856 = BgL_newz00_16858;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16854, BgL_arg3904z00_16856);
									BgL_arg3904z00_16856;
								}
								return BgL_mainz00_16854;
							}
						}
					}
				}
			}
		}

	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_14413,
		obj_t BgL_az00_14418, obj_t BgL_bz00_14419, obj_t BgL_cz00_14420,
		obj_t BgL_dz00_14421, obj_t BgL_lastz00_14422)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14416;
				long BgL_siza7ezd2framez75_14417;

				BgL_runz00_14416 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14413, (int) (2L)));
				BgL_siza7ezd2framez75_14417 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14413, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16859;

					BgL_sz00_16859 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16860;

						BgL_bpz00_16860 = VECTOR_REF(((obj_t) BgL_sz00_16859), 0L);
						if (
							(((long) CINT(BgL_bpz00_16860) + BgL_siza7ezd2framez75_14417) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16859))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3908z00_16861;

									BgL_arg3908z00_16861 = ((long) CINT(BgL_bpz00_16860) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16859), BgL_arg3908z00_16861,
										BgL_az00_14418);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3909z00_16862;

									BgL_arg3909z00_16862 = ((long) CINT(BgL_bpz00_16860) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16859), BgL_arg3909z00_16862,
										BgL_bz00_14419);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3910z00_16863;

									BgL_arg3910z00_16863 = ((long) CINT(BgL_bpz00_16860) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16859), BgL_arg3910z00_16863,
										BgL_cz00_14420);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3911z00_16864;

									BgL_arg3911z00_16864 = ((long) CINT(BgL_bpz00_16860) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16859), BgL_arg3911z00_16864,
										BgL_dz00_14421);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3912z00_16865;

									BgL_arg3912z00_16865 = ((long) CINT(BgL_bpz00_16860) + 4L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16859), BgL_arg3912z00_16865,
										BgL_lastz00_14422);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16866;

									BgL_ez00_16866 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_16867;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_16868;

											BgL_arg4359z00_16868 = BGL_EXITD_PROTECT(BgL_ez00_16866);
											BgL_arg4358z00_16867 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16860, BgL_arg4359z00_16868);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16866, BgL_arg4358z00_16867);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16869;

										BgL_accz00_16869 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14416, BgL_sz00_16859, BgL_bpz00_16860);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5483z00_27584;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_16870;

												BgL_arg4357z00_16870 =
													BGL_EXITD_PROTECT(BgL_ez00_16866);
												BgL_test5483z00_27584 = PAIRP(BgL_arg4357z00_16870);
											}
											if (BgL_test5483z00_27584)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_16871;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_16872;

														BgL_arg4356z00_16872 =
															BGL_EXITD_PROTECT(BgL_ez00_16866);
														BgL_arg4355z00_16871 =
															CDR(((obj_t) BgL_arg4356z00_16872));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16866,
														BgL_arg4355z00_16871);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_16859), 0L, BgL_bpz00_16860);
										return BgL_accz00_16869;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16873;

								BgL_nsz00_16873 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16873, 1L, BgL_sz00_16859);
								VECTOR_SET(BgL_nsz00_16873, 2L, BgL_az00_14418);
								VECTOR_SET(BgL_nsz00_16873, 3L, BgL_bz00_14419);
								VECTOR_SET(BgL_nsz00_16873, 4L, BgL_cz00_14420);
								VECTOR_SET(BgL_nsz00_16873, 5L, BgL_dz00_14421);
								VECTOR_SET(BgL_nsz00_16873, 6L, BgL_lastz00_14422);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16874;

									BgL_z12denvz12_16874 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16874, BgL_nsz00_16873);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16875;

										BgL_ez00_16875 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_16876;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_16877;

												BgL_arg4359z00_16877 =
													BGL_EXITD_PROTECT(BgL_ez00_16875);
												BgL_arg4358z00_16876 =
													MAKE_YOUNG_PAIR(BgL_sz00_16859, BgL_arg4359z00_16877);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16875,
												BgL_arg4358z00_16876);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_16878;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_16879;

												BgL_savedzd2bpzd2_16879 =
													VECTOR_REF(BgL_nsz00_16873, 0L);
												VECTOR_SET(BgL_nsz00_16873, 0L, BINT(2L));
												{
													obj_t BgL_fz00_16881;

													BgL_fz00_16881 = BgL_runz00_14416;
												BgL_recz00_16880:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_16882;

														BgL_rz00_16882 =
															(VA_PROCEDUREP(BgL_fz00_16881) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_16881))
															(BgL_fz00_16881, BgL_nsz00_16873,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_16881))
															(BgL_fz00_16881, BgL_nsz00_16873));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5484z00_27613;

															if (PROCEDUREP(BgL_rz00_16882))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_16883;

																	BgL_arg1778z00_16883 =
																		PROCEDURE_ATTR(BgL_rz00_16882);
																	if (STRUCTP(BgL_arg1778z00_16883))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5484z00_27613 =
																				(STRUCT_KEY(BgL_arg1778z00_16883) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5484z00_27613 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5484z00_27613 = ((bool_t) 0);
																}
															if (BgL_test5484z00_27613)
																{
																	obj_t BgL_fz00_27621;

																	BgL_fz00_27621 = BgL_rz00_16882;
																	BgL_fz00_16881 = BgL_fz00_27621;
																	goto BgL_recz00_16880;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16873, 0L,
																		BgL_savedzd2bpzd2_16879);
																	BgL_____rz00_16878 = BgL_rz00_16882;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5487z00_27623;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_16884;

													BgL_arg4357z00_16884 =
														BGL_EXITD_PROTECT(BgL_ez00_16875);
													BgL_test5487z00_27623 = PAIRP(BgL_arg4357z00_16884);
												}
												if (BgL_test5487z00_27623)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_16885;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_16886;

															BgL_arg4356z00_16886 =
																BGL_EXITD_PROTECT(BgL_ez00_16875);
															BgL_arg4355z00_16885 =
																CDR(((obj_t) BgL_arg4356z00_16886));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16875,
															BgL_arg4355z00_16885);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16874, BgL_sz00_16859);
											return BgL_____rz00_16878;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_14423,
		obj_t BgL_sz00_14426)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14424;
				obj_t BgL_bodyz00_14425;

				BgL_i1255z00_14424 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14423, (int) (0L)));
				BgL_bodyz00_14425 = PROCEDURE_REF(BgL_envz00_14423, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16887;

					BgL_bpz00_16887 = VECTOR_REF(((obj_t) BgL_sz00_14426), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16888;
						obj_t BgL_wherez00_16889;
						obj_t BgL_locz00_16890;

						BgL_z12denvz12_16888 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16889 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14424))->
							BgL_wherez00);
						BgL_locz00_16890 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14424))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16888, BgL_wherez00_16889,
								BgL_locz00_16890);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16891;

								BgL_za2za2resza2za2z00_16891 =
									(VA_PROCEDUREP(BgL_bodyz00_14425) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14425)) (BgL_bodyz00_14425,
										BgL_sz00_14426, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14425)) (BgL_bodyz00_14425,
										BgL_sz00_14426));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16888);
								return BgL_za2za2resza2za2z00_16891;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3914> */
	obj_t BGl_z62zc3z04anonymousza33914ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14427, obj_t BgL_sz00_14432)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14428;
				BgL_ev_absz00_bglt BgL_i1255z00_14429;
				obj_t BgL_bodyz00_14430;
				long BgL_siza7ezd2framez75_14431;

				BgL_iboxesz00_14428 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14427, (int) (0L)));
				BgL_i1255z00_14429 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14427, (int) (1L)));
				BgL_bodyz00_14430 = PROCEDURE_REF(BgL_envz00_14427, (int) (2L));
				BgL_siza7ezd2framez75_14431 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14427, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16892;

					BgL_bpz00_16892 = VECTOR_REF(((obj_t) BgL_sz00_14432), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16893;

							BgL_runz00_16893 =
								MAKE_FX_PROCEDURE(BGl_z62run4517z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_16893, (int) (0L), BgL_iboxesz00_14428);
							PROCEDURE_SET(BgL_runz00_16893,
								(int) (1L), ((obj_t) BgL_i1255z00_14429));
							PROCEDURE_SET(BgL_runz00_16893, (int) (2L), BgL_bodyz00_14430);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16894;

								BgL_mainz00_16894 =
									MAKE_VA_PROCEDURE(BGl_z62main4516z62zz__evaluate_compz00,
									(int) (-5L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_16894,
									(int) (0L), BgL_iboxesz00_14428);
								PROCEDURE_SET(BgL_mainz00_16894,
									(int) (1L), ((obj_t) BgL_i1255z00_14429));
								PROCEDURE_SET(BgL_mainz00_16894, (int) (2L), BgL_bodyz00_14430);
								PROCEDURE_SET(BgL_mainz00_16894, (int) (3L), BgL_runz00_16893);
								PROCEDURE_SET(BgL_mainz00_16894,
									(int) (4L), BINT(BgL_siza7ezd2framez75_14431));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16895;

									BgL_objz00_16895 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16893, BgL_objz00_16895);
									BgL_objz00_16895;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3915z00_16896;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3916z00_16897;

										BgL_arg3916z00_16897 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14429))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16898;

											BgL_newz00_16898 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27689;

												BgL_tmpz00_27689 = (int) (3L);
												STRUCT_SET(BgL_newz00_16898, BgL_tmpz00_27689,
													BgL_arg3916z00_16897);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27694;
												int BgL_tmpz00_27692;

												BgL_auxz00_27694 = BINT(BgL_siza7ezd2framez75_14431);
												BgL_tmpz00_27692 = (int) (2L);
												STRUCT_SET(BgL_newz00_16898, BgL_tmpz00_27692,
													BgL_auxz00_27694);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27697;

												BgL_tmpz00_27697 = (int) (1L);
												STRUCT_SET(BgL_newz00_16898, BgL_tmpz00_27697,
													BgL_runz00_16893);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27702;
												int BgL_tmpz00_27700;

												BgL_auxz00_27702 = BINT(-5L);
												BgL_tmpz00_27700 = (int) (0L);
												STRUCT_SET(BgL_newz00_16898, BgL_tmpz00_27700,
													BgL_auxz00_27702);
											}
											BgL_arg3915z00_16896 = BgL_newz00_16898;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16894, BgL_arg3915z00_16896);
									BgL_arg3915z00_16896;
								}
								return BgL_mainz00_16894;
							}
						}
					}
				}
			}
		}

	}



/* &main4516 */
	obj_t BGl_z62main4516z62zz__evaluate_compz00(obj_t BgL_envz00_14433,
		obj_t BgL_az00_14439, obj_t BgL_bz00_14440, obj_t BgL_cz00_14441,
		obj_t BgL_dz00_14442, obj_t BgL_lastz00_14443)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14437;
				long BgL_siza7ezd2framez75_14438;

				BgL_runz00_14437 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14433, (int) (3L)));
				BgL_siza7ezd2framez75_14438 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14433, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16899;

					BgL_sz00_16899 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16900;

						BgL_bpz00_16900 = VECTOR_REF(((obj_t) BgL_sz00_16899), 0L);
						if (
							(((long) CINT(BgL_bpz00_16900) + BgL_siza7ezd2framez75_14438) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16899))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3919z00_16901;

									BgL_arg3919z00_16901 = ((long) CINT(BgL_bpz00_16900) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16899), BgL_arg3919z00_16901,
										BgL_az00_14439);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3920z00_16902;

									BgL_arg3920z00_16902 = ((long) CINT(BgL_bpz00_16900) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16899), BgL_arg3920z00_16902,
										BgL_bz00_14440);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3921z00_16903;

									BgL_arg3921z00_16903 = ((long) CINT(BgL_bpz00_16900) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16899), BgL_arg3921z00_16903,
										BgL_cz00_14441);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3922z00_16904;

									BgL_arg3922z00_16904 = ((long) CINT(BgL_bpz00_16900) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16899), BgL_arg3922z00_16904,
										BgL_dz00_14442);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3923z00_16905;

									BgL_arg3923z00_16905 = ((long) CINT(BgL_bpz00_16900) + 4L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16899), BgL_arg3923z00_16905,
										BgL_lastz00_14443);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16906;

									BgL_ez00_16906 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_16907;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_16908;

											BgL_arg4359z00_16908 = BGL_EXITD_PROTECT(BgL_ez00_16906);
											BgL_arg4358z00_16907 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16900, BgL_arg4359z00_16908);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16906, BgL_arg4358z00_16907);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16909;

										BgL_accz00_16909 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14437, BgL_sz00_16899, BgL_bpz00_16900);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5489z00_27746;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_16910;

												BgL_arg4357z00_16910 =
													BGL_EXITD_PROTECT(BgL_ez00_16906);
												BgL_test5489z00_27746 = PAIRP(BgL_arg4357z00_16910);
											}
											if (BgL_test5489z00_27746)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_16911;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_16912;

														BgL_arg4356z00_16912 =
															BGL_EXITD_PROTECT(BgL_ez00_16906);
														BgL_arg4355z00_16911 =
															CDR(((obj_t) BgL_arg4356z00_16912));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16906,
														BgL_arg4355z00_16911);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_16899), 0L, BgL_bpz00_16900);
										return BgL_accz00_16909;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16913;

								BgL_nsz00_16913 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16913, 1L, BgL_sz00_16899);
								VECTOR_SET(BgL_nsz00_16913, 2L, BgL_az00_14439);
								VECTOR_SET(BgL_nsz00_16913, 3L, BgL_bz00_14440);
								VECTOR_SET(BgL_nsz00_16913, 4L, BgL_cz00_14441);
								VECTOR_SET(BgL_nsz00_16913, 5L, BgL_dz00_14442);
								VECTOR_SET(BgL_nsz00_16913, 6L, BgL_lastz00_14443);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16914;

									BgL_z12denvz12_16914 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16914, BgL_nsz00_16913);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16915;

										BgL_ez00_16915 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_16916;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_16917;

												BgL_arg4359z00_16917 =
													BGL_EXITD_PROTECT(BgL_ez00_16915);
												BgL_arg4358z00_16916 =
													MAKE_YOUNG_PAIR(BgL_sz00_16899, BgL_arg4359z00_16917);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16915,
												BgL_arg4358z00_16916);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_16918;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_16919;

												BgL_savedzd2bpzd2_16919 =
													VECTOR_REF(BgL_nsz00_16913, 0L);
												VECTOR_SET(BgL_nsz00_16913, 0L, BINT(2L));
												{
													obj_t BgL_fz00_16921;

													BgL_fz00_16921 = BgL_runz00_14437;
												BgL_recz00_16920:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_16922;

														BgL_rz00_16922 =
															(VA_PROCEDUREP(BgL_fz00_16921) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_16921))
															(BgL_fz00_16921, BgL_nsz00_16913,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_16921))
															(BgL_fz00_16921, BgL_nsz00_16913));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5490z00_27775;

															if (PROCEDUREP(BgL_rz00_16922))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_16923;

																	BgL_arg1778z00_16923 =
																		PROCEDURE_ATTR(BgL_rz00_16922);
																	if (STRUCTP(BgL_arg1778z00_16923))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5490z00_27775 =
																				(STRUCT_KEY(BgL_arg1778z00_16923) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5490z00_27775 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5490z00_27775 = ((bool_t) 0);
																}
															if (BgL_test5490z00_27775)
																{
																	obj_t BgL_fz00_27783;

																	BgL_fz00_27783 = BgL_rz00_16922;
																	BgL_fz00_16921 = BgL_fz00_27783;
																	goto BgL_recz00_16920;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16913, 0L,
																		BgL_savedzd2bpzd2_16919);
																	BgL_____rz00_16918 = BgL_rz00_16922;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5493z00_27785;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_16924;

													BgL_arg4357z00_16924 =
														BGL_EXITD_PROTECT(BgL_ez00_16915);
													BgL_test5493z00_27785 = PAIRP(BgL_arg4357z00_16924);
												}
												if (BgL_test5493z00_27785)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_16925;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_16926;

															BgL_arg4356z00_16926 =
																BGL_EXITD_PROTECT(BgL_ez00_16915);
															BgL_arg4355z00_16925 =
																CDR(((obj_t) BgL_arg4356z00_16926));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16915,
															BgL_arg4355z00_16925);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16914, BgL_sz00_16899);
											return BgL_____rz00_16918;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4517 */
	obj_t BGl_z62run4517z62zz__evaluate_compz00(obj_t BgL_envz00_14444,
		obj_t BgL_sz00_14448)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14445;
				BgL_ev_absz00_bglt BgL_i1255z00_14446;
				obj_t BgL_bodyz00_14447;

				BgL_iboxesz00_14445 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14444, (int) (0L)));
				BgL_i1255z00_14446 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14444, (int) (1L)));
				BgL_bodyz00_14447 = PROCEDURE_REF(BgL_envz00_14444, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16927;

					BgL_bpz00_16927 = VECTOR_REF(((obj_t) BgL_sz00_14448), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14448,
						BgL_iboxesz00_14445, BgL_bpz00_16927);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16928;
						obj_t BgL_wherez00_16929;
						obj_t BgL_locz00_16930;

						BgL_z12denvz12_16928 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16929 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14446))->
							BgL_wherez00);
						BgL_locz00_16930 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14446))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16928, BgL_wherez00_16929,
								BgL_locz00_16930);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16931;

								BgL_za2za2resza2za2z00_16931 =
									(VA_PROCEDUREP(BgL_bodyz00_14447) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14447)) (BgL_bodyz00_14447,
										BgL_sz00_14448, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14447)) (BgL_bodyz00_14447,
										BgL_sz00_14448));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16928);
								return BgL_za2za2resza2za2z00_16931;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3928> */
	obj_t BGl_z62zc3z04anonymousza33928ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14449, obj_t BgL_sz00_14455)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14450;
				long BgL_siza7eza7_14451;
				BgL_ev_absz00_bglt BgL_i1255z00_14452;
				obj_t BgL_bodyz00_14453;
				long BgL_siza7ezd2framez75_14454;

				BgL_ifreesz00_14450 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14449, (int) (0L)));
				BgL_siza7eza7_14451 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14449, (int) (1L)));
				BgL_i1255z00_14452 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14449, (int) (2L)));
				BgL_bodyz00_14453 = PROCEDURE_REF(BgL_envz00_14449, (int) (3L));
				BgL_siza7ezd2framez75_14454 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14449, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16932;

					BgL_bpz00_16932 = VECTOR_REF(((obj_t) BgL_sz00_14455), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16933;

						BgL_valza2za2_16933 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14455,
							BgL_bpz00_16932, BgL_ifreesz00_14450);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16934;

							BgL_runz00_16934 =
								MAKE_FX_PROCEDURE(BGl_z62run4519z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_16934,
								(int) (0L), BINT(BgL_siza7eza7_14451));
							PROCEDURE_SET(BgL_runz00_16934, (int) (1L), BgL_valza2za2_16933);
							PROCEDURE_SET(BgL_runz00_16934,
								(int) (2L), ((obj_t) BgL_i1255z00_14452));
							PROCEDURE_SET(BgL_runz00_16934, (int) (3L), BgL_bodyz00_14453);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16935;

								BgL_mainz00_16935 =
									MAKE_VA_PROCEDURE(BGl_z62main4518z62zz__evaluate_compz00,
									(int) (-5L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_16935,
									(int) (0L), BINT(BgL_siza7eza7_14451));
								PROCEDURE_SET(BgL_mainz00_16935,
									(int) (1L), BgL_valza2za2_16933);
								PROCEDURE_SET(BgL_mainz00_16935,
									(int) (2L), ((obj_t) BgL_i1255z00_14452));
								PROCEDURE_SET(BgL_mainz00_16935, (int) (3L), BgL_bodyz00_14453);
								PROCEDURE_SET(BgL_mainz00_16935, (int) (4L), BgL_runz00_16934);
								PROCEDURE_SET(BgL_mainz00_16935,
									(int) (5L), BINT(BgL_siza7ezd2framez75_14454));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16936;

									BgL_objz00_16936 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16934, BgL_objz00_16936);
									BgL_objz00_16936;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3929z00_16937;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3930z00_16938;

										BgL_arg3930z00_16938 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14452))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16939;

											BgL_newz00_16939 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27865;

												BgL_tmpz00_27865 = (int) (3L);
												STRUCT_SET(BgL_newz00_16939, BgL_tmpz00_27865,
													BgL_arg3930z00_16938);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27870;
												int BgL_tmpz00_27868;

												BgL_auxz00_27870 = BINT(BgL_siza7ezd2framez75_14454);
												BgL_tmpz00_27868 = (int) (2L);
												STRUCT_SET(BgL_newz00_16939, BgL_tmpz00_27868,
													BgL_auxz00_27870);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27873;

												BgL_tmpz00_27873 = (int) (1L);
												STRUCT_SET(BgL_newz00_16939, BgL_tmpz00_27873,
													BgL_runz00_16934);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27878;
												int BgL_tmpz00_27876;

												BgL_auxz00_27878 = BINT(-5L);
												BgL_tmpz00_27876 = (int) (0L);
												STRUCT_SET(BgL_newz00_16939, BgL_tmpz00_27876,
													BgL_auxz00_27878);
											}
											BgL_arg3929z00_16937 = BgL_newz00_16939;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16935, BgL_arg3929z00_16937);
									BgL_arg3929z00_16937;
								}
								return BgL_mainz00_16935;
							}
						}
					}
				}
			}
		}

	}



/* &main4518 */
	obj_t BGl_z62main4518z62zz__evaluate_compz00(obj_t BgL_envz00_14456,
		obj_t BgL_az00_14463, obj_t BgL_bz00_14464, obj_t BgL_cz00_14465,
		obj_t BgL_dz00_14466, obj_t BgL_lastz00_14467)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14461;
				long BgL_siza7ezd2framez75_14462;

				BgL_runz00_14461 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14456, (int) (4L)));
				BgL_siza7ezd2framez75_14462 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14456, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16940;

					BgL_sz00_16940 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16941;

						BgL_bpz00_16941 = VECTOR_REF(((obj_t) BgL_sz00_16940), 0L);
						if (
							(((long) CINT(BgL_bpz00_16941) + BgL_siza7ezd2framez75_14462) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16940))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3933z00_16942;

									BgL_arg3933z00_16942 = ((long) CINT(BgL_bpz00_16941) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16940), BgL_arg3933z00_16942,
										BgL_az00_14463);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3934z00_16943;

									BgL_arg3934z00_16943 = ((long) CINT(BgL_bpz00_16941) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16940), BgL_arg3934z00_16943,
										BgL_bz00_14464);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3935z00_16944;

									BgL_arg3935z00_16944 = ((long) CINT(BgL_bpz00_16941) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16940), BgL_arg3935z00_16944,
										BgL_cz00_14465);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3936z00_16945;

									BgL_arg3936z00_16945 = ((long) CINT(BgL_bpz00_16941) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16940), BgL_arg3936z00_16945,
										BgL_dz00_14466);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3937z00_16946;

									BgL_arg3937z00_16946 = ((long) CINT(BgL_bpz00_16941) + 4L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16940), BgL_arg3937z00_16946,
										BgL_lastz00_14467);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16947;

									BgL_ez00_16947 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_16948;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_16949;

											BgL_arg4359z00_16949 = BGL_EXITD_PROTECT(BgL_ez00_16947);
											BgL_arg4358z00_16948 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16941, BgL_arg4359z00_16949);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16947, BgL_arg4358z00_16948);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16950;

										BgL_accz00_16950 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14461, BgL_sz00_16940, BgL_bpz00_16941);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5495z00_27922;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_16951;

												BgL_arg4357z00_16951 =
													BGL_EXITD_PROTECT(BgL_ez00_16947);
												BgL_test5495z00_27922 = PAIRP(BgL_arg4357z00_16951);
											}
											if (BgL_test5495z00_27922)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_16952;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_16953;

														BgL_arg4356z00_16953 =
															BGL_EXITD_PROTECT(BgL_ez00_16947);
														BgL_arg4355z00_16952 =
															CDR(((obj_t) BgL_arg4356z00_16953));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16947,
														BgL_arg4355z00_16952);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_16940), 0L, BgL_bpz00_16941);
										return BgL_accz00_16950;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16954;

								BgL_nsz00_16954 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16954, 1L, BgL_sz00_16940);
								VECTOR_SET(BgL_nsz00_16954, 2L, BgL_az00_14463);
								VECTOR_SET(BgL_nsz00_16954, 3L, BgL_bz00_14464);
								VECTOR_SET(BgL_nsz00_16954, 4L, BgL_cz00_14465);
								VECTOR_SET(BgL_nsz00_16954, 5L, BgL_dz00_14466);
								VECTOR_SET(BgL_nsz00_16954, 6L, BgL_lastz00_14467);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16955;

									BgL_z12denvz12_16955 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16955, BgL_nsz00_16954);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16956;

										BgL_ez00_16956 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_16957;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_16958;

												BgL_arg4359z00_16958 =
													BGL_EXITD_PROTECT(BgL_ez00_16956);
												BgL_arg4358z00_16957 =
													MAKE_YOUNG_PAIR(BgL_sz00_16940, BgL_arg4359z00_16958);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16956,
												BgL_arg4358z00_16957);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_16959;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_16960;

												BgL_savedzd2bpzd2_16960 =
													VECTOR_REF(BgL_nsz00_16954, 0L);
												VECTOR_SET(BgL_nsz00_16954, 0L, BINT(2L));
												{
													obj_t BgL_fz00_16962;

													BgL_fz00_16962 = BgL_runz00_14461;
												BgL_recz00_16961:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_16963;

														BgL_rz00_16963 =
															(VA_PROCEDUREP(BgL_fz00_16962) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_16962))
															(BgL_fz00_16962, BgL_nsz00_16954,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_16962))
															(BgL_fz00_16962, BgL_nsz00_16954));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5496z00_27951;

															if (PROCEDUREP(BgL_rz00_16963))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_16964;

																	BgL_arg1778z00_16964 =
																		PROCEDURE_ATTR(BgL_rz00_16963);
																	if (STRUCTP(BgL_arg1778z00_16964))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5496z00_27951 =
																				(STRUCT_KEY(BgL_arg1778z00_16964) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5496z00_27951 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5496z00_27951 = ((bool_t) 0);
																}
															if (BgL_test5496z00_27951)
																{
																	obj_t BgL_fz00_27959;

																	BgL_fz00_27959 = BgL_rz00_16963;
																	BgL_fz00_16962 = BgL_fz00_27959;
																	goto BgL_recz00_16961;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16954, 0L,
																		BgL_savedzd2bpzd2_16960);
																	BgL_____rz00_16959 = BgL_rz00_16963;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5499z00_27961;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_16965;

													BgL_arg4357z00_16965 =
														BGL_EXITD_PROTECT(BgL_ez00_16956);
													BgL_test5499z00_27961 = PAIRP(BgL_arg4357z00_16965);
												}
												if (BgL_test5499z00_27961)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_16966;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_16967;

															BgL_arg4356z00_16967 =
																BGL_EXITD_PROTECT(BgL_ez00_16956);
															BgL_arg4355z00_16966 =
																CDR(((obj_t) BgL_arg4356z00_16967));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16956,
															BgL_arg4355z00_16966);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16955, BgL_sz00_16940);
											return BgL_____rz00_16959;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4519 */
	obj_t BGl_z62run4519z62zz__evaluate_compz00(obj_t BgL_envz00_14468,
		obj_t BgL_sz00_14473)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14469;
				obj_t BgL_valza2za2_14470;
				BgL_ev_absz00_bglt BgL_i1255z00_14471;
				obj_t BgL_bodyz00_14472;

				BgL_siza7eza7_14469 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14468, (int) (0L)));
				BgL_valza2za2_14470 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14468, (int) (1L)));
				BgL_i1255z00_14471 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14468, (int) (2L)));
				BgL_bodyz00_14472 = PROCEDURE_REF(BgL_envz00_14468, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16968;

					BgL_bpz00_16968 = VECTOR_REF(((obj_t) BgL_sz00_14473), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14473,
						BgL_valza2za2_14470,
						((long) CINT(BgL_bpz00_16968) + BgL_siza7eza7_14469));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16969;
						obj_t BgL_wherez00_16970;
						obj_t BgL_locz00_16971;

						BgL_z12denvz12_16969 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16970 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14471))->
							BgL_wherez00);
						BgL_locz00_16971 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14471))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16969, BgL_wherez00_16970,
								BgL_locz00_16971);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16972;

								BgL_za2za2resza2za2z00_16972 =
									(VA_PROCEDUREP(BgL_bodyz00_14472) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14472)) (BgL_bodyz00_14472,
										BgL_sz00_14473, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14472)) (BgL_bodyz00_14472,
										BgL_sz00_14473));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16969);
								return BgL_za2za2resza2za2z00_16972;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3940> */
	obj_t BGl_z62zc3z04anonymousza33940ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14474, obj_t BgL_sz00_14481)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14475;
				obj_t BgL_iboxesz00_14476;
				long BgL_siza7eza7_14477;
				BgL_ev_absz00_bglt BgL_i1255z00_14478;
				obj_t BgL_bodyz00_14479;
				long BgL_siza7ezd2framez75_14480;

				BgL_ifreesz00_14475 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14474, (int) (0L)));
				BgL_iboxesz00_14476 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14474, (int) (1L)));
				BgL_siza7eza7_14477 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14474, (int) (2L)));
				BgL_i1255z00_14478 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14474, (int) (3L)));
				BgL_bodyz00_14479 = PROCEDURE_REF(BgL_envz00_14474, (int) (4L));
				BgL_siza7ezd2framez75_14480 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14474, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16973;

					BgL_bpz00_16973 = VECTOR_REF(((obj_t) BgL_sz00_14481), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16974;

						BgL_valza2za2_16974 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14481,
							BgL_bpz00_16973, BgL_ifreesz00_14475);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16975;

							BgL_runz00_16975 =
								MAKE_FX_PROCEDURE(BGl_z62run4521z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_16975, (int) (0L), BgL_iboxesz00_14476);
							PROCEDURE_SET(BgL_runz00_16975,
								(int) (1L), BINT(BgL_siza7eza7_14477));
							PROCEDURE_SET(BgL_runz00_16975, (int) (2L), BgL_valza2za2_16974);
							PROCEDURE_SET(BgL_runz00_16975,
								(int) (3L), ((obj_t) BgL_i1255z00_14478));
							PROCEDURE_SET(BgL_runz00_16975, (int) (4L), BgL_bodyz00_14479);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16976;

								BgL_mainz00_16976 =
									MAKE_VA_PROCEDURE(BGl_z62main4520z62zz__evaluate_compz00,
									(int) (-5L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_16976,
									(int) (0L), BgL_iboxesz00_14476);
								PROCEDURE_SET(BgL_mainz00_16976,
									(int) (1L), BINT(BgL_siza7eza7_14477));
								PROCEDURE_SET(BgL_mainz00_16976,
									(int) (2L), BgL_valza2za2_16974);
								PROCEDURE_SET(BgL_mainz00_16976,
									(int) (3L), ((obj_t) BgL_i1255z00_14478));
								PROCEDURE_SET(BgL_mainz00_16976, (int) (4L), BgL_bodyz00_14479);
								PROCEDURE_SET(BgL_mainz00_16976, (int) (5L), BgL_runz00_16975);
								PROCEDURE_SET(BgL_mainz00_16976,
									(int) (6L), BINT(BgL_siza7ezd2framez75_14480));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16977;

									BgL_objz00_16977 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16975, BgL_objz00_16977);
									BgL_objz00_16977;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3941z00_16978;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3942z00_16979;

										BgL_arg3942z00_16979 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14478))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16980;

											BgL_newz00_16980 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28053;

												BgL_tmpz00_28053 = (int) (3L);
												STRUCT_SET(BgL_newz00_16980, BgL_tmpz00_28053,
													BgL_arg3942z00_16979);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28058;
												int BgL_tmpz00_28056;

												BgL_auxz00_28058 = BINT(BgL_siza7ezd2framez75_14480);
												BgL_tmpz00_28056 = (int) (2L);
												STRUCT_SET(BgL_newz00_16980, BgL_tmpz00_28056,
													BgL_auxz00_28058);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28061;

												BgL_tmpz00_28061 = (int) (1L);
												STRUCT_SET(BgL_newz00_16980, BgL_tmpz00_28061,
													BgL_runz00_16975);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28066;
												int BgL_tmpz00_28064;

												BgL_auxz00_28066 = BINT(-5L);
												BgL_tmpz00_28064 = (int) (0L);
												STRUCT_SET(BgL_newz00_16980, BgL_tmpz00_28064,
													BgL_auxz00_28066);
											}
											BgL_arg3941z00_16978 = BgL_newz00_16980;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16976, BgL_arg3941z00_16978);
									BgL_arg3941z00_16978;
								}
								return BgL_mainz00_16976;
							}
						}
					}
				}
			}
		}

	}



/* &main4520 */
	obj_t BGl_z62main4520z62zz__evaluate_compz00(obj_t BgL_envz00_14482,
		obj_t BgL_az00_14490, obj_t BgL_bz00_14491, obj_t BgL_cz00_14492,
		obj_t BgL_dz00_14493, obj_t BgL_lastz00_14494)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14488;
				long BgL_siza7ezd2framez75_14489;

				BgL_runz00_14488 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14482, (int) (5L)));
				BgL_siza7ezd2framez75_14489 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14482, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16981;

					BgL_sz00_16981 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16982;

						BgL_bpz00_16982 = VECTOR_REF(((obj_t) BgL_sz00_16981), 0L);
						if (
							(((long) CINT(BgL_bpz00_16982) + BgL_siza7ezd2framez75_14489) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16981))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3945z00_16983;

									BgL_arg3945z00_16983 = ((long) CINT(BgL_bpz00_16982) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16981), BgL_arg3945z00_16983,
										BgL_az00_14490);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3946z00_16984;

									BgL_arg3946z00_16984 = ((long) CINT(BgL_bpz00_16982) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16981), BgL_arg3946z00_16984,
										BgL_bz00_14491);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3947z00_16985;

									BgL_arg3947z00_16985 = ((long) CINT(BgL_bpz00_16982) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16981), BgL_arg3947z00_16985,
										BgL_cz00_14492);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3948z00_16986;

									BgL_arg3948z00_16986 = ((long) CINT(BgL_bpz00_16982) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16981), BgL_arg3948z00_16986,
										BgL_dz00_14493);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3949z00_16987;

									BgL_arg3949z00_16987 = ((long) CINT(BgL_bpz00_16982) + 4L);
									VECTOR_SET(
										((obj_t) BgL_sz00_16981), BgL_arg3949z00_16987,
										BgL_lastz00_14494);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16988;

									BgL_ez00_16988 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_16989;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_16990;

											BgL_arg4359z00_16990 = BGL_EXITD_PROTECT(BgL_ez00_16988);
											BgL_arg4358z00_16989 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16982, BgL_arg4359z00_16990);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16988, BgL_arg4358z00_16989);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16991;

										BgL_accz00_16991 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14488, BgL_sz00_16981, BgL_bpz00_16982);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5501z00_28110;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_16992;

												BgL_arg4357z00_16992 =
													BGL_EXITD_PROTECT(BgL_ez00_16988);
												BgL_test5501z00_28110 = PAIRP(BgL_arg4357z00_16992);
											}
											if (BgL_test5501z00_28110)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_16993;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_16994;

														BgL_arg4356z00_16994 =
															BGL_EXITD_PROTECT(BgL_ez00_16988);
														BgL_arg4355z00_16993 =
															CDR(((obj_t) BgL_arg4356z00_16994));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16988,
														BgL_arg4355z00_16993);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_16981), 0L, BgL_bpz00_16982);
										return BgL_accz00_16991;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16995;

								BgL_nsz00_16995 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16995, 1L, BgL_sz00_16981);
								VECTOR_SET(BgL_nsz00_16995, 2L, BgL_az00_14490);
								VECTOR_SET(BgL_nsz00_16995, 3L, BgL_bz00_14491);
								VECTOR_SET(BgL_nsz00_16995, 4L, BgL_cz00_14492);
								VECTOR_SET(BgL_nsz00_16995, 5L, BgL_dz00_14493);
								VECTOR_SET(BgL_nsz00_16995, 6L, BgL_lastz00_14494);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16996;

									BgL_z12denvz12_16996 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16996, BgL_nsz00_16995);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16997;

										BgL_ez00_16997 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_16998;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_16999;

												BgL_arg4359z00_16999 =
													BGL_EXITD_PROTECT(BgL_ez00_16997);
												BgL_arg4358z00_16998 =
													MAKE_YOUNG_PAIR(BgL_sz00_16981, BgL_arg4359z00_16999);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16997,
												BgL_arg4358z00_16998);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17000;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17001;

												BgL_savedzd2bpzd2_17001 =
													VECTOR_REF(BgL_nsz00_16995, 0L);
												VECTOR_SET(BgL_nsz00_16995, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17003;

													BgL_fz00_17003 = BgL_runz00_14488;
												BgL_recz00_17002:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17004;

														BgL_rz00_17004 =
															(VA_PROCEDUREP(BgL_fz00_17003) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17003))
															(BgL_fz00_17003, BgL_nsz00_16995,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17003))
															(BgL_fz00_17003, BgL_nsz00_16995));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5502z00_28139;

															if (PROCEDUREP(BgL_rz00_17004))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17005;

																	BgL_arg1778z00_17005 =
																		PROCEDURE_ATTR(BgL_rz00_17004);
																	if (STRUCTP(BgL_arg1778z00_17005))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5502z00_28139 =
																				(STRUCT_KEY(BgL_arg1778z00_17005) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5502z00_28139 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5502z00_28139 = ((bool_t) 0);
																}
															if (BgL_test5502z00_28139)
																{
																	obj_t BgL_fz00_28147;

																	BgL_fz00_28147 = BgL_rz00_17004;
																	BgL_fz00_17003 = BgL_fz00_28147;
																	goto BgL_recz00_17002;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16995, 0L,
																		BgL_savedzd2bpzd2_17001);
																	BgL_____rz00_17000 = BgL_rz00_17004;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5505z00_28149;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17006;

													BgL_arg4357z00_17006 =
														BGL_EXITD_PROTECT(BgL_ez00_16997);
													BgL_test5505z00_28149 = PAIRP(BgL_arg4357z00_17006);
												}
												if (BgL_test5505z00_28149)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17007;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17008;

															BgL_arg4356z00_17008 =
																BGL_EXITD_PROTECT(BgL_ez00_16997);
															BgL_arg4355z00_17007 =
																CDR(((obj_t) BgL_arg4356z00_17008));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16997,
															BgL_arg4355z00_17007);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16996, BgL_sz00_16981);
											return BgL_____rz00_17000;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4521 */
	obj_t BGl_z62run4521z62zz__evaluate_compz00(obj_t BgL_envz00_14495,
		obj_t BgL_sz00_14501)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14496;
				long BgL_siza7eza7_14497;
				obj_t BgL_valza2za2_14498;
				BgL_ev_absz00_bglt BgL_i1255z00_14499;
				obj_t BgL_bodyz00_14500;

				BgL_iboxesz00_14496 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14495, (int) (0L)));
				BgL_siza7eza7_14497 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14495, (int) (1L)));
				BgL_valza2za2_14498 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14495, (int) (2L)));
				BgL_i1255z00_14499 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14495, (int) (3L)));
				BgL_bodyz00_14500 = PROCEDURE_REF(BgL_envz00_14495, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17009;

					BgL_bpz00_17009 = VECTOR_REF(((obj_t) BgL_sz00_14501), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14501,
						BgL_iboxesz00_14496, BgL_bpz00_17009);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14501,
						BgL_valza2za2_14498,
						((long) CINT(BgL_bpz00_17009) + BgL_siza7eza7_14497));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17010;
						obj_t BgL_wherez00_17011;
						obj_t BgL_locz00_17012;

						BgL_z12denvz12_17010 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17011 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14499))->
							BgL_wherez00);
						BgL_locz00_17012 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14499))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17010, BgL_wherez00_17011,
								BgL_locz00_17012);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17013;

								BgL_za2za2resza2za2z00_17013 =
									(VA_PROCEDUREP(BgL_bodyz00_14500) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14500)) (BgL_bodyz00_14500,
										BgL_sz00_14501, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14500)) (BgL_bodyz00_14500,
										BgL_sz00_14501));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17010);
								return BgL_za2za2resza2za2z00_17013;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3852> */
	obj_t BGl_z62zc3z04anonymousza33852ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14502, obj_t BgL_sz00_14506)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14503;
				obj_t BgL_bodyz00_14504;
				long BgL_siza7ezd2framez75_14505;

				BgL_i1255z00_14503 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14502, (int) (0L)));
				BgL_bodyz00_14504 = PROCEDURE_REF(BgL_envz00_14502, (int) (1L));
				BgL_siza7ezd2framez75_14505 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14502, (int) (2L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17014;

					BgL_bpz00_17014 = VECTOR_REF(((obj_t) BgL_sz00_14506), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17015;

							BgL_runz00_17015 =
								MAKE_FX_PROCEDURE(BGl_z62run4523z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_17015,
								(int) (0L), ((obj_t) BgL_i1255z00_14503));
							PROCEDURE_SET(BgL_runz00_17015, (int) (1L), BgL_bodyz00_14504);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17016;

								BgL_mainz00_17016 =
									MAKE_FX_PROCEDURE(BGl_z62main4522z62zz__evaluate_compz00,
									(int) (4L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_17016,
									(int) (0L), ((obj_t) BgL_i1255z00_14503));
								PROCEDURE_SET(BgL_mainz00_17016, (int) (1L), BgL_bodyz00_14504);
								PROCEDURE_SET(BgL_mainz00_17016, (int) (2L), BgL_runz00_17015);
								PROCEDURE_SET(BgL_mainz00_17016,
									(int) (3L), BINT(BgL_siza7ezd2framez75_14505));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17017;

									BgL_objz00_17017 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17015, BgL_objz00_17017);
									BgL_objz00_17017;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3853z00_17018;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3854z00_17019;

										BgL_arg3854z00_17019 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14503))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17020;

											BgL_newz00_17020 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28221;

												BgL_tmpz00_28221 = (int) (3L);
												STRUCT_SET(BgL_newz00_17020, BgL_tmpz00_28221,
													BgL_arg3854z00_17019);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28226;
												int BgL_tmpz00_28224;

												BgL_auxz00_28226 = BINT(BgL_siza7ezd2framez75_14505);
												BgL_tmpz00_28224 = (int) (2L);
												STRUCT_SET(BgL_newz00_17020, BgL_tmpz00_28224,
													BgL_auxz00_28226);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28229;

												BgL_tmpz00_28229 = (int) (1L);
												STRUCT_SET(BgL_newz00_17020, BgL_tmpz00_28229,
													BgL_runz00_17015);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28234;
												int BgL_tmpz00_28232;

												BgL_auxz00_28234 = BINT(4L);
												BgL_tmpz00_28232 = (int) (0L);
												STRUCT_SET(BgL_newz00_17020, BgL_tmpz00_28232,
													BgL_auxz00_28234);
											}
											BgL_arg3853z00_17018 = BgL_newz00_17020;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17016, BgL_arg3853z00_17018);
									BgL_arg3853z00_17018;
								}
								return BgL_mainz00_17016;
							}
						}
					}
				}
			}
		}

	}



/* &main4522 */
	obj_t BGl_z62main4522z62zz__evaluate_compz00(obj_t BgL_envz00_14507,
		obj_t BgL_az00_14512, obj_t BgL_bz00_14513, obj_t BgL_cz00_14514,
		obj_t BgL_dz00_14515)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14510;
				long BgL_siza7ezd2framez75_14511;

				BgL_runz00_14510 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14507, (int) (2L)));
				BgL_siza7ezd2framez75_14511 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14507, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17021;

					BgL_sz00_17021 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17022;

						BgL_bpz00_17022 = VECTOR_REF(((obj_t) BgL_sz00_17021), 0L);
						if (
							(((long) CINT(BgL_bpz00_17022) + BgL_siza7ezd2framez75_14511) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17021))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3857z00_17023;

									BgL_arg3857z00_17023 = ((long) CINT(BgL_bpz00_17022) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17021), BgL_arg3857z00_17023,
										BgL_az00_14512);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3858z00_17024;

									BgL_arg3858z00_17024 = ((long) CINT(BgL_bpz00_17022) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17021), BgL_arg3858z00_17024,
										BgL_bz00_14513);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3859z00_17025;

									BgL_arg3859z00_17025 = ((long) CINT(BgL_bpz00_17022) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17021), BgL_arg3859z00_17025,
										BgL_cz00_14514);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3860z00_17026;

									BgL_arg3860z00_17026 = ((long) CINT(BgL_bpz00_17022) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17021), BgL_arg3860z00_17026,
										BgL_dz00_14515);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17027;

									BgL_ez00_17027 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17028;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17029;

											BgL_arg4359z00_17029 = BGL_EXITD_PROTECT(BgL_ez00_17027);
											BgL_arg4358z00_17028 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17022, BgL_arg4359z00_17029);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17027, BgL_arg4358z00_17028);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17030;

										BgL_accz00_17030 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14510, BgL_sz00_17021, BgL_bpz00_17022);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5507z00_28274;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17031;

												BgL_arg4357z00_17031 =
													BGL_EXITD_PROTECT(BgL_ez00_17027);
												BgL_test5507z00_28274 = PAIRP(BgL_arg4357z00_17031);
											}
											if (BgL_test5507z00_28274)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17032;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17033;

														BgL_arg4356z00_17033 =
															BGL_EXITD_PROTECT(BgL_ez00_17027);
														BgL_arg4355z00_17032 =
															CDR(((obj_t) BgL_arg4356z00_17033));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17027,
														BgL_arg4355z00_17032);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17021), 0L, BgL_bpz00_17022);
										return BgL_accz00_17030;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17034;

								BgL_nsz00_17034 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17034, 1L, BgL_sz00_17021);
								VECTOR_SET(BgL_nsz00_17034, 2L, BgL_az00_14512);
								VECTOR_SET(BgL_nsz00_17034, 3L, BgL_bz00_14513);
								VECTOR_SET(BgL_nsz00_17034, 4L, BgL_cz00_14514);
								VECTOR_SET(BgL_nsz00_17034, 5L, BgL_dz00_14515);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17035;

									BgL_z12denvz12_17035 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17035, BgL_nsz00_17034);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17036;

										BgL_ez00_17036 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17037;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17038;

												BgL_arg4359z00_17038 =
													BGL_EXITD_PROTECT(BgL_ez00_17036);
												BgL_arg4358z00_17037 =
													MAKE_YOUNG_PAIR(BgL_sz00_17021, BgL_arg4359z00_17038);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17036,
												BgL_arg4358z00_17037);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17039;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17040;

												BgL_savedzd2bpzd2_17040 =
													VECTOR_REF(BgL_nsz00_17034, 0L);
												VECTOR_SET(BgL_nsz00_17034, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17042;

													BgL_fz00_17042 = BgL_runz00_14510;
												BgL_recz00_17041:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17043;

														BgL_rz00_17043 =
															(VA_PROCEDUREP(BgL_fz00_17042) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17042))
															(BgL_fz00_17042, BgL_nsz00_17034,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17042))
															(BgL_fz00_17042, BgL_nsz00_17034));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5508z00_28302;

															if (PROCEDUREP(BgL_rz00_17043))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17044;

																	BgL_arg1778z00_17044 =
																		PROCEDURE_ATTR(BgL_rz00_17043);
																	if (STRUCTP(BgL_arg1778z00_17044))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5508z00_28302 =
																				(STRUCT_KEY(BgL_arg1778z00_17044) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5508z00_28302 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5508z00_28302 = ((bool_t) 0);
																}
															if (BgL_test5508z00_28302)
																{
																	obj_t BgL_fz00_28310;

																	BgL_fz00_28310 = BgL_rz00_17043;
																	BgL_fz00_17042 = BgL_fz00_28310;
																	goto BgL_recz00_17041;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17034, 0L,
																		BgL_savedzd2bpzd2_17040);
																	BgL_____rz00_17039 = BgL_rz00_17043;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5511z00_28312;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17045;

													BgL_arg4357z00_17045 =
														BGL_EXITD_PROTECT(BgL_ez00_17036);
													BgL_test5511z00_28312 = PAIRP(BgL_arg4357z00_17045);
												}
												if (BgL_test5511z00_28312)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17046;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17047;

															BgL_arg4356z00_17047 =
																BGL_EXITD_PROTECT(BgL_ez00_17036);
															BgL_arg4355z00_17046 =
																CDR(((obj_t) BgL_arg4356z00_17047));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17036,
															BgL_arg4355z00_17046);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17035, BgL_sz00_17021);
											return BgL_____rz00_17039;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4523 */
	obj_t BGl_z62run4523z62zz__evaluate_compz00(obj_t BgL_envz00_14516,
		obj_t BgL_sz00_14519)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14517;
				obj_t BgL_bodyz00_14518;

				BgL_i1255z00_14517 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14516, (int) (0L)));
				BgL_bodyz00_14518 = PROCEDURE_REF(BgL_envz00_14516, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17048;

					BgL_bpz00_17048 = VECTOR_REF(((obj_t) BgL_sz00_14519), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17049;
						obj_t BgL_wherez00_17050;
						obj_t BgL_locz00_17051;

						BgL_z12denvz12_17049 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17050 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14517))->
							BgL_wherez00);
						BgL_locz00_17051 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14517))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17049, BgL_wherez00_17050,
								BgL_locz00_17051);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17052;

								BgL_za2za2resza2za2z00_17052 =
									(VA_PROCEDUREP(BgL_bodyz00_14518) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14518)) (BgL_bodyz00_14518,
										BgL_sz00_14519, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14518)) (BgL_bodyz00_14518,
										BgL_sz00_14519));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17049);
								return BgL_za2za2resza2za2z00_17052;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3862> */
	obj_t BGl_z62zc3z04anonymousza33862ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14520, obj_t BgL_sz00_14525)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14521;
				BgL_ev_absz00_bglt BgL_i1255z00_14522;
				obj_t BgL_bodyz00_14523;
				long BgL_siza7ezd2framez75_14524;

				BgL_iboxesz00_14521 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14520, (int) (0L)));
				BgL_i1255z00_14522 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14520, (int) (1L)));
				BgL_bodyz00_14523 = PROCEDURE_REF(BgL_envz00_14520, (int) (2L));
				BgL_siza7ezd2framez75_14524 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14520, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17053;

					BgL_bpz00_17053 = VECTOR_REF(((obj_t) BgL_sz00_14525), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17054;

							BgL_runz00_17054 =
								MAKE_FX_PROCEDURE(BGl_z62run4525z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_17054, (int) (0L), BgL_iboxesz00_14521);
							PROCEDURE_SET(BgL_runz00_17054,
								(int) (1L), ((obj_t) BgL_i1255z00_14522));
							PROCEDURE_SET(BgL_runz00_17054, (int) (2L), BgL_bodyz00_14523);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17055;

								BgL_mainz00_17055 =
									MAKE_FX_PROCEDURE(BGl_z62main4524z62zz__evaluate_compz00,
									(int) (4L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_17055,
									(int) (0L), BgL_iboxesz00_14521);
								PROCEDURE_SET(BgL_mainz00_17055,
									(int) (1L), ((obj_t) BgL_i1255z00_14522));
								PROCEDURE_SET(BgL_mainz00_17055, (int) (2L), BgL_bodyz00_14523);
								PROCEDURE_SET(BgL_mainz00_17055, (int) (3L), BgL_runz00_17054);
								PROCEDURE_SET(BgL_mainz00_17055,
									(int) (4L), BINT(BgL_siza7ezd2framez75_14524));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17056;

									BgL_objz00_17056 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17054, BgL_objz00_17056);
									BgL_objz00_17056;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3863z00_17057;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3864z00_17058;

										BgL_arg3864z00_17058 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14522))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17059;

											BgL_newz00_17059 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28378;

												BgL_tmpz00_28378 = (int) (3L);
												STRUCT_SET(BgL_newz00_17059, BgL_tmpz00_28378,
													BgL_arg3864z00_17058);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28383;
												int BgL_tmpz00_28381;

												BgL_auxz00_28383 = BINT(BgL_siza7ezd2framez75_14524);
												BgL_tmpz00_28381 = (int) (2L);
												STRUCT_SET(BgL_newz00_17059, BgL_tmpz00_28381,
													BgL_auxz00_28383);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28386;

												BgL_tmpz00_28386 = (int) (1L);
												STRUCT_SET(BgL_newz00_17059, BgL_tmpz00_28386,
													BgL_runz00_17054);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28391;
												int BgL_tmpz00_28389;

												BgL_auxz00_28391 = BINT(4L);
												BgL_tmpz00_28389 = (int) (0L);
												STRUCT_SET(BgL_newz00_17059, BgL_tmpz00_28389,
													BgL_auxz00_28391);
											}
											BgL_arg3863z00_17057 = BgL_newz00_17059;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17055, BgL_arg3863z00_17057);
									BgL_arg3863z00_17057;
								}
								return BgL_mainz00_17055;
							}
						}
					}
				}
			}
		}

	}



/* &main4524 */
	obj_t BGl_z62main4524z62zz__evaluate_compz00(obj_t BgL_envz00_14526,
		obj_t BgL_az00_14532, obj_t BgL_bz00_14533, obj_t BgL_cz00_14534,
		obj_t BgL_dz00_14535)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14530;
				long BgL_siza7ezd2framez75_14531;

				BgL_runz00_14530 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14526, (int) (3L)));
				BgL_siza7ezd2framez75_14531 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14526, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17060;

					BgL_sz00_17060 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17061;

						BgL_bpz00_17061 = VECTOR_REF(((obj_t) BgL_sz00_17060), 0L);
						if (
							(((long) CINT(BgL_bpz00_17061) + BgL_siza7ezd2framez75_14531) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17060))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3867z00_17062;

									BgL_arg3867z00_17062 = ((long) CINT(BgL_bpz00_17061) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17060), BgL_arg3867z00_17062,
										BgL_az00_14532);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3868z00_17063;

									BgL_arg3868z00_17063 = ((long) CINT(BgL_bpz00_17061) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17060), BgL_arg3868z00_17063,
										BgL_bz00_14533);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3869z00_17064;

									BgL_arg3869z00_17064 = ((long) CINT(BgL_bpz00_17061) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17060), BgL_arg3869z00_17064,
										BgL_cz00_14534);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3870z00_17065;

									BgL_arg3870z00_17065 = ((long) CINT(BgL_bpz00_17061) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17060), BgL_arg3870z00_17065,
										BgL_dz00_14535);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17066;

									BgL_ez00_17066 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17067;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17068;

											BgL_arg4359z00_17068 = BGL_EXITD_PROTECT(BgL_ez00_17066);
											BgL_arg4358z00_17067 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17061, BgL_arg4359z00_17068);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17066, BgL_arg4358z00_17067);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17069;

										BgL_accz00_17069 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14530, BgL_sz00_17060, BgL_bpz00_17061);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5513z00_28431;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17070;

												BgL_arg4357z00_17070 =
													BGL_EXITD_PROTECT(BgL_ez00_17066);
												BgL_test5513z00_28431 = PAIRP(BgL_arg4357z00_17070);
											}
											if (BgL_test5513z00_28431)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17071;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17072;

														BgL_arg4356z00_17072 =
															BGL_EXITD_PROTECT(BgL_ez00_17066);
														BgL_arg4355z00_17071 =
															CDR(((obj_t) BgL_arg4356z00_17072));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17066,
														BgL_arg4355z00_17071);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17060), 0L, BgL_bpz00_17061);
										return BgL_accz00_17069;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17073;

								BgL_nsz00_17073 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17073, 1L, BgL_sz00_17060);
								VECTOR_SET(BgL_nsz00_17073, 2L, BgL_az00_14532);
								VECTOR_SET(BgL_nsz00_17073, 3L, BgL_bz00_14533);
								VECTOR_SET(BgL_nsz00_17073, 4L, BgL_cz00_14534);
								VECTOR_SET(BgL_nsz00_17073, 5L, BgL_dz00_14535);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17074;

									BgL_z12denvz12_17074 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17074, BgL_nsz00_17073);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17075;

										BgL_ez00_17075 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17076;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17077;

												BgL_arg4359z00_17077 =
													BGL_EXITD_PROTECT(BgL_ez00_17075);
												BgL_arg4358z00_17076 =
													MAKE_YOUNG_PAIR(BgL_sz00_17060, BgL_arg4359z00_17077);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17075,
												BgL_arg4358z00_17076);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17078;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17079;

												BgL_savedzd2bpzd2_17079 =
													VECTOR_REF(BgL_nsz00_17073, 0L);
												VECTOR_SET(BgL_nsz00_17073, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17081;

													BgL_fz00_17081 = BgL_runz00_14530;
												BgL_recz00_17080:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17082;

														BgL_rz00_17082 =
															(VA_PROCEDUREP(BgL_fz00_17081) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17081))
															(BgL_fz00_17081, BgL_nsz00_17073,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17081))
															(BgL_fz00_17081, BgL_nsz00_17073));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5514z00_28459;

															if (PROCEDUREP(BgL_rz00_17082))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17083;

																	BgL_arg1778z00_17083 =
																		PROCEDURE_ATTR(BgL_rz00_17082);
																	if (STRUCTP(BgL_arg1778z00_17083))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5514z00_28459 =
																				(STRUCT_KEY(BgL_arg1778z00_17083) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5514z00_28459 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5514z00_28459 = ((bool_t) 0);
																}
															if (BgL_test5514z00_28459)
																{
																	obj_t BgL_fz00_28467;

																	BgL_fz00_28467 = BgL_rz00_17082;
																	BgL_fz00_17081 = BgL_fz00_28467;
																	goto BgL_recz00_17080;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17073, 0L,
																		BgL_savedzd2bpzd2_17079);
																	BgL_____rz00_17078 = BgL_rz00_17082;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5517z00_28469;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17084;

													BgL_arg4357z00_17084 =
														BGL_EXITD_PROTECT(BgL_ez00_17075);
													BgL_test5517z00_28469 = PAIRP(BgL_arg4357z00_17084);
												}
												if (BgL_test5517z00_28469)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17085;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17086;

															BgL_arg4356z00_17086 =
																BGL_EXITD_PROTECT(BgL_ez00_17075);
															BgL_arg4355z00_17085 =
																CDR(((obj_t) BgL_arg4356z00_17086));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17075,
															BgL_arg4355z00_17085);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17074, BgL_sz00_17060);
											return BgL_____rz00_17078;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4525 */
	obj_t BGl_z62run4525z62zz__evaluate_compz00(obj_t BgL_envz00_14536,
		obj_t BgL_sz00_14540)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14537;
				BgL_ev_absz00_bglt BgL_i1255z00_14538;
				obj_t BgL_bodyz00_14539;

				BgL_iboxesz00_14537 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14536, (int) (0L)));
				BgL_i1255z00_14538 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14536, (int) (1L)));
				BgL_bodyz00_14539 = PROCEDURE_REF(BgL_envz00_14536, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17087;

					BgL_bpz00_17087 = VECTOR_REF(((obj_t) BgL_sz00_14540), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14540,
						BgL_iboxesz00_14537, BgL_bpz00_17087);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17088;
						obj_t BgL_wherez00_17089;
						obj_t BgL_locz00_17090;

						BgL_z12denvz12_17088 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17089 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14538))->
							BgL_wherez00);
						BgL_locz00_17090 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14538))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17088, BgL_wherez00_17089,
								BgL_locz00_17090);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17091;

								BgL_za2za2resza2za2z00_17091 =
									(VA_PROCEDUREP(BgL_bodyz00_14539) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14539)) (BgL_bodyz00_14539,
										BgL_sz00_14540, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14539)) (BgL_bodyz00_14539,
										BgL_sz00_14540));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17088);
								return BgL_za2za2resza2za2z00_17091;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3875> */
	obj_t BGl_z62zc3z04anonymousza33875ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14541, obj_t BgL_sz00_14547)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14542;
				long BgL_siza7eza7_14543;
				BgL_ev_absz00_bglt BgL_i1255z00_14544;
				obj_t BgL_bodyz00_14545;
				long BgL_siza7ezd2framez75_14546;

				BgL_ifreesz00_14542 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14541, (int) (0L)));
				BgL_siza7eza7_14543 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14541, (int) (1L)));
				BgL_i1255z00_14544 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14541, (int) (2L)));
				BgL_bodyz00_14545 = PROCEDURE_REF(BgL_envz00_14541, (int) (3L));
				BgL_siza7ezd2framez75_14546 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14541, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17092;

					BgL_bpz00_17092 = VECTOR_REF(((obj_t) BgL_sz00_14547), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17093;

						BgL_valza2za2_17093 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14547,
							BgL_bpz00_17092, BgL_ifreesz00_14542);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17094;

							BgL_runz00_17094 =
								MAKE_FX_PROCEDURE(BGl_z62run4527z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_17094,
								(int) (0L), BINT(BgL_siza7eza7_14543));
							PROCEDURE_SET(BgL_runz00_17094, (int) (1L), BgL_valza2za2_17093);
							PROCEDURE_SET(BgL_runz00_17094,
								(int) (2L), ((obj_t) BgL_i1255z00_14544));
							PROCEDURE_SET(BgL_runz00_17094, (int) (3L), BgL_bodyz00_14545);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17095;

								BgL_mainz00_17095 =
									MAKE_FX_PROCEDURE(BGl_z62main4526z62zz__evaluate_compz00,
									(int) (4L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_17095,
									(int) (0L), BINT(BgL_siza7eza7_14543));
								PROCEDURE_SET(BgL_mainz00_17095,
									(int) (1L), BgL_valza2za2_17093);
								PROCEDURE_SET(BgL_mainz00_17095,
									(int) (2L), ((obj_t) BgL_i1255z00_14544));
								PROCEDURE_SET(BgL_mainz00_17095, (int) (3L), BgL_bodyz00_14545);
								PROCEDURE_SET(BgL_mainz00_17095, (int) (4L), BgL_runz00_17094);
								PROCEDURE_SET(BgL_mainz00_17095,
									(int) (5L), BINT(BgL_siza7ezd2framez75_14546));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17096;

									BgL_objz00_17096 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17094, BgL_objz00_17096);
									BgL_objz00_17096;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3876z00_17097;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3877z00_17098;

										BgL_arg3877z00_17098 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14544))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17099;

											BgL_newz00_17099 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28549;

												BgL_tmpz00_28549 = (int) (3L);
												STRUCT_SET(BgL_newz00_17099, BgL_tmpz00_28549,
													BgL_arg3877z00_17098);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28554;
												int BgL_tmpz00_28552;

												BgL_auxz00_28554 = BINT(BgL_siza7ezd2framez75_14546);
												BgL_tmpz00_28552 = (int) (2L);
												STRUCT_SET(BgL_newz00_17099, BgL_tmpz00_28552,
													BgL_auxz00_28554);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28557;

												BgL_tmpz00_28557 = (int) (1L);
												STRUCT_SET(BgL_newz00_17099, BgL_tmpz00_28557,
													BgL_runz00_17094);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28562;
												int BgL_tmpz00_28560;

												BgL_auxz00_28562 = BINT(4L);
												BgL_tmpz00_28560 = (int) (0L);
												STRUCT_SET(BgL_newz00_17099, BgL_tmpz00_28560,
													BgL_auxz00_28562);
											}
											BgL_arg3876z00_17097 = BgL_newz00_17099;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17095, BgL_arg3876z00_17097);
									BgL_arg3876z00_17097;
								}
								return BgL_mainz00_17095;
							}
						}
					}
				}
			}
		}

	}



/* &main4526 */
	obj_t BGl_z62main4526z62zz__evaluate_compz00(obj_t BgL_envz00_14548,
		obj_t BgL_az00_14555, obj_t BgL_bz00_14556, obj_t BgL_cz00_14557,
		obj_t BgL_dz00_14558)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14553;
				long BgL_siza7ezd2framez75_14554;

				BgL_runz00_14553 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14548, (int) (4L)));
				BgL_siza7ezd2framez75_14554 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14548, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17100;

					BgL_sz00_17100 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17101;

						BgL_bpz00_17101 = VECTOR_REF(((obj_t) BgL_sz00_17100), 0L);
						if (
							(((long) CINT(BgL_bpz00_17101) + BgL_siza7ezd2framez75_14554) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17100))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3880z00_17102;

									BgL_arg3880z00_17102 = ((long) CINT(BgL_bpz00_17101) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17100), BgL_arg3880z00_17102,
										BgL_az00_14555);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3881z00_17103;

									BgL_arg3881z00_17103 = ((long) CINT(BgL_bpz00_17101) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17100), BgL_arg3881z00_17103,
										BgL_bz00_14556);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3882z00_17104;

									BgL_arg3882z00_17104 = ((long) CINT(BgL_bpz00_17101) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17100), BgL_arg3882z00_17104,
										BgL_cz00_14557);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3883z00_17105;

									BgL_arg3883z00_17105 = ((long) CINT(BgL_bpz00_17101) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17100), BgL_arg3883z00_17105,
										BgL_dz00_14558);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17106;

									BgL_ez00_17106 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17107;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17108;

											BgL_arg4359z00_17108 = BGL_EXITD_PROTECT(BgL_ez00_17106);
											BgL_arg4358z00_17107 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17101, BgL_arg4359z00_17108);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17106, BgL_arg4358z00_17107);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17109;

										BgL_accz00_17109 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14553, BgL_sz00_17100, BgL_bpz00_17101);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5519z00_28602;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17110;

												BgL_arg4357z00_17110 =
													BGL_EXITD_PROTECT(BgL_ez00_17106);
												BgL_test5519z00_28602 = PAIRP(BgL_arg4357z00_17110);
											}
											if (BgL_test5519z00_28602)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17111;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17112;

														BgL_arg4356z00_17112 =
															BGL_EXITD_PROTECT(BgL_ez00_17106);
														BgL_arg4355z00_17111 =
															CDR(((obj_t) BgL_arg4356z00_17112));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17106,
														BgL_arg4355z00_17111);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17100), 0L, BgL_bpz00_17101);
										return BgL_accz00_17109;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17113;

								BgL_nsz00_17113 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17113, 1L, BgL_sz00_17100);
								VECTOR_SET(BgL_nsz00_17113, 2L, BgL_az00_14555);
								VECTOR_SET(BgL_nsz00_17113, 3L, BgL_bz00_14556);
								VECTOR_SET(BgL_nsz00_17113, 4L, BgL_cz00_14557);
								VECTOR_SET(BgL_nsz00_17113, 5L, BgL_dz00_14558);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17114;

									BgL_z12denvz12_17114 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17114, BgL_nsz00_17113);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17115;

										BgL_ez00_17115 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17116;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17117;

												BgL_arg4359z00_17117 =
													BGL_EXITD_PROTECT(BgL_ez00_17115);
												BgL_arg4358z00_17116 =
													MAKE_YOUNG_PAIR(BgL_sz00_17100, BgL_arg4359z00_17117);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17115,
												BgL_arg4358z00_17116);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17118;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17119;

												BgL_savedzd2bpzd2_17119 =
													VECTOR_REF(BgL_nsz00_17113, 0L);
												VECTOR_SET(BgL_nsz00_17113, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17121;

													BgL_fz00_17121 = BgL_runz00_14553;
												BgL_recz00_17120:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17122;

														BgL_rz00_17122 =
															(VA_PROCEDUREP(BgL_fz00_17121) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17121))
															(BgL_fz00_17121, BgL_nsz00_17113,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17121))
															(BgL_fz00_17121, BgL_nsz00_17113));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5520z00_28630;

															if (PROCEDUREP(BgL_rz00_17122))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17123;

																	BgL_arg1778z00_17123 =
																		PROCEDURE_ATTR(BgL_rz00_17122);
																	if (STRUCTP(BgL_arg1778z00_17123))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5520z00_28630 =
																				(STRUCT_KEY(BgL_arg1778z00_17123) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5520z00_28630 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5520z00_28630 = ((bool_t) 0);
																}
															if (BgL_test5520z00_28630)
																{
																	obj_t BgL_fz00_28638;

																	BgL_fz00_28638 = BgL_rz00_17122;
																	BgL_fz00_17121 = BgL_fz00_28638;
																	goto BgL_recz00_17120;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17113, 0L,
																		BgL_savedzd2bpzd2_17119);
																	BgL_____rz00_17118 = BgL_rz00_17122;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5523z00_28640;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17124;

													BgL_arg4357z00_17124 =
														BGL_EXITD_PROTECT(BgL_ez00_17115);
													BgL_test5523z00_28640 = PAIRP(BgL_arg4357z00_17124);
												}
												if (BgL_test5523z00_28640)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17125;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17126;

															BgL_arg4356z00_17126 =
																BGL_EXITD_PROTECT(BgL_ez00_17115);
															BgL_arg4355z00_17125 =
																CDR(((obj_t) BgL_arg4356z00_17126));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17115,
															BgL_arg4355z00_17125);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17114, BgL_sz00_17100);
											return BgL_____rz00_17118;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4527 */
	obj_t BGl_z62run4527z62zz__evaluate_compz00(obj_t BgL_envz00_14559,
		obj_t BgL_sz00_14564)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14560;
				obj_t BgL_valza2za2_14561;
				BgL_ev_absz00_bglt BgL_i1255z00_14562;
				obj_t BgL_bodyz00_14563;

				BgL_siza7eza7_14560 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14559, (int) (0L)));
				BgL_valza2za2_14561 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14559, (int) (1L)));
				BgL_i1255z00_14562 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14559, (int) (2L)));
				BgL_bodyz00_14563 = PROCEDURE_REF(BgL_envz00_14559, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17127;

					BgL_bpz00_17127 = VECTOR_REF(((obj_t) BgL_sz00_14564), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14564,
						BgL_valza2za2_14561,
						((long) CINT(BgL_bpz00_17127) + BgL_siza7eza7_14560));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17128;
						obj_t BgL_wherez00_17129;
						obj_t BgL_locz00_17130;

						BgL_z12denvz12_17128 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17129 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14562))->
							BgL_wherez00);
						BgL_locz00_17130 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14562))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17128, BgL_wherez00_17129,
								BgL_locz00_17130);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17131;

								BgL_za2za2resza2za2z00_17131 =
									(VA_PROCEDUREP(BgL_bodyz00_14563) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14563)) (BgL_bodyz00_14563,
										BgL_sz00_14564, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14563)) (BgL_bodyz00_14563,
										BgL_sz00_14564));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17128);
								return BgL_za2za2resza2za2z00_17131;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3886> */
	obj_t BGl_z62zc3z04anonymousza33886ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14565, obj_t BgL_sz00_14572)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14566;
				obj_t BgL_iboxesz00_14567;
				long BgL_siza7eza7_14568;
				BgL_ev_absz00_bglt BgL_i1255z00_14569;
				obj_t BgL_bodyz00_14570;
				long BgL_siza7ezd2framez75_14571;

				BgL_ifreesz00_14566 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14565, (int) (0L)));
				BgL_iboxesz00_14567 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14565, (int) (1L)));
				BgL_siza7eza7_14568 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14565, (int) (2L)));
				BgL_i1255z00_14569 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14565, (int) (3L)));
				BgL_bodyz00_14570 = PROCEDURE_REF(BgL_envz00_14565, (int) (4L));
				BgL_siza7ezd2framez75_14571 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14565, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17132;

					BgL_bpz00_17132 = VECTOR_REF(((obj_t) BgL_sz00_14572), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17133;

						BgL_valza2za2_17133 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14572,
							BgL_bpz00_17132, BgL_ifreesz00_14566);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17134;

							BgL_runz00_17134 =
								MAKE_FX_PROCEDURE(BGl_z62run4529z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_17134, (int) (0L), BgL_iboxesz00_14567);
							PROCEDURE_SET(BgL_runz00_17134,
								(int) (1L), BINT(BgL_siza7eza7_14568));
							PROCEDURE_SET(BgL_runz00_17134, (int) (2L), BgL_valza2za2_17133);
							PROCEDURE_SET(BgL_runz00_17134,
								(int) (3L), ((obj_t) BgL_i1255z00_14569));
							PROCEDURE_SET(BgL_runz00_17134, (int) (4L), BgL_bodyz00_14570);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17135;

								BgL_mainz00_17135 =
									MAKE_FX_PROCEDURE(BGl_z62main4528z62zz__evaluate_compz00,
									(int) (4L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_17135,
									(int) (0L), BgL_iboxesz00_14567);
								PROCEDURE_SET(BgL_mainz00_17135,
									(int) (1L), BINT(BgL_siza7eza7_14568));
								PROCEDURE_SET(BgL_mainz00_17135,
									(int) (2L), BgL_valza2za2_17133);
								PROCEDURE_SET(BgL_mainz00_17135,
									(int) (3L), ((obj_t) BgL_i1255z00_14569));
								PROCEDURE_SET(BgL_mainz00_17135, (int) (4L), BgL_bodyz00_14570);
								PROCEDURE_SET(BgL_mainz00_17135, (int) (5L), BgL_runz00_17134);
								PROCEDURE_SET(BgL_mainz00_17135,
									(int) (6L), BINT(BgL_siza7ezd2framez75_14571));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17136;

									BgL_objz00_17136 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17134, BgL_objz00_17136);
									BgL_objz00_17136;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3887z00_17137;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3888z00_17138;

										BgL_arg3888z00_17138 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14569))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17139;

											BgL_newz00_17139 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28732;

												BgL_tmpz00_28732 = (int) (3L);
												STRUCT_SET(BgL_newz00_17139, BgL_tmpz00_28732,
													BgL_arg3888z00_17138);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28737;
												int BgL_tmpz00_28735;

												BgL_auxz00_28737 = BINT(BgL_siza7ezd2framez75_14571);
												BgL_tmpz00_28735 = (int) (2L);
												STRUCT_SET(BgL_newz00_17139, BgL_tmpz00_28735,
													BgL_auxz00_28737);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28740;

												BgL_tmpz00_28740 = (int) (1L);
												STRUCT_SET(BgL_newz00_17139, BgL_tmpz00_28740,
													BgL_runz00_17134);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28745;
												int BgL_tmpz00_28743;

												BgL_auxz00_28745 = BINT(4L);
												BgL_tmpz00_28743 = (int) (0L);
												STRUCT_SET(BgL_newz00_17139, BgL_tmpz00_28743,
													BgL_auxz00_28745);
											}
											BgL_arg3887z00_17137 = BgL_newz00_17139;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17135, BgL_arg3887z00_17137);
									BgL_arg3887z00_17137;
								}
								return BgL_mainz00_17135;
							}
						}
					}
				}
			}
		}

	}



/* &main4528 */
	obj_t BGl_z62main4528z62zz__evaluate_compz00(obj_t BgL_envz00_14573,
		obj_t BgL_az00_14581, obj_t BgL_bz00_14582, obj_t BgL_cz00_14583,
		obj_t BgL_dz00_14584)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14579;
				long BgL_siza7ezd2framez75_14580;

				BgL_runz00_14579 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14573, (int) (5L)));
				BgL_siza7ezd2framez75_14580 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14573, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17140;

					BgL_sz00_17140 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17141;

						BgL_bpz00_17141 = VECTOR_REF(((obj_t) BgL_sz00_17140), 0L);
						if (
							(((long) CINT(BgL_bpz00_17141) + BgL_siza7ezd2framez75_14580) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17140))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3891z00_17142;

									BgL_arg3891z00_17142 = ((long) CINT(BgL_bpz00_17141) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17140), BgL_arg3891z00_17142,
										BgL_az00_14581);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3892z00_17143;

									BgL_arg3892z00_17143 = ((long) CINT(BgL_bpz00_17141) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17140), BgL_arg3892z00_17143,
										BgL_bz00_14582);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3893z00_17144;

									BgL_arg3893z00_17144 = ((long) CINT(BgL_bpz00_17141) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17140), BgL_arg3893z00_17144,
										BgL_cz00_14583);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3894z00_17145;

									BgL_arg3894z00_17145 = ((long) CINT(BgL_bpz00_17141) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17140), BgL_arg3894z00_17145,
										BgL_dz00_14584);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17146;

									BgL_ez00_17146 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17147;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17148;

											BgL_arg4359z00_17148 = BGL_EXITD_PROTECT(BgL_ez00_17146);
											BgL_arg4358z00_17147 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17141, BgL_arg4359z00_17148);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17146, BgL_arg4358z00_17147);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17149;

										BgL_accz00_17149 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14579, BgL_sz00_17140, BgL_bpz00_17141);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5525z00_28785;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17150;

												BgL_arg4357z00_17150 =
													BGL_EXITD_PROTECT(BgL_ez00_17146);
												BgL_test5525z00_28785 = PAIRP(BgL_arg4357z00_17150);
											}
											if (BgL_test5525z00_28785)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17151;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17152;

														BgL_arg4356z00_17152 =
															BGL_EXITD_PROTECT(BgL_ez00_17146);
														BgL_arg4355z00_17151 =
															CDR(((obj_t) BgL_arg4356z00_17152));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17146,
														BgL_arg4355z00_17151);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17140), 0L, BgL_bpz00_17141);
										return BgL_accz00_17149;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17153;

								BgL_nsz00_17153 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17153, 1L, BgL_sz00_17140);
								VECTOR_SET(BgL_nsz00_17153, 2L, BgL_az00_14581);
								VECTOR_SET(BgL_nsz00_17153, 3L, BgL_bz00_14582);
								VECTOR_SET(BgL_nsz00_17153, 4L, BgL_cz00_14583);
								VECTOR_SET(BgL_nsz00_17153, 5L, BgL_dz00_14584);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17154;

									BgL_z12denvz12_17154 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17154, BgL_nsz00_17153);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17155;

										BgL_ez00_17155 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17156;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17157;

												BgL_arg4359z00_17157 =
													BGL_EXITD_PROTECT(BgL_ez00_17155);
												BgL_arg4358z00_17156 =
													MAKE_YOUNG_PAIR(BgL_sz00_17140, BgL_arg4359z00_17157);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17155,
												BgL_arg4358z00_17156);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17158;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17159;

												BgL_savedzd2bpzd2_17159 =
													VECTOR_REF(BgL_nsz00_17153, 0L);
												VECTOR_SET(BgL_nsz00_17153, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17161;

													BgL_fz00_17161 = BgL_runz00_14579;
												BgL_recz00_17160:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17162;

														BgL_rz00_17162 =
															(VA_PROCEDUREP(BgL_fz00_17161) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17161))
															(BgL_fz00_17161, BgL_nsz00_17153,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17161))
															(BgL_fz00_17161, BgL_nsz00_17153));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5526z00_28813;

															if (PROCEDUREP(BgL_rz00_17162))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17163;

																	BgL_arg1778z00_17163 =
																		PROCEDURE_ATTR(BgL_rz00_17162);
																	if (STRUCTP(BgL_arg1778z00_17163))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5526z00_28813 =
																				(STRUCT_KEY(BgL_arg1778z00_17163) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5526z00_28813 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5526z00_28813 = ((bool_t) 0);
																}
															if (BgL_test5526z00_28813)
																{
																	obj_t BgL_fz00_28821;

																	BgL_fz00_28821 = BgL_rz00_17162;
																	BgL_fz00_17161 = BgL_fz00_28821;
																	goto BgL_recz00_17160;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17153, 0L,
																		BgL_savedzd2bpzd2_17159);
																	BgL_____rz00_17158 = BgL_rz00_17162;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5529z00_28823;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17164;

													BgL_arg4357z00_17164 =
														BGL_EXITD_PROTECT(BgL_ez00_17155);
													BgL_test5529z00_28823 = PAIRP(BgL_arg4357z00_17164);
												}
												if (BgL_test5529z00_28823)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17165;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17166;

															BgL_arg4356z00_17166 =
																BGL_EXITD_PROTECT(BgL_ez00_17155);
															BgL_arg4355z00_17165 =
																CDR(((obj_t) BgL_arg4356z00_17166));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17155,
															BgL_arg4355z00_17165);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17154, BgL_sz00_17140);
											return BgL_____rz00_17158;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4529 */
	obj_t BGl_z62run4529z62zz__evaluate_compz00(obj_t BgL_envz00_14585,
		obj_t BgL_sz00_14591)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14586;
				long BgL_siza7eza7_14587;
				obj_t BgL_valza2za2_14588;
				BgL_ev_absz00_bglt BgL_i1255z00_14589;
				obj_t BgL_bodyz00_14590;

				BgL_iboxesz00_14586 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14585, (int) (0L)));
				BgL_siza7eza7_14587 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14585, (int) (1L)));
				BgL_valza2za2_14588 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14585, (int) (2L)));
				BgL_i1255z00_14589 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14585, (int) (3L)));
				BgL_bodyz00_14590 = PROCEDURE_REF(BgL_envz00_14585, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17167;

					BgL_bpz00_17167 = VECTOR_REF(((obj_t) BgL_sz00_14591), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14591,
						BgL_iboxesz00_14586, BgL_bpz00_17167);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14591,
						BgL_valza2za2_14588,
						((long) CINT(BgL_bpz00_17167) + BgL_siza7eza7_14587));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17168;
						obj_t BgL_wherez00_17169;
						obj_t BgL_locz00_17170;

						BgL_z12denvz12_17168 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17169 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14589))->
							BgL_wherez00);
						BgL_locz00_17170 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14589))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17168, BgL_wherez00_17169,
								BgL_locz00_17170);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17171;

								BgL_za2za2resza2za2z00_17171 =
									(VA_PROCEDUREP(BgL_bodyz00_14590) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14590)) (BgL_bodyz00_14590,
										BgL_sz00_14591, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14590)) (BgL_bodyz00_14590,
										BgL_sz00_14591));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17168);
								return BgL_za2za2resza2za2z00_17171;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3801> */
	obj_t BGl_z62zc3z04anonymousza33801ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14592, obj_t BgL_sz00_14596)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14593;
				obj_t BgL_bodyz00_14594;
				long BgL_siza7ezd2framez75_14595;

				BgL_i1255z00_14593 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14592, (int) (0L)));
				BgL_bodyz00_14594 = PROCEDURE_REF(BgL_envz00_14592, (int) (1L));
				BgL_siza7ezd2framez75_14595 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14592, (int) (2L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17172;

					BgL_bpz00_17172 = VECTOR_REF(((obj_t) BgL_sz00_14596), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17173;

							BgL_runz00_17173 =
								MAKE_FX_PROCEDURE(BGl_z62run4531z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_17173,
								(int) (0L), ((obj_t) BgL_i1255z00_14593));
							PROCEDURE_SET(BgL_runz00_17173, (int) (1L), BgL_bodyz00_14594);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17174;

								BgL_mainz00_17174 =
									MAKE_VA_PROCEDURE(BGl_z62main4530z62zz__evaluate_compz00,
									(int) (-4L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_17174,
									(int) (0L), ((obj_t) BgL_i1255z00_14593));
								PROCEDURE_SET(BgL_mainz00_17174, (int) (1L), BgL_bodyz00_14594);
								PROCEDURE_SET(BgL_mainz00_17174, (int) (2L), BgL_runz00_17173);
								PROCEDURE_SET(BgL_mainz00_17174,
									(int) (3L), BINT(BgL_siza7ezd2framez75_14595));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17175;

									BgL_objz00_17175 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17173, BgL_objz00_17175);
									BgL_objz00_17175;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3802z00_17176;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3803z00_17177;

										BgL_arg3803z00_17177 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14593))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17178;

											BgL_newz00_17178 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28895;

												BgL_tmpz00_28895 = (int) (3L);
												STRUCT_SET(BgL_newz00_17178, BgL_tmpz00_28895,
													BgL_arg3803z00_17177);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28900;
												int BgL_tmpz00_28898;

												BgL_auxz00_28900 = BINT(BgL_siza7ezd2framez75_14595);
												BgL_tmpz00_28898 = (int) (2L);
												STRUCT_SET(BgL_newz00_17178, BgL_tmpz00_28898,
													BgL_auxz00_28900);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28903;

												BgL_tmpz00_28903 = (int) (1L);
												STRUCT_SET(BgL_newz00_17178, BgL_tmpz00_28903,
													BgL_runz00_17173);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28908;
												int BgL_tmpz00_28906;

												BgL_auxz00_28908 = BINT(-4L);
												BgL_tmpz00_28906 = (int) (0L);
												STRUCT_SET(BgL_newz00_17178, BgL_tmpz00_28906,
													BgL_auxz00_28908);
											}
											BgL_arg3802z00_17176 = BgL_newz00_17178;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17174, BgL_arg3802z00_17176);
									BgL_arg3802z00_17176;
								}
								return BgL_mainz00_17174;
							}
						}
					}
				}
			}
		}

	}



/* &main4530 */
	obj_t BGl_z62main4530z62zz__evaluate_compz00(obj_t BgL_envz00_14597,
		obj_t BgL_bz00_14602, obj_t BgL_cz00_14603, obj_t BgL_dz00_14604,
		obj_t BgL_lastz00_14605)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14600;
				long BgL_siza7ezd2framez75_14601;

				BgL_runz00_14600 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14597, (int) (2L)));
				BgL_siza7ezd2framez75_14601 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14597, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17179;

					BgL_sz00_17179 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17180;

						BgL_bpz00_17180 = VECTOR_REF(((obj_t) BgL_sz00_17179), 0L);
						if (
							(((long) CINT(BgL_bpz00_17180) + BgL_siza7ezd2framez75_14601) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17179))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3806z00_17181;

									BgL_arg3806z00_17181 = ((long) CINT(BgL_bpz00_17180) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17179), BgL_arg3806z00_17181,
										BgL_bz00_14602);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3807z00_17182;

									BgL_arg3807z00_17182 = ((long) CINT(BgL_bpz00_17180) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17179), BgL_arg3807z00_17182,
										BgL_cz00_14603);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3808z00_17183;

									BgL_arg3808z00_17183 = ((long) CINT(BgL_bpz00_17180) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17179), BgL_arg3808z00_17183,
										BgL_dz00_14604);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3809z00_17184;

									BgL_arg3809z00_17184 = ((long) CINT(BgL_bpz00_17180) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17179), BgL_arg3809z00_17184,
										BgL_lastz00_14605);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17185;

									BgL_ez00_17185 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17186;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17187;

											BgL_arg4359z00_17187 = BGL_EXITD_PROTECT(BgL_ez00_17185);
											BgL_arg4358z00_17186 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17180, BgL_arg4359z00_17187);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17185, BgL_arg4358z00_17186);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17188;

										BgL_accz00_17188 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14600, BgL_sz00_17179, BgL_bpz00_17180);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5531z00_28948;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17189;

												BgL_arg4357z00_17189 =
													BGL_EXITD_PROTECT(BgL_ez00_17185);
												BgL_test5531z00_28948 = PAIRP(BgL_arg4357z00_17189);
											}
											if (BgL_test5531z00_28948)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17190;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17191;

														BgL_arg4356z00_17191 =
															BGL_EXITD_PROTECT(BgL_ez00_17185);
														BgL_arg4355z00_17190 =
															CDR(((obj_t) BgL_arg4356z00_17191));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17185,
														BgL_arg4355z00_17190);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17179), 0L, BgL_bpz00_17180);
										return BgL_accz00_17188;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17192;

								BgL_nsz00_17192 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17192, 1L, BgL_sz00_17179);
								VECTOR_SET(BgL_nsz00_17192, 2L, BgL_bz00_14602);
								VECTOR_SET(BgL_nsz00_17192, 3L, BgL_cz00_14603);
								VECTOR_SET(BgL_nsz00_17192, 4L, BgL_dz00_14604);
								VECTOR_SET(BgL_nsz00_17192, 5L, BgL_lastz00_14605);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17193;

									BgL_z12denvz12_17193 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17193, BgL_nsz00_17192);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17194;

										BgL_ez00_17194 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17195;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17196;

												BgL_arg4359z00_17196 =
													BGL_EXITD_PROTECT(BgL_ez00_17194);
												BgL_arg4358z00_17195 =
													MAKE_YOUNG_PAIR(BgL_sz00_17179, BgL_arg4359z00_17196);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17194,
												BgL_arg4358z00_17195);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17197;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17198;

												BgL_savedzd2bpzd2_17198 =
													VECTOR_REF(BgL_nsz00_17192, 0L);
												VECTOR_SET(BgL_nsz00_17192, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17200;

													BgL_fz00_17200 = BgL_runz00_14600;
												BgL_recz00_17199:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17201;

														BgL_rz00_17201 =
															(VA_PROCEDUREP(BgL_fz00_17200) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17200))
															(BgL_fz00_17200, BgL_nsz00_17192,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17200))
															(BgL_fz00_17200, BgL_nsz00_17192));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5532z00_28976;

															if (PROCEDUREP(BgL_rz00_17201))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17202;

																	BgL_arg1778z00_17202 =
																		PROCEDURE_ATTR(BgL_rz00_17201);
																	if (STRUCTP(BgL_arg1778z00_17202))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5532z00_28976 =
																				(STRUCT_KEY(BgL_arg1778z00_17202) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5532z00_28976 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5532z00_28976 = ((bool_t) 0);
																}
															if (BgL_test5532z00_28976)
																{
																	obj_t BgL_fz00_28984;

																	BgL_fz00_28984 = BgL_rz00_17201;
																	BgL_fz00_17200 = BgL_fz00_28984;
																	goto BgL_recz00_17199;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17192, 0L,
																		BgL_savedzd2bpzd2_17198);
																	BgL_____rz00_17197 = BgL_rz00_17201;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5535z00_28986;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17203;

													BgL_arg4357z00_17203 =
														BGL_EXITD_PROTECT(BgL_ez00_17194);
													BgL_test5535z00_28986 = PAIRP(BgL_arg4357z00_17203);
												}
												if (BgL_test5535z00_28986)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17204;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17205;

															BgL_arg4356z00_17205 =
																BGL_EXITD_PROTECT(BgL_ez00_17194);
															BgL_arg4355z00_17204 =
																CDR(((obj_t) BgL_arg4356z00_17205));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17194,
															BgL_arg4355z00_17204);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17193, BgL_sz00_17179);
											return BgL_____rz00_17197;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4531 */
	obj_t BGl_z62run4531z62zz__evaluate_compz00(obj_t BgL_envz00_14606,
		obj_t BgL_sz00_14609)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14607;
				obj_t BgL_bodyz00_14608;

				BgL_i1255z00_14607 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14606, (int) (0L)));
				BgL_bodyz00_14608 = PROCEDURE_REF(BgL_envz00_14606, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17206;

					BgL_bpz00_17206 = VECTOR_REF(((obj_t) BgL_sz00_14609), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17207;
						obj_t BgL_wherez00_17208;
						obj_t BgL_locz00_17209;

						BgL_z12denvz12_17207 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17208 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14607))->
							BgL_wherez00);
						BgL_locz00_17209 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14607))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17207, BgL_wherez00_17208,
								BgL_locz00_17209);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17210;

								BgL_za2za2resza2za2z00_17210 =
									(VA_PROCEDUREP(BgL_bodyz00_14608) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14608)) (BgL_bodyz00_14608,
										BgL_sz00_14609, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14608)) (BgL_bodyz00_14608,
										BgL_sz00_14609));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17207);
								return BgL_za2za2resza2za2z00_17210;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3811> */
	obj_t BGl_z62zc3z04anonymousza33811ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14610, obj_t BgL_sz00_14615)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14611;
				BgL_ev_absz00_bglt BgL_i1255z00_14612;
				obj_t BgL_bodyz00_14613;
				long BgL_siza7ezd2framez75_14614;

				BgL_iboxesz00_14611 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14610, (int) (0L)));
				BgL_i1255z00_14612 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14610, (int) (1L)));
				BgL_bodyz00_14613 = PROCEDURE_REF(BgL_envz00_14610, (int) (2L));
				BgL_siza7ezd2framez75_14614 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14610, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17211;

					BgL_bpz00_17211 = VECTOR_REF(((obj_t) BgL_sz00_14615), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17212;

							BgL_runz00_17212 =
								MAKE_FX_PROCEDURE(BGl_z62run4533z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_17212, (int) (0L), BgL_iboxesz00_14611);
							PROCEDURE_SET(BgL_runz00_17212,
								(int) (1L), ((obj_t) BgL_i1255z00_14612));
							PROCEDURE_SET(BgL_runz00_17212, (int) (2L), BgL_bodyz00_14613);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17213;

								BgL_mainz00_17213 =
									MAKE_VA_PROCEDURE(BGl_z62main4532z62zz__evaluate_compz00,
									(int) (-4L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_17213,
									(int) (0L), BgL_iboxesz00_14611);
								PROCEDURE_SET(BgL_mainz00_17213,
									(int) (1L), ((obj_t) BgL_i1255z00_14612));
								PROCEDURE_SET(BgL_mainz00_17213, (int) (2L), BgL_bodyz00_14613);
								PROCEDURE_SET(BgL_mainz00_17213, (int) (3L), BgL_runz00_17212);
								PROCEDURE_SET(BgL_mainz00_17213,
									(int) (4L), BINT(BgL_siza7ezd2framez75_14614));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17214;

									BgL_objz00_17214 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17212, BgL_objz00_17214);
									BgL_objz00_17214;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3812z00_17215;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3813z00_17216;

										BgL_arg3813z00_17216 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14612))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17217;

											BgL_newz00_17217 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29052;

												BgL_tmpz00_29052 = (int) (3L);
												STRUCT_SET(BgL_newz00_17217, BgL_tmpz00_29052,
													BgL_arg3813z00_17216);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29057;
												int BgL_tmpz00_29055;

												BgL_auxz00_29057 = BINT(BgL_siza7ezd2framez75_14614);
												BgL_tmpz00_29055 = (int) (2L);
												STRUCT_SET(BgL_newz00_17217, BgL_tmpz00_29055,
													BgL_auxz00_29057);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29060;

												BgL_tmpz00_29060 = (int) (1L);
												STRUCT_SET(BgL_newz00_17217, BgL_tmpz00_29060,
													BgL_runz00_17212);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29065;
												int BgL_tmpz00_29063;

												BgL_auxz00_29065 = BINT(-4L);
												BgL_tmpz00_29063 = (int) (0L);
												STRUCT_SET(BgL_newz00_17217, BgL_tmpz00_29063,
													BgL_auxz00_29065);
											}
											BgL_arg3812z00_17215 = BgL_newz00_17217;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17213, BgL_arg3812z00_17215);
									BgL_arg3812z00_17215;
								}
								return BgL_mainz00_17213;
							}
						}
					}
				}
			}
		}

	}



/* &main4532 */
	obj_t BGl_z62main4532z62zz__evaluate_compz00(obj_t BgL_envz00_14616,
		obj_t BgL_bz00_14622, obj_t BgL_cz00_14623, obj_t BgL_dz00_14624,
		obj_t BgL_lastz00_14625)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14620;
				long BgL_siza7ezd2framez75_14621;

				BgL_runz00_14620 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14616, (int) (3L)));
				BgL_siza7ezd2framez75_14621 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14616, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17218;

					BgL_sz00_17218 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17219;

						BgL_bpz00_17219 = VECTOR_REF(((obj_t) BgL_sz00_17218), 0L);
						if (
							(((long) CINT(BgL_bpz00_17219) + BgL_siza7ezd2framez75_14621) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17218))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3816z00_17220;

									BgL_arg3816z00_17220 = ((long) CINT(BgL_bpz00_17219) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17218), BgL_arg3816z00_17220,
										BgL_bz00_14622);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3817z00_17221;

									BgL_arg3817z00_17221 = ((long) CINT(BgL_bpz00_17219) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17218), BgL_arg3817z00_17221,
										BgL_cz00_14623);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3818z00_17222;

									BgL_arg3818z00_17222 = ((long) CINT(BgL_bpz00_17219) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17218), BgL_arg3818z00_17222,
										BgL_dz00_14624);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3819z00_17223;

									BgL_arg3819z00_17223 = ((long) CINT(BgL_bpz00_17219) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17218), BgL_arg3819z00_17223,
										BgL_lastz00_14625);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17224;

									BgL_ez00_17224 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17225;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17226;

											BgL_arg4359z00_17226 = BGL_EXITD_PROTECT(BgL_ez00_17224);
											BgL_arg4358z00_17225 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17219, BgL_arg4359z00_17226);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17224, BgL_arg4358z00_17225);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17227;

										BgL_accz00_17227 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14620, BgL_sz00_17218, BgL_bpz00_17219);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5537z00_29105;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17228;

												BgL_arg4357z00_17228 =
													BGL_EXITD_PROTECT(BgL_ez00_17224);
												BgL_test5537z00_29105 = PAIRP(BgL_arg4357z00_17228);
											}
											if (BgL_test5537z00_29105)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17229;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17230;

														BgL_arg4356z00_17230 =
															BGL_EXITD_PROTECT(BgL_ez00_17224);
														BgL_arg4355z00_17229 =
															CDR(((obj_t) BgL_arg4356z00_17230));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17224,
														BgL_arg4355z00_17229);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17218), 0L, BgL_bpz00_17219);
										return BgL_accz00_17227;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17231;

								BgL_nsz00_17231 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17231, 1L, BgL_sz00_17218);
								VECTOR_SET(BgL_nsz00_17231, 2L, BgL_bz00_14622);
								VECTOR_SET(BgL_nsz00_17231, 3L, BgL_cz00_14623);
								VECTOR_SET(BgL_nsz00_17231, 4L, BgL_dz00_14624);
								VECTOR_SET(BgL_nsz00_17231, 5L, BgL_lastz00_14625);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17232;

									BgL_z12denvz12_17232 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17232, BgL_nsz00_17231);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17233;

										BgL_ez00_17233 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17234;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17235;

												BgL_arg4359z00_17235 =
													BGL_EXITD_PROTECT(BgL_ez00_17233);
												BgL_arg4358z00_17234 =
													MAKE_YOUNG_PAIR(BgL_sz00_17218, BgL_arg4359z00_17235);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17233,
												BgL_arg4358z00_17234);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17236;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17237;

												BgL_savedzd2bpzd2_17237 =
													VECTOR_REF(BgL_nsz00_17231, 0L);
												VECTOR_SET(BgL_nsz00_17231, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17239;

													BgL_fz00_17239 = BgL_runz00_14620;
												BgL_recz00_17238:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17240;

														BgL_rz00_17240 =
															(VA_PROCEDUREP(BgL_fz00_17239) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17239))
															(BgL_fz00_17239, BgL_nsz00_17231,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17239))
															(BgL_fz00_17239, BgL_nsz00_17231));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5538z00_29133;

															if (PROCEDUREP(BgL_rz00_17240))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17241;

																	BgL_arg1778z00_17241 =
																		PROCEDURE_ATTR(BgL_rz00_17240);
																	if (STRUCTP(BgL_arg1778z00_17241))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5538z00_29133 =
																				(STRUCT_KEY(BgL_arg1778z00_17241) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5538z00_29133 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5538z00_29133 = ((bool_t) 0);
																}
															if (BgL_test5538z00_29133)
																{
																	obj_t BgL_fz00_29141;

																	BgL_fz00_29141 = BgL_rz00_17240;
																	BgL_fz00_17239 = BgL_fz00_29141;
																	goto BgL_recz00_17238;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17231, 0L,
																		BgL_savedzd2bpzd2_17237);
																	BgL_____rz00_17236 = BgL_rz00_17240;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5541z00_29143;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17242;

													BgL_arg4357z00_17242 =
														BGL_EXITD_PROTECT(BgL_ez00_17233);
													BgL_test5541z00_29143 = PAIRP(BgL_arg4357z00_17242);
												}
												if (BgL_test5541z00_29143)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17243;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17244;

															BgL_arg4356z00_17244 =
																BGL_EXITD_PROTECT(BgL_ez00_17233);
															BgL_arg4355z00_17243 =
																CDR(((obj_t) BgL_arg4356z00_17244));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17233,
															BgL_arg4355z00_17243);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17232, BgL_sz00_17218);
											return BgL_____rz00_17236;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4533 */
	obj_t BGl_z62run4533z62zz__evaluate_compz00(obj_t BgL_envz00_14626,
		obj_t BgL_sz00_14630)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14627;
				BgL_ev_absz00_bglt BgL_i1255z00_14628;
				obj_t BgL_bodyz00_14629;

				BgL_iboxesz00_14627 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14626, (int) (0L)));
				BgL_i1255z00_14628 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14626, (int) (1L)));
				BgL_bodyz00_14629 = PROCEDURE_REF(BgL_envz00_14626, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17245;

					BgL_bpz00_17245 = VECTOR_REF(((obj_t) BgL_sz00_14630), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14630,
						BgL_iboxesz00_14627, BgL_bpz00_17245);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17246;
						obj_t BgL_wherez00_17247;
						obj_t BgL_locz00_17248;

						BgL_z12denvz12_17246 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17247 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14628))->
							BgL_wherez00);
						BgL_locz00_17248 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14628))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17246, BgL_wherez00_17247,
								BgL_locz00_17248);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17249;

								BgL_za2za2resza2za2z00_17249 =
									(VA_PROCEDUREP(BgL_bodyz00_14629) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14629)) (BgL_bodyz00_14629,
										BgL_sz00_14630, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14629)) (BgL_bodyz00_14629,
										BgL_sz00_14630));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17246);
								return BgL_za2za2resza2za2z00_17249;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3824> */
	obj_t BGl_z62zc3z04anonymousza33824ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14631, obj_t BgL_sz00_14637)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14632;
				long BgL_siza7eza7_14633;
				BgL_ev_absz00_bglt BgL_i1255z00_14634;
				obj_t BgL_bodyz00_14635;
				long BgL_siza7ezd2framez75_14636;

				BgL_ifreesz00_14632 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14631, (int) (0L)));
				BgL_siza7eza7_14633 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14631, (int) (1L)));
				BgL_i1255z00_14634 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14631, (int) (2L)));
				BgL_bodyz00_14635 = PROCEDURE_REF(BgL_envz00_14631, (int) (3L));
				BgL_siza7ezd2framez75_14636 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14631, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17250;

					BgL_bpz00_17250 = VECTOR_REF(((obj_t) BgL_sz00_14637), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17251;

						BgL_valza2za2_17251 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14637,
							BgL_bpz00_17250, BgL_ifreesz00_14632);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17252;

							BgL_runz00_17252 =
								MAKE_FX_PROCEDURE(BGl_z62run4535z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_17252,
								(int) (0L), BINT(BgL_siza7eza7_14633));
							PROCEDURE_SET(BgL_runz00_17252, (int) (1L), BgL_valza2za2_17251);
							PROCEDURE_SET(BgL_runz00_17252,
								(int) (2L), ((obj_t) BgL_i1255z00_14634));
							PROCEDURE_SET(BgL_runz00_17252, (int) (3L), BgL_bodyz00_14635);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17253;

								BgL_mainz00_17253 =
									MAKE_VA_PROCEDURE(BGl_z62main4534z62zz__evaluate_compz00,
									(int) (-4L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_17253,
									(int) (0L), BINT(BgL_siza7eza7_14633));
								PROCEDURE_SET(BgL_mainz00_17253,
									(int) (1L), BgL_valza2za2_17251);
								PROCEDURE_SET(BgL_mainz00_17253,
									(int) (2L), ((obj_t) BgL_i1255z00_14634));
								PROCEDURE_SET(BgL_mainz00_17253, (int) (3L), BgL_bodyz00_14635);
								PROCEDURE_SET(BgL_mainz00_17253, (int) (4L), BgL_runz00_17252);
								PROCEDURE_SET(BgL_mainz00_17253,
									(int) (5L), BINT(BgL_siza7ezd2framez75_14636));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17254;

									BgL_objz00_17254 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17252, BgL_objz00_17254);
									BgL_objz00_17254;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3825z00_17255;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3826z00_17256;

										BgL_arg3826z00_17256 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14634))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17257;

											BgL_newz00_17257 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29223;

												BgL_tmpz00_29223 = (int) (3L);
												STRUCT_SET(BgL_newz00_17257, BgL_tmpz00_29223,
													BgL_arg3826z00_17256);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29228;
												int BgL_tmpz00_29226;

												BgL_auxz00_29228 = BINT(BgL_siza7ezd2framez75_14636);
												BgL_tmpz00_29226 = (int) (2L);
												STRUCT_SET(BgL_newz00_17257, BgL_tmpz00_29226,
													BgL_auxz00_29228);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29231;

												BgL_tmpz00_29231 = (int) (1L);
												STRUCT_SET(BgL_newz00_17257, BgL_tmpz00_29231,
													BgL_runz00_17252);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29236;
												int BgL_tmpz00_29234;

												BgL_auxz00_29236 = BINT(-4L);
												BgL_tmpz00_29234 = (int) (0L);
												STRUCT_SET(BgL_newz00_17257, BgL_tmpz00_29234,
													BgL_auxz00_29236);
											}
											BgL_arg3825z00_17255 = BgL_newz00_17257;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17253, BgL_arg3825z00_17255);
									BgL_arg3825z00_17255;
								}
								return BgL_mainz00_17253;
							}
						}
					}
				}
			}
		}

	}



/* &main4534 */
	obj_t BGl_z62main4534z62zz__evaluate_compz00(obj_t BgL_envz00_14638,
		obj_t BgL_bz00_14645, obj_t BgL_cz00_14646, obj_t BgL_dz00_14647,
		obj_t BgL_lastz00_14648)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14643;
				long BgL_siza7ezd2framez75_14644;

				BgL_runz00_14643 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14638, (int) (4L)));
				BgL_siza7ezd2framez75_14644 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14638, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17258;

					BgL_sz00_17258 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17259;

						BgL_bpz00_17259 = VECTOR_REF(((obj_t) BgL_sz00_17258), 0L);
						if (
							(((long) CINT(BgL_bpz00_17259) + BgL_siza7ezd2framez75_14644) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17258))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3829z00_17260;

									BgL_arg3829z00_17260 = ((long) CINT(BgL_bpz00_17259) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17258), BgL_arg3829z00_17260,
										BgL_bz00_14645);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3830z00_17261;

									BgL_arg3830z00_17261 = ((long) CINT(BgL_bpz00_17259) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17258), BgL_arg3830z00_17261,
										BgL_cz00_14646);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3831z00_17262;

									BgL_arg3831z00_17262 = ((long) CINT(BgL_bpz00_17259) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17258), BgL_arg3831z00_17262,
										BgL_dz00_14647);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3832z00_17263;

									BgL_arg3832z00_17263 = ((long) CINT(BgL_bpz00_17259) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17258), BgL_arg3832z00_17263,
										BgL_lastz00_14648);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17264;

									BgL_ez00_17264 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17265;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17266;

											BgL_arg4359z00_17266 = BGL_EXITD_PROTECT(BgL_ez00_17264);
											BgL_arg4358z00_17265 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17259, BgL_arg4359z00_17266);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17264, BgL_arg4358z00_17265);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17267;

										BgL_accz00_17267 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14643, BgL_sz00_17258, BgL_bpz00_17259);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5543z00_29276;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17268;

												BgL_arg4357z00_17268 =
													BGL_EXITD_PROTECT(BgL_ez00_17264);
												BgL_test5543z00_29276 = PAIRP(BgL_arg4357z00_17268);
											}
											if (BgL_test5543z00_29276)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17269;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17270;

														BgL_arg4356z00_17270 =
															BGL_EXITD_PROTECT(BgL_ez00_17264);
														BgL_arg4355z00_17269 =
															CDR(((obj_t) BgL_arg4356z00_17270));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17264,
														BgL_arg4355z00_17269);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17258), 0L, BgL_bpz00_17259);
										return BgL_accz00_17267;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17271;

								BgL_nsz00_17271 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17271, 1L, BgL_sz00_17258);
								VECTOR_SET(BgL_nsz00_17271, 2L, BgL_bz00_14645);
								VECTOR_SET(BgL_nsz00_17271, 3L, BgL_cz00_14646);
								VECTOR_SET(BgL_nsz00_17271, 4L, BgL_dz00_14647);
								VECTOR_SET(BgL_nsz00_17271, 5L, BgL_lastz00_14648);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17272;

									BgL_z12denvz12_17272 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17272, BgL_nsz00_17271);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17273;

										BgL_ez00_17273 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17274;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17275;

												BgL_arg4359z00_17275 =
													BGL_EXITD_PROTECT(BgL_ez00_17273);
												BgL_arg4358z00_17274 =
													MAKE_YOUNG_PAIR(BgL_sz00_17258, BgL_arg4359z00_17275);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17273,
												BgL_arg4358z00_17274);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17276;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17277;

												BgL_savedzd2bpzd2_17277 =
													VECTOR_REF(BgL_nsz00_17271, 0L);
												VECTOR_SET(BgL_nsz00_17271, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17279;

													BgL_fz00_17279 = BgL_runz00_14643;
												BgL_recz00_17278:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17280;

														BgL_rz00_17280 =
															(VA_PROCEDUREP(BgL_fz00_17279) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17279))
															(BgL_fz00_17279, BgL_nsz00_17271,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17279))
															(BgL_fz00_17279, BgL_nsz00_17271));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5544z00_29304;

															if (PROCEDUREP(BgL_rz00_17280))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17281;

																	BgL_arg1778z00_17281 =
																		PROCEDURE_ATTR(BgL_rz00_17280);
																	if (STRUCTP(BgL_arg1778z00_17281))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5544z00_29304 =
																				(STRUCT_KEY(BgL_arg1778z00_17281) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5544z00_29304 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5544z00_29304 = ((bool_t) 0);
																}
															if (BgL_test5544z00_29304)
																{
																	obj_t BgL_fz00_29312;

																	BgL_fz00_29312 = BgL_rz00_17280;
																	BgL_fz00_17279 = BgL_fz00_29312;
																	goto BgL_recz00_17278;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17271, 0L,
																		BgL_savedzd2bpzd2_17277);
																	BgL_____rz00_17276 = BgL_rz00_17280;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5547z00_29314;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17282;

													BgL_arg4357z00_17282 =
														BGL_EXITD_PROTECT(BgL_ez00_17273);
													BgL_test5547z00_29314 = PAIRP(BgL_arg4357z00_17282);
												}
												if (BgL_test5547z00_29314)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17283;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17284;

															BgL_arg4356z00_17284 =
																BGL_EXITD_PROTECT(BgL_ez00_17273);
															BgL_arg4355z00_17283 =
																CDR(((obj_t) BgL_arg4356z00_17284));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17273,
															BgL_arg4355z00_17283);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17272, BgL_sz00_17258);
											return BgL_____rz00_17276;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4535 */
	obj_t BGl_z62run4535z62zz__evaluate_compz00(obj_t BgL_envz00_14649,
		obj_t BgL_sz00_14654)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14650;
				obj_t BgL_valza2za2_14651;
				BgL_ev_absz00_bglt BgL_i1255z00_14652;
				obj_t BgL_bodyz00_14653;

				BgL_siza7eza7_14650 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14649, (int) (0L)));
				BgL_valza2za2_14651 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14649, (int) (1L)));
				BgL_i1255z00_14652 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14649, (int) (2L)));
				BgL_bodyz00_14653 = PROCEDURE_REF(BgL_envz00_14649, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17285;

					BgL_bpz00_17285 = VECTOR_REF(((obj_t) BgL_sz00_14654), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14654,
						BgL_valza2za2_14651,
						((long) CINT(BgL_bpz00_17285) + BgL_siza7eza7_14650));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17286;
						obj_t BgL_wherez00_17287;
						obj_t BgL_locz00_17288;

						BgL_z12denvz12_17286 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17287 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14652))->
							BgL_wherez00);
						BgL_locz00_17288 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14652))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17286, BgL_wherez00_17287,
								BgL_locz00_17288);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17289;

								BgL_za2za2resza2za2z00_17289 =
									(VA_PROCEDUREP(BgL_bodyz00_14653) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14653)) (BgL_bodyz00_14653,
										BgL_sz00_14654, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14653)) (BgL_bodyz00_14653,
										BgL_sz00_14654));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17286);
								return BgL_za2za2resza2za2z00_17289;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3835> */
	obj_t BGl_z62zc3z04anonymousza33835ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14655, obj_t BgL_sz00_14662)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14656;
				obj_t BgL_iboxesz00_14657;
				long BgL_siza7eza7_14658;
				BgL_ev_absz00_bglt BgL_i1255z00_14659;
				obj_t BgL_bodyz00_14660;
				long BgL_siza7ezd2framez75_14661;

				BgL_ifreesz00_14656 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14655, (int) (0L)));
				BgL_iboxesz00_14657 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14655, (int) (1L)));
				BgL_siza7eza7_14658 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14655, (int) (2L)));
				BgL_i1255z00_14659 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14655, (int) (3L)));
				BgL_bodyz00_14660 = PROCEDURE_REF(BgL_envz00_14655, (int) (4L));
				BgL_siza7ezd2framez75_14661 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14655, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17290;

					BgL_bpz00_17290 = VECTOR_REF(((obj_t) BgL_sz00_14662), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17291;

						BgL_valza2za2_17291 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14662,
							BgL_bpz00_17290, BgL_ifreesz00_14656);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17292;

							BgL_runz00_17292 =
								MAKE_FX_PROCEDURE(BGl_z62run4537z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_17292, (int) (0L), BgL_iboxesz00_14657);
							PROCEDURE_SET(BgL_runz00_17292,
								(int) (1L), BINT(BgL_siza7eza7_14658));
							PROCEDURE_SET(BgL_runz00_17292, (int) (2L), BgL_valza2za2_17291);
							PROCEDURE_SET(BgL_runz00_17292,
								(int) (3L), ((obj_t) BgL_i1255z00_14659));
							PROCEDURE_SET(BgL_runz00_17292, (int) (4L), BgL_bodyz00_14660);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17293;

								BgL_mainz00_17293 =
									MAKE_VA_PROCEDURE(BGl_z62main4536z62zz__evaluate_compz00,
									(int) (-4L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_17293,
									(int) (0L), BgL_iboxesz00_14657);
								PROCEDURE_SET(BgL_mainz00_17293,
									(int) (1L), BINT(BgL_siza7eza7_14658));
								PROCEDURE_SET(BgL_mainz00_17293,
									(int) (2L), BgL_valza2za2_17291);
								PROCEDURE_SET(BgL_mainz00_17293,
									(int) (3L), ((obj_t) BgL_i1255z00_14659));
								PROCEDURE_SET(BgL_mainz00_17293, (int) (4L), BgL_bodyz00_14660);
								PROCEDURE_SET(BgL_mainz00_17293, (int) (5L), BgL_runz00_17292);
								PROCEDURE_SET(BgL_mainz00_17293,
									(int) (6L), BINT(BgL_siza7ezd2framez75_14661));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17294;

									BgL_objz00_17294 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17292, BgL_objz00_17294);
									BgL_objz00_17294;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3836z00_17295;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3837z00_17296;

										BgL_arg3837z00_17296 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14659))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17297;

											BgL_newz00_17297 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29406;

												BgL_tmpz00_29406 = (int) (3L);
												STRUCT_SET(BgL_newz00_17297, BgL_tmpz00_29406,
													BgL_arg3837z00_17296);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29411;
												int BgL_tmpz00_29409;

												BgL_auxz00_29411 = BINT(BgL_siza7ezd2framez75_14661);
												BgL_tmpz00_29409 = (int) (2L);
												STRUCT_SET(BgL_newz00_17297, BgL_tmpz00_29409,
													BgL_auxz00_29411);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29414;

												BgL_tmpz00_29414 = (int) (1L);
												STRUCT_SET(BgL_newz00_17297, BgL_tmpz00_29414,
													BgL_runz00_17292);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29419;
												int BgL_tmpz00_29417;

												BgL_auxz00_29419 = BINT(-4L);
												BgL_tmpz00_29417 = (int) (0L);
												STRUCT_SET(BgL_newz00_17297, BgL_tmpz00_29417,
													BgL_auxz00_29419);
											}
											BgL_arg3836z00_17295 = BgL_newz00_17297;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17293, BgL_arg3836z00_17295);
									BgL_arg3836z00_17295;
								}
								return BgL_mainz00_17293;
							}
						}
					}
				}
			}
		}

	}



/* &main4536 */
	obj_t BGl_z62main4536z62zz__evaluate_compz00(obj_t BgL_envz00_14663,
		obj_t BgL_bz00_14671, obj_t BgL_cz00_14672, obj_t BgL_dz00_14673,
		obj_t BgL_lastz00_14674)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14669;
				long BgL_siza7ezd2framez75_14670;

				BgL_runz00_14669 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14663, (int) (5L)));
				BgL_siza7ezd2framez75_14670 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14663, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17298;

					BgL_sz00_17298 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17299;

						BgL_bpz00_17299 = VECTOR_REF(((obj_t) BgL_sz00_17298), 0L);
						if (
							(((long) CINT(BgL_bpz00_17299) + BgL_siza7ezd2framez75_14670) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17298))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3840z00_17300;

									BgL_arg3840z00_17300 = ((long) CINT(BgL_bpz00_17299) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17298), BgL_arg3840z00_17300,
										BgL_bz00_14671);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3841z00_17301;

									BgL_arg3841z00_17301 = ((long) CINT(BgL_bpz00_17299) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17298), BgL_arg3841z00_17301,
										BgL_cz00_14672);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3842z00_17302;

									BgL_arg3842z00_17302 = ((long) CINT(BgL_bpz00_17299) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17298), BgL_arg3842z00_17302,
										BgL_dz00_14673);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3843z00_17303;

									BgL_arg3843z00_17303 = ((long) CINT(BgL_bpz00_17299) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17298), BgL_arg3843z00_17303,
										BgL_lastz00_14674);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17304;

									BgL_ez00_17304 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17305;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17306;

											BgL_arg4359z00_17306 = BGL_EXITD_PROTECT(BgL_ez00_17304);
											BgL_arg4358z00_17305 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17299, BgL_arg4359z00_17306);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17304, BgL_arg4358z00_17305);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17307;

										BgL_accz00_17307 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14669, BgL_sz00_17298, BgL_bpz00_17299);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5549z00_29459;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17308;

												BgL_arg4357z00_17308 =
													BGL_EXITD_PROTECT(BgL_ez00_17304);
												BgL_test5549z00_29459 = PAIRP(BgL_arg4357z00_17308);
											}
											if (BgL_test5549z00_29459)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17309;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17310;

														BgL_arg4356z00_17310 =
															BGL_EXITD_PROTECT(BgL_ez00_17304);
														BgL_arg4355z00_17309 =
															CDR(((obj_t) BgL_arg4356z00_17310));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17304,
														BgL_arg4355z00_17309);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17298), 0L, BgL_bpz00_17299);
										return BgL_accz00_17307;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17311;

								BgL_nsz00_17311 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17311, 1L, BgL_sz00_17298);
								VECTOR_SET(BgL_nsz00_17311, 2L, BgL_bz00_14671);
								VECTOR_SET(BgL_nsz00_17311, 3L, BgL_cz00_14672);
								VECTOR_SET(BgL_nsz00_17311, 4L, BgL_dz00_14673);
								VECTOR_SET(BgL_nsz00_17311, 5L, BgL_lastz00_14674);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17312;

									BgL_z12denvz12_17312 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17312, BgL_nsz00_17311);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17313;

										BgL_ez00_17313 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17314;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17315;

												BgL_arg4359z00_17315 =
													BGL_EXITD_PROTECT(BgL_ez00_17313);
												BgL_arg4358z00_17314 =
													MAKE_YOUNG_PAIR(BgL_sz00_17298, BgL_arg4359z00_17315);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17313,
												BgL_arg4358z00_17314);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17316;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17317;

												BgL_savedzd2bpzd2_17317 =
													VECTOR_REF(BgL_nsz00_17311, 0L);
												VECTOR_SET(BgL_nsz00_17311, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17319;

													BgL_fz00_17319 = BgL_runz00_14669;
												BgL_recz00_17318:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17320;

														BgL_rz00_17320 =
															(VA_PROCEDUREP(BgL_fz00_17319) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17319))
															(BgL_fz00_17319, BgL_nsz00_17311,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17319))
															(BgL_fz00_17319, BgL_nsz00_17311));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5550z00_29487;

															if (PROCEDUREP(BgL_rz00_17320))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17321;

																	BgL_arg1778z00_17321 =
																		PROCEDURE_ATTR(BgL_rz00_17320);
																	if (STRUCTP(BgL_arg1778z00_17321))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5550z00_29487 =
																				(STRUCT_KEY(BgL_arg1778z00_17321) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5550z00_29487 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5550z00_29487 = ((bool_t) 0);
																}
															if (BgL_test5550z00_29487)
																{
																	obj_t BgL_fz00_29495;

																	BgL_fz00_29495 = BgL_rz00_17320;
																	BgL_fz00_17319 = BgL_fz00_29495;
																	goto BgL_recz00_17318;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17311, 0L,
																		BgL_savedzd2bpzd2_17317);
																	BgL_____rz00_17316 = BgL_rz00_17320;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5553z00_29497;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17322;

													BgL_arg4357z00_17322 =
														BGL_EXITD_PROTECT(BgL_ez00_17313);
													BgL_test5553z00_29497 = PAIRP(BgL_arg4357z00_17322);
												}
												if (BgL_test5553z00_29497)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17323;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17324;

															BgL_arg4356z00_17324 =
																BGL_EXITD_PROTECT(BgL_ez00_17313);
															BgL_arg4355z00_17323 =
																CDR(((obj_t) BgL_arg4356z00_17324));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17313,
															BgL_arg4355z00_17323);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17312, BgL_sz00_17298);
											return BgL_____rz00_17316;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4537 */
	obj_t BGl_z62run4537z62zz__evaluate_compz00(obj_t BgL_envz00_14675,
		obj_t BgL_sz00_14681)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14676;
				long BgL_siza7eza7_14677;
				obj_t BgL_valza2za2_14678;
				BgL_ev_absz00_bglt BgL_i1255z00_14679;
				obj_t BgL_bodyz00_14680;

				BgL_iboxesz00_14676 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14675, (int) (0L)));
				BgL_siza7eza7_14677 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14675, (int) (1L)));
				BgL_valza2za2_14678 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14675, (int) (2L)));
				BgL_i1255z00_14679 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14675, (int) (3L)));
				BgL_bodyz00_14680 = PROCEDURE_REF(BgL_envz00_14675, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17325;

					BgL_bpz00_17325 = VECTOR_REF(((obj_t) BgL_sz00_14681), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14681,
						BgL_iboxesz00_14676, BgL_bpz00_17325);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14681,
						BgL_valza2za2_14678,
						((long) CINT(BgL_bpz00_17325) + BgL_siza7eza7_14677));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17326;
						obj_t BgL_wherez00_17327;
						obj_t BgL_locz00_17328;

						BgL_z12denvz12_17326 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17327 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14679))->
							BgL_wherez00);
						BgL_locz00_17328 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14679))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17326, BgL_wherez00_17327,
								BgL_locz00_17328);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17329;

								BgL_za2za2resza2za2z00_17329 =
									(VA_PROCEDUREP(BgL_bodyz00_14680) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14680)) (BgL_bodyz00_14680,
										BgL_sz00_14681, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14680)) (BgL_bodyz00_14680,
										BgL_sz00_14681));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17326);
								return BgL_za2za2resza2za2z00_17329;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3753> */
	obj_t BGl_z62zc3z04anonymousza33753ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14682, obj_t BgL_sz00_14686)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14683;
				obj_t BgL_bodyz00_14684;
				long BgL_siza7ezd2framez75_14685;

				BgL_i1255z00_14683 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14682, (int) (0L)));
				BgL_bodyz00_14684 = PROCEDURE_REF(BgL_envz00_14682, (int) (1L));
				BgL_siza7ezd2framez75_14685 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14682, (int) (2L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17330;

					BgL_bpz00_17330 = VECTOR_REF(((obj_t) BgL_sz00_14686), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17331;

							BgL_runz00_17331 =
								MAKE_FX_PROCEDURE(BGl_z62run4539z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_17331,
								(int) (0L), ((obj_t) BgL_i1255z00_14683));
							PROCEDURE_SET(BgL_runz00_17331, (int) (1L), BgL_bodyz00_14684);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17332;

								BgL_mainz00_17332 =
									MAKE_FX_PROCEDURE(BGl_z62main4538z62zz__evaluate_compz00,
									(int) (3L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_17332,
									(int) (0L), ((obj_t) BgL_i1255z00_14683));
								PROCEDURE_SET(BgL_mainz00_17332, (int) (1L), BgL_bodyz00_14684);
								PROCEDURE_SET(BgL_mainz00_17332, (int) (2L), BgL_runz00_17331);
								PROCEDURE_SET(BgL_mainz00_17332,
									(int) (3L), BINT(BgL_siza7ezd2framez75_14685));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17333;

									BgL_objz00_17333 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17331, BgL_objz00_17333);
									BgL_objz00_17333;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3755z00_17334;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3756z00_17335;

										BgL_arg3756z00_17335 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14683))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17336;

											BgL_newz00_17336 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29569;

												BgL_tmpz00_29569 = (int) (3L);
												STRUCT_SET(BgL_newz00_17336, BgL_tmpz00_29569,
													BgL_arg3756z00_17335);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29574;
												int BgL_tmpz00_29572;

												BgL_auxz00_29574 = BINT(BgL_siza7ezd2framez75_14685);
												BgL_tmpz00_29572 = (int) (2L);
												STRUCT_SET(BgL_newz00_17336, BgL_tmpz00_29572,
													BgL_auxz00_29574);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29577;

												BgL_tmpz00_29577 = (int) (1L);
												STRUCT_SET(BgL_newz00_17336, BgL_tmpz00_29577,
													BgL_runz00_17331);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29582;
												int BgL_tmpz00_29580;

												BgL_auxz00_29582 = BINT(3L);
												BgL_tmpz00_29580 = (int) (0L);
												STRUCT_SET(BgL_newz00_17336, BgL_tmpz00_29580,
													BgL_auxz00_29582);
											}
											BgL_arg3755z00_17334 = BgL_newz00_17336;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17332, BgL_arg3755z00_17334);
									BgL_arg3755z00_17334;
								}
								return BgL_mainz00_17332;
							}
						}
					}
				}
			}
		}

	}



/* &main4538 */
	obj_t BGl_z62main4538z62zz__evaluate_compz00(obj_t BgL_envz00_14687,
		obj_t BgL_bz00_14692, obj_t BgL_cz00_14693, obj_t BgL_dz00_14694)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14690;
				long BgL_siza7ezd2framez75_14691;

				BgL_runz00_14690 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14687, (int) (2L)));
				BgL_siza7ezd2framez75_14691 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14687, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17337;

					BgL_sz00_17337 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17338;

						BgL_bpz00_17338 = VECTOR_REF(((obj_t) BgL_sz00_17337), 0L);
						if (
							(((long) CINT(BgL_bpz00_17338) + BgL_siza7ezd2framez75_14691) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17337))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3759z00_17339;

									BgL_arg3759z00_17339 = ((long) CINT(BgL_bpz00_17338) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17337), BgL_arg3759z00_17339,
										BgL_bz00_14692);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3760z00_17340;

									BgL_arg3760z00_17340 = ((long) CINT(BgL_bpz00_17338) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17337), BgL_arg3760z00_17340,
										BgL_cz00_14693);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3761z00_17341;

									BgL_arg3761z00_17341 = ((long) CINT(BgL_bpz00_17338) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17337), BgL_arg3761z00_17341,
										BgL_dz00_14694);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17342;

									BgL_ez00_17342 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17343;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17344;

											BgL_arg4359z00_17344 = BGL_EXITD_PROTECT(BgL_ez00_17342);
											BgL_arg4358z00_17343 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17338, BgL_arg4359z00_17344);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17342, BgL_arg4358z00_17343);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17345;

										BgL_accz00_17345 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14690, BgL_sz00_17337, BgL_bpz00_17338);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5555z00_29618;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17346;

												BgL_arg4357z00_17346 =
													BGL_EXITD_PROTECT(BgL_ez00_17342);
												BgL_test5555z00_29618 = PAIRP(BgL_arg4357z00_17346);
											}
											if (BgL_test5555z00_29618)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17347;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17348;

														BgL_arg4356z00_17348 =
															BGL_EXITD_PROTECT(BgL_ez00_17342);
														BgL_arg4355z00_17347 =
															CDR(((obj_t) BgL_arg4356z00_17348));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17342,
														BgL_arg4355z00_17347);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17337), 0L, BgL_bpz00_17338);
										return BgL_accz00_17345;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17349;

								BgL_nsz00_17349 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17349, 1L, BgL_sz00_17337);
								VECTOR_SET(BgL_nsz00_17349, 2L, BgL_bz00_14692);
								VECTOR_SET(BgL_nsz00_17349, 3L, BgL_cz00_14693);
								VECTOR_SET(BgL_nsz00_17349, 4L, BgL_dz00_14694);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17350;

									BgL_z12denvz12_17350 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17350, BgL_nsz00_17349);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17351;

										BgL_ez00_17351 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17352;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17353;

												BgL_arg4359z00_17353 =
													BGL_EXITD_PROTECT(BgL_ez00_17351);
												BgL_arg4358z00_17352 =
													MAKE_YOUNG_PAIR(BgL_sz00_17337, BgL_arg4359z00_17353);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17351,
												BgL_arg4358z00_17352);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17354;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17355;

												BgL_savedzd2bpzd2_17355 =
													VECTOR_REF(BgL_nsz00_17349, 0L);
												VECTOR_SET(BgL_nsz00_17349, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17357;

													BgL_fz00_17357 = BgL_runz00_14690;
												BgL_recz00_17356:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17358;

														BgL_rz00_17358 =
															(VA_PROCEDUREP(BgL_fz00_17357) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17357))
															(BgL_fz00_17357, BgL_nsz00_17349,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17357))
															(BgL_fz00_17357, BgL_nsz00_17349));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5556z00_29645;

															if (PROCEDUREP(BgL_rz00_17358))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17359;

																	BgL_arg1778z00_17359 =
																		PROCEDURE_ATTR(BgL_rz00_17358);
																	if (STRUCTP(BgL_arg1778z00_17359))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5556z00_29645 =
																				(STRUCT_KEY(BgL_arg1778z00_17359) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5556z00_29645 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5556z00_29645 = ((bool_t) 0);
																}
															if (BgL_test5556z00_29645)
																{
																	obj_t BgL_fz00_29653;

																	BgL_fz00_29653 = BgL_rz00_17358;
																	BgL_fz00_17357 = BgL_fz00_29653;
																	goto BgL_recz00_17356;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17349, 0L,
																		BgL_savedzd2bpzd2_17355);
																	BgL_____rz00_17354 = BgL_rz00_17358;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5559z00_29655;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17360;

													BgL_arg4357z00_17360 =
														BGL_EXITD_PROTECT(BgL_ez00_17351);
													BgL_test5559z00_29655 = PAIRP(BgL_arg4357z00_17360);
												}
												if (BgL_test5559z00_29655)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17361;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17362;

															BgL_arg4356z00_17362 =
																BGL_EXITD_PROTECT(BgL_ez00_17351);
															BgL_arg4355z00_17361 =
																CDR(((obj_t) BgL_arg4356z00_17362));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17351,
															BgL_arg4355z00_17361);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17350, BgL_sz00_17337);
											return BgL_____rz00_17354;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4539 */
	obj_t BGl_z62run4539z62zz__evaluate_compz00(obj_t BgL_envz00_14695,
		obj_t BgL_sz00_14698)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14696;
				obj_t BgL_bodyz00_14697;

				BgL_i1255z00_14696 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14695, (int) (0L)));
				BgL_bodyz00_14697 = PROCEDURE_REF(BgL_envz00_14695, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17363;

					BgL_bpz00_17363 = VECTOR_REF(((obj_t) BgL_sz00_14698), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17364;
						obj_t BgL_wherez00_17365;
						obj_t BgL_locz00_17366;

						BgL_z12denvz12_17364 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17365 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14696))->
							BgL_wherez00);
						BgL_locz00_17366 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14696))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17364, BgL_wherez00_17365,
								BgL_locz00_17366);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17367;

								BgL_za2za2resza2za2z00_17367 =
									(VA_PROCEDUREP(BgL_bodyz00_14697) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14697)) (BgL_bodyz00_14697,
										BgL_sz00_14698, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14697)) (BgL_bodyz00_14697,
										BgL_sz00_14698));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17364);
								return BgL_za2za2resza2za2z00_17367;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3763> */
	obj_t BGl_z62zc3z04anonymousza33763ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14699, obj_t BgL_sz00_14704)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14700;
				BgL_ev_absz00_bglt BgL_i1255z00_14701;
				obj_t BgL_bodyz00_14702;
				long BgL_siza7ezd2framez75_14703;

				BgL_iboxesz00_14700 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14699, (int) (0L)));
				BgL_i1255z00_14701 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14699, (int) (1L)));
				BgL_bodyz00_14702 = PROCEDURE_REF(BgL_envz00_14699, (int) (2L));
				BgL_siza7ezd2framez75_14703 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14699, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17368;

					BgL_bpz00_17368 = VECTOR_REF(((obj_t) BgL_sz00_14704), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17369;

							BgL_runz00_17369 =
								MAKE_FX_PROCEDURE(BGl_z62run4541z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_17369, (int) (0L), BgL_iboxesz00_14700);
							PROCEDURE_SET(BgL_runz00_17369,
								(int) (1L), ((obj_t) BgL_i1255z00_14701));
							PROCEDURE_SET(BgL_runz00_17369, (int) (2L), BgL_bodyz00_14702);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17370;

								BgL_mainz00_17370 =
									MAKE_FX_PROCEDURE(BGl_z62main4540z62zz__evaluate_compz00,
									(int) (3L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_17370,
									(int) (0L), BgL_iboxesz00_14700);
								PROCEDURE_SET(BgL_mainz00_17370,
									(int) (1L), ((obj_t) BgL_i1255z00_14701));
								PROCEDURE_SET(BgL_mainz00_17370, (int) (2L), BgL_bodyz00_14702);
								PROCEDURE_SET(BgL_mainz00_17370, (int) (3L), BgL_runz00_17369);
								PROCEDURE_SET(BgL_mainz00_17370,
									(int) (4L), BINT(BgL_siza7ezd2framez75_14703));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17371;

									BgL_objz00_17371 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17369, BgL_objz00_17371);
									BgL_objz00_17371;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3764z00_17372;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3765z00_17373;

										BgL_arg3765z00_17373 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14701))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17374;

											BgL_newz00_17374 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29721;

												BgL_tmpz00_29721 = (int) (3L);
												STRUCT_SET(BgL_newz00_17374, BgL_tmpz00_29721,
													BgL_arg3765z00_17373);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29726;
												int BgL_tmpz00_29724;

												BgL_auxz00_29726 = BINT(BgL_siza7ezd2framez75_14703);
												BgL_tmpz00_29724 = (int) (2L);
												STRUCT_SET(BgL_newz00_17374, BgL_tmpz00_29724,
													BgL_auxz00_29726);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29729;

												BgL_tmpz00_29729 = (int) (1L);
												STRUCT_SET(BgL_newz00_17374, BgL_tmpz00_29729,
													BgL_runz00_17369);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29734;
												int BgL_tmpz00_29732;

												BgL_auxz00_29734 = BINT(3L);
												BgL_tmpz00_29732 = (int) (0L);
												STRUCT_SET(BgL_newz00_17374, BgL_tmpz00_29732,
													BgL_auxz00_29734);
											}
											BgL_arg3764z00_17372 = BgL_newz00_17374;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17370, BgL_arg3764z00_17372);
									BgL_arg3764z00_17372;
								}
								return BgL_mainz00_17370;
							}
						}
					}
				}
			}
		}

	}



/* &main4540 */
	obj_t BGl_z62main4540z62zz__evaluate_compz00(obj_t BgL_envz00_14705,
		obj_t BgL_bz00_14711, obj_t BgL_cz00_14712, obj_t BgL_dz00_14713)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14709;
				long BgL_siza7ezd2framez75_14710;

				BgL_runz00_14709 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14705, (int) (3L)));
				BgL_siza7ezd2framez75_14710 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14705, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17375;

					BgL_sz00_17375 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17376;

						BgL_bpz00_17376 = VECTOR_REF(((obj_t) BgL_sz00_17375), 0L);
						if (
							(((long) CINT(BgL_bpz00_17376) + BgL_siza7ezd2framez75_14710) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17375))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3768z00_17377;

									BgL_arg3768z00_17377 = ((long) CINT(BgL_bpz00_17376) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17375), BgL_arg3768z00_17377,
										BgL_bz00_14711);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3769z00_17378;

									BgL_arg3769z00_17378 = ((long) CINT(BgL_bpz00_17376) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17375), BgL_arg3769z00_17378,
										BgL_cz00_14712);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3770z00_17379;

									BgL_arg3770z00_17379 = ((long) CINT(BgL_bpz00_17376) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17375), BgL_arg3770z00_17379,
										BgL_dz00_14713);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17380;

									BgL_ez00_17380 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17381;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17382;

											BgL_arg4359z00_17382 = BGL_EXITD_PROTECT(BgL_ez00_17380);
											BgL_arg4358z00_17381 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17376, BgL_arg4359z00_17382);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17380, BgL_arg4358z00_17381);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17383;

										BgL_accz00_17383 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14709, BgL_sz00_17375, BgL_bpz00_17376);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5561z00_29770;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17384;

												BgL_arg4357z00_17384 =
													BGL_EXITD_PROTECT(BgL_ez00_17380);
												BgL_test5561z00_29770 = PAIRP(BgL_arg4357z00_17384);
											}
											if (BgL_test5561z00_29770)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17385;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17386;

														BgL_arg4356z00_17386 =
															BGL_EXITD_PROTECT(BgL_ez00_17380);
														BgL_arg4355z00_17385 =
															CDR(((obj_t) BgL_arg4356z00_17386));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17380,
														BgL_arg4355z00_17385);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17375), 0L, BgL_bpz00_17376);
										return BgL_accz00_17383;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17387;

								BgL_nsz00_17387 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17387, 1L, BgL_sz00_17375);
								VECTOR_SET(BgL_nsz00_17387, 2L, BgL_bz00_14711);
								VECTOR_SET(BgL_nsz00_17387, 3L, BgL_cz00_14712);
								VECTOR_SET(BgL_nsz00_17387, 4L, BgL_dz00_14713);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17388;

									BgL_z12denvz12_17388 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17388, BgL_nsz00_17387);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17389;

										BgL_ez00_17389 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17390;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17391;

												BgL_arg4359z00_17391 =
													BGL_EXITD_PROTECT(BgL_ez00_17389);
												BgL_arg4358z00_17390 =
													MAKE_YOUNG_PAIR(BgL_sz00_17375, BgL_arg4359z00_17391);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17389,
												BgL_arg4358z00_17390);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17392;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17393;

												BgL_savedzd2bpzd2_17393 =
													VECTOR_REF(BgL_nsz00_17387, 0L);
												VECTOR_SET(BgL_nsz00_17387, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17395;

													BgL_fz00_17395 = BgL_runz00_14709;
												BgL_recz00_17394:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17396;

														BgL_rz00_17396 =
															(VA_PROCEDUREP(BgL_fz00_17395) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17395))
															(BgL_fz00_17395, BgL_nsz00_17387,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17395))
															(BgL_fz00_17395, BgL_nsz00_17387));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5562z00_29797;

															if (PROCEDUREP(BgL_rz00_17396))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17397;

																	BgL_arg1778z00_17397 =
																		PROCEDURE_ATTR(BgL_rz00_17396);
																	if (STRUCTP(BgL_arg1778z00_17397))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5562z00_29797 =
																				(STRUCT_KEY(BgL_arg1778z00_17397) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5562z00_29797 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5562z00_29797 = ((bool_t) 0);
																}
															if (BgL_test5562z00_29797)
																{
																	obj_t BgL_fz00_29805;

																	BgL_fz00_29805 = BgL_rz00_17396;
																	BgL_fz00_17395 = BgL_fz00_29805;
																	goto BgL_recz00_17394;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17387, 0L,
																		BgL_savedzd2bpzd2_17393);
																	BgL_____rz00_17392 = BgL_rz00_17396;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5565z00_29807;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17398;

													BgL_arg4357z00_17398 =
														BGL_EXITD_PROTECT(BgL_ez00_17389);
													BgL_test5565z00_29807 = PAIRP(BgL_arg4357z00_17398);
												}
												if (BgL_test5565z00_29807)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17399;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17400;

															BgL_arg4356z00_17400 =
																BGL_EXITD_PROTECT(BgL_ez00_17389);
															BgL_arg4355z00_17399 =
																CDR(((obj_t) BgL_arg4356z00_17400));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17389,
															BgL_arg4355z00_17399);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17388, BgL_sz00_17375);
											return BgL_____rz00_17392;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4541 */
	obj_t BGl_z62run4541z62zz__evaluate_compz00(obj_t BgL_envz00_14714,
		obj_t BgL_sz00_14718)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14715;
				BgL_ev_absz00_bglt BgL_i1255z00_14716;
				obj_t BgL_bodyz00_14717;

				BgL_iboxesz00_14715 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14714, (int) (0L)));
				BgL_i1255z00_14716 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14714, (int) (1L)));
				BgL_bodyz00_14717 = PROCEDURE_REF(BgL_envz00_14714, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17401;

					BgL_bpz00_17401 = VECTOR_REF(((obj_t) BgL_sz00_14718), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14718,
						BgL_iboxesz00_14715, BgL_bpz00_17401);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17402;
						obj_t BgL_wherez00_17403;
						obj_t BgL_locz00_17404;

						BgL_z12denvz12_17402 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17403 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14716))->
							BgL_wherez00);
						BgL_locz00_17404 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14716))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17402, BgL_wherez00_17403,
								BgL_locz00_17404);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17405;

								BgL_za2za2resza2za2z00_17405 =
									(VA_PROCEDUREP(BgL_bodyz00_14717) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14717)) (BgL_bodyz00_14717,
										BgL_sz00_14718, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14717)) (BgL_bodyz00_14717,
										BgL_sz00_14718));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17402);
								return BgL_za2za2resza2za2z00_17405;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3775> */
	obj_t BGl_z62zc3z04anonymousza33775ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14719, obj_t BgL_sz00_14725)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14720;
				long BgL_siza7eza7_14721;
				BgL_ev_absz00_bglt BgL_i1255z00_14722;
				obj_t BgL_bodyz00_14723;
				long BgL_siza7ezd2framez75_14724;

				BgL_ifreesz00_14720 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14719, (int) (0L)));
				BgL_siza7eza7_14721 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14719, (int) (1L)));
				BgL_i1255z00_14722 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14719, (int) (2L)));
				BgL_bodyz00_14723 = PROCEDURE_REF(BgL_envz00_14719, (int) (3L));
				BgL_siza7ezd2framez75_14724 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14719, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17406;

					BgL_bpz00_17406 = VECTOR_REF(((obj_t) BgL_sz00_14725), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17407;

						BgL_valza2za2_17407 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14725,
							BgL_bpz00_17406, BgL_ifreesz00_14720);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17408;

							BgL_runz00_17408 =
								MAKE_FX_PROCEDURE(BGl_z62run4543z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_17408,
								(int) (0L), BINT(BgL_siza7eza7_14721));
							PROCEDURE_SET(BgL_runz00_17408, (int) (1L), BgL_valza2za2_17407);
							PROCEDURE_SET(BgL_runz00_17408,
								(int) (2L), ((obj_t) BgL_i1255z00_14722));
							PROCEDURE_SET(BgL_runz00_17408, (int) (3L), BgL_bodyz00_14723);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17409;

								BgL_mainz00_17409 =
									MAKE_FX_PROCEDURE(BGl_z62main4542z62zz__evaluate_compz00,
									(int) (3L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_17409,
									(int) (0L), BINT(BgL_siza7eza7_14721));
								PROCEDURE_SET(BgL_mainz00_17409,
									(int) (1L), BgL_valza2za2_17407);
								PROCEDURE_SET(BgL_mainz00_17409,
									(int) (2L), ((obj_t) BgL_i1255z00_14722));
								PROCEDURE_SET(BgL_mainz00_17409, (int) (3L), BgL_bodyz00_14723);
								PROCEDURE_SET(BgL_mainz00_17409, (int) (4L), BgL_runz00_17408);
								PROCEDURE_SET(BgL_mainz00_17409,
									(int) (5L), BINT(BgL_siza7ezd2framez75_14724));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17410;

									BgL_objz00_17410 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17408, BgL_objz00_17410);
									BgL_objz00_17410;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3776z00_17411;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3777z00_17412;

										BgL_arg3777z00_17412 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14722))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17413;

											BgL_newz00_17413 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29887;

												BgL_tmpz00_29887 = (int) (3L);
												STRUCT_SET(BgL_newz00_17413, BgL_tmpz00_29887,
													BgL_arg3777z00_17412);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29892;
												int BgL_tmpz00_29890;

												BgL_auxz00_29892 = BINT(BgL_siza7ezd2framez75_14724);
												BgL_tmpz00_29890 = (int) (2L);
												STRUCT_SET(BgL_newz00_17413, BgL_tmpz00_29890,
													BgL_auxz00_29892);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29895;

												BgL_tmpz00_29895 = (int) (1L);
												STRUCT_SET(BgL_newz00_17413, BgL_tmpz00_29895,
													BgL_runz00_17408);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29900;
												int BgL_tmpz00_29898;

												BgL_auxz00_29900 = BINT(3L);
												BgL_tmpz00_29898 = (int) (0L);
												STRUCT_SET(BgL_newz00_17413, BgL_tmpz00_29898,
													BgL_auxz00_29900);
											}
											BgL_arg3776z00_17411 = BgL_newz00_17413;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17409, BgL_arg3776z00_17411);
									BgL_arg3776z00_17411;
								}
								return BgL_mainz00_17409;
							}
						}
					}
				}
			}
		}

	}



/* &main4542 */
	obj_t BGl_z62main4542z62zz__evaluate_compz00(obj_t BgL_envz00_14726,
		obj_t BgL_bz00_14733, obj_t BgL_cz00_14734, obj_t BgL_dz00_14735)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14731;
				long BgL_siza7ezd2framez75_14732;

				BgL_runz00_14731 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14726, (int) (4L)));
				BgL_siza7ezd2framez75_14732 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14726, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17414;

					BgL_sz00_17414 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17415;

						BgL_bpz00_17415 = VECTOR_REF(((obj_t) BgL_sz00_17414), 0L);
						if (
							(((long) CINT(BgL_bpz00_17415) + BgL_siza7ezd2framez75_14732) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17414))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3780z00_17416;

									BgL_arg3780z00_17416 = ((long) CINT(BgL_bpz00_17415) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17414), BgL_arg3780z00_17416,
										BgL_bz00_14733);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3781z00_17417;

									BgL_arg3781z00_17417 = ((long) CINT(BgL_bpz00_17415) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17414), BgL_arg3781z00_17417,
										BgL_cz00_14734);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3782z00_17418;

									BgL_arg3782z00_17418 = ((long) CINT(BgL_bpz00_17415) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17414), BgL_arg3782z00_17418,
										BgL_dz00_14735);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17419;

									BgL_ez00_17419 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17420;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17421;

											BgL_arg4359z00_17421 = BGL_EXITD_PROTECT(BgL_ez00_17419);
											BgL_arg4358z00_17420 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17415, BgL_arg4359z00_17421);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17419, BgL_arg4358z00_17420);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17422;

										BgL_accz00_17422 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14731, BgL_sz00_17414, BgL_bpz00_17415);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5567z00_29936;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17423;

												BgL_arg4357z00_17423 =
													BGL_EXITD_PROTECT(BgL_ez00_17419);
												BgL_test5567z00_29936 = PAIRP(BgL_arg4357z00_17423);
											}
											if (BgL_test5567z00_29936)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17424;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17425;

														BgL_arg4356z00_17425 =
															BGL_EXITD_PROTECT(BgL_ez00_17419);
														BgL_arg4355z00_17424 =
															CDR(((obj_t) BgL_arg4356z00_17425));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17419,
														BgL_arg4355z00_17424);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17414), 0L, BgL_bpz00_17415);
										return BgL_accz00_17422;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17426;

								BgL_nsz00_17426 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17426, 1L, BgL_sz00_17414);
								VECTOR_SET(BgL_nsz00_17426, 2L, BgL_bz00_14733);
								VECTOR_SET(BgL_nsz00_17426, 3L, BgL_cz00_14734);
								VECTOR_SET(BgL_nsz00_17426, 4L, BgL_dz00_14735);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17427;

									BgL_z12denvz12_17427 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17427, BgL_nsz00_17426);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17428;

										BgL_ez00_17428 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17429;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17430;

												BgL_arg4359z00_17430 =
													BGL_EXITD_PROTECT(BgL_ez00_17428);
												BgL_arg4358z00_17429 =
													MAKE_YOUNG_PAIR(BgL_sz00_17414, BgL_arg4359z00_17430);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17428,
												BgL_arg4358z00_17429);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17431;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17432;

												BgL_savedzd2bpzd2_17432 =
													VECTOR_REF(BgL_nsz00_17426, 0L);
												VECTOR_SET(BgL_nsz00_17426, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17434;

													BgL_fz00_17434 = BgL_runz00_14731;
												BgL_recz00_17433:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17435;

														BgL_rz00_17435 =
															(VA_PROCEDUREP(BgL_fz00_17434) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17434))
															(BgL_fz00_17434, BgL_nsz00_17426,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17434))
															(BgL_fz00_17434, BgL_nsz00_17426));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5568z00_29963;

															if (PROCEDUREP(BgL_rz00_17435))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17436;

																	BgL_arg1778z00_17436 =
																		PROCEDURE_ATTR(BgL_rz00_17435);
																	if (STRUCTP(BgL_arg1778z00_17436))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5568z00_29963 =
																				(STRUCT_KEY(BgL_arg1778z00_17436) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5568z00_29963 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5568z00_29963 = ((bool_t) 0);
																}
															if (BgL_test5568z00_29963)
																{
																	obj_t BgL_fz00_29971;

																	BgL_fz00_29971 = BgL_rz00_17435;
																	BgL_fz00_17434 = BgL_fz00_29971;
																	goto BgL_recz00_17433;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17426, 0L,
																		BgL_savedzd2bpzd2_17432);
																	BgL_____rz00_17431 = BgL_rz00_17435;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5571z00_29973;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17437;

													BgL_arg4357z00_17437 =
														BGL_EXITD_PROTECT(BgL_ez00_17428);
													BgL_test5571z00_29973 = PAIRP(BgL_arg4357z00_17437);
												}
												if (BgL_test5571z00_29973)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17438;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17439;

															BgL_arg4356z00_17439 =
																BGL_EXITD_PROTECT(BgL_ez00_17428);
															BgL_arg4355z00_17438 =
																CDR(((obj_t) BgL_arg4356z00_17439));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17428,
															BgL_arg4355z00_17438);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17427, BgL_sz00_17414);
											return BgL_____rz00_17431;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4543 */
	obj_t BGl_z62run4543z62zz__evaluate_compz00(obj_t BgL_envz00_14736,
		obj_t BgL_sz00_14741)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14737;
				obj_t BgL_valza2za2_14738;
				BgL_ev_absz00_bglt BgL_i1255z00_14739;
				obj_t BgL_bodyz00_14740;

				BgL_siza7eza7_14737 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14736, (int) (0L)));
				BgL_valza2za2_14738 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14736, (int) (1L)));
				BgL_i1255z00_14739 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14736, (int) (2L)));
				BgL_bodyz00_14740 = PROCEDURE_REF(BgL_envz00_14736, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17440;

					BgL_bpz00_17440 = VECTOR_REF(((obj_t) BgL_sz00_14741), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14741,
						BgL_valza2za2_14738,
						((long) CINT(BgL_bpz00_17440) + BgL_siza7eza7_14737));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17441;
						obj_t BgL_wherez00_17442;
						obj_t BgL_locz00_17443;

						BgL_z12denvz12_17441 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17442 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14739))->
							BgL_wherez00);
						BgL_locz00_17443 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14739))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17441, BgL_wherez00_17442,
								BgL_locz00_17443);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17444;

								BgL_za2za2resza2za2z00_17444 =
									(VA_PROCEDUREP(BgL_bodyz00_14740) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14740)) (BgL_bodyz00_14740,
										BgL_sz00_14741, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14740)) (BgL_bodyz00_14740,
										BgL_sz00_14741));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17441);
								return BgL_za2za2resza2za2z00_17444;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3785> */
	obj_t BGl_z62zc3z04anonymousza33785ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14742, obj_t BgL_sz00_14749)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14743;
				obj_t BgL_iboxesz00_14744;
				long BgL_siza7eza7_14745;
				BgL_ev_absz00_bglt BgL_i1255z00_14746;
				obj_t BgL_bodyz00_14747;
				long BgL_siza7ezd2framez75_14748;

				BgL_ifreesz00_14743 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14742, (int) (0L)));
				BgL_iboxesz00_14744 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14742, (int) (1L)));
				BgL_siza7eza7_14745 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14742, (int) (2L)));
				BgL_i1255z00_14746 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14742, (int) (3L)));
				BgL_bodyz00_14747 = PROCEDURE_REF(BgL_envz00_14742, (int) (4L));
				BgL_siza7ezd2framez75_14748 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14742, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17445;

					BgL_bpz00_17445 = VECTOR_REF(((obj_t) BgL_sz00_14749), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17446;

						BgL_valza2za2_17446 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14749,
							BgL_bpz00_17445, BgL_ifreesz00_14743);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17447;

							BgL_runz00_17447 =
								MAKE_FX_PROCEDURE(BGl_z62run4545z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_17447, (int) (0L), BgL_iboxesz00_14744);
							PROCEDURE_SET(BgL_runz00_17447,
								(int) (1L), BINT(BgL_siza7eza7_14745));
							PROCEDURE_SET(BgL_runz00_17447, (int) (2L), BgL_valza2za2_17446);
							PROCEDURE_SET(BgL_runz00_17447,
								(int) (3L), ((obj_t) BgL_i1255z00_14746));
							PROCEDURE_SET(BgL_runz00_17447, (int) (4L), BgL_bodyz00_14747);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17448;

								BgL_mainz00_17448 =
									MAKE_FX_PROCEDURE(BGl_z62main4544z62zz__evaluate_compz00,
									(int) (3L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_17448,
									(int) (0L), BgL_iboxesz00_14744);
								PROCEDURE_SET(BgL_mainz00_17448,
									(int) (1L), BINT(BgL_siza7eza7_14745));
								PROCEDURE_SET(BgL_mainz00_17448,
									(int) (2L), BgL_valza2za2_17446);
								PROCEDURE_SET(BgL_mainz00_17448,
									(int) (3L), ((obj_t) BgL_i1255z00_14746));
								PROCEDURE_SET(BgL_mainz00_17448, (int) (4L), BgL_bodyz00_14747);
								PROCEDURE_SET(BgL_mainz00_17448, (int) (5L), BgL_runz00_17447);
								PROCEDURE_SET(BgL_mainz00_17448,
									(int) (6L), BINT(BgL_siza7ezd2framez75_14748));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17449;

									BgL_objz00_17449 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17447, BgL_objz00_17449);
									BgL_objz00_17449;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3786z00_17450;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3787z00_17451;

										BgL_arg3787z00_17451 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14746))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17452;

											BgL_newz00_17452 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30065;

												BgL_tmpz00_30065 = (int) (3L);
												STRUCT_SET(BgL_newz00_17452, BgL_tmpz00_30065,
													BgL_arg3787z00_17451);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30070;
												int BgL_tmpz00_30068;

												BgL_auxz00_30070 = BINT(BgL_siza7ezd2framez75_14748);
												BgL_tmpz00_30068 = (int) (2L);
												STRUCT_SET(BgL_newz00_17452, BgL_tmpz00_30068,
													BgL_auxz00_30070);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30073;

												BgL_tmpz00_30073 = (int) (1L);
												STRUCT_SET(BgL_newz00_17452, BgL_tmpz00_30073,
													BgL_runz00_17447);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30078;
												int BgL_tmpz00_30076;

												BgL_auxz00_30078 = BINT(3L);
												BgL_tmpz00_30076 = (int) (0L);
												STRUCT_SET(BgL_newz00_17452, BgL_tmpz00_30076,
													BgL_auxz00_30078);
											}
											BgL_arg3786z00_17450 = BgL_newz00_17452;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17448, BgL_arg3786z00_17450);
									BgL_arg3786z00_17450;
								}
								return BgL_mainz00_17448;
							}
						}
					}
				}
			}
		}

	}



/* &main4544 */
	obj_t BGl_z62main4544z62zz__evaluate_compz00(obj_t BgL_envz00_14750,
		obj_t BgL_bz00_14758, obj_t BgL_cz00_14759, obj_t BgL_dz00_14760)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14756;
				long BgL_siza7ezd2framez75_14757;

				BgL_runz00_14756 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14750, (int) (5L)));
				BgL_siza7ezd2framez75_14757 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14750, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17453;

					BgL_sz00_17453 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17454;

						BgL_bpz00_17454 = VECTOR_REF(((obj_t) BgL_sz00_17453), 0L);
						if (
							(((long) CINT(BgL_bpz00_17454) + BgL_siza7ezd2framez75_14757) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17453))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3790z00_17455;

									BgL_arg3790z00_17455 = ((long) CINT(BgL_bpz00_17454) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17453), BgL_arg3790z00_17455,
										BgL_bz00_14758);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3791z00_17456;

									BgL_arg3791z00_17456 = ((long) CINT(BgL_bpz00_17454) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17453), BgL_arg3791z00_17456,
										BgL_cz00_14759);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3792z00_17457;

									BgL_arg3792z00_17457 = ((long) CINT(BgL_bpz00_17454) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17453), BgL_arg3792z00_17457,
										BgL_dz00_14760);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17458;

									BgL_ez00_17458 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17459;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17460;

											BgL_arg4359z00_17460 = BGL_EXITD_PROTECT(BgL_ez00_17458);
											BgL_arg4358z00_17459 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17454, BgL_arg4359z00_17460);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17458, BgL_arg4358z00_17459);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17461;

										BgL_accz00_17461 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14756, BgL_sz00_17453, BgL_bpz00_17454);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5573z00_30114;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17462;

												BgL_arg4357z00_17462 =
													BGL_EXITD_PROTECT(BgL_ez00_17458);
												BgL_test5573z00_30114 = PAIRP(BgL_arg4357z00_17462);
											}
											if (BgL_test5573z00_30114)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17463;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17464;

														BgL_arg4356z00_17464 =
															BGL_EXITD_PROTECT(BgL_ez00_17458);
														BgL_arg4355z00_17463 =
															CDR(((obj_t) BgL_arg4356z00_17464));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17458,
														BgL_arg4355z00_17463);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17453), 0L, BgL_bpz00_17454);
										return BgL_accz00_17461;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17465;

								BgL_nsz00_17465 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17465, 1L, BgL_sz00_17453);
								VECTOR_SET(BgL_nsz00_17465, 2L, BgL_bz00_14758);
								VECTOR_SET(BgL_nsz00_17465, 3L, BgL_cz00_14759);
								VECTOR_SET(BgL_nsz00_17465, 4L, BgL_dz00_14760);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17466;

									BgL_z12denvz12_17466 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17466, BgL_nsz00_17465);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17467;

										BgL_ez00_17467 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17468;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17469;

												BgL_arg4359z00_17469 =
													BGL_EXITD_PROTECT(BgL_ez00_17467);
												BgL_arg4358z00_17468 =
													MAKE_YOUNG_PAIR(BgL_sz00_17453, BgL_arg4359z00_17469);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17467,
												BgL_arg4358z00_17468);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17470;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17471;

												BgL_savedzd2bpzd2_17471 =
													VECTOR_REF(BgL_nsz00_17465, 0L);
												VECTOR_SET(BgL_nsz00_17465, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17473;

													BgL_fz00_17473 = BgL_runz00_14756;
												BgL_recz00_17472:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17474;

														BgL_rz00_17474 =
															(VA_PROCEDUREP(BgL_fz00_17473) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17473))
															(BgL_fz00_17473, BgL_nsz00_17465,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17473))
															(BgL_fz00_17473, BgL_nsz00_17465));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5574z00_30141;

															if (PROCEDUREP(BgL_rz00_17474))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17475;

																	BgL_arg1778z00_17475 =
																		PROCEDURE_ATTR(BgL_rz00_17474);
																	if (STRUCTP(BgL_arg1778z00_17475))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5574z00_30141 =
																				(STRUCT_KEY(BgL_arg1778z00_17475) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5574z00_30141 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5574z00_30141 = ((bool_t) 0);
																}
															if (BgL_test5574z00_30141)
																{
																	obj_t BgL_fz00_30149;

																	BgL_fz00_30149 = BgL_rz00_17474;
																	BgL_fz00_17473 = BgL_fz00_30149;
																	goto BgL_recz00_17472;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17465, 0L,
																		BgL_savedzd2bpzd2_17471);
																	BgL_____rz00_17470 = BgL_rz00_17474;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5577z00_30151;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17476;

													BgL_arg4357z00_17476 =
														BGL_EXITD_PROTECT(BgL_ez00_17467);
													BgL_test5577z00_30151 = PAIRP(BgL_arg4357z00_17476);
												}
												if (BgL_test5577z00_30151)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17477;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17478;

															BgL_arg4356z00_17478 =
																BGL_EXITD_PROTECT(BgL_ez00_17467);
															BgL_arg4355z00_17477 =
																CDR(((obj_t) BgL_arg4356z00_17478));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17467,
															BgL_arg4355z00_17477);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17466, BgL_sz00_17453);
											return BgL_____rz00_17470;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4545 */
	obj_t BGl_z62run4545z62zz__evaluate_compz00(obj_t BgL_envz00_14761,
		obj_t BgL_sz00_14767)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14762;
				long BgL_siza7eza7_14763;
				obj_t BgL_valza2za2_14764;
				BgL_ev_absz00_bglt BgL_i1255z00_14765;
				obj_t BgL_bodyz00_14766;

				BgL_iboxesz00_14762 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14761, (int) (0L)));
				BgL_siza7eza7_14763 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14761, (int) (1L)));
				BgL_valza2za2_14764 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14761, (int) (2L)));
				BgL_i1255z00_14765 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14761, (int) (3L)));
				BgL_bodyz00_14766 = PROCEDURE_REF(BgL_envz00_14761, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17479;

					BgL_bpz00_17479 = VECTOR_REF(((obj_t) BgL_sz00_14767), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14767,
						BgL_iboxesz00_14762, BgL_bpz00_17479);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14767,
						BgL_valza2za2_14764,
						((long) CINT(BgL_bpz00_17479) + BgL_siza7eza7_14763));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17480;
						obj_t BgL_wherez00_17481;
						obj_t BgL_locz00_17482;

						BgL_z12denvz12_17480 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17481 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14765))->
							BgL_wherez00);
						BgL_locz00_17482 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14765))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17480, BgL_wherez00_17481,
								BgL_locz00_17482);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17483;

								BgL_za2za2resza2za2z00_17483 =
									(VA_PROCEDUREP(BgL_bodyz00_14766) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14766)) (BgL_bodyz00_14766,
										BgL_sz00_14767, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14766)) (BgL_bodyz00_14766,
										BgL_sz00_14767));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17480);
								return BgL_za2za2resza2za2z00_17483;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3698> */
	obj_t BGl_z62zc3z04anonymousza33698ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14768, obj_t BgL_sz00_14772)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14769;
				obj_t BgL_bodyz00_14770;
				long BgL_siza7ezd2framez75_14771;

				BgL_i1255z00_14769 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14768, (int) (0L)));
				BgL_bodyz00_14770 = PROCEDURE_REF(BgL_envz00_14768, (int) (1L));
				BgL_siza7ezd2framez75_14771 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14768, (int) (2L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17484;

					BgL_bpz00_17484 = VECTOR_REF(((obj_t) BgL_sz00_14772), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17485;

							BgL_runz00_17485 =
								MAKE_FX_PROCEDURE(BGl_z62run4547z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_17485,
								(int) (0L), ((obj_t) BgL_i1255z00_14769));
							PROCEDURE_SET(BgL_runz00_17485, (int) (1L), BgL_bodyz00_14770);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17486;

								BgL_mainz00_17486 =
									MAKE_VA_PROCEDURE(BGl_z62main4546z62zz__evaluate_compz00,
									(int) (-3L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_17486,
									(int) (0L), ((obj_t) BgL_i1255z00_14769));
								PROCEDURE_SET(BgL_mainz00_17486, (int) (1L), BgL_bodyz00_14770);
								PROCEDURE_SET(BgL_mainz00_17486, (int) (2L), BgL_runz00_17485);
								PROCEDURE_SET(BgL_mainz00_17486,
									(int) (3L), BINT(BgL_siza7ezd2framez75_14771));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17487;

									BgL_objz00_17487 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17485, BgL_objz00_17487);
									BgL_objz00_17487;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3700z00_17488;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3701z00_17489;

										BgL_arg3701z00_17489 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14769))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17490;

											BgL_newz00_17490 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30223;

												BgL_tmpz00_30223 = (int) (3L);
												STRUCT_SET(BgL_newz00_17490, BgL_tmpz00_30223,
													BgL_arg3701z00_17489);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30228;
												int BgL_tmpz00_30226;

												BgL_auxz00_30228 = BINT(BgL_siza7ezd2framez75_14771);
												BgL_tmpz00_30226 = (int) (2L);
												STRUCT_SET(BgL_newz00_17490, BgL_tmpz00_30226,
													BgL_auxz00_30228);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30231;

												BgL_tmpz00_30231 = (int) (1L);
												STRUCT_SET(BgL_newz00_17490, BgL_tmpz00_30231,
													BgL_runz00_17485);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30236;
												int BgL_tmpz00_30234;

												BgL_auxz00_30236 = BINT(-3L);
												BgL_tmpz00_30234 = (int) (0L);
												STRUCT_SET(BgL_newz00_17490, BgL_tmpz00_30234,
													BgL_auxz00_30236);
											}
											BgL_arg3700z00_17488 = BgL_newz00_17490;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17486, BgL_arg3700z00_17488);
									BgL_arg3700z00_17488;
								}
								return BgL_mainz00_17486;
							}
						}
					}
				}
			}
		}

	}



/* &main4546 */
	obj_t BGl_z62main4546z62zz__evaluate_compz00(obj_t BgL_envz00_14773,
		obj_t BgL_cz00_14778, obj_t BgL_dz00_14779, obj_t BgL_lastz00_14780)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14776;
				long BgL_siza7ezd2framez75_14777;

				BgL_runz00_14776 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14773, (int) (2L)));
				BgL_siza7ezd2framez75_14777 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14773, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17491;

					BgL_sz00_17491 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17492;

						BgL_bpz00_17492 = VECTOR_REF(((obj_t) BgL_sz00_17491), 0L);
						if (
							(((long) CINT(BgL_bpz00_17492) + BgL_siza7ezd2framez75_14777) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17491))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3704z00_17493;

									BgL_arg3704z00_17493 = ((long) CINT(BgL_bpz00_17492) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17491), BgL_arg3704z00_17493,
										BgL_cz00_14778);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3705z00_17494;

									BgL_arg3705z00_17494 = ((long) CINT(BgL_bpz00_17492) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17491), BgL_arg3705z00_17494,
										BgL_dz00_14779);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3706z00_17495;

									BgL_arg3706z00_17495 = ((long) CINT(BgL_bpz00_17492) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17491), BgL_arg3706z00_17495,
										BgL_lastz00_14780);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17496;

									BgL_ez00_17496 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17497;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17498;

											BgL_arg4359z00_17498 = BGL_EXITD_PROTECT(BgL_ez00_17496);
											BgL_arg4358z00_17497 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17492, BgL_arg4359z00_17498);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17496, BgL_arg4358z00_17497);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17499;

										BgL_accz00_17499 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14776, BgL_sz00_17491, BgL_bpz00_17492);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5579z00_30272;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17500;

												BgL_arg4357z00_17500 =
													BGL_EXITD_PROTECT(BgL_ez00_17496);
												BgL_test5579z00_30272 = PAIRP(BgL_arg4357z00_17500);
											}
											if (BgL_test5579z00_30272)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17501;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17502;

														BgL_arg4356z00_17502 =
															BGL_EXITD_PROTECT(BgL_ez00_17496);
														BgL_arg4355z00_17501 =
															CDR(((obj_t) BgL_arg4356z00_17502));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17496,
														BgL_arg4355z00_17501);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17491), 0L, BgL_bpz00_17492);
										return BgL_accz00_17499;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17503;

								BgL_nsz00_17503 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17503, 1L, BgL_sz00_17491);
								VECTOR_SET(BgL_nsz00_17503, 2L, BgL_cz00_14778);
								VECTOR_SET(BgL_nsz00_17503, 3L, BgL_dz00_14779);
								VECTOR_SET(BgL_nsz00_17503, 4L, BgL_lastz00_14780);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17504;

									BgL_z12denvz12_17504 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17504, BgL_nsz00_17503);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17505;

										BgL_ez00_17505 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17506;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17507;

												BgL_arg4359z00_17507 =
													BGL_EXITD_PROTECT(BgL_ez00_17505);
												BgL_arg4358z00_17506 =
													MAKE_YOUNG_PAIR(BgL_sz00_17491, BgL_arg4359z00_17507);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17505,
												BgL_arg4358z00_17506);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17508;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17509;

												BgL_savedzd2bpzd2_17509 =
													VECTOR_REF(BgL_nsz00_17503, 0L);
												VECTOR_SET(BgL_nsz00_17503, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17511;

													BgL_fz00_17511 = BgL_runz00_14776;
												BgL_recz00_17510:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17512;

														BgL_rz00_17512 =
															(VA_PROCEDUREP(BgL_fz00_17511) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17511))
															(BgL_fz00_17511, BgL_nsz00_17503,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17511))
															(BgL_fz00_17511, BgL_nsz00_17503));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5580z00_30299;

															if (PROCEDUREP(BgL_rz00_17512))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17513;

																	BgL_arg1778z00_17513 =
																		PROCEDURE_ATTR(BgL_rz00_17512);
																	if (STRUCTP(BgL_arg1778z00_17513))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5580z00_30299 =
																				(STRUCT_KEY(BgL_arg1778z00_17513) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5580z00_30299 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5580z00_30299 = ((bool_t) 0);
																}
															if (BgL_test5580z00_30299)
																{
																	obj_t BgL_fz00_30307;

																	BgL_fz00_30307 = BgL_rz00_17512;
																	BgL_fz00_17511 = BgL_fz00_30307;
																	goto BgL_recz00_17510;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17503, 0L,
																		BgL_savedzd2bpzd2_17509);
																	BgL_____rz00_17508 = BgL_rz00_17512;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5583z00_30309;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17514;

													BgL_arg4357z00_17514 =
														BGL_EXITD_PROTECT(BgL_ez00_17505);
													BgL_test5583z00_30309 = PAIRP(BgL_arg4357z00_17514);
												}
												if (BgL_test5583z00_30309)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17515;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17516;

															BgL_arg4356z00_17516 =
																BGL_EXITD_PROTECT(BgL_ez00_17505);
															BgL_arg4355z00_17515 =
																CDR(((obj_t) BgL_arg4356z00_17516));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17505,
															BgL_arg4355z00_17515);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17504, BgL_sz00_17491);
											return BgL_____rz00_17508;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4547 */
	obj_t BGl_z62run4547z62zz__evaluate_compz00(obj_t BgL_envz00_14781,
		obj_t BgL_sz00_14784)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14782;
				obj_t BgL_bodyz00_14783;

				BgL_i1255z00_14782 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14781, (int) (0L)));
				BgL_bodyz00_14783 = PROCEDURE_REF(BgL_envz00_14781, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17517;

					BgL_bpz00_17517 = VECTOR_REF(((obj_t) BgL_sz00_14784), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17518;
						obj_t BgL_wherez00_17519;
						obj_t BgL_locz00_17520;

						BgL_z12denvz12_17518 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17519 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14782))->
							BgL_wherez00);
						BgL_locz00_17520 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14782))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17518, BgL_wherez00_17519,
								BgL_locz00_17520);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17521;

								BgL_za2za2resza2za2z00_17521 =
									(VA_PROCEDUREP(BgL_bodyz00_14783) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14783)) (BgL_bodyz00_14783,
										BgL_sz00_14784, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14783)) (BgL_bodyz00_14783,
										BgL_sz00_14784));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17518);
								return BgL_za2za2resza2za2z00_17521;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3708> */
	obj_t BGl_z62zc3z04anonymousza33708ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14785, obj_t BgL_sz00_14790)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14786;
				BgL_ev_absz00_bglt BgL_i1255z00_14787;
				obj_t BgL_bodyz00_14788;
				long BgL_siza7ezd2framez75_14789;

				BgL_iboxesz00_14786 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14785, (int) (0L)));
				BgL_i1255z00_14787 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14785, (int) (1L)));
				BgL_bodyz00_14788 = PROCEDURE_REF(BgL_envz00_14785, (int) (2L));
				BgL_siza7ezd2framez75_14789 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14785, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17522;

					BgL_bpz00_17522 = VECTOR_REF(((obj_t) BgL_sz00_14790), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17523;

							BgL_runz00_17523 =
								MAKE_FX_PROCEDURE(BGl_z62run4549z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_17523, (int) (0L), BgL_iboxesz00_14786);
							PROCEDURE_SET(BgL_runz00_17523,
								(int) (1L), ((obj_t) BgL_i1255z00_14787));
							PROCEDURE_SET(BgL_runz00_17523, (int) (2L), BgL_bodyz00_14788);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17524;

								BgL_mainz00_17524 =
									MAKE_VA_PROCEDURE(BGl_z62main4548z62zz__evaluate_compz00,
									(int) (-3L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_17524,
									(int) (0L), BgL_iboxesz00_14786);
								PROCEDURE_SET(BgL_mainz00_17524,
									(int) (1L), ((obj_t) BgL_i1255z00_14787));
								PROCEDURE_SET(BgL_mainz00_17524, (int) (2L), BgL_bodyz00_14788);
								PROCEDURE_SET(BgL_mainz00_17524, (int) (3L), BgL_runz00_17523);
								PROCEDURE_SET(BgL_mainz00_17524,
									(int) (4L), BINT(BgL_siza7ezd2framez75_14789));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17525;

									BgL_objz00_17525 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17523, BgL_objz00_17525);
									BgL_objz00_17525;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3709z00_17526;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3711z00_17527;

										BgL_arg3711z00_17527 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14787))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17528;

											BgL_newz00_17528 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30375;

												BgL_tmpz00_30375 = (int) (3L);
												STRUCT_SET(BgL_newz00_17528, BgL_tmpz00_30375,
													BgL_arg3711z00_17527);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30380;
												int BgL_tmpz00_30378;

												BgL_auxz00_30380 = BINT(BgL_siza7ezd2framez75_14789);
												BgL_tmpz00_30378 = (int) (2L);
												STRUCT_SET(BgL_newz00_17528, BgL_tmpz00_30378,
													BgL_auxz00_30380);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30383;

												BgL_tmpz00_30383 = (int) (1L);
												STRUCT_SET(BgL_newz00_17528, BgL_tmpz00_30383,
													BgL_runz00_17523);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30388;
												int BgL_tmpz00_30386;

												BgL_auxz00_30388 = BINT(-3L);
												BgL_tmpz00_30386 = (int) (0L);
												STRUCT_SET(BgL_newz00_17528, BgL_tmpz00_30386,
													BgL_auxz00_30388);
											}
											BgL_arg3709z00_17526 = BgL_newz00_17528;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17524, BgL_arg3709z00_17526);
									BgL_arg3709z00_17526;
								}
								return BgL_mainz00_17524;
							}
						}
					}
				}
			}
		}

	}



/* &main4548 */
	obj_t BGl_z62main4548z62zz__evaluate_compz00(obj_t BgL_envz00_14791,
		obj_t BgL_cz00_14797, obj_t BgL_dz00_14798, obj_t BgL_lastz00_14799)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14795;
				long BgL_siza7ezd2framez75_14796;

				BgL_runz00_14795 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14791, (int) (3L)));
				BgL_siza7ezd2framez75_14796 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14791, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17529;

					BgL_sz00_17529 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17530;

						BgL_bpz00_17530 = VECTOR_REF(((obj_t) BgL_sz00_17529), 0L);
						if (
							(((long) CINT(BgL_bpz00_17530) + BgL_siza7ezd2framez75_14796) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17529))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3714z00_17531;

									BgL_arg3714z00_17531 = ((long) CINT(BgL_bpz00_17530) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17529), BgL_arg3714z00_17531,
										BgL_cz00_14797);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3715z00_17532;

									BgL_arg3715z00_17532 = ((long) CINT(BgL_bpz00_17530) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17529), BgL_arg3715z00_17532,
										BgL_dz00_14798);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3716z00_17533;

									BgL_arg3716z00_17533 = ((long) CINT(BgL_bpz00_17530) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17529), BgL_arg3716z00_17533,
										BgL_lastz00_14799);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17534;

									BgL_ez00_17534 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17535;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17536;

											BgL_arg4359z00_17536 = BGL_EXITD_PROTECT(BgL_ez00_17534);
											BgL_arg4358z00_17535 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17530, BgL_arg4359z00_17536);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17534, BgL_arg4358z00_17535);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17537;

										BgL_accz00_17537 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14795, BgL_sz00_17529, BgL_bpz00_17530);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5585z00_30424;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17538;

												BgL_arg4357z00_17538 =
													BGL_EXITD_PROTECT(BgL_ez00_17534);
												BgL_test5585z00_30424 = PAIRP(BgL_arg4357z00_17538);
											}
											if (BgL_test5585z00_30424)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17539;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17540;

														BgL_arg4356z00_17540 =
															BGL_EXITD_PROTECT(BgL_ez00_17534);
														BgL_arg4355z00_17539 =
															CDR(((obj_t) BgL_arg4356z00_17540));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17534,
														BgL_arg4355z00_17539);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17529), 0L, BgL_bpz00_17530);
										return BgL_accz00_17537;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17541;

								BgL_nsz00_17541 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17541, 1L, BgL_sz00_17529);
								VECTOR_SET(BgL_nsz00_17541, 2L, BgL_cz00_14797);
								VECTOR_SET(BgL_nsz00_17541, 3L, BgL_dz00_14798);
								VECTOR_SET(BgL_nsz00_17541, 4L, BgL_lastz00_14799);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17542;

									BgL_z12denvz12_17542 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17542, BgL_nsz00_17541);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17543;

										BgL_ez00_17543 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17544;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17545;

												BgL_arg4359z00_17545 =
													BGL_EXITD_PROTECT(BgL_ez00_17543);
												BgL_arg4358z00_17544 =
													MAKE_YOUNG_PAIR(BgL_sz00_17529, BgL_arg4359z00_17545);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17543,
												BgL_arg4358z00_17544);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17546;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17547;

												BgL_savedzd2bpzd2_17547 =
													VECTOR_REF(BgL_nsz00_17541, 0L);
												VECTOR_SET(BgL_nsz00_17541, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17549;

													BgL_fz00_17549 = BgL_runz00_14795;
												BgL_recz00_17548:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17550;

														BgL_rz00_17550 =
															(VA_PROCEDUREP(BgL_fz00_17549) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17549))
															(BgL_fz00_17549, BgL_nsz00_17541,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17549))
															(BgL_fz00_17549, BgL_nsz00_17541));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5586z00_30451;

															if (PROCEDUREP(BgL_rz00_17550))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17551;

																	BgL_arg1778z00_17551 =
																		PROCEDURE_ATTR(BgL_rz00_17550);
																	if (STRUCTP(BgL_arg1778z00_17551))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5586z00_30451 =
																				(STRUCT_KEY(BgL_arg1778z00_17551) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5586z00_30451 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5586z00_30451 = ((bool_t) 0);
																}
															if (BgL_test5586z00_30451)
																{
																	obj_t BgL_fz00_30459;

																	BgL_fz00_30459 = BgL_rz00_17550;
																	BgL_fz00_17549 = BgL_fz00_30459;
																	goto BgL_recz00_17548;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17541, 0L,
																		BgL_savedzd2bpzd2_17547);
																	BgL_____rz00_17546 = BgL_rz00_17550;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5589z00_30461;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17552;

													BgL_arg4357z00_17552 =
														BGL_EXITD_PROTECT(BgL_ez00_17543);
													BgL_test5589z00_30461 = PAIRP(BgL_arg4357z00_17552);
												}
												if (BgL_test5589z00_30461)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17553;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17554;

															BgL_arg4356z00_17554 =
																BGL_EXITD_PROTECT(BgL_ez00_17543);
															BgL_arg4355z00_17553 =
																CDR(((obj_t) BgL_arg4356z00_17554));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17543,
															BgL_arg4355z00_17553);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17542, BgL_sz00_17529);
											return BgL_____rz00_17546;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4549 */
	obj_t BGl_z62run4549z62zz__evaluate_compz00(obj_t BgL_envz00_14800,
		obj_t BgL_sz00_14804)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14801;
				BgL_ev_absz00_bglt BgL_i1255z00_14802;
				obj_t BgL_bodyz00_14803;

				BgL_iboxesz00_14801 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14800, (int) (0L)));
				BgL_i1255z00_14802 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14800, (int) (1L)));
				BgL_bodyz00_14803 = PROCEDURE_REF(BgL_envz00_14800, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17555;

					BgL_bpz00_17555 = VECTOR_REF(((obj_t) BgL_sz00_14804), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14804,
						BgL_iboxesz00_14801, BgL_bpz00_17555);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17556;
						obj_t BgL_wherez00_17557;
						obj_t BgL_locz00_17558;

						BgL_z12denvz12_17556 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17557 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14802))->
							BgL_wherez00);
						BgL_locz00_17558 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14802))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17556, BgL_wherez00_17557,
								BgL_locz00_17558);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17559;

								BgL_za2za2resza2za2z00_17559 =
									(VA_PROCEDUREP(BgL_bodyz00_14803) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14803)) (BgL_bodyz00_14803,
										BgL_sz00_14804, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14803)) (BgL_bodyz00_14803,
										BgL_sz00_14804));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17556);
								return BgL_za2za2resza2za2z00_17559;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3722> */
	obj_t BGl_z62zc3z04anonymousza33722ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14805, obj_t BgL_sz00_14811)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14806;
				long BgL_siza7eza7_14807;
				BgL_ev_absz00_bglt BgL_i1255z00_14808;
				obj_t BgL_bodyz00_14809;
				long BgL_siza7ezd2framez75_14810;

				BgL_ifreesz00_14806 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14805, (int) (0L)));
				BgL_siza7eza7_14807 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14805, (int) (1L)));
				BgL_i1255z00_14808 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14805, (int) (2L)));
				BgL_bodyz00_14809 = PROCEDURE_REF(BgL_envz00_14805, (int) (3L));
				BgL_siza7ezd2framez75_14810 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14805, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17560;

					BgL_bpz00_17560 = VECTOR_REF(((obj_t) BgL_sz00_14811), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17561;

						BgL_valza2za2_17561 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14811,
							BgL_bpz00_17560, BgL_ifreesz00_14806);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17562;

							BgL_runz00_17562 =
								MAKE_FX_PROCEDURE(BGl_z62run4551z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_17562,
								(int) (0L), BINT(BgL_siza7eza7_14807));
							PROCEDURE_SET(BgL_runz00_17562, (int) (1L), BgL_valza2za2_17561);
							PROCEDURE_SET(BgL_runz00_17562,
								(int) (2L), ((obj_t) BgL_i1255z00_14808));
							PROCEDURE_SET(BgL_runz00_17562, (int) (3L), BgL_bodyz00_14809);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17563;

								BgL_mainz00_17563 =
									MAKE_VA_PROCEDURE(BGl_z62main4550z62zz__evaluate_compz00,
									(int) (-3L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_17563,
									(int) (0L), BINT(BgL_siza7eza7_14807));
								PROCEDURE_SET(BgL_mainz00_17563,
									(int) (1L), BgL_valza2za2_17561);
								PROCEDURE_SET(BgL_mainz00_17563,
									(int) (2L), ((obj_t) BgL_i1255z00_14808));
								PROCEDURE_SET(BgL_mainz00_17563, (int) (3L), BgL_bodyz00_14809);
								PROCEDURE_SET(BgL_mainz00_17563, (int) (4L), BgL_runz00_17562);
								PROCEDURE_SET(BgL_mainz00_17563,
									(int) (5L), BINT(BgL_siza7ezd2framez75_14810));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17564;

									BgL_objz00_17564 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17562, BgL_objz00_17564);
									BgL_objz00_17564;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3723z00_17565;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3725z00_17566;

										BgL_arg3725z00_17566 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14808))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17567;

											BgL_newz00_17567 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30541;

												BgL_tmpz00_30541 = (int) (3L);
												STRUCT_SET(BgL_newz00_17567, BgL_tmpz00_30541,
													BgL_arg3725z00_17566);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30546;
												int BgL_tmpz00_30544;

												BgL_auxz00_30546 = BINT(BgL_siza7ezd2framez75_14810);
												BgL_tmpz00_30544 = (int) (2L);
												STRUCT_SET(BgL_newz00_17567, BgL_tmpz00_30544,
													BgL_auxz00_30546);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30549;

												BgL_tmpz00_30549 = (int) (1L);
												STRUCT_SET(BgL_newz00_17567, BgL_tmpz00_30549,
													BgL_runz00_17562);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30554;
												int BgL_tmpz00_30552;

												BgL_auxz00_30554 = BINT(-3L);
												BgL_tmpz00_30552 = (int) (0L);
												STRUCT_SET(BgL_newz00_17567, BgL_tmpz00_30552,
													BgL_auxz00_30554);
											}
											BgL_arg3723z00_17565 = BgL_newz00_17567;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17563, BgL_arg3723z00_17565);
									BgL_arg3723z00_17565;
								}
								return BgL_mainz00_17563;
							}
						}
					}
				}
			}
		}

	}



/* &main4550 */
	obj_t BGl_z62main4550z62zz__evaluate_compz00(obj_t BgL_envz00_14812,
		obj_t BgL_cz00_14819, obj_t BgL_dz00_14820, obj_t BgL_lastz00_14821)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14817;
				long BgL_siza7ezd2framez75_14818;

				BgL_runz00_14817 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14812, (int) (4L)));
				BgL_siza7ezd2framez75_14818 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14812, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17568;

					BgL_sz00_17568 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17569;

						BgL_bpz00_17569 = VECTOR_REF(((obj_t) BgL_sz00_17568), 0L);
						if (
							(((long) CINT(BgL_bpz00_17569) + BgL_siza7ezd2framez75_14818) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17568))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3728z00_17570;

									BgL_arg3728z00_17570 = ((long) CINT(BgL_bpz00_17569) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17568), BgL_arg3728z00_17570,
										BgL_cz00_14819);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3729z00_17571;

									BgL_arg3729z00_17571 = ((long) CINT(BgL_bpz00_17569) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17568), BgL_arg3729z00_17571,
										BgL_dz00_14820);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3731z00_17572;

									BgL_arg3731z00_17572 = ((long) CINT(BgL_bpz00_17569) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17568), BgL_arg3731z00_17572,
										BgL_lastz00_14821);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17573;

									BgL_ez00_17573 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17574;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17575;

											BgL_arg4359z00_17575 = BGL_EXITD_PROTECT(BgL_ez00_17573);
											BgL_arg4358z00_17574 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17569, BgL_arg4359z00_17575);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17573, BgL_arg4358z00_17574);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17576;

										BgL_accz00_17576 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14817, BgL_sz00_17568, BgL_bpz00_17569);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5591z00_30590;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17577;

												BgL_arg4357z00_17577 =
													BGL_EXITD_PROTECT(BgL_ez00_17573);
												BgL_test5591z00_30590 = PAIRP(BgL_arg4357z00_17577);
											}
											if (BgL_test5591z00_30590)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17578;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17579;

														BgL_arg4356z00_17579 =
															BGL_EXITD_PROTECT(BgL_ez00_17573);
														BgL_arg4355z00_17578 =
															CDR(((obj_t) BgL_arg4356z00_17579));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17573,
														BgL_arg4355z00_17578);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17568), 0L, BgL_bpz00_17569);
										return BgL_accz00_17576;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17580;

								BgL_nsz00_17580 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17580, 1L, BgL_sz00_17568);
								VECTOR_SET(BgL_nsz00_17580, 2L, BgL_cz00_14819);
								VECTOR_SET(BgL_nsz00_17580, 3L, BgL_dz00_14820);
								VECTOR_SET(BgL_nsz00_17580, 4L, BgL_lastz00_14821);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17581;

									BgL_z12denvz12_17581 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17581, BgL_nsz00_17580);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17582;

										BgL_ez00_17582 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17583;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17584;

												BgL_arg4359z00_17584 =
													BGL_EXITD_PROTECT(BgL_ez00_17582);
												BgL_arg4358z00_17583 =
													MAKE_YOUNG_PAIR(BgL_sz00_17568, BgL_arg4359z00_17584);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17582,
												BgL_arg4358z00_17583);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17585;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17586;

												BgL_savedzd2bpzd2_17586 =
													VECTOR_REF(BgL_nsz00_17580, 0L);
												VECTOR_SET(BgL_nsz00_17580, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17588;

													BgL_fz00_17588 = BgL_runz00_14817;
												BgL_recz00_17587:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17589;

														BgL_rz00_17589 =
															(VA_PROCEDUREP(BgL_fz00_17588) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17588))
															(BgL_fz00_17588, BgL_nsz00_17580,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17588))
															(BgL_fz00_17588, BgL_nsz00_17580));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5592z00_30617;

															if (PROCEDUREP(BgL_rz00_17589))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17590;

																	BgL_arg1778z00_17590 =
																		PROCEDURE_ATTR(BgL_rz00_17589);
																	if (STRUCTP(BgL_arg1778z00_17590))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5592z00_30617 =
																				(STRUCT_KEY(BgL_arg1778z00_17590) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5592z00_30617 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5592z00_30617 = ((bool_t) 0);
																}
															if (BgL_test5592z00_30617)
																{
																	obj_t BgL_fz00_30625;

																	BgL_fz00_30625 = BgL_rz00_17589;
																	BgL_fz00_17588 = BgL_fz00_30625;
																	goto BgL_recz00_17587;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17580, 0L,
																		BgL_savedzd2bpzd2_17586);
																	BgL_____rz00_17585 = BgL_rz00_17589;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5595z00_30627;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17591;

													BgL_arg4357z00_17591 =
														BGL_EXITD_PROTECT(BgL_ez00_17582);
													BgL_test5595z00_30627 = PAIRP(BgL_arg4357z00_17591);
												}
												if (BgL_test5595z00_30627)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17592;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17593;

															BgL_arg4356z00_17593 =
																BGL_EXITD_PROTECT(BgL_ez00_17582);
															BgL_arg4355z00_17592 =
																CDR(((obj_t) BgL_arg4356z00_17593));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17582,
															BgL_arg4355z00_17592);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17581, BgL_sz00_17568);
											return BgL_____rz00_17585;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4551 */
	obj_t BGl_z62run4551z62zz__evaluate_compz00(obj_t BgL_envz00_14822,
		obj_t BgL_sz00_14827)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14823;
				obj_t BgL_valza2za2_14824;
				BgL_ev_absz00_bglt BgL_i1255z00_14825;
				obj_t BgL_bodyz00_14826;

				BgL_siza7eza7_14823 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14822, (int) (0L)));
				BgL_valza2za2_14824 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14822, (int) (1L)));
				BgL_i1255z00_14825 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14822, (int) (2L)));
				BgL_bodyz00_14826 = PROCEDURE_REF(BgL_envz00_14822, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17594;

					BgL_bpz00_17594 = VECTOR_REF(((obj_t) BgL_sz00_14827), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14827,
						BgL_valza2za2_14824,
						((long) CINT(BgL_bpz00_17594) + BgL_siza7eza7_14823));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17595;
						obj_t BgL_wherez00_17596;
						obj_t BgL_locz00_17597;

						BgL_z12denvz12_17595 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17596 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14825))->
							BgL_wherez00);
						BgL_locz00_17597 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14825))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17595, BgL_wherez00_17596,
								BgL_locz00_17597);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17598;

								BgL_za2za2resza2za2z00_17598 =
									(VA_PROCEDUREP(BgL_bodyz00_14826) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14826)) (BgL_bodyz00_14826,
										BgL_sz00_14827, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14826)) (BgL_bodyz00_14826,
										BgL_sz00_14827));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17595);
								return BgL_za2za2resza2za2z00_17598;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3735> */
	obj_t BGl_z62zc3z04anonymousza33735ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14828, obj_t BgL_sz00_14835)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14829;
				obj_t BgL_iboxesz00_14830;
				long BgL_siza7eza7_14831;
				BgL_ev_absz00_bglt BgL_i1255z00_14832;
				obj_t BgL_bodyz00_14833;
				long BgL_siza7ezd2framez75_14834;

				BgL_ifreesz00_14829 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14828, (int) (0L)));
				BgL_iboxesz00_14830 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14828, (int) (1L)));
				BgL_siza7eza7_14831 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14828, (int) (2L)));
				BgL_i1255z00_14832 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14828, (int) (3L)));
				BgL_bodyz00_14833 = PROCEDURE_REF(BgL_envz00_14828, (int) (4L));
				BgL_siza7ezd2framez75_14834 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14828, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17599;

					BgL_bpz00_17599 = VECTOR_REF(((obj_t) BgL_sz00_14835), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17600;

						BgL_valza2za2_17600 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14835,
							BgL_bpz00_17599, BgL_ifreesz00_14829);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17601;

							BgL_runz00_17601 =
								MAKE_FX_PROCEDURE(BGl_z62run4553z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_17601, (int) (0L), BgL_iboxesz00_14830);
							PROCEDURE_SET(BgL_runz00_17601,
								(int) (1L), BINT(BgL_siza7eza7_14831));
							PROCEDURE_SET(BgL_runz00_17601, (int) (2L), BgL_valza2za2_17600);
							PROCEDURE_SET(BgL_runz00_17601,
								(int) (3L), ((obj_t) BgL_i1255z00_14832));
							PROCEDURE_SET(BgL_runz00_17601, (int) (4L), BgL_bodyz00_14833);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17602;

								BgL_mainz00_17602 =
									MAKE_VA_PROCEDURE(BGl_z62main4552z62zz__evaluate_compz00,
									(int) (-3L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_17602,
									(int) (0L), BgL_iboxesz00_14830);
								PROCEDURE_SET(BgL_mainz00_17602,
									(int) (1L), BINT(BgL_siza7eza7_14831));
								PROCEDURE_SET(BgL_mainz00_17602,
									(int) (2L), BgL_valza2za2_17600);
								PROCEDURE_SET(BgL_mainz00_17602,
									(int) (3L), ((obj_t) BgL_i1255z00_14832));
								PROCEDURE_SET(BgL_mainz00_17602, (int) (4L), BgL_bodyz00_14833);
								PROCEDURE_SET(BgL_mainz00_17602, (int) (5L), BgL_runz00_17601);
								PROCEDURE_SET(BgL_mainz00_17602,
									(int) (6L), BINT(BgL_siza7ezd2framez75_14834));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17603;

									BgL_objz00_17603 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17601, BgL_objz00_17603);
									BgL_objz00_17603;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3736z00_17604;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3737z00_17605;

										BgL_arg3737z00_17605 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14832))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17606;

											BgL_newz00_17606 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30719;

												BgL_tmpz00_30719 = (int) (3L);
												STRUCT_SET(BgL_newz00_17606, BgL_tmpz00_30719,
													BgL_arg3737z00_17605);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30724;
												int BgL_tmpz00_30722;

												BgL_auxz00_30724 = BINT(BgL_siza7ezd2framez75_14834);
												BgL_tmpz00_30722 = (int) (2L);
												STRUCT_SET(BgL_newz00_17606, BgL_tmpz00_30722,
													BgL_auxz00_30724);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30727;

												BgL_tmpz00_30727 = (int) (1L);
												STRUCT_SET(BgL_newz00_17606, BgL_tmpz00_30727,
													BgL_runz00_17601);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30732;
												int BgL_tmpz00_30730;

												BgL_auxz00_30732 = BINT(-3L);
												BgL_tmpz00_30730 = (int) (0L);
												STRUCT_SET(BgL_newz00_17606, BgL_tmpz00_30730,
													BgL_auxz00_30732);
											}
											BgL_arg3736z00_17604 = BgL_newz00_17606;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17602, BgL_arg3736z00_17604);
									BgL_arg3736z00_17604;
								}
								return BgL_mainz00_17602;
							}
						}
					}
				}
			}
		}

	}



/* &main4552 */
	obj_t BGl_z62main4552z62zz__evaluate_compz00(obj_t BgL_envz00_14836,
		obj_t BgL_cz00_14844, obj_t BgL_dz00_14845, obj_t BgL_lastz00_14846)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14842;
				long BgL_siza7ezd2framez75_14843;

				BgL_runz00_14842 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14836, (int) (5L)));
				BgL_siza7ezd2framez75_14843 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14836, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17607;

					BgL_sz00_17607 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17608;

						BgL_bpz00_17608 = VECTOR_REF(((obj_t) BgL_sz00_17607), 0L);
						if (
							(((long) CINT(BgL_bpz00_17608) + BgL_siza7ezd2framez75_14843) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17607))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3741z00_17609;

									BgL_arg3741z00_17609 = ((long) CINT(BgL_bpz00_17608) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17607), BgL_arg3741z00_17609,
										BgL_cz00_14844);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3742z00_17610;

									BgL_arg3742z00_17610 = ((long) CINT(BgL_bpz00_17608) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17607), BgL_arg3742z00_17610,
										BgL_dz00_14845);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3744z00_17611;

									BgL_arg3744z00_17611 = ((long) CINT(BgL_bpz00_17608) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17607), BgL_arg3744z00_17611,
										BgL_lastz00_14846);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17612;

									BgL_ez00_17612 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17613;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17614;

											BgL_arg4359z00_17614 = BGL_EXITD_PROTECT(BgL_ez00_17612);
											BgL_arg4358z00_17613 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17608, BgL_arg4359z00_17614);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17612, BgL_arg4358z00_17613);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17615;

										BgL_accz00_17615 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14842, BgL_sz00_17607, BgL_bpz00_17608);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5597z00_30768;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17616;

												BgL_arg4357z00_17616 =
													BGL_EXITD_PROTECT(BgL_ez00_17612);
												BgL_test5597z00_30768 = PAIRP(BgL_arg4357z00_17616);
											}
											if (BgL_test5597z00_30768)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17617;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17618;

														BgL_arg4356z00_17618 =
															BGL_EXITD_PROTECT(BgL_ez00_17612);
														BgL_arg4355z00_17617 =
															CDR(((obj_t) BgL_arg4356z00_17618));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17612,
														BgL_arg4355z00_17617);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17607), 0L, BgL_bpz00_17608);
										return BgL_accz00_17615;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17619;

								BgL_nsz00_17619 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17619, 1L, BgL_sz00_17607);
								VECTOR_SET(BgL_nsz00_17619, 2L, BgL_cz00_14844);
								VECTOR_SET(BgL_nsz00_17619, 3L, BgL_dz00_14845);
								VECTOR_SET(BgL_nsz00_17619, 4L, BgL_lastz00_14846);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17620;

									BgL_z12denvz12_17620 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17620, BgL_nsz00_17619);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17621;

										BgL_ez00_17621 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17622;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17623;

												BgL_arg4359z00_17623 =
													BGL_EXITD_PROTECT(BgL_ez00_17621);
												BgL_arg4358z00_17622 =
													MAKE_YOUNG_PAIR(BgL_sz00_17607, BgL_arg4359z00_17623);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17621,
												BgL_arg4358z00_17622);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17624;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17625;

												BgL_savedzd2bpzd2_17625 =
													VECTOR_REF(BgL_nsz00_17619, 0L);
												VECTOR_SET(BgL_nsz00_17619, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17627;

													BgL_fz00_17627 = BgL_runz00_14842;
												BgL_recz00_17626:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17628;

														BgL_rz00_17628 =
															(VA_PROCEDUREP(BgL_fz00_17627) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17627))
															(BgL_fz00_17627, BgL_nsz00_17619,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17627))
															(BgL_fz00_17627, BgL_nsz00_17619));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5598z00_30795;

															if (PROCEDUREP(BgL_rz00_17628))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17629;

																	BgL_arg1778z00_17629 =
																		PROCEDURE_ATTR(BgL_rz00_17628);
																	if (STRUCTP(BgL_arg1778z00_17629))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5598z00_30795 =
																				(STRUCT_KEY(BgL_arg1778z00_17629) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5598z00_30795 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5598z00_30795 = ((bool_t) 0);
																}
															if (BgL_test5598z00_30795)
																{
																	obj_t BgL_fz00_30803;

																	BgL_fz00_30803 = BgL_rz00_17628;
																	BgL_fz00_17627 = BgL_fz00_30803;
																	goto BgL_recz00_17626;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17619, 0L,
																		BgL_savedzd2bpzd2_17625);
																	BgL_____rz00_17624 = BgL_rz00_17628;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5601z00_30805;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17630;

													BgL_arg4357z00_17630 =
														BGL_EXITD_PROTECT(BgL_ez00_17621);
													BgL_test5601z00_30805 = PAIRP(BgL_arg4357z00_17630);
												}
												if (BgL_test5601z00_30805)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17631;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17632;

															BgL_arg4356z00_17632 =
																BGL_EXITD_PROTECT(BgL_ez00_17621);
															BgL_arg4355z00_17631 =
																CDR(((obj_t) BgL_arg4356z00_17632));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17621,
															BgL_arg4355z00_17631);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17620, BgL_sz00_17607);
											return BgL_____rz00_17624;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4553 */
	obj_t BGl_z62run4553z62zz__evaluate_compz00(obj_t BgL_envz00_14847,
		obj_t BgL_sz00_14853)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14848;
				long BgL_siza7eza7_14849;
				obj_t BgL_valza2za2_14850;
				BgL_ev_absz00_bglt BgL_i1255z00_14851;
				obj_t BgL_bodyz00_14852;

				BgL_iboxesz00_14848 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14847, (int) (0L)));
				BgL_siza7eza7_14849 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14847, (int) (1L)));
				BgL_valza2za2_14850 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14847, (int) (2L)));
				BgL_i1255z00_14851 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14847, (int) (3L)));
				BgL_bodyz00_14852 = PROCEDURE_REF(BgL_envz00_14847, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17633;

					BgL_bpz00_17633 = VECTOR_REF(((obj_t) BgL_sz00_14853), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14853,
						BgL_iboxesz00_14848, BgL_bpz00_17633);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14853,
						BgL_valza2za2_14850,
						((long) CINT(BgL_bpz00_17633) + BgL_siza7eza7_14849));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17634;
						obj_t BgL_wherez00_17635;
						obj_t BgL_locz00_17636;

						BgL_z12denvz12_17634 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17635 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14851))->
							BgL_wherez00);
						BgL_locz00_17636 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14851))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17634, BgL_wherez00_17635,
								BgL_locz00_17636);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17637;

								BgL_za2za2resza2za2z00_17637 =
									(VA_PROCEDUREP(BgL_bodyz00_14852) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14852)) (BgL_bodyz00_14852,
										BgL_sz00_14853, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14852)) (BgL_bodyz00_14852,
										BgL_sz00_14853));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17634);
								return BgL_za2za2resza2za2z00_17637;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3649> */
	obj_t BGl_z62zc3z04anonymousza33649ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14854, obj_t BgL_sz00_14858)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14855;
				obj_t BgL_bodyz00_14856;
				long BgL_siza7ezd2framez75_14857;

				BgL_i1255z00_14855 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14854, (int) (0L)));
				BgL_bodyz00_14856 = PROCEDURE_REF(BgL_envz00_14854, (int) (1L));
				BgL_siza7ezd2framez75_14857 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14854, (int) (2L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17638;

					BgL_bpz00_17638 = VECTOR_REF(((obj_t) BgL_sz00_14858), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17639;

							BgL_runz00_17639 =
								MAKE_FX_PROCEDURE(BGl_z62run4555z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_17639,
								(int) (0L), ((obj_t) BgL_i1255z00_14855));
							PROCEDURE_SET(BgL_runz00_17639, (int) (1L), BgL_bodyz00_14856);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17640;

								BgL_mainz00_17640 =
									MAKE_FX_PROCEDURE(BGl_z62main4554z62zz__evaluate_compz00,
									(int) (2L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_17640,
									(int) (0L), ((obj_t) BgL_i1255z00_14855));
								PROCEDURE_SET(BgL_mainz00_17640, (int) (1L), BgL_bodyz00_14856);
								PROCEDURE_SET(BgL_mainz00_17640, (int) (2L), BgL_runz00_17639);
								PROCEDURE_SET(BgL_mainz00_17640,
									(int) (3L), BINT(BgL_siza7ezd2framez75_14857));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17641;

									BgL_objz00_17641 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17639, BgL_objz00_17641);
									BgL_objz00_17641;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3650z00_17642;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3651z00_17643;

										BgL_arg3651z00_17643 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14855))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17644;

											BgL_newz00_17644 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30877;

												BgL_tmpz00_30877 = (int) (3L);
												STRUCT_SET(BgL_newz00_17644, BgL_tmpz00_30877,
													BgL_arg3651z00_17643);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30882;
												int BgL_tmpz00_30880;

												BgL_auxz00_30882 = BINT(BgL_siza7ezd2framez75_14857);
												BgL_tmpz00_30880 = (int) (2L);
												STRUCT_SET(BgL_newz00_17644, BgL_tmpz00_30880,
													BgL_auxz00_30882);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30885;

												BgL_tmpz00_30885 = (int) (1L);
												STRUCT_SET(BgL_newz00_17644, BgL_tmpz00_30885,
													BgL_runz00_17639);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30890;
												int BgL_tmpz00_30888;

												BgL_auxz00_30890 = BINT(2L);
												BgL_tmpz00_30888 = (int) (0L);
												STRUCT_SET(BgL_newz00_17644, BgL_tmpz00_30888,
													BgL_auxz00_30890);
											}
											BgL_arg3650z00_17642 = BgL_newz00_17644;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17640, BgL_arg3650z00_17642);
									BgL_arg3650z00_17642;
								}
								return BgL_mainz00_17640;
							}
						}
					}
				}
			}
		}

	}



/* &main4554 */
	obj_t BGl_z62main4554z62zz__evaluate_compz00(obj_t BgL_envz00_14859,
		obj_t BgL_cz00_14864, obj_t BgL_dz00_14865)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14862;
				long BgL_siza7ezd2framez75_14863;

				BgL_runz00_14862 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14859, (int) (2L)));
				BgL_siza7ezd2framez75_14863 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14859, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17645;

					BgL_sz00_17645 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17646;

						BgL_bpz00_17646 = VECTOR_REF(((obj_t) BgL_sz00_17645), 0L);
						if (
							(((long) CINT(BgL_bpz00_17646) + BgL_siza7ezd2framez75_14863) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17645))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3654z00_17647;

									BgL_arg3654z00_17647 = ((long) CINT(BgL_bpz00_17646) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17645), BgL_arg3654z00_17647,
										BgL_cz00_14864);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3656z00_17648;

									BgL_arg3656z00_17648 = ((long) CINT(BgL_bpz00_17646) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17645), BgL_arg3656z00_17648,
										BgL_dz00_14865);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17649;

									BgL_ez00_17649 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17650;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17651;

											BgL_arg4359z00_17651 = BGL_EXITD_PROTECT(BgL_ez00_17649);
											BgL_arg4358z00_17650 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17646, BgL_arg4359z00_17651);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17649, BgL_arg4358z00_17650);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17652;

										BgL_accz00_17652 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14862, BgL_sz00_17645, BgL_bpz00_17646);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5603z00_30922;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17653;

												BgL_arg4357z00_17653 =
													BGL_EXITD_PROTECT(BgL_ez00_17649);
												BgL_test5603z00_30922 = PAIRP(BgL_arg4357z00_17653);
											}
											if (BgL_test5603z00_30922)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17654;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17655;

														BgL_arg4356z00_17655 =
															BGL_EXITD_PROTECT(BgL_ez00_17649);
														BgL_arg4355z00_17654 =
															CDR(((obj_t) BgL_arg4356z00_17655));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17649,
														BgL_arg4355z00_17654);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17645), 0L, BgL_bpz00_17646);
										return BgL_accz00_17652;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17656;

								BgL_nsz00_17656 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17656, 1L, BgL_sz00_17645);
								VECTOR_SET(BgL_nsz00_17656, 2L, BgL_cz00_14864);
								VECTOR_SET(BgL_nsz00_17656, 3L, BgL_dz00_14865);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17657;

									BgL_z12denvz12_17657 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17657, BgL_nsz00_17656);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17658;

										BgL_ez00_17658 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17659;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17660;

												BgL_arg4359z00_17660 =
													BGL_EXITD_PROTECT(BgL_ez00_17658);
												BgL_arg4358z00_17659 =
													MAKE_YOUNG_PAIR(BgL_sz00_17645, BgL_arg4359z00_17660);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17658,
												BgL_arg4358z00_17659);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17661;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17662;

												BgL_savedzd2bpzd2_17662 =
													VECTOR_REF(BgL_nsz00_17656, 0L);
												VECTOR_SET(BgL_nsz00_17656, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17664;

													BgL_fz00_17664 = BgL_runz00_14862;
												BgL_recz00_17663:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17665;

														BgL_rz00_17665 =
															(VA_PROCEDUREP(BgL_fz00_17664) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17664))
															(BgL_fz00_17664, BgL_nsz00_17656,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17664))
															(BgL_fz00_17664, BgL_nsz00_17656));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5604z00_30948;

															if (PROCEDUREP(BgL_rz00_17665))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17666;

																	BgL_arg1778z00_17666 =
																		PROCEDURE_ATTR(BgL_rz00_17665);
																	if (STRUCTP(BgL_arg1778z00_17666))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5604z00_30948 =
																				(STRUCT_KEY(BgL_arg1778z00_17666) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5604z00_30948 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5604z00_30948 = ((bool_t) 0);
																}
															if (BgL_test5604z00_30948)
																{
																	obj_t BgL_fz00_30956;

																	BgL_fz00_30956 = BgL_rz00_17665;
																	BgL_fz00_17664 = BgL_fz00_30956;
																	goto BgL_recz00_17663;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17656, 0L,
																		BgL_savedzd2bpzd2_17662);
																	BgL_____rz00_17661 = BgL_rz00_17665;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5607z00_30958;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17667;

													BgL_arg4357z00_17667 =
														BGL_EXITD_PROTECT(BgL_ez00_17658);
													BgL_test5607z00_30958 = PAIRP(BgL_arg4357z00_17667);
												}
												if (BgL_test5607z00_30958)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17668;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17669;

															BgL_arg4356z00_17669 =
																BGL_EXITD_PROTECT(BgL_ez00_17658);
															BgL_arg4355z00_17668 =
																CDR(((obj_t) BgL_arg4356z00_17669));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17658,
															BgL_arg4355z00_17668);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17657, BgL_sz00_17645);
											return BgL_____rz00_17661;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4555 */
	obj_t BGl_z62run4555z62zz__evaluate_compz00(obj_t BgL_envz00_14866,
		obj_t BgL_sz00_14869)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14867;
				obj_t BgL_bodyz00_14868;

				BgL_i1255z00_14867 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14866, (int) (0L)));
				BgL_bodyz00_14868 = PROCEDURE_REF(BgL_envz00_14866, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17670;

					BgL_bpz00_17670 = VECTOR_REF(((obj_t) BgL_sz00_14869), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17671;
						obj_t BgL_wherez00_17672;
						obj_t BgL_locz00_17673;

						BgL_z12denvz12_17671 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17672 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14867))->
							BgL_wherez00);
						BgL_locz00_17673 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14867))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17671, BgL_wherez00_17672,
								BgL_locz00_17673);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17674;

								BgL_za2za2resza2za2z00_17674 =
									(VA_PROCEDUREP(BgL_bodyz00_14868) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14868)) (BgL_bodyz00_14868,
										BgL_sz00_14869, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14868)) (BgL_bodyz00_14868,
										BgL_sz00_14869));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17671);
								return BgL_za2za2resza2za2z00_17674;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3658> */
	obj_t BGl_z62zc3z04anonymousza33658ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14870, obj_t BgL_sz00_14875)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14871;
				BgL_ev_absz00_bglt BgL_i1255z00_14872;
				obj_t BgL_bodyz00_14873;
				long BgL_siza7ezd2framez75_14874;

				BgL_iboxesz00_14871 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14870, (int) (0L)));
				BgL_i1255z00_14872 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14870, (int) (1L)));
				BgL_bodyz00_14873 = PROCEDURE_REF(BgL_envz00_14870, (int) (2L));
				BgL_siza7ezd2framez75_14874 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14870, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17675;

					BgL_bpz00_17675 = VECTOR_REF(((obj_t) BgL_sz00_14875), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17676;

							BgL_runz00_17676 =
								MAKE_FX_PROCEDURE(BGl_z62run4557z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_17676, (int) (0L), BgL_iboxesz00_14871);
							PROCEDURE_SET(BgL_runz00_17676,
								(int) (1L), ((obj_t) BgL_i1255z00_14872));
							PROCEDURE_SET(BgL_runz00_17676, (int) (2L), BgL_bodyz00_14873);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17677;

								BgL_mainz00_17677 =
									MAKE_FX_PROCEDURE(BGl_z62main4556z62zz__evaluate_compz00,
									(int) (2L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_17677,
									(int) (0L), BgL_iboxesz00_14871);
								PROCEDURE_SET(BgL_mainz00_17677,
									(int) (1L), ((obj_t) BgL_i1255z00_14872));
								PROCEDURE_SET(BgL_mainz00_17677, (int) (2L), BgL_bodyz00_14873);
								PROCEDURE_SET(BgL_mainz00_17677, (int) (3L), BgL_runz00_17676);
								PROCEDURE_SET(BgL_mainz00_17677,
									(int) (4L), BINT(BgL_siza7ezd2framez75_14874));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17678;

									BgL_objz00_17678 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17676, BgL_objz00_17678);
									BgL_objz00_17678;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3659z00_17679;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3661z00_17680;

										BgL_arg3661z00_17680 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14872))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17681;

											BgL_newz00_17681 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31024;

												BgL_tmpz00_31024 = (int) (3L);
												STRUCT_SET(BgL_newz00_17681, BgL_tmpz00_31024,
													BgL_arg3661z00_17680);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31029;
												int BgL_tmpz00_31027;

												BgL_auxz00_31029 = BINT(BgL_siza7ezd2framez75_14874);
												BgL_tmpz00_31027 = (int) (2L);
												STRUCT_SET(BgL_newz00_17681, BgL_tmpz00_31027,
													BgL_auxz00_31029);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31032;

												BgL_tmpz00_31032 = (int) (1L);
												STRUCT_SET(BgL_newz00_17681, BgL_tmpz00_31032,
													BgL_runz00_17676);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31037;
												int BgL_tmpz00_31035;

												BgL_auxz00_31037 = BINT(2L);
												BgL_tmpz00_31035 = (int) (0L);
												STRUCT_SET(BgL_newz00_17681, BgL_tmpz00_31035,
													BgL_auxz00_31037);
											}
											BgL_arg3659z00_17679 = BgL_newz00_17681;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17677, BgL_arg3659z00_17679);
									BgL_arg3659z00_17679;
								}
								return BgL_mainz00_17677;
							}
						}
					}
				}
			}
		}

	}



/* &main4556 */
	obj_t BGl_z62main4556z62zz__evaluate_compz00(obj_t BgL_envz00_14876,
		obj_t BgL_cz00_14882, obj_t BgL_dz00_14883)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14880;
				long BgL_siza7ezd2framez75_14881;

				BgL_runz00_14880 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14876, (int) (3L)));
				BgL_siza7ezd2framez75_14881 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14876, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17682;

					BgL_sz00_17682 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17683;

						BgL_bpz00_17683 = VECTOR_REF(((obj_t) BgL_sz00_17682), 0L);
						if (
							(((long) CINT(BgL_bpz00_17683) + BgL_siza7ezd2framez75_14881) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17682))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3664z00_17684;

									BgL_arg3664z00_17684 = ((long) CINT(BgL_bpz00_17683) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17682), BgL_arg3664z00_17684,
										BgL_cz00_14882);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3666z00_17685;

									BgL_arg3666z00_17685 = ((long) CINT(BgL_bpz00_17683) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17682), BgL_arg3666z00_17685,
										BgL_dz00_14883);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17686;

									BgL_ez00_17686 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17687;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17688;

											BgL_arg4359z00_17688 = BGL_EXITD_PROTECT(BgL_ez00_17686);
											BgL_arg4358z00_17687 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17683, BgL_arg4359z00_17688);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17686, BgL_arg4358z00_17687);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17689;

										BgL_accz00_17689 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14880, BgL_sz00_17682, BgL_bpz00_17683);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5609z00_31069;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17690;

												BgL_arg4357z00_17690 =
													BGL_EXITD_PROTECT(BgL_ez00_17686);
												BgL_test5609z00_31069 = PAIRP(BgL_arg4357z00_17690);
											}
											if (BgL_test5609z00_31069)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17691;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17692;

														BgL_arg4356z00_17692 =
															BGL_EXITD_PROTECT(BgL_ez00_17686);
														BgL_arg4355z00_17691 =
															CDR(((obj_t) BgL_arg4356z00_17692));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17686,
														BgL_arg4355z00_17691);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17682), 0L, BgL_bpz00_17683);
										return BgL_accz00_17689;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17693;

								BgL_nsz00_17693 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17693, 1L, BgL_sz00_17682);
								VECTOR_SET(BgL_nsz00_17693, 2L, BgL_cz00_14882);
								VECTOR_SET(BgL_nsz00_17693, 3L, BgL_dz00_14883);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17694;

									BgL_z12denvz12_17694 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17694, BgL_nsz00_17693);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17695;

										BgL_ez00_17695 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17696;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17697;

												BgL_arg4359z00_17697 =
													BGL_EXITD_PROTECT(BgL_ez00_17695);
												BgL_arg4358z00_17696 =
													MAKE_YOUNG_PAIR(BgL_sz00_17682, BgL_arg4359z00_17697);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17695,
												BgL_arg4358z00_17696);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17698;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17699;

												BgL_savedzd2bpzd2_17699 =
													VECTOR_REF(BgL_nsz00_17693, 0L);
												VECTOR_SET(BgL_nsz00_17693, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17701;

													BgL_fz00_17701 = BgL_runz00_14880;
												BgL_recz00_17700:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17702;

														BgL_rz00_17702 =
															(VA_PROCEDUREP(BgL_fz00_17701) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17701))
															(BgL_fz00_17701, BgL_nsz00_17693,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17701))
															(BgL_fz00_17701, BgL_nsz00_17693));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5610z00_31095;

															if (PROCEDUREP(BgL_rz00_17702))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17703;

																	BgL_arg1778z00_17703 =
																		PROCEDURE_ATTR(BgL_rz00_17702);
																	if (STRUCTP(BgL_arg1778z00_17703))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5610z00_31095 =
																				(STRUCT_KEY(BgL_arg1778z00_17703) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5610z00_31095 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5610z00_31095 = ((bool_t) 0);
																}
															if (BgL_test5610z00_31095)
																{
																	obj_t BgL_fz00_31103;

																	BgL_fz00_31103 = BgL_rz00_17702;
																	BgL_fz00_17701 = BgL_fz00_31103;
																	goto BgL_recz00_17700;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17693, 0L,
																		BgL_savedzd2bpzd2_17699);
																	BgL_____rz00_17698 = BgL_rz00_17702;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5613z00_31105;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17704;

													BgL_arg4357z00_17704 =
														BGL_EXITD_PROTECT(BgL_ez00_17695);
													BgL_test5613z00_31105 = PAIRP(BgL_arg4357z00_17704);
												}
												if (BgL_test5613z00_31105)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17705;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17706;

															BgL_arg4356z00_17706 =
																BGL_EXITD_PROTECT(BgL_ez00_17695);
															BgL_arg4355z00_17705 =
																CDR(((obj_t) BgL_arg4356z00_17706));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17695,
															BgL_arg4355z00_17705);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17694, BgL_sz00_17682);
											return BgL_____rz00_17698;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4557 */
	obj_t BGl_z62run4557z62zz__evaluate_compz00(obj_t BgL_envz00_14884,
		obj_t BgL_sz00_14888)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14885;
				BgL_ev_absz00_bglt BgL_i1255z00_14886;
				obj_t BgL_bodyz00_14887;

				BgL_iboxesz00_14885 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14884, (int) (0L)));
				BgL_i1255z00_14886 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14884, (int) (1L)));
				BgL_bodyz00_14887 = PROCEDURE_REF(BgL_envz00_14884, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17707;

					BgL_bpz00_17707 = VECTOR_REF(((obj_t) BgL_sz00_14888), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14888,
						BgL_iboxesz00_14885, BgL_bpz00_17707);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17708;
						obj_t BgL_wherez00_17709;
						obj_t BgL_locz00_17710;

						BgL_z12denvz12_17708 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17709 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14886))->
							BgL_wherez00);
						BgL_locz00_17710 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14886))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17708, BgL_wherez00_17709,
								BgL_locz00_17710);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17711;

								BgL_za2za2resza2za2z00_17711 =
									(VA_PROCEDUREP(BgL_bodyz00_14887) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14887)) (BgL_bodyz00_14887,
										BgL_sz00_14888, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14887)) (BgL_bodyz00_14887,
										BgL_sz00_14888));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17708);
								return BgL_za2za2resza2za2z00_17711;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3672> */
	obj_t BGl_z62zc3z04anonymousza33672ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14889, obj_t BgL_sz00_14895)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14890;
				long BgL_siza7eza7_14891;
				BgL_ev_absz00_bglt BgL_i1255z00_14892;
				obj_t BgL_bodyz00_14893;
				long BgL_siza7ezd2framez75_14894;

				BgL_ifreesz00_14890 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14889, (int) (0L)));
				BgL_siza7eza7_14891 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14889, (int) (1L)));
				BgL_i1255z00_14892 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14889, (int) (2L)));
				BgL_bodyz00_14893 = PROCEDURE_REF(BgL_envz00_14889, (int) (3L));
				BgL_siza7ezd2framez75_14894 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14889, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17712;

					BgL_bpz00_17712 = VECTOR_REF(((obj_t) BgL_sz00_14895), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17713;

						BgL_valza2za2_17713 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14895,
							BgL_bpz00_17712, BgL_ifreesz00_14890);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17714;

							BgL_runz00_17714 =
								MAKE_FX_PROCEDURE(BGl_z62run4559z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_17714,
								(int) (0L), BINT(BgL_siza7eza7_14891));
							PROCEDURE_SET(BgL_runz00_17714, (int) (1L), BgL_valza2za2_17713);
							PROCEDURE_SET(BgL_runz00_17714,
								(int) (2L), ((obj_t) BgL_i1255z00_14892));
							PROCEDURE_SET(BgL_runz00_17714, (int) (3L), BgL_bodyz00_14893);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17715;

								BgL_mainz00_17715 =
									MAKE_FX_PROCEDURE(BGl_z62main4558z62zz__evaluate_compz00,
									(int) (2L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_17715,
									(int) (0L), BINT(BgL_siza7eza7_14891));
								PROCEDURE_SET(BgL_mainz00_17715,
									(int) (1L), BgL_valza2za2_17713);
								PROCEDURE_SET(BgL_mainz00_17715,
									(int) (2L), ((obj_t) BgL_i1255z00_14892));
								PROCEDURE_SET(BgL_mainz00_17715, (int) (3L), BgL_bodyz00_14893);
								PROCEDURE_SET(BgL_mainz00_17715, (int) (4L), BgL_runz00_17714);
								PROCEDURE_SET(BgL_mainz00_17715,
									(int) (5L), BINT(BgL_siza7ezd2framez75_14894));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17716;

									BgL_objz00_17716 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17714, BgL_objz00_17716);
									BgL_objz00_17716;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3673z00_17717;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3674z00_17718;

										BgL_arg3674z00_17718 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14892))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17719;

											BgL_newz00_17719 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31185;

												BgL_tmpz00_31185 = (int) (3L);
												STRUCT_SET(BgL_newz00_17719, BgL_tmpz00_31185,
													BgL_arg3674z00_17718);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31190;
												int BgL_tmpz00_31188;

												BgL_auxz00_31190 = BINT(BgL_siza7ezd2framez75_14894);
												BgL_tmpz00_31188 = (int) (2L);
												STRUCT_SET(BgL_newz00_17719, BgL_tmpz00_31188,
													BgL_auxz00_31190);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31193;

												BgL_tmpz00_31193 = (int) (1L);
												STRUCT_SET(BgL_newz00_17719, BgL_tmpz00_31193,
													BgL_runz00_17714);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31198;
												int BgL_tmpz00_31196;

												BgL_auxz00_31198 = BINT(2L);
												BgL_tmpz00_31196 = (int) (0L);
												STRUCT_SET(BgL_newz00_17719, BgL_tmpz00_31196,
													BgL_auxz00_31198);
											}
											BgL_arg3673z00_17717 = BgL_newz00_17719;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17715, BgL_arg3673z00_17717);
									BgL_arg3673z00_17717;
								}
								return BgL_mainz00_17715;
							}
						}
					}
				}
			}
		}

	}



/* &main4558 */
	obj_t BGl_z62main4558z62zz__evaluate_compz00(obj_t BgL_envz00_14896,
		obj_t BgL_cz00_14903, obj_t BgL_dz00_14904)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14901;
				long BgL_siza7ezd2framez75_14902;

				BgL_runz00_14901 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14896, (int) (4L)));
				BgL_siza7ezd2framez75_14902 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14896, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17720;

					BgL_sz00_17720 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17721;

						BgL_bpz00_17721 = VECTOR_REF(((obj_t) BgL_sz00_17720), 0L);
						if (
							(((long) CINT(BgL_bpz00_17721) + BgL_siza7ezd2framez75_14902) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17720))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3677z00_17722;

									BgL_arg3677z00_17722 = ((long) CINT(BgL_bpz00_17721) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17720), BgL_arg3677z00_17722,
										BgL_cz00_14903);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3678z00_17723;

									BgL_arg3678z00_17723 = ((long) CINT(BgL_bpz00_17721) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17720), BgL_arg3678z00_17723,
										BgL_dz00_14904);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17724;

									BgL_ez00_17724 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17725;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17726;

											BgL_arg4359z00_17726 = BGL_EXITD_PROTECT(BgL_ez00_17724);
											BgL_arg4358z00_17725 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17721, BgL_arg4359z00_17726);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17724, BgL_arg4358z00_17725);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17727;

										BgL_accz00_17727 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14901, BgL_sz00_17720, BgL_bpz00_17721);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5615z00_31230;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17728;

												BgL_arg4357z00_17728 =
													BGL_EXITD_PROTECT(BgL_ez00_17724);
												BgL_test5615z00_31230 = PAIRP(BgL_arg4357z00_17728);
											}
											if (BgL_test5615z00_31230)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17729;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17730;

														BgL_arg4356z00_17730 =
															BGL_EXITD_PROTECT(BgL_ez00_17724);
														BgL_arg4355z00_17729 =
															CDR(((obj_t) BgL_arg4356z00_17730));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17724,
														BgL_arg4355z00_17729);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17720), 0L, BgL_bpz00_17721);
										return BgL_accz00_17727;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17731;

								BgL_nsz00_17731 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17731, 1L, BgL_sz00_17720);
								VECTOR_SET(BgL_nsz00_17731, 2L, BgL_cz00_14903);
								VECTOR_SET(BgL_nsz00_17731, 3L, BgL_dz00_14904);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17732;

									BgL_z12denvz12_17732 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17732, BgL_nsz00_17731);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17733;

										BgL_ez00_17733 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17734;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17735;

												BgL_arg4359z00_17735 =
													BGL_EXITD_PROTECT(BgL_ez00_17733);
												BgL_arg4358z00_17734 =
													MAKE_YOUNG_PAIR(BgL_sz00_17720, BgL_arg4359z00_17735);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17733,
												BgL_arg4358z00_17734);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17736;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17737;

												BgL_savedzd2bpzd2_17737 =
													VECTOR_REF(BgL_nsz00_17731, 0L);
												VECTOR_SET(BgL_nsz00_17731, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17739;

													BgL_fz00_17739 = BgL_runz00_14901;
												BgL_recz00_17738:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17740;

														BgL_rz00_17740 =
															(VA_PROCEDUREP(BgL_fz00_17739) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17739))
															(BgL_fz00_17739, BgL_nsz00_17731,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17739))
															(BgL_fz00_17739, BgL_nsz00_17731));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5616z00_31256;

															if (PROCEDUREP(BgL_rz00_17740))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17741;

																	BgL_arg1778z00_17741 =
																		PROCEDURE_ATTR(BgL_rz00_17740);
																	if (STRUCTP(BgL_arg1778z00_17741))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5616z00_31256 =
																				(STRUCT_KEY(BgL_arg1778z00_17741) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5616z00_31256 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5616z00_31256 = ((bool_t) 0);
																}
															if (BgL_test5616z00_31256)
																{
																	obj_t BgL_fz00_31264;

																	BgL_fz00_31264 = BgL_rz00_17740;
																	BgL_fz00_17739 = BgL_fz00_31264;
																	goto BgL_recz00_17738;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17731, 0L,
																		BgL_savedzd2bpzd2_17737);
																	BgL_____rz00_17736 = BgL_rz00_17740;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5619z00_31266;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17742;

													BgL_arg4357z00_17742 =
														BGL_EXITD_PROTECT(BgL_ez00_17733);
													BgL_test5619z00_31266 = PAIRP(BgL_arg4357z00_17742);
												}
												if (BgL_test5619z00_31266)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17743;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17744;

															BgL_arg4356z00_17744 =
																BGL_EXITD_PROTECT(BgL_ez00_17733);
															BgL_arg4355z00_17743 =
																CDR(((obj_t) BgL_arg4356z00_17744));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17733,
															BgL_arg4355z00_17743);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17732, BgL_sz00_17720);
											return BgL_____rz00_17736;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4559 */
	obj_t BGl_z62run4559z62zz__evaluate_compz00(obj_t BgL_envz00_14905,
		obj_t BgL_sz00_14910)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14906;
				obj_t BgL_valza2za2_14907;
				BgL_ev_absz00_bglt BgL_i1255z00_14908;
				obj_t BgL_bodyz00_14909;

				BgL_siza7eza7_14906 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14905, (int) (0L)));
				BgL_valza2za2_14907 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14905, (int) (1L)));
				BgL_i1255z00_14908 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14905, (int) (2L)));
				BgL_bodyz00_14909 = PROCEDURE_REF(BgL_envz00_14905, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17745;

					BgL_bpz00_17745 = VECTOR_REF(((obj_t) BgL_sz00_14910), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14910,
						BgL_valza2za2_14907,
						((long) CINT(BgL_bpz00_17745) + BgL_siza7eza7_14906));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17746;
						obj_t BgL_wherez00_17747;
						obj_t BgL_locz00_17748;

						BgL_z12denvz12_17746 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17747 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14908))->
							BgL_wherez00);
						BgL_locz00_17748 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14908))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17746, BgL_wherez00_17747,
								BgL_locz00_17748);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17749;

								BgL_za2za2resza2za2z00_17749 =
									(VA_PROCEDUREP(BgL_bodyz00_14909) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14909)) (BgL_bodyz00_14909,
										BgL_sz00_14910, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14909)) (BgL_bodyz00_14909,
										BgL_sz00_14910));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17746);
								return BgL_za2za2resza2za2z00_17749;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3681> */
	obj_t BGl_z62zc3z04anonymousza33681ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14911, obj_t BgL_sz00_14918)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14912;
				obj_t BgL_iboxesz00_14913;
				long BgL_siza7eza7_14914;
				BgL_ev_absz00_bglt BgL_i1255z00_14915;
				obj_t BgL_bodyz00_14916;
				long BgL_siza7ezd2framez75_14917;

				BgL_ifreesz00_14912 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14911, (int) (0L)));
				BgL_iboxesz00_14913 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14911, (int) (1L)));
				BgL_siza7eza7_14914 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14911, (int) (2L)));
				BgL_i1255z00_14915 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14911, (int) (3L)));
				BgL_bodyz00_14916 = PROCEDURE_REF(BgL_envz00_14911, (int) (4L));
				BgL_siza7ezd2framez75_14917 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14911, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17750;

					BgL_bpz00_17750 = VECTOR_REF(((obj_t) BgL_sz00_14918), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17751;

						BgL_valza2za2_17751 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14918,
							BgL_bpz00_17750, BgL_ifreesz00_14912);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17752;

							BgL_runz00_17752 =
								MAKE_FX_PROCEDURE(BGl_z62run4561z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_17752, (int) (0L), BgL_iboxesz00_14913);
							PROCEDURE_SET(BgL_runz00_17752,
								(int) (1L), BINT(BgL_siza7eza7_14914));
							PROCEDURE_SET(BgL_runz00_17752, (int) (2L), BgL_valza2za2_17751);
							PROCEDURE_SET(BgL_runz00_17752,
								(int) (3L), ((obj_t) BgL_i1255z00_14915));
							PROCEDURE_SET(BgL_runz00_17752, (int) (4L), BgL_bodyz00_14916);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17753;

								BgL_mainz00_17753 =
									MAKE_FX_PROCEDURE(BGl_z62main4560z62zz__evaluate_compz00,
									(int) (2L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_17753,
									(int) (0L), BgL_iboxesz00_14913);
								PROCEDURE_SET(BgL_mainz00_17753,
									(int) (1L), BINT(BgL_siza7eza7_14914));
								PROCEDURE_SET(BgL_mainz00_17753,
									(int) (2L), BgL_valza2za2_17751);
								PROCEDURE_SET(BgL_mainz00_17753,
									(int) (3L), ((obj_t) BgL_i1255z00_14915));
								PROCEDURE_SET(BgL_mainz00_17753, (int) (4L), BgL_bodyz00_14916);
								PROCEDURE_SET(BgL_mainz00_17753, (int) (5L), BgL_runz00_17752);
								PROCEDURE_SET(BgL_mainz00_17753,
									(int) (6L), BINT(BgL_siza7ezd2framez75_14917));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17754;

									BgL_objz00_17754 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17752, BgL_objz00_17754);
									BgL_objz00_17754;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3682z00_17755;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3683z00_17756;

										BgL_arg3683z00_17756 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14915))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17757;

											BgL_newz00_17757 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31358;

												BgL_tmpz00_31358 = (int) (3L);
												STRUCT_SET(BgL_newz00_17757, BgL_tmpz00_31358,
													BgL_arg3683z00_17756);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31363;
												int BgL_tmpz00_31361;

												BgL_auxz00_31363 = BINT(BgL_siza7ezd2framez75_14917);
												BgL_tmpz00_31361 = (int) (2L);
												STRUCT_SET(BgL_newz00_17757, BgL_tmpz00_31361,
													BgL_auxz00_31363);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31366;

												BgL_tmpz00_31366 = (int) (1L);
												STRUCT_SET(BgL_newz00_17757, BgL_tmpz00_31366,
													BgL_runz00_17752);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31371;
												int BgL_tmpz00_31369;

												BgL_auxz00_31371 = BINT(2L);
												BgL_tmpz00_31369 = (int) (0L);
												STRUCT_SET(BgL_newz00_17757, BgL_tmpz00_31369,
													BgL_auxz00_31371);
											}
											BgL_arg3682z00_17755 = BgL_newz00_17757;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17753, BgL_arg3682z00_17755);
									BgL_arg3682z00_17755;
								}
								return BgL_mainz00_17753;
							}
						}
					}
				}
			}
		}

	}



/* &main4560 */
	obj_t BGl_z62main4560z62zz__evaluate_compz00(obj_t BgL_envz00_14919,
		obj_t BgL_cz00_14927, obj_t BgL_dz00_14928)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14925;
				long BgL_siza7ezd2framez75_14926;

				BgL_runz00_14925 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14919, (int) (5L)));
				BgL_siza7ezd2framez75_14926 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14919, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17758;

					BgL_sz00_17758 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17759;

						BgL_bpz00_17759 = VECTOR_REF(((obj_t) BgL_sz00_17758), 0L);
						if (
							(((long) CINT(BgL_bpz00_17759) + BgL_siza7ezd2framez75_14926) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17758))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3686z00_17760;

									BgL_arg3686z00_17760 = ((long) CINT(BgL_bpz00_17759) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17758), BgL_arg3686z00_17760,
										BgL_cz00_14927);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3688z00_17761;

									BgL_arg3688z00_17761 = ((long) CINT(BgL_bpz00_17759) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17758), BgL_arg3688z00_17761,
										BgL_dz00_14928);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17762;

									BgL_ez00_17762 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17763;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17764;

											BgL_arg4359z00_17764 = BGL_EXITD_PROTECT(BgL_ez00_17762);
											BgL_arg4358z00_17763 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17759, BgL_arg4359z00_17764);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17762, BgL_arg4358z00_17763);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17765;

										BgL_accz00_17765 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14925, BgL_sz00_17758, BgL_bpz00_17759);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5621z00_31403;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17766;

												BgL_arg4357z00_17766 =
													BGL_EXITD_PROTECT(BgL_ez00_17762);
												BgL_test5621z00_31403 = PAIRP(BgL_arg4357z00_17766);
											}
											if (BgL_test5621z00_31403)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17767;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17768;

														BgL_arg4356z00_17768 =
															BGL_EXITD_PROTECT(BgL_ez00_17762);
														BgL_arg4355z00_17767 =
															CDR(((obj_t) BgL_arg4356z00_17768));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17762,
														BgL_arg4355z00_17767);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17758), 0L, BgL_bpz00_17759);
										return BgL_accz00_17765;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17769;

								BgL_nsz00_17769 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17769, 1L, BgL_sz00_17758);
								VECTOR_SET(BgL_nsz00_17769, 2L, BgL_cz00_14927);
								VECTOR_SET(BgL_nsz00_17769, 3L, BgL_dz00_14928);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17770;

									BgL_z12denvz12_17770 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17770, BgL_nsz00_17769);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17771;

										BgL_ez00_17771 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17772;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17773;

												BgL_arg4359z00_17773 =
													BGL_EXITD_PROTECT(BgL_ez00_17771);
												BgL_arg4358z00_17772 =
													MAKE_YOUNG_PAIR(BgL_sz00_17758, BgL_arg4359z00_17773);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17771,
												BgL_arg4358z00_17772);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17774;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17775;

												BgL_savedzd2bpzd2_17775 =
													VECTOR_REF(BgL_nsz00_17769, 0L);
												VECTOR_SET(BgL_nsz00_17769, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17777;

													BgL_fz00_17777 = BgL_runz00_14925;
												BgL_recz00_17776:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17778;

														BgL_rz00_17778 =
															(VA_PROCEDUREP(BgL_fz00_17777) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17777))
															(BgL_fz00_17777, BgL_nsz00_17769,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17777))
															(BgL_fz00_17777, BgL_nsz00_17769));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5622z00_31429;

															if (PROCEDUREP(BgL_rz00_17778))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17779;

																	BgL_arg1778z00_17779 =
																		PROCEDURE_ATTR(BgL_rz00_17778);
																	if (STRUCTP(BgL_arg1778z00_17779))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5622z00_31429 =
																				(STRUCT_KEY(BgL_arg1778z00_17779) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5622z00_31429 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5622z00_31429 = ((bool_t) 0);
																}
															if (BgL_test5622z00_31429)
																{
																	obj_t BgL_fz00_31437;

																	BgL_fz00_31437 = BgL_rz00_17778;
																	BgL_fz00_17777 = BgL_fz00_31437;
																	goto BgL_recz00_17776;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17769, 0L,
																		BgL_savedzd2bpzd2_17775);
																	BgL_____rz00_17774 = BgL_rz00_17778;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5625z00_31439;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17780;

													BgL_arg4357z00_17780 =
														BGL_EXITD_PROTECT(BgL_ez00_17771);
													BgL_test5625z00_31439 = PAIRP(BgL_arg4357z00_17780);
												}
												if (BgL_test5625z00_31439)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17781;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17782;

															BgL_arg4356z00_17782 =
																BGL_EXITD_PROTECT(BgL_ez00_17771);
															BgL_arg4355z00_17781 =
																CDR(((obj_t) BgL_arg4356z00_17782));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17771,
															BgL_arg4355z00_17781);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17770, BgL_sz00_17758);
											return BgL_____rz00_17774;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4561 */
	obj_t BGl_z62run4561z62zz__evaluate_compz00(obj_t BgL_envz00_14929,
		obj_t BgL_sz00_14935)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14930;
				long BgL_siza7eza7_14931;
				obj_t BgL_valza2za2_14932;
				BgL_ev_absz00_bglt BgL_i1255z00_14933;
				obj_t BgL_bodyz00_14934;

				BgL_iboxesz00_14930 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14929, (int) (0L)));
				BgL_siza7eza7_14931 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14929, (int) (1L)));
				BgL_valza2za2_14932 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14929, (int) (2L)));
				BgL_i1255z00_14933 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14929, (int) (3L)));
				BgL_bodyz00_14934 = PROCEDURE_REF(BgL_envz00_14929, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17783;

					BgL_bpz00_17783 = VECTOR_REF(((obj_t) BgL_sz00_14935), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14935,
						BgL_iboxesz00_14930, BgL_bpz00_17783);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14935,
						BgL_valza2za2_14932,
						((long) CINT(BgL_bpz00_17783) + BgL_siza7eza7_14931));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17784;
						obj_t BgL_wherez00_17785;
						obj_t BgL_locz00_17786;

						BgL_z12denvz12_17784 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17785 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14933))->
							BgL_wherez00);
						BgL_locz00_17786 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14933))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17784, BgL_wherez00_17785,
								BgL_locz00_17786);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17787;

								BgL_za2za2resza2za2z00_17787 =
									(VA_PROCEDUREP(BgL_bodyz00_14934) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14934)) (BgL_bodyz00_14934,
										BgL_sz00_14935, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14934)) (BgL_bodyz00_14934,
										BgL_sz00_14935));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17784);
								return BgL_za2za2resza2za2z00_17787;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3598> */
	obj_t BGl_z62zc3z04anonymousza33598ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14936, obj_t BgL_sz00_14940)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14937;
				obj_t BgL_bodyz00_14938;
				long BgL_siza7ezd2framez75_14939;

				BgL_i1255z00_14937 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14936, (int) (0L)));
				BgL_bodyz00_14938 = PROCEDURE_REF(BgL_envz00_14936, (int) (1L));
				BgL_siza7ezd2framez75_14939 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14936, (int) (2L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17788;

					BgL_bpz00_17788 = VECTOR_REF(((obj_t) BgL_sz00_14940), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17789;

							BgL_runz00_17789 =
								MAKE_FX_PROCEDURE(BGl_z62run4563z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_17789,
								(int) (0L), ((obj_t) BgL_i1255z00_14937));
							PROCEDURE_SET(BgL_runz00_17789, (int) (1L), BgL_bodyz00_14938);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17790;

								BgL_mainz00_17790 =
									MAKE_VA_PROCEDURE(BGl_z62main4562z62zz__evaluate_compz00,
									(int) (-2L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_17790,
									(int) (0L), ((obj_t) BgL_i1255z00_14937));
								PROCEDURE_SET(BgL_mainz00_17790, (int) (1L), BgL_bodyz00_14938);
								PROCEDURE_SET(BgL_mainz00_17790, (int) (2L), BgL_runz00_17789);
								PROCEDURE_SET(BgL_mainz00_17790,
									(int) (3L), BINT(BgL_siza7ezd2framez75_14939));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17791;

									BgL_objz00_17791 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17789, BgL_objz00_17791);
									BgL_objz00_17791;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3599z00_17792;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3600z00_17793;

										BgL_arg3600z00_17793 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14937))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17794;

											BgL_newz00_17794 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31511;

												BgL_tmpz00_31511 = (int) (3L);
												STRUCT_SET(BgL_newz00_17794, BgL_tmpz00_31511,
													BgL_arg3600z00_17793);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31516;
												int BgL_tmpz00_31514;

												BgL_auxz00_31516 = BINT(BgL_siza7ezd2framez75_14939);
												BgL_tmpz00_31514 = (int) (2L);
												STRUCT_SET(BgL_newz00_17794, BgL_tmpz00_31514,
													BgL_auxz00_31516);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31519;

												BgL_tmpz00_31519 = (int) (1L);
												STRUCT_SET(BgL_newz00_17794, BgL_tmpz00_31519,
													BgL_runz00_17789);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31524;
												int BgL_tmpz00_31522;

												BgL_auxz00_31524 = BINT(-2L);
												BgL_tmpz00_31522 = (int) (0L);
												STRUCT_SET(BgL_newz00_17794, BgL_tmpz00_31522,
													BgL_auxz00_31524);
											}
											BgL_arg3599z00_17792 = BgL_newz00_17794;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17790, BgL_arg3599z00_17792);
									BgL_arg3599z00_17792;
								}
								return BgL_mainz00_17790;
							}
						}
					}
				}
			}
		}

	}



/* &main4562 */
	obj_t BGl_z62main4562z62zz__evaluate_compz00(obj_t BgL_envz00_14941,
		obj_t BgL_dz00_14946, obj_t BgL_lastz00_14947)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14944;
				long BgL_siza7ezd2framez75_14945;

				BgL_runz00_14944 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14941, (int) (2L)));
				BgL_siza7ezd2framez75_14945 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14941, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17795;

					BgL_sz00_17795 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17796;

						BgL_bpz00_17796 = VECTOR_REF(((obj_t) BgL_sz00_17795), 0L);
						if (
							(((long) CINT(BgL_bpz00_17796) + BgL_siza7ezd2framez75_14945) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17795))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3603z00_17797;

									BgL_arg3603z00_17797 = ((long) CINT(BgL_bpz00_17796) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17795), BgL_arg3603z00_17797,
										BgL_dz00_14946);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3604z00_17798;

									BgL_arg3604z00_17798 = ((long) CINT(BgL_bpz00_17796) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17795), BgL_arg3604z00_17798,
										BgL_lastz00_14947);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17799;

									BgL_ez00_17799 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17800;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17801;

											BgL_arg4359z00_17801 = BGL_EXITD_PROTECT(BgL_ez00_17799);
											BgL_arg4358z00_17800 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17796, BgL_arg4359z00_17801);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17799, BgL_arg4358z00_17800);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17802;

										BgL_accz00_17802 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14944, BgL_sz00_17795, BgL_bpz00_17796);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5627z00_31556;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17803;

												BgL_arg4357z00_17803 =
													BGL_EXITD_PROTECT(BgL_ez00_17799);
												BgL_test5627z00_31556 = PAIRP(BgL_arg4357z00_17803);
											}
											if (BgL_test5627z00_31556)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17804;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17805;

														BgL_arg4356z00_17805 =
															BGL_EXITD_PROTECT(BgL_ez00_17799);
														BgL_arg4355z00_17804 =
															CDR(((obj_t) BgL_arg4356z00_17805));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17799,
														BgL_arg4355z00_17804);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17795), 0L, BgL_bpz00_17796);
										return BgL_accz00_17802;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17806;

								BgL_nsz00_17806 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17806, 1L, BgL_sz00_17795);
								VECTOR_SET(BgL_nsz00_17806, 2L, BgL_dz00_14946);
								VECTOR_SET(BgL_nsz00_17806, 3L, BgL_lastz00_14947);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17807;

									BgL_z12denvz12_17807 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17807, BgL_nsz00_17806);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17808;

										BgL_ez00_17808 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17809;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17810;

												BgL_arg4359z00_17810 =
													BGL_EXITD_PROTECT(BgL_ez00_17808);
												BgL_arg4358z00_17809 =
													MAKE_YOUNG_PAIR(BgL_sz00_17795, BgL_arg4359z00_17810);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17808,
												BgL_arg4358z00_17809);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17811;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17812;

												BgL_savedzd2bpzd2_17812 =
													VECTOR_REF(BgL_nsz00_17806, 0L);
												VECTOR_SET(BgL_nsz00_17806, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17814;

													BgL_fz00_17814 = BgL_runz00_14944;
												BgL_recz00_17813:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17815;

														BgL_rz00_17815 =
															(VA_PROCEDUREP(BgL_fz00_17814) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17814))
															(BgL_fz00_17814, BgL_nsz00_17806,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17814))
															(BgL_fz00_17814, BgL_nsz00_17806));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5628z00_31582;

															if (PROCEDUREP(BgL_rz00_17815))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17816;

																	BgL_arg1778z00_17816 =
																		PROCEDURE_ATTR(BgL_rz00_17815);
																	if (STRUCTP(BgL_arg1778z00_17816))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5628z00_31582 =
																				(STRUCT_KEY(BgL_arg1778z00_17816) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5628z00_31582 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5628z00_31582 = ((bool_t) 0);
																}
															if (BgL_test5628z00_31582)
																{
																	obj_t BgL_fz00_31590;

																	BgL_fz00_31590 = BgL_rz00_17815;
																	BgL_fz00_17814 = BgL_fz00_31590;
																	goto BgL_recz00_17813;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17806, 0L,
																		BgL_savedzd2bpzd2_17812);
																	BgL_____rz00_17811 = BgL_rz00_17815;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5631z00_31592;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17817;

													BgL_arg4357z00_17817 =
														BGL_EXITD_PROTECT(BgL_ez00_17808);
													BgL_test5631z00_31592 = PAIRP(BgL_arg4357z00_17817);
												}
												if (BgL_test5631z00_31592)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17818;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17819;

															BgL_arg4356z00_17819 =
																BGL_EXITD_PROTECT(BgL_ez00_17808);
															BgL_arg4355z00_17818 =
																CDR(((obj_t) BgL_arg4356z00_17819));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17808,
															BgL_arg4355z00_17818);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17807, BgL_sz00_17795);
											return BgL_____rz00_17811;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4563 */
	obj_t BGl_z62run4563z62zz__evaluate_compz00(obj_t BgL_envz00_14948,
		obj_t BgL_sz00_14951)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14949;
				obj_t BgL_bodyz00_14950;

				BgL_i1255z00_14949 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14948, (int) (0L)));
				BgL_bodyz00_14950 = PROCEDURE_REF(BgL_envz00_14948, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17820;

					BgL_bpz00_17820 = VECTOR_REF(((obj_t) BgL_sz00_14951), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17821;
						obj_t BgL_wherez00_17822;
						obj_t BgL_locz00_17823;

						BgL_z12denvz12_17821 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17822 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14949))->
							BgL_wherez00);
						BgL_locz00_17823 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14949))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17821, BgL_wherez00_17822,
								BgL_locz00_17823);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17824;

								BgL_za2za2resza2za2z00_17824 =
									(VA_PROCEDUREP(BgL_bodyz00_14950) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14950)) (BgL_bodyz00_14950,
										BgL_sz00_14951, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14950)) (BgL_bodyz00_14950,
										BgL_sz00_14951));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17821);
								return BgL_za2za2resza2za2z00_17824;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3606> */
	obj_t BGl_z62zc3z04anonymousza33606ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14952, obj_t BgL_sz00_14957)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14953;
				BgL_ev_absz00_bglt BgL_i1255z00_14954;
				obj_t BgL_bodyz00_14955;
				long BgL_siza7ezd2framez75_14956;

				BgL_iboxesz00_14953 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14952, (int) (0L)));
				BgL_i1255z00_14954 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14952, (int) (1L)));
				BgL_bodyz00_14955 = PROCEDURE_REF(BgL_envz00_14952, (int) (2L));
				BgL_siza7ezd2framez75_14956 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14952, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17825;

					BgL_bpz00_17825 = VECTOR_REF(((obj_t) BgL_sz00_14957), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17826;

							BgL_runz00_17826 =
								MAKE_FX_PROCEDURE(BGl_z62run4565z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_17826, (int) (0L), BgL_iboxesz00_14953);
							PROCEDURE_SET(BgL_runz00_17826,
								(int) (1L), ((obj_t) BgL_i1255z00_14954));
							PROCEDURE_SET(BgL_runz00_17826, (int) (2L), BgL_bodyz00_14955);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17827;

								BgL_mainz00_17827 =
									MAKE_VA_PROCEDURE(BGl_z62main4564z62zz__evaluate_compz00,
									(int) (-2L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_17827,
									(int) (0L), BgL_iboxesz00_14953);
								PROCEDURE_SET(BgL_mainz00_17827,
									(int) (1L), ((obj_t) BgL_i1255z00_14954));
								PROCEDURE_SET(BgL_mainz00_17827, (int) (2L), BgL_bodyz00_14955);
								PROCEDURE_SET(BgL_mainz00_17827, (int) (3L), BgL_runz00_17826);
								PROCEDURE_SET(BgL_mainz00_17827,
									(int) (4L), BINT(BgL_siza7ezd2framez75_14956));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17828;

									BgL_objz00_17828 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17826, BgL_objz00_17828);
									BgL_objz00_17828;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3607z00_17829;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3609z00_17830;

										BgL_arg3609z00_17830 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14954))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17831;

											BgL_newz00_17831 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31658;

												BgL_tmpz00_31658 = (int) (3L);
												STRUCT_SET(BgL_newz00_17831, BgL_tmpz00_31658,
													BgL_arg3609z00_17830);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31663;
												int BgL_tmpz00_31661;

												BgL_auxz00_31663 = BINT(BgL_siza7ezd2framez75_14956);
												BgL_tmpz00_31661 = (int) (2L);
												STRUCT_SET(BgL_newz00_17831, BgL_tmpz00_31661,
													BgL_auxz00_31663);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31666;

												BgL_tmpz00_31666 = (int) (1L);
												STRUCT_SET(BgL_newz00_17831, BgL_tmpz00_31666,
													BgL_runz00_17826);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31671;
												int BgL_tmpz00_31669;

												BgL_auxz00_31671 = BINT(-2L);
												BgL_tmpz00_31669 = (int) (0L);
												STRUCT_SET(BgL_newz00_17831, BgL_tmpz00_31669,
													BgL_auxz00_31671);
											}
											BgL_arg3607z00_17829 = BgL_newz00_17831;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17827, BgL_arg3607z00_17829);
									BgL_arg3607z00_17829;
								}
								return BgL_mainz00_17827;
							}
						}
					}
				}
			}
		}

	}



/* &main4564 */
	obj_t BGl_z62main4564z62zz__evaluate_compz00(obj_t BgL_envz00_14958,
		obj_t BgL_dz00_14964, obj_t BgL_lastz00_14965)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14962;
				long BgL_siza7ezd2framez75_14963;

				BgL_runz00_14962 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14958, (int) (3L)));
				BgL_siza7ezd2framez75_14963 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14958, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17832;

					BgL_sz00_17832 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17833;

						BgL_bpz00_17833 = VECTOR_REF(((obj_t) BgL_sz00_17832), 0L);
						if (
							(((long) CINT(BgL_bpz00_17833) + BgL_siza7ezd2framez75_14963) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17832))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3612z00_17834;

									BgL_arg3612z00_17834 = ((long) CINT(BgL_bpz00_17833) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17832), BgL_arg3612z00_17834,
										BgL_dz00_14964);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3613z00_17835;

									BgL_arg3613z00_17835 = ((long) CINT(BgL_bpz00_17833) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17832), BgL_arg3613z00_17835,
										BgL_lastz00_14965);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17836;

									BgL_ez00_17836 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17837;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17838;

											BgL_arg4359z00_17838 = BGL_EXITD_PROTECT(BgL_ez00_17836);
											BgL_arg4358z00_17837 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17833, BgL_arg4359z00_17838);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17836, BgL_arg4358z00_17837);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17839;

										BgL_accz00_17839 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14962, BgL_sz00_17832, BgL_bpz00_17833);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5633z00_31703;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17840;

												BgL_arg4357z00_17840 =
													BGL_EXITD_PROTECT(BgL_ez00_17836);
												BgL_test5633z00_31703 = PAIRP(BgL_arg4357z00_17840);
											}
											if (BgL_test5633z00_31703)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17841;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17842;

														BgL_arg4356z00_17842 =
															BGL_EXITD_PROTECT(BgL_ez00_17836);
														BgL_arg4355z00_17841 =
															CDR(((obj_t) BgL_arg4356z00_17842));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17836,
														BgL_arg4355z00_17841);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17832), 0L, BgL_bpz00_17833);
										return BgL_accz00_17839;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17843;

								BgL_nsz00_17843 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17843, 1L, BgL_sz00_17832);
								VECTOR_SET(BgL_nsz00_17843, 2L, BgL_dz00_14964);
								VECTOR_SET(BgL_nsz00_17843, 3L, BgL_lastz00_14965);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17844;

									BgL_z12denvz12_17844 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17844, BgL_nsz00_17843);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17845;

										BgL_ez00_17845 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17846;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17847;

												BgL_arg4359z00_17847 =
													BGL_EXITD_PROTECT(BgL_ez00_17845);
												BgL_arg4358z00_17846 =
													MAKE_YOUNG_PAIR(BgL_sz00_17832, BgL_arg4359z00_17847);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17845,
												BgL_arg4358z00_17846);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17848;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17849;

												BgL_savedzd2bpzd2_17849 =
													VECTOR_REF(BgL_nsz00_17843, 0L);
												VECTOR_SET(BgL_nsz00_17843, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17851;

													BgL_fz00_17851 = BgL_runz00_14962;
												BgL_recz00_17850:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17852;

														BgL_rz00_17852 =
															(VA_PROCEDUREP(BgL_fz00_17851) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17851))
															(BgL_fz00_17851, BgL_nsz00_17843,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17851))
															(BgL_fz00_17851, BgL_nsz00_17843));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5634z00_31729;

															if (PROCEDUREP(BgL_rz00_17852))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17853;

																	BgL_arg1778z00_17853 =
																		PROCEDURE_ATTR(BgL_rz00_17852);
																	if (STRUCTP(BgL_arg1778z00_17853))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5634z00_31729 =
																				(STRUCT_KEY(BgL_arg1778z00_17853) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5634z00_31729 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5634z00_31729 = ((bool_t) 0);
																}
															if (BgL_test5634z00_31729)
																{
																	obj_t BgL_fz00_31737;

																	BgL_fz00_31737 = BgL_rz00_17852;
																	BgL_fz00_17851 = BgL_fz00_31737;
																	goto BgL_recz00_17850;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17843, 0L,
																		BgL_savedzd2bpzd2_17849);
																	BgL_____rz00_17848 = BgL_rz00_17852;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5637z00_31739;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17854;

													BgL_arg4357z00_17854 =
														BGL_EXITD_PROTECT(BgL_ez00_17845);
													BgL_test5637z00_31739 = PAIRP(BgL_arg4357z00_17854);
												}
												if (BgL_test5637z00_31739)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17855;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17856;

															BgL_arg4356z00_17856 =
																BGL_EXITD_PROTECT(BgL_ez00_17845);
															BgL_arg4355z00_17855 =
																CDR(((obj_t) BgL_arg4356z00_17856));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17845,
															BgL_arg4355z00_17855);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17844, BgL_sz00_17832);
											return BgL_____rz00_17848;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4565 */
	obj_t BGl_z62run4565z62zz__evaluate_compz00(obj_t BgL_envz00_14966,
		obj_t BgL_sz00_14970)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14967;
				BgL_ev_absz00_bglt BgL_i1255z00_14968;
				obj_t BgL_bodyz00_14969;

				BgL_iboxesz00_14967 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14966, (int) (0L)));
				BgL_i1255z00_14968 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14966, (int) (1L)));
				BgL_bodyz00_14969 = PROCEDURE_REF(BgL_envz00_14966, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17857;

					BgL_bpz00_17857 = VECTOR_REF(((obj_t) BgL_sz00_14970), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14970,
						BgL_iboxesz00_14967, BgL_bpz00_17857);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17858;
						obj_t BgL_wherez00_17859;
						obj_t BgL_locz00_17860;

						BgL_z12denvz12_17858 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17859 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14968))->
							BgL_wherez00);
						BgL_locz00_17860 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14968))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17858, BgL_wherez00_17859,
								BgL_locz00_17860);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17861;

								BgL_za2za2resza2za2z00_17861 =
									(VA_PROCEDUREP(BgL_bodyz00_14969) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14969)) (BgL_bodyz00_14969,
										BgL_sz00_14970, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14969)) (BgL_bodyz00_14969,
										BgL_sz00_14970));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17858);
								return BgL_za2za2resza2za2z00_17861;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3620> */
	obj_t BGl_z62zc3z04anonymousza33620ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14971, obj_t BgL_sz00_14977)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14972;
				long BgL_siza7eza7_14973;
				BgL_ev_absz00_bglt BgL_i1255z00_14974;
				obj_t BgL_bodyz00_14975;
				long BgL_siza7ezd2framez75_14976;

				BgL_ifreesz00_14972 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14971, (int) (0L)));
				BgL_siza7eza7_14973 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14971, (int) (1L)));
				BgL_i1255z00_14974 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14971, (int) (2L)));
				BgL_bodyz00_14975 = PROCEDURE_REF(BgL_envz00_14971, (int) (3L));
				BgL_siza7ezd2framez75_14976 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14971, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17862;

					BgL_bpz00_17862 = VECTOR_REF(((obj_t) BgL_sz00_14977), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17863;

						BgL_valza2za2_17863 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14977,
							BgL_bpz00_17862, BgL_ifreesz00_14972);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17864;

							BgL_runz00_17864 =
								MAKE_FX_PROCEDURE(BGl_z62run4567z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_17864,
								(int) (0L), BINT(BgL_siza7eza7_14973));
							PROCEDURE_SET(BgL_runz00_17864, (int) (1L), BgL_valza2za2_17863);
							PROCEDURE_SET(BgL_runz00_17864,
								(int) (2L), ((obj_t) BgL_i1255z00_14974));
							PROCEDURE_SET(BgL_runz00_17864, (int) (3L), BgL_bodyz00_14975);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17865;

								BgL_mainz00_17865 =
									MAKE_VA_PROCEDURE(BGl_z62main4566z62zz__evaluate_compz00,
									(int) (-2L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_17865,
									(int) (0L), BINT(BgL_siza7eza7_14973));
								PROCEDURE_SET(BgL_mainz00_17865,
									(int) (1L), BgL_valza2za2_17863);
								PROCEDURE_SET(BgL_mainz00_17865,
									(int) (2L), ((obj_t) BgL_i1255z00_14974));
								PROCEDURE_SET(BgL_mainz00_17865, (int) (3L), BgL_bodyz00_14975);
								PROCEDURE_SET(BgL_mainz00_17865, (int) (4L), BgL_runz00_17864);
								PROCEDURE_SET(BgL_mainz00_17865,
									(int) (5L), BINT(BgL_siza7ezd2framez75_14976));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17866;

									BgL_objz00_17866 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17864, BgL_objz00_17866);
									BgL_objz00_17866;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3621z00_17867;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3623z00_17868;

										BgL_arg3623z00_17868 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14974))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17869;

											BgL_newz00_17869 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31819;

												BgL_tmpz00_31819 = (int) (3L);
												STRUCT_SET(BgL_newz00_17869, BgL_tmpz00_31819,
													BgL_arg3623z00_17868);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31824;
												int BgL_tmpz00_31822;

												BgL_auxz00_31824 = BINT(BgL_siza7ezd2framez75_14976);
												BgL_tmpz00_31822 = (int) (2L);
												STRUCT_SET(BgL_newz00_17869, BgL_tmpz00_31822,
													BgL_auxz00_31824);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31827;

												BgL_tmpz00_31827 = (int) (1L);
												STRUCT_SET(BgL_newz00_17869, BgL_tmpz00_31827,
													BgL_runz00_17864);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31832;
												int BgL_tmpz00_31830;

												BgL_auxz00_31832 = BINT(-2L);
												BgL_tmpz00_31830 = (int) (0L);
												STRUCT_SET(BgL_newz00_17869, BgL_tmpz00_31830,
													BgL_auxz00_31832);
											}
											BgL_arg3621z00_17867 = BgL_newz00_17869;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17865, BgL_arg3621z00_17867);
									BgL_arg3621z00_17867;
								}
								return BgL_mainz00_17865;
							}
						}
					}
				}
			}
		}

	}



/* &main4566 */
	obj_t BGl_z62main4566z62zz__evaluate_compz00(obj_t BgL_envz00_14978,
		obj_t BgL_dz00_14985, obj_t BgL_lastz00_14986)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14983;
				long BgL_siza7ezd2framez75_14984;

				BgL_runz00_14983 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14978, (int) (4L)));
				BgL_siza7ezd2framez75_14984 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14978, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17870;

					BgL_sz00_17870 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17871;

						BgL_bpz00_17871 = VECTOR_REF(((obj_t) BgL_sz00_17870), 0L);
						if (
							(((long) CINT(BgL_bpz00_17871) + BgL_siza7ezd2framez75_14984) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17870))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3626z00_17872;

									BgL_arg3626z00_17872 = ((long) CINT(BgL_bpz00_17871) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17870), BgL_arg3626z00_17872,
										BgL_dz00_14985);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3628z00_17873;

									BgL_arg3628z00_17873 = ((long) CINT(BgL_bpz00_17871) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17870), BgL_arg3628z00_17873,
										BgL_lastz00_14986);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17874;

									BgL_ez00_17874 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17875;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17876;

											BgL_arg4359z00_17876 = BGL_EXITD_PROTECT(BgL_ez00_17874);
											BgL_arg4358z00_17875 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17871, BgL_arg4359z00_17876);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17874, BgL_arg4358z00_17875);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17877;

										BgL_accz00_17877 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14983, BgL_sz00_17870, BgL_bpz00_17871);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5639z00_31864;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17878;

												BgL_arg4357z00_17878 =
													BGL_EXITD_PROTECT(BgL_ez00_17874);
												BgL_test5639z00_31864 = PAIRP(BgL_arg4357z00_17878);
											}
											if (BgL_test5639z00_31864)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17879;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17880;

														BgL_arg4356z00_17880 =
															BGL_EXITD_PROTECT(BgL_ez00_17874);
														BgL_arg4355z00_17879 =
															CDR(((obj_t) BgL_arg4356z00_17880));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17874,
														BgL_arg4355z00_17879);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17870), 0L, BgL_bpz00_17871);
										return BgL_accz00_17877;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17881;

								BgL_nsz00_17881 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17881, 1L, BgL_sz00_17870);
								VECTOR_SET(BgL_nsz00_17881, 2L, BgL_dz00_14985);
								VECTOR_SET(BgL_nsz00_17881, 3L, BgL_lastz00_14986);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17882;

									BgL_z12denvz12_17882 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17882, BgL_nsz00_17881);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17883;

										BgL_ez00_17883 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17884;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17885;

												BgL_arg4359z00_17885 =
													BGL_EXITD_PROTECT(BgL_ez00_17883);
												BgL_arg4358z00_17884 =
													MAKE_YOUNG_PAIR(BgL_sz00_17870, BgL_arg4359z00_17885);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17883,
												BgL_arg4358z00_17884);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17886;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17887;

												BgL_savedzd2bpzd2_17887 =
													VECTOR_REF(BgL_nsz00_17881, 0L);
												VECTOR_SET(BgL_nsz00_17881, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17889;

													BgL_fz00_17889 = BgL_runz00_14983;
												BgL_recz00_17888:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17890;

														BgL_rz00_17890 =
															(VA_PROCEDUREP(BgL_fz00_17889) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17889))
															(BgL_fz00_17889, BgL_nsz00_17881,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17889))
															(BgL_fz00_17889, BgL_nsz00_17881));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5640z00_31890;

															if (PROCEDUREP(BgL_rz00_17890))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17891;

																	BgL_arg1778z00_17891 =
																		PROCEDURE_ATTR(BgL_rz00_17890);
																	if (STRUCTP(BgL_arg1778z00_17891))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5640z00_31890 =
																				(STRUCT_KEY(BgL_arg1778z00_17891) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5640z00_31890 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5640z00_31890 = ((bool_t) 0);
																}
															if (BgL_test5640z00_31890)
																{
																	obj_t BgL_fz00_31898;

																	BgL_fz00_31898 = BgL_rz00_17890;
																	BgL_fz00_17889 = BgL_fz00_31898;
																	goto BgL_recz00_17888;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17881, 0L,
																		BgL_savedzd2bpzd2_17887);
																	BgL_____rz00_17886 = BgL_rz00_17890;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5643z00_31900;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17892;

													BgL_arg4357z00_17892 =
														BGL_EXITD_PROTECT(BgL_ez00_17883);
													BgL_test5643z00_31900 = PAIRP(BgL_arg4357z00_17892);
												}
												if (BgL_test5643z00_31900)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17893;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17894;

															BgL_arg4356z00_17894 =
																BGL_EXITD_PROTECT(BgL_ez00_17883);
															BgL_arg4355z00_17893 =
																CDR(((obj_t) BgL_arg4356z00_17894));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17883,
															BgL_arg4355z00_17893);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17882, BgL_sz00_17870);
											return BgL_____rz00_17886;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4567 */
	obj_t BGl_z62run4567z62zz__evaluate_compz00(obj_t BgL_envz00_14987,
		obj_t BgL_sz00_14992)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14988;
				obj_t BgL_valza2za2_14989;
				BgL_ev_absz00_bglt BgL_i1255z00_14990;
				obj_t BgL_bodyz00_14991;

				BgL_siza7eza7_14988 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14987, (int) (0L)));
				BgL_valza2za2_14989 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14987, (int) (1L)));
				BgL_i1255z00_14990 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14987, (int) (2L)));
				BgL_bodyz00_14991 = PROCEDURE_REF(BgL_envz00_14987, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17895;

					BgL_bpz00_17895 = VECTOR_REF(((obj_t) BgL_sz00_14992), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14992,
						BgL_valza2za2_14989,
						((long) CINT(BgL_bpz00_17895) + BgL_siza7eza7_14988));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17896;
						obj_t BgL_wherez00_17897;
						obj_t BgL_locz00_17898;

						BgL_z12denvz12_17896 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17897 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14990))->
							BgL_wherez00);
						BgL_locz00_17898 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14990))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17896, BgL_wherez00_17897,
								BgL_locz00_17898);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17899;

								BgL_za2za2resza2za2z00_17899 =
									(VA_PROCEDUREP(BgL_bodyz00_14991) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_14991)) (BgL_bodyz00_14991,
										BgL_sz00_14992, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_14991)) (BgL_bodyz00_14991,
										BgL_sz00_14992));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17896);
								return BgL_za2za2resza2za2z00_17899;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3631> */
	obj_t BGl_z62zc3z04anonymousza33631ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14993, obj_t BgL_sz00_15000)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14994;
				obj_t BgL_iboxesz00_14995;
				long BgL_siza7eza7_14996;
				BgL_ev_absz00_bglt BgL_i1255z00_14997;
				obj_t BgL_bodyz00_14998;
				long BgL_siza7ezd2framez75_14999;

				BgL_ifreesz00_14994 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14993, (int) (0L)));
				BgL_iboxesz00_14995 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14993, (int) (1L)));
				BgL_siza7eza7_14996 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14993, (int) (2L)));
				BgL_i1255z00_14997 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_14993, (int) (3L)));
				BgL_bodyz00_14998 = PROCEDURE_REF(BgL_envz00_14993, (int) (4L));
				BgL_siza7ezd2framez75_14999 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14993, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17900;

					BgL_bpz00_17900 = VECTOR_REF(((obj_t) BgL_sz00_15000), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17901;

						BgL_valza2za2_17901 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15000,
							BgL_bpz00_17900, BgL_ifreesz00_14994);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17902;

							BgL_runz00_17902 =
								MAKE_FX_PROCEDURE(BGl_z62run4569z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_17902, (int) (0L), BgL_iboxesz00_14995);
							PROCEDURE_SET(BgL_runz00_17902,
								(int) (1L), BINT(BgL_siza7eza7_14996));
							PROCEDURE_SET(BgL_runz00_17902, (int) (2L), BgL_valza2za2_17901);
							PROCEDURE_SET(BgL_runz00_17902,
								(int) (3L), ((obj_t) BgL_i1255z00_14997));
							PROCEDURE_SET(BgL_runz00_17902, (int) (4L), BgL_bodyz00_14998);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17903;

								BgL_mainz00_17903 =
									MAKE_VA_PROCEDURE(BGl_z62main4568z62zz__evaluate_compz00,
									(int) (-2L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_17903,
									(int) (0L), BgL_iboxesz00_14995);
								PROCEDURE_SET(BgL_mainz00_17903,
									(int) (1L), BINT(BgL_siza7eza7_14996));
								PROCEDURE_SET(BgL_mainz00_17903,
									(int) (2L), BgL_valza2za2_17901);
								PROCEDURE_SET(BgL_mainz00_17903,
									(int) (3L), ((obj_t) BgL_i1255z00_14997));
								PROCEDURE_SET(BgL_mainz00_17903, (int) (4L), BgL_bodyz00_14998);
								PROCEDURE_SET(BgL_mainz00_17903, (int) (5L), BgL_runz00_17902);
								PROCEDURE_SET(BgL_mainz00_17903,
									(int) (6L), BINT(BgL_siza7ezd2framez75_14999));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17904;

									BgL_objz00_17904 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17902, BgL_objz00_17904);
									BgL_objz00_17904;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3632z00_17905;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3633z00_17906;

										BgL_arg3633z00_17906 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14997))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17907;

											BgL_newz00_17907 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31992;

												BgL_tmpz00_31992 = (int) (3L);
												STRUCT_SET(BgL_newz00_17907, BgL_tmpz00_31992,
													BgL_arg3633z00_17906);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31997;
												int BgL_tmpz00_31995;

												BgL_auxz00_31997 = BINT(BgL_siza7ezd2framez75_14999);
												BgL_tmpz00_31995 = (int) (2L);
												STRUCT_SET(BgL_newz00_17907, BgL_tmpz00_31995,
													BgL_auxz00_31997);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32000;

												BgL_tmpz00_32000 = (int) (1L);
												STRUCT_SET(BgL_newz00_17907, BgL_tmpz00_32000,
													BgL_runz00_17902);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32005;
												int BgL_tmpz00_32003;

												BgL_auxz00_32005 = BINT(-2L);
												BgL_tmpz00_32003 = (int) (0L);
												STRUCT_SET(BgL_newz00_17907, BgL_tmpz00_32003,
													BgL_auxz00_32005);
											}
											BgL_arg3632z00_17905 = BgL_newz00_17907;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17903, BgL_arg3632z00_17905);
									BgL_arg3632z00_17905;
								}
								return BgL_mainz00_17903;
							}
						}
					}
				}
			}
		}

	}



/* &main4568 */
	obj_t BGl_z62main4568z62zz__evaluate_compz00(obj_t BgL_envz00_15001,
		obj_t BgL_dz00_15009, obj_t BgL_lastz00_15010)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15007;
				long BgL_siza7ezd2framez75_15008;

				BgL_runz00_15007 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15001, (int) (5L)));
				BgL_siza7ezd2framez75_15008 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15001, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17908;

					BgL_sz00_17908 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17909;

						BgL_bpz00_17909 = VECTOR_REF(((obj_t) BgL_sz00_17908), 0L);
						if (
							(((long) CINT(BgL_bpz00_17909) + BgL_siza7ezd2framez75_15008) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17908))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3636z00_17910;

									BgL_arg3636z00_17910 = ((long) CINT(BgL_bpz00_17909) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17908), BgL_arg3636z00_17910,
										BgL_dz00_15009);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3638z00_17911;

									BgL_arg3638z00_17911 = ((long) CINT(BgL_bpz00_17909) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17908), BgL_arg3638z00_17911,
										BgL_lastz00_15010);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17912;

									BgL_ez00_17912 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17913;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17914;

											BgL_arg4359z00_17914 = BGL_EXITD_PROTECT(BgL_ez00_17912);
											BgL_arg4358z00_17913 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17909, BgL_arg4359z00_17914);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17912, BgL_arg4358z00_17913);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17915;

										BgL_accz00_17915 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15007, BgL_sz00_17908, BgL_bpz00_17909);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5645z00_32037;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17916;

												BgL_arg4357z00_17916 =
													BGL_EXITD_PROTECT(BgL_ez00_17912);
												BgL_test5645z00_32037 = PAIRP(BgL_arg4357z00_17916);
											}
											if (BgL_test5645z00_32037)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17917;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17918;

														BgL_arg4356z00_17918 =
															BGL_EXITD_PROTECT(BgL_ez00_17912);
														BgL_arg4355z00_17917 =
															CDR(((obj_t) BgL_arg4356z00_17918));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17912,
														BgL_arg4355z00_17917);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17908), 0L, BgL_bpz00_17909);
										return BgL_accz00_17915;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17919;

								BgL_nsz00_17919 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17919, 1L, BgL_sz00_17908);
								VECTOR_SET(BgL_nsz00_17919, 2L, BgL_dz00_15009);
								VECTOR_SET(BgL_nsz00_17919, 3L, BgL_lastz00_15010);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17920;

									BgL_z12denvz12_17920 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17920, BgL_nsz00_17919);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17921;

										BgL_ez00_17921 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17922;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17923;

												BgL_arg4359z00_17923 =
													BGL_EXITD_PROTECT(BgL_ez00_17921);
												BgL_arg4358z00_17922 =
													MAKE_YOUNG_PAIR(BgL_sz00_17908, BgL_arg4359z00_17923);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17921,
												BgL_arg4358z00_17922);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17924;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17925;

												BgL_savedzd2bpzd2_17925 =
													VECTOR_REF(BgL_nsz00_17919, 0L);
												VECTOR_SET(BgL_nsz00_17919, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17927;

													BgL_fz00_17927 = BgL_runz00_15007;
												BgL_recz00_17926:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17928;

														BgL_rz00_17928 =
															(VA_PROCEDUREP(BgL_fz00_17927) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17927))
															(BgL_fz00_17927, BgL_nsz00_17919,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17927))
															(BgL_fz00_17927, BgL_nsz00_17919));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5646z00_32063;

															if (PROCEDUREP(BgL_rz00_17928))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17929;

																	BgL_arg1778z00_17929 =
																		PROCEDURE_ATTR(BgL_rz00_17928);
																	if (STRUCTP(BgL_arg1778z00_17929))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5646z00_32063 =
																				(STRUCT_KEY(BgL_arg1778z00_17929) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5646z00_32063 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5646z00_32063 = ((bool_t) 0);
																}
															if (BgL_test5646z00_32063)
																{
																	obj_t BgL_fz00_32071;

																	BgL_fz00_32071 = BgL_rz00_17928;
																	BgL_fz00_17927 = BgL_fz00_32071;
																	goto BgL_recz00_17926;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17919, 0L,
																		BgL_savedzd2bpzd2_17925);
																	BgL_____rz00_17924 = BgL_rz00_17928;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5649z00_32073;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17930;

													BgL_arg4357z00_17930 =
														BGL_EXITD_PROTECT(BgL_ez00_17921);
													BgL_test5649z00_32073 = PAIRP(BgL_arg4357z00_17930);
												}
												if (BgL_test5649z00_32073)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17931;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17932;

															BgL_arg4356z00_17932 =
																BGL_EXITD_PROTECT(BgL_ez00_17921);
															BgL_arg4355z00_17931 =
																CDR(((obj_t) BgL_arg4356z00_17932));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17921,
															BgL_arg4355z00_17931);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17920, BgL_sz00_17908);
											return BgL_____rz00_17924;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4569 */
	obj_t BGl_z62run4569z62zz__evaluate_compz00(obj_t BgL_envz00_15011,
		obj_t BgL_sz00_15017)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15012;
				long BgL_siza7eza7_15013;
				obj_t BgL_valza2za2_15014;
				BgL_ev_absz00_bglt BgL_i1255z00_15015;
				obj_t BgL_bodyz00_15016;

				BgL_iboxesz00_15012 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15011, (int) (0L)));
				BgL_siza7eza7_15013 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15011, (int) (1L)));
				BgL_valza2za2_15014 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15011, (int) (2L)));
				BgL_i1255z00_15015 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15011, (int) (3L)));
				BgL_bodyz00_15016 = PROCEDURE_REF(BgL_envz00_15011, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17933;

					BgL_bpz00_17933 = VECTOR_REF(((obj_t) BgL_sz00_15017), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15017,
						BgL_iboxesz00_15012, BgL_bpz00_17933);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15017,
						BgL_valza2za2_15014,
						((long) CINT(BgL_bpz00_17933) + BgL_siza7eza7_15013));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17934;
						obj_t BgL_wherez00_17935;
						obj_t BgL_locz00_17936;

						BgL_z12denvz12_17934 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17935 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15015))->
							BgL_wherez00);
						BgL_locz00_17936 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15015))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17934, BgL_wherez00_17935,
								BgL_locz00_17936);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17937;

								BgL_za2za2resza2za2z00_17937 =
									(VA_PROCEDUREP(BgL_bodyz00_15016) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15016)) (BgL_bodyz00_15016,
										BgL_sz00_15017, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15016)) (BgL_bodyz00_15016,
										BgL_sz00_15017));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17934);
								return BgL_za2za2resza2za2z00_17937;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3555> */
	obj_t BGl_z62zc3z04anonymousza33555ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15018, obj_t BgL_sz00_15022)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15019;
				obj_t BgL_bodyz00_15020;
				long BgL_siza7ezd2framez75_15021;

				BgL_i1255z00_15019 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15018, (int) (0L)));
				BgL_bodyz00_15020 = PROCEDURE_REF(BgL_envz00_15018, (int) (1L));
				BgL_siza7ezd2framez75_15021 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15018, (int) (2L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17938;

					BgL_bpz00_17938 = VECTOR_REF(((obj_t) BgL_sz00_15022), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17939;

							BgL_runz00_17939 =
								MAKE_FX_PROCEDURE(BGl_z62run4571z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_17939,
								(int) (0L), ((obj_t) BgL_i1255z00_15019));
							PROCEDURE_SET(BgL_runz00_17939, (int) (1L), BgL_bodyz00_15020);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17940;

								BgL_mainz00_17940 =
									MAKE_FX_PROCEDURE(BGl_z62main4570z62zz__evaluate_compz00,
									(int) (1L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_17940,
									(int) (0L), ((obj_t) BgL_i1255z00_15019));
								PROCEDURE_SET(BgL_mainz00_17940, (int) (1L), BgL_bodyz00_15020);
								PROCEDURE_SET(BgL_mainz00_17940, (int) (2L), BgL_runz00_17939);
								PROCEDURE_SET(BgL_mainz00_17940,
									(int) (3L), BINT(BgL_siza7ezd2framez75_15021));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17941;

									BgL_objz00_17941 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17939, BgL_objz00_17941);
									BgL_objz00_17941;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3557z00_17942;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3558z00_17943;

										BgL_arg3558z00_17943 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15019))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17944;

											BgL_newz00_17944 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32145;

												BgL_tmpz00_32145 = (int) (3L);
												STRUCT_SET(BgL_newz00_17944, BgL_tmpz00_32145,
													BgL_arg3558z00_17943);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32150;
												int BgL_tmpz00_32148;

												BgL_auxz00_32150 = BINT(BgL_siza7ezd2framez75_15021);
												BgL_tmpz00_32148 = (int) (2L);
												STRUCT_SET(BgL_newz00_17944, BgL_tmpz00_32148,
													BgL_auxz00_32150);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32153;

												BgL_tmpz00_32153 = (int) (1L);
												STRUCT_SET(BgL_newz00_17944, BgL_tmpz00_32153,
													BgL_runz00_17939);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32158;
												int BgL_tmpz00_32156;

												BgL_auxz00_32158 = BINT(1L);
												BgL_tmpz00_32156 = (int) (0L);
												STRUCT_SET(BgL_newz00_17944, BgL_tmpz00_32156,
													BgL_auxz00_32158);
											}
											BgL_arg3557z00_17942 = BgL_newz00_17944;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17940, BgL_arg3557z00_17942);
									BgL_arg3557z00_17942;
								}
								return BgL_mainz00_17940;
							}
						}
					}
				}
			}
		}

	}



/* &main4570 */
	obj_t BGl_z62main4570z62zz__evaluate_compz00(obj_t BgL_envz00_15023,
		obj_t BgL_dz00_15028)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15026;
				long BgL_siza7ezd2framez75_15027;

				BgL_runz00_15026 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15023, (int) (2L)));
				BgL_siza7ezd2framez75_15027 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15023, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17945;

					BgL_sz00_17945 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17946;

						BgL_bpz00_17946 = VECTOR_REF(((obj_t) BgL_sz00_17945), 0L);
						if (
							(((long) CINT(BgL_bpz00_17946) + BgL_siza7ezd2framez75_15027) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17945))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3561z00_17947;

									BgL_arg3561z00_17947 = ((long) CINT(BgL_bpz00_17946) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17945), BgL_arg3561z00_17947,
										BgL_dz00_15028);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17948;

									BgL_ez00_17948 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17949;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17950;

											BgL_arg4359z00_17950 = BGL_EXITD_PROTECT(BgL_ez00_17948);
											BgL_arg4358z00_17949 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17946, BgL_arg4359z00_17950);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17948, BgL_arg4358z00_17949);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17951;

										BgL_accz00_17951 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15026, BgL_sz00_17945, BgL_bpz00_17946);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5651z00_32186;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17952;

												BgL_arg4357z00_17952 =
													BGL_EXITD_PROTECT(BgL_ez00_17948);
												BgL_test5651z00_32186 = PAIRP(BgL_arg4357z00_17952);
											}
											if (BgL_test5651z00_32186)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17953;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17954;

														BgL_arg4356z00_17954 =
															BGL_EXITD_PROTECT(BgL_ez00_17948);
														BgL_arg4355z00_17953 =
															CDR(((obj_t) BgL_arg4356z00_17954));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17948,
														BgL_arg4355z00_17953);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17945), 0L, BgL_bpz00_17946);
										return BgL_accz00_17951;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17955;

								BgL_nsz00_17955 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17955, 1L, BgL_sz00_17945);
								VECTOR_SET(BgL_nsz00_17955, 2L, BgL_dz00_15028);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17956;

									BgL_z12denvz12_17956 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17956, BgL_nsz00_17955);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17957;

										BgL_ez00_17957 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17958;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17959;

												BgL_arg4359z00_17959 =
													BGL_EXITD_PROTECT(BgL_ez00_17957);
												BgL_arg4358z00_17958 =
													MAKE_YOUNG_PAIR(BgL_sz00_17945, BgL_arg4359z00_17959);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17957,
												BgL_arg4358z00_17958);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17960;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17961;

												BgL_savedzd2bpzd2_17961 =
													VECTOR_REF(BgL_nsz00_17955, 0L);
												VECTOR_SET(BgL_nsz00_17955, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17963;

													BgL_fz00_17963 = BgL_runz00_15026;
												BgL_recz00_17962:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17964;

														BgL_rz00_17964 =
															(VA_PROCEDUREP(BgL_fz00_17963) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17963))
															(BgL_fz00_17963, BgL_nsz00_17955,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17963))
															(BgL_fz00_17963, BgL_nsz00_17955));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5652z00_32211;

															if (PROCEDUREP(BgL_rz00_17964))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_17965;

																	BgL_arg1778z00_17965 =
																		PROCEDURE_ATTR(BgL_rz00_17964);
																	if (STRUCTP(BgL_arg1778z00_17965))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5652z00_32211 =
																				(STRUCT_KEY(BgL_arg1778z00_17965) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5652z00_32211 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5652z00_32211 = ((bool_t) 0);
																}
															if (BgL_test5652z00_32211)
																{
																	obj_t BgL_fz00_32219;

																	BgL_fz00_32219 = BgL_rz00_17964;
																	BgL_fz00_17963 = BgL_fz00_32219;
																	goto BgL_recz00_17962;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17955, 0L,
																		BgL_savedzd2bpzd2_17961);
																	BgL_____rz00_17960 = BgL_rz00_17964;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5655z00_32221;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_17966;

													BgL_arg4357z00_17966 =
														BGL_EXITD_PROTECT(BgL_ez00_17957);
													BgL_test5655z00_32221 = PAIRP(BgL_arg4357z00_17966);
												}
												if (BgL_test5655z00_32221)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_17967;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_17968;

															BgL_arg4356z00_17968 =
																BGL_EXITD_PROTECT(BgL_ez00_17957);
															BgL_arg4355z00_17967 =
																CDR(((obj_t) BgL_arg4356z00_17968));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17957,
															BgL_arg4355z00_17967);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17956, BgL_sz00_17945);
											return BgL_____rz00_17960;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4571 */
	obj_t BGl_z62run4571z62zz__evaluate_compz00(obj_t BgL_envz00_15029,
		obj_t BgL_sz00_15032)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15030;
				obj_t BgL_bodyz00_15031;

				BgL_i1255z00_15030 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15029, (int) (0L)));
				BgL_bodyz00_15031 = PROCEDURE_REF(BgL_envz00_15029, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17969;

					BgL_bpz00_17969 = VECTOR_REF(((obj_t) BgL_sz00_15032), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17970;
						obj_t BgL_wherez00_17971;
						obj_t BgL_locz00_17972;

						BgL_z12denvz12_17970 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17971 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15030))->
							BgL_wherez00);
						BgL_locz00_17972 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15030))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17970, BgL_wherez00_17971,
								BgL_locz00_17972);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17973;

								BgL_za2za2resza2za2z00_17973 =
									(VA_PROCEDUREP(BgL_bodyz00_15031) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15031)) (BgL_bodyz00_15031,
										BgL_sz00_15032, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15031)) (BgL_bodyz00_15031,
										BgL_sz00_15032));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17970);
								return BgL_za2za2resza2za2z00_17973;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3563> */
	obj_t BGl_z62zc3z04anonymousza33563ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15033, obj_t BgL_sz00_15038)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15034;
				BgL_ev_absz00_bglt BgL_i1255z00_15035;
				obj_t BgL_bodyz00_15036;
				long BgL_siza7ezd2framez75_15037;

				BgL_iboxesz00_15034 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15033, (int) (0L)));
				BgL_i1255z00_15035 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15033, (int) (1L)));
				BgL_bodyz00_15036 = PROCEDURE_REF(BgL_envz00_15033, (int) (2L));
				BgL_siza7ezd2framez75_15037 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15033, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17974;

					BgL_bpz00_17974 = VECTOR_REF(((obj_t) BgL_sz00_15038), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17975;

							BgL_runz00_17975 =
								MAKE_FX_PROCEDURE(BGl_z62run4573z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_17975, (int) (0L), BgL_iboxesz00_15034);
							PROCEDURE_SET(BgL_runz00_17975,
								(int) (1L), ((obj_t) BgL_i1255z00_15035));
							PROCEDURE_SET(BgL_runz00_17975, (int) (2L), BgL_bodyz00_15036);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17976;

								BgL_mainz00_17976 =
									MAKE_FX_PROCEDURE(BGl_z62main4572z62zz__evaluate_compz00,
									(int) (1L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_17976,
									(int) (0L), BgL_iboxesz00_15034);
								PROCEDURE_SET(BgL_mainz00_17976,
									(int) (1L), ((obj_t) BgL_i1255z00_15035));
								PROCEDURE_SET(BgL_mainz00_17976, (int) (2L), BgL_bodyz00_15036);
								PROCEDURE_SET(BgL_mainz00_17976, (int) (3L), BgL_runz00_17975);
								PROCEDURE_SET(BgL_mainz00_17976,
									(int) (4L), BINT(BgL_siza7ezd2framez75_15037));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17977;

									BgL_objz00_17977 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17975, BgL_objz00_17977);
									BgL_objz00_17977;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3564z00_17978;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3566z00_17979;

										BgL_arg3566z00_17979 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15035))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17980;

											BgL_newz00_17980 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32287;

												BgL_tmpz00_32287 = (int) (3L);
												STRUCT_SET(BgL_newz00_17980, BgL_tmpz00_32287,
													BgL_arg3566z00_17979);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32292;
												int BgL_tmpz00_32290;

												BgL_auxz00_32292 = BINT(BgL_siza7ezd2framez75_15037);
												BgL_tmpz00_32290 = (int) (2L);
												STRUCT_SET(BgL_newz00_17980, BgL_tmpz00_32290,
													BgL_auxz00_32292);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32295;

												BgL_tmpz00_32295 = (int) (1L);
												STRUCT_SET(BgL_newz00_17980, BgL_tmpz00_32295,
													BgL_runz00_17975);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32300;
												int BgL_tmpz00_32298;

												BgL_auxz00_32300 = BINT(1L);
												BgL_tmpz00_32298 = (int) (0L);
												STRUCT_SET(BgL_newz00_17980, BgL_tmpz00_32298,
													BgL_auxz00_32300);
											}
											BgL_arg3564z00_17978 = BgL_newz00_17980;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17976, BgL_arg3564z00_17978);
									BgL_arg3564z00_17978;
								}
								return BgL_mainz00_17976;
							}
						}
					}
				}
			}
		}

	}



/* &main4572 */
	obj_t BGl_z62main4572z62zz__evaluate_compz00(obj_t BgL_envz00_15039,
		obj_t BgL_dz00_15045)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15043;
				long BgL_siza7ezd2framez75_15044;

				BgL_runz00_15043 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15039, (int) (3L)));
				BgL_siza7ezd2framez75_15044 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15039, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17981;

					BgL_sz00_17981 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17982;

						BgL_bpz00_17982 = VECTOR_REF(((obj_t) BgL_sz00_17981), 0L);
						if (
							(((long) CINT(BgL_bpz00_17982) + BgL_siza7ezd2framez75_15044) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17981))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3569z00_17983;

									BgL_arg3569z00_17983 = ((long) CINT(BgL_bpz00_17982) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_17981), BgL_arg3569z00_17983,
										BgL_dz00_15045);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17984;

									BgL_ez00_17984 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_17985;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_17986;

											BgL_arg4359z00_17986 = BGL_EXITD_PROTECT(BgL_ez00_17984);
											BgL_arg4358z00_17985 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17982, BgL_arg4359z00_17986);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17984, BgL_arg4358z00_17985);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17987;

										BgL_accz00_17987 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15043, BgL_sz00_17981, BgL_bpz00_17982);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5657z00_32328;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_17988;

												BgL_arg4357z00_17988 =
													BGL_EXITD_PROTECT(BgL_ez00_17984);
												BgL_test5657z00_32328 = PAIRP(BgL_arg4357z00_17988);
											}
											if (BgL_test5657z00_32328)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_17989;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_17990;

														BgL_arg4356z00_17990 =
															BGL_EXITD_PROTECT(BgL_ez00_17984);
														BgL_arg4355z00_17989 =
															CDR(((obj_t) BgL_arg4356z00_17990));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17984,
														BgL_arg4355z00_17989);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_17981), 0L, BgL_bpz00_17982);
										return BgL_accz00_17987;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17991;

								BgL_nsz00_17991 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17991, 1L, BgL_sz00_17981);
								VECTOR_SET(BgL_nsz00_17991, 2L, BgL_dz00_15045);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17992;

									BgL_z12denvz12_17992 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17992, BgL_nsz00_17991);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17993;

										BgL_ez00_17993 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_17994;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_17995;

												BgL_arg4359z00_17995 =
													BGL_EXITD_PROTECT(BgL_ez00_17993);
												BgL_arg4358z00_17994 =
													MAKE_YOUNG_PAIR(BgL_sz00_17981, BgL_arg4359z00_17995);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17993,
												BgL_arg4358z00_17994);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17996;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17997;

												BgL_savedzd2bpzd2_17997 =
													VECTOR_REF(BgL_nsz00_17991, 0L);
												VECTOR_SET(BgL_nsz00_17991, 0L, BINT(2L));
												{
													obj_t BgL_fz00_17999;

													BgL_fz00_17999 = BgL_runz00_15043;
												BgL_recz00_17998:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18000;

														BgL_rz00_18000 =
															(VA_PROCEDUREP(BgL_fz00_17999) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_17999))
															(BgL_fz00_17999, BgL_nsz00_17991,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_17999))
															(BgL_fz00_17999, BgL_nsz00_17991));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5658z00_32353;

															if (PROCEDUREP(BgL_rz00_18000))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18001;

																	BgL_arg1778z00_18001 =
																		PROCEDURE_ATTR(BgL_rz00_18000);
																	if (STRUCTP(BgL_arg1778z00_18001))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5658z00_32353 =
																				(STRUCT_KEY(BgL_arg1778z00_18001) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5658z00_32353 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5658z00_32353 = ((bool_t) 0);
																}
															if (BgL_test5658z00_32353)
																{
																	obj_t BgL_fz00_32361;

																	BgL_fz00_32361 = BgL_rz00_18000;
																	BgL_fz00_17999 = BgL_fz00_32361;
																	goto BgL_recz00_17998;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17991, 0L,
																		BgL_savedzd2bpzd2_17997);
																	BgL_____rz00_17996 = BgL_rz00_18000;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5661z00_32363;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18002;

													BgL_arg4357z00_18002 =
														BGL_EXITD_PROTECT(BgL_ez00_17993);
													BgL_test5661z00_32363 = PAIRP(BgL_arg4357z00_18002);
												}
												if (BgL_test5661z00_32363)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18003;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18004;

															BgL_arg4356z00_18004 =
																BGL_EXITD_PROTECT(BgL_ez00_17993);
															BgL_arg4355z00_18003 =
																CDR(((obj_t) BgL_arg4356z00_18004));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17993,
															BgL_arg4355z00_18003);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17992, BgL_sz00_17981);
											return BgL_____rz00_17996;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4573 */
	obj_t BGl_z62run4573z62zz__evaluate_compz00(obj_t BgL_envz00_15046,
		obj_t BgL_sz00_15050)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15047;
				BgL_ev_absz00_bglt BgL_i1255z00_15048;
				obj_t BgL_bodyz00_15049;

				BgL_iboxesz00_15047 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15046, (int) (0L)));
				BgL_i1255z00_15048 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15046, (int) (1L)));
				BgL_bodyz00_15049 = PROCEDURE_REF(BgL_envz00_15046, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18005;

					BgL_bpz00_18005 = VECTOR_REF(((obj_t) BgL_sz00_15050), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15050,
						BgL_iboxesz00_15047, BgL_bpz00_18005);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18006;
						obj_t BgL_wherez00_18007;
						obj_t BgL_locz00_18008;

						BgL_z12denvz12_18006 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18007 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15048))->
							BgL_wherez00);
						BgL_locz00_18008 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15048))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18006, BgL_wherez00_18007,
								BgL_locz00_18008);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18009;

								BgL_za2za2resza2za2z00_18009 =
									(VA_PROCEDUREP(BgL_bodyz00_15049) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15049)) (BgL_bodyz00_15049,
										BgL_sz00_15050, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15049)) (BgL_bodyz00_15049,
										BgL_sz00_15050));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18006);
								return BgL_za2za2resza2za2z00_18009;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3574> */
	obj_t BGl_z62zc3z04anonymousza33574ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15051, obj_t BgL_sz00_15057)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15052;
				long BgL_siza7eza7_15053;
				BgL_ev_absz00_bglt BgL_i1255z00_15054;
				obj_t BgL_bodyz00_15055;
				long BgL_siza7ezd2framez75_15056;

				BgL_ifreesz00_15052 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15051, (int) (0L)));
				BgL_siza7eza7_15053 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15051, (int) (1L)));
				BgL_i1255z00_15054 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15051, (int) (2L)));
				BgL_bodyz00_15055 = PROCEDURE_REF(BgL_envz00_15051, (int) (3L));
				BgL_siza7ezd2framez75_15056 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15051, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18010;

					BgL_bpz00_18010 = VECTOR_REF(((obj_t) BgL_sz00_15057), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18011;

						BgL_valza2za2_18011 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15057,
							BgL_bpz00_18010, BgL_ifreesz00_15052);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18012;

							BgL_runz00_18012 =
								MAKE_FX_PROCEDURE(BGl_z62run4575z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_18012,
								(int) (0L), BINT(BgL_siza7eza7_15053));
							PROCEDURE_SET(BgL_runz00_18012, (int) (1L), BgL_valza2za2_18011);
							PROCEDURE_SET(BgL_runz00_18012,
								(int) (2L), ((obj_t) BgL_i1255z00_15054));
							PROCEDURE_SET(BgL_runz00_18012, (int) (3L), BgL_bodyz00_15055);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18013;

								BgL_mainz00_18013 =
									MAKE_FX_PROCEDURE(BGl_z62main4574z62zz__evaluate_compz00,
									(int) (1L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_18013,
									(int) (0L), BINT(BgL_siza7eza7_15053));
								PROCEDURE_SET(BgL_mainz00_18013,
									(int) (1L), BgL_valza2za2_18011);
								PROCEDURE_SET(BgL_mainz00_18013,
									(int) (2L), ((obj_t) BgL_i1255z00_15054));
								PROCEDURE_SET(BgL_mainz00_18013, (int) (3L), BgL_bodyz00_15055);
								PROCEDURE_SET(BgL_mainz00_18013, (int) (4L), BgL_runz00_18012);
								PROCEDURE_SET(BgL_mainz00_18013,
									(int) (5L), BINT(BgL_siza7ezd2framez75_15056));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18014;

									BgL_objz00_18014 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18012, BgL_objz00_18014);
									BgL_objz00_18014;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3575z00_18015;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3576z00_18016;

										BgL_arg3576z00_18016 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15054))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18017;

											BgL_newz00_18017 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32443;

												BgL_tmpz00_32443 = (int) (3L);
												STRUCT_SET(BgL_newz00_18017, BgL_tmpz00_32443,
													BgL_arg3576z00_18016);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32448;
												int BgL_tmpz00_32446;

												BgL_auxz00_32448 = BINT(BgL_siza7ezd2framez75_15056);
												BgL_tmpz00_32446 = (int) (2L);
												STRUCT_SET(BgL_newz00_18017, BgL_tmpz00_32446,
													BgL_auxz00_32448);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32451;

												BgL_tmpz00_32451 = (int) (1L);
												STRUCT_SET(BgL_newz00_18017, BgL_tmpz00_32451,
													BgL_runz00_18012);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32456;
												int BgL_tmpz00_32454;

												BgL_auxz00_32456 = BINT(1L);
												BgL_tmpz00_32454 = (int) (0L);
												STRUCT_SET(BgL_newz00_18017, BgL_tmpz00_32454,
													BgL_auxz00_32456);
											}
											BgL_arg3575z00_18015 = BgL_newz00_18017;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18013, BgL_arg3575z00_18015);
									BgL_arg3575z00_18015;
								}
								return BgL_mainz00_18013;
							}
						}
					}
				}
			}
		}

	}



/* &main4574 */
	obj_t BGl_z62main4574z62zz__evaluate_compz00(obj_t BgL_envz00_15058,
		obj_t BgL_dz00_15065)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15063;
				long BgL_siza7ezd2framez75_15064;

				BgL_runz00_15063 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15058, (int) (4L)));
				BgL_siza7ezd2framez75_15064 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15058, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18018;

					BgL_sz00_18018 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18019;

						BgL_bpz00_18019 = VECTOR_REF(((obj_t) BgL_sz00_18018), 0L);
						if (
							(((long) CINT(BgL_bpz00_18019) + BgL_siza7ezd2framez75_15064) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18018))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3580z00_18020;

									BgL_arg3580z00_18020 = ((long) CINT(BgL_bpz00_18019) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18018), BgL_arg3580z00_18020,
										BgL_dz00_15065);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18021;

									BgL_ez00_18021 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_18022;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_18023;

											BgL_arg4359z00_18023 = BGL_EXITD_PROTECT(BgL_ez00_18021);
											BgL_arg4358z00_18022 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18019, BgL_arg4359z00_18023);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18021, BgL_arg4358z00_18022);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18024;

										BgL_accz00_18024 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15063, BgL_sz00_18018, BgL_bpz00_18019);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5663z00_32484;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_18025;

												BgL_arg4357z00_18025 =
													BGL_EXITD_PROTECT(BgL_ez00_18021);
												BgL_test5663z00_32484 = PAIRP(BgL_arg4357z00_18025);
											}
											if (BgL_test5663z00_32484)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_18026;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_18027;

														BgL_arg4356z00_18027 =
															BGL_EXITD_PROTECT(BgL_ez00_18021);
														BgL_arg4355z00_18026 =
															CDR(((obj_t) BgL_arg4356z00_18027));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18021,
														BgL_arg4355z00_18026);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_18018), 0L, BgL_bpz00_18019);
										return BgL_accz00_18024;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18028;

								BgL_nsz00_18028 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18028, 1L, BgL_sz00_18018);
								VECTOR_SET(BgL_nsz00_18028, 2L, BgL_dz00_15065);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18029;

									BgL_z12denvz12_18029 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18029, BgL_nsz00_18028);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18030;

										BgL_ez00_18030 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18031;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18032;

												BgL_arg4359z00_18032 =
													BGL_EXITD_PROTECT(BgL_ez00_18030);
												BgL_arg4358z00_18031 =
													MAKE_YOUNG_PAIR(BgL_sz00_18018, BgL_arg4359z00_18032);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18030,
												BgL_arg4358z00_18031);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18033;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18034;

												BgL_savedzd2bpzd2_18034 =
													VECTOR_REF(BgL_nsz00_18028, 0L);
												VECTOR_SET(BgL_nsz00_18028, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18036;

													BgL_fz00_18036 = BgL_runz00_15063;
												BgL_recz00_18035:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18037;

														BgL_rz00_18037 =
															(VA_PROCEDUREP(BgL_fz00_18036) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18036))
															(BgL_fz00_18036, BgL_nsz00_18028,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18036))
															(BgL_fz00_18036, BgL_nsz00_18028));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5664z00_32509;

															if (PROCEDUREP(BgL_rz00_18037))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18038;

																	BgL_arg1778z00_18038 =
																		PROCEDURE_ATTR(BgL_rz00_18037);
																	if (STRUCTP(BgL_arg1778z00_18038))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5664z00_32509 =
																				(STRUCT_KEY(BgL_arg1778z00_18038) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5664z00_32509 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5664z00_32509 = ((bool_t) 0);
																}
															if (BgL_test5664z00_32509)
																{
																	obj_t BgL_fz00_32517;

																	BgL_fz00_32517 = BgL_rz00_18037;
																	BgL_fz00_18036 = BgL_fz00_32517;
																	goto BgL_recz00_18035;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18028, 0L,
																		BgL_savedzd2bpzd2_18034);
																	BgL_____rz00_18033 = BgL_rz00_18037;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5667z00_32519;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18039;

													BgL_arg4357z00_18039 =
														BGL_EXITD_PROTECT(BgL_ez00_18030);
													BgL_test5667z00_32519 = PAIRP(BgL_arg4357z00_18039);
												}
												if (BgL_test5667z00_32519)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18040;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18041;

															BgL_arg4356z00_18041 =
																BGL_EXITD_PROTECT(BgL_ez00_18030);
															BgL_arg4355z00_18040 =
																CDR(((obj_t) BgL_arg4356z00_18041));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18030,
															BgL_arg4355z00_18040);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18029, BgL_sz00_18018);
											return BgL_____rz00_18033;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4575 */
	obj_t BGl_z62run4575z62zz__evaluate_compz00(obj_t BgL_envz00_15066,
		obj_t BgL_sz00_15071)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15067;
				obj_t BgL_valza2za2_15068;
				BgL_ev_absz00_bglt BgL_i1255z00_15069;
				obj_t BgL_bodyz00_15070;

				BgL_siza7eza7_15067 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15066, (int) (0L)));
				BgL_valza2za2_15068 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15066, (int) (1L)));
				BgL_i1255z00_15069 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15066, (int) (2L)));
				BgL_bodyz00_15070 = PROCEDURE_REF(BgL_envz00_15066, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18042;

					BgL_bpz00_18042 = VECTOR_REF(((obj_t) BgL_sz00_15071), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15071,
						BgL_valza2za2_15068,
						((long) CINT(BgL_bpz00_18042) + BgL_siza7eza7_15067));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18043;
						obj_t BgL_wherez00_18044;
						obj_t BgL_locz00_18045;

						BgL_z12denvz12_18043 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18044 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15069))->
							BgL_wherez00);
						BgL_locz00_18045 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15069))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18043, BgL_wherez00_18044,
								BgL_locz00_18045);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18046;

								BgL_za2za2resza2za2z00_18046 =
									(VA_PROCEDUREP(BgL_bodyz00_15070) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15070)) (BgL_bodyz00_15070,
										BgL_sz00_15071, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15070)) (BgL_bodyz00_15070,
										BgL_sz00_15071));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18043);
								return BgL_za2za2resza2za2z00_18046;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3583> */
	obj_t BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15072, obj_t BgL_sz00_15079)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15073;
				obj_t BgL_iboxesz00_15074;
				long BgL_siza7eza7_15075;
				BgL_ev_absz00_bglt BgL_i1255z00_15076;
				obj_t BgL_bodyz00_15077;
				long BgL_siza7ezd2framez75_15078;

				BgL_ifreesz00_15073 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15072, (int) (0L)));
				BgL_iboxesz00_15074 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15072, (int) (1L)));
				BgL_siza7eza7_15075 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15072, (int) (2L)));
				BgL_i1255z00_15076 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15072, (int) (3L)));
				BgL_bodyz00_15077 = PROCEDURE_REF(BgL_envz00_15072, (int) (4L));
				BgL_siza7ezd2framez75_15078 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15072, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18047;

					BgL_bpz00_18047 = VECTOR_REF(((obj_t) BgL_sz00_15079), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18048;

						BgL_valza2za2_18048 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15079,
							BgL_bpz00_18047, BgL_ifreesz00_15073);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18049;

							BgL_runz00_18049 =
								MAKE_FX_PROCEDURE(BGl_z62run4577z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_18049, (int) (0L), BgL_iboxesz00_15074);
							PROCEDURE_SET(BgL_runz00_18049,
								(int) (1L), BINT(BgL_siza7eza7_15075));
							PROCEDURE_SET(BgL_runz00_18049, (int) (2L), BgL_valza2za2_18048);
							PROCEDURE_SET(BgL_runz00_18049,
								(int) (3L), ((obj_t) BgL_i1255z00_15076));
							PROCEDURE_SET(BgL_runz00_18049, (int) (4L), BgL_bodyz00_15077);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18050;

								BgL_mainz00_18050 =
									MAKE_FX_PROCEDURE(BGl_z62main4576z62zz__evaluate_compz00,
									(int) (1L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_18050,
									(int) (0L), BgL_iboxesz00_15074);
								PROCEDURE_SET(BgL_mainz00_18050,
									(int) (1L), BINT(BgL_siza7eza7_15075));
								PROCEDURE_SET(BgL_mainz00_18050,
									(int) (2L), BgL_valza2za2_18048);
								PROCEDURE_SET(BgL_mainz00_18050,
									(int) (3L), ((obj_t) BgL_i1255z00_15076));
								PROCEDURE_SET(BgL_mainz00_18050, (int) (4L), BgL_bodyz00_15077);
								PROCEDURE_SET(BgL_mainz00_18050, (int) (5L), BgL_runz00_18049);
								PROCEDURE_SET(BgL_mainz00_18050,
									(int) (6L), BINT(BgL_siza7ezd2framez75_15078));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18051;

									BgL_objz00_18051 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18049, BgL_objz00_18051);
									BgL_objz00_18051;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3584z00_18052;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3585z00_18053;

										BgL_arg3585z00_18053 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15076))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18054;

											BgL_newz00_18054 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32611;

												BgL_tmpz00_32611 = (int) (3L);
												STRUCT_SET(BgL_newz00_18054, BgL_tmpz00_32611,
													BgL_arg3585z00_18053);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32616;
												int BgL_tmpz00_32614;

												BgL_auxz00_32616 = BINT(BgL_siza7ezd2framez75_15078);
												BgL_tmpz00_32614 = (int) (2L);
												STRUCT_SET(BgL_newz00_18054, BgL_tmpz00_32614,
													BgL_auxz00_32616);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32619;

												BgL_tmpz00_32619 = (int) (1L);
												STRUCT_SET(BgL_newz00_18054, BgL_tmpz00_32619,
													BgL_runz00_18049);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32624;
												int BgL_tmpz00_32622;

												BgL_auxz00_32624 = BINT(1L);
												BgL_tmpz00_32622 = (int) (0L);
												STRUCT_SET(BgL_newz00_18054, BgL_tmpz00_32622,
													BgL_auxz00_32624);
											}
											BgL_arg3584z00_18052 = BgL_newz00_18054;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18050, BgL_arg3584z00_18052);
									BgL_arg3584z00_18052;
								}
								return BgL_mainz00_18050;
							}
						}
					}
				}
			}
		}

	}



/* &main4576 */
	obj_t BGl_z62main4576z62zz__evaluate_compz00(obj_t BgL_envz00_15080,
		obj_t BgL_dz00_15088)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15086;
				long BgL_siza7ezd2framez75_15087;

				BgL_runz00_15086 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15080, (int) (5L)));
				BgL_siza7ezd2framez75_15087 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15080, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18055;

					BgL_sz00_18055 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18056;

						BgL_bpz00_18056 = VECTOR_REF(((obj_t) BgL_sz00_18055), 0L);
						if (
							(((long) CINT(BgL_bpz00_18056) + BgL_siza7ezd2framez75_15087) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18055))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3588z00_18057;

									BgL_arg3588z00_18057 = ((long) CINT(BgL_bpz00_18056) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18055), BgL_arg3588z00_18057,
										BgL_dz00_15088);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18058;

									BgL_ez00_18058 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_18059;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_18060;

											BgL_arg4359z00_18060 = BGL_EXITD_PROTECT(BgL_ez00_18058);
											BgL_arg4358z00_18059 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18056, BgL_arg4359z00_18060);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18058, BgL_arg4358z00_18059);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18061;

										BgL_accz00_18061 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15086, BgL_sz00_18055, BgL_bpz00_18056);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5669z00_32652;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_18062;

												BgL_arg4357z00_18062 =
													BGL_EXITD_PROTECT(BgL_ez00_18058);
												BgL_test5669z00_32652 = PAIRP(BgL_arg4357z00_18062);
											}
											if (BgL_test5669z00_32652)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_18063;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_18064;

														BgL_arg4356z00_18064 =
															BGL_EXITD_PROTECT(BgL_ez00_18058);
														BgL_arg4355z00_18063 =
															CDR(((obj_t) BgL_arg4356z00_18064));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18058,
														BgL_arg4355z00_18063);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_18055), 0L, BgL_bpz00_18056);
										return BgL_accz00_18061;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18065;

								BgL_nsz00_18065 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18065, 1L, BgL_sz00_18055);
								VECTOR_SET(BgL_nsz00_18065, 2L, BgL_dz00_15088);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18066;

									BgL_z12denvz12_18066 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18066, BgL_nsz00_18065);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18067;

										BgL_ez00_18067 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18068;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18069;

												BgL_arg4359z00_18069 =
													BGL_EXITD_PROTECT(BgL_ez00_18067);
												BgL_arg4358z00_18068 =
													MAKE_YOUNG_PAIR(BgL_sz00_18055, BgL_arg4359z00_18069);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18067,
												BgL_arg4358z00_18068);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18070;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18071;

												BgL_savedzd2bpzd2_18071 =
													VECTOR_REF(BgL_nsz00_18065, 0L);
												VECTOR_SET(BgL_nsz00_18065, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18073;

													BgL_fz00_18073 = BgL_runz00_15086;
												BgL_recz00_18072:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18074;

														BgL_rz00_18074 =
															(VA_PROCEDUREP(BgL_fz00_18073) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18073))
															(BgL_fz00_18073, BgL_nsz00_18065,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18073))
															(BgL_fz00_18073, BgL_nsz00_18065));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5670z00_32677;

															if (PROCEDUREP(BgL_rz00_18074))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18075;

																	BgL_arg1778z00_18075 =
																		PROCEDURE_ATTR(BgL_rz00_18074);
																	if (STRUCTP(BgL_arg1778z00_18075))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5670z00_32677 =
																				(STRUCT_KEY(BgL_arg1778z00_18075) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5670z00_32677 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5670z00_32677 = ((bool_t) 0);
																}
															if (BgL_test5670z00_32677)
																{
																	obj_t BgL_fz00_32685;

																	BgL_fz00_32685 = BgL_rz00_18074;
																	BgL_fz00_18073 = BgL_fz00_32685;
																	goto BgL_recz00_18072;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18065, 0L,
																		BgL_savedzd2bpzd2_18071);
																	BgL_____rz00_18070 = BgL_rz00_18074;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5673z00_32687;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18076;

													BgL_arg4357z00_18076 =
														BGL_EXITD_PROTECT(BgL_ez00_18067);
													BgL_test5673z00_32687 = PAIRP(BgL_arg4357z00_18076);
												}
												if (BgL_test5673z00_32687)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18077;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18078;

															BgL_arg4356z00_18078 =
																BGL_EXITD_PROTECT(BgL_ez00_18067);
															BgL_arg4355z00_18077 =
																CDR(((obj_t) BgL_arg4356z00_18078));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18067,
															BgL_arg4355z00_18077);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18066, BgL_sz00_18055);
											return BgL_____rz00_18070;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4577 */
	obj_t BGl_z62run4577z62zz__evaluate_compz00(obj_t BgL_envz00_15089,
		obj_t BgL_sz00_15095)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15090;
				long BgL_siza7eza7_15091;
				obj_t BgL_valza2za2_15092;
				BgL_ev_absz00_bglt BgL_i1255z00_15093;
				obj_t BgL_bodyz00_15094;

				BgL_iboxesz00_15090 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15089, (int) (0L)));
				BgL_siza7eza7_15091 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15089, (int) (1L)));
				BgL_valza2za2_15092 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15089, (int) (2L)));
				BgL_i1255z00_15093 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15089, (int) (3L)));
				BgL_bodyz00_15094 = PROCEDURE_REF(BgL_envz00_15089, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18079;

					BgL_bpz00_18079 = VECTOR_REF(((obj_t) BgL_sz00_15095), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15095,
						BgL_iboxesz00_15090, BgL_bpz00_18079);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15095,
						BgL_valza2za2_15092,
						((long) CINT(BgL_bpz00_18079) + BgL_siza7eza7_15091));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18080;
						obj_t BgL_wherez00_18081;
						obj_t BgL_locz00_18082;

						BgL_z12denvz12_18080 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18081 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15093))->
							BgL_wherez00);
						BgL_locz00_18082 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15093))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18080, BgL_wherez00_18081,
								BgL_locz00_18082);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18083;

								BgL_za2za2resza2za2z00_18083 =
									(VA_PROCEDUREP(BgL_bodyz00_15094) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15094)) (BgL_bodyz00_15094,
										BgL_sz00_15095, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15094)) (BgL_bodyz00_15094,
										BgL_sz00_15095));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18080);
								return BgL_za2za2resza2za2z00_18083;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3510> */
	obj_t BGl_z62zc3z04anonymousza33510ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15096, obj_t BgL_sz00_15100)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15097;
				obj_t BgL_bodyz00_15098;
				long BgL_siza7ezd2framez75_15099;

				BgL_i1255z00_15097 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15096, (int) (0L)));
				BgL_bodyz00_15098 = PROCEDURE_REF(BgL_envz00_15096, (int) (1L));
				BgL_siza7ezd2framez75_15099 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15096, (int) (2L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18084;

					BgL_bpz00_18084 = VECTOR_REF(((obj_t) BgL_sz00_15100), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18085;

							BgL_runz00_18085 =
								MAKE_FX_PROCEDURE(BGl_z62run4579z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_18085,
								(int) (0L), ((obj_t) BgL_i1255z00_15097));
							PROCEDURE_SET(BgL_runz00_18085, (int) (1L), BgL_bodyz00_15098);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18086;

								BgL_mainz00_18086 =
									MAKE_VA_PROCEDURE(BGl_z62main4578z62zz__evaluate_compz00,
									(int) (-1L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_18086,
									(int) (0L), ((obj_t) BgL_i1255z00_15097));
								PROCEDURE_SET(BgL_mainz00_18086, (int) (1L), BgL_bodyz00_15098);
								PROCEDURE_SET(BgL_mainz00_18086, (int) (2L), BgL_runz00_18085);
								PROCEDURE_SET(BgL_mainz00_18086,
									(int) (3L), BINT(BgL_siza7ezd2framez75_15099));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18087;

									BgL_objz00_18087 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18085, BgL_objz00_18087);
									BgL_objz00_18087;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3511z00_18088;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3512z00_18089;

										BgL_arg3512z00_18089 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15097))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18090;

											BgL_newz00_18090 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32759;

												BgL_tmpz00_32759 = (int) (3L);
												STRUCT_SET(BgL_newz00_18090, BgL_tmpz00_32759,
													BgL_arg3512z00_18089);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32764;
												int BgL_tmpz00_32762;

												BgL_auxz00_32764 = BINT(BgL_siza7ezd2framez75_15099);
												BgL_tmpz00_32762 = (int) (2L);
												STRUCT_SET(BgL_newz00_18090, BgL_tmpz00_32762,
													BgL_auxz00_32764);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32767;

												BgL_tmpz00_32767 = (int) (1L);
												STRUCT_SET(BgL_newz00_18090, BgL_tmpz00_32767,
													BgL_runz00_18085);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32772;
												int BgL_tmpz00_32770;

												BgL_auxz00_32772 = BINT(-1L);
												BgL_tmpz00_32770 = (int) (0L);
												STRUCT_SET(BgL_newz00_18090, BgL_tmpz00_32770,
													BgL_auxz00_32772);
											}
											BgL_arg3511z00_18088 = BgL_newz00_18090;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18086, BgL_arg3511z00_18088);
									BgL_arg3511z00_18088;
								}
								return BgL_mainz00_18086;
							}
						}
					}
				}
			}
		}

	}



/* &main4578 */
	obj_t BGl_z62main4578z62zz__evaluate_compz00(obj_t BgL_envz00_15101,
		obj_t BgL_lastz00_15106)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15104;
				long BgL_siza7ezd2framez75_15105;

				BgL_runz00_15104 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15101, (int) (2L)));
				BgL_siza7ezd2framez75_15105 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15101, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18091;

					BgL_sz00_18091 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18092;

						BgL_bpz00_18092 = VECTOR_REF(((obj_t) BgL_sz00_18091), 0L);
						if (
							(((long) CINT(BgL_bpz00_18092) + BgL_siza7ezd2framez75_15105) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18091))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3515z00_18093;

									BgL_arg3515z00_18093 = ((long) CINT(BgL_bpz00_18092) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18091), BgL_arg3515z00_18093,
										BgL_lastz00_15106);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18094;

									BgL_ez00_18094 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_18095;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_18096;

											BgL_arg4359z00_18096 = BGL_EXITD_PROTECT(BgL_ez00_18094);
											BgL_arg4358z00_18095 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18092, BgL_arg4359z00_18096);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18094, BgL_arg4358z00_18095);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18097;

										BgL_accz00_18097 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15104, BgL_sz00_18091, BgL_bpz00_18092);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5675z00_32800;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_18098;

												BgL_arg4357z00_18098 =
													BGL_EXITD_PROTECT(BgL_ez00_18094);
												BgL_test5675z00_32800 = PAIRP(BgL_arg4357z00_18098);
											}
											if (BgL_test5675z00_32800)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_18099;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_18100;

														BgL_arg4356z00_18100 =
															BGL_EXITD_PROTECT(BgL_ez00_18094);
														BgL_arg4355z00_18099 =
															CDR(((obj_t) BgL_arg4356z00_18100));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18094,
														BgL_arg4355z00_18099);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_18091), 0L, BgL_bpz00_18092);
										return BgL_accz00_18097;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18101;

								BgL_nsz00_18101 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18101, 1L, BgL_sz00_18091);
								VECTOR_SET(BgL_nsz00_18101, 2L, BgL_lastz00_15106);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18102;

									BgL_z12denvz12_18102 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18102, BgL_nsz00_18101);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18103;

										BgL_ez00_18103 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18104;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18105;

												BgL_arg4359z00_18105 =
													BGL_EXITD_PROTECT(BgL_ez00_18103);
												BgL_arg4358z00_18104 =
													MAKE_YOUNG_PAIR(BgL_sz00_18091, BgL_arg4359z00_18105);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18103,
												BgL_arg4358z00_18104);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18106;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18107;

												BgL_savedzd2bpzd2_18107 =
													VECTOR_REF(BgL_nsz00_18101, 0L);
												VECTOR_SET(BgL_nsz00_18101, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18109;

													BgL_fz00_18109 = BgL_runz00_15104;
												BgL_recz00_18108:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18110;

														BgL_rz00_18110 =
															(VA_PROCEDUREP(BgL_fz00_18109) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18109))
															(BgL_fz00_18109, BgL_nsz00_18101,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18109))
															(BgL_fz00_18109, BgL_nsz00_18101));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5676z00_32825;

															if (PROCEDUREP(BgL_rz00_18110))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18111;

																	BgL_arg1778z00_18111 =
																		PROCEDURE_ATTR(BgL_rz00_18110);
																	if (STRUCTP(BgL_arg1778z00_18111))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5676z00_32825 =
																				(STRUCT_KEY(BgL_arg1778z00_18111) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5676z00_32825 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5676z00_32825 = ((bool_t) 0);
																}
															if (BgL_test5676z00_32825)
																{
																	obj_t BgL_fz00_32833;

																	BgL_fz00_32833 = BgL_rz00_18110;
																	BgL_fz00_18109 = BgL_fz00_32833;
																	goto BgL_recz00_18108;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18101, 0L,
																		BgL_savedzd2bpzd2_18107);
																	BgL_____rz00_18106 = BgL_rz00_18110;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5679z00_32835;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18112;

													BgL_arg4357z00_18112 =
														BGL_EXITD_PROTECT(BgL_ez00_18103);
													BgL_test5679z00_32835 = PAIRP(BgL_arg4357z00_18112);
												}
												if (BgL_test5679z00_32835)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18113;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18114;

															BgL_arg4356z00_18114 =
																BGL_EXITD_PROTECT(BgL_ez00_18103);
															BgL_arg4355z00_18113 =
																CDR(((obj_t) BgL_arg4356z00_18114));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18103,
															BgL_arg4355z00_18113);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18102, BgL_sz00_18091);
											return BgL_____rz00_18106;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4579 */
	obj_t BGl_z62run4579z62zz__evaluate_compz00(obj_t BgL_envz00_15107,
		obj_t BgL_sz00_15110)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15108;
				obj_t BgL_bodyz00_15109;

				BgL_i1255z00_15108 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15107, (int) (0L)));
				BgL_bodyz00_15109 = PROCEDURE_REF(BgL_envz00_15107, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18115;

					BgL_bpz00_18115 = VECTOR_REF(((obj_t) BgL_sz00_15110), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18116;
						obj_t BgL_wherez00_18117;
						obj_t BgL_locz00_18118;

						BgL_z12denvz12_18116 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18117 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15108))->
							BgL_wherez00);
						BgL_locz00_18118 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15108))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18116, BgL_wherez00_18117,
								BgL_locz00_18118);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18119;

								BgL_za2za2resza2za2z00_18119 =
									(VA_PROCEDUREP(BgL_bodyz00_15109) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15109)) (BgL_bodyz00_15109,
										BgL_sz00_15110, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15109)) (BgL_bodyz00_15109,
										BgL_sz00_15110));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18116);
								return BgL_za2za2resza2za2z00_18119;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3517> */
	obj_t BGl_z62zc3z04anonymousza33517ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15111, obj_t BgL_sz00_15116)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15112;
				BgL_ev_absz00_bglt BgL_i1255z00_15113;
				obj_t BgL_bodyz00_15114;
				long BgL_siza7ezd2framez75_15115;

				BgL_iboxesz00_15112 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15111, (int) (0L)));
				BgL_i1255z00_15113 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15111, (int) (1L)));
				BgL_bodyz00_15114 = PROCEDURE_REF(BgL_envz00_15111, (int) (2L));
				BgL_siza7ezd2framez75_15115 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15111, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18120;

					BgL_bpz00_18120 = VECTOR_REF(((obj_t) BgL_sz00_15116), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18121;

							BgL_runz00_18121 =
								MAKE_FX_PROCEDURE(BGl_z62run4581z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_18121, (int) (0L), BgL_iboxesz00_15112);
							PROCEDURE_SET(BgL_runz00_18121,
								(int) (1L), ((obj_t) BgL_i1255z00_15113));
							PROCEDURE_SET(BgL_runz00_18121, (int) (2L), BgL_bodyz00_15114);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18122;

								BgL_mainz00_18122 =
									MAKE_VA_PROCEDURE(BGl_z62main4580z62zz__evaluate_compz00,
									(int) (-1L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_18122,
									(int) (0L), BgL_iboxesz00_15112);
								PROCEDURE_SET(BgL_mainz00_18122,
									(int) (1L), ((obj_t) BgL_i1255z00_15113));
								PROCEDURE_SET(BgL_mainz00_18122, (int) (2L), BgL_bodyz00_15114);
								PROCEDURE_SET(BgL_mainz00_18122, (int) (3L), BgL_runz00_18121);
								PROCEDURE_SET(BgL_mainz00_18122,
									(int) (4L), BINT(BgL_siza7ezd2framez75_15115));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18123;

									BgL_objz00_18123 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18121, BgL_objz00_18123);
									BgL_objz00_18123;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3518z00_18124;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3519z00_18125;

										BgL_arg3519z00_18125 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15113))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18126;

											BgL_newz00_18126 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32901;

												BgL_tmpz00_32901 = (int) (3L);
												STRUCT_SET(BgL_newz00_18126, BgL_tmpz00_32901,
													BgL_arg3519z00_18125);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32906;
												int BgL_tmpz00_32904;

												BgL_auxz00_32906 = BINT(BgL_siza7ezd2framez75_15115);
												BgL_tmpz00_32904 = (int) (2L);
												STRUCT_SET(BgL_newz00_18126, BgL_tmpz00_32904,
													BgL_auxz00_32906);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32909;

												BgL_tmpz00_32909 = (int) (1L);
												STRUCT_SET(BgL_newz00_18126, BgL_tmpz00_32909,
													BgL_runz00_18121);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32914;
												int BgL_tmpz00_32912;

												BgL_auxz00_32914 = BINT(-1L);
												BgL_tmpz00_32912 = (int) (0L);
												STRUCT_SET(BgL_newz00_18126, BgL_tmpz00_32912,
													BgL_auxz00_32914);
											}
											BgL_arg3518z00_18124 = BgL_newz00_18126;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18122, BgL_arg3518z00_18124);
									BgL_arg3518z00_18124;
								}
								return BgL_mainz00_18122;
							}
						}
					}
				}
			}
		}

	}



/* &main4580 */
	obj_t BGl_z62main4580z62zz__evaluate_compz00(obj_t BgL_envz00_15117,
		obj_t BgL_lastz00_15123)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15121;
				long BgL_siza7ezd2framez75_15122;

				BgL_runz00_15121 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15117, (int) (3L)));
				BgL_siza7ezd2framez75_15122 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15117, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18127;

					BgL_sz00_18127 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18128;

						BgL_bpz00_18128 = VECTOR_REF(((obj_t) BgL_sz00_18127), 0L);
						if (
							(((long) CINT(BgL_bpz00_18128) + BgL_siza7ezd2framez75_15122) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18127))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3523z00_18129;

									BgL_arg3523z00_18129 = ((long) CINT(BgL_bpz00_18128) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18127), BgL_arg3523z00_18129,
										BgL_lastz00_15123);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18130;

									BgL_ez00_18130 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_18131;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_18132;

											BgL_arg4359z00_18132 = BGL_EXITD_PROTECT(BgL_ez00_18130);
											BgL_arg4358z00_18131 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18128, BgL_arg4359z00_18132);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18130, BgL_arg4358z00_18131);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18133;

										BgL_accz00_18133 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15121, BgL_sz00_18127, BgL_bpz00_18128);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5681z00_32942;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_18134;

												BgL_arg4357z00_18134 =
													BGL_EXITD_PROTECT(BgL_ez00_18130);
												BgL_test5681z00_32942 = PAIRP(BgL_arg4357z00_18134);
											}
											if (BgL_test5681z00_32942)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_18135;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_18136;

														BgL_arg4356z00_18136 =
															BGL_EXITD_PROTECT(BgL_ez00_18130);
														BgL_arg4355z00_18135 =
															CDR(((obj_t) BgL_arg4356z00_18136));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18130,
														BgL_arg4355z00_18135);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_18127), 0L, BgL_bpz00_18128);
										return BgL_accz00_18133;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18137;

								BgL_nsz00_18137 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18137, 1L, BgL_sz00_18127);
								VECTOR_SET(BgL_nsz00_18137, 2L, BgL_lastz00_15123);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18138;

									BgL_z12denvz12_18138 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18138, BgL_nsz00_18137);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18139;

										BgL_ez00_18139 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18140;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18141;

												BgL_arg4359z00_18141 =
													BGL_EXITD_PROTECT(BgL_ez00_18139);
												BgL_arg4358z00_18140 =
													MAKE_YOUNG_PAIR(BgL_sz00_18127, BgL_arg4359z00_18141);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18139,
												BgL_arg4358z00_18140);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18142;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18143;

												BgL_savedzd2bpzd2_18143 =
													VECTOR_REF(BgL_nsz00_18137, 0L);
												VECTOR_SET(BgL_nsz00_18137, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18145;

													BgL_fz00_18145 = BgL_runz00_15121;
												BgL_recz00_18144:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18146;

														BgL_rz00_18146 =
															(VA_PROCEDUREP(BgL_fz00_18145) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18145))
															(BgL_fz00_18145, BgL_nsz00_18137,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18145))
															(BgL_fz00_18145, BgL_nsz00_18137));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5682z00_32967;

															if (PROCEDUREP(BgL_rz00_18146))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18147;

																	BgL_arg1778z00_18147 =
																		PROCEDURE_ATTR(BgL_rz00_18146);
																	if (STRUCTP(BgL_arg1778z00_18147))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5682z00_32967 =
																				(STRUCT_KEY(BgL_arg1778z00_18147) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5682z00_32967 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5682z00_32967 = ((bool_t) 0);
																}
															if (BgL_test5682z00_32967)
																{
																	obj_t BgL_fz00_32975;

																	BgL_fz00_32975 = BgL_rz00_18146;
																	BgL_fz00_18145 = BgL_fz00_32975;
																	goto BgL_recz00_18144;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18137, 0L,
																		BgL_savedzd2bpzd2_18143);
																	BgL_____rz00_18142 = BgL_rz00_18146;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5685z00_32977;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18148;

													BgL_arg4357z00_18148 =
														BGL_EXITD_PROTECT(BgL_ez00_18139);
													BgL_test5685z00_32977 = PAIRP(BgL_arg4357z00_18148);
												}
												if (BgL_test5685z00_32977)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18149;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18150;

															BgL_arg4356z00_18150 =
																BGL_EXITD_PROTECT(BgL_ez00_18139);
															BgL_arg4355z00_18149 =
																CDR(((obj_t) BgL_arg4356z00_18150));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18139,
															BgL_arg4355z00_18149);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18138, BgL_sz00_18127);
											return BgL_____rz00_18142;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4581 */
	obj_t BGl_z62run4581z62zz__evaluate_compz00(obj_t BgL_envz00_15124,
		obj_t BgL_sz00_15128)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15125;
				BgL_ev_absz00_bglt BgL_i1255z00_15126;
				obj_t BgL_bodyz00_15127;

				BgL_iboxesz00_15125 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15124, (int) (0L)));
				BgL_i1255z00_15126 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15124, (int) (1L)));
				BgL_bodyz00_15127 = PROCEDURE_REF(BgL_envz00_15124, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18151;

					BgL_bpz00_18151 = VECTOR_REF(((obj_t) BgL_sz00_15128), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15128,
						BgL_iboxesz00_15125, BgL_bpz00_18151);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18152;
						obj_t BgL_wherez00_18153;
						obj_t BgL_locz00_18154;

						BgL_z12denvz12_18152 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18153 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15126))->
							BgL_wherez00);
						BgL_locz00_18154 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15126))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18152, BgL_wherez00_18153,
								BgL_locz00_18154);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18155;

								BgL_za2za2resza2za2z00_18155 =
									(VA_PROCEDUREP(BgL_bodyz00_15127) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15127)) (BgL_bodyz00_15127,
										BgL_sz00_15128, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15127)) (BgL_bodyz00_15127,
										BgL_sz00_15128));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18152);
								return BgL_za2za2resza2za2z00_18155;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3528> */
	obj_t BGl_z62zc3z04anonymousza33528ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15129, obj_t BgL_sz00_15135)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15130;
				long BgL_siza7eza7_15131;
				BgL_ev_absz00_bglt BgL_i1255z00_15132;
				obj_t BgL_bodyz00_15133;
				long BgL_siza7ezd2framez75_15134;

				BgL_ifreesz00_15130 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15129, (int) (0L)));
				BgL_siza7eza7_15131 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15129, (int) (1L)));
				BgL_i1255z00_15132 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15129, (int) (2L)));
				BgL_bodyz00_15133 = PROCEDURE_REF(BgL_envz00_15129, (int) (3L));
				BgL_siza7ezd2framez75_15134 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15129, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18156;

					BgL_bpz00_18156 = VECTOR_REF(((obj_t) BgL_sz00_15135), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18157;

						BgL_valza2za2_18157 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15135,
							BgL_bpz00_18156, BgL_ifreesz00_15130);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18158;

							BgL_runz00_18158 =
								MAKE_FX_PROCEDURE(BGl_z62run4583z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_18158,
								(int) (0L), BINT(BgL_siza7eza7_15131));
							PROCEDURE_SET(BgL_runz00_18158, (int) (1L), BgL_valza2za2_18157);
							PROCEDURE_SET(BgL_runz00_18158,
								(int) (2L), ((obj_t) BgL_i1255z00_15132));
							PROCEDURE_SET(BgL_runz00_18158, (int) (3L), BgL_bodyz00_15133);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18159;

								BgL_mainz00_18159 =
									MAKE_VA_PROCEDURE(BGl_z62main4582z62zz__evaluate_compz00,
									(int) (-1L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_18159,
									(int) (0L), BINT(BgL_siza7eza7_15131));
								PROCEDURE_SET(BgL_mainz00_18159,
									(int) (1L), BgL_valza2za2_18157);
								PROCEDURE_SET(BgL_mainz00_18159,
									(int) (2L), ((obj_t) BgL_i1255z00_15132));
								PROCEDURE_SET(BgL_mainz00_18159, (int) (3L), BgL_bodyz00_15133);
								PROCEDURE_SET(BgL_mainz00_18159, (int) (4L), BgL_runz00_18158);
								PROCEDURE_SET(BgL_mainz00_18159,
									(int) (5L), BINT(BgL_siza7ezd2framez75_15134));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18160;

									BgL_objz00_18160 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18158, BgL_objz00_18160);
									BgL_objz00_18160;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3529z00_18161;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3530z00_18162;

										BgL_arg3530z00_18162 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15132))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18163;

											BgL_newz00_18163 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33057;

												BgL_tmpz00_33057 = (int) (3L);
												STRUCT_SET(BgL_newz00_18163, BgL_tmpz00_33057,
													BgL_arg3530z00_18162);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33062;
												int BgL_tmpz00_33060;

												BgL_auxz00_33062 = BINT(BgL_siza7ezd2framez75_15134);
												BgL_tmpz00_33060 = (int) (2L);
												STRUCT_SET(BgL_newz00_18163, BgL_tmpz00_33060,
													BgL_auxz00_33062);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33065;

												BgL_tmpz00_33065 = (int) (1L);
												STRUCT_SET(BgL_newz00_18163, BgL_tmpz00_33065,
													BgL_runz00_18158);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33070;
												int BgL_tmpz00_33068;

												BgL_auxz00_33070 = BINT(-1L);
												BgL_tmpz00_33068 = (int) (0L);
												STRUCT_SET(BgL_newz00_18163, BgL_tmpz00_33068,
													BgL_auxz00_33070);
											}
											BgL_arg3529z00_18161 = BgL_newz00_18163;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18159, BgL_arg3529z00_18161);
									BgL_arg3529z00_18161;
								}
								return BgL_mainz00_18159;
							}
						}
					}
				}
			}
		}

	}



/* &main4582 */
	obj_t BGl_z62main4582z62zz__evaluate_compz00(obj_t BgL_envz00_15136,
		obj_t BgL_lastz00_15143)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15141;
				long BgL_siza7ezd2framez75_15142;

				BgL_runz00_15141 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15136, (int) (4L)));
				BgL_siza7ezd2framez75_15142 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15136, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18164;

					BgL_sz00_18164 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18165;

						BgL_bpz00_18165 = VECTOR_REF(((obj_t) BgL_sz00_18164), 0L);
						if (
							(((long) CINT(BgL_bpz00_18165) + BgL_siza7ezd2framez75_15142) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18164))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3533z00_18166;

									BgL_arg3533z00_18166 = ((long) CINT(BgL_bpz00_18165) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18164), BgL_arg3533z00_18166,
										BgL_lastz00_15143);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18167;

									BgL_ez00_18167 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_18168;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_18169;

											BgL_arg4359z00_18169 = BGL_EXITD_PROTECT(BgL_ez00_18167);
											BgL_arg4358z00_18168 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18165, BgL_arg4359z00_18169);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18167, BgL_arg4358z00_18168);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18170;

										BgL_accz00_18170 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15141, BgL_sz00_18164, BgL_bpz00_18165);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5687z00_33098;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_18171;

												BgL_arg4357z00_18171 =
													BGL_EXITD_PROTECT(BgL_ez00_18167);
												BgL_test5687z00_33098 = PAIRP(BgL_arg4357z00_18171);
											}
											if (BgL_test5687z00_33098)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_18172;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_18173;

														BgL_arg4356z00_18173 =
															BGL_EXITD_PROTECT(BgL_ez00_18167);
														BgL_arg4355z00_18172 =
															CDR(((obj_t) BgL_arg4356z00_18173));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18167,
														BgL_arg4355z00_18172);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_18164), 0L, BgL_bpz00_18165);
										return BgL_accz00_18170;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18174;

								BgL_nsz00_18174 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18174, 1L, BgL_sz00_18164);
								VECTOR_SET(BgL_nsz00_18174, 2L, BgL_lastz00_15143);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18175;

									BgL_z12denvz12_18175 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18175, BgL_nsz00_18174);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18176;

										BgL_ez00_18176 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18177;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18178;

												BgL_arg4359z00_18178 =
													BGL_EXITD_PROTECT(BgL_ez00_18176);
												BgL_arg4358z00_18177 =
													MAKE_YOUNG_PAIR(BgL_sz00_18164, BgL_arg4359z00_18178);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18176,
												BgL_arg4358z00_18177);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18179;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18180;

												BgL_savedzd2bpzd2_18180 =
													VECTOR_REF(BgL_nsz00_18174, 0L);
												VECTOR_SET(BgL_nsz00_18174, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18182;

													BgL_fz00_18182 = BgL_runz00_15141;
												BgL_recz00_18181:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18183;

														BgL_rz00_18183 =
															(VA_PROCEDUREP(BgL_fz00_18182) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18182))
															(BgL_fz00_18182, BgL_nsz00_18174,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18182))
															(BgL_fz00_18182, BgL_nsz00_18174));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5688z00_33123;

															if (PROCEDUREP(BgL_rz00_18183))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18184;

																	BgL_arg1778z00_18184 =
																		PROCEDURE_ATTR(BgL_rz00_18183);
																	if (STRUCTP(BgL_arg1778z00_18184))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5688z00_33123 =
																				(STRUCT_KEY(BgL_arg1778z00_18184) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5688z00_33123 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5688z00_33123 = ((bool_t) 0);
																}
															if (BgL_test5688z00_33123)
																{
																	obj_t BgL_fz00_33131;

																	BgL_fz00_33131 = BgL_rz00_18183;
																	BgL_fz00_18182 = BgL_fz00_33131;
																	goto BgL_recz00_18181;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18174, 0L,
																		BgL_savedzd2bpzd2_18180);
																	BgL_____rz00_18179 = BgL_rz00_18183;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5691z00_33133;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18185;

													BgL_arg4357z00_18185 =
														BGL_EXITD_PROTECT(BgL_ez00_18176);
													BgL_test5691z00_33133 = PAIRP(BgL_arg4357z00_18185);
												}
												if (BgL_test5691z00_33133)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18186;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18187;

															BgL_arg4356z00_18187 =
																BGL_EXITD_PROTECT(BgL_ez00_18176);
															BgL_arg4355z00_18186 =
																CDR(((obj_t) BgL_arg4356z00_18187));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18176,
															BgL_arg4355z00_18186);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18175, BgL_sz00_18164);
											return BgL_____rz00_18179;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4583 */
	obj_t BGl_z62run4583z62zz__evaluate_compz00(obj_t BgL_envz00_15144,
		obj_t BgL_sz00_15149)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15145;
				obj_t BgL_valza2za2_15146;
				BgL_ev_absz00_bglt BgL_i1255z00_15147;
				obj_t BgL_bodyz00_15148;

				BgL_siza7eza7_15145 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15144, (int) (0L)));
				BgL_valza2za2_15146 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15144, (int) (1L)));
				BgL_i1255z00_15147 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15144, (int) (2L)));
				BgL_bodyz00_15148 = PROCEDURE_REF(BgL_envz00_15144, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18188;

					BgL_bpz00_18188 = VECTOR_REF(((obj_t) BgL_sz00_15149), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15149,
						BgL_valza2za2_15146,
						((long) CINT(BgL_bpz00_18188) + BgL_siza7eza7_15145));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18189;
						obj_t BgL_wherez00_18190;
						obj_t BgL_locz00_18191;

						BgL_z12denvz12_18189 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18190 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15147))->
							BgL_wherez00);
						BgL_locz00_18191 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15147))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18189, BgL_wherez00_18190,
								BgL_locz00_18191);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18192;

								BgL_za2za2resza2za2z00_18192 =
									(VA_PROCEDUREP(BgL_bodyz00_15148) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15148)) (BgL_bodyz00_15148,
										BgL_sz00_15149, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15148)) (BgL_bodyz00_15148,
										BgL_sz00_15149));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18189);
								return BgL_za2za2resza2za2z00_18192;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3537> */
	obj_t BGl_z62zc3z04anonymousza33537ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15150, obj_t BgL_sz00_15157)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15151;
				obj_t BgL_iboxesz00_15152;
				long BgL_siza7eza7_15153;
				BgL_ev_absz00_bglt BgL_i1255z00_15154;
				obj_t BgL_bodyz00_15155;
				long BgL_siza7ezd2framez75_15156;

				BgL_ifreesz00_15151 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15150, (int) (0L)));
				BgL_iboxesz00_15152 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15150, (int) (1L)));
				BgL_siza7eza7_15153 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15150, (int) (2L)));
				BgL_i1255z00_15154 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15150, (int) (3L)));
				BgL_bodyz00_15155 = PROCEDURE_REF(BgL_envz00_15150, (int) (4L));
				BgL_siza7ezd2framez75_15156 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15150, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18193;

					BgL_bpz00_18193 = VECTOR_REF(((obj_t) BgL_sz00_15157), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18194;

						BgL_valza2za2_18194 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15157,
							BgL_bpz00_18193, BgL_ifreesz00_15151);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18195;

							BgL_runz00_18195 =
								MAKE_FX_PROCEDURE(BGl_z62run4585z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_18195, (int) (0L), BgL_iboxesz00_15152);
							PROCEDURE_SET(BgL_runz00_18195,
								(int) (1L), BINT(BgL_siza7eza7_15153));
							PROCEDURE_SET(BgL_runz00_18195, (int) (2L), BgL_valza2za2_18194);
							PROCEDURE_SET(BgL_runz00_18195,
								(int) (3L), ((obj_t) BgL_i1255z00_15154));
							PROCEDURE_SET(BgL_runz00_18195, (int) (4L), BgL_bodyz00_15155);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18196;

								BgL_mainz00_18196 =
									MAKE_VA_PROCEDURE(BGl_z62main4584z62zz__evaluate_compz00,
									(int) (-1L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_18196,
									(int) (0L), BgL_iboxesz00_15152);
								PROCEDURE_SET(BgL_mainz00_18196,
									(int) (1L), BINT(BgL_siza7eza7_15153));
								PROCEDURE_SET(BgL_mainz00_18196,
									(int) (2L), BgL_valza2za2_18194);
								PROCEDURE_SET(BgL_mainz00_18196,
									(int) (3L), ((obj_t) BgL_i1255z00_15154));
								PROCEDURE_SET(BgL_mainz00_18196, (int) (4L), BgL_bodyz00_15155);
								PROCEDURE_SET(BgL_mainz00_18196, (int) (5L), BgL_runz00_18195);
								PROCEDURE_SET(BgL_mainz00_18196,
									(int) (6L), BINT(BgL_siza7ezd2framez75_15156));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18197;

									BgL_objz00_18197 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18195, BgL_objz00_18197);
									BgL_objz00_18197;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3540z00_18198;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3541z00_18199;

										BgL_arg3541z00_18199 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15154))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18200;

											BgL_newz00_18200 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33225;

												BgL_tmpz00_33225 = (int) (3L);
												STRUCT_SET(BgL_newz00_18200, BgL_tmpz00_33225,
													BgL_arg3541z00_18199);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33230;
												int BgL_tmpz00_33228;

												BgL_auxz00_33230 = BINT(BgL_siza7ezd2framez75_15156);
												BgL_tmpz00_33228 = (int) (2L);
												STRUCT_SET(BgL_newz00_18200, BgL_tmpz00_33228,
													BgL_auxz00_33230);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33233;

												BgL_tmpz00_33233 = (int) (1L);
												STRUCT_SET(BgL_newz00_18200, BgL_tmpz00_33233,
													BgL_runz00_18195);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33238;
												int BgL_tmpz00_33236;

												BgL_auxz00_33238 = BINT(-1L);
												BgL_tmpz00_33236 = (int) (0L);
												STRUCT_SET(BgL_newz00_18200, BgL_tmpz00_33236,
													BgL_auxz00_33238);
											}
											BgL_arg3540z00_18198 = BgL_newz00_18200;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18196, BgL_arg3540z00_18198);
									BgL_arg3540z00_18198;
								}
								return BgL_mainz00_18196;
							}
						}
					}
				}
			}
		}

	}



/* &main4584 */
	obj_t BGl_z62main4584z62zz__evaluate_compz00(obj_t BgL_envz00_15158,
		obj_t BgL_lastz00_15166)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15164;
				long BgL_siza7ezd2framez75_15165;

				BgL_runz00_15164 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15158, (int) (5L)));
				BgL_siza7ezd2framez75_15165 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15158, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18201;

					BgL_sz00_18201 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18202;

						BgL_bpz00_18202 = VECTOR_REF(((obj_t) BgL_sz00_18201), 0L);
						if (
							(((long) CINT(BgL_bpz00_18202) + BgL_siza7ezd2framez75_15165) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18201))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3544z00_18203;

									BgL_arg3544z00_18203 = ((long) CINT(BgL_bpz00_18202) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18201), BgL_arg3544z00_18203,
										BgL_lastz00_15166);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18204;

									BgL_ez00_18204 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_18205;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_18206;

											BgL_arg4359z00_18206 = BGL_EXITD_PROTECT(BgL_ez00_18204);
											BgL_arg4358z00_18205 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18202, BgL_arg4359z00_18206);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18204, BgL_arg4358z00_18205);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18207;

										BgL_accz00_18207 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15164, BgL_sz00_18201, BgL_bpz00_18202);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5693z00_33266;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_18208;

												BgL_arg4357z00_18208 =
													BGL_EXITD_PROTECT(BgL_ez00_18204);
												BgL_test5693z00_33266 = PAIRP(BgL_arg4357z00_18208);
											}
											if (BgL_test5693z00_33266)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_18209;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_18210;

														BgL_arg4356z00_18210 =
															BGL_EXITD_PROTECT(BgL_ez00_18204);
														BgL_arg4355z00_18209 =
															CDR(((obj_t) BgL_arg4356z00_18210));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18204,
														BgL_arg4355z00_18209);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_18201), 0L, BgL_bpz00_18202);
										return BgL_accz00_18207;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18211;

								BgL_nsz00_18211 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18211, 1L, BgL_sz00_18201);
								VECTOR_SET(BgL_nsz00_18211, 2L, BgL_lastz00_15166);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18212;

									BgL_z12denvz12_18212 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18212, BgL_nsz00_18211);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18213;

										BgL_ez00_18213 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18214;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18215;

												BgL_arg4359z00_18215 =
													BGL_EXITD_PROTECT(BgL_ez00_18213);
												BgL_arg4358z00_18214 =
													MAKE_YOUNG_PAIR(BgL_sz00_18201, BgL_arg4359z00_18215);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18213,
												BgL_arg4358z00_18214);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18216;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18217;

												BgL_savedzd2bpzd2_18217 =
													VECTOR_REF(BgL_nsz00_18211, 0L);
												VECTOR_SET(BgL_nsz00_18211, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18219;

													BgL_fz00_18219 = BgL_runz00_15164;
												BgL_recz00_18218:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18220;

														BgL_rz00_18220 =
															(VA_PROCEDUREP(BgL_fz00_18219) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18219))
															(BgL_fz00_18219, BgL_nsz00_18211,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18219))
															(BgL_fz00_18219, BgL_nsz00_18211));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5694z00_33291;

															if (PROCEDUREP(BgL_rz00_18220))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18221;

																	BgL_arg1778z00_18221 =
																		PROCEDURE_ATTR(BgL_rz00_18220);
																	if (STRUCTP(BgL_arg1778z00_18221))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5694z00_33291 =
																				(STRUCT_KEY(BgL_arg1778z00_18221) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5694z00_33291 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5694z00_33291 = ((bool_t) 0);
																}
															if (BgL_test5694z00_33291)
																{
																	obj_t BgL_fz00_33299;

																	BgL_fz00_33299 = BgL_rz00_18220;
																	BgL_fz00_18219 = BgL_fz00_33299;
																	goto BgL_recz00_18218;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18211, 0L,
																		BgL_savedzd2bpzd2_18217);
																	BgL_____rz00_18216 = BgL_rz00_18220;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5697z00_33301;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18222;

													BgL_arg4357z00_18222 =
														BGL_EXITD_PROTECT(BgL_ez00_18213);
													BgL_test5697z00_33301 = PAIRP(BgL_arg4357z00_18222);
												}
												if (BgL_test5697z00_33301)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18223;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18224;

															BgL_arg4356z00_18224 =
																BGL_EXITD_PROTECT(BgL_ez00_18213);
															BgL_arg4355z00_18223 =
																CDR(((obj_t) BgL_arg4356z00_18224));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18213,
															BgL_arg4355z00_18223);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18212, BgL_sz00_18201);
											return BgL_____rz00_18216;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4585 */
	obj_t BGl_z62run4585z62zz__evaluate_compz00(obj_t BgL_envz00_15167,
		obj_t BgL_sz00_15173)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15168;
				long BgL_siza7eza7_15169;
				obj_t BgL_valza2za2_15170;
				BgL_ev_absz00_bglt BgL_i1255z00_15171;
				obj_t BgL_bodyz00_15172;

				BgL_iboxesz00_15168 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15167, (int) (0L)));
				BgL_siza7eza7_15169 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15167, (int) (1L)));
				BgL_valza2za2_15170 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15167, (int) (2L)));
				BgL_i1255z00_15171 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15167, (int) (3L)));
				BgL_bodyz00_15172 = PROCEDURE_REF(BgL_envz00_15167, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18225;

					BgL_bpz00_18225 = VECTOR_REF(((obj_t) BgL_sz00_15173), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15173,
						BgL_iboxesz00_15168, BgL_bpz00_18225);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15173,
						BgL_valza2za2_15170,
						((long) CINT(BgL_bpz00_18225) + BgL_siza7eza7_15169));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18226;
						obj_t BgL_wherez00_18227;
						obj_t BgL_locz00_18228;

						BgL_z12denvz12_18226 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18227 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15171))->
							BgL_wherez00);
						BgL_locz00_18228 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15171))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18226, BgL_wherez00_18227,
								BgL_locz00_18228);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18229;

								BgL_za2za2resza2za2z00_18229 =
									(VA_PROCEDUREP(BgL_bodyz00_15172) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15172)) (BgL_bodyz00_15172,
										BgL_sz00_15173, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15172)) (BgL_bodyz00_15172,
										BgL_sz00_15173));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18226);
								return BgL_za2za2resza2za2z00_18229;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3470> */
	obj_t BGl_z62zc3z04anonymousza33470ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15174, obj_t BgL_sz00_15178)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15175;
				obj_t BgL_bodyz00_15176;
				long BgL_siza7ezd2framez75_15177;

				BgL_i1255z00_15175 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15174, (int) (0L)));
				BgL_bodyz00_15176 = PROCEDURE_REF(BgL_envz00_15174, (int) (1L));
				BgL_siza7ezd2framez75_15177 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15174, (int) (2L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18230;

					BgL_bpz00_18230 = VECTOR_REF(((obj_t) BgL_sz00_15178), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18231;

							BgL_runz00_18231 =
								MAKE_FX_PROCEDURE(BGl_z62run4587z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_18231,
								(int) (0L), ((obj_t) BgL_i1255z00_15175));
							PROCEDURE_SET(BgL_runz00_18231, (int) (1L), BgL_bodyz00_15176);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18232;

								BgL_mainz00_18232 =
									MAKE_FX_PROCEDURE(BGl_z62main4586z62zz__evaluate_compz00,
									(int) (0L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_18232,
									(int) (0L), ((obj_t) BgL_i1255z00_15175));
								PROCEDURE_SET(BgL_mainz00_18232, (int) (1L), BgL_bodyz00_15176);
								PROCEDURE_SET(BgL_mainz00_18232, (int) (2L), BgL_runz00_18231);
								PROCEDURE_SET(BgL_mainz00_18232,
									(int) (3L), BINT(BgL_siza7ezd2framez75_15177));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18233;

									BgL_objz00_18233 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18231, BgL_objz00_18233);
									BgL_objz00_18233;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3473z00_18234;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3474z00_18235;

										BgL_arg3474z00_18235 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15175))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18236;

											BgL_newz00_18236 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33373;

												BgL_tmpz00_33373 = (int) (3L);
												STRUCT_SET(BgL_newz00_18236, BgL_tmpz00_33373,
													BgL_arg3474z00_18235);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33378;
												int BgL_tmpz00_33376;

												BgL_auxz00_33378 = BINT(BgL_siza7ezd2framez75_15177);
												BgL_tmpz00_33376 = (int) (2L);
												STRUCT_SET(BgL_newz00_18236, BgL_tmpz00_33376,
													BgL_auxz00_33378);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33381;

												BgL_tmpz00_33381 = (int) (1L);
												STRUCT_SET(BgL_newz00_18236, BgL_tmpz00_33381,
													BgL_runz00_18231);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33386;
												int BgL_tmpz00_33384;

												BgL_auxz00_33386 = BINT(0L);
												BgL_tmpz00_33384 = (int) (0L);
												STRUCT_SET(BgL_newz00_18236, BgL_tmpz00_33384,
													BgL_auxz00_33386);
											}
											BgL_arg3473z00_18234 = BgL_newz00_18236;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18232, BgL_arg3473z00_18234);
									BgL_arg3473z00_18234;
								}
								return BgL_mainz00_18232;
							}
						}
					}
				}
			}
		}

	}



/* &main4586 */
	obj_t BGl_z62main4586z62zz__evaluate_compz00(obj_t BgL_envz00_15179)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15182;
				long BgL_siza7ezd2framez75_15183;

				BgL_runz00_15182 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15179, (int) (2L)));
				BgL_siza7ezd2framez75_15183 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15179, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18237;

					BgL_sz00_18237 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18238;

						BgL_bpz00_18238 = VECTOR_REF(((obj_t) BgL_sz00_18237), 0L);
						if (
							(((long) CINT(BgL_bpz00_18238) + BgL_siza7ezd2framez75_15183) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18237))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18239;

								BgL_ez00_18239 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4358z00_18240;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4359z00_18241;

										BgL_arg4359z00_18241 = BGL_EXITD_PROTECT(BgL_ez00_18239);
										BgL_arg4358z00_18240 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18238, BgL_arg4359z00_18241);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18239, BgL_arg4358z00_18240);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18242;

									BgL_accz00_18242 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15182, BgL_sz00_18237, BgL_bpz00_18238);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5699z00_33410;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4357z00_18243;

											BgL_arg4357z00_18243 = BGL_EXITD_PROTECT(BgL_ez00_18239);
											BgL_test5699z00_33410 = PAIRP(BgL_arg4357z00_18243);
										}
										if (BgL_test5699z00_33410)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4355z00_18244;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4356z00_18245;

													BgL_arg4356z00_18245 =
														BGL_EXITD_PROTECT(BgL_ez00_18239);
													BgL_arg4355z00_18244 =
														CDR(((obj_t) BgL_arg4356z00_18245));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18239,
													BgL_arg4355z00_18244);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_18237), 0L, BgL_bpz00_18238);
									return BgL_accz00_18242;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18246;

								BgL_nsz00_18246 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18246, 1L, BgL_sz00_18237);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18247;

									BgL_z12denvz12_18247 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18247, BgL_nsz00_18246);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18248;

										BgL_ez00_18248 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18249;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18250;

												BgL_arg4359z00_18250 =
													BGL_EXITD_PROTECT(BgL_ez00_18248);
												BgL_arg4358z00_18249 =
													MAKE_YOUNG_PAIR(BgL_sz00_18237, BgL_arg4359z00_18250);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18248,
												BgL_arg4358z00_18249);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18251;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18252;

												BgL_savedzd2bpzd2_18252 =
													VECTOR_REF(BgL_nsz00_18246, 0L);
												VECTOR_SET(BgL_nsz00_18246, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18254;

													BgL_fz00_18254 = BgL_runz00_15182;
												BgL_recz00_18253:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18255;

														BgL_rz00_18255 =
															(VA_PROCEDUREP(BgL_fz00_18254) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18254))
															(BgL_fz00_18254, BgL_nsz00_18246,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18254))
															(BgL_fz00_18254, BgL_nsz00_18246));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5700z00_33434;

															if (PROCEDUREP(BgL_rz00_18255))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18256;

																	BgL_arg1778z00_18256 =
																		PROCEDURE_ATTR(BgL_rz00_18255);
																	if (STRUCTP(BgL_arg1778z00_18256))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5700z00_33434 =
																				(STRUCT_KEY(BgL_arg1778z00_18256) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5700z00_33434 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5700z00_33434 = ((bool_t) 0);
																}
															if (BgL_test5700z00_33434)
																{
																	obj_t BgL_fz00_33442;

																	BgL_fz00_33442 = BgL_rz00_18255;
																	BgL_fz00_18254 = BgL_fz00_33442;
																	goto BgL_recz00_18253;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18246, 0L,
																		BgL_savedzd2bpzd2_18252);
																	BgL_____rz00_18251 = BgL_rz00_18255;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5703z00_33444;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18257;

													BgL_arg4357z00_18257 =
														BGL_EXITD_PROTECT(BgL_ez00_18248);
													BgL_test5703z00_33444 = PAIRP(BgL_arg4357z00_18257);
												}
												if (BgL_test5703z00_33444)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18258;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18259;

															BgL_arg4356z00_18259 =
																BGL_EXITD_PROTECT(BgL_ez00_18248);
															BgL_arg4355z00_18258 =
																CDR(((obj_t) BgL_arg4356z00_18259));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18248,
															BgL_arg4355z00_18258);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18247, BgL_sz00_18237);
											return BgL_____rz00_18251;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4587 */
	obj_t BGl_z62run4587z62zz__evaluate_compz00(obj_t BgL_envz00_15184,
		obj_t BgL_sz00_15187)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15185;
				obj_t BgL_bodyz00_15186;

				BgL_i1255z00_15185 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15184, (int) (0L)));
				BgL_bodyz00_15186 = PROCEDURE_REF(BgL_envz00_15184, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18260;

					BgL_bpz00_18260 = VECTOR_REF(((obj_t) BgL_sz00_15187), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18261;
						obj_t BgL_wherez00_18262;
						obj_t BgL_locz00_18263;

						BgL_z12denvz12_18261 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18262 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15185))->
							BgL_wherez00);
						BgL_locz00_18263 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15185))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18261, BgL_wherez00_18262,
								BgL_locz00_18263);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18264;

								BgL_za2za2resza2za2z00_18264 =
									(VA_PROCEDUREP(BgL_bodyz00_15186) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15186)) (BgL_bodyz00_15186,
										BgL_sz00_15187, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15186)) (BgL_bodyz00_15186,
										BgL_sz00_15187));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18261);
								return BgL_za2za2resza2za2z00_18264;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3478> */
	obj_t BGl_z62zc3z04anonymousza33478ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15188, obj_t BgL_sz00_15193)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15189;
				BgL_ev_absz00_bglt BgL_i1255z00_15190;
				obj_t BgL_bodyz00_15191;
				long BgL_siza7ezd2framez75_15192;

				BgL_iboxesz00_15189 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15188, (int) (0L)));
				BgL_i1255z00_15190 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15188, (int) (1L)));
				BgL_bodyz00_15191 = PROCEDURE_REF(BgL_envz00_15188, (int) (2L));
				BgL_siza7ezd2framez75_15192 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15188, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18265;

					BgL_bpz00_18265 = VECTOR_REF(((obj_t) BgL_sz00_15193), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18266;

							BgL_runz00_18266 =
								MAKE_FX_PROCEDURE(BGl_z62run4589z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_18266, (int) (0L), BgL_iboxesz00_15189);
							PROCEDURE_SET(BgL_runz00_18266,
								(int) (1L), ((obj_t) BgL_i1255z00_15190));
							PROCEDURE_SET(BgL_runz00_18266, (int) (2L), BgL_bodyz00_15191);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18267;

								BgL_mainz00_18267 =
									MAKE_FX_PROCEDURE(BGl_z62main4588z62zz__evaluate_compz00,
									(int) (0L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_18267,
									(int) (0L), BgL_iboxesz00_15189);
								PROCEDURE_SET(BgL_mainz00_18267,
									(int) (1L), ((obj_t) BgL_i1255z00_15190));
								PROCEDURE_SET(BgL_mainz00_18267, (int) (2L), BgL_bodyz00_15191);
								PROCEDURE_SET(BgL_mainz00_18267, (int) (3L), BgL_runz00_18266);
								PROCEDURE_SET(BgL_mainz00_18267,
									(int) (4L), BINT(BgL_siza7ezd2framez75_15192));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18268;

									BgL_objz00_18268 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18266, BgL_objz00_18268);
									BgL_objz00_18268;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3479z00_18269;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3480z00_18270;

										BgL_arg3480z00_18270 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15190))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18271;

											BgL_newz00_18271 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33510;

												BgL_tmpz00_33510 = (int) (3L);
												STRUCT_SET(BgL_newz00_18271, BgL_tmpz00_33510,
													BgL_arg3480z00_18270);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33515;
												int BgL_tmpz00_33513;

												BgL_auxz00_33515 = BINT(BgL_siza7ezd2framez75_15192);
												BgL_tmpz00_33513 = (int) (2L);
												STRUCT_SET(BgL_newz00_18271, BgL_tmpz00_33513,
													BgL_auxz00_33515);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33518;

												BgL_tmpz00_33518 = (int) (1L);
												STRUCT_SET(BgL_newz00_18271, BgL_tmpz00_33518,
													BgL_runz00_18266);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33523;
												int BgL_tmpz00_33521;

												BgL_auxz00_33523 = BINT(0L);
												BgL_tmpz00_33521 = (int) (0L);
												STRUCT_SET(BgL_newz00_18271, BgL_tmpz00_33521,
													BgL_auxz00_33523);
											}
											BgL_arg3479z00_18269 = BgL_newz00_18271;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18267, BgL_arg3479z00_18269);
									BgL_arg3479z00_18269;
								}
								return BgL_mainz00_18267;
							}
						}
					}
				}
			}
		}

	}



/* &main4588 */
	obj_t BGl_z62main4588z62zz__evaluate_compz00(obj_t BgL_envz00_15194)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15198;
				long BgL_siza7ezd2framez75_15199;

				BgL_runz00_15198 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15194, (int) (3L)));
				BgL_siza7ezd2framez75_15199 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15194, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18272;

					BgL_sz00_18272 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18273;

						BgL_bpz00_18273 = VECTOR_REF(((obj_t) BgL_sz00_18272), 0L);
						if (
							(((long) CINT(BgL_bpz00_18273) + BgL_siza7ezd2framez75_15199) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18272))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18274;

								BgL_ez00_18274 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4358z00_18275;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4359z00_18276;

										BgL_arg4359z00_18276 = BGL_EXITD_PROTECT(BgL_ez00_18274);
										BgL_arg4358z00_18275 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18273, BgL_arg4359z00_18276);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18274, BgL_arg4358z00_18275);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18277;

									BgL_accz00_18277 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15198, BgL_sz00_18272, BgL_bpz00_18273);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5705z00_33547;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4357z00_18278;

											BgL_arg4357z00_18278 = BGL_EXITD_PROTECT(BgL_ez00_18274);
											BgL_test5705z00_33547 = PAIRP(BgL_arg4357z00_18278);
										}
										if (BgL_test5705z00_33547)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4355z00_18279;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4356z00_18280;

													BgL_arg4356z00_18280 =
														BGL_EXITD_PROTECT(BgL_ez00_18274);
													BgL_arg4355z00_18279 =
														CDR(((obj_t) BgL_arg4356z00_18280));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18274,
													BgL_arg4355z00_18279);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_18272), 0L, BgL_bpz00_18273);
									return BgL_accz00_18277;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18281;

								BgL_nsz00_18281 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18281, 1L, BgL_sz00_18272);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18282;

									BgL_z12denvz12_18282 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18282, BgL_nsz00_18281);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18283;

										BgL_ez00_18283 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18284;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18285;

												BgL_arg4359z00_18285 =
													BGL_EXITD_PROTECT(BgL_ez00_18283);
												BgL_arg4358z00_18284 =
													MAKE_YOUNG_PAIR(BgL_sz00_18272, BgL_arg4359z00_18285);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18283,
												BgL_arg4358z00_18284);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18286;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18287;

												BgL_savedzd2bpzd2_18287 =
													VECTOR_REF(BgL_nsz00_18281, 0L);
												VECTOR_SET(BgL_nsz00_18281, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18289;

													BgL_fz00_18289 = BgL_runz00_15198;
												BgL_recz00_18288:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18290;

														BgL_rz00_18290 =
															(VA_PROCEDUREP(BgL_fz00_18289) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18289))
															(BgL_fz00_18289, BgL_nsz00_18281,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18289))
															(BgL_fz00_18289, BgL_nsz00_18281));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5706z00_33571;

															if (PROCEDUREP(BgL_rz00_18290))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18291;

																	BgL_arg1778z00_18291 =
																		PROCEDURE_ATTR(BgL_rz00_18290);
																	if (STRUCTP(BgL_arg1778z00_18291))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5706z00_33571 =
																				(STRUCT_KEY(BgL_arg1778z00_18291) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5706z00_33571 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5706z00_33571 = ((bool_t) 0);
																}
															if (BgL_test5706z00_33571)
																{
																	obj_t BgL_fz00_33579;

																	BgL_fz00_33579 = BgL_rz00_18290;
																	BgL_fz00_18289 = BgL_fz00_33579;
																	goto BgL_recz00_18288;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18281, 0L,
																		BgL_savedzd2bpzd2_18287);
																	BgL_____rz00_18286 = BgL_rz00_18290;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5709z00_33581;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18292;

													BgL_arg4357z00_18292 =
														BGL_EXITD_PROTECT(BgL_ez00_18283);
													BgL_test5709z00_33581 = PAIRP(BgL_arg4357z00_18292);
												}
												if (BgL_test5709z00_33581)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18293;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18294;

															BgL_arg4356z00_18294 =
																BGL_EXITD_PROTECT(BgL_ez00_18283);
															BgL_arg4355z00_18293 =
																CDR(((obj_t) BgL_arg4356z00_18294));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18283,
															BgL_arg4355z00_18293);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18282, BgL_sz00_18272);
											return BgL_____rz00_18286;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4589 */
	obj_t BGl_z62run4589z62zz__evaluate_compz00(obj_t BgL_envz00_15200,
		obj_t BgL_sz00_15204)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15201;
				BgL_ev_absz00_bglt BgL_i1255z00_15202;
				obj_t BgL_bodyz00_15203;

				BgL_iboxesz00_15201 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15200, (int) (0L)));
				BgL_i1255z00_15202 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15200, (int) (1L)));
				BgL_bodyz00_15203 = PROCEDURE_REF(BgL_envz00_15200, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18295;

					BgL_bpz00_18295 = VECTOR_REF(((obj_t) BgL_sz00_15204), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15204,
						BgL_iboxesz00_15201, BgL_bpz00_18295);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18296;
						obj_t BgL_wherez00_18297;
						obj_t BgL_locz00_18298;

						BgL_z12denvz12_18296 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18297 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15202))->
							BgL_wherez00);
						BgL_locz00_18298 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15202))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18296, BgL_wherez00_18297,
								BgL_locz00_18298);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18299;

								BgL_za2za2resza2za2z00_18299 =
									(VA_PROCEDUREP(BgL_bodyz00_15203) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15203)) (BgL_bodyz00_15203,
										BgL_sz00_15204, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15203)) (BgL_bodyz00_15203,
										BgL_sz00_15204));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18296);
								return BgL_za2za2resza2za2z00_18299;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3488> */
	obj_t BGl_z62zc3z04anonymousza33488ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15205, obj_t BgL_sz00_15211)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15206;
				long BgL_siza7eza7_15207;
				BgL_ev_absz00_bglt BgL_i1255z00_15208;
				obj_t BgL_bodyz00_15209;
				long BgL_siza7ezd2framez75_15210;

				BgL_ifreesz00_15206 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15205, (int) (0L)));
				BgL_siza7eza7_15207 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15205, (int) (1L)));
				BgL_i1255z00_15208 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15205, (int) (2L)));
				BgL_bodyz00_15209 = PROCEDURE_REF(BgL_envz00_15205, (int) (3L));
				BgL_siza7ezd2framez75_15210 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15205, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18300;

					BgL_bpz00_18300 = VECTOR_REF(((obj_t) BgL_sz00_15211), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18301;

						BgL_valza2za2_18301 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15211,
							BgL_bpz00_18300, BgL_ifreesz00_15206);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18302;

							BgL_runz00_18302 =
								MAKE_FX_PROCEDURE(BGl_z62run4591z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_18302,
								(int) (0L), BINT(BgL_siza7eza7_15207));
							PROCEDURE_SET(BgL_runz00_18302, (int) (1L), BgL_valza2za2_18301);
							PROCEDURE_SET(BgL_runz00_18302,
								(int) (2L), ((obj_t) BgL_i1255z00_15208));
							PROCEDURE_SET(BgL_runz00_18302, (int) (3L), BgL_bodyz00_15209);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18303;

								BgL_mainz00_18303 =
									MAKE_FX_PROCEDURE(BGl_z62main4590z62zz__evaluate_compz00,
									(int) (0L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_18303,
									(int) (0L), BINT(BgL_siza7eza7_15207));
								PROCEDURE_SET(BgL_mainz00_18303,
									(int) (1L), BgL_valza2za2_18301);
								PROCEDURE_SET(BgL_mainz00_18303,
									(int) (2L), ((obj_t) BgL_i1255z00_15208));
								PROCEDURE_SET(BgL_mainz00_18303, (int) (3L), BgL_bodyz00_15209);
								PROCEDURE_SET(BgL_mainz00_18303, (int) (4L), BgL_runz00_18302);
								PROCEDURE_SET(BgL_mainz00_18303,
									(int) (5L), BINT(BgL_siza7ezd2framez75_15210));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18304;

									BgL_objz00_18304 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18302, BgL_objz00_18304);
									BgL_objz00_18304;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3489z00_18305;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3490z00_18306;

										BgL_arg3490z00_18306 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15208))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18307;

											BgL_newz00_18307 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33661;

												BgL_tmpz00_33661 = (int) (3L);
												STRUCT_SET(BgL_newz00_18307, BgL_tmpz00_33661,
													BgL_arg3490z00_18306);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33666;
												int BgL_tmpz00_33664;

												BgL_auxz00_33666 = BINT(BgL_siza7ezd2framez75_15210);
												BgL_tmpz00_33664 = (int) (2L);
												STRUCT_SET(BgL_newz00_18307, BgL_tmpz00_33664,
													BgL_auxz00_33666);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33669;

												BgL_tmpz00_33669 = (int) (1L);
												STRUCT_SET(BgL_newz00_18307, BgL_tmpz00_33669,
													BgL_runz00_18302);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33674;
												int BgL_tmpz00_33672;

												BgL_auxz00_33674 = BINT(0L);
												BgL_tmpz00_33672 = (int) (0L);
												STRUCT_SET(BgL_newz00_18307, BgL_tmpz00_33672,
													BgL_auxz00_33674);
											}
											BgL_arg3489z00_18305 = BgL_newz00_18307;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18303, BgL_arg3489z00_18305);
									BgL_arg3489z00_18305;
								}
								return BgL_mainz00_18303;
							}
						}
					}
				}
			}
		}

	}



/* &main4590 */
	obj_t BGl_z62main4590z62zz__evaluate_compz00(obj_t BgL_envz00_15212)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15217;
				long BgL_siza7ezd2framez75_15218;

				BgL_runz00_15217 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15212, (int) (4L)));
				BgL_siza7ezd2framez75_15218 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15212, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18308;

					BgL_sz00_18308 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18309;

						BgL_bpz00_18309 = VECTOR_REF(((obj_t) BgL_sz00_18308), 0L);
						if (
							(((long) CINT(BgL_bpz00_18309) + BgL_siza7ezd2framez75_15218) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18308))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18310;

								BgL_ez00_18310 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4358z00_18311;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4359z00_18312;

										BgL_arg4359z00_18312 = BGL_EXITD_PROTECT(BgL_ez00_18310);
										BgL_arg4358z00_18311 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18309, BgL_arg4359z00_18312);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18310, BgL_arg4358z00_18311);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18313;

									BgL_accz00_18313 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15217, BgL_sz00_18308, BgL_bpz00_18309);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5711z00_33698;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4357z00_18314;

											BgL_arg4357z00_18314 = BGL_EXITD_PROTECT(BgL_ez00_18310);
											BgL_test5711z00_33698 = PAIRP(BgL_arg4357z00_18314);
										}
										if (BgL_test5711z00_33698)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4355z00_18315;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4356z00_18316;

													BgL_arg4356z00_18316 =
														BGL_EXITD_PROTECT(BgL_ez00_18310);
													BgL_arg4355z00_18315 =
														CDR(((obj_t) BgL_arg4356z00_18316));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18310,
													BgL_arg4355z00_18315);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_18308), 0L, BgL_bpz00_18309);
									return BgL_accz00_18313;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18317;

								BgL_nsz00_18317 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18317, 1L, BgL_sz00_18308);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18318;

									BgL_z12denvz12_18318 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18318, BgL_nsz00_18317);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18319;

										BgL_ez00_18319 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18320;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18321;

												BgL_arg4359z00_18321 =
													BGL_EXITD_PROTECT(BgL_ez00_18319);
												BgL_arg4358z00_18320 =
													MAKE_YOUNG_PAIR(BgL_sz00_18308, BgL_arg4359z00_18321);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18319,
												BgL_arg4358z00_18320);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18322;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18323;

												BgL_savedzd2bpzd2_18323 =
													VECTOR_REF(BgL_nsz00_18317, 0L);
												VECTOR_SET(BgL_nsz00_18317, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18325;

													BgL_fz00_18325 = BgL_runz00_15217;
												BgL_recz00_18324:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18326;

														BgL_rz00_18326 =
															(VA_PROCEDUREP(BgL_fz00_18325) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18325))
															(BgL_fz00_18325, BgL_nsz00_18317,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18325))
															(BgL_fz00_18325, BgL_nsz00_18317));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5712z00_33722;

															if (PROCEDUREP(BgL_rz00_18326))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18327;

																	BgL_arg1778z00_18327 =
																		PROCEDURE_ATTR(BgL_rz00_18326);
																	if (STRUCTP(BgL_arg1778z00_18327))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5712z00_33722 =
																				(STRUCT_KEY(BgL_arg1778z00_18327) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5712z00_33722 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5712z00_33722 = ((bool_t) 0);
																}
															if (BgL_test5712z00_33722)
																{
																	obj_t BgL_fz00_33730;

																	BgL_fz00_33730 = BgL_rz00_18326;
																	BgL_fz00_18325 = BgL_fz00_33730;
																	goto BgL_recz00_18324;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18317, 0L,
																		BgL_savedzd2bpzd2_18323);
																	BgL_____rz00_18322 = BgL_rz00_18326;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5715z00_33732;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18328;

													BgL_arg4357z00_18328 =
														BGL_EXITD_PROTECT(BgL_ez00_18319);
													BgL_test5715z00_33732 = PAIRP(BgL_arg4357z00_18328);
												}
												if (BgL_test5715z00_33732)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18329;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18330;

															BgL_arg4356z00_18330 =
																BGL_EXITD_PROTECT(BgL_ez00_18319);
															BgL_arg4355z00_18329 =
																CDR(((obj_t) BgL_arg4356z00_18330));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18319,
															BgL_arg4355z00_18329);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18318, BgL_sz00_18308);
											return BgL_____rz00_18322;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4591 */
	obj_t BGl_z62run4591z62zz__evaluate_compz00(obj_t BgL_envz00_15219,
		obj_t BgL_sz00_15224)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15220;
				obj_t BgL_valza2za2_15221;
				BgL_ev_absz00_bglt BgL_i1255z00_15222;
				obj_t BgL_bodyz00_15223;

				BgL_siza7eza7_15220 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15219, (int) (0L)));
				BgL_valza2za2_15221 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15219, (int) (1L)));
				BgL_i1255z00_15222 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15219, (int) (2L)));
				BgL_bodyz00_15223 = PROCEDURE_REF(BgL_envz00_15219, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18331;

					BgL_bpz00_18331 = VECTOR_REF(((obj_t) BgL_sz00_15224), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15224,
						BgL_valza2za2_15221,
						((long) CINT(BgL_bpz00_18331) + BgL_siza7eza7_15220));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18332;
						obj_t BgL_wherez00_18333;
						obj_t BgL_locz00_18334;

						BgL_z12denvz12_18332 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18333 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15222))->
							BgL_wherez00);
						BgL_locz00_18334 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15222))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18332, BgL_wherez00_18333,
								BgL_locz00_18334);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18335;

								BgL_za2za2resza2za2z00_18335 =
									(VA_PROCEDUREP(BgL_bodyz00_15223) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15223)) (BgL_bodyz00_15223,
										BgL_sz00_15224, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15223)) (BgL_bodyz00_15223,
										BgL_sz00_15224));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18332);
								return BgL_za2za2resza2za2z00_18335;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3495> */
	obj_t BGl_z62zc3z04anonymousza33495ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15225, obj_t BgL_sz00_15232)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15226;
				obj_t BgL_iboxesz00_15227;
				long BgL_siza7eza7_15228;
				BgL_ev_absz00_bglt BgL_i1255z00_15229;
				obj_t BgL_bodyz00_15230;
				long BgL_siza7ezd2framez75_15231;

				BgL_ifreesz00_15226 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15225, (int) (0L)));
				BgL_iboxesz00_15227 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15225, (int) (1L)));
				BgL_siza7eza7_15228 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15225, (int) (2L)));
				BgL_i1255z00_15229 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15225, (int) (3L)));
				BgL_bodyz00_15230 = PROCEDURE_REF(BgL_envz00_15225, (int) (4L));
				BgL_siza7ezd2framez75_15231 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15225, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18336;

					BgL_bpz00_18336 = VECTOR_REF(((obj_t) BgL_sz00_15232), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18337;

						BgL_valza2za2_18337 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15232,
							BgL_bpz00_18336, BgL_ifreesz00_15226);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18338;

							BgL_runz00_18338 =
								MAKE_FX_PROCEDURE(BGl_z62run4593z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_18338, (int) (0L), BgL_iboxesz00_15227);
							PROCEDURE_SET(BgL_runz00_18338,
								(int) (1L), BINT(BgL_siza7eza7_15228));
							PROCEDURE_SET(BgL_runz00_18338, (int) (2L), BgL_valza2za2_18337);
							PROCEDURE_SET(BgL_runz00_18338,
								(int) (3L), ((obj_t) BgL_i1255z00_15229));
							PROCEDURE_SET(BgL_runz00_18338, (int) (4L), BgL_bodyz00_15230);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18339;

								BgL_mainz00_18339 =
									MAKE_FX_PROCEDURE(BGl_z62main4592z62zz__evaluate_compz00,
									(int) (0L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_18339,
									(int) (0L), BgL_iboxesz00_15227);
								PROCEDURE_SET(BgL_mainz00_18339,
									(int) (1L), BINT(BgL_siza7eza7_15228));
								PROCEDURE_SET(BgL_mainz00_18339,
									(int) (2L), BgL_valza2za2_18337);
								PROCEDURE_SET(BgL_mainz00_18339,
									(int) (3L), ((obj_t) BgL_i1255z00_15229));
								PROCEDURE_SET(BgL_mainz00_18339, (int) (4L), BgL_bodyz00_15230);
								PROCEDURE_SET(BgL_mainz00_18339, (int) (5L), BgL_runz00_18338);
								PROCEDURE_SET(BgL_mainz00_18339,
									(int) (6L), BINT(BgL_siza7ezd2framez75_15231));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18340;

									BgL_objz00_18340 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18338, BgL_objz00_18340);
									BgL_objz00_18340;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3496z00_18341;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3498z00_18342;

										BgL_arg3498z00_18342 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15229))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18343;

											BgL_newz00_18343 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33824;

												BgL_tmpz00_33824 = (int) (3L);
												STRUCT_SET(BgL_newz00_18343, BgL_tmpz00_33824,
													BgL_arg3498z00_18342);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33829;
												int BgL_tmpz00_33827;

												BgL_auxz00_33829 = BINT(BgL_siza7ezd2framez75_15231);
												BgL_tmpz00_33827 = (int) (2L);
												STRUCT_SET(BgL_newz00_18343, BgL_tmpz00_33827,
													BgL_auxz00_33829);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33832;

												BgL_tmpz00_33832 = (int) (1L);
												STRUCT_SET(BgL_newz00_18343, BgL_tmpz00_33832,
													BgL_runz00_18338);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33837;
												int BgL_tmpz00_33835;

												BgL_auxz00_33837 = BINT(0L);
												BgL_tmpz00_33835 = (int) (0L);
												STRUCT_SET(BgL_newz00_18343, BgL_tmpz00_33835,
													BgL_auxz00_33837);
											}
											BgL_arg3496z00_18341 = BgL_newz00_18343;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18339, BgL_arg3496z00_18341);
									BgL_arg3496z00_18341;
								}
								return BgL_mainz00_18339;
							}
						}
					}
				}
			}
		}

	}



/* &main4592 */
	obj_t BGl_z62main4592z62zz__evaluate_compz00(obj_t BgL_envz00_15233)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15239;
				long BgL_siza7ezd2framez75_15240;

				BgL_runz00_15239 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15233, (int) (5L)));
				BgL_siza7ezd2framez75_15240 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15233, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18344;

					BgL_sz00_18344 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18345;

						BgL_bpz00_18345 = VECTOR_REF(((obj_t) BgL_sz00_18344), 0L);
						if (
							(((long) CINT(BgL_bpz00_18345) + BgL_siza7ezd2framez75_15240) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18344))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18346;

								BgL_ez00_18346 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4358z00_18347;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4359z00_18348;

										BgL_arg4359z00_18348 = BGL_EXITD_PROTECT(BgL_ez00_18346);
										BgL_arg4358z00_18347 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18345, BgL_arg4359z00_18348);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18346, BgL_arg4358z00_18347);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18349;

									BgL_accz00_18349 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15239, BgL_sz00_18344, BgL_bpz00_18345);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5717z00_33861;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4357z00_18350;

											BgL_arg4357z00_18350 = BGL_EXITD_PROTECT(BgL_ez00_18346);
											BgL_test5717z00_33861 = PAIRP(BgL_arg4357z00_18350);
										}
										if (BgL_test5717z00_33861)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4355z00_18351;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4356z00_18352;

													BgL_arg4356z00_18352 =
														BGL_EXITD_PROTECT(BgL_ez00_18346);
													BgL_arg4355z00_18351 =
														CDR(((obj_t) BgL_arg4356z00_18352));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18346,
													BgL_arg4355z00_18351);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(((obj_t) BgL_sz00_18344), 0L, BgL_bpz00_18345);
									return BgL_accz00_18349;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18353;

								BgL_nsz00_18353 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18353, 1L, BgL_sz00_18344);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18354;

									BgL_z12denvz12_18354 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18354, BgL_nsz00_18353);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18355;

										BgL_ez00_18355 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18356;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18357;

												BgL_arg4359z00_18357 =
													BGL_EXITD_PROTECT(BgL_ez00_18355);
												BgL_arg4358z00_18356 =
													MAKE_YOUNG_PAIR(BgL_sz00_18344, BgL_arg4359z00_18357);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18355,
												BgL_arg4358z00_18356);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18358;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18359;

												BgL_savedzd2bpzd2_18359 =
													VECTOR_REF(BgL_nsz00_18353, 0L);
												VECTOR_SET(BgL_nsz00_18353, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18361;

													BgL_fz00_18361 = BgL_runz00_15239;
												BgL_recz00_18360:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18362;

														BgL_rz00_18362 =
															(VA_PROCEDUREP(BgL_fz00_18361) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18361))
															(BgL_fz00_18361, BgL_nsz00_18353,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18361))
															(BgL_fz00_18361, BgL_nsz00_18353));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5718z00_33885;

															if (PROCEDUREP(BgL_rz00_18362))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18363;

																	BgL_arg1778z00_18363 =
																		PROCEDURE_ATTR(BgL_rz00_18362);
																	if (STRUCTP(BgL_arg1778z00_18363))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5718z00_33885 =
																				(STRUCT_KEY(BgL_arg1778z00_18363) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5718z00_33885 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5718z00_33885 = ((bool_t) 0);
																}
															if (BgL_test5718z00_33885)
																{
																	obj_t BgL_fz00_33893;

																	BgL_fz00_33893 = BgL_rz00_18362;
																	BgL_fz00_18361 = BgL_fz00_33893;
																	goto BgL_recz00_18360;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18353, 0L,
																		BgL_savedzd2bpzd2_18359);
																	BgL_____rz00_18358 = BgL_rz00_18362;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5721z00_33895;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18364;

													BgL_arg4357z00_18364 =
														BGL_EXITD_PROTECT(BgL_ez00_18355);
													BgL_test5721z00_33895 = PAIRP(BgL_arg4357z00_18364);
												}
												if (BgL_test5721z00_33895)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18365;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18366;

															BgL_arg4356z00_18366 =
																BGL_EXITD_PROTECT(BgL_ez00_18355);
															BgL_arg4355z00_18365 =
																CDR(((obj_t) BgL_arg4356z00_18366));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18355,
															BgL_arg4355z00_18365);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18354, BgL_sz00_18344);
											return BgL_____rz00_18358;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4593 */
	obj_t BGl_z62run4593z62zz__evaluate_compz00(obj_t BgL_envz00_15241,
		obj_t BgL_sz00_15247)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15242;
				long BgL_siza7eza7_15243;
				obj_t BgL_valza2za2_15244;
				BgL_ev_absz00_bglt BgL_i1255z00_15245;
				obj_t BgL_bodyz00_15246;

				BgL_iboxesz00_15242 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15241, (int) (0L)));
				BgL_siza7eza7_15243 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15241, (int) (1L)));
				BgL_valza2za2_15244 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15241, (int) (2L)));
				BgL_i1255z00_15245 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15241, (int) (3L)));
				BgL_bodyz00_15246 = PROCEDURE_REF(BgL_envz00_15241, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18367;

					BgL_bpz00_18367 = VECTOR_REF(((obj_t) BgL_sz00_15247), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15247,
						BgL_iboxesz00_15242, BgL_bpz00_18367);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15247,
						BgL_valza2za2_15244,
						((long) CINT(BgL_bpz00_18367) + BgL_siza7eza7_15243));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18368;
						obj_t BgL_wherez00_18369;
						obj_t BgL_locz00_18370;

						BgL_z12denvz12_18368 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18369 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15245))->
							BgL_wherez00);
						BgL_locz00_18370 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15245))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18368, BgL_wherez00_18369,
								BgL_locz00_18370);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18371;

								BgL_za2za2resza2za2z00_18371 =
									(VA_PROCEDUREP(BgL_bodyz00_15246) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15246)) (BgL_bodyz00_15246,
										BgL_sz00_15247, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15246)) (BgL_bodyz00_15246,
										BgL_sz00_15247));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18368);
								return BgL_za2za2resza2za2z00_18371;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3958> */
	obj_t BGl_z62zc3z04anonymousza33958ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15248, obj_t BgL_sz00_15252)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15249;
				obj_t BgL_bodyz00_15250;
				long BgL_siza7ezd2framez75_15251;

				BgL_i1255z00_15249 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15248, (int) (0L)));
				BgL_bodyz00_15250 = PROCEDURE_REF(BgL_envz00_15248, (int) (1L));
				BgL_siza7ezd2framez75_15251 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15248, (int) (2L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18372;

					BgL_bpz00_18372 = VECTOR_REF(((obj_t) BgL_sz00_15252), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18373;

							BgL_runz00_18373 =
								MAKE_FX_PROCEDURE(BGl_z62run4595z62zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_runz00_18373,
								(int) (0L), ((obj_t) BgL_i1255z00_15249));
							PROCEDURE_SET(BgL_runz00_18373, (int) (1L), BgL_bodyz00_15250);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18374;

								BgL_mainz00_18374 =
									MAKE_VA_PROCEDURE(BGl_z62main4594z62zz__evaluate_compz00,
									(int) (-5L), (int) (4L));
								PROCEDURE_SET(BgL_mainz00_18374, (int) (0L), BgL_bodyz00_15250);
								PROCEDURE_SET(BgL_mainz00_18374,
									(int) (1L), ((obj_t) BgL_i1255z00_15249));
								PROCEDURE_SET(BgL_mainz00_18374, (int) (2L), BgL_runz00_18373);
								PROCEDURE_SET(BgL_mainz00_18374,
									(int) (3L), BINT(BgL_siza7ezd2framez75_15251));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18375;

									BgL_objz00_18375 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18373, BgL_objz00_18375);
									BgL_objz00_18375;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3959z00_18376;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3960z00_18377;
										obj_t BgL_arg3961z00_18378;

										BgL_arg3960z00_18377 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15249))->
											BgL_arityz00);
										BgL_arg3961z00_18378 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15249))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18379;

											BgL_newz00_18379 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33968;

												BgL_tmpz00_33968 = (int) (3L);
												STRUCT_SET(BgL_newz00_18379, BgL_tmpz00_33968,
													BgL_arg3961z00_18378);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33973;
												int BgL_tmpz00_33971;

												BgL_auxz00_33973 = BINT(BgL_siza7ezd2framez75_15251);
												BgL_tmpz00_33971 = (int) (2L);
												STRUCT_SET(BgL_newz00_18379, BgL_tmpz00_33971,
													BgL_auxz00_33973);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33976;

												BgL_tmpz00_33976 = (int) (1L);
												STRUCT_SET(BgL_newz00_18379, BgL_tmpz00_33976,
													BgL_runz00_18373);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33979;

												BgL_tmpz00_33979 = (int) (0L);
												STRUCT_SET(BgL_newz00_18379, BgL_tmpz00_33979,
													BgL_arg3960z00_18377);
											}
											BgL_arg3959z00_18376 = BgL_newz00_18379;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18374, BgL_arg3959z00_18376);
									BgL_arg3959z00_18376;
								}
								return BgL_mainz00_18374;
							}
						}
					}
				}
			}
		}

	}



/* &main4594 */
	obj_t BGl_z62main4594z62zz__evaluate_compz00(obj_t BgL_envz00_15253,
		obj_t BgL_az00_15258, obj_t BgL_bz00_15259, obj_t BgL_cz00_15260,
		obj_t BgL_dz00_15261, obj_t BgL_restz00_15262)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15255;
				obj_t BgL_runz00_15256;
				long BgL_siza7ezd2framez75_15257;

				BgL_i1255z00_15255 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15253, (int) (1L)));
				BgL_runz00_15256 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15253, (int) (2L)));
				BgL_siza7ezd2framez75_15257 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15253, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18380;

					BgL_sz00_18380 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18381;

						BgL_bpz00_18381 = VECTOR_REF(((obj_t) BgL_sz00_18380), 0L);
						if (
							(((long) CINT(BgL_bpz00_18381) + BgL_siza7ezd2framez75_15257) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18380))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3964z00_18382;

									BgL_arg3964z00_18382 = ((long) CINT(BgL_bpz00_18381) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18380), BgL_arg3964z00_18382,
										BgL_az00_15258);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3965z00_18383;

									BgL_arg3965z00_18383 = ((long) CINT(BgL_bpz00_18381) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18380), BgL_arg3965z00_18383,
										BgL_bz00_15259);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3966z00_18384;

									BgL_arg3966z00_18384 = ((long) CINT(BgL_bpz00_18381) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18380), BgL_arg3966z00_18384,
										BgL_cz00_15260);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3967z00_18385;

									BgL_arg3967z00_18385 = ((long) CINT(BgL_bpz00_18381) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18380), BgL_arg3967z00_18385,
										BgL_dz00_15261);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3968z00_18386;
									long BgL_arg3969z00_18387;
									long BgL_arg3970z00_18388;
									obj_t BgL_arg3971z00_18389;

									BgL_arg3968z00_18386 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15255))->
										BgL_wherez00);
									BgL_arg3969z00_18387 = ((long) CINT(BgL_bpz00_18381) + 4L);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3972z00_18390;

										BgL_arg3972z00_18390 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15255))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3972z00_18390) < 0L))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3970z00_18388 =
													((long) CINT(BgL_arg3972z00_18390) + 4L);
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3970z00_18388 =
													((long) CINT(BgL_arg3972z00_18390) - 4L);
									}}
									BgL_arg3971z00_18389 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15255))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18380,
										BgL_arg3968z00_18386, BgL_arg3969z00_18387,
										BgL_arg3970z00_18388, BgL_restz00_15262,
										BgL_arg3971z00_18389);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18391;

									BgL_ez00_18391 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_18392;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_18393;

											BgL_arg4359z00_18393 = BGL_EXITD_PROTECT(BgL_ez00_18391);
											BgL_arg4358z00_18392 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18381, BgL_arg4359z00_18393);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18391, BgL_arg4358z00_18392);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18394;

										BgL_accz00_18394 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15256, BgL_sz00_18380, BgL_bpz00_18381);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5724z00_34035;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_18395;

												BgL_arg4357z00_18395 =
													BGL_EXITD_PROTECT(BgL_ez00_18391);
												BgL_test5724z00_34035 = PAIRP(BgL_arg4357z00_18395);
											}
											if (BgL_test5724z00_34035)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_18396;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_18397;

														BgL_arg4356z00_18397 =
															BGL_EXITD_PROTECT(BgL_ez00_18391);
														BgL_arg4355z00_18396 =
															CDR(((obj_t) BgL_arg4356z00_18397));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18391,
														BgL_arg4355z00_18396);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_18380), 0L, BgL_bpz00_18381);
										return BgL_accz00_18394;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18398;

								BgL_nsz00_18398 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18398, 1L, BgL_sz00_18380);
								VECTOR_SET(BgL_nsz00_18398, 2L, BgL_az00_15258);
								VECTOR_SET(BgL_nsz00_18398, 3L, BgL_bz00_15259);
								VECTOR_SET(BgL_nsz00_18398, 4L, BgL_cz00_15260);
								VECTOR_SET(BgL_nsz00_18398, 5L, BgL_dz00_15261);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3973z00_18399;
									long BgL_arg3974z00_18400;
									obj_t BgL_arg3975z00_18401;

									BgL_arg3973z00_18399 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15255))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3976z00_18402;

										BgL_arg3976z00_18402 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15255))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3976z00_18402) < 0L))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3974z00_18400 =
													((long) CINT(BgL_arg3976z00_18402) + 4L);
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3974z00_18400 =
													((long) CINT(BgL_arg3976z00_18402) - 4L);
									}}
									BgL_arg3975z00_18401 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15255))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18398,
										BgL_arg3973z00_18399, 6L, BgL_arg3974z00_18400,
										BgL_restz00_15262, BgL_arg3975z00_18401);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18403;

									BgL_z12denvz12_18403 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18403, BgL_nsz00_18398);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18404;

										BgL_ez00_18404 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18405;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18406;

												BgL_arg4359z00_18406 =
													BGL_EXITD_PROTECT(BgL_ez00_18404);
												BgL_arg4358z00_18405 =
													MAKE_YOUNG_PAIR(BgL_sz00_18380, BgL_arg4359z00_18406);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18404,
												BgL_arg4358z00_18405);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18407;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18408;

												BgL_savedzd2bpzd2_18408 =
													VECTOR_REF(BgL_nsz00_18398, 0L);
												VECTOR_SET(BgL_nsz00_18398, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18410;

													BgL_fz00_18410 = BgL_runz00_15256;
												BgL_recz00_18409:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18411;

														BgL_rz00_18411 =
															(VA_PROCEDUREP(BgL_fz00_18410) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18410))
															(BgL_fz00_18410, BgL_nsz00_18398,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18410))
															(BgL_fz00_18410, BgL_nsz00_18398));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5726z00_34074;

															if (PROCEDUREP(BgL_rz00_18411))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18412;

																	BgL_arg1778z00_18412 =
																		PROCEDURE_ATTR(BgL_rz00_18411);
																	if (STRUCTP(BgL_arg1778z00_18412))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5726z00_34074 =
																				(STRUCT_KEY(BgL_arg1778z00_18412) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5726z00_34074 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5726z00_34074 = ((bool_t) 0);
																}
															if (BgL_test5726z00_34074)
																{
																	obj_t BgL_fz00_34082;

																	BgL_fz00_34082 = BgL_rz00_18411;
																	BgL_fz00_18410 = BgL_fz00_34082;
																	goto BgL_recz00_18409;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18398, 0L,
																		BgL_savedzd2bpzd2_18408);
																	BgL_____rz00_18407 = BgL_rz00_18411;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5729z00_34084;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18413;

													BgL_arg4357z00_18413 =
														BGL_EXITD_PROTECT(BgL_ez00_18404);
													BgL_test5729z00_34084 = PAIRP(BgL_arg4357z00_18413);
												}
												if (BgL_test5729z00_34084)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18414;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18415;

															BgL_arg4356z00_18415 =
																BGL_EXITD_PROTECT(BgL_ez00_18404);
															BgL_arg4355z00_18414 =
																CDR(((obj_t) BgL_arg4356z00_18415));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18404,
															BgL_arg4355z00_18414);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18403, BgL_sz00_18380);
											return BgL_____rz00_18407;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4595 */
	obj_t BGl_z62run4595z62zz__evaluate_compz00(obj_t BgL_envz00_15263,
		obj_t BgL_sz00_15266)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15264;
				obj_t BgL_bodyz00_15265;

				BgL_i1255z00_15264 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15263, (int) (0L)));
				BgL_bodyz00_15265 = PROCEDURE_REF(BgL_envz00_15263, (int) (1L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18416;

					BgL_bpz00_18416 = VECTOR_REF(((obj_t) BgL_sz00_15266), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18417;
						obj_t BgL_wherez00_18418;
						obj_t BgL_locz00_18419;

						BgL_z12denvz12_18417 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18418 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15264))->
							BgL_wherez00);
						BgL_locz00_18419 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15264))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18417, BgL_wherez00_18418,
								BgL_locz00_18419);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18420;

								BgL_za2za2resza2za2z00_18420 =
									(VA_PROCEDUREP(BgL_bodyz00_15265) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15265)) (BgL_bodyz00_15265,
										BgL_sz00_15266, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15265)) (BgL_bodyz00_15265,
										BgL_sz00_15266));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18417);
								return BgL_za2za2resza2za2z00_18420;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3978> */
	obj_t BGl_z62zc3z04anonymousza33978ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15267, obj_t BgL_sz00_15272)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15268;
				BgL_ev_absz00_bglt BgL_i1255z00_15269;
				obj_t BgL_bodyz00_15270;
				long BgL_siza7ezd2framez75_15271;

				BgL_iboxesz00_15268 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15267, (int) (0L)));
				BgL_i1255z00_15269 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15267, (int) (1L)));
				BgL_bodyz00_15270 = PROCEDURE_REF(BgL_envz00_15267, (int) (2L));
				BgL_siza7ezd2framez75_15271 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15267, (int) (3L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18421;

					BgL_bpz00_18421 = VECTOR_REF(((obj_t) BgL_sz00_15272), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18422;

							BgL_runz00_18422 =
								MAKE_FX_PROCEDURE(BGl_z62run4597z62zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_runz00_18422, (int) (0L), BgL_iboxesz00_15268);
							PROCEDURE_SET(BgL_runz00_18422,
								(int) (1L), ((obj_t) BgL_i1255z00_15269));
							PROCEDURE_SET(BgL_runz00_18422, (int) (2L), BgL_bodyz00_15270);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18423;

								BgL_mainz00_18423 =
									MAKE_VA_PROCEDURE(BGl_z62main4596z62zz__evaluate_compz00,
									(int) (-5L), (int) (5L));
								PROCEDURE_SET(BgL_mainz00_18423,
									(int) (0L), BgL_iboxesz00_15268);
								PROCEDURE_SET(BgL_mainz00_18423, (int) (1L), BgL_bodyz00_15270);
								PROCEDURE_SET(BgL_mainz00_18423,
									(int) (2L), ((obj_t) BgL_i1255z00_15269));
								PROCEDURE_SET(BgL_mainz00_18423, (int) (3L), BgL_runz00_18422);
								PROCEDURE_SET(BgL_mainz00_18423,
									(int) (4L), BINT(BgL_siza7ezd2framez75_15271));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18424;

									BgL_objz00_18424 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18422, BgL_objz00_18424);
									BgL_objz00_18424;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3979z00_18425;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3980z00_18426;
										obj_t BgL_arg3981z00_18427;

										BgL_arg3980z00_18426 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15269))->
											BgL_arityz00);
										BgL_arg3981z00_18427 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15269))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18428;

											BgL_newz00_18428 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34151;

												BgL_tmpz00_34151 = (int) (3L);
												STRUCT_SET(BgL_newz00_18428, BgL_tmpz00_34151,
													BgL_arg3981z00_18427);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_34156;
												int BgL_tmpz00_34154;

												BgL_auxz00_34156 = BINT(BgL_siza7ezd2framez75_15271);
												BgL_tmpz00_34154 = (int) (2L);
												STRUCT_SET(BgL_newz00_18428, BgL_tmpz00_34154,
													BgL_auxz00_34156);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34159;

												BgL_tmpz00_34159 = (int) (1L);
												STRUCT_SET(BgL_newz00_18428, BgL_tmpz00_34159,
													BgL_runz00_18422);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34162;

												BgL_tmpz00_34162 = (int) (0L);
												STRUCT_SET(BgL_newz00_18428, BgL_tmpz00_34162,
													BgL_arg3980z00_18426);
											}
											BgL_arg3979z00_18425 = BgL_newz00_18428;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18423, BgL_arg3979z00_18425);
									BgL_arg3979z00_18425;
								}
								return BgL_mainz00_18423;
							}
						}
					}
				}
			}
		}

	}



/* &main4596 */
	obj_t BGl_z62main4596z62zz__evaluate_compz00(obj_t BgL_envz00_15273,
		obj_t BgL_az00_15279, obj_t BgL_bz00_15280, obj_t BgL_cz00_15281,
		obj_t BgL_dz00_15282, obj_t BgL_restz00_15283)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15276;
				obj_t BgL_runz00_15277;
				long BgL_siza7ezd2framez75_15278;

				BgL_i1255z00_15276 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15273, (int) (2L)));
				BgL_runz00_15277 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15273, (int) (3L)));
				BgL_siza7ezd2framez75_15278 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15273, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18429;

					BgL_sz00_18429 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18430;

						BgL_bpz00_18430 = VECTOR_REF(((obj_t) BgL_sz00_18429), 0L);
						if (
							(((long) CINT(BgL_bpz00_18430) + BgL_siza7ezd2framez75_15278) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18429))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3984z00_18431;

									BgL_arg3984z00_18431 = ((long) CINT(BgL_bpz00_18430) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18429), BgL_arg3984z00_18431,
										BgL_az00_15279);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3985z00_18432;

									BgL_arg3985z00_18432 = ((long) CINT(BgL_bpz00_18430) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18429), BgL_arg3985z00_18432,
										BgL_bz00_15280);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3986z00_18433;

									BgL_arg3986z00_18433 = ((long) CINT(BgL_bpz00_18430) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18429), BgL_arg3986z00_18433,
										BgL_cz00_15281);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3987z00_18434;

									BgL_arg3987z00_18434 = ((long) CINT(BgL_bpz00_18430) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18429), BgL_arg3987z00_18434,
										BgL_dz00_15282);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3988z00_18435;
									long BgL_arg3989z00_18436;
									long BgL_arg3990z00_18437;
									obj_t BgL_arg3991z00_18438;

									BgL_arg3988z00_18435 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15276))->
										BgL_wherez00);
									BgL_arg3989z00_18436 = ((long) CINT(BgL_bpz00_18430) + 4L);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3992z00_18439;

										BgL_arg3992z00_18439 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15276))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3992z00_18439) < 0L))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3990z00_18437 =
													((long) CINT(BgL_arg3992z00_18439) + 4L);
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3990z00_18437 =
													((long) CINT(BgL_arg3992z00_18439) - 4L);
									}}
									BgL_arg3991z00_18438 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15276))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18429,
										BgL_arg3988z00_18435, BgL_arg3989z00_18436,
										BgL_arg3990z00_18437, BgL_restz00_15283,
										BgL_arg3991z00_18438);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18440;

									BgL_ez00_18440 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_18441;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_18442;

											BgL_arg4359z00_18442 = BGL_EXITD_PROTECT(BgL_ez00_18440);
											BgL_arg4358z00_18441 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18430, BgL_arg4359z00_18442);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18440, BgL_arg4358z00_18441);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18443;

										BgL_accz00_18443 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15277, BgL_sz00_18429, BgL_bpz00_18430);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5732z00_34218;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_18444;

												BgL_arg4357z00_18444 =
													BGL_EXITD_PROTECT(BgL_ez00_18440);
												BgL_test5732z00_34218 = PAIRP(BgL_arg4357z00_18444);
											}
											if (BgL_test5732z00_34218)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_18445;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_18446;

														BgL_arg4356z00_18446 =
															BGL_EXITD_PROTECT(BgL_ez00_18440);
														BgL_arg4355z00_18445 =
															CDR(((obj_t) BgL_arg4356z00_18446));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18440,
														BgL_arg4355z00_18445);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_18429), 0L, BgL_bpz00_18430);
										return BgL_accz00_18443;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18447;

								BgL_nsz00_18447 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18447, 1L, BgL_sz00_18429);
								VECTOR_SET(BgL_nsz00_18447, 2L, BgL_az00_15279);
								VECTOR_SET(BgL_nsz00_18447, 3L, BgL_bz00_15280);
								VECTOR_SET(BgL_nsz00_18447, 4L, BgL_cz00_15281);
								VECTOR_SET(BgL_nsz00_18447, 5L, BgL_dz00_15282);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3993z00_18448;
									long BgL_arg3994z00_18449;
									obj_t BgL_arg3995z00_18450;

									BgL_arg3993z00_18448 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15276))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3996z00_18451;

										BgL_arg3996z00_18451 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15276))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3996z00_18451) < 0L))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3994z00_18449 =
													((long) CINT(BgL_arg3996z00_18451) + 4L);
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3994z00_18449 =
													((long) CINT(BgL_arg3996z00_18451) - 4L);
									}}
									BgL_arg3995z00_18450 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15276))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18447,
										BgL_arg3993z00_18448, 6L, BgL_arg3994z00_18449,
										BgL_restz00_15283, BgL_arg3995z00_18450);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18452;

									BgL_z12denvz12_18452 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18452, BgL_nsz00_18447);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18453;

										BgL_ez00_18453 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18454;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18455;

												BgL_arg4359z00_18455 =
													BGL_EXITD_PROTECT(BgL_ez00_18453);
												BgL_arg4358z00_18454 =
													MAKE_YOUNG_PAIR(BgL_sz00_18429, BgL_arg4359z00_18455);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18453,
												BgL_arg4358z00_18454);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18456;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18457;

												BgL_savedzd2bpzd2_18457 =
													VECTOR_REF(BgL_nsz00_18447, 0L);
												VECTOR_SET(BgL_nsz00_18447, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18459;

													BgL_fz00_18459 = BgL_runz00_15277;
												BgL_recz00_18458:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18460;

														BgL_rz00_18460 =
															(VA_PROCEDUREP(BgL_fz00_18459) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18459))
															(BgL_fz00_18459, BgL_nsz00_18447,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18459))
															(BgL_fz00_18459, BgL_nsz00_18447));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5734z00_34257;

															if (PROCEDUREP(BgL_rz00_18460))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18461;

																	BgL_arg1778z00_18461 =
																		PROCEDURE_ATTR(BgL_rz00_18460);
																	if (STRUCTP(BgL_arg1778z00_18461))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5734z00_34257 =
																				(STRUCT_KEY(BgL_arg1778z00_18461) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5734z00_34257 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5734z00_34257 = ((bool_t) 0);
																}
															if (BgL_test5734z00_34257)
																{
																	obj_t BgL_fz00_34265;

																	BgL_fz00_34265 = BgL_rz00_18460;
																	BgL_fz00_18459 = BgL_fz00_34265;
																	goto BgL_recz00_18458;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18447, 0L,
																		BgL_savedzd2bpzd2_18457);
																	BgL_____rz00_18456 = BgL_rz00_18460;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5737z00_34267;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18462;

													BgL_arg4357z00_18462 =
														BGL_EXITD_PROTECT(BgL_ez00_18453);
													BgL_test5737z00_34267 = PAIRP(BgL_arg4357z00_18462);
												}
												if (BgL_test5737z00_34267)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18463;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18464;

															BgL_arg4356z00_18464 =
																BGL_EXITD_PROTECT(BgL_ez00_18453);
															BgL_arg4355z00_18463 =
																CDR(((obj_t) BgL_arg4356z00_18464));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18453,
															BgL_arg4355z00_18463);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18452, BgL_sz00_18429);
											return BgL_____rz00_18456;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4597 */
	obj_t BGl_z62run4597z62zz__evaluate_compz00(obj_t BgL_envz00_15284,
		obj_t BgL_sz00_15288)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15285;
				BgL_ev_absz00_bglt BgL_i1255z00_15286;
				obj_t BgL_bodyz00_15287;

				BgL_iboxesz00_15285 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15284, (int) (0L)));
				BgL_i1255z00_15286 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15284, (int) (1L)));
				BgL_bodyz00_15287 = PROCEDURE_REF(BgL_envz00_15284, (int) (2L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18465;

					BgL_bpz00_18465 = VECTOR_REF(((obj_t) BgL_sz00_15288), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15288,
						BgL_iboxesz00_15285, BgL_bpz00_18465);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18466;
						obj_t BgL_wherez00_18467;
						obj_t BgL_locz00_18468;

						BgL_z12denvz12_18466 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18467 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15286))->
							BgL_wherez00);
						BgL_locz00_18468 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15286))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18466, BgL_wherez00_18467,
								BgL_locz00_18468);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18469;

								BgL_za2za2resza2za2z00_18469 =
									(VA_PROCEDUREP(BgL_bodyz00_15287) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15287)) (BgL_bodyz00_15287,
										BgL_sz00_15288, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15287)) (BgL_bodyz00_15287,
										BgL_sz00_15288));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18466);
								return BgL_za2za2resza2za2z00_18469;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:4001> */
	obj_t BGl_z62zc3z04anonymousza34001ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15289, obj_t BgL_sz00_15295)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15290;
				long BgL_siza7eza7_15291;
				BgL_ev_absz00_bglt BgL_i1255z00_15292;
				obj_t BgL_bodyz00_15293;
				long BgL_siza7ezd2framez75_15294;

				BgL_ifreesz00_15290 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15289, (int) (0L)));
				BgL_siza7eza7_15291 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15289, (int) (1L)));
				BgL_i1255z00_15292 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15289, (int) (2L)));
				BgL_bodyz00_15293 = PROCEDURE_REF(BgL_envz00_15289, (int) (3L));
				BgL_siza7ezd2framez75_15294 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15289, (int) (4L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18470;

					BgL_bpz00_18470 = VECTOR_REF(((obj_t) BgL_sz00_15295), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18471;

						BgL_valza2za2_18471 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15295,
							BgL_bpz00_18470, BgL_ifreesz00_15290);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18472;

							BgL_runz00_18472 =
								MAKE_FX_PROCEDURE(BGl_z62run4599z62zz__evaluate_compz00,
								(int) (1L), (int) (4L));
							PROCEDURE_SET(BgL_runz00_18472,
								(int) (0L), BINT(BgL_siza7eza7_15291));
							PROCEDURE_SET(BgL_runz00_18472, (int) (1L), BgL_valza2za2_18471);
							PROCEDURE_SET(BgL_runz00_18472,
								(int) (2L), ((obj_t) BgL_i1255z00_15292));
							PROCEDURE_SET(BgL_runz00_18472, (int) (3L), BgL_bodyz00_15293);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18473;

								BgL_mainz00_18473 =
									MAKE_VA_PROCEDURE(BGl_z62main4598z62zz__evaluate_compz00,
									(int) (-5L), (int) (6L));
								PROCEDURE_SET(BgL_mainz00_18473,
									(int) (0L), BINT(BgL_siza7eza7_15291));
								PROCEDURE_SET(BgL_mainz00_18473,
									(int) (1L), BgL_valza2za2_18471);
								PROCEDURE_SET(BgL_mainz00_18473, (int) (2L), BgL_bodyz00_15293);
								PROCEDURE_SET(BgL_mainz00_18473,
									(int) (3L), ((obj_t) BgL_i1255z00_15292));
								PROCEDURE_SET(BgL_mainz00_18473, (int) (4L), BgL_runz00_18472);
								PROCEDURE_SET(BgL_mainz00_18473,
									(int) (5L), BINT(BgL_siza7ezd2framez75_15294));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18474;

									BgL_objz00_18474 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18472, BgL_objz00_18474);
									BgL_objz00_18474;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4002z00_18475;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4003z00_18476;
										obj_t BgL_arg4004z00_18477;

										BgL_arg4003z00_18476 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15292))->
											BgL_arityz00);
										BgL_arg4004z00_18477 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15292))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18478;

											BgL_newz00_18478 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34348;

												BgL_tmpz00_34348 = (int) (3L);
												STRUCT_SET(BgL_newz00_18478, BgL_tmpz00_34348,
													BgL_arg4004z00_18477);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_34353;
												int BgL_tmpz00_34351;

												BgL_auxz00_34353 = BINT(BgL_siza7ezd2framez75_15294);
												BgL_tmpz00_34351 = (int) (2L);
												STRUCT_SET(BgL_newz00_18478, BgL_tmpz00_34351,
													BgL_auxz00_34353);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34356;

												BgL_tmpz00_34356 = (int) (1L);
												STRUCT_SET(BgL_newz00_18478, BgL_tmpz00_34356,
													BgL_runz00_18472);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34359;

												BgL_tmpz00_34359 = (int) (0L);
												STRUCT_SET(BgL_newz00_18478, BgL_tmpz00_34359,
													BgL_arg4003z00_18476);
											}
											BgL_arg4002z00_18475 = BgL_newz00_18478;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18473, BgL_arg4002z00_18475);
									BgL_arg4002z00_18475;
								}
								return BgL_mainz00_18473;
							}
						}
					}
				}
			}
		}

	}



/* &main4598 */
	obj_t BGl_z62main4598z62zz__evaluate_compz00(obj_t BgL_envz00_15296,
		obj_t BgL_az00_15303, obj_t BgL_bz00_15304, obj_t BgL_cz00_15305,
		obj_t BgL_dz00_15306, obj_t BgL_restz00_15307)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15300;
				obj_t BgL_runz00_15301;
				long BgL_siza7ezd2framez75_15302;

				BgL_i1255z00_15300 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15296, (int) (3L)));
				BgL_runz00_15301 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15296, (int) (4L)));
				BgL_siza7ezd2framez75_15302 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15296, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18479;

					BgL_sz00_18479 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18480;

						BgL_bpz00_18480 = VECTOR_REF(((obj_t) BgL_sz00_18479), 0L);
						if (
							(((long) CINT(BgL_bpz00_18480) + BgL_siza7ezd2framez75_15302) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18479))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4007z00_18481;

									BgL_arg4007z00_18481 = ((long) CINT(BgL_bpz00_18480) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18479), BgL_arg4007z00_18481,
										BgL_az00_15303);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4008z00_18482;

									BgL_arg4008z00_18482 = ((long) CINT(BgL_bpz00_18480) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18479), BgL_arg4008z00_18482,
										BgL_bz00_15304);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4009z00_18483;

									BgL_arg4009z00_18483 = ((long) CINT(BgL_bpz00_18480) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18479), BgL_arg4009z00_18483,
										BgL_cz00_15305);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4010z00_18484;

									BgL_arg4010z00_18484 = ((long) CINT(BgL_bpz00_18480) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18479), BgL_arg4010z00_18484,
										BgL_dz00_15306);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4011z00_18485;
									long BgL_arg4012z00_18486;
									long BgL_arg4013z00_18487;
									obj_t BgL_arg4014z00_18488;

									BgL_arg4011z00_18485 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15300))->
										BgL_wherez00);
									BgL_arg4012z00_18486 = ((long) CINT(BgL_bpz00_18480) + 4L);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4015z00_18489;

										BgL_arg4015z00_18489 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15300))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4015z00_18489) < 0L))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4013z00_18487 =
													((long) CINT(BgL_arg4015z00_18489) + 4L);
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4013z00_18487 =
													((long) CINT(BgL_arg4015z00_18489) - 4L);
									}}
									BgL_arg4014z00_18488 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15300))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18479,
										BgL_arg4011z00_18485, BgL_arg4012z00_18486,
										BgL_arg4013z00_18487, BgL_restz00_15307,
										BgL_arg4014z00_18488);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18490;

									BgL_ez00_18490 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_18491;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_18492;

											BgL_arg4359z00_18492 = BGL_EXITD_PROTECT(BgL_ez00_18490);
											BgL_arg4358z00_18491 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18480, BgL_arg4359z00_18492);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18490, BgL_arg4358z00_18491);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18493;

										BgL_accz00_18493 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15301, BgL_sz00_18479, BgL_bpz00_18480);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5740z00_34415;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_18494;

												BgL_arg4357z00_18494 =
													BGL_EXITD_PROTECT(BgL_ez00_18490);
												BgL_test5740z00_34415 = PAIRP(BgL_arg4357z00_18494);
											}
											if (BgL_test5740z00_34415)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_18495;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_18496;

														BgL_arg4356z00_18496 =
															BGL_EXITD_PROTECT(BgL_ez00_18490);
														BgL_arg4355z00_18495 =
															CDR(((obj_t) BgL_arg4356z00_18496));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18490,
														BgL_arg4355z00_18495);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_18479), 0L, BgL_bpz00_18480);
										return BgL_accz00_18493;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18497;

								BgL_nsz00_18497 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18497, 1L, BgL_sz00_18479);
								VECTOR_SET(BgL_nsz00_18497, 2L, BgL_az00_15303);
								VECTOR_SET(BgL_nsz00_18497, 3L, BgL_bz00_15304);
								VECTOR_SET(BgL_nsz00_18497, 4L, BgL_cz00_15305);
								VECTOR_SET(BgL_nsz00_18497, 5L, BgL_dz00_15306);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4016z00_18498;
									long BgL_arg4017z00_18499;
									obj_t BgL_arg4018z00_18500;

									BgL_arg4016z00_18498 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15300))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4019z00_18501;

										BgL_arg4019z00_18501 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15300))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4019z00_18501) < 0L))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4017z00_18499 =
													((long) CINT(BgL_arg4019z00_18501) + 4L);
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4017z00_18499 =
													((long) CINT(BgL_arg4019z00_18501) - 4L);
									}}
									BgL_arg4018z00_18500 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15300))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18497,
										BgL_arg4016z00_18498, 6L, BgL_arg4017z00_18499,
										BgL_restz00_15307, BgL_arg4018z00_18500);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18502;

									BgL_z12denvz12_18502 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18502, BgL_nsz00_18497);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18503;

										BgL_ez00_18503 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18504;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18505;

												BgL_arg4359z00_18505 =
													BGL_EXITD_PROTECT(BgL_ez00_18503);
												BgL_arg4358z00_18504 =
													MAKE_YOUNG_PAIR(BgL_sz00_18479, BgL_arg4359z00_18505);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18503,
												BgL_arg4358z00_18504);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18506;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18507;

												BgL_savedzd2bpzd2_18507 =
													VECTOR_REF(BgL_nsz00_18497, 0L);
												VECTOR_SET(BgL_nsz00_18497, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18509;

													BgL_fz00_18509 = BgL_runz00_15301;
												BgL_recz00_18508:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18510;

														BgL_rz00_18510 =
															(VA_PROCEDUREP(BgL_fz00_18509) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18509))
															(BgL_fz00_18509, BgL_nsz00_18497,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18509))
															(BgL_fz00_18509, BgL_nsz00_18497));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5742z00_34454;

															if (PROCEDUREP(BgL_rz00_18510))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18511;

																	BgL_arg1778z00_18511 =
																		PROCEDURE_ATTR(BgL_rz00_18510);
																	if (STRUCTP(BgL_arg1778z00_18511))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5742z00_34454 =
																				(STRUCT_KEY(BgL_arg1778z00_18511) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5742z00_34454 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5742z00_34454 = ((bool_t) 0);
																}
															if (BgL_test5742z00_34454)
																{
																	obj_t BgL_fz00_34462;

																	BgL_fz00_34462 = BgL_rz00_18510;
																	BgL_fz00_18509 = BgL_fz00_34462;
																	goto BgL_recz00_18508;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18497, 0L,
																		BgL_savedzd2bpzd2_18507);
																	BgL_____rz00_18506 = BgL_rz00_18510;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5745z00_34464;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18512;

													BgL_arg4357z00_18512 =
														BGL_EXITD_PROTECT(BgL_ez00_18503);
													BgL_test5745z00_34464 = PAIRP(BgL_arg4357z00_18512);
												}
												if (BgL_test5745z00_34464)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18513;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18514;

															BgL_arg4356z00_18514 =
																BGL_EXITD_PROTECT(BgL_ez00_18503);
															BgL_arg4355z00_18513 =
																CDR(((obj_t) BgL_arg4356z00_18514));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18503,
															BgL_arg4355z00_18513);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18502, BgL_sz00_18479);
											return BgL_____rz00_18506;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4599 */
	obj_t BGl_z62run4599z62zz__evaluate_compz00(obj_t BgL_envz00_15308,
		obj_t BgL_sz00_15313)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15309;
				obj_t BgL_valza2za2_15310;
				BgL_ev_absz00_bglt BgL_i1255z00_15311;
				obj_t BgL_bodyz00_15312;

				BgL_siza7eza7_15309 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15308, (int) (0L)));
				BgL_valza2za2_15310 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15308, (int) (1L)));
				BgL_i1255z00_15311 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15308, (int) (2L)));
				BgL_bodyz00_15312 = PROCEDURE_REF(BgL_envz00_15308, (int) (3L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18515;

					BgL_bpz00_18515 = VECTOR_REF(((obj_t) BgL_sz00_15313), 0L);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15313,
						BgL_valza2za2_15310,
						((long) CINT(BgL_bpz00_18515) + BgL_siza7eza7_15309));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18516;
						obj_t BgL_wherez00_18517;
						obj_t BgL_locz00_18518;

						BgL_z12denvz12_18516 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18517 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15311))->
							BgL_wherez00);
						BgL_locz00_18518 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15311))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18516, BgL_wherez00_18517,
								BgL_locz00_18518);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18519;

								BgL_za2za2resza2za2z00_18519 =
									(VA_PROCEDUREP(BgL_bodyz00_15312) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15312)) (BgL_bodyz00_15312,
										BgL_sz00_15313, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15312)) (BgL_bodyz00_15312,
										BgL_sz00_15313));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18516);
								return BgL_za2za2resza2za2z00_18519;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:4022> */
	obj_t BGl_z62zc3z04anonymousza34022ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15314, obj_t BgL_sz00_15321)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15315;
				obj_t BgL_iboxesz00_15316;
				long BgL_siza7eza7_15317;
				BgL_ev_absz00_bglt BgL_i1255z00_15318;
				obj_t BgL_bodyz00_15319;
				long BgL_siza7ezd2framez75_15320;

				BgL_ifreesz00_15315 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15314, (int) (0L)));
				BgL_iboxesz00_15316 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15314, (int) (1L)));
				BgL_siza7eza7_15317 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15314, (int) (2L)));
				BgL_i1255z00_15318 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15314, (int) (3L)));
				BgL_bodyz00_15319 = PROCEDURE_REF(BgL_envz00_15314, (int) (4L));
				BgL_siza7ezd2framez75_15320 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15314, (int) (5L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18520;

					BgL_bpz00_18520 = VECTOR_REF(((obj_t) BgL_sz00_15321), 0L);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18521;

						BgL_valza2za2_18521 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15321,
							BgL_bpz00_18520, BgL_ifreesz00_15315);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18522;

							BgL_runz00_18522 =
								MAKE_FX_PROCEDURE(BGl_z62run4601z62zz__evaluate_compz00,
								(int) (1L), (int) (5L));
							PROCEDURE_SET(BgL_runz00_18522, (int) (0L), BgL_iboxesz00_15316);
							PROCEDURE_SET(BgL_runz00_18522,
								(int) (1L), BINT(BgL_siza7eza7_15317));
							PROCEDURE_SET(BgL_runz00_18522, (int) (2L), BgL_valza2za2_18521);
							PROCEDURE_SET(BgL_runz00_18522,
								(int) (3L), ((obj_t) BgL_i1255z00_15318));
							PROCEDURE_SET(BgL_runz00_18522, (int) (4L), BgL_bodyz00_15319);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18523;

								BgL_mainz00_18523 =
									MAKE_VA_PROCEDURE(BGl_z62main4600z62zz__evaluate_compz00,
									(int) (-5L), (int) (7L));
								PROCEDURE_SET(BgL_mainz00_18523,
									(int) (0L), BgL_iboxesz00_15316);
								PROCEDURE_SET(BgL_mainz00_18523,
									(int) (1L), BINT(BgL_siza7eza7_15317));
								PROCEDURE_SET(BgL_mainz00_18523,
									(int) (2L), BgL_valza2za2_18521);
								PROCEDURE_SET(BgL_mainz00_18523, (int) (3L), BgL_bodyz00_15319);
								PROCEDURE_SET(BgL_mainz00_18523,
									(int) (4L), ((obj_t) BgL_i1255z00_15318));
								PROCEDURE_SET(BgL_mainz00_18523, (int) (5L), BgL_runz00_18522);
								PROCEDURE_SET(BgL_mainz00_18523,
									(int) (6L), BINT(BgL_siza7ezd2framez75_15320));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18524;

									BgL_objz00_18524 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18522, BgL_objz00_18524);
									BgL_objz00_18524;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4023z00_18525;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4024z00_18526;
										obj_t BgL_arg4025z00_18527;

										BgL_arg4024z00_18526 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15318))->
											BgL_arityz00);
										BgL_arg4025z00_18527 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15318))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18528;

											BgL_newz00_18528 =
												create_struct(BGl_symbol4631z00zz__evaluate_compz00,
												(int) (4L));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34557;

												BgL_tmpz00_34557 = (int) (3L);
												STRUCT_SET(BgL_newz00_18528, BgL_tmpz00_34557,
													BgL_arg4025z00_18527);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_34562;
												int BgL_tmpz00_34560;

												BgL_auxz00_34562 = BINT(BgL_siza7ezd2framez75_15320);
												BgL_tmpz00_34560 = (int) (2L);
												STRUCT_SET(BgL_newz00_18528, BgL_tmpz00_34560,
													BgL_auxz00_34562);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34565;

												BgL_tmpz00_34565 = (int) (1L);
												STRUCT_SET(BgL_newz00_18528, BgL_tmpz00_34565,
													BgL_runz00_18522);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34568;

												BgL_tmpz00_34568 = (int) (0L);
												STRUCT_SET(BgL_newz00_18528, BgL_tmpz00_34568,
													BgL_arg4024z00_18526);
											}
											BgL_arg4023z00_18525 = BgL_newz00_18528;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18523, BgL_arg4023z00_18525);
									BgL_arg4023z00_18525;
								}
								return BgL_mainz00_18523;
							}
						}
					}
				}
			}
		}

	}



/* &main4600 */
	obj_t BGl_z62main4600z62zz__evaluate_compz00(obj_t BgL_envz00_15322,
		obj_t BgL_az00_15330, obj_t BgL_bz00_15331, obj_t BgL_cz00_15332,
		obj_t BgL_dz00_15333, obj_t BgL_restz00_15334)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15327;
				obj_t BgL_runz00_15328;
				long BgL_siza7ezd2framez75_15329;

				BgL_i1255z00_15327 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15322, (int) (4L)));
				BgL_runz00_15328 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15322, (int) (5L)));
				BgL_siza7ezd2framez75_15329 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15322, (int) (6L)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18529;

					BgL_sz00_18529 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18530;

						BgL_bpz00_18530 = VECTOR_REF(((obj_t) BgL_sz00_18529), 0L);
						if (
							(((long) CINT(BgL_bpz00_18530) + BgL_siza7ezd2framez75_15329) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18529))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4028z00_18531;

									BgL_arg4028z00_18531 = ((long) CINT(BgL_bpz00_18530) + 0L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18529), BgL_arg4028z00_18531,
										BgL_az00_15330);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4029z00_18532;

									BgL_arg4029z00_18532 = ((long) CINT(BgL_bpz00_18530) + 1L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18529), BgL_arg4029z00_18532,
										BgL_bz00_15331);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4030z00_18533;

									BgL_arg4030z00_18533 = ((long) CINT(BgL_bpz00_18530) + 2L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18529), BgL_arg4030z00_18533,
										BgL_cz00_15332);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4031z00_18534;

									BgL_arg4031z00_18534 = ((long) CINT(BgL_bpz00_18530) + 3L);
									VECTOR_SET(
										((obj_t) BgL_sz00_18529), BgL_arg4031z00_18534,
										BgL_dz00_15333);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4032z00_18535;
									long BgL_arg4033z00_18536;
									long BgL_arg4034z00_18537;
									obj_t BgL_arg4035z00_18538;

									BgL_arg4032z00_18535 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15327))->
										BgL_wherez00);
									BgL_arg4033z00_18536 = ((long) CINT(BgL_bpz00_18530) + 4L);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4036z00_18539;

										BgL_arg4036z00_18539 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15327))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4036z00_18539) < 0L))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4034z00_18537 =
													((long) CINT(BgL_arg4036z00_18539) + 4L);
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4034z00_18537 =
													((long) CINT(BgL_arg4036z00_18539) - 4L);
									}}
									BgL_arg4035z00_18538 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15327))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18529,
										BgL_arg4032z00_18535, BgL_arg4033z00_18536,
										BgL_arg4034z00_18537, BgL_restz00_15334,
										BgL_arg4035z00_18538);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18540;

									BgL_ez00_18540 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4358z00_18541;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4359z00_18542;

											BgL_arg4359z00_18542 = BGL_EXITD_PROTECT(BgL_ez00_18540);
											BgL_arg4358z00_18541 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18530, BgL_arg4359z00_18542);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18540, BgL_arg4358z00_18541);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18543;

										BgL_accz00_18543 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15328, BgL_sz00_18529, BgL_bpz00_18530);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5748z00_34624;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4357z00_18544;

												BgL_arg4357z00_18544 =
													BGL_EXITD_PROTECT(BgL_ez00_18540);
												BgL_test5748z00_34624 = PAIRP(BgL_arg4357z00_18544);
											}
											if (BgL_test5748z00_34624)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4355z00_18545;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4356z00_18546;

														BgL_arg4356z00_18546 =
															BGL_EXITD_PROTECT(BgL_ez00_18540);
														BgL_arg4355z00_18545 =
															CDR(((obj_t) BgL_arg4356z00_18546));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18540,
														BgL_arg4355z00_18545);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(((obj_t) BgL_sz00_18529), 0L, BgL_bpz00_18530);
										return BgL_accz00_18543;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18547;

								BgL_nsz00_18547 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18547, 1L, BgL_sz00_18529);
								VECTOR_SET(BgL_nsz00_18547, 2L, BgL_az00_15330);
								VECTOR_SET(BgL_nsz00_18547, 3L, BgL_bz00_15331);
								VECTOR_SET(BgL_nsz00_18547, 4L, BgL_cz00_15332);
								VECTOR_SET(BgL_nsz00_18547, 5L, BgL_dz00_15333);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4037z00_18548;
									long BgL_arg4038z00_18549;
									obj_t BgL_arg4039z00_18550;

									BgL_arg4037z00_18548 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15327))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4040z00_18551;

										BgL_arg4040z00_18551 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15327))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4040z00_18551) < 0L))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4038z00_18549 =
													((long) CINT(BgL_arg4040z00_18551) + 4L);
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4038z00_18549 =
													((long) CINT(BgL_arg4040z00_18551) - 4L);
									}}
									BgL_arg4039z00_18550 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15327))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18547,
										BgL_arg4037z00_18548, 6L, BgL_arg4038z00_18549,
										BgL_restz00_15334, BgL_arg4039z00_18550);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18552;

									BgL_z12denvz12_18552 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18552, BgL_nsz00_18547);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18553;

										BgL_ez00_18553 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4358z00_18554;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4359z00_18555;

												BgL_arg4359z00_18555 =
													BGL_EXITD_PROTECT(BgL_ez00_18553);
												BgL_arg4358z00_18554 =
													MAKE_YOUNG_PAIR(BgL_sz00_18529, BgL_arg4359z00_18555);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18553,
												BgL_arg4358z00_18554);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18556;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18557;

												BgL_savedzd2bpzd2_18557 =
													VECTOR_REF(BgL_nsz00_18547, 0L);
												VECTOR_SET(BgL_nsz00_18547, 0L, BINT(2L));
												{
													obj_t BgL_fz00_18559;

													BgL_fz00_18559 = BgL_runz00_15328;
												BgL_recz00_18558:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18560;

														BgL_rz00_18560 =
															(VA_PROCEDUREP(BgL_fz00_18559) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_fz00_18559))
															(BgL_fz00_18559, BgL_nsz00_18547,
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_fz00_18559))
															(BgL_fz00_18559, BgL_nsz00_18547));
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5750z00_34663;

															if (PROCEDUREP(BgL_rz00_18560))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1778z00_18561;

																	BgL_arg1778z00_18561 =
																		PROCEDURE_ATTR(BgL_rz00_18560);
																	if (STRUCTP(BgL_arg1778z00_18561))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5750z00_34663 =
																				(STRUCT_KEY(BgL_arg1778z00_18561) ==
																				BGl_symbol4610z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5750z00_34663 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5750z00_34663 = ((bool_t) 0);
																}
															if (BgL_test5750z00_34663)
																{
																	obj_t BgL_fz00_34671;

																	BgL_fz00_34671 = BgL_rz00_18560;
																	BgL_fz00_18559 = BgL_fz00_34671;
																	goto BgL_recz00_18558;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18547, 0L,
																		BgL_savedzd2bpzd2_18557);
																	BgL_____rz00_18556 = BgL_rz00_18560;
																}
														}
													}
												}
											}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5753z00_34673;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4357z00_18562;

													BgL_arg4357z00_18562 =
														BGL_EXITD_PROTECT(BgL_ez00_18553);
													BgL_test5753z00_34673 = PAIRP(BgL_arg4357z00_18562);
												}
												if (BgL_test5753z00_34673)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4355z00_18563;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4356z00_18564;

															BgL_arg4356z00_18564 =
																BGL_EXITD_PROTECT(BgL_ez00_18553);
															BgL_arg4355z00_18563 =
																CDR(((obj_t) BgL_arg4356z00_18564));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18553,
															BgL_arg4355z00_18563);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18552, BgL_sz00_18529);
											return BgL_____rz00_18556;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4601 */
	obj_t BGl_z62run4601z62zz__evaluate_compz00(obj_t BgL_envz00_15335,
		obj_t BgL_sz00_15341)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15336;
				long BgL_siza7eza7_15337;
				obj_t BgL_valza2za2_15338;
				BgL_ev_absz00_bglt BgL_i1255z00_15339;
				obj_t BgL_bodyz00_15340;

				BgL_iboxesz00_15336 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15335, (int) (0L)));
				BgL_siza7eza7_15337 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15335, (int) (1L)));
				BgL_valza2za2_15338 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15335, (int) (2L)));
				BgL_i1255z00_15339 =
					((BgL_ev_absz00_bglt) PROCEDURE_REF(BgL_envz00_15335, (int) (3L)));
				BgL_bodyz00_15340 = PROCEDURE_REF(BgL_envz00_15335, (int) (4L));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18565;

					BgL_bpz00_18565 = VECTOR_REF(((obj_t) BgL_sz00_15341), 0L);
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15341,
						BgL_iboxesz00_15336, BgL_bpz00_18565);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15341,
						BgL_valza2za2_15338,
						((long) CINT(BgL_bpz00_18565) + BgL_siza7eza7_15337));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18566;
						obj_t BgL_wherez00_18567;
						obj_t BgL_locz00_18568;

						BgL_z12denvz12_18566 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18567 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15339))->
							BgL_wherez00);
						BgL_locz00_18568 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15339))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18566, BgL_wherez00_18567,
								BgL_locz00_18568);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18569;

								BgL_za2za2resza2za2z00_18569 =
									(VA_PROCEDUREP(BgL_bodyz00_15340) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15340)) (BgL_bodyz00_15340,
										BgL_sz00_15341, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15340)) (BgL_bodyz00_15340,
										BgL_sz00_15341));
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18566);
								return BgL_za2za2resza2za2z00_18569;
							}
						}
					}
				}
			}
		}

	}



/* &comp-ev_app1481 */
	obj_t BGl_z62compzd2ev_app1481zb0zz__evaluate_compz00(obj_t BgL_envz00_15342,
		obj_t BgL_ez00_15343, obj_t BgL_stkz00_15344)
	{
		{	/* Eval/evaluate_comp.scm 1051 */
			{	/* Eval/evaluate_comp.scm 1053 */
				obj_t BgL__ortest_1241z00_18571;

				BgL__ortest_1241z00_18571 =
					BGl_arithzd2expressionzd2zz__evaluate_compz00(
					((BgL_ev_appz00_bglt) BgL_ez00_15343), BgL_stkz00_15344);
				if (CBOOL(BgL__ortest_1241z00_18571))
					{	/* Eval/evaluate_comp.scm 1053 */
						return BgL__ortest_1241z00_18571;
					}
				else
					{	/* Eval/evaluate_comp.scm 1054 */
						obj_t BgL__ortest_1242z00_18572;

						BgL__ortest_1242z00_18572 =
							BGl_inlinezd2callzd2zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15343)))->BgL_locz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15343)))->BgL_funz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15343)))->BgL_argsz00),
							BgL_stkz00_15344);
						if (CBOOL(BgL__ortest_1242z00_18572))
							{	/* Eval/evaluate_comp.scm 1054 */
								return BgL__ortest_1242z00_18572;
							}
						else
							{	/* Eval/evaluate_comp.scm 1054 */
								if (
									(bgl_list_length(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15343)))->
												BgL_argsz00)) > 4L))
									{	/* Eval/evaluate_comp.scm 1055 */
										return
											BGl_compzd2oldzd2callz00zz__evaluate_compz00(
											((BgL_ev_appz00_bglt) BgL_ez00_15343), BgL_stkz00_15344);
									}
								else
									{	/* Eval/evaluate_comp.scm 1057 */
										obj_t BgL_fz00_18573;
										long BgL_siza7eza7_18574;
										obj_t BgL_symbzd2funzd2_18575;

										BgL_fz00_18573 =
											BGl_compz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15343)))->
												BgL_funz00), BgL_stkz00_15344);
										BgL_siza7eza7_18574 = bgl_list_length(BgL_stkz00_15344);
										BgL_symbzd2funzd2_18575 =
											BGl_uncompilez00zz__evaluate_uncompz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15343)))->
												BgL_funz00));
										if (NULLP((((BgL_ev_appz00_bglt)
														COBJECT(((BgL_ev_appz00_bglt) BgL_ez00_15343)))->
													BgL_argsz00)))
											{	/* Eval/evaluate_comp.scm 1058 */
												return
													BGl_compzd2call0zd2zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15343)))->
														BgL_locz00),
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15343)))->BgL_funz00),
													BgL_symbzd2funzd2_18575, BgL_fz00_18573,
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15343)))->BgL_tailzf3zf3),
													BgL_stkz00_15344, BgL_siza7eza7_18574);
											}
										else
											{	/* Eval/evaluate_comp.scm 1060 */
												obj_t BgL_a1z00_18576;
												obj_t BgL_argsz00_18577;

												{	/* Eval/evaluate_comp.scm 1060 */
													obj_t BgL_arg3452z00_18578;

													BgL_arg3452z00_18578 =
														CAR(
														(((BgL_ev_appz00_bglt) COBJECT(
																	((BgL_ev_appz00_bglt) BgL_ez00_15343)))->
															BgL_argsz00));
													BgL_a1z00_18576 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg3452z00_18578),
														BgL_stkz00_15344);
												}
												BgL_argsz00_18577 =
													CDR(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15343)))->
														BgL_argsz00));
												if (NULLP(BgL_argsz00_18577))
													{	/* Eval/evaluate_comp.scm 1060 */
														return
															BGl_compzd2call1zd2zz__evaluate_compz00(
															(((BgL_ev_appz00_bglt) COBJECT(
																		((BgL_ev_appz00_bglt) BgL_ez00_15343)))->
																BgL_locz00),
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15343)))->BgL_funz00),
															BgL_symbzd2funzd2_18575, BgL_fz00_18573,
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15343)))->BgL_tailzf3zf3),
															BgL_stkz00_15344, BgL_siza7eza7_18574,
															BgL_a1z00_18576);
													}
												else
													{	/* Eval/evaluate_comp.scm 1060 */
														obj_t BgL_a2z00_18579;
														obj_t BgL_argsz00_18580;

														{	/* Eval/evaluate_comp.scm 1060 */
															obj_t BgL_arg3451z00_18581;

															BgL_arg3451z00_18581 =
																CAR(((obj_t) BgL_argsz00_18577));
															BgL_a2z00_18579 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_arg3451z00_18581),
																BgL_stkz00_15344);
														}
														BgL_argsz00_18580 =
															CDR(((obj_t) BgL_argsz00_18577));
														if (NULLP(BgL_argsz00_18580))
															{	/* Eval/evaluate_comp.scm 1060 */
																return
																	BGl_compzd2call2zd2zz__evaluate_compz00(
																	(((BgL_ev_appz00_bglt) COBJECT(
																				((BgL_ev_appz00_bglt)
																					BgL_ez00_15343)))->BgL_locz00),
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15343)))->BgL_funz00),
																	BgL_symbzd2funzd2_18575, BgL_fz00_18573,
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15343)))->BgL_tailzf3zf3),
																	BgL_stkz00_15344, BgL_siza7eza7_18574,
																	BgL_a1z00_18576, BgL_a2z00_18579);
															}
														else
															{	/* Eval/evaluate_comp.scm 1060 */
																obj_t BgL_a3z00_18582;
																obj_t BgL_argsz00_18583;

																{	/* Eval/evaluate_comp.scm 1060 */
																	obj_t BgL_arg3450z00_18584;

																	BgL_arg3450z00_18584 =
																		CAR(((obj_t) BgL_argsz00_18580));
																	BgL_a3z00_18582 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt)
																			BgL_arg3450z00_18584), BgL_stkz00_15344);
																}
																BgL_argsz00_18583 =
																	CDR(((obj_t) BgL_argsz00_18580));
																if (NULLP(BgL_argsz00_18583))
																	{	/* Eval/evaluate_comp.scm 1060 */
																		return
																			BGl_compzd2call3zd2zz__evaluate_compz00(
																			(((BgL_ev_appz00_bglt) COBJECT(
																						((BgL_ev_appz00_bglt)
																							BgL_ez00_15343)))->BgL_locz00),
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15343)))->BgL_funz00),
																			BgL_symbzd2funzd2_18575, BgL_fz00_18573,
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15343)))->
																				BgL_tailzf3zf3), BgL_stkz00_15344,
																			BgL_siza7eza7_18574, BgL_a1z00_18576,
																			BgL_a2z00_18579, BgL_a3z00_18582);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 1060 */
																		obj_t BgL_a4z00_18585;
																		obj_t BgL_argsz00_18586;

																		{	/* Eval/evaluate_comp.scm 1060 */
																			obj_t BgL_arg3449z00_18587;

																			BgL_arg3449z00_18587 =
																				CAR(((obj_t) BgL_argsz00_18583));
																			BgL_a4z00_18585 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg3449z00_18587),
																				BgL_stkz00_15344);
																		}
																		BgL_argsz00_18586 =
																			CDR(((obj_t) BgL_argsz00_18583));
																		if (NULLP(BgL_argsz00_18586))
																			{	/* Eval/evaluate_comp.scm 1060 */
																				return
																					BGl_compzd2call4zd2zz__evaluate_compz00
																					((((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15343)))->
																						BgL_locz00),
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15343)))->
																						BgL_funz00),
																					BgL_symbzd2funzd2_18575,
																					BgL_fz00_18573,
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15343)))->
																						BgL_tailzf3zf3), BgL_stkz00_15344,
																					BgL_siza7eza7_18574, BgL_a1z00_18576,
																					BgL_a2z00_18579, BgL_a3z00_18582,
																					BgL_a4z00_18585);
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 1060 */
																				return
																					BGl_errorz00zz__errorz00
																					(BGl_string4614z00zz__evaluate_compz00,
																					BGl_string4729z00zz__evaluate_compz00,
																					BGl_string4730z00zz__evaluate_compz00);
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &comp-ev_goto1479 */
	obj_t BGl_z62compzd2ev_goto1479zb0zz__evaluate_compz00(obj_t BgL_envz00_15345,
		obj_t BgL_ez00_15346, obj_t BgL_stkz00_15347)
	{
		{	/* Eval/evaluate_comp.scm 604 */
			{	/* Eval/evaluate_comp.scm 607 */
				obj_t BgL_slotz00_18591;
				long BgL_siza7eza7_18592;
				obj_t BgL_lstkz00_18593;

				BgL_slotz00_18591 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
					((obj_t)
						(((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_ez00_15346)))->BgL_labelz00)),
					(((BgL_ev_labelsz00_bglt) COBJECT(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15346)))->
									BgL_labelsz00)))->BgL_envz00));
				BgL_siza7eza7_18592 = bgl_list_length(BgL_stkz00_15347);
				BgL_lstkz00_18593 =
					(((BgL_ev_labelsz00_bglt) COBJECT(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15346)))->BgL_labelsz00)))->
					BgL_stkz00);
				{	/* Eval/evaluate_comp.scm 609 */
					long BgL_llstkz00_18594;
					obj_t BgL_substkz00_18595;
					obj_t BgL_boxesz00_18596;

					BgL_llstkz00_18594 = bgl_list_length(BgL_lstkz00_18593);
					BgL_substkz00_18595 =
						BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_18593,
						BgL_stkz00_15347);
					{	/* Eval/evaluate_comp.scm 609 */
						obj_t BgL_pairz00_18597;

						BgL_pairz00_18597 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15346)))->BgL_labelz00)),
							(((BgL_ev_labelsz00_bglt) COBJECT(
										(((BgL_ev_gotoz00_bglt) COBJECT(
													((BgL_ev_gotoz00_bglt) BgL_ez00_15346)))->
											BgL_labelsz00)))->BgL_boxesz00));
						BgL_boxesz00_18596 = CDR(BgL_pairz00_18597);
					}
					if (BGl_needzd2shiftzd2zz__evaluate_compz00(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15346)))->BgL_argsz00),
							BgL_substkz00_18595))
						{	/* Eval/evaluate_comp.scm 612 */
							obj_t BgL_argsz00_18598;
							long BgL_nbargsz00_18599;

							BgL_argsz00_18598 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15346)))->BgL_argsz00),
								BgL_stkz00_15347);
							BgL_nbargsz00_18599 =
								bgl_list_length((((BgL_ev_gotoz00_bglt)
										COBJECT(((BgL_ev_gotoz00_bglt) BgL_ez00_15346)))->
									BgL_argsz00));
							{	/* Eval/evaluate_comp.scm 613 */
								obj_t BgL_zc3z04anonymousza33399ze3z87_18600;

								BgL_zc3z04anonymousza33399ze3z87_18600 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33399ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (7L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_18600,
									(int) (0L), BINT(BgL_siza7eza7_18592));
								PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_18600,
									(int) (1L), BINT(BgL_llstkz00_18594));
								PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_18600,
									(int) (2L), ((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15346)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_18600,
									(int) (3L), BgL_argsz00_18598);
								PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_18600,
									(int) (4L), BgL_boxesz00_18596);
								PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_18600,
									(int) (5L), BINT(BgL_nbargsz00_18599));
								PROCEDURE_SET(BgL_zc3z04anonymousza33399ze3z87_18600,
									(int) (6L), BgL_slotz00_18591);
								return BgL_zc3z04anonymousza33399ze3z87_18600;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 618 */
							obj_t BgL_argsz00_18601;

							{	/* Eval/evaluate_comp.scm 618 */
								obj_t BgL_lz00_18602;
								long BgL_nz00_18603;

								BgL_lz00_18602 =
									(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15346)))->BgL_argsz00);
								BgL_nz00_18603 = (BgL_siza7eza7_18592 - BgL_llstkz00_18594);
								BgL_argsz00_18601 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15347,
									BgL_lz00_18602, BgL_nz00_18603);
							}
							{	/* Eval/evaluate_comp.scm 619 */
								obj_t BgL_zc3z04anonymousza33405ze3z87_18604;

								BgL_zc3z04anonymousza33405ze3z87_18604 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33405ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (5L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33405ze3z87_18604,
									(int) (0L), BINT(BgL_llstkz00_18594));
								PROCEDURE_SET(BgL_zc3z04anonymousza33405ze3z87_18604,
									(int) (1L), ((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15346)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33405ze3z87_18604,
									(int) (2L), BgL_argsz00_18601);
								PROCEDURE_SET(BgL_zc3z04anonymousza33405ze3z87_18604,
									(int) (3L), BgL_boxesz00_18596);
								PROCEDURE_SET(BgL_zc3z04anonymousza33405ze3z87_18604,
									(int) (4L), BgL_slotz00_18591);
								return BgL_zc3z04anonymousza33405ze3z87_18604;
							}
						}
				}
			}
		}

	}



/* &<@anonymous:3399> */
	obj_t BGl_z62zc3z04anonymousza33399ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15348, obj_t BgL_sz00_15356)
	{
		{	/* Eval/evaluate_comp.scm 613 */
			{	/* Eval/evaluate_comp.scm 613 */
				long BgL_siza7eza7_15349;
				long BgL_llstkz00_15350;
				BgL_ev_gotoz00_bglt BgL_i1153z00_15351;
				obj_t BgL_argsz00_15352;
				obj_t BgL_boxesz00_15353;
				long BgL_nbargsz00_15354;
				obj_t BgL_slotz00_15355;

				BgL_siza7eza7_15349 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15348, (int) (0L)));
				BgL_llstkz00_15350 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15348, (int) (1L)));
				BgL_i1153z00_15351 =
					((BgL_ev_gotoz00_bglt) PROCEDURE_REF(BgL_envz00_15348, (int) (2L)));
				BgL_argsz00_15352 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15348, (int) (3L)));
				BgL_boxesz00_15353 = PROCEDURE_REF(BgL_envz00_15348, (int) (4L));
				BgL_nbargsz00_15354 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15348, (int) (5L)));
				BgL_slotz00_15355 = PROCEDURE_REF(BgL_envz00_15348, (int) (6L));
				{	/* Eval/evaluate_comp.scm 613 */
					obj_t BgL_bpz00_18605;

					BgL_bpz00_18605 = VECTOR_REF(((obj_t) BgL_sz00_15356), 0L);
					{	/* Eval/evaluate_comp.scm 614 */
						long BgL_spz00_18606;
						long BgL_lspz00_18607;

						BgL_spz00_18606 =
							((long) CINT(BgL_bpz00_18605) + BgL_siza7eza7_15349);
						BgL_lspz00_18607 =
							((long) CINT(BgL_bpz00_18605) + BgL_llstkz00_15350);
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_15356, BgL_argsz00_15352, BgL_boxesz00_15353,
							BgL_spz00_18606,
							(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1153z00_15351))->
								BgL_locz00));
						{	/* Eval/evaluate_comp.scm 616 */
							long BgL_arg3401z00_18608;

							BgL_arg3401z00_18608 = (BgL_spz00_18606 + BgL_nbargsz00_15354);
							BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_15356,
								BgL_lspz00_18607, BgL_sz00_15356, BINT(BgL_spz00_18606),
								BINT(BgL_arg3401z00_18608));
						}
						return CDR(((obj_t) BgL_slotz00_15355));
					}
				}
			}
		}

	}



/* &<@anonymous:3405> */
	obj_t BGl_z62zc3z04anonymousza33405ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15357, obj_t BgL_sz00_15363)
	{
		{	/* Eval/evaluate_comp.scm 619 */
			{	/* Eval/evaluate_comp.scm 619 */
				long BgL_llstkz00_15358;
				BgL_ev_gotoz00_bglt BgL_i1153z00_15359;
				obj_t BgL_argsz00_15360;
				obj_t BgL_boxesz00_15361;
				obj_t BgL_slotz00_15362;

				BgL_llstkz00_15358 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15357, (int) (0L)));
				BgL_i1153z00_15359 =
					((BgL_ev_gotoz00_bglt) PROCEDURE_REF(BgL_envz00_15357, (int) (1L)));
				BgL_argsz00_15360 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15357, (int) (2L)));
				BgL_boxesz00_15361 = PROCEDURE_REF(BgL_envz00_15357, (int) (3L));
				BgL_slotz00_15362 = PROCEDURE_REF(BgL_envz00_15357, (int) (4L));
				{	/* Eval/evaluate_comp.scm 619 */
					obj_t BgL_bpz00_18609;

					BgL_bpz00_18609 = VECTOR_REF(((obj_t) BgL_sz00_15363), 0L);
					BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
						(BgL_sz00_15363, BgL_argsz00_15360, BgL_boxesz00_15361,
						((long) CINT(BgL_bpz00_18609) + BgL_llstkz00_15358),
						(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1153z00_15359))->BgL_locz00));
					return CDR(((obj_t) BgL_slotz00_15362));
				}
			}
		}

	}



/* &comp-ev_labels1477 */
	obj_t BGl_z62compzd2ev_labels1477zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15364, obj_t BgL_ez00_15365, obj_t BgL_stkz00_15366)
	{
		{	/* Eval/evaluate_comp.scm 572 */
			((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_ez00_15365)))->BgL_stkz00) =
				((obj_t) BgL_stkz00_15366), BUNSPEC);
			{	/* Eval/evaluate_comp.scm 579 */
				obj_t BgL_envz00_18611;

				{	/* Eval/evaluate_comp.scm 579 */
					obj_t BgL_l1344z00_18612;

					BgL_l1344z00_18612 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15365)))->BgL_varsz00);
					if (NULLP(BgL_l1344z00_18612))
						{	/* Eval/evaluate_comp.scm 579 */
							BgL_envz00_18611 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 579 */
							obj_t BgL_head1346z00_18613;

							BgL_head1346z00_18613 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1344z00_18615;
								obj_t BgL_tail1347z00_18616;

								BgL_l1344z00_18615 = BgL_l1344z00_18612;
								BgL_tail1347z00_18616 = BgL_head1346z00_18613;
							BgL_zc3z04anonymousza33383ze3z87_18614:
								if (NULLP(BgL_l1344z00_18615))
									{	/* Eval/evaluate_comp.scm 579 */
										BgL_envz00_18611 = CDR(BgL_head1346z00_18613);
									}
								else
									{	/* Eval/evaluate_comp.scm 579 */
										obj_t BgL_newtail1348z00_18617;

										{	/* Eval/evaluate_comp.scm 579 */
											obj_t BgL_arg3392z00_18618;

											{	/* Eval/evaluate_comp.scm 579 */
												obj_t BgL_vz00_18619;

												BgL_vz00_18619 = CAR(((obj_t) BgL_l1344z00_18615));
												BgL_arg3392z00_18618 =
													MAKE_YOUNG_PAIR(BgL_vz00_18619,
													BGl_symbol4731z00zz__evaluate_compz00);
											}
											BgL_newtail1348z00_18617 =
												MAKE_YOUNG_PAIR(BgL_arg3392z00_18618, BNIL);
										}
										SET_CDR(BgL_tail1347z00_18616, BgL_newtail1348z00_18617);
										{	/* Eval/evaluate_comp.scm 579 */
											obj_t BgL_arg3391z00_18620;

											BgL_arg3391z00_18620 = CDR(((obj_t) BgL_l1344z00_18615));
											{
												obj_t BgL_tail1347z00_34956;
												obj_t BgL_l1344z00_34955;

												BgL_l1344z00_34955 = BgL_arg3391z00_18620;
												BgL_tail1347z00_34956 = BgL_newtail1348z00_18617;
												BgL_tail1347z00_18616 = BgL_tail1347z00_34956;
												BgL_l1344z00_18615 = BgL_l1344z00_34955;
												goto BgL_zc3z04anonymousza33383ze3z87_18614;
											}
										}
									}
							}
						}
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15365)))->BgL_envz00) =
					((obj_t) BgL_envz00_18611), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 582 */
					obj_t BgL_g1352z00_18621;

					BgL_g1352z00_18621 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15365)))->BgL_valsz00);
					{
						obj_t BgL_ll1349z00_18623;
						obj_t BgL_ll1350z00_18624;

						BgL_ll1349z00_18623 = BgL_envz00_18611;
						BgL_ll1350z00_18624 = BgL_g1352z00_18621;
					BgL_zc3z04anonymousza33364ze3z87_18622:
						if (NULLP(BgL_ll1349z00_18623))
							{	/* Eval/evaluate_comp.scm 582 */
								((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_comp.scm 582 */
								{	/* Eval/evaluate_comp.scm 584 */
									obj_t BgL_slotz00_18625;
									obj_t BgL_valz00_18626;

									BgL_slotz00_18625 = CAR(((obj_t) BgL_ll1349z00_18623));
									BgL_valz00_18626 = CAR(((obj_t) BgL_ll1350z00_18624));
									{	/* Eval/evaluate_comp.scm 585 */
										obj_t BgL_arg3366z00_18627;

										{	/* Eval/evaluate_comp.scm 585 */
											obj_t BgL_arg3368z00_18628;

											{	/* Eval/evaluate_comp.scm 585 */
												obj_t BgL_arg3369z00_18629;
												obj_t BgL_arg3370z00_18630;

												BgL_arg3369z00_18629 = CDR(((obj_t) BgL_valz00_18626));
												{	/* Eval/evaluate_comp.scm 585 */
													obj_t BgL_arg3371z00_18631;

													BgL_arg3371z00_18631 =
														CAR(((obj_t) BgL_valz00_18626));
													BgL_arg3370z00_18630 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_15366, BgL_arg3371z00_18631);
												}
												BgL_arg3368z00_18628 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_arg3369z00_18629),
													BgL_arg3370z00_18630);
											}
											{	/* Eval/evaluate_comp.scm 574 */
												obj_t BgL_objz00_18632;

												BgL_objz00_18632 =
													BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
												{	/* Eval/evaluate_comp.scm 574 */
													obj_t BgL_tmpz00_34974;

													BgL_tmpz00_34974 = ((obj_t) BgL_arg3368z00_18628);
													PROCEDURE_ATTR_SET(BgL_tmpz00_34974,
														BgL_objz00_18632);
												}
												BgL_objz00_18632;
											}
											BgL_arg3366z00_18627 = BgL_arg3368z00_18628;
										}
										{	/* Eval/evaluate_comp.scm 584 */
											obj_t BgL_tmpz00_34977;

											BgL_tmpz00_34977 = ((obj_t) BgL_slotz00_18625);
											SET_CDR(BgL_tmpz00_34977, BgL_arg3366z00_18627);
										}
									}
								}
								{	/* Eval/evaluate_comp.scm 582 */
									obj_t BgL_arg3380z00_18633;
									obj_t BgL_arg3381z00_18634;

									BgL_arg3380z00_18633 = CDR(((obj_t) BgL_ll1349z00_18623));
									BgL_arg3381z00_18634 = CDR(((obj_t) BgL_ll1350z00_18624));
									{
										obj_t BgL_ll1350z00_34985;
										obj_t BgL_ll1349z00_34984;

										BgL_ll1349z00_34984 = BgL_arg3380z00_18633;
										BgL_ll1350z00_34985 = BgL_arg3381z00_18634;
										BgL_ll1350z00_18624 = BgL_ll1350z00_34985;
										BgL_ll1349z00_18623 = BgL_ll1349z00_34984;
										goto BgL_zc3z04anonymousza33364ze3z87_18622;
									}
								}
							}
					}
				}
			}
			{	/* Eval/evaluate_comp.scm 589 */
				obj_t BgL_bodyz00_18635;

				BgL_bodyz00_18635 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15365)))->BgL_bodyz00),
					BgL_stkz00_15366);
				{	/* Eval/evaluate_comp.scm 590 */
					obj_t BgL_zc3z04anonymousza33393ze3z87_18636;

					BgL_zc3z04anonymousza33393ze3z87_18636 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33393ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33393ze3z87_18636, (int) (0L),
						BgL_bodyz00_18635);
					return BgL_zc3z04anonymousza33393ze3z87_18636;
				}
			}
		}

	}



/* &<@anonymous:3393> */
	obj_t BGl_z62zc3z04anonymousza33393ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15367, obj_t BgL_sz00_15369)
	{
		{	/* Eval/evaluate_comp.scm 590 */
			{	/* Eval/evaluate_comp.scm 590 */
				obj_t BgL_bodyz00_15368;

				BgL_bodyz00_15368 = PROCEDURE_REF(BgL_envz00_15367, (int) (0L));
				{	/* Eval/evaluate_comp.scm 590 */
					obj_t BgL_bpz00_18637;

					BgL_bpz00_18637 = VECTOR_REF(((obj_t) BgL_sz00_15369), 0L);
					{
						obj_t BgL_fz00_18639;

						BgL_fz00_18639 = BgL_bodyz00_15368;
					BgL_recz00_18638:
						{	/* Eval/evaluate_comp.scm 597 */
							obj_t BgL_rz00_18640;

							BgL_rz00_18640 =
								(VA_PROCEDUREP(BgL_fz00_18639) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_fz00_18639)) (BgL_fz00_18639,
									BgL_sz00_15369, BEOA) : ((obj_t(*)(obj_t,
											obj_t)) PROCEDURE_ENTRY(BgL_fz00_18639)) (BgL_fz00_18639,
									BgL_sz00_15369));
							{	/* Eval/evaluate_comp.scm 599 */
								bool_t BgL_test5766z00_35002;

								if (PROCEDUREP(BgL_rz00_18640))
									{	/* Eval/evaluate_comp.scm 599 */
										obj_t BgL_arg1736z00_18641;

										BgL_arg1736z00_18641 = PROCEDURE_ATTR(BgL_rz00_18640);
										if (STRUCTP(BgL_arg1736z00_18641))
											{	/* Eval/evaluate_comp.scm 569 */
												BgL_test5766z00_35002 =
													(STRUCT_KEY(BgL_arg1736z00_18641) ==
													BGl_symbol4608z00zz__evaluate_compz00);
											}
										else
											{	/* Eval/evaluate_comp.scm 569 */
												BgL_test5766z00_35002 = ((bool_t) 0);
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 599 */
										BgL_test5766z00_35002 = ((bool_t) 0);
									}
								if (BgL_test5766z00_35002)
									{
										obj_t BgL_fz00_35010;

										BgL_fz00_35010 = BgL_rz00_18640;
										BgL_fz00_18639 = BgL_fz00_35010;
										goto BgL_recz00_18638;
									}
								else
									{	/* Eval/evaluate_comp.scm 599 */
										return BgL_rz00_18640;
									}
							}
						}
					}
				}
			}
		}

	}



/* &comp-ev_synchronize1475 */
	obj_t BGl_z62compzd2ev_synchroniza7e1475z17zz__evaluate_compz00(obj_t
		BgL_envz00_15370, obj_t BgL_ez00_15371, obj_t BgL_stkz00_15372)
	{
		{	/* Eval/evaluate_comp.scm 552 */
			{	/* Eval/evaluate_comp.scm 554 */
				obj_t BgL_mutexz00_18643;
				obj_t BgL_prelockz00_18644;
				obj_t BgL_bodyz00_18645;

				BgL_mutexz00_18643 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15371)))->
						BgL_mutexz00), BgL_stkz00_15372);
				BgL_prelockz00_18644 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15371)))->
						BgL_prelockz00), BgL_stkz00_15372);
				BgL_bodyz00_18645 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15371)))->
						BgL_bodyz00), BgL_stkz00_15372);
				{	/* Eval/evaluate_comp.scm 557 */
					obj_t BgL_zc3z04anonymousza33354ze3z87_18646;

					BgL_zc3z04anonymousza33354ze3z87_18646 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33354ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (4L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33354ze3z87_18646, (int) (0L),
						BgL_mutexz00_18643);
					PROCEDURE_SET(BgL_zc3z04anonymousza33354ze3z87_18646, (int) (1L),
						((obj_t) ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15371)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33354ze3z87_18646, (int) (2L),
						BgL_prelockz00_18644);
					PROCEDURE_SET(BgL_zc3z04anonymousza33354ze3z87_18646, (int) (3L),
						BgL_bodyz00_18645);
					return BgL_zc3z04anonymousza33354ze3z87_18646;
				}
			}
		}

	}



/* &<@anonymous:3354> */
	obj_t BGl_z62zc3z04anonymousza33354ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15373, obj_t BgL_sz00_15378)
	{
		{	/* Eval/evaluate_comp.scm 557 */
			{	/* Eval/evaluate_comp.scm 557 */
				obj_t BgL_mutexz00_15374;
				BgL_ev_synchroniza7eza7_bglt BgL_i1150z00_15375;
				obj_t BgL_prelockz00_15376;
				obj_t BgL_bodyz00_15377;

				BgL_mutexz00_15374 = PROCEDURE_REF(BgL_envz00_15373, (int) (0L));
				BgL_i1150z00_15375 =
					((BgL_ev_synchroniza7eza7_bglt)
					PROCEDURE_REF(BgL_envz00_15373, (int) (1L)));
				BgL_prelockz00_15376 = PROCEDURE_REF(BgL_envz00_15373, (int) (2L));
				BgL_bodyz00_15377 = PROCEDURE_REF(BgL_envz00_15373, (int) (3L));
				{	/* Eval/evaluate_comp.scm 557 */
					obj_t BgL_bpz00_18647;

					BgL_bpz00_18647 = VECTOR_REF(((obj_t) BgL_sz00_15378), 0L);
					{	/* Eval/evaluate_comp.scm 558 */
						obj_t BgL_mz00_18648;

						BgL_mz00_18648 =
							(VA_PROCEDUREP(BgL_mutexz00_15374) ? ((obj_t(*)(obj_t,
										...))
								PROCEDURE_ENTRY(BgL_mutexz00_15374)) (BgL_mutexz00_15374,
								BgL_sz00_15378, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_mutexz00_15374)) (BgL_mutexz00_15374,
								BgL_sz00_15378));
						if (BGL_MUTEXP(BgL_mz00_18648))
							{	/* Eval/evaluate_comp.scm 560 */
								obj_t BgL_pz00_18649;

								BgL_pz00_18649 =
									(VA_PROCEDUREP(BgL_prelockz00_15376) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_prelockz00_15376))
									(BgL_prelockz00_15376, BgL_sz00_15378,
										BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_prelockz00_15376))
									(BgL_prelockz00_15376, BgL_sz00_15378));
								{	/* Eval/evaluate_comp.scm 562 */
									obj_t BgL_za2za2resza2za2z00_18650;

									if (PAIRP(BgL_pz00_18649))
										{	/* Eval/evaluate_comp.scm 563 */
											obj_t BgL_top5772z00_35057;

											BgL_top5772z00_35057 = BGL_EXITD_TOP_AS_OBJ();
											BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_18648, BgL_pz00_18649);
											BGL_EXITD_PUSH_PROTECT(BgL_top5772z00_35057,
												BgL_mz00_18648);
											BUNSPEC;
											{	/* Eval/evaluate_comp.scm 563 */
												obj_t BgL_tmp5771z00_35056;

												BgL_tmp5771z00_35056 =
													(VA_PROCEDUREP(BgL_bodyz00_15377) ? ((obj_t(*)(obj_t,
																...))
														PROCEDURE_ENTRY(BgL_bodyz00_15377))
													(BgL_bodyz00_15377, BgL_sz00_15378,
														BEOA) : ((obj_t(*)(obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_bodyz00_15377))
													(BgL_bodyz00_15377, BgL_sz00_15378));
												BGL_EXITD_POP_PROTECT(BgL_top5772z00_35057);
												BUNSPEC;
												BGL_MUTEX_UNLOCK(BgL_mz00_18648);
												BgL_za2za2resza2za2z00_18650 = BgL_tmp5771z00_35056;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 564 */
											obj_t BgL_top5774z00_35068;

											BgL_top5774z00_35068 = BGL_EXITD_TOP_AS_OBJ();
											BGL_MUTEX_LOCK(BgL_mz00_18648);
											BGL_EXITD_PUSH_PROTECT(BgL_top5774z00_35068,
												BgL_mz00_18648);
											BUNSPEC;
											{	/* Eval/evaluate_comp.scm 564 */
												obj_t BgL_tmp5773z00_35067;

												BgL_tmp5773z00_35067 =
													(VA_PROCEDUREP(BgL_bodyz00_15377) ? ((obj_t(*)(obj_t,
																...))
														PROCEDURE_ENTRY(BgL_bodyz00_15377))
													(BgL_bodyz00_15377, BgL_sz00_15378,
														BEOA) : ((obj_t(*)(obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_bodyz00_15377))
													(BgL_bodyz00_15377, BgL_sz00_15378));
												BGL_EXITD_POP_PROTECT(BgL_top5774z00_35068);
												BUNSPEC;
												BGL_MUTEX_UNLOCK(BgL_mz00_18648);
												BgL_za2za2resza2za2z00_18650 = BgL_tmp5773z00_35067;
											}
										}
									VECTOR_SET(((obj_t) BgL_sz00_15378), 0L, BgL_bpz00_18647);
									return BgL_za2za2resza2za2z00_18650;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 559 */
								return
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_string4733z00zz__evaluate_compz00,
									BGl_string4734z00zz__evaluate_compz00, BgL_mz00_18648,
									(((BgL_ev_synchroniza7eza7_bglt)
											COBJECT(BgL_i1150z00_15375))->BgL_locz00));
							}
					}
				}
			}
		}

	}



/* &comp-ev_with-handler1473 */
	obj_t BGl_z62compzd2ev_withzd2handler1473z62zz__evaluate_compz00(obj_t
		BgL_envz00_15379, obj_t BgL_ez00_15380, obj_t BgL_stkz00_15381)
	{
		{	/* Eval/evaluate_comp.scm 543 */
			{	/* Eval/evaluate_comp.scm 545 */
				obj_t BgL_handlerz00_18652;
				obj_t BgL_bodyz00_18653;

				BgL_handlerz00_18652 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
								((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15380)))->
						BgL_handlerz00), BgL_stkz00_15381);
				BgL_bodyz00_18653 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
							COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15380)))->
						BgL_bodyz00), BgL_stkz00_15381);
				{	/* Eval/evaluate_comp.scm 546 */
					obj_t BgL_zc3z04anonymousza33347ze3z87_18654;

					BgL_zc3z04anonymousza33347ze3z87_18654 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33347ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33347ze3z87_18654, (int) (0L),
						BgL_handlerz00_18652);
					PROCEDURE_SET(BgL_zc3z04anonymousza33347ze3z87_18654, (int) (1L),
						BgL_bodyz00_18653);
					return BgL_zc3z04anonymousza33347ze3z87_18654;
				}
			}
		}

	}



/* &<@anonymous:3347> */
	obj_t BGl_z62zc3z04anonymousza33347ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15382, obj_t BgL_sz00_15385)
	{
		{	/* Eval/evaluate_comp.scm 546 */
			{	/* Eval/evaluate_comp.scm 546 */
				obj_t BgL_handlerz00_15383;
				obj_t BgL_bodyz00_15384;

				BgL_handlerz00_15383 = PROCEDURE_REF(BgL_envz00_15382, (int) (0L));
				BgL_bodyz00_15384 = PROCEDURE_REF(BgL_envz00_15382, (int) (1L));
				{	/* Eval/evaluate_comp.scm 546 */
					obj_t BgL_bpz00_18655;

					BgL_bpz00_18655 = VECTOR_REF(((obj_t) BgL_sz00_15385), 0L);
					{	/* Eval/evaluate_comp.scm 547 */
						obj_t BgL_hz00_18656;

						BgL_hz00_18656 =
							(VA_PROCEDUREP(BgL_handlerz00_15383) ? ((obj_t(*)(obj_t,
										...))
								PROCEDURE_ENTRY(BgL_handlerz00_15383)) (BgL_handlerz00_15383,
								BgL_sz00_15385, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_handlerz00_15383)) (BgL_handlerz00_15383,
								BgL_sz00_15385));
						{	/* Eval/evaluate_comp.scm 549 */
							obj_t BgL_za2za2resza2za2z00_18657;

							{	/* Eval/evaluate_comp.scm 549 */
								obj_t BgL_env1141z00_18658;

								BgL_env1141z00_18658 = BGL_CURRENT_DYNAMIC_ENV();
								{	/* Eval/evaluate_comp.scm 549 */
									obj_t BgL_cell1136z00_18659;

									BgL_cell1136z00_18659 = MAKE_STACK_CELL(BUNSPEC);
									{	/* Eval/evaluate_comp.scm 549 */
										obj_t BgL_val1140z00_18660;

										BgL_val1140z00_18660 =
											BGl_zc3z04exitza33349ze3ze70z60zz__evaluate_compz00
											(BgL_sz00_15385, BgL_bodyz00_15384, BgL_cell1136z00_18659,
											BgL_env1141z00_18658);
										if ((BgL_val1140z00_18660 == BgL_cell1136z00_18659))
											{	/* Eval/evaluate_comp.scm 549 */
												{	/* Eval/evaluate_comp.scm 549 */
													int BgL_tmpz00_35110;

													BgL_tmpz00_35110 = (int) (0L);
													BGL_SIGSETMASK(BgL_tmpz00_35110);
												}
												{	/* Eval/evaluate_comp.scm 549 */
													obj_t BgL_arg3348z00_18661;

													BgL_arg3348z00_18661 =
														CELL_REF(((obj_t) BgL_val1140z00_18660));
													BgL_za2za2resza2za2z00_18657 =
														(VA_PROCEDUREP(BgL_hz00_18656) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_hz00_18656)) (BgL_hz00_18656,
															BgL_arg3348z00_18661, BEOA) : ((obj_t(*)(obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_hz00_18656)) (BgL_hz00_18656,
															BgL_arg3348z00_18661));
											}}
										else
											{	/* Eval/evaluate_comp.scm 549 */
												BgL_za2za2resza2za2z00_18657 = BgL_val1140z00_18660;
											}
									}
								}
							}
							VECTOR_SET(((obj_t) BgL_sz00_15385), 0L, BgL_bpz00_18655);
							return BgL_za2za2resza2za2z00_18657;
						}
					}
				}
			}
		}

	}



/* <@exit:3349>~0 */
	obj_t BGl_zc3z04exitza33349ze3ze70z60zz__evaluate_compz00(obj_t
		BgL_sz00_15564, obj_t BgL_bodyz00_15563, obj_t BgL_cell1136z00_15562,
		obj_t BgL_env1141z00_15561)
	{
		{	/* Eval/evaluate_comp.scm 549 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1145z00_4281;

			if (SET_EXIT(BgL_an_exit1145z00_4281))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1145z00_4281 = (void *) jmpbuf;
					PUSH_ENV_EXIT(BgL_env1141z00_15561, BgL_an_exit1145z00_4281, 1L);
					{	/* Eval/evaluate_comp.scm 549 */
						obj_t BgL_escape1137z00_4282;

						BgL_escape1137z00_4282 =
							BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1141z00_15561);
						{	/* Eval/evaluate_comp.scm 549 */
							obj_t BgL_res1148z00_4283;

							{	/* Eval/evaluate_comp.scm 549 */
								obj_t BgL_ohs1133z00_4284;

								BgL_ohs1133z00_4284 =
									BGL_ENV_ERROR_HANDLER_GET(BgL_env1141z00_15561);
								{	/* Eval/evaluate_comp.scm 549 */
									obj_t BgL_hds1134z00_4285;

									BgL_hds1134z00_4285 =
										MAKE_STACK_PAIR(BgL_escape1137z00_4282,
										BgL_cell1136z00_15562);
									BGL_ENV_ERROR_HANDLER_SET(BgL_env1141z00_15561,
										BgL_hds1134z00_4285);
									BUNSPEC;
									{	/* Eval/evaluate_comp.scm 549 */
										obj_t BgL_exitd1142z00_4286;

										BgL_exitd1142z00_4286 =
											BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1141z00_15561);
										{	/* Eval/evaluate_comp.scm 549 */
											obj_t BgL_tmp1144z00_4287;

											{	/* Eval/evaluate_comp.scm 549 */
												obj_t BgL_arg3351z00_4289;

												BgL_arg3351z00_4289 =
													BGL_EXITD_PROTECT(BgL_exitd1142z00_4286);
												BgL_tmp1144z00_4287 =
													MAKE_YOUNG_PAIR(BgL_ohs1133z00_4284,
													BgL_arg3351z00_4289);
											}
											{	/* Eval/evaluate_comp.scm 549 */

												BGL_EXITD_PROTECT_SET(BgL_exitd1142z00_4286,
													BgL_tmp1144z00_4287);
												BUNSPEC;
												{	/* Eval/evaluate_comp.scm 549 */
													obj_t BgL_tmp1143z00_4288;

													BgL_tmp1143z00_4288 =
														(VA_PROCEDUREP(BgL_bodyz00_15563)
														? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_bodyz00_15563))
														(BgL_bodyz00_15563, BgL_sz00_15564,
															BEOA) : ((obj_t(*)(obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_bodyz00_15563))
														(BgL_bodyz00_15563, BgL_sz00_15564));
													{	/* Eval/evaluate_comp.scm 549 */
														bool_t BgL_test5776z00_35136;

														{	/* Eval/evaluate_comp.scm 549 */
															obj_t BgL_arg4357z00_10432;

															BgL_arg4357z00_10432 =
																BGL_EXITD_PROTECT(BgL_exitd1142z00_4286);
															BgL_test5776z00_35136 =
																PAIRP(BgL_arg4357z00_10432);
														}
														if (BgL_test5776z00_35136)
															{	/* Eval/evaluate_comp.scm 549 */
																obj_t BgL_arg4355z00_10433;

																{	/* Eval/evaluate_comp.scm 549 */
																	obj_t BgL_arg4356z00_10434;

																	BgL_arg4356z00_10434 =
																		BGL_EXITD_PROTECT(BgL_exitd1142z00_4286);
																	BgL_arg4355z00_10433 =
																		CDR(((obj_t) BgL_arg4356z00_10434));
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1142z00_4286,
																	BgL_arg4355z00_10433);
																BUNSPEC;
															}
														else
															{	/* Eval/evaluate_comp.scm 549 */
																BFALSE;
															}
													}
													BGL_ENV_ERROR_HANDLER_SET(BgL_env1141z00_15561,
														BgL_ohs1133z00_4284);
													BUNSPEC;
													BgL_res1148z00_4283 = BgL_tmp1143z00_4288;
												}
											}
										}
									}
								}
							}
							POP_ENV_EXIT(BgL_env1141z00_15561);
							return BgL_res1148z00_4283;
						}
					}
				}
		}

	}



/* &comp-ev_unwind-prote1471 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1471z62zz__evaluate_compz00(obj_t
		BgL_envz00_15386, obj_t BgL_ez00_15387, obj_t BgL_stkz00_15388)
	{
		{	/* Eval/evaluate_comp.scm 534 */
			{	/* Eval/evaluate_comp.scm 536 */
				obj_t BgL_ez00_18663;
				obj_t BgL_bodyz00_18664;

				BgL_ez00_18663 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
								((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15387)))->BgL_ez00),
					BgL_stkz00_15388);
				BgL_bodyz00_18664 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
							COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15387)))->
						BgL_bodyz00), BgL_stkz00_15388);
				{	/* Eval/evaluate_comp.scm 537 */
					obj_t BgL_zc3z04anonymousza33343ze3z87_18665;

					BgL_zc3z04anonymousza33343ze3z87_18665 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33343ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33343ze3z87_18665, (int) (0L),
						BgL_bodyz00_18664);
					PROCEDURE_SET(BgL_zc3z04anonymousza33343ze3z87_18665, (int) (1L),
						BgL_ez00_18663);
					return BgL_zc3z04anonymousza33343ze3z87_18665;
				}
			}
		}

	}



/* &<@anonymous:3343> */
	obj_t BGl_z62zc3z04anonymousza33343ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15389, obj_t BgL_sz00_15392)
	{
		{	/* Eval/evaluate_comp.scm 537 */
			{	/* Eval/evaluate_comp.scm 537 */
				obj_t BgL_bodyz00_15390;
				obj_t BgL_ez00_15391;

				BgL_bodyz00_15390 = PROCEDURE_REF(BgL_envz00_15389, (int) (0L));
				BgL_ez00_15391 = PROCEDURE_REF(BgL_envz00_15389, (int) (1L));
				{	/* Eval/evaluate_comp.scm 537 */
					obj_t BgL_bpz00_18666;

					BgL_bpz00_18666 = VECTOR_REF(((obj_t) BgL_sz00_15392), 0L);
					{	/* Eval/evaluate_comp.scm 539 */
						obj_t BgL_exitd1128z00_18667;

						BgL_exitd1128z00_18667 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Eval/evaluate_comp.scm 540 */
							obj_t BgL_zc3z04anonymousza33344ze3z87_18668;

							BgL_zc3z04anonymousza33344ze3z87_18668 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza33344ze3ze5zz__evaluate_compz00,
								(int) (0L), (int) (3L));
							PROCEDURE_SET(BgL_zc3z04anonymousza33344ze3z87_18668, (int) (0L),
								BgL_sz00_15392);
							PROCEDURE_SET(BgL_zc3z04anonymousza33344ze3z87_18668, (int) (1L),
								BgL_bpz00_18666);
							PROCEDURE_SET(BgL_zc3z04anonymousza33344ze3z87_18668, (int) (2L),
								BgL_bodyz00_15390);
							{	/* Eval/evaluate_comp.scm 539 */
								obj_t BgL_arg4358z00_18669;

								{	/* Eval/evaluate_comp.scm 539 */
									obj_t BgL_arg4359z00_18670;

									BgL_arg4359z00_18670 =
										BGL_EXITD_PROTECT(BgL_exitd1128z00_18667);
									BgL_arg4358z00_18669 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33344ze3z87_18668,
										BgL_arg4359z00_18670);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1128z00_18667,
									BgL_arg4358z00_18669);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 539 */
								obj_t BgL_tmp1130z00_18671;

								BgL_tmp1130z00_18671 =
									(VA_PROCEDUREP(BgL_ez00_15391) ? ((obj_t(*)(obj_t,
												...)) PROCEDURE_ENTRY(BgL_ez00_15391)) (BgL_ez00_15391,
										BgL_sz00_15392, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_ez00_15391)) (BgL_ez00_15391,
										BgL_sz00_15392));
								{	/* Eval/evaluate_comp.scm 539 */
									bool_t BgL_test5777z00_35181;

									{	/* Eval/evaluate_comp.scm 539 */
										obj_t BgL_arg4357z00_18672;

										BgL_arg4357z00_18672 =
											BGL_EXITD_PROTECT(BgL_exitd1128z00_18667);
										BgL_test5777z00_35181 = PAIRP(BgL_arg4357z00_18672);
									}
									if (BgL_test5777z00_35181)
										{	/* Eval/evaluate_comp.scm 539 */
											obj_t BgL_arg4355z00_18673;

											{	/* Eval/evaluate_comp.scm 539 */
												obj_t BgL_arg4356z00_18674;

												BgL_arg4356z00_18674 =
													BGL_EXITD_PROTECT(BgL_exitd1128z00_18667);
												BgL_arg4355z00_18673 =
													CDR(((obj_t) BgL_arg4356z00_18674));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1128z00_18667,
												BgL_arg4355z00_18673);
											BUNSPEC;
										}
									else
										{	/* Eval/evaluate_comp.scm 539 */
											BFALSE;
										}
								}
								VECTOR_SET(((obj_t) BgL_sz00_15392), 0L, BgL_bpz00_18666);
								(VA_PROCEDUREP(BgL_bodyz00_15390) ? ((obj_t(*)(obj_t,
												...))
										PROCEDURE_ENTRY(BgL_bodyz00_15390)) (BgL_bodyz00_15390,
										BgL_sz00_15392, BEOA) : ((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15390)) (BgL_bodyz00_15390,
										BgL_sz00_15392));
								return BgL_tmp1130z00_18671;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3344> */
	obj_t BGl_z62zc3z04anonymousza33344ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15393)
	{
		{	/* Eval/evaluate_comp.scm 539 */
			{	/* Eval/evaluate_comp.scm 540 */
				obj_t BgL_sz00_15394;
				obj_t BgL_savedzd2bpzd2_15395;
				obj_t BgL_bodyz00_15396;

				BgL_sz00_15394 = PROCEDURE_REF(BgL_envz00_15393, (int) (0L));
				BgL_savedzd2bpzd2_15395 = PROCEDURE_REF(BgL_envz00_15393, (int) (1L));
				BgL_bodyz00_15396 = PROCEDURE_REF(BgL_envz00_15393, (int) (2L));
				VECTOR_SET(((obj_t) BgL_sz00_15394), 0L, BgL_savedzd2bpzd2_15395);
				return
					(VA_PROCEDUREP(BgL_bodyz00_15396) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_bodyz00_15396)) (BgL_bodyz00_15396,
						BgL_sz00_15394, BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_bodyz00_15396)) (BgL_bodyz00_15396,
						BgL_sz00_15394));
			}
		}

	}



/* &comp-ev_bind-exit1469 */
	obj_t BGl_z62compzd2ev_bindzd2exit1469z62zz__evaluate_compz00(obj_t
		BgL_envz00_15397, obj_t BgL_ez00_15398, obj_t BgL_stkz00_15399)
	{
		{	/* Eval/evaluate_comp.scm 523 */
			{	/* Eval/evaluate_comp.scm 525 */
				long BgL_siza7eza7_18676;
				obj_t BgL_nstkz00_18677;

				BgL_siza7eza7_18676 = bgl_list_length(BgL_stkz00_15399);
				{	/* Eval/evaluate_comp.scm 525 */
					obj_t BgL_arg3341z00_18678;

					{	/* Eval/evaluate_comp.scm 525 */
						BgL_ev_varz00_bglt BgL_arg3342z00_18679;

						BgL_arg3342z00_18679 =
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15398)))->BgL_varz00);
						BgL_arg3341z00_18678 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg3342z00_18679), BNIL);
					}
					BgL_nstkz00_18677 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15399,
						BgL_arg3341z00_18678);
				}
				{	/* Eval/evaluate_comp.scm 526 */
					obj_t BgL_bodyz00_18680;
					obj_t BgL_effzf3zf3_18681;

					BgL_bodyz00_18680 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15398)))->BgL_bodyz00),
						BgL_nstkz00_18677);
					BgL_effzf3zf3_18681 =
						(((BgL_ev_varz00_bglt) COBJECT((((BgL_ev_bindzd2exitzd2_bglt)
										COBJECT(((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15398)))->
									BgL_varz00)))->BgL_effz00);
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_zc3z04anonymousza33336ze3z87_18682;

						BgL_zc3z04anonymousza33336ze3z87_18682 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33336ze3ze5zz__evaluate_compz00,
							(int) (1L), (int) (3L));
						PROCEDURE_SET(BgL_zc3z04anonymousza33336ze3z87_18682, (int) (0L),
							BINT(BgL_siza7eza7_18676));
						PROCEDURE_SET(BgL_zc3z04anonymousza33336ze3z87_18682, (int) (1L),
							BgL_effzf3zf3_18681);
						PROCEDURE_SET(BgL_zc3z04anonymousza33336ze3z87_18682, (int) (2L),
							BgL_bodyz00_18680);
						return BgL_zc3z04anonymousza33336ze3z87_18682;
					}
				}
			}
		}

	}



/* &<@anonymous:3336> */
	obj_t BGl_z62zc3z04anonymousza33336ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15400, obj_t BgL_sz00_15404)
	{
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 527 */
				long BgL_siza7eza7_15401;
				obj_t BgL_effzf3zf3_15402;
				obj_t BgL_bodyz00_15403;

				BgL_siza7eza7_15401 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15400, (int) (0L)));
				BgL_effzf3zf3_15402 = PROCEDURE_REF(BgL_envz00_15400, (int) (1L));
				BgL_bodyz00_15403 = PROCEDURE_REF(BgL_envz00_15400, (int) (2L));
				{	/* Eval/evaluate_comp.scm 527 */
					obj_t BgL_bpz00_18683;

					BgL_bpz00_18683 = VECTOR_REF(((obj_t) BgL_sz00_15404), 0L);
					{	/* Eval/evaluate_comp.scm 529 */
						obj_t BgL_za2za2resza2za2z00_18684;

						BgL_za2za2resza2za2z00_18684 =
							BGl_zc3z04exitza33337ze3ze70z60zz__evaluate_compz00
							(BgL_bodyz00_15403, BgL_sz00_15404, BgL_effzf3zf3_15402,
							BgL_siza7eza7_15401, BgL_bpz00_18683);
						VECTOR_SET(((obj_t) BgL_sz00_15404), 0L, BgL_bpz00_18683);
						return BgL_za2za2resza2za2z00_18684;
					}
				}
			}
		}

	}



/* <@exit:3337>~0 */
	obj_t BGl_zc3z04exitza33337ze3ze70z60zz__evaluate_compz00(obj_t
		BgL_bodyz00_15560, obj_t BgL_sz00_15559, obj_t BgL_effzf3zf3_15558,
		long BgL_siza7eza7_15557, obj_t BgL_bpz00_15556)
	{
		{	/* Eval/evaluate_comp.scm 529 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1121z00_4230;

			if (SET_EXIT(BgL_an_exit1121z00_4230))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1121z00_4230 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 529 */
						obj_t BgL_env1125z00_4231;

						BgL_env1125z00_4231 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1125z00_4231, BgL_an_exit1121z00_4230, 1L);
						{	/* Eval/evaluate_comp.scm 529 */
							obj_t BgL_an_exitd1122z00_4232;

							BgL_an_exitd1122z00_4232 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1125z00_4231);
							{	/* Eval/evaluate_comp.scm 529 */
								obj_t BgL_exitz00_14359;

								BgL_exitz00_14359 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_exitz00_14359,
									(int) (0L), BgL_an_exitd1122z00_4232);
								{	/* Eval/evaluate_comp.scm 529 */
									obj_t BgL_res1124z00_4235;

									{	/* Eval/evaluate_comp.scm 530 */
										long BgL_arg3338z00_4236;
										obj_t BgL_arg3339z00_4237;

										BgL_arg3338z00_4236 =
											((long) CINT(BgL_bpz00_15556) + BgL_siza7eza7_15557);
										if (CBOOL(BgL_effzf3zf3_15558))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_10415;

												BgL_newz00_10415 =
													create_struct(BGl_symbol4624z00zz__evaluate_compz00,
													(int) (1L));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_35256;

													BgL_tmpz00_35256 = (int) (0L);
													STRUCT_SET(BgL_newz00_10415, BgL_tmpz00_35256,
														BgL_exitz00_14359);
												}
												BgL_arg3339z00_4237 = BgL_newz00_10415;
											}
										else
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_arg3339z00_4237 = BgL_exitz00_14359;
											}
										VECTOR_SET(
											((obj_t) BgL_sz00_15559), BgL_arg3338z00_4236,
											BgL_arg3339z00_4237);
									}
									BgL_res1124z00_4235 =
										(VA_PROCEDUREP(BgL_bodyz00_15560) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_bodyz00_15560)) (BgL_bodyz00_15560,
											BgL_sz00_15559, BEOA) : ((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_bodyz00_15560)) (BgL_bodyz00_15560,
											BgL_sz00_15559));
									POP_ENV_EXIT(BgL_env1125z00_4231);
									return BgL_res1124z00_4235;
								}
							}
						}
					}
				}
		}

	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_15405,
		obj_t BgL_val1123z00_15407)
	{
		{	/* Eval/evaluate_comp.scm 529 */
			return
				unwind_stack_until(PROCEDURE_REF(BgL_envz00_15405,
					(int) (0L)), BFALSE, BgL_val1123z00_15407, BFALSE, BFALSE);
		}

	}



/* &comp-ev_letrec1467 */
	obj_t BGl_z62compzd2ev_letrec1467zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15408, obj_t BgL_ez00_15409, obj_t BgL_stkz00_15410)
	{
		{	/* Eval/evaluate_comp.scm 494 */
			{	/* Eval/evaluate_comp.scm 496 */
				long BgL_siza7eza7_18686;
				obj_t BgL_nstkz00_18687;

				BgL_siza7eza7_18686 = bgl_list_length(BgL_stkz00_15410);
				{	/* Eval/evaluate_comp.scm 496 */
					obj_t BgL_arg3335z00_18688;

					BgL_arg3335z00_18688 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_ez00_15409))))->BgL_varsz00);
					BgL_nstkz00_18687 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15410,
						BgL_arg3335z00_18688);
				}
				{	/* Eval/evaluate_comp.scm 497 */
					obj_t BgL_cvalsz00_18689;
					obj_t BgL_bodyz00_18690;

					{	/* Eval/evaluate_comp.scm 497 */
						obj_t BgL_l1330z00_18691;

						BgL_l1330z00_18691 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15409))))->BgL_valsz00);
						if (NULLP(BgL_l1330z00_18691))
							{	/* Eval/evaluate_comp.scm 497 */
								BgL_cvalsz00_18689 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 497 */
								obj_t BgL_head1332z00_18692;

								BgL_head1332z00_18692 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1330z00_18694;
									obj_t BgL_tail1333z00_18695;

									BgL_l1330z00_18694 = BgL_l1330z00_18691;
									BgL_tail1333z00_18695 = BgL_head1332z00_18692;
								BgL_zc3z04anonymousza33330ze3z87_18693:
									if (NULLP(BgL_l1330z00_18694))
										{	/* Eval/evaluate_comp.scm 497 */
											BgL_cvalsz00_18689 = CDR(BgL_head1332z00_18692);
										}
									else
										{	/* Eval/evaluate_comp.scm 497 */
											obj_t BgL_newtail1334z00_18696;

											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_arg3333z00_18697;

												{	/* Eval/evaluate_comp.scm 497 */
													obj_t BgL_vz00_18698;

													BgL_vz00_18698 = CAR(((obj_t) BgL_l1330z00_18694));
													BgL_arg3333z00_18697 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_18698),
														BgL_nstkz00_18687);
												}
												BgL_newtail1334z00_18696 =
													MAKE_YOUNG_PAIR(BgL_arg3333z00_18697, BNIL);
											}
											SET_CDR(BgL_tail1333z00_18695, BgL_newtail1334z00_18696);
											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_arg3332z00_18699;

												BgL_arg3332z00_18699 =
													CDR(((obj_t) BgL_l1330z00_18694));
												{
													obj_t BgL_tail1333z00_35292;
													obj_t BgL_l1330z00_35291;

													BgL_l1330z00_35291 = BgL_arg3332z00_18699;
													BgL_tail1333z00_35292 = BgL_newtail1334z00_18696;
													BgL_tail1333z00_18695 = BgL_tail1333z00_35292;
													BgL_l1330z00_18694 = BgL_l1330z00_35291;
													goto BgL_zc3z04anonymousza33330ze3z87_18693;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 498 */
						BgL_ev_exprz00_bglt BgL_arg3334z00_18700;

						BgL_arg3334z00_18700 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15409))))->BgL_bodyz00);
						BgL_bodyz00_18690 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3334z00_18700,
							BgL_nstkz00_18687);
					}
					{	/* Eval/evaluate_comp.scm 499 */
						bool_t BgL_test5781z00_35297;

						{
							obj_t BgL_l1335z00_18702;

							BgL_l1335z00_18702 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_15409))))->BgL_valsz00);
						BgL_zc3z04anonymousza33327ze3z87_18701:
							if (NULLP(BgL_l1335z00_18702))
								{	/* Eval/evaluate_comp.scm 499 */
									BgL_test5781z00_35297 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 499 */
									bool_t BgL_test5783z00_35300;

									{	/* Eval/evaluate_comp.scm 499 */
										obj_t BgL_vz00_18703;

										BgL_vz00_18703 = CAR(((obj_t) BgL_l1335z00_18702));
										{	/* Eval/evaluate_comp.scm 499 */
											obj_t BgL_classz00_18704;

											BgL_classz00_18704 = BGl_ev_absz00zz__evaluate_typesz00;
											if (BGL_OBJECTP(BgL_vz00_18703))
												{	/* Eval/evaluate_comp.scm 499 */
													BgL_objectz00_bglt BgL_arg4341z00_18705;

													BgL_arg4341z00_18705 =
														(BgL_objectz00_bglt) (BgL_vz00_18703);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Eval/evaluate_comp.scm 499 */
															long BgL_idxz00_18706;

															BgL_idxz00_18706 =
																BGL_OBJECT_INHERITANCE_NUM
																(BgL_arg4341z00_18705);
															BgL_test5783z00_35300 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_18706 + 2L)) ==
																BgL_classz00_18704);
														}
													else
														{	/* Eval/evaluate_comp.scm 499 */
															bool_t BgL_res4480z00_18709;

															{	/* Eval/evaluate_comp.scm 499 */
																obj_t BgL_oclassz00_18710;

																{	/* Eval/evaluate_comp.scm 499 */
																	long BgL_arg4348z00_18711;

																	{	/* Eval/evaluate_comp.scm 499 */
																		long BgL_arg4349z00_18712;

																		BgL_arg4349z00_18712 =
																			BGL_OBJECT_CLASS_NUM
																			(BgL_arg4341z00_18705);
																		BgL_arg4348z00_18711 =
																			(BgL_arg4349z00_18712 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_18710 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg4348z00_18711);
																}
																{	/* Eval/evaluate_comp.scm 499 */
																	bool_t BgL__ortest_1296z00_18713;

																	BgL__ortest_1296z00_18713 =
																		(BgL_classz00_18704 == BgL_oclassz00_18710);
																	if (BgL__ortest_1296z00_18713)
																		{	/* Eval/evaluate_comp.scm 499 */
																			BgL_res4480z00_18709 =
																				BgL__ortest_1296z00_18713;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 499 */
																			long BgL_odepthz00_18714;

																			BgL_odepthz00_18714 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_18710);
																			if ((2L < BgL_odepthz00_18714))
																				{	/* Eval/evaluate_comp.scm 499 */
																					obj_t BgL_arg4338z00_18715;

																					BgL_arg4338z00_18715 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_18710, 2L);
																					BgL_res4480z00_18709 =
																						(BgL_arg4338z00_18715 ==
																						BgL_classz00_18704);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 499 */
																					BgL_res4480z00_18709 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test5783z00_35300 = BgL_res4480z00_18709;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 499 */
													BgL_test5783z00_35300 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test5783z00_35300)
										{
											obj_t BgL_l1335z00_35322;

											BgL_l1335z00_35322 = CDR(((obj_t) BgL_l1335z00_18702));
											BgL_l1335z00_18702 = BgL_l1335z00_35322;
											goto BgL_zc3z04anonymousza33327ze3z87_18701;
										}
									else
										{	/* Eval/evaluate_comp.scm 499 */
											BgL_test5781z00_35297 = ((bool_t) 0);
										}
								}
						}
						if (BgL_test5781z00_35297)
							{	/* Eval/evaluate_comp.scm 500 */
								obj_t BgL_zc3z04anonymousza33277ze3z87_18716;

								BgL_zc3z04anonymousza33277ze3z87_18716 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33277ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (3L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33277ze3z87_18716,
									(int) (0L), BINT(BgL_siza7eza7_18686));
								PROCEDURE_SET(BgL_zc3z04anonymousza33277ze3z87_18716,
									(int) (1L), BgL_cvalsz00_18689);
								PROCEDURE_SET(BgL_zc3z04anonymousza33277ze3z87_18716,
									(int) (2L), BgL_bodyz00_18690);
								return BgL_zc3z04anonymousza33277ze3z87_18716;
							}
						else
							{	/* Eval/evaluate_comp.scm 510 */
								obj_t BgL_zc3z04anonymousza33297ze3z87_18717;

								BgL_zc3z04anonymousza33297ze3z87_18717 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33297ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (3L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33297ze3z87_18717,
									(int) (0L), BINT(BgL_siza7eza7_18686));
								PROCEDURE_SET(BgL_zc3z04anonymousza33297ze3z87_18717,
									(int) (1L), BgL_cvalsz00_18689);
								PROCEDURE_SET(BgL_zc3z04anonymousza33297ze3z87_18717,
									(int) (2L), BgL_bodyz00_18690);
								return BgL_zc3z04anonymousza33297ze3z87_18717;
							}
					}
				}
			}
		}

	}



/* &<@anonymous:3277> */
	obj_t BGl_z62zc3z04anonymousza33277ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15411, obj_t BgL_sz00_15415)
	{
		{	/* Eval/evaluate_comp.scm 500 */
			{	/* Eval/evaluate_comp.scm 500 */
				long BgL_siza7eza7_15412;
				obj_t BgL_cvalsz00_15413;
				obj_t BgL_bodyz00_15414;

				BgL_siza7eza7_15412 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15411, (int) (0L)));
				BgL_cvalsz00_15413 = PROCEDURE_REF(BgL_envz00_15411, (int) (1L));
				BgL_bodyz00_15414 = PROCEDURE_REF(BgL_envz00_15411, (int) (2L));
				{	/* Eval/evaluate_comp.scm 500 */
					obj_t BgL_bpz00_18718;

					BgL_bpz00_18718 = VECTOR_REF(((obj_t) BgL_sz00_15415), 0L);
					{	/* Eval/evaluate_comp.scm 501 */
						long BgL_g1115z00_18719;

						BgL_g1115z00_18719 =
							((long) CINT(BgL_bpz00_18718) + BgL_siza7eza7_15412);
						{
							obj_t BgL_lz00_18721;
							long BgL_iz00_18722;

							BgL_lz00_18721 = BgL_cvalsz00_15413;
							BgL_iz00_18722 = BgL_g1115z00_18719;
						BgL_recz00_18720:
							if (NULLP(BgL_lz00_18721))
								{	/* Eval/evaluate_comp.scm 502 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 502 */
									{	/* Eval/evaluate_comp.scm 503 */
										obj_t BgL_arg3280z00_18723;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_18724;

											BgL_newz00_18724 =
												create_struct(BGl_symbol4624z00zz__evaluate_compz00,
												(int) (1L));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_35363;

												BgL_tmpz00_35363 = (int) (0L);
												STRUCT_SET(BgL_newz00_18724, BgL_tmpz00_35363, BUNSPEC);
											}
											BgL_arg3280z00_18723 = BgL_newz00_18724;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15415), BgL_iz00_18722,
											BgL_arg3280z00_18723);
									}
									{	/* Eval/evaluate_comp.scm 504 */
										obj_t BgL_arg3281z00_18725;
										long BgL_arg3282z00_18726;

										BgL_arg3281z00_18725 = CDR(((obj_t) BgL_lz00_18721));
										BgL_arg3282z00_18726 = (BgL_iz00_18722 + 1L);
										{
											long BgL_iz00_35372;
											obj_t BgL_lz00_35371;

											BgL_lz00_35371 = BgL_arg3281z00_18725;
											BgL_iz00_35372 = BgL_arg3282z00_18726;
											BgL_iz00_18722 = BgL_iz00_35372;
											BgL_lz00_18721 = BgL_lz00_35371;
											goto BgL_recz00_18720;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 505 */
						long BgL_g1116z00_18727;

						BgL_g1116z00_18727 =
							((long) CINT(BgL_bpz00_18718) + BgL_siza7eza7_15412);
						{
							obj_t BgL_lz00_18729;
							long BgL_iz00_18730;

							BgL_lz00_18729 = BgL_cvalsz00_15413;
							BgL_iz00_18730 = BgL_g1116z00_18727;
						BgL_recz00_18728:
							if (NULLP(BgL_lz00_18729))
								{	/* Eval/evaluate_comp.scm 506 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 506 */
									{	/* Eval/evaluate_comp.scm 507 */
										obj_t BgL_arg3287z00_18731;
										obj_t BgL_arg3290z00_18732;

										BgL_arg3287z00_18731 =
											VECTOR_REF(((obj_t) BgL_sz00_15415), BgL_iz00_18730);
										{	/* Eval/evaluate_comp.scm 507 */
											obj_t BgL_fun3291z00_18733;

											BgL_fun3291z00_18733 = CAR(((obj_t) BgL_lz00_18729));
											BgL_arg3290z00_18732 =
												(VA_PROCEDUREP(BgL_fun3291z00_18733) ? ((obj_t(*)(obj_t,
															...))
													PROCEDURE_ENTRY(BgL_fun3291z00_18733))
												(BgL_fun3291z00_18733, BgL_sz00_15415,
													BEOA) : ((obj_t(*)(obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_fun3291z00_18733))
												(BgL_fun3291z00_18733, BgL_sz00_15415));
										}
										{	/* Eval/evaluate_comp.scm 202 */
											int BgL_auxz00_35387;
											obj_t BgL_tmpz00_35385;

											BgL_auxz00_35387 = (int) (0L);
											BgL_tmpz00_35385 = ((obj_t) BgL_arg3287z00_18731);
											STRUCT_SET(BgL_tmpz00_35385, BgL_auxz00_35387,
												BgL_arg3290z00_18732);
									}}
									{	/* Eval/evaluate_comp.scm 508 */
										obj_t BgL_arg3295z00_18734;
										long BgL_arg3296z00_18735;

										BgL_arg3295z00_18734 = CDR(((obj_t) BgL_lz00_18729));
										BgL_arg3296z00_18735 = (BgL_iz00_18730 + 1L);
										{
											long BgL_iz00_35394;
											obj_t BgL_lz00_35393;

											BgL_lz00_35393 = BgL_arg3295z00_18734;
											BgL_iz00_35394 = BgL_arg3296z00_18735;
											BgL_iz00_18730 = BgL_iz00_35394;
											BgL_lz00_18729 = BgL_lz00_35393;
											goto BgL_recz00_18728;
										}
									}
								}
						}
					}
					return
						(VA_PROCEDUREP(BgL_bodyz00_15414) ? ((obj_t(*)(obj_t,
									...)) PROCEDURE_ENTRY(BgL_bodyz00_15414)) (BgL_bodyz00_15414,
							BgL_sz00_15415, BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_bodyz00_15414)) (BgL_bodyz00_15414,
							BgL_sz00_15415));
				}
			}
		}

	}



/* &<@anonymous:3297> */
	obj_t BGl_z62zc3z04anonymousza33297ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15416, obj_t BgL_sz00_15420)
	{
		{	/* Eval/evaluate_comp.scm 510 */
			{	/* Eval/evaluate_comp.scm 510 */
				long BgL_siza7eza7_15417;
				obj_t BgL_cvalsz00_15418;
				obj_t BgL_bodyz00_15419;

				BgL_siza7eza7_15417 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15416, (int) (0L)));
				BgL_cvalsz00_15418 = PROCEDURE_REF(BgL_envz00_15416, (int) (1L));
				BgL_bodyz00_15419 = PROCEDURE_REF(BgL_envz00_15416, (int) (2L));
				{	/* Eval/evaluate_comp.scm 510 */
					obj_t BgL_bpz00_18736;

					BgL_bpz00_18736 = VECTOR_REF(((obj_t) BgL_sz00_15420), 0L);
					{	/* Eval/evaluate_comp.scm 511 */
						long BgL_g1117z00_18737;

						BgL_g1117z00_18737 =
							((long) CINT(BgL_bpz00_18736) + BgL_siza7eza7_15417);
						{
							obj_t BgL_lz00_18739;
							long BgL_iz00_18740;

							BgL_lz00_18739 = BgL_cvalsz00_15418;
							BgL_iz00_18740 = BgL_g1117z00_18737;
						BgL_recz00_18738:
							if (NULLP(BgL_lz00_18739))
								{	/* Eval/evaluate_comp.scm 512 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 512 */
									{	/* Eval/evaluate_comp.scm 513 */
										obj_t BgL_arg3310z00_18741;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_18742;

											BgL_newz00_18742 =
												create_struct(BGl_symbol4624z00zz__evaluate_compz00,
												(int) (1L));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_35414;

												BgL_tmpz00_35414 = (int) (0L);
												STRUCT_SET(BgL_newz00_18742, BgL_tmpz00_35414, BUNSPEC);
											}
											BgL_arg3310z00_18741 = BgL_newz00_18742;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15420), BgL_iz00_18740,
											BgL_arg3310z00_18741);
									}
									{	/* Eval/evaluate_comp.scm 514 */
										obj_t BgL_arg3311z00_18743;
										long BgL_arg3312z00_18744;

										BgL_arg3311z00_18743 = CDR(((obj_t) BgL_lz00_18739));
										BgL_arg3312z00_18744 = (BgL_iz00_18740 + 1L);
										{
											long BgL_iz00_35423;
											obj_t BgL_lz00_35422;

											BgL_lz00_35422 = BgL_arg3311z00_18743;
											BgL_iz00_35423 = BgL_arg3312z00_18744;
											BgL_iz00_18740 = BgL_iz00_35423;
											BgL_lz00_18739 = BgL_lz00_35422;
											goto BgL_recz00_18738;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 515 */
						obj_t BgL_rvalsz00_18745;

						if (NULLP(BgL_cvalsz00_15418))
							{	/* Eval/evaluate_comp.scm 515 */
								BgL_rvalsz00_18745 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 515 */
								obj_t BgL_head1341z00_18746;

								BgL_head1341z00_18746 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1339z00_18748;
									obj_t BgL_tail1342z00_18749;

									BgL_l1339z00_18748 = BgL_cvalsz00_15418;
									BgL_tail1342z00_18749 = BgL_head1341z00_18746;
								BgL_zc3z04anonymousza33323ze3z87_18747:
									if (NULLP(BgL_l1339z00_18748))
										{	/* Eval/evaluate_comp.scm 515 */
											BgL_rvalsz00_18745 = CDR(BgL_head1341z00_18746);
										}
									else
										{	/* Eval/evaluate_comp.scm 515 */
											obj_t BgL_newtail1343z00_18750;

											{	/* Eval/evaluate_comp.scm 515 */
												obj_t BgL_arg3326z00_18751;

												{	/* Eval/evaluate_comp.scm 515 */
													obj_t BgL_vz00_18752;

													BgL_vz00_18752 = CAR(((obj_t) BgL_l1339z00_18748));
													BgL_arg3326z00_18751 =
														(VA_PROCEDUREP(BgL_vz00_18752) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_vz00_18752)) (BgL_vz00_18752,
															BgL_sz00_15420, BEOA) : ((obj_t(*)(obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_vz00_18752)) (BgL_vz00_18752,
															BgL_sz00_15420));
												}
												BgL_newtail1343z00_18750 =
													MAKE_YOUNG_PAIR(BgL_arg3326z00_18751, BNIL);
											}
											SET_CDR(BgL_tail1342z00_18749, BgL_newtail1343z00_18750);
											{	/* Eval/evaluate_comp.scm 515 */
												obj_t BgL_arg3325z00_18753;

												BgL_arg3325z00_18753 =
													CDR(((obj_t) BgL_l1339z00_18748));
												{
													obj_t BgL_tail1342z00_35441;
													obj_t BgL_l1339z00_35440;

													BgL_l1339z00_35440 = BgL_arg3325z00_18753;
													BgL_tail1342z00_35441 = BgL_newtail1343z00_18750;
													BgL_tail1342z00_18749 = BgL_tail1342z00_35441;
													BgL_l1339z00_18748 = BgL_l1339z00_35440;
													goto BgL_zc3z04anonymousza33323ze3z87_18747;
												}
											}
										}
								}
							}
						{	/* Eval/evaluate_comp.scm 516 */
							long BgL_g1118z00_18754;

							BgL_g1118z00_18754 =
								((long) CINT(BgL_bpz00_18736) + BgL_siza7eza7_15417);
							{
								obj_t BgL_lz00_18756;
								long BgL_iz00_18757;

								BgL_lz00_18756 = BgL_rvalsz00_18745;
								BgL_iz00_18757 = BgL_g1118z00_18754;
							BgL_recz00_18755:
								if (NULLP(BgL_lz00_18756))
									{	/* Eval/evaluate_comp.scm 517 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 517 */
										{	/* Eval/evaluate_comp.scm 518 */
											obj_t BgL_arg3315z00_18758;
											obj_t BgL_arg3316z00_18759;

											BgL_arg3315z00_18758 =
												VECTOR_REF(((obj_t) BgL_sz00_15420), BgL_iz00_18757);
											BgL_arg3316z00_18759 = CAR(((obj_t) BgL_lz00_18756));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_auxz00_35452;
												obj_t BgL_tmpz00_35450;

												BgL_auxz00_35452 = (int) (0L);
												BgL_tmpz00_35450 = ((obj_t) BgL_arg3315z00_18758);
												STRUCT_SET(BgL_tmpz00_35450, BgL_auxz00_35452,
													BgL_arg3316z00_18759);
										}}
										{	/* Eval/evaluate_comp.scm 519 */
											obj_t BgL_arg3317z00_18760;
											long BgL_arg3321z00_18761;

											BgL_arg3317z00_18760 = CDR(((obj_t) BgL_lz00_18756));
											BgL_arg3321z00_18761 = (BgL_iz00_18757 + 1L);
											{
												long BgL_iz00_35459;
												obj_t BgL_lz00_35458;

												BgL_lz00_35458 = BgL_arg3317z00_18760;
												BgL_iz00_35459 = BgL_arg3321z00_18761;
												BgL_iz00_18757 = BgL_iz00_35459;
												BgL_lz00_18756 = BgL_lz00_35458;
												goto BgL_recz00_18755;
											}
										}
									}
							}
						}
						return
							(VA_PROCEDUREP(BgL_bodyz00_15419) ? ((obj_t(*)(obj_t,
										...))
								PROCEDURE_ENTRY(BgL_bodyz00_15419)) (BgL_bodyz00_15419,
								BgL_sz00_15420, BEOA) : ((obj_t(*)(obj_t,
										obj_t))
								PROCEDURE_ENTRY(BgL_bodyz00_15419)) (BgL_bodyz00_15419,
								BgL_sz00_15420));
					}
				}
			}
		}

	}



/* &comp-ev_let*1465 */
	obj_t BGl_z62compzd2ev_letza21465z12zz__evaluate_compz00(obj_t
		BgL_envz00_15421, obj_t BgL_ez00_15422, obj_t BgL_stkz00_15423)
	{
		{	/* Eval/evaluate_comp.scm 481 */
			{	/* Eval/evaluate_comp.scm 483 */
				long BgL_siza7eza7_18763;
				obj_t BgL_nstkz00_18764;

				BgL_siza7eza7_18763 = bgl_list_length(BgL_stkz00_15423);
				{	/* Eval/evaluate_comp.scm 483 */
					obj_t BgL_arg3272z00_18765;

					BgL_arg3272z00_18765 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_ez00_15422))))->BgL_varsz00);
					BgL_nstkz00_18764 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15423,
						BgL_arg3272z00_18765);
				}
				{	/* Eval/evaluate_comp.scm 484 */
					obj_t BgL_valsz00_18766;
					obj_t BgL_bodyz00_18767;

					{	/* Eval/evaluate_comp.scm 484 */
						obj_t BgL_l1325z00_18768;

						BgL_l1325z00_18768 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15422))))->BgL_valsz00);
						if (NULLP(BgL_l1325z00_18768))
							{	/* Eval/evaluate_comp.scm 484 */
								BgL_valsz00_18766 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 484 */
								obj_t BgL_head1327z00_18769;

								BgL_head1327z00_18769 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1325z00_18771;
									obj_t BgL_tail1328z00_18772;

									BgL_l1325z00_18771 = BgL_l1325z00_18768;
									BgL_tail1328z00_18772 = BgL_head1327z00_18769;
								BgL_zc3z04anonymousza33267ze3z87_18770:
									if (NULLP(BgL_l1325z00_18771))
										{	/* Eval/evaluate_comp.scm 484 */
											BgL_valsz00_18766 = CDR(BgL_head1327z00_18769);
										}
									else
										{	/* Eval/evaluate_comp.scm 484 */
											obj_t BgL_newtail1329z00_18773;

											{	/* Eval/evaluate_comp.scm 484 */
												obj_t BgL_arg3270z00_18774;

												{	/* Eval/evaluate_comp.scm 484 */
													obj_t BgL_vz00_18775;

													BgL_vz00_18775 = CAR(((obj_t) BgL_l1325z00_18771));
													BgL_arg3270z00_18774 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_18775),
														BgL_nstkz00_18764);
												}
												BgL_newtail1329z00_18773 =
													MAKE_YOUNG_PAIR(BgL_arg3270z00_18774, BNIL);
											}
											SET_CDR(BgL_tail1328z00_18772, BgL_newtail1329z00_18773);
											{	/* Eval/evaluate_comp.scm 484 */
												obj_t BgL_arg3269z00_18776;

												BgL_arg3269z00_18776 =
													CDR(((obj_t) BgL_l1325z00_18771));
												{
													obj_t BgL_tail1328z00_35487;
													obj_t BgL_l1325z00_35486;

													BgL_l1325z00_35486 = BgL_arg3269z00_18776;
													BgL_tail1328z00_35487 = BgL_newtail1329z00_18773;
													BgL_tail1328z00_18772 = BgL_tail1328z00_35487;
													BgL_l1325z00_18771 = BgL_l1325z00_35486;
													goto BgL_zc3z04anonymousza33267ze3z87_18770;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 485 */
						BgL_ev_exprz00_bglt BgL_arg3271z00_18777;

						BgL_arg3271z00_18777 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15422))))->BgL_bodyz00);
						BgL_bodyz00_18767 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3271z00_18777,
							BgL_nstkz00_18764);
					}
					{	/* Eval/evaluate_comp.scm 486 */
						obj_t BgL_zc3z04anonymousza33248ze3z87_18778;

						BgL_zc3z04anonymousza33248ze3z87_18778 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33248ze3ze5zz__evaluate_compz00,
							(int) (1L), (int) (4L));
						PROCEDURE_SET(BgL_zc3z04anonymousza33248ze3z87_18778, (int) (0L),
							BINT(BgL_siza7eza7_18763));
						PROCEDURE_SET(BgL_zc3z04anonymousza33248ze3z87_18778, (int) (1L),
							((obj_t) ((BgL_ev_letza2za2_bglt) BgL_ez00_15422)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33248ze3z87_18778, (int) (2L),
							BgL_valsz00_18766);
						PROCEDURE_SET(BgL_zc3z04anonymousza33248ze3z87_18778, (int) (3L),
							BgL_bodyz00_18767);
						return BgL_zc3z04anonymousza33248ze3z87_18778;
					}
				}
			}
		}

	}



/* &<@anonymous:3248> */
	obj_t BGl_z62zc3z04anonymousza33248ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15424, obj_t BgL_sz00_15429)
	{
		{	/* Eval/evaluate_comp.scm 486 */
			{	/* Eval/evaluate_comp.scm 486 */
				long BgL_siza7eza7_15425;
				BgL_ev_letza2za2_bglt BgL_i1112z00_15426;
				obj_t BgL_valsz00_15427;
				obj_t BgL_bodyz00_15428;

				BgL_siza7eza7_15425 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15424, (int) (0L)));
				BgL_i1112z00_15426 =
					((BgL_ev_letza2za2_bglt) PROCEDURE_REF(BgL_envz00_15424, (int) (1L)));
				BgL_valsz00_15427 = PROCEDURE_REF(BgL_envz00_15424, (int) (2L));
				BgL_bodyz00_15428 = PROCEDURE_REF(BgL_envz00_15424, (int) (3L));
				{	/* Eval/evaluate_comp.scm 486 */
					obj_t BgL_bpz00_18779;

					BgL_bpz00_18779 = VECTOR_REF(((obj_t) BgL_sz00_15429), 0L);
					{	/* Eval/evaluate_comp.scm 487 */
						long BgL_g1113z00_18780;

						BgL_g1113z00_18780 =
							((long) CINT(BgL_bpz00_18779) + BgL_siza7eza7_15425);
						{
							obj_t BgL_lz00_18782;
							long BgL_iz00_18783;
							obj_t BgL_bza2za2_18784;

							BgL_lz00_18782 = BgL_valsz00_15427;
							BgL_iz00_18783 = BgL_g1113z00_18780;
							BgL_bza2za2_18784 =
								(((BgL_ev_letza2za2_bglt) COBJECT(BgL_i1112z00_15426))->
								BgL_boxesz00);
						BgL_recz00_18781:
							if (NULLP(BgL_lz00_18782))
								{	/* Eval/evaluate_comp.scm 488 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 488 */
									{	/* Eval/evaluate_comp.scm 489 */
										obj_t BgL_valz00_18785;

										{	/* Eval/evaluate_comp.scm 489 */
											obj_t BgL_fun3260z00_18786;

											BgL_fun3260z00_18786 = CAR(((obj_t) BgL_lz00_18782));
											BgL_valz00_18785 =
												(VA_PROCEDUREP(BgL_fun3260z00_18786) ? ((obj_t(*)(obj_t,
															...))
													PROCEDURE_ENTRY(BgL_fun3260z00_18786))
												(BgL_fun3260z00_18786, BgL_sz00_15429,
													BEOA) : ((obj_t(*)(obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_fun3260z00_18786))
												(BgL_fun3260z00_18786, BgL_sz00_15429));
										}
										{	/* Eval/evaluate_comp.scm 490 */
											obj_t BgL_arg3258z00_18787;

											if (CBOOL(CAR(((obj_t) BgL_bza2za2_18784))))
												{	/* Eval/evaluate_comp.scm 202 */
													obj_t BgL_newz00_18788;

													BgL_newz00_18788 =
														create_struct(BGl_symbol4624z00zz__evaluate_compz00,
														(int) (1L));
													{	/* Eval/evaluate_comp.scm 202 */
														int BgL_tmpz00_35534;

														BgL_tmpz00_35534 = (int) (0L);
														STRUCT_SET(BgL_newz00_18788, BgL_tmpz00_35534,
															BgL_valz00_18785);
													}
													BgL_arg3258z00_18787 = BgL_newz00_18788;
												}
											else
												{	/* Eval/evaluate_comp.scm 490 */
													BgL_arg3258z00_18787 = BgL_valz00_18785;
												}
											VECTOR_SET(
												((obj_t) BgL_sz00_15429), BgL_iz00_18783,
												BgL_arg3258z00_18787);
										}
									}
									{	/* Eval/evaluate_comp.scm 491 */
										obj_t BgL_arg3261z00_18789;
										long BgL_arg3264z00_18790;
										obj_t BgL_arg3265z00_18791;

										BgL_arg3261z00_18789 = CDR(((obj_t) BgL_lz00_18782));
										BgL_arg3264z00_18790 = (BgL_iz00_18783 + 1L);
										BgL_arg3265z00_18791 = CDR(((obj_t) BgL_bza2za2_18784));
										{
											obj_t BgL_bza2za2_35546;
											long BgL_iz00_35545;
											obj_t BgL_lz00_35544;

											BgL_lz00_35544 = BgL_arg3261z00_18789;
											BgL_iz00_35545 = BgL_arg3264z00_18790;
											BgL_bza2za2_35546 = BgL_arg3265z00_18791;
											BgL_bza2za2_18784 = BgL_bza2za2_35546;
											BgL_iz00_18783 = BgL_iz00_35545;
											BgL_lz00_18782 = BgL_lz00_35544;
											goto BgL_recz00_18781;
										}
									}
								}
						}
					}
					return
						(VA_PROCEDUREP(BgL_bodyz00_15428) ? ((obj_t(*)(obj_t,
									...)) PROCEDURE_ENTRY(BgL_bodyz00_15428)) (BgL_bodyz00_15428,
							BgL_sz00_15429, BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_bodyz00_15428)) (BgL_bodyz00_15428,
							BgL_sz00_15429));
				}
			}
		}

	}



/* &comp-ev_let1463 */
	obj_t BGl_z62compzd2ev_let1463zb0zz__evaluate_compz00(obj_t BgL_envz00_15430,
		obj_t BgL_ez00_15431, obj_t BgL_stkz00_15432)
	{
		{	/* Eval/evaluate_comp.scm 462 */
			{	/* Eval/evaluate_comp.scm 464 */
				long BgL_siza7eza7_18793;
				obj_t BgL_nstkz00_18794;

				BgL_siza7eza7_18793 = bgl_list_length(BgL_stkz00_15432);
				{	/* Eval/evaluate_comp.scm 464 */
					obj_t BgL_arg3247z00_18795;

					BgL_arg3247z00_18795 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_ez00_15431))))->BgL_varsz00);
					BgL_nstkz00_18794 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15432,
						BgL_arg3247z00_18795);
				}
				{	/* Eval/evaluate_comp.scm 465 */
					obj_t BgL_valsz00_18796;
					obj_t BgL_iboxesz00_18797;
					obj_t BgL_bodyz00_18798;

					{	/* Eval/evaluate_comp.scm 466 */
						obj_t BgL_arg3238z00_18799;

						BgL_arg3238z00_18799 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15431))))->BgL_valsz00);
						BgL_valsz00_18796 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00
							(BgL_arg3238z00_18799, BgL_stkz00_15432);
					}
					{	/* Eval/evaluate_comp.scm 467 */
						obj_t BgL_l1320z00_18800;

						BgL_l1320z00_18800 =
							(((BgL_ev_letz00_bglt) COBJECT(
									((BgL_ev_letz00_bglt) BgL_ez00_15431)))->BgL_boxesz00);
						if (NULLP(BgL_l1320z00_18800))
							{	/* Eval/evaluate_comp.scm 467 */
								BgL_iboxesz00_18797 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 467 */
								obj_t BgL_head1322z00_18801;

								BgL_head1322z00_18801 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1320z00_18803;
									obj_t BgL_tail1323z00_18804;

									BgL_l1320z00_18803 = BgL_l1320z00_18800;
									BgL_tail1323z00_18804 = BgL_head1322z00_18801;
								BgL_zc3z04anonymousza33240ze3z87_18802:
									if (NULLP(BgL_l1320z00_18803))
										{	/* Eval/evaluate_comp.scm 467 */
											BgL_iboxesz00_18797 = CDR(BgL_head1322z00_18801);
										}
									else
										{	/* Eval/evaluate_comp.scm 467 */
											obj_t BgL_newtail1324z00_18805;

											{	/* Eval/evaluate_comp.scm 467 */
												obj_t BgL_arg3244z00_18806;

												{	/* Eval/evaluate_comp.scm 467 */
													obj_t BgL_vz00_18807;

													BgL_vz00_18807 = CAR(((obj_t) BgL_l1320z00_18803));
													BgL_arg3244z00_18806 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_18807,
														BgL_nstkz00_18794);
												}
												BgL_newtail1324z00_18805 =
													MAKE_YOUNG_PAIR(BgL_arg3244z00_18806, BNIL);
											}
											SET_CDR(BgL_tail1323z00_18804, BgL_newtail1324z00_18805);
											{	/* Eval/evaluate_comp.scm 467 */
												obj_t BgL_arg3242z00_18808;

												BgL_arg3242z00_18808 =
													CDR(((obj_t) BgL_l1320z00_18803));
												{
													obj_t BgL_tail1323z00_35577;
													obj_t BgL_l1320z00_35576;

													BgL_l1320z00_35576 = BgL_arg3242z00_18808;
													BgL_tail1323z00_35577 = BgL_newtail1324z00_18805;
													BgL_tail1323z00_18804 = BgL_tail1323z00_35577;
													BgL_l1320z00_18803 = BgL_l1320z00_35576;
													goto BgL_zc3z04anonymousza33240ze3z87_18802;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 468 */
						BgL_ev_exprz00_bglt BgL_arg3245z00_18809;

						BgL_arg3245z00_18809 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15431))))->BgL_bodyz00);
						BgL_bodyz00_18798 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3245z00_18809,
							BgL_nstkz00_18794);
					}
					{	/* Eval/evaluate_comp.scm 469 */
						obj_t BgL_zc3z04anonymousza33219ze3z87_18810;

						BgL_zc3z04anonymousza33219ze3z87_18810 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33219ze3ze5zz__evaluate_compz00,
							(int) (1L), (int) (4L));
						PROCEDURE_SET(BgL_zc3z04anonymousza33219ze3z87_18810, (int) (0L),
							BINT(BgL_siza7eza7_18793));
						PROCEDURE_SET(BgL_zc3z04anonymousza33219ze3z87_18810, (int) (1L),
							BgL_valsz00_18796);
						PROCEDURE_SET(BgL_zc3z04anonymousza33219ze3z87_18810, (int) (2L),
							BgL_iboxesz00_18797);
						PROCEDURE_SET(BgL_zc3z04anonymousza33219ze3z87_18810, (int) (3L),
							BgL_bodyz00_18798);
						return BgL_zc3z04anonymousza33219ze3z87_18810;
					}
				}
			}
		}

	}



/* &<@anonymous:3219> */
	obj_t BGl_z62zc3z04anonymousza33219ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15433, obj_t BgL_sz00_15438)
	{
		{	/* Eval/evaluate_comp.scm 469 */
			{	/* Eval/evaluate_comp.scm 469 */
				long BgL_siza7eza7_15434;
				obj_t BgL_valsz00_15435;
				obj_t BgL_iboxesz00_15436;
				obj_t BgL_bodyz00_15437;

				BgL_siza7eza7_15434 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15433, (int) (0L)));
				BgL_valsz00_15435 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15433, (int) (1L)));
				BgL_iboxesz00_15436 = PROCEDURE_REF(BgL_envz00_15433, (int) (2L));
				BgL_bodyz00_15437 = PROCEDURE_REF(BgL_envz00_15433, (int) (3L));
				{	/* Eval/evaluate_comp.scm 469 */
					obj_t BgL_bpz00_18811;

					BgL_bpz00_18811 = VECTOR_REF(((obj_t) BgL_sz00_15438), 0L);
					{	/* Eval/evaluate_comp.scm 470 */
						long BgL_g1111z00_18812;

						BgL_g1111z00_18812 =
							((long) CINT(BgL_bpz00_18811) + BgL_siza7eza7_15434);
						{
							obj_t BgL_lz00_18814;
							long BgL_iz00_18815;

							BgL_lz00_18814 = BgL_valsz00_15435;
							BgL_iz00_18815 = BgL_g1111z00_18812;
						BgL_recz00_18813:
							if (NULLP(BgL_lz00_18814))
								{	/* Eval/evaluate_comp.scm 471 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 471 */
									{	/* Eval/evaluate_comp.scm 472 */
										obj_t BgL_arg3222z00_18816;

										{	/* Eval/evaluate_comp.scm 472 */
											obj_t BgL_fun3223z00_18817;

											BgL_fun3223z00_18817 = CAR(((obj_t) BgL_lz00_18814));
											BgL_arg3222z00_18816 =
												(VA_PROCEDUREP(BgL_fun3223z00_18817) ? ((obj_t(*)(obj_t,
															...))
													PROCEDURE_ENTRY(BgL_fun3223z00_18817))
												(BgL_fun3223z00_18817, BgL_sz00_15438,
													BEOA) : ((obj_t(*)(obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_fun3223z00_18817))
												(BgL_fun3223z00_18817, BgL_sz00_15438));
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15438), BgL_iz00_18815,
											BgL_arg3222z00_18816);
									}
									{	/* Eval/evaluate_comp.scm 473 */
										obj_t BgL_arg3225z00_18818;
										long BgL_arg3226z00_18819;

										BgL_arg3225z00_18818 = CDR(((obj_t) BgL_lz00_18814));
										BgL_arg3226z00_18819 = (BgL_iz00_18815 + 1L);
										{
											long BgL_iz00_35622;
											obj_t BgL_lz00_35621;

											BgL_lz00_35621 = BgL_arg3225z00_18818;
											BgL_iz00_35622 = BgL_arg3226z00_18819;
											BgL_iz00_18815 = BgL_iz00_35622;
											BgL_lz00_18814 = BgL_lz00_35621;
											goto BgL_recz00_18813;
										}
									}
								}
						}
					}
					{
						obj_t BgL_lz00_18821;

						BgL_lz00_18821 = BgL_iboxesz00_15436;
					BgL_recz00_18820:
						if (NULLP(BgL_lz00_18821))
							{	/* Eval/evaluate_comp.scm 475 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_comp.scm 475 */
								{	/* Eval/evaluate_comp.scm 476 */
									long BgL_iz00_18822;

									BgL_iz00_18822 =
										(
										(long) CINT(BgL_bpz00_18811) +
										(long) CINT(CAR(((obj_t) BgL_lz00_18821))));
									{	/* Eval/evaluate_comp.scm 477 */
										obj_t BgL_arg3230z00_18823;

										{	/* Eval/evaluate_comp.scm 477 */
											obj_t BgL_arg3231z00_18824;

											BgL_arg3231z00_18824 =
												VECTOR_REF(((obj_t) BgL_sz00_15438), BgL_iz00_18822);
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_18825;

												BgL_newz00_18825 =
													create_struct(BGl_symbol4624z00zz__evaluate_compz00,
													(int) (1L));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_35634;

													BgL_tmpz00_35634 = (int) (0L);
													STRUCT_SET(BgL_newz00_18825, BgL_tmpz00_35634,
														BgL_arg3231z00_18824);
												}
												BgL_arg3230z00_18823 = BgL_newz00_18825;
										}}
										VECTOR_SET(
											((obj_t) BgL_sz00_15438), BgL_iz00_18822,
											BgL_arg3230z00_18823);
								}}
								{	/* Eval/evaluate_comp.scm 478 */
									obj_t BgL_arg3237z00_18826;

									BgL_arg3237z00_18826 = CDR(((obj_t) BgL_lz00_18821));
									{
										obj_t BgL_lz00_35641;

										BgL_lz00_35641 = BgL_arg3237z00_18826;
										BgL_lz00_18821 = BgL_lz00_35641;
										goto BgL_recz00_18820;
									}
								}
							}
					}
					return
						(VA_PROCEDUREP(BgL_bodyz00_15437) ? ((obj_t(*)(obj_t,
									...)) PROCEDURE_ENTRY(BgL_bodyz00_15437)) (BgL_bodyz00_15437,
							BgL_sz00_15438, BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_bodyz00_15437)) (BgL_bodyz00_15437,
							BgL_sz00_15438));
				}
			}
		}

	}



/* &comp-ev_prog21461 */
	obj_t BGl_z62compzd2ev_prog21461zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15439, obj_t BgL_ez00_15440, obj_t BgL_stkz00_15441)
	{
		{	/* Eval/evaluate_comp.scm 456 */
			{	/* Eval/evaluate_comp.scm 458 */
				obj_t BgL_e1z00_18828;
				obj_t BgL_e2z00_18829;

				BgL_e1z00_18828 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_15440)))->BgL_e1z00),
					BgL_stkz00_15441);
				BgL_e2z00_18829 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
							COBJECT(((BgL_ev_prog2z00_bglt) BgL_ez00_15440)))->BgL_e2z00),
					BgL_stkz00_15441);
				{	/* Eval/evaluate_comp.scm 459 */
					obj_t BgL_zc3z04anonymousza33216ze3z87_18830;

					BgL_zc3z04anonymousza33216ze3z87_18830 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33216ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33216ze3z87_18830, (int) (0L),
						BgL_e1z00_18828);
					PROCEDURE_SET(BgL_zc3z04anonymousza33216ze3z87_18830, (int) (1L),
						BgL_e2z00_18829);
					return BgL_zc3z04anonymousza33216ze3z87_18830;
				}
			}
		}

	}



/* &<@anonymous:3216> */
	obj_t BGl_z62zc3z04anonymousza33216ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15442, obj_t BgL_sz00_15445)
	{
		{	/* Eval/evaluate_comp.scm 459 */
			{	/* Eval/evaluate_comp.scm 459 */
				obj_t BgL_e1z00_15443;
				obj_t BgL_e2z00_15444;

				BgL_e1z00_15443 = PROCEDURE_REF(BgL_envz00_15442, (int) (0L));
				BgL_e2z00_15444 = PROCEDURE_REF(BgL_envz00_15442, (int) (1L));
				{	/* Eval/evaluate_comp.scm 459 */
					obj_t BgL_bpz00_18831;

					BgL_bpz00_18831 = VECTOR_REF(((obj_t) BgL_sz00_15445), 0L);
					(VA_PROCEDUREP(BgL_e1z00_15443) ? ((obj_t(*)(obj_t,
									...)) PROCEDURE_ENTRY(BgL_e1z00_15443)) (BgL_e1z00_15443,
							BgL_sz00_15445, BEOA) : ((obj_t(*)(obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_e1z00_15443)) (BgL_e1z00_15443,
							BgL_sz00_15445));
					return (VA_PROCEDUREP(BgL_e2z00_15444) ? ((obj_t(*)(obj_t,
									...)) PROCEDURE_ENTRY(BgL_e2z00_15444)) (BgL_e2z00_15444,
							BgL_sz00_15445, BEOA) : ((obj_t(*)(obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_e2z00_15444)) (BgL_e2z00_15444,
							BgL_sz00_15445));
				}
			}
		}

	}



/* &comp-ev_and1459 */
	obj_t BGl_z62compzd2ev_and1459zb0zz__evaluate_compz00(obj_t BgL_envz00_15446,
		obj_t BgL_ez00_15447, obj_t BgL_stkz00_15448)
	{
		{	/* Eval/evaluate_comp.scm 446 */
			{	/* Eval/evaluate_comp.scm 448 */
				obj_t BgL_argsz00_18833;

				{	/* Eval/evaluate_comp.scm 448 */
					obj_t BgL_l1315z00_18834;

					BgL_l1315z00_18834 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_ez00_15447))))->BgL_argsz00);
					if (NULLP(BgL_l1315z00_18834))
						{	/* Eval/evaluate_comp.scm 448 */
							BgL_argsz00_18833 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_head1317z00_18835;

							BgL_head1317z00_18835 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1315z00_18837;
								obj_t BgL_tail1318z00_18838;

								BgL_l1315z00_18837 = BgL_l1315z00_18834;
								BgL_tail1318z00_18838 = BgL_head1317z00_18835;
							BgL_zc3z04anonymousza33208ze3z87_18836:
								if (NULLP(BgL_l1315z00_18837))
									{	/* Eval/evaluate_comp.scm 448 */
										BgL_argsz00_18833 = CDR(BgL_head1317z00_18835);
									}
								else
									{	/* Eval/evaluate_comp.scm 448 */
										obj_t BgL_newtail1319z00_18839;

										{	/* Eval/evaluate_comp.scm 448 */
											obj_t BgL_arg3215z00_18840;

											{	/* Eval/evaluate_comp.scm 448 */
												obj_t BgL_ez00_18841;

												BgL_ez00_18841 = CAR(((obj_t) BgL_l1315z00_18837));
												BgL_arg3215z00_18840 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_18841),
													BgL_stkz00_15448);
											}
											BgL_newtail1319z00_18839 =
												MAKE_YOUNG_PAIR(BgL_arg3215z00_18840, BNIL);
										}
										SET_CDR(BgL_tail1318z00_18838, BgL_newtail1319z00_18839);
										{	/* Eval/evaluate_comp.scm 448 */
											obj_t BgL_arg3211z00_18842;

											BgL_arg3211z00_18842 = CDR(((obj_t) BgL_l1315z00_18837));
											{
												obj_t BgL_tail1318z00_35691;
												obj_t BgL_l1315z00_35690;

												BgL_l1315z00_35690 = BgL_arg3211z00_18842;
												BgL_tail1318z00_35691 = BgL_newtail1319z00_18839;
												BgL_tail1318z00_18838 = BgL_tail1318z00_35691;
												BgL_l1315z00_18837 = BgL_l1315z00_35690;
												goto BgL_zc3z04anonymousza33208ze3z87_18836;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 449 */
					obj_t BgL_zc3z04anonymousza33199ze3z87_18843;

					BgL_zc3z04anonymousza33199ze3z87_18843 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33199ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33199ze3z87_18843, (int) (0L),
						BgL_argsz00_18833);
					return BgL_zc3z04anonymousza33199ze3z87_18843;
				}
			}
		}

	}



/* &<@anonymous:3199> */
	obj_t BGl_z62zc3z04anonymousza33199ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15449, obj_t BgL_sz00_15451)
	{
		{	/* Eval/evaluate_comp.scm 449 */
			{	/* Eval/evaluate_comp.scm 449 */
				obj_t BgL_argsz00_15450;

				BgL_argsz00_15450 = PROCEDURE_REF(BgL_envz00_15449, (int) (0L));
				{	/* Eval/evaluate_comp.scm 449 */
					obj_t BgL_bpz00_18844;

					BgL_bpz00_18844 = VECTOR_REF(((obj_t) BgL_sz00_15451), 0L);
					{
						obj_t BgL_lz00_18846;
						obj_t BgL_rz00_18847;

						BgL_lz00_18846 = BgL_argsz00_15450;
						BgL_rz00_18847 = BTRUE;
					BgL_recz00_18845:
						if (NULLP(BgL_lz00_18846))
							{	/* Eval/evaluate_comp.scm 451 */
								return BgL_rz00_18847;
							}
						else
							{	/* Eval/evaluate_comp.scm 453 */
								obj_t BgL_vz00_18848;

								{	/* Eval/evaluate_comp.scm 453 */
									obj_t BgL_fun3206z00_18849;

									BgL_fun3206z00_18849 = CAR(((obj_t) BgL_lz00_18846));
									BgL_vz00_18848 =
										(VA_PROCEDUREP(BgL_fun3206z00_18849) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_fun3206z00_18849))
										(BgL_fun3206z00_18849, BgL_sz00_15451,
											BEOA) : ((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun3206z00_18849))
										(BgL_fun3206z00_18849, BgL_sz00_15451));
								}
								if (CBOOL(BgL_vz00_18848))
									{	/* Eval/evaluate_comp.scm 454 */
										obj_t BgL_arg3205z00_18850;

										BgL_arg3205z00_18850 = CDR(((obj_t) BgL_lz00_18846));
										{
											obj_t BgL_rz00_35714;
											obj_t BgL_lz00_35713;

											BgL_lz00_35713 = BgL_arg3205z00_18850;
											BgL_rz00_35714 = BgL_vz00_18848;
											BgL_rz00_18847 = BgL_rz00_35714;
											BgL_lz00_18846 = BgL_lz00_35713;
											goto BgL_recz00_18845;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 454 */
										return BFALSE;
									}
							}
					}
				}
			}
		}

	}



/* &comp-ev_or1457 */
	obj_t BGl_z62compzd2ev_or1457zb0zz__evaluate_compz00(obj_t BgL_envz00_15452,
		obj_t BgL_ez00_15453, obj_t BgL_stkz00_15454)
	{
		{	/* Eval/evaluate_comp.scm 437 */
			{	/* Eval/evaluate_comp.scm 439 */
				obj_t BgL_argsz00_18852;

				{	/* Eval/evaluate_comp.scm 439 */
					obj_t BgL_l1310z00_18853;

					BgL_l1310z00_18853 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_ez00_15453))))->BgL_argsz00);
					if (NULLP(BgL_l1310z00_18853))
						{	/* Eval/evaluate_comp.scm 439 */
							BgL_argsz00_18852 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 439 */
							obj_t BgL_head1312z00_18854;

							BgL_head1312z00_18854 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1310z00_18856;
								obj_t BgL_tail1313z00_18857;

								BgL_l1310z00_18856 = BgL_l1310z00_18853;
								BgL_tail1313z00_18857 = BgL_head1312z00_18854;
							BgL_zc3z04anonymousza33194ze3z87_18855:
								if (NULLP(BgL_l1310z00_18856))
									{	/* Eval/evaluate_comp.scm 439 */
										BgL_argsz00_18852 = CDR(BgL_head1312z00_18854);
									}
								else
									{	/* Eval/evaluate_comp.scm 439 */
										obj_t BgL_newtail1314z00_18858;

										{	/* Eval/evaluate_comp.scm 439 */
											obj_t BgL_arg3198z00_18859;

											{	/* Eval/evaluate_comp.scm 439 */
												obj_t BgL_ez00_18860;

												BgL_ez00_18860 = CAR(((obj_t) BgL_l1310z00_18856));
												BgL_arg3198z00_18859 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_18860),
													BgL_stkz00_15454);
											}
											BgL_newtail1314z00_18858 =
												MAKE_YOUNG_PAIR(BgL_arg3198z00_18859, BNIL);
										}
										SET_CDR(BgL_tail1313z00_18857, BgL_newtail1314z00_18858);
										{	/* Eval/evaluate_comp.scm 439 */
											obj_t BgL_arg3197z00_18861;

											BgL_arg3197z00_18861 = CDR(((obj_t) BgL_l1310z00_18856));
											{
												obj_t BgL_tail1313z00_35733;
												obj_t BgL_l1310z00_35732;

												BgL_l1310z00_35732 = BgL_arg3197z00_18861;
												BgL_tail1313z00_35733 = BgL_newtail1314z00_18858;
												BgL_tail1313z00_18857 = BgL_tail1313z00_35733;
												BgL_l1310z00_18856 = BgL_l1310z00_35732;
												goto BgL_zc3z04anonymousza33194ze3z87_18855;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 440 */
					obj_t BgL_zc3z04anonymousza33188ze3z87_18862;

					BgL_zc3z04anonymousza33188ze3z87_18862 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33188ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33188ze3z87_18862, (int) (0L),
						BgL_argsz00_18852);
					return BgL_zc3z04anonymousza33188ze3z87_18862;
				}
			}
		}

	}



/* &<@anonymous:3188> */
	obj_t BGl_z62zc3z04anonymousza33188ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15455, obj_t BgL_sz00_15457)
	{
		{	/* Eval/evaluate_comp.scm 440 */
			{	/* Eval/evaluate_comp.scm 440 */
				obj_t BgL_argsz00_15456;

				BgL_argsz00_15456 = PROCEDURE_REF(BgL_envz00_15455, (int) (0L));
				{	/* Eval/evaluate_comp.scm 440 */
					obj_t BgL_bpz00_18863;

					BgL_bpz00_18863 = VECTOR_REF(((obj_t) BgL_sz00_15457), 0L);
					{
						obj_t BgL_lz00_18865;

						BgL_lz00_18865 = BgL_argsz00_15456;
					BgL_recz00_18864:
						if (NULLP(BgL_lz00_18865))
							{	/* Eval/evaluate_comp.scm 442 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 444 */
								obj_t BgL__ortest_1106z00_18866;

								{	/* Eval/evaluate_comp.scm 444 */
									obj_t BgL_fun3192z00_18867;

									BgL_fun3192z00_18867 = CAR(((obj_t) BgL_lz00_18865));
									BgL__ortest_1106z00_18866 =
										(VA_PROCEDUREP(BgL_fun3192z00_18867) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_fun3192z00_18867))
										(BgL_fun3192z00_18867, BgL_sz00_15457,
											BEOA) : ((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun3192z00_18867))
										(BgL_fun3192z00_18867, BgL_sz00_15457));
								}
								if (CBOOL(BgL__ortest_1106z00_18866))
									{	/* Eval/evaluate_comp.scm 444 */
										return BgL__ortest_1106z00_18866;
									}
								else
									{	/* Eval/evaluate_comp.scm 444 */
										obj_t BgL_arg3191z00_18868;

										BgL_arg3191z00_18868 = CDR(((obj_t) BgL_lz00_18865));
										{
											obj_t BgL_lz00_35755;

											BgL_lz00_35755 = BgL_arg3191z00_18868;
											BgL_lz00_18865 = BgL_lz00_35755;
											goto BgL_recz00_18864;
										}
									}
							}
					}
				}
			}
		}

	}



/* &comp-ev_if1455 */
	obj_t BGl_z62compzd2ev_if1455zb0zz__evaluate_compz00(obj_t BgL_envz00_15458,
		obj_t BgL_ez00_15459, obj_t BgL_stkz00_15460)
	{
		{	/* Eval/evaluate_comp.scm 431 */
			{	/* Eval/evaluate_comp.scm 433 */
				obj_t BgL_pz00_18870;
				obj_t BgL_tz00_18871;
				obj_t BgL_ez00_18872;

				BgL_pz00_18870 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_ifz00_bglt) COBJECT(
								((BgL_ev_ifz00_bglt) BgL_ez00_15459)))->BgL_pz00),
					BgL_stkz00_15460);
				BgL_tz00_18871 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15459)))->BgL_tz00),
					BgL_stkz00_15460);
				BgL_ez00_18872 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15459)))->BgL_ez00),
					BgL_stkz00_15460);
				{	/* Eval/evaluate_comp.scm 434 */
					obj_t BgL_zc3z04anonymousza33178ze3z87_18873;

					BgL_zc3z04anonymousza33178ze3z87_18873 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33178ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (3L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33178ze3z87_18873, (int) (0L),
						BgL_ez00_18872);
					PROCEDURE_SET(BgL_zc3z04anonymousza33178ze3z87_18873, (int) (1L),
						BgL_tz00_18871);
					PROCEDURE_SET(BgL_zc3z04anonymousza33178ze3z87_18873, (int) (2L),
						BgL_pz00_18870);
					return BgL_zc3z04anonymousza33178ze3z87_18873;
				}
			}
		}

	}



/* &<@anonymous:3178> */
	obj_t BGl_z62zc3z04anonymousza33178ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15461, obj_t BgL_sz00_15465)
	{
		{	/* Eval/evaluate_comp.scm 434 */
			{	/* Eval/evaluate_comp.scm 434 */
				obj_t BgL_ez00_15462;
				obj_t BgL_tz00_15463;
				obj_t BgL_pz00_15464;

				BgL_ez00_15462 = PROCEDURE_REF(BgL_envz00_15461, (int) (0L));
				BgL_tz00_15463 = PROCEDURE_REF(BgL_envz00_15461, (int) (1L));
				BgL_pz00_15464 = PROCEDURE_REF(BgL_envz00_15461, (int) (2L));
				{	/* Eval/evaluate_comp.scm 434 */
					obj_t BgL_bpz00_18874;

					BgL_bpz00_18874 = VECTOR_REF(((obj_t) BgL_sz00_15465), 0L);
					if (CBOOL(
							(VA_PROCEDUREP(BgL_pz00_15464) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_pz00_15464)) (BgL_pz00_15464,
									BgL_sz00_15465, BEOA) : ((obj_t(*)(obj_t,
											obj_t)) PROCEDURE_ENTRY(BgL_pz00_15464)) (BgL_pz00_15464,
									BgL_sz00_15465))))
						{	/* Eval/evaluate_comp.scm 435 */
							return
								(VA_PROCEDUREP(BgL_tz00_15463) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_tz00_15463)) (BgL_tz00_15463,
									BgL_sz00_15465, BEOA) : ((obj_t(*)(obj_t,
											obj_t)) PROCEDURE_ENTRY(BgL_tz00_15463)) (BgL_tz00_15463,
									BgL_sz00_15465));
						}
					else
						{	/* Eval/evaluate_comp.scm 435 */
							return
								(VA_PROCEDUREP(BgL_ez00_15462) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_ez00_15462)) (BgL_ez00_15462,
									BgL_sz00_15465, BEOA) : ((obj_t(*)(obj_t,
											obj_t)) PROCEDURE_ENTRY(BgL_ez00_15462)) (BgL_ez00_15462,
									BgL_sz00_15465));
						}
				}
			}
		}

	}



/* &comp-ev_litt1453 */
	obj_t BGl_z62compzd2ev_litt1453zb0zz__evaluate_compz00(obj_t BgL_envz00_15466,
		obj_t BgL_ez00_15467, obj_t BgL_stkz00_15468)
	{
		{	/* Eval/evaluate_comp.scm 426 */
			{	/* Eval/evaluate_comp.scm 428 */
				obj_t BgL_zc3z04anonymousza33177ze3z87_18876;

				BgL_zc3z04anonymousza33177ze3z87_18876 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza33177ze3ze5zz__evaluate_compz00, (int) (1L),
					(int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza33177ze3z87_18876, (int) (0L),
					((obj_t) ((BgL_ev_littz00_bglt) BgL_ez00_15467)));
				return BgL_zc3z04anonymousza33177ze3z87_18876;
			}
		}

	}



/* &<@anonymous:3177> */
	obj_t BGl_z62zc3z04anonymousza33177ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15469, obj_t BgL_sz00_15471)
	{
		{	/* Eval/evaluate_comp.scm 428 */
			{	/* Eval/evaluate_comp.scm 428 */
				BgL_ev_littz00_bglt BgL_i1103z00_15470;

				BgL_i1103z00_15470 =
					((BgL_ev_littz00_bglt) PROCEDURE_REF(BgL_envz00_15469, (int) (0L)));
				{	/* Eval/evaluate_comp.scm 428 */
					obj_t BgL_bpz00_18877;

					BgL_bpz00_18877 = VECTOR_REF(((obj_t) BgL_sz00_15471), 0L);
					return
						(((BgL_ev_littz00_bglt) COBJECT(BgL_i1103z00_15470))->BgL_valuez00);
				}
			}
		}

	}



/* &comp-ev_defglobal1451 */
	obj_t BGl_z62compzd2ev_defglobal1451zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15472, obj_t BgL_ez00_15473, obj_t BgL_stkz00_15474)
	{
		{	/* Eval/evaluate_comp.scm 395 */
			{	/* Eval/evaluate_comp.scm 397 */
				obj_t BgL_ez00_18879;

				{	/* Eval/evaluate_comp.scm 397 */
					BgL_ev_exprz00_bglt BgL_arg3176z00_18880;

					BgL_arg3176z00_18880 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_15473))))->BgL_ez00);
					BgL_ez00_18879 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3176z00_18880,
						BgL_stkz00_15474);
				}
				{	/* Eval/evaluate_comp.scm 398 */
					obj_t BgL_zc3z04anonymousza33139ze3z87_18881;

					BgL_zc3z04anonymousza33139ze3z87_18881 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33139ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza33139ze3z87_18881, (int) (0L),
						((obj_t) ((BgL_ev_defglobalz00_bglt) BgL_ez00_15473)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33139ze3z87_18881, (int) (1L),
						BgL_ez00_18879);
					return BgL_zc3z04anonymousza33139ze3z87_18881;
				}
			}
		}

	}



/* &<@anonymous:3139> */
	obj_t BGl_z62zc3z04anonymousza33139ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15475, obj_t BgL_sz00_15478)
	{
		{	/* Eval/evaluate_comp.scm 398 */
			{	/* Eval/evaluate_comp.scm 398 */
				BgL_ev_defglobalz00_bglt BgL_i1100z00_15476;
				obj_t BgL_ez00_15477;

				BgL_i1100z00_15476 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15475, (int) (0L)));
				BgL_ez00_15477 = PROCEDURE_REF(BgL_envz00_15475, (int) (1L));
				{	/* Eval/evaluate_comp.scm 398 */
					obj_t BgL_bpz00_18882;

					BgL_bpz00_18882 = VECTOR_REF(((obj_t) BgL_sz00_15478), 0L);
					{	/* Eval/evaluate_comp.scm 399 */
						obj_t BgL_gz00_18883;

						{	/* Eval/evaluate_comp.scm 399 */
							obj_t BgL_arg3171z00_18884;
							obj_t BgL_arg3174z00_18885;

							BgL_arg3171z00_18884 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(
										((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15476)))->
								BgL_modz00);
							BgL_arg3174z00_18885 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
											BgL_i1100z00_15476)))->BgL_namez00);
							BgL_gz00_18883 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg3171z00_18884, BgL_arg3174z00_18885);
						}
						if (CBOOL(BgL_gz00_18883))
							{	/* Eval/evaluate_comp.scm 401 */
								{

									{	/* Eval/evaluate_comp.scm 403 */
										int BgL_aux1102z00_18889;

										{	/* Eval/evaluate_comp.scm 403 */
											int BgL_res4479z00_18890;

											BgL_res4479z00_18890 =
												CINT(VECTOR_REF(((obj_t) BgL_gz00_18883), 0L));
											BgL_aux1102z00_18889 = BgL_res4479z00_18890;
										}
										switch ((long) (BgL_aux1102z00_18889))
											{
											case 0L:

												{	/* Eval/evaluate_comp.scm 405 */
													obj_t BgL_arg3141z00_18891;
													obj_t BgL_arg3142z00_18892;

													BgL_arg3141z00_18891 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15476)))->BgL_locz00);
													BgL_arg3142z00_18892 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15476)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3141z00_18891,
														BGl_string4735z00zz__evaluate_compz00,
														BGl_string4736z00zz__evaluate_compz00,
														BgL_arg3142z00_18892);
												}
												break;
											case 1L:

												{	/* Eval/evaluate_comp.scm 407 */
													obj_t BgL_arg3143z00_18893;
													obj_t BgL_arg3144z00_18894;

													BgL_arg3143z00_18893 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15476)))->BgL_locz00);
													BgL_arg3144z00_18894 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15476)))->BgL_namez00);
													{	/* Eval/evaluate_comp.scm 407 */
														obj_t BgL_list3145z00_18895;

														{	/* Eval/evaluate_comp.scm 407 */
															obj_t BgL_arg3146z00_18896;

															{	/* Eval/evaluate_comp.scm 407 */
																obj_t BgL_arg3148z00_18897;

																BgL_arg3148z00_18897 =
																	MAKE_YOUNG_PAIR(BgL_arg3144z00_18894, BNIL);
																BgL_arg3146z00_18896 =
																	MAKE_YOUNG_PAIR
																	(BGl_string4737z00zz__evaluate_compz00,
																	BgL_arg3148z00_18897);
															}
															BgL_list3145z00_18895 =
																MAKE_YOUNG_PAIR
																(BGl_string4614z00zz__evaluate_compz00,
																BgL_arg3146z00_18896);
														}
														BGl_evwarningz00zz__everrorz00(BgL_arg3143z00_18893,
															BgL_list3145z00_18895);
													}
												}
												{	/* Eval/evaluate_comp.scm 409 */
													obj_t BgL_arg3149z00_18898;
													obj_t BgL_arg3150z00_18899;

													BgL_arg3149z00_18898 =
														VECTOR_REF(((obj_t) BgL_gz00_18883), 2L);
													BgL_arg3150z00_18899 =
														(VA_PROCEDUREP(BgL_ez00_15477) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_ez00_15477)) (BgL_ez00_15477,
															BgL_sz00_15478, BEOA) : ((obj_t(*)(obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_ez00_15477)) (BgL_ez00_15477,
															BgL_sz00_15478));
													__EVMEANING_ADDRESS_SET(BgL_arg3149z00_18898,
														BgL_arg3150z00_18899);
												}
												break;
											case 2L:

												{	/* Eval/evaluate_comp.scm 411 */
													obj_t BgL_arg3154z00_18900;

													BgL_arg3154z00_18900 =
														(VA_PROCEDUREP(BgL_ez00_15477) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_ez00_15477)) (BgL_ez00_15477,
															BgL_sz00_15478, BEOA) : ((obj_t(*)(obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_ez00_15477)) (BgL_ez00_15477,
															BgL_sz00_15478));
													VECTOR_SET(((obj_t) BgL_gz00_18883), 2L,
														BgL_arg3154z00_18900);
												}
												break;
											case 3L:

												{	/* Eval/evaluate_comp.scm 413 */
													obj_t BgL_arg3157z00_18901;

													BgL_arg3157z00_18901 =
														(VA_PROCEDUREP(BgL_ez00_15477) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_ez00_15477)) (BgL_ez00_15477,
															BgL_sz00_15478, BEOA) : ((obj_t(*)(obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_ez00_15477)) (BgL_ez00_15477,
															BgL_sz00_15478));
													VECTOR_SET(((obj_t) BgL_gz00_18883), 2L,
														BgL_arg3157z00_18901);
												}
												VECTOR_SET(((obj_t) BgL_gz00_18883), 0L, BINT(2L));
												break;
											case 4L:

												{	/* Eval/evaluate_comp.scm 416 */
													obj_t BgL_arg3158z00_18902;

													BgL_arg3158z00_18902 =
														(VA_PROCEDUREP(BgL_ez00_15477) ? ((obj_t(*)(obj_t,
																	...))
															PROCEDURE_ENTRY(BgL_ez00_15477)) (BgL_ez00_15477,
															BgL_sz00_15478, BEOA) : ((obj_t(*)(obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_ez00_15477)) (BgL_ez00_15477,
															BgL_sz00_15478));
													VECTOR_SET(((obj_t) BgL_gz00_18883), 2L,
														BgL_arg3158z00_18902);
												}
												VECTOR_SET(((obj_t) BgL_gz00_18883), 0L, BINT(5L));
												break;
											default:
												{	/* Eval/evaluate_comp.scm 419 */
													obj_t BgL_arg3159z00_18887;
													obj_t BgL_arg3161z00_18888;

													BgL_arg3159z00_18887 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15476)))->BgL_locz00);
													BgL_arg3161z00_18888 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15476)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3159z00_18887,
														BGl_string4735z00zz__evaluate_compz00,
														BGl_string4736z00zz__evaluate_compz00,
														BgL_arg3161z00_18888);
												}
											}
									}
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15476)))->
									BgL_namez00);
							}
						else
							{	/* Eval/evaluate_comp.scm 421 */
								obj_t BgL_gz00_18903;

								{	/* Eval/evaluate_comp.scm 421 */
									obj_t BgL_arg3167z00_18904;
									obj_t BgL_arg3169z00_18905;
									obj_t BgL_arg3170z00_18906;

									BgL_arg3167z00_18904 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15476)))->
										BgL_namez00);
									BgL_arg3169z00_18905 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15476)))->BgL_modz00);
									BgL_arg3170z00_18906 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15476)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 421 */
										obj_t BgL_v1424z00_18907;

										BgL_v1424z00_18907 = create_vector(5L);
										VECTOR_SET(BgL_v1424z00_18907, 0L, BINT(2L));
										VECTOR_SET(BgL_v1424z00_18907, 1L, BgL_arg3167z00_18904);
										VECTOR_SET(BgL_v1424z00_18907, 2L, BUNSPEC);
										VECTOR_SET(BgL_v1424z00_18907, 3L, BgL_arg3169z00_18905);
										VECTOR_SET(BgL_v1424z00_18907, 4L, BgL_arg3170z00_18906);
										BgL_gz00_18903 = BgL_v1424z00_18907;
									}
								}
								{	/* Eval/evaluate_comp.scm 422 */
									obj_t BgL_arg3162z00_18908;

									BgL_arg3162z00_18908 =
										(VA_PROCEDUREP(BgL_ez00_15477) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_ez00_15477)) (BgL_ez00_15477,
											BgL_sz00_15478, BEOA) : ((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_ez00_15477)) (BgL_ez00_15477,
											BgL_sz00_15478));
									VECTOR_SET(BgL_gz00_18903, 2L, BgL_arg3162z00_18908);
								}
								{	/* Eval/evaluate_comp.scm 423 */
									obj_t BgL_arg3163z00_18909;
									obj_t BgL_arg3164z00_18910;
									obj_t BgL_arg3166z00_18911;

									BgL_arg3163z00_18909 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15476)))->
										BgL_modz00);
									BgL_arg3164z00_18910 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15476)))->BgL_namez00);
									BgL_arg3166z00_18911 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15476)))->BgL_locz00);
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
										(BgL_arg3163z00_18909, BgL_arg3164z00_18910, BgL_gz00_18903,
										BgL_arg3166z00_18911);
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15476)))->
									BgL_namez00);
							}
					}
				}
			}
		}

	}



/* &comp-ev_setglobal1449 */
	obj_t BGl_z62compzd2ev_setglobal1449zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15479, obj_t BgL_ez00_15480, obj_t BgL_stkz00_15481)
	{
		{	/* Eval/evaluate_comp.scm 372 */
			{	/* Eval/evaluate_comp.scm 374 */
				obj_t BgL_gz00_18913;
				obj_t BgL_ez00_18914;

				BgL_gz00_18913 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)))->BgL_modz00),
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)))->BgL_namez00));
				{	/* Eval/evaluate_comp.scm 374 */
					BgL_ev_exprz00_bglt BgL_arg3138z00_18915;

					BgL_arg3138z00_18915 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setglobalz00_bglt) BgL_ez00_15480))))->BgL_ez00);
					BgL_ez00_18914 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3138z00_18915,
						BgL_stkz00_15481);
				}
				if (CBOOL(BgL_gz00_18913))
					{

						{	/* Eval/evaluate_comp.scm 376 */
							int BgL_aux1099z00_18918;

							{	/* Eval/evaluate_comp.scm 376 */
								int BgL_res4478z00_18919;

								BgL_res4478z00_18919 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_18913), 0L));
								BgL_aux1099z00_18918 = BgL_res4478z00_18919;
							}
							switch ((long) (BgL_aux1099z00_18918))
								{
								case 1L:

									{	/* Eval/evaluate_comp.scm 378 */
										obj_t BgL_zc3z04anonymousza33096ze3z87_18920;

										BgL_zc3z04anonymousza33096ze3z87_18920 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza33096ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (2L));
										PROCEDURE_SET(BgL_zc3z04anonymousza33096ze3z87_18920,
											(int) (0L), BgL_gz00_18913);
										PROCEDURE_SET(BgL_zc3z04anonymousza33096ze3z87_18920,
											(int) (1L), BgL_ez00_18914);
										return BgL_zc3z04anonymousza33096ze3z87_18920;
									}
									break;
								case 0L:
								case 4L:
								case 5L:

									return
										BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(
													((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)))->
											BgL_locz00), BGl_string4735z00zz__evaluate_compz00,
										BGl_string4736z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt)
												COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)))->
											BgL_namez00));
									break;
								default:
									{	/* Eval/evaluate_comp.scm 383 */
										obj_t BgL_zc3z04anonymousza33101ze3z87_18917;

										BgL_zc3z04anonymousza33101ze3z87_18917 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza33101ze3ze5zz__evaluate_compz00,
											(int) (1L), (int) (2L));
										PROCEDURE_SET(BgL_zc3z04anonymousza33101ze3z87_18917,
											(int) (0L), BgL_ez00_18914);
										PROCEDURE_SET(BgL_zc3z04anonymousza33101ze3z87_18917,
											(int) (1L), BgL_gz00_18913);
										return BgL_zc3z04anonymousza33101ze3z87_18917;
									}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 384 */
						obj_t BgL_slotz00_18921;

						BgL_slotz00_18921 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 386 */
								obj_t BgL_gz00_18922;

								{	/* Eval/evaluate_comp.scm 386 */
									obj_t BgL_arg3112z00_18923;
									obj_t BgL_arg3123z00_18924;
									obj_t BgL_arg3124z00_18925;

									BgL_arg3112z00_18923 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)))->
										BgL_namez00);
									BgL_arg3123z00_18924 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)))->
										BgL_modz00);
									BgL_arg3124z00_18925 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)))->
										BgL_locz00);
									{	/* Eval/evaluate_comp.scm 386 */
										obj_t BgL_v1424z00_18926;

										BgL_v1424z00_18926 = create_vector(5L);
										VECTOR_SET(BgL_v1424z00_18926, 0L, BINT(2L));
										VECTOR_SET(BgL_v1424z00_18926, 1L, BgL_arg3112z00_18923);
										VECTOR_SET(BgL_v1424z00_18926, 2L, BUNSPEC);
										VECTOR_SET(BgL_v1424z00_18926, 3L, BgL_arg3123z00_18924);
										VECTOR_SET(BgL_v1424z00_18926, 4L, BgL_arg3124z00_18925);
										BgL_gz00_18922 = BgL_v1424z00_18926;
									}
								}
								VECTOR_SET(BgL_gz00_18922, 0L, BINT(3L));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)))->
										BgL_namez00), BgL_gz00_18922,
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)))->
										BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 385 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 389 */
							obj_t BgL_zc3z04anonymousza33127ze3z87_18927;

							BgL_zc3z04anonymousza33127ze3z87_18927 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza33127ze3ze5zz__evaluate_compz00,
								(int) (1L), (int) (3L));
							PROCEDURE_SET(BgL_zc3z04anonymousza33127ze3z87_18927, (int) (0L),
								((obj_t) ((BgL_ev_setglobalz00_bglt) BgL_ez00_15480)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33127ze3z87_18927, (int) (1L),
								((obj_t) BgL_slotz00_18921));
							PROCEDURE_SET(BgL_zc3z04anonymousza33127ze3z87_18927, (int) (2L),
								BgL_ez00_18914);
							return BgL_zc3z04anonymousza33127ze3z87_18927;
						}
					}
			}
		}

	}



/* &<@anonymous:3096> */
	obj_t BGl_z62zc3z04anonymousza33096ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15484, obj_t BgL_sz00_15487)
	{
		{	/* Eval/evaluate_comp.scm 378 */
			{	/* Eval/evaluate_comp.scm 378 */
				obj_t BgL_gz00_15485;
				obj_t BgL_ez00_15486;

				BgL_gz00_15485 = PROCEDURE_REF(BgL_envz00_15484, (int) (0L));
				BgL_ez00_15486 = PROCEDURE_REF(BgL_envz00_15484, (int) (1L));
				{	/* Eval/evaluate_comp.scm 378 */
					obj_t BgL_bpz00_18928;

					BgL_bpz00_18928 = VECTOR_REF(((obj_t) BgL_sz00_15487), 0L);
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_arg3097z00_18929;
						obj_t BgL_arg3098z00_18930;

						BgL_arg3097z00_18929 = VECTOR_REF(((obj_t) BgL_gz00_15485), 2L);
						BgL_arg3098z00_18930 =
							(VA_PROCEDUREP(BgL_ez00_15486) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_ez00_15486)) (BgL_ez00_15486,
								BgL_sz00_15487, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_ez00_15486)) (BgL_ez00_15486,
								BgL_sz00_15487));
						return __EVMEANING_ADDRESS_SET(BgL_arg3097z00_18929,
							BgL_arg3098z00_18930);
					}
				}
			}
		}

	}



/* &<@anonymous:3101> */
	obj_t BGl_z62zc3z04anonymousza33101ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15488, obj_t BgL_sz00_15491)
	{
		{	/* Eval/evaluate_comp.scm 383 */
			{	/* Eval/evaluate_comp.scm 383 */
				obj_t BgL_ez00_15489;
				obj_t BgL_gz00_15490;

				BgL_ez00_15489 = PROCEDURE_REF(BgL_envz00_15488, (int) (0L));
				BgL_gz00_15490 = PROCEDURE_REF(BgL_envz00_15488, (int) (1L));
				{	/* Eval/evaluate_comp.scm 383 */
					obj_t BgL_bpz00_18931;

					BgL_bpz00_18931 = VECTOR_REF(((obj_t) BgL_sz00_15491), 0L);
					{	/* Eval/evaluate_comp.scm 383 */
						obj_t BgL_arg3102z00_18932;

						BgL_arg3102z00_18932 =
							(VA_PROCEDUREP(BgL_ez00_15489) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_ez00_15489)) (BgL_ez00_15489,
								BgL_sz00_15491, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_ez00_15489)) (BgL_ez00_15489,
								BgL_sz00_15491));
						return VECTOR_SET(((obj_t) BgL_gz00_15490), 2L,
							BgL_arg3102z00_18932);
					}
				}
			}
		}

	}



/* &<@anonymous:3127> */
	obj_t BGl_z62zc3z04anonymousza33127ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15492, obj_t BgL_sz00_15496)
	{
		{	/* Eval/evaluate_comp.scm 389 */
			{	/* Eval/evaluate_comp.scm 389 */
				BgL_ev_setglobalz00_bglt BgL_i1097z00_15493;
				obj_t BgL_slotz00_15494;
				obj_t BgL_ez00_15495;

				BgL_i1097z00_15493 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15492, (int) (0L)));
				BgL_slotz00_15494 = PROCEDURE_REF(BgL_envz00_15492, (int) (1L));
				BgL_ez00_15495 = PROCEDURE_REF(BgL_envz00_15492, (int) (2L));
				{	/* Eval/evaluate_comp.scm 389 */
					obj_t BgL_bpz00_18933;

					BgL_bpz00_18933 = VECTOR_REF(((obj_t) BgL_sz00_15496), 0L);
					if (CBOOL(CELL_REF(BgL_slotz00_15494)))
						{	/* Eval/evaluate_comp.scm 390 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 390 */
							{	/* Eval/evaluate_comp.scm 391 */
								obj_t BgL_auxz00_18934;

								BgL_auxz00_18934 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15493))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15493))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15494, BgL_auxz00_18934);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15494)))
								{	/* Eval/evaluate_comp.scm 392 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 392 */
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15493))->
											BgL_locz00), BGl_string4614z00zz__evaluate_compz00,
										BGl_string4738z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15493))->
											BgL_namez00));
								}
						}
					{	/* Eval/evaluate_comp.scm 393 */
						obj_t BgL_arg3134z00_18935;

						BgL_arg3134z00_18935 =
							(VA_PROCEDUREP(BgL_ez00_15495) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_ez00_15495)) (BgL_ez00_15495,
								BgL_sz00_15496, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_ez00_15495)) (BgL_ez00_15495,
								BgL_sz00_15496));
						{	/* Eval/evaluate_comp.scm 393 */
							obj_t BgL_evalzd2globalzd2_18936;

							BgL_evalzd2globalzd2_18936 = CELL_REF(BgL_slotz00_15494);
							return
								VECTOR_SET(BgL_evalzd2globalzd2_18936, 2L,
								BgL_arg3134z00_18935);
						}
					}
				}
			}
		}

	}



/* &comp-ev_global1447 */
	obj_t BGl_z62compzd2ev_global1447zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15498, obj_t BgL_varz00_15499, obj_t BgL_stkz00_15500)
	{
		{	/* Eval/evaluate_comp.scm 339 */
			{	/* Eval/evaluate_comp.scm 341 */
				obj_t BgL_gz00_18938;

				BgL_gz00_18938 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15499)))->BgL_modz00),
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15499)))->BgL_namez00));
				if (CBOOL(BgL_gz00_18938))
					{	/* Eval/evaluate_comp.scm 343 */
						bool_t BgL_test5817z00_36048;

						{	/* Eval/evaluate_comp.scm 343 */
							int BgL_arg3038z00_18939;

							{	/* Eval/evaluate_comp.scm 343 */
								int BgL_res4476z00_18940;

								BgL_res4476z00_18940 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_18938), 0L));
								BgL_arg3038z00_18939 = BgL_res4476z00_18940;
							}
							BgL_test5817z00_36048 = (BINT(BgL_arg3038z00_18939) == BINT(1L));
						}
						if (BgL_test5817z00_36048)
							{	/* Eval/evaluate_comp.scm 344 */
								obj_t BgL_zc3z04anonymousza33034ze3z87_18941;

								BgL_zc3z04anonymousza33034ze3z87_18941 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33034ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33034ze3z87_18941,
									(int) (0L), BgL_gz00_18938);
								return BgL_zc3z04anonymousza33034ze3z87_18941;
							}
						else
							{	/* Eval/evaluate_comp.scm 346 */
								obj_t BgL_zc3z04anonymousza33037ze3z87_18942;

								BgL_zc3z04anonymousza33037ze3z87_18942 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33037ze3ze5zz__evaluate_compz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza33037ze3z87_18942,
									(int) (0L), BgL_gz00_18938);
								return BgL_zc3z04anonymousza33037ze3z87_18942;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 348 */
						obj_t BgL_slotz00_18943;

						BgL_slotz00_18943 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_globalz00_bglt) COBJECT(
											((BgL_ev_globalz00_bglt) BgL_varz00_15499)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 350 */
								obj_t BgL_gz00_18944;

								{	/* Eval/evaluate_comp.scm 350 */
									obj_t BgL_arg3044z00_18945;
									obj_t BgL_arg3045z00_18946;
									obj_t BgL_arg3046z00_18947;

									BgL_arg3044z00_18945 =
										(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15499)))->
										BgL_namez00);
									BgL_arg3045z00_18946 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15499)))->BgL_modz00);
									BgL_arg3046z00_18947 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15499)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 350 */
										obj_t BgL_v1424z00_18948;

										BgL_v1424z00_18948 = create_vector(5L);
										VECTOR_SET(BgL_v1424z00_18948, 0L, BINT(2L));
										VECTOR_SET(BgL_v1424z00_18948, 1L, BgL_arg3044z00_18945);
										VECTOR_SET(BgL_v1424z00_18948, 2L, BUNSPEC);
										VECTOR_SET(BgL_v1424z00_18948, 3L, BgL_arg3045z00_18946);
										VECTOR_SET(BgL_v1424z00_18948, 4L, BgL_arg3046z00_18947);
										BgL_gz00_18944 = BgL_v1424z00_18948;
									}
								}
								VECTOR_SET(BgL_gz00_18944, 0L, BINT(3L));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15499)))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15499)))->BgL_namez00), BgL_gz00_18944,
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15499)))->BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 349 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 353 */
							obj_t BgL_zc3z04anonymousza33048ze3z87_18949;

							BgL_zc3z04anonymousza33048ze3z87_18949 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza33048ze3ze5zz__evaluate_compz00,
								(int) (1L), (int) (2L));
							PROCEDURE_SET(BgL_zc3z04anonymousza33048ze3z87_18949, (int) (0L),
								((obj_t) ((BgL_ev_globalz00_bglt) BgL_varz00_15499)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33048ze3z87_18949, (int) (1L),
								((obj_t) BgL_slotz00_18943));
							return BgL_zc3z04anonymousza33048ze3z87_18949;
						}
					}
			}
		}

	}



/* &<@anonymous:3034> */
	obj_t BGl_z62zc3z04anonymousza33034ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15503, obj_t BgL_sz00_15505)
	{
		{	/* Eval/evaluate_comp.scm 344 */
			{	/* Eval/evaluate_comp.scm 344 */
				obj_t BgL_gz00_15504;

				BgL_gz00_15504 = PROCEDURE_REF(BgL_envz00_15503, (int) (0L));
				{	/* Eval/evaluate_comp.scm 344 */
					obj_t BgL_bpz00_18950;

					BgL_bpz00_18950 = VECTOR_REF(((obj_t) BgL_sz00_15505), 0L);
					{	/* Eval/evaluate_comp.scm 345 */
						obj_t BgL_arg3036z00_18951;

						BgL_arg3036z00_18951 = VECTOR_REF(((obj_t) BgL_gz00_15504), 2L);
						return __EVMEANING_ADDRESS_REF(BgL_arg3036z00_18951);
					}
				}
			}
		}

	}



/* &<@anonymous:3037> */
	obj_t BGl_z62zc3z04anonymousza33037ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15506, obj_t BgL_sz00_15508)
	{
		{	/* Eval/evaluate_comp.scm 346 */
			{	/* Eval/evaluate_comp.scm 346 */
				obj_t BgL_gz00_15507;

				BgL_gz00_15507 = PROCEDURE_REF(BgL_envz00_15506, (int) (0L));
				{	/* Eval/evaluate_comp.scm 346 */
					obj_t BgL_bpz00_18952;

					BgL_bpz00_18952 = VECTOR_REF(((obj_t) BgL_sz00_15508), 0L);
					return VECTOR_REF(((obj_t) BgL_gz00_15507), 2L);
				}
			}
		}

	}



/* &<@anonymous:3048> */
	obj_t BGl_z62zc3z04anonymousza33048ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15509, obj_t BgL_sz00_15512)
	{
		{	/* Eval/evaluate_comp.scm 353 */
			{	/* Eval/evaluate_comp.scm 353 */
				BgL_ev_globalz00_bglt BgL_i1096z00_15510;
				obj_t BgL_slotz00_15511;

				BgL_i1096z00_15510 =
					((BgL_ev_globalz00_bglt) PROCEDURE_REF(BgL_envz00_15509, (int) (0L)));
				BgL_slotz00_15511 = PROCEDURE_REF(BgL_envz00_15509, (int) (1L));
				{	/* Eval/evaluate_comp.scm 353 */
					obj_t BgL_bpz00_18953;

					BgL_bpz00_18953 = VECTOR_REF(((obj_t) BgL_sz00_15512), 0L);
					if (CBOOL(CELL_REF(BgL_slotz00_15511)))
						{	/* Eval/evaluate_comp.scm 354 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 354 */
							{	/* Eval/evaluate_comp.scm 355 */
								obj_t BgL_auxz00_18954;

								BgL_auxz00_18954 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15510))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15510))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15511, BgL_auxz00_18954);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15511)))
								{	/* Eval/evaluate_comp.scm 356 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 357 */
									obj_t BgL_idz00_18955;

									if (BGl_evmodulezf3zf3zz__evmodulez00(
											(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15510))->
												BgL_modz00)))
										{	/* Eval/evaluate_comp.scm 358 */
											obj_t BgL_arg3071z00_18956;

											{	/* Eval/evaluate_comp.scm 358 */
												obj_t BgL_arg3072z00_18957;
												obj_t BgL_arg3074z00_18958;

												BgL_arg3072z00_18957 =
													(((BgL_ev_globalz00_bglt)
														COBJECT(BgL_i1096z00_15510))->BgL_namez00);
												BgL_arg3074z00_18958 =
													MAKE_YOUNG_PAIR(BGl_evmodulezd2namezd2zz__evmodulez00(
														(((BgL_ev_globalz00_bglt)
																COBJECT(BgL_i1096z00_15510))->BgL_modz00)),
													BNIL);
												BgL_arg3071z00_18956 =
													MAKE_YOUNG_PAIR(BgL_arg3072z00_18957,
													BgL_arg3074z00_18958);
											}
											BgL_idz00_18955 =
												MAKE_YOUNG_PAIR(BGl_symbol4739z00zz__evaluate_compz00,
												BgL_arg3071z00_18956);
										}
									else
										{	/* Eval/evaluate_comp.scm 357 */
											BgL_idz00_18955 =
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15510))->
												BgL_namez00);
										}
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15510))->
											BgL_locz00), BGl_string4614z00zz__evaluate_compz00,
										BGl_string4738z00zz__evaluate_compz00, BgL_idz00_18955);
								}
						}
					{	/* Eval/evaluate_comp.scm 361 */
						obj_t BgL_vz00_18959;

						{	/* Eval/evaluate_comp.scm 361 */
							obj_t BgL_evalzd2globalzd2_18960;

							BgL_evalzd2globalzd2_18960 = CELL_REF(BgL_slotz00_15511);
							BgL_vz00_18959 = VECTOR_REF(BgL_evalzd2globalzd2_18960, 2L);
						}
						if ((BgL_vz00_18959 == BUNSPEC))
							{	/* Eval/evaluate_comp.scm 363 */
								int BgL_tz00_18961;

								{	/* Eval/evaluate_comp.scm 363 */
									int BgL_res4477z00_18962;

									{	/* Eval/evaluate_comp.scm 363 */
										obj_t BgL_evalzd2globalzd2_18963;

										BgL_evalzd2globalzd2_18963 = CELL_REF(BgL_slotz00_15511);
										BgL_res4477z00_18962 =
											CINT(VECTOR_REF(BgL_evalzd2globalzd2_18963, 0L));
									}
									BgL_tz00_18961 = BgL_res4477z00_18962;
								}
								{	/* Eval/evaluate_comp.scm 364 */
									bool_t BgL_test5823z00_36145;

									if (((long) (BgL_tz00_18961) == 3L))
										{	/* Eval/evaluate_comp.scm 364 */
											BgL_test5823z00_36145 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 364 */
											BgL_test5823z00_36145 = ((long) (BgL_tz00_18961) == 4L);
										}
									if (BgL_test5823z00_36145)
										{	/* Eval/evaluate_comp.scm 365 */
											obj_t BgL_idz00_18964;

											if (BGl_evmodulezf3zf3zz__evmodulez00(
													(((BgL_ev_globalz00_bglt)
															COBJECT(BgL_i1096z00_15510))->BgL_modz00)))
												{	/* Eval/evaluate_comp.scm 366 */
													obj_t BgL_arg3086z00_18965;

													{	/* Eval/evaluate_comp.scm 366 */
														obj_t BgL_arg3087z00_18966;
														obj_t BgL_arg3088z00_18967;

														BgL_arg3087z00_18966 =
															(((BgL_ev_globalz00_bglt)
																COBJECT(BgL_i1096z00_15510))->BgL_namez00);
														BgL_arg3088z00_18967 =
															MAKE_YOUNG_PAIR
															(BGl_evmodulezd2namezd2zz__evmodulez00(((
																		(BgL_ev_globalz00_bglt)
																		COBJECT(BgL_i1096z00_15510))->BgL_modz00)),
															BNIL);
														BgL_arg3086z00_18965 =
															MAKE_YOUNG_PAIR(BgL_arg3087z00_18966,
															BgL_arg3088z00_18967);
													}
													BgL_idz00_18964 =
														MAKE_YOUNG_PAIR
														(BGl_symbol4739z00zz__evaluate_compz00,
														BgL_arg3086z00_18965);
												}
											else
												{	/* Eval/evaluate_comp.scm 365 */
													BgL_idz00_18964 =
														(((BgL_ev_globalz00_bglt)
															COBJECT(BgL_i1096z00_15510))->BgL_namez00);
												}
											return
												BGl_everrorz00zz__everrorz00(
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15510))->
													BgL_locz00), BGl_string4614z00zz__evaluate_compz00,
												BGl_string4741z00zz__evaluate_compz00, BgL_idz00_18964);
										}
									else
										{	/* Eval/evaluate_comp.scm 364 */
											return BgL_vz00_18959;
										}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 362 */
								return BgL_vz00_18959;
							}
					}
				}
			}
		}

	}



/* &comp-ev_setlocal1445 */
	obj_t BGl_z62compzd2ev_setlocal1445zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15514, obj_t BgL_ez00_15515, obj_t BgL_stkz00_15516)
	{
		{	/* Eval/evaluate_comp.scm 321 */
			{	/* Eval/evaluate_comp.scm 323 */
				obj_t BgL_iz00_18969;
				obj_t BgL_ez00_18970;

				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_varz00_bglt BgL_arg3030z00_18971;

					BgL_arg3030z00_18971 =
						(((BgL_ev_setlocalz00_bglt) COBJECT(
								((BgL_ev_setlocalz00_bglt) BgL_ez00_15515)))->BgL_vz00);
					BgL_iz00_18969 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_arg3030z00_18971), BgL_stkz00_15516);
				}
				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_exprz00_bglt BgL_arg3031z00_18972;

					BgL_arg3031z00_18972 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setlocalz00_bglt) BgL_ez00_15515))))->BgL_ez00);
					BgL_ez00_18970 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3031z00_18972,
						BgL_stkz00_15516);
				}
				if (CBOOL(
						(((BgL_ev_varz00_bglt) COBJECT(
									(((BgL_ev_setlocalz00_bglt) COBJECT(
												((BgL_ev_setlocalz00_bglt) BgL_ez00_15515)))->
										BgL_vz00)))->BgL_effz00)))
					{	/* Eval/evaluate_comp.scm 326 */
						obj_t BgL_zc3z04anonymousza33023ze3z87_18973;

						BgL_zc3z04anonymousza33023ze3z87_18973 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33023ze3ze5zz__evaluate_compz00,
							(int) (1L), (int) (2L));
						PROCEDURE_SET(BgL_zc3z04anonymousza33023ze3z87_18973, (int) (0L),
							BgL_iz00_18969);
						PROCEDURE_SET(BgL_zc3z04anonymousza33023ze3z87_18973, (int) (1L),
							BgL_ez00_18970);
						return BgL_zc3z04anonymousza33023ze3z87_18973;
					}
				else
					{	/* Eval/evaluate_comp.scm 328 */
						obj_t BgL_zc3z04anonymousza33027ze3z87_18974;

						BgL_zc3z04anonymousza33027ze3z87_18974 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00,
							(int) (1L), (int) (2L));
						PROCEDURE_SET(BgL_zc3z04anonymousza33027ze3z87_18974, (int) (0L),
							BgL_iz00_18969);
						PROCEDURE_SET(BgL_zc3z04anonymousza33027ze3z87_18974, (int) (1L),
							BgL_ez00_18970);
						return BgL_zc3z04anonymousza33027ze3z87_18974;
					}
			}
		}

	}



/* &<@anonymous:3023> */
	obj_t BGl_z62zc3z04anonymousza33023ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15517, obj_t BgL_sz00_15520)
	{
		{	/* Eval/evaluate_comp.scm 326 */
			{	/* Eval/evaluate_comp.scm 326 */
				obj_t BgL_iz00_15518;
				obj_t BgL_ez00_15519;

				BgL_iz00_15518 = PROCEDURE_REF(BgL_envz00_15517, (int) (0L));
				BgL_ez00_15519 = PROCEDURE_REF(BgL_envz00_15517, (int) (1L));
				{	/* Eval/evaluate_comp.scm 326 */
					obj_t BgL_bpz00_18975;

					BgL_bpz00_18975 = VECTOR_REF(((obj_t) BgL_sz00_15520), 0L);
					{	/* Eval/evaluate_comp.scm 327 */
						obj_t BgL_arg3024z00_18976;
						obj_t BgL_arg3025z00_18977;

						{	/* Eval/evaluate_comp.scm 327 */
							long BgL_arg3026z00_18978;

							BgL_arg3026z00_18978 =
								((long) CINT(BgL_bpz00_18975) + (long) CINT(BgL_iz00_15518));
							BgL_arg3024z00_18976 =
								VECTOR_REF(((obj_t) BgL_sz00_15520), BgL_arg3026z00_18978);
						}
						BgL_arg3025z00_18977 =
							(VA_PROCEDUREP(BgL_ez00_15519) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_ez00_15519)) (BgL_ez00_15519,
								BgL_sz00_15520, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_ez00_15519)) (BgL_ez00_15519,
								BgL_sz00_15520));
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_xz00_18979;

							{	/* Eval/evaluate_comp.scm 202 */
								int BgL_auxz00_36207;
								obj_t BgL_tmpz00_36205;

								BgL_auxz00_36207 = (int) (0L);
								BgL_tmpz00_36205 = ((obj_t) BgL_arg3024z00_18976);
								BgL_xz00_18979 =
									STRUCT_SET(BgL_tmpz00_36205, BgL_auxz00_36207,
									BgL_arg3025z00_18977);
							}
							return BUNSPEC;
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3027> */
	obj_t BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15521, obj_t BgL_sz00_15524)
	{
		{	/* Eval/evaluate_comp.scm 328 */
			{	/* Eval/evaluate_comp.scm 328 */
				obj_t BgL_iz00_15522;
				obj_t BgL_ez00_15523;

				BgL_iz00_15522 = PROCEDURE_REF(BgL_envz00_15521, (int) (0L));
				BgL_ez00_15523 = PROCEDURE_REF(BgL_envz00_15521, (int) (1L));
				{	/* Eval/evaluate_comp.scm 328 */
					obj_t BgL_bpz00_18980;

					BgL_bpz00_18980 = VECTOR_REF(((obj_t) BgL_sz00_15524), 0L);
					{	/* Eval/evaluate_comp.scm 329 */
						long BgL_arg3028z00_18981;
						obj_t BgL_arg3029z00_18982;

						BgL_arg3028z00_18981 =
							((long) CINT(BgL_bpz00_18980) + (long) CINT(BgL_iz00_15522));
						BgL_arg3029z00_18982 =
							(VA_PROCEDUREP(BgL_ez00_15523) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_ez00_15523)) (BgL_ez00_15523,
								BgL_sz00_15524, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_ez00_15523)) (BgL_ez00_15523,
								BgL_sz00_15524));
						return VECTOR_SET(((obj_t) BgL_sz00_15524), BgL_arg3028z00_18981,
							BgL_arg3029z00_18982);
					}
				}
			}
		}

	}



/* &comp-ev_var1443 */
	obj_t BGl_z62compzd2ev_var1443zb0zz__evaluate_compz00(obj_t BgL_envz00_15525,
		obj_t BgL_varz00_15526, obj_t BgL_stkz00_15527)
	{
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 317 */
				obj_t BgL_iz00_18984;

				BgL_iz00_18984 =
					BGl__indexz00zz__evaluate_compz00(
					((obj_t) ((BgL_ev_varz00_bglt) BgL_varz00_15526)), BgL_stkz00_15527);
				{

					if (INTEGERP(BgL_iz00_18984))
						{	/* Eval/evaluate_comp.scm 319 */
							switch ((long) CINT(BgL_iz00_18984))
								{
								case 0L:

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15526)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4742z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4743z00zz__evaluate_compz00;
										}
									break;
								case 1L:

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15526)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4744z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4745z00zz__evaluate_compz00;
										}
									break;
								case 2L:

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15526)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4746z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4747z00zz__evaluate_compz00;
										}
									break;
								case 3L:

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15526)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4748z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4749z00zz__evaluate_compz00;
										}
									break;
								default:
								BgL_case_else1091z00_18985:
									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15526)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3z04anonymousza33017ze3z87_18986;

											BgL_zc3z04anonymousza33017ze3z87_18986 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza33017ze3z87_18986,
												(int) (0L), BgL_iz00_18984);
											return BgL_zc3z04anonymousza33017ze3z87_18986;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3z04anonymousza33020ze3z87_18987;

											BgL_zc3z04anonymousza33020ze3z87_18987 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza33020ze3ze5zz__evaluate_compz00,
												(int) (1L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza33020ze3z87_18987,
												(int) (0L), BgL_iz00_18984);
											return BgL_zc3z04anonymousza33020ze3z87_18987;
										}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 319 */
							goto BgL_case_else1091z00_18985;
						}
				}
			}
		}

	}



/* &<@anonymous:2993> */
	obj_t BGl_z62zc3z04anonymousza32993ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15528, obj_t BgL_sz00_15529)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18988;

				BgL_bpz00_18988 = VECTOR_REF(((obj_t) BgL_sz00_15529), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2998z00_18989;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3013z00_18990;

						BgL_arg3013z00_18990 = ((long) CINT(BgL_bpz00_18988) + 3L);
						BgL_arg2998z00_18989 =
							VECTOR_REF(((obj_t) BgL_sz00_15529), BgL_arg3013z00_18990);
					}
					return STRUCT_REF(((obj_t) BgL_arg2998z00_18989), (int) (0L));
		}}}

	}



/* &<@anonymous:3014> */
	obj_t BGl_z62zc3z04anonymousza33014ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15530, obj_t BgL_sz00_15531)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18991;

				BgL_bpz00_18991 = VECTOR_REF(((obj_t) BgL_sz00_15531), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg3015z00_18992;

					BgL_arg3015z00_18992 = ((long) CINT(BgL_bpz00_18991) + 3L);
					return VECTOR_REF(((obj_t) BgL_sz00_15531), BgL_arg3015z00_18992);
				}
			}
		}

	}



/* &<@anonymous:2984> */
	obj_t BGl_z62zc3z04anonymousza32984ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15532, obj_t BgL_sz00_15533)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18993;

				BgL_bpz00_18993 = VECTOR_REF(((obj_t) BgL_sz00_15533), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2985z00_18994;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2986z00_18995;

						BgL_arg2986z00_18995 = ((long) CINT(BgL_bpz00_18993) + 2L);
						BgL_arg2985z00_18994 =
							VECTOR_REF(((obj_t) BgL_sz00_15533), BgL_arg2986z00_18995);
					}
					return STRUCT_REF(((obj_t) BgL_arg2985z00_18994), (int) (0L));
		}}}

	}



/* &<@anonymous:2987> */
	obj_t BGl_z62zc3z04anonymousza32987ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15534, obj_t BgL_sz00_15535)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18996;

				BgL_bpz00_18996 = VECTOR_REF(((obj_t) BgL_sz00_15535), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2991z00_18997;

					BgL_arg2991z00_18997 = ((long) CINT(BgL_bpz00_18996) + 2L);
					return VECTOR_REF(((obj_t) BgL_sz00_15535), BgL_arg2991z00_18997);
				}
			}
		}

	}



/* &<@anonymous:2976> */
	obj_t BGl_z62zc3z04anonymousza32976ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15536, obj_t BgL_sz00_15537)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18998;

				BgL_bpz00_18998 = VECTOR_REF(((obj_t) BgL_sz00_15537), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2979z00_18999;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2980z00_19000;

						BgL_arg2980z00_19000 = ((long) CINT(BgL_bpz00_18998) + 1L);
						BgL_arg2979z00_18999 =
							VECTOR_REF(((obj_t) BgL_sz00_15537), BgL_arg2980z00_19000);
					}
					return STRUCT_REF(((obj_t) BgL_arg2979z00_18999), (int) (0L));
		}}}

	}



/* &<@anonymous:2981> */
	obj_t BGl_z62zc3z04anonymousza32981ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15538, obj_t BgL_sz00_15539)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_19001;

				BgL_bpz00_19001 = VECTOR_REF(((obj_t) BgL_sz00_15539), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2982z00_19002;

					BgL_arg2982z00_19002 = ((long) CINT(BgL_bpz00_19001) + 1L);
					return VECTOR_REF(((obj_t) BgL_sz00_15539), BgL_arg2982z00_19002);
				}
			}
		}

	}



/* &<@anonymous:2970> */
	obj_t BGl_z62zc3z04anonymousza32970ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15540, obj_t BgL_sz00_15541)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_19003;

				BgL_bpz00_19003 = VECTOR_REF(((obj_t) BgL_sz00_15541), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2971z00_19004;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2972z00_19005;

						BgL_arg2972z00_19005 = ((long) CINT(BgL_bpz00_19003) + 0L);
						BgL_arg2971z00_19004 =
							VECTOR_REF(((obj_t) BgL_sz00_15541), BgL_arg2972z00_19005);
					}
					return STRUCT_REF(((obj_t) BgL_arg2971z00_19004), (int) (0L));
		}}}

	}



/* &<@anonymous:2973> */
	obj_t BGl_z62zc3z04anonymousza32973ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15542, obj_t BgL_sz00_15543)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_19006;

				BgL_bpz00_19006 = VECTOR_REF(((obj_t) BgL_sz00_15543), 0L);
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2974z00_19007;

					BgL_arg2974z00_19007 = ((long) CINT(BgL_bpz00_19006) + 0L);
					return VECTOR_REF(((obj_t) BgL_sz00_15543), BgL_arg2974z00_19007);
				}
			}
		}

	}



/* &<@anonymous:3017> */
	obj_t BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15544, obj_t BgL_sz00_15546)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15545;

				BgL_iz00_15545 = PROCEDURE_REF(BgL_envz00_15544, (int) (0L));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_19008;

					BgL_bpz00_19008 = VECTOR_REF(((obj_t) BgL_sz00_15546), 0L);
					{	/* Eval/evaluate_comp.scm 319 */
						obj_t BgL_arg3018z00_19009;

						{	/* Eval/evaluate_comp.scm 319 */
							long BgL_arg3019z00_19010;

							BgL_arg3019z00_19010 =
								((long) CINT(BgL_bpz00_19008) + (long) CINT(BgL_iz00_15545));
							BgL_arg3018z00_19009 =
								VECTOR_REF(((obj_t) BgL_sz00_15546), BgL_arg3019z00_19010);
						}
						return STRUCT_REF(((obj_t) BgL_arg3018z00_19009), (int) (0L));
		}}}}

	}



/* &<@anonymous:3020> */
	obj_t BGl_z62zc3z04anonymousza33020ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15547, obj_t BgL_sz00_15549)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15548;

				BgL_iz00_15548 = PROCEDURE_REF(BgL_envz00_15547, (int) (0L));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_19011;

					BgL_bpz00_19011 = VECTOR_REF(((obj_t) BgL_sz00_15549), 0L);
					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3021z00_19012;

						BgL_arg3021z00_19012 =
							((long) CINT(BgL_bpz00_19011) + (long) CINT(BgL_iz00_15548));
						return VECTOR_REF(((obj_t) BgL_sz00_15549), BgL_arg3021z00_19012);
					}
				}
			}
		}

	}



/* &comp-ev_trap1441 */
	obj_t BGl_z62compzd2ev_trap1441zb0zz__evaluate_compz00(obj_t BgL_envz00_15550,
		obj_t BgL_ez00_15551, obj_t BgL_stkz00_15552)
	{
		{	/* Eval/evaluate_comp.scm 289 */
			{	/* Eval/evaluate_comp.scm 291 */
				obj_t BgL_ez00_19014;

				{	/* Eval/evaluate_comp.scm 291 */
					BgL_ev_exprz00_bglt BgL_arg2968z00_19015;

					BgL_arg2968z00_19015 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_trapz00_bglt) BgL_ez00_15551))))->BgL_ez00);
					BgL_ez00_19014 =
						BGl_compz00zz__evaluate_compz00(BgL_arg2968z00_19015,
						BgL_stkz00_15552);
				}
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_zc3z04anonymousza32960ze3z87_19016;

					BgL_zc3z04anonymousza32960ze3z87_19016 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32960ze3ze5zz__evaluate_compz00,
						(int) (1L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32960ze3z87_19016, (int) (0L),
						BgL_ez00_19014);
					return BgL_zc3z04anonymousza32960ze3z87_19016;
				}
			}
		}

	}



/* &<@anonymous:2960> */
	obj_t BGl_z62zc3z04anonymousza32960ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15553, obj_t BgL_sz00_15555)
	{
		{	/* Eval/evaluate_comp.scm 292 */
			{	/* Eval/evaluate_comp.scm 292 */
				obj_t BgL_ez00_15554;

				BgL_ez00_15554 = PROCEDURE_REF(BgL_envz00_15553, (int) (0L));
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_bpz00_19017;

					BgL_bpz00_19017 = VECTOR_REF(((obj_t) BgL_sz00_15555), 0L);
					{	/* Eval/evaluate_comp.scm 293 */
						obj_t BgL_cmdz00_19018;

						BgL_cmdz00_19018 =
							(VA_PROCEDUREP(BgL_ez00_15554) ? ((obj_t(*)(obj_t,
										...)) PROCEDURE_ENTRY(BgL_ez00_15554)) (BgL_ez00_15554,
								BgL_sz00_15555, BEOA) : ((obj_t(*)(obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_ez00_15554)) (BgL_ez00_15554,
								BgL_sz00_15555));
						if ((BgL_cmdz00_19018 == BGl_symbol4750z00zz__evaluate_compz00))
							{	/* Eval/evaluate_comp.scm 294 */
								return BgL_bpz00_19017;
							}
						else
							{	/* Eval/evaluate_comp.scm 294 */
								if ((BgL_cmdz00_19018 == BGl_symbol4752z00zz__evaluate_compz00))
									{	/* Eval/evaluate_comp.scm 294 */
										return BGl_reset_profilez00zz__evaluate_compz00();
									}
								else
									{	/* Eval/evaluate_comp.scm 294 */
										if (
											(BgL_cmdz00_19018 ==
												BGl_symbol4754z00zz__evaluate_compz00))
											{	/* Eval/evaluate_comp.scm 294 */
												return BGl_get_profilez00zz__evaluate_compz00();
											}
										else
											{	/* Eval/evaluate_comp.scm 294 */
												if (
													(BgL_cmdz00_19018 ==
														BGl_symbol4756z00zz__evaluate_compz00))
													{	/* Eval/evaluate_comp.scm 302 */
														obj_t BgL_arg2967z00_19019;

														BgL_arg2967z00_19019 =
															BGl_findzd2statezd2zz__evaluate_compz00();
														return
															VECTOR_SET(
															((obj_t) BgL_arg2967z00_19019), 0L, BINT(2L));
													}
												else
													{	/* Eval/evaluate_comp.scm 294 */
														return
															BGl_errorz00zz__errorz00
															(BGl_string4614z00zz__evaluate_compz00,
															BGl_string4758z00zz__evaluate_compz00,
															BgL_cmdz00_19018);
													}
											}
									}
							}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(121046086L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(536217185L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128218210L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(43287392L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(6519932L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(310000171L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(443936801L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(377164741L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(467924964L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(481261960L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(54297095L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(237870368L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(473309430L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(460262918L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(-44273703L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(228151370L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(496722665L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(233942021L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(220648206L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(177147622L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(528345299L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(492754569L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(375872221L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(505897955L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(0L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(193509656L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(20669940L,
				BSTRING_TO_STRING(BGl_string4759z00zz__evaluate_compz00));
		}

	}

#ifdef __cplusplus
}
#endif
